/*! twilio-video-processors.js 1.0.1

The following license applies to all parts of this software except as
documented below.

    Copyright (C) 2021 Twilio Inc.
    All rights reserved.

    Redistribution and use in source and binary forms, with or without
    modification, are permitted provided that the following conditions are
    met:

      1. Redistributions of source code must retain the above copyright
         notice, this list of conditions and the following disclaimer.

      2. Redistributions in binary form must reproduce the above copyright
         notice, this list of conditions and the following disclaimer in
         the documentation and/or other materials provided with the
         distribution.

      3. Neither the name of Twilio nor the names of its contributors may
         be used to endorse or promote products derived from this software
         without specific prior written permission.

    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
    "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
    LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
    A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
    HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
    SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
    LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
    DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
    THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
    OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

*/
(function () {
  function r(e, n, t) {
    function o(i, f) {
      if (!n[i]) {
        if (!e[i]) {
          var c = 'function' == typeof require && require;
          if (!f && c) return c(i, !0);
          if (u) return u(i, !0);
          var a = new Error("Cannot find module '" + i + "'");
          throw ((a.code = 'MODULE_NOT_FOUND'), a);
        }
        var p = (n[i] = { exports: {} });
        e[i][0].call(
          p.exports,
          function (r) {
            var n = e[i][1][r];
            return o(n || r);
          },
          p,
          p.exports,
          r,
          e,
          n,
          t,
        );
      }
      return n[i].exports;
    }
    for (var u = 'function' == typeof require && require, i = 0; i < t.length; i++) o(t[i]);
    return o;
  }
  return r;
})()(
  {
    1: [
      function (require, module, exports) {
        'use strict';
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.WASM_INFERENCE_DIMENSIONS = exports.BODYPIX_INFERENCE_DIMENSIONS = exports.INFERENCE_CONFIG = exports.MODEL_CONFIG = exports.TFLITE_SIMD_LOADER_NAME = exports.TFLITE_LOADER_NAME = exports.MODEL_NAME = exports.PERSON_PROBABILITY_THRESHOLD = exports.HISTORY_COUNT = exports.MASK_BLUR_RADIUS = exports.DEBOUNCE = exports.BLUR_FILTER_RADIUS = void 0;
        exports.BLUR_FILTER_RADIUS = 15;
        exports.DEBOUNCE = 2;
        exports.MASK_BLUR_RADIUS = 5;
        exports.HISTORY_COUNT = 5;
        exports.PERSON_PROBABILITY_THRESHOLD = 0.4;
        exports.MODEL_NAME = 'selfie_segmentation_landscape.tflite';
        exports.TFLITE_LOADER_NAME = 'tflite-1-0-0.js';
        exports.TFLITE_SIMD_LOADER_NAME = 'tflite-simd-1-0-0.js';
        exports.MODEL_CONFIG = {
          architecture: 'MobileNetV1',
          outputStride: 16,
          multiplier: 0.75,
          quantBytes: 4,
        };
        exports.INFERENCE_CONFIG = {
          internalResolution: 1,
          maxDetections: 1,
          segmentationThreshold: 0.75,
        };
        exports.BODYPIX_INFERENCE_DIMENSIONS = {
          width: 224,
          height: 224,
        };
        exports.WASM_INFERENCE_DIMENSIONS = {
          width: 256,
          height: 144,
        };
      },
      {},
    ],
    2: [
      function (require, module, exports) {
        'use strict';
        var __assign =
          (this && this.__assign) ||
          function () {
            __assign =
              Object.assign ||
              function (t) {
                for (var s, i = 1, n = arguments.length; i < n; i++) {
                  s = arguments[i];
                  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
                }
                return t;
              };
            return __assign.apply(this, arguments);
          };
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.VirtualBackgroundProcessor = exports.version = exports.isSupported = exports.ImageFit = exports.GaussianBlurBackgroundProcessor = void 0;
        var GaussianBlurBackgroundProcessor_1 = require('./processors/background/GaussianBlurBackgroundProcessor');
        Object.defineProperty(exports, 'GaussianBlurBackgroundProcessor', {
          enumerable: true,
          get: function () {
            return GaussianBlurBackgroundProcessor_1.GaussianBlurBackgroundProcessor;
          },
        });
        var VirtualBackgroundProcessor_1 = require('./processors/background/VirtualBackgroundProcessor');
        Object.defineProperty(exports, 'VirtualBackgroundProcessor', {
          enumerable: true,
          get: function () {
            return VirtualBackgroundProcessor_1.VirtualBackgroundProcessor;
          },
        });
        var types_1 = require('./types');
        Object.defineProperty(exports, 'ImageFit', {
          enumerable: true,
          get: function () {
            return types_1.ImageFit;
          },
        });
        var support_1 = require('./utils/support');
        Object.defineProperty(exports, 'isSupported', {
          enumerable: true,
          get: function () {
            return support_1.isSupported;
          },
        });
        var version_1 = require('./utils/version');
        Object.defineProperty(exports, 'version', {
          enumerable: true,
          get: function () {
            return version_1.version;
          },
        });
        window.Twilio = window.Twilio || {};
        window.Twilio.VideoProcessors = __assign(__assign({}, window.Twilio.VideoProcessors), {
          GaussianBlurBackgroundProcessor:
            GaussianBlurBackgroundProcessor_1.GaussianBlurBackgroundProcessor,
          ImageFit: types_1.ImageFit,
          isSupported: support_1.isSupported,
          version: version_1.version,
          VirtualBackgroundProcessor: VirtualBackgroundProcessor_1.VirtualBackgroundProcessor,
        });
      },
      {
        './processors/background/GaussianBlurBackgroundProcessor': 5,
        './processors/background/VirtualBackgroundProcessor': 6,
        './types': 7,
        './utils/support': 9,
        './utils/version': 10,
      },
    ],
    3: [
      function (require, module, exports) {
        'use strict';
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.Processor = void 0;
        /**
         * @private
         * The [[Processor]] is an abstract class for building your own custom processors.
         */
        var Processor = /** @class */ (function () {
          function Processor() {}
          return Processor;
        })();
        exports.Processor = Processor;
      },
      {},
    ],
    4: [
      function (require, module, exports) {
        'use strict';
        var __extends =
          (this && this.__extends) ||
          (function () {
            var extendStatics = function (d, b) {
              extendStatics =
                Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array &&
                  function (d, b) {
                    d.__proto__ = b;
                  }) ||
                function (d, b) {
                  for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p];
                };
              return extendStatics(d, b);
            };
            return function (d, b) {
              extendStatics(d, b);
              function __() {
                this.constructor = d;
              }
              d.prototype =
                b === null ? Object.create(b) : ((__.prototype = b.prototype), new __());
            };
          })();
        var __awaiter =
          (this && this.__awaiter) ||
          function (thisArg, _arguments, P, generator) {
            function adopt(value) {
              return value instanceof P
                ? value
                : new P(function (resolve) {
                    resolve(value);
                  });
            }
            return new (P || (P = Promise))(function (resolve, reject) {
              function fulfilled(value) {
                try {
                  step(generator.next(value));
                } catch (e) {
                  reject(e);
                }
              }
              function rejected(value) {
                try {
                  step(generator['throw'](value));
                } catch (e) {
                  reject(e);
                }
              }
              function step(result) {
                result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
              }
              step((generator = generator.apply(thisArg, _arguments || [])).next());
            });
          };
        var __generator =
          (this && this.__generator) ||
          function (thisArg, body) {
            var _ = {
                label: 0,
                sent: function () {
                  if (t[0] & 1) throw t[1];
                  return t[1];
                },
                trys: [],
                ops: [],
              },
              f,
              y,
              t,
              g;
            return (
              (g = { next: verb(0), throw: verb(1), return: verb(2) }),
              typeof Symbol === 'function' &&
                (g[Symbol.iterator] = function () {
                  return this;
                }),
              g
            );
            function verb(n) {
              return function (v) {
                return step([n, v]);
              };
            }
            function step(op) {
              if (f) throw new TypeError('Generator is already executing.');
              while (_)
                try {
                  if (
                    ((f = 1),
                    y &&
                      (t =
                        op[0] & 2
                          ? y['return']
                          : op[0]
                          ? y['throw'] || ((t = y['return']) && t.call(y), 0)
                          : y.next) &&
                      !(t = t.call(y, op[1])).done)
                  )
                    return t;
                  if (((y = 0), t)) op = [op[0] & 2, t.value];
                  switch (op[0]) {
                    case 0:
                    case 1:
                      t = op;
                      break;
                    case 4:
                      _.label++;
                      return { value: op[1], done: false };
                    case 5:
                      _.label++;
                      y = op[1];
                      op = [0];
                      continue;
                    case 7:
                      op = _.ops.pop();
                      _.trys.pop();
                      continue;
                    default:
                      if (
                        !((t = _.trys), (t = t.length > 0 && t[t.length - 1])) &&
                        (op[0] === 6 || op[0] === 2)
                      ) {
                        _ = 0;
                        continue;
                      }
                      if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                        _.label = op[1];
                        break;
                      }
                      if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                      }
                      if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                      }
                      if (t[2]) _.ops.pop();
                      _.trys.pop();
                      continue;
                  }
                  op = body.call(thisArg, _);
                } catch (e) {
                  op = [6, e];
                  y = 0;
                } finally {
                  f = t = 0;
                }
              if (op[0] & 5) throw op[1];
              return { value: op[0] ? op[1] : void 0, done: true };
            }
          };
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.BackgroundProcessor = void 0;
        require('@tensorflow/tfjs-backend-webgl');
        require('@tensorflow/tfjs-backend-cpu');
        var body_pix_1 = require('@tensorflow-models/body-pix');
        var Processor_1 = require('../Processor');
        var Benchmark_1 = require('../../utils/Benchmark');
        var version_1 = require('../../utils/version');
        var constants_1 = require('../../constants');
        /**
         * @private
         */
        var BackgroundProcessor = /** @class */ (function (_super) {
          __extends(BackgroundProcessor, _super);
          function BackgroundProcessor(options) {
            var _this = _super.call(this) || this;
            _this._currentMask = new Uint8ClampedArray();
            _this._debounce = constants_1.DEBOUNCE;
            _this._dummyImageData = new ImageData(1, 1);
            _this._historyCount = constants_1.HISTORY_COUNT;
            _this._inferenceConfig = constants_1.INFERENCE_CONFIG;
            _this._inferenceDimensions = constants_1.WASM_INFERENCE_DIMENSIONS;
            _this._inputMemoryOffset = 0;
            // tslint:disable-next-line no-unused-variable
            _this._isSimdEnabled = null;
            _this._maskBlurRadius = constants_1.MASK_BLUR_RADIUS;
            _this._maskUsageCounter = 0;
            _this._outputMemoryOffset = 0;
            _this._personProbabilityThreshold = constants_1.PERSON_PROBABILITY_THRESHOLD;
            // tslint:disable-next-line no-unused-variable
            _this._version = version_1.version;
            if (typeof options.assetsPath !== 'string') {
              throw new Error('assetsPath parameter is missing');
            }
            var assetsPath = options.assetsPath;
            if (assetsPath && assetsPath[assetsPath.length - 1] !== '/') {
              assetsPath += '/';
            }
            _this.maskBlurRadius = options.maskBlurRadius;
            _this._assetsPath = assetsPath;
            _this._debounce = options.debounce || constants_1.DEBOUNCE;
            _this._historyCount = options.historyCount || constants_1.HISTORY_COUNT;
            _this._inferenceConfig = options.inferenceConfig || constants_1.INFERENCE_CONFIG;
            _this._personProbabilityThreshold =
              options.personProbabilityThreshold || constants_1.PERSON_PROBABILITY_THRESHOLD;
            _this._useWasm = typeof options.useWasm === 'boolean' ? options.useWasm : true;
            _this._inferenceDimensions =
              options.inferenceDimensions ||
              (_this._useWasm
                ? constants_1.WASM_INFERENCE_DIMENSIONS
                : constants_1.BODYPIX_INFERENCE_DIMENSIONS);
            _this._benchmark = new Benchmark_1.Benchmark();
            _this._inputCanvas = document.createElement('canvas');
            _this._inputContext = _this._inputCanvas.getContext('2d');
            _this._maskCanvas = new OffscreenCanvas(1, 1);
            _this._maskContext = _this._maskCanvas.getContext('2d');
            _this._outputCanvas = document.createElement('canvas');
            _this._outputContext = _this._outputCanvas.getContext('2d');
            _this._masks = [];
            return _this;
          }
          BackgroundProcessor._loadModel = function (config) {
            if (config === void 0) {
              config = constants_1.MODEL_CONFIG;
            }
            return __awaiter(this, void 0, void 0, function () {
              var _a;
              return __generator(this, function (_b) {
                switch (_b.label) {
                  case 0:
                    _a = BackgroundProcessor;
                    return [
                      4 /*yield*/,
                      body_pix_1.load(config).catch(function (error) {
                        return console.error('Unable to load model.', error);
                      }),
                    ];
                  case 1:
                    _a._model = _b.sent() || null;
                    return [2 /*return*/];
                }
              });
            });
          };
          Object.defineProperty(BackgroundProcessor.prototype, 'maskBlurRadius', {
            /**
             * The current blur radius when smoothing out the edges of the person's mask.
             */
            get: function () {
              return this._maskBlurRadius;
            },
            /**
             * Set a new blur radius to be used when smoothing out the edges of the person's mask.
             */
            set: function (radius) {
              if (typeof radius !== 'number' || radius < 0) {
                console.warn(
                  'Valid mask blur radius not found. Using ' +
                    constants_1.MASK_BLUR_RADIUS +
                    ' as default.',
                );
                radius = constants_1.MASK_BLUR_RADIUS;
              }
              this._maskBlurRadius = radius;
            },
            enumerable: false,
            configurable: true,
          });
          /**
           * Load the segmentation model.
           * Call this method before attaching the processor to ensure
           * video frames are processed correctly.
           */
          BackgroundProcessor.prototype.loadModel = function () {
            return __awaiter(this, void 0, void 0, function () {
              var _a, tflite, modelResponse, model, modelBufferOffset;
              return __generator(this, function (_b) {
                switch (_b.label) {
                  case 0:
                    return [
                      4 /*yield*/,
                      Promise.all([
                        BackgroundProcessor._loadModel(),
                        this._loadTwilioTfLite(),
                        fetch(this._assetsPath + constants_1.MODEL_NAME),
                      ]),
                    ];
                  case 1:
                    (_a = _b.sent()), (tflite = _a[1]), (modelResponse = _a[2]);
                    return [4 /*yield*/, modelResponse.arrayBuffer()];
                  case 2:
                    model = _b.sent();
                    modelBufferOffset = tflite._getModelBufferMemoryOffset();
                    tflite.HEAPU8.set(new Uint8Array(model), modelBufferOffset);
                    tflite._loadModel(model.byteLength);
                    this._inputMemoryOffset = tflite._getInputMemoryOffset() / 4;
                    this._outputMemoryOffset = tflite._getOutputMemoryOffset() / 4;
                    this._tflite = tflite;
                    return [2 /*return*/];
                }
              });
            });
          };
          /**
           * Apply a transform to the background of an input video frame and leaving
           * the foreground (person(s)) untouched. Any exception detected will
           * result in the frame being dropped.
           * @param inputFrameBuffer - The source of the input frame to process.
           * @param outputFrameBuffer - The output frame buffer to use to draw the processed frame.
           */
          BackgroundProcessor.prototype.processFrame = function (
            inputFrameBuffer,
            outputFrameBuffer,
          ) {
            return __awaiter(this, void 0, void 0, function () {
              var inputFrame,
                captureWidth,
                captureHeight,
                _a,
                inferenceWidth,
                inferenceHeight,
                reInitDummyImage,
                personMask;
              return __generator(this, function (_b) {
                switch (_b.label) {
                  case 0:
                    if (!BackgroundProcessor._model || !this._tflite) {
                      return [2 /*return*/];
                    }
                    if (!inputFrameBuffer || !outputFrameBuffer) {
                      throw new Error('Missing input or output frame buffer');
                    }
                    this._benchmark.end('captureFrameDelay');
                    this._benchmark.start('processFrameDelay');
                    inputFrame = inputFrameBuffer;
                    (captureWidth = inputFrame.width), (captureHeight = inputFrame.height);
                    (_a = this._inferenceDimensions),
                      (inferenceWidth = _a.width),
                      (inferenceHeight = _a.height);
                    if (this._outputCanvas !== outputFrameBuffer) {
                      this._outputCanvas = outputFrameBuffer;
                      this._outputContext = outputFrameBuffer.getContext('2d');
                    }
                    reInitDummyImage = false;
                    if (this._inputCanvas.width !== inferenceWidth) {
                      this._inputCanvas.width = inferenceWidth;
                      this._maskCanvas.width = inferenceWidth;
                      reInitDummyImage = true;
                    }
                    if (this._inputCanvas.height !== inferenceHeight) {
                      this._inputCanvas.height = inferenceHeight;
                      this._maskCanvas.height = inferenceHeight;
                      reInitDummyImage = true;
                    }
                    if (reInitDummyImage) {
                      this._dummyImageData = new ImageData(
                        new Uint8ClampedArray(inferenceWidth * inferenceHeight * 4),
                        inferenceWidth,
                        inferenceHeight,
                      );
                    }
                    return [4 /*yield*/, this._createPersonMask(inputFrame)];
                  case 1:
                    personMask = _b.sent();
                    this._benchmark.start('imageCompositionDelay');
                    this._maskContext.putImageData(personMask, 0, 0);
                    this._outputContext.save();
                    this._outputContext.filter = 'blur(' + this._maskBlurRadius + 'px)';
                    this._outputContext.globalCompositeOperation = 'copy';
                    this._outputContext.drawImage(
                      this._maskCanvas,
                      0,
                      0,
                      captureWidth,
                      captureHeight,
                    );
                    this._outputContext.filter = 'none';
                    this._outputContext.globalCompositeOperation = 'source-in';
                    this._outputContext.drawImage(inputFrame, 0, 0, captureWidth, captureHeight);
                    this._outputContext.globalCompositeOperation = 'destination-over';
                    this._setBackground(inputFrame);
                    this._outputContext.restore();
                    this._benchmark.end('imageCompositionDelay');
                    this._benchmark.end('processFrameDelay');
                    this._benchmark.end('totalProcessingDelay');
                    // NOTE (csantos): Start the benchmark from here so we can include the delay from the Video sdk
                    // for a more accurate fps
                    this._benchmark.start('totalProcessingDelay');
                    this._benchmark.start('captureFrameDelay');
                    return [2 /*return*/];
                }
              });
            });
          };
          BackgroundProcessor.prototype._addMask = function (mask) {
            if (this._masks.length >= this._historyCount) {
              this._masks.splice(0, this._masks.length - this._historyCount + 1);
            }
            this._masks.push(mask);
          };
          BackgroundProcessor.prototype._applyAlpha = function (imageData) {
            var weightedSum = this._masks.reduce(function (sum, mask, j) {
              return sum + (j + 1) * (j + 1);
            }, 0);
            var pixels = imageData.height * imageData.width;
            var _loop_1 = function (i) {
              var w =
                this_1._masks.reduce(function (sum, mask, j) {
                  return sum + mask[i] * (j + 1) * (j + 1);
                }, 0) / weightedSum;
              imageData.data[i * 4 + 3] = Math.round(w * 255);
            };
            var this_1 = this;
            for (var i = 0; i < pixels; i++) {
              _loop_1(i);
            }
          };
          BackgroundProcessor.prototype._createPersonMask = function (inputFrame) {
            return __awaiter(this, void 0, void 0, function () {
              var imageData, shouldRunInference, _a, _b;
              return __generator(this, function (_c) {
                switch (_c.label) {
                  case 0:
                    imageData = this._dummyImageData;
                    shouldRunInference = this._maskUsageCounter < 1;
                    this._benchmark.start('inputImageResizeDelay');
                    if (shouldRunInference) {
                      imageData = this._getResizedInputImageData(inputFrame);
                    }
                    this._benchmark.end('inputImageResizeDelay');
                    this._benchmark.start('segmentationDelay');
                    if (!shouldRunInference) return [3 /*break*/, 4];
                    _a = this;
                    if (!this._useWasm) return [3 /*break*/, 1];
                    _b = this._runTwilioTfLiteInference(imageData);
                    return [3 /*break*/, 3];
                  case 1:
                    return [4 /*yield*/, this._runBodyPixInference(imageData)];
                  case 2:
                    _b = _c.sent();
                    _c.label = 3;
                  case 3:
                    _a._currentMask = _b;
                    this._maskUsageCounter = this._debounce;
                    _c.label = 4;
                  case 4:
                    this._addMask(this._currentMask);
                    this._applyAlpha(imageData);
                    this._maskUsageCounter--;
                    this._benchmark.end('segmentationDelay');
                    return [2 /*return*/, imageData];
                }
              });
            });
          };
          BackgroundProcessor.prototype._getResizedInputImageData = function (inputFrame) {
            var _a = this._inputCanvas,
              width = _a.width,
              height = _a.height;
            this._inputContext.drawImage(inputFrame, 0, 0, width, height);
            var imageData = this._inputContext.getImageData(0, 0, width, height);
            return imageData;
          };
          BackgroundProcessor.prototype._loadJs = function (url) {
            return new Promise(function (resolve, reject) {
              var script = document.createElement('script');
              script.onload = function () {
                return resolve();
              };
              script.onerror = reject;
              document.head.append(script);
              script.src = url;
            });
          };
          BackgroundProcessor.prototype._loadTwilioTfLite = function () {
            return __awaiter(this, void 0, void 0, function () {
              var tflite, _a;
              return __generator(this, function (_b) {
                switch (_b.label) {
                  case 0:
                    return [
                      4 /*yield*/,
                      this._loadJs(this._assetsPath + constants_1.TFLITE_SIMD_LOADER_NAME),
                    ];
                  case 1:
                    _b.sent();
                    _b.label = 2;
                  case 2:
                    _b.trys.push([2, 4, , 7]);
                    return [4 /*yield*/, window.createTwilioTFLiteSIMDModule()];
                  case 3:
                    tflite = _b.sent();
                    this._isSimdEnabled = true;
                    return [3 /*break*/, 7];
                  case 4:
                    _a = _b.sent();
                    console.warn(
                      'SIMD not supported. You may experience poor quality of background replacement.',
                    );
                    return [
                      4 /*yield*/,
                      this._loadJs(this._assetsPath + constants_1.TFLITE_LOADER_NAME),
                    ];
                  case 5:
                    _b.sent();
                    return [4 /*yield*/, window.createTwilioTFLiteModule()];
                  case 6:
                    tflite = _b.sent();
                    this._isSimdEnabled = false;
                    return [3 /*break*/, 7];
                  case 7:
                    return [2 /*return*/, tflite];
                }
              });
            });
          };
          BackgroundProcessor.prototype._runBodyPixInference = function (inputImage) {
            return __awaiter(this, void 0, void 0, function () {
              var segment;
              return __generator(this, function (_a) {
                switch (_a.label) {
                  case 0:
                    return [
                      4 /*yield*/,
                      BackgroundProcessor._model.segmentPerson(inputImage, this._inferenceConfig),
                    ];
                  case 1:
                    segment = _a.sent();
                    return [2 /*return*/, segment.data];
                }
              });
            });
          };
          BackgroundProcessor.prototype._runTwilioTfLiteInference = function (inputImage) {
            var _a = this,
              _b = _a._inferenceDimensions,
              width = _b.width,
              height = _b.height,
              offset = _a._inputMemoryOffset,
              tflite = _a._tflite;
            var pixels = width * height;
            for (var i = 0; i < pixels; i++) {
              tflite.HEAPF32[offset + i * 3] = inputImage.data[i * 4] / 255;
              tflite.HEAPF32[offset + i * 3 + 1] = inputImage.data[i * 4 + 1] / 255;
              tflite.HEAPF32[offset + i * 3 + 2] = inputImage.data[i * 4 + 2] / 255;
            }
            tflite._runInference();
            var inferenceData = new Uint8ClampedArray(pixels * 4);
            for (var i = 0; i < pixels; i++) {
              var personProbability = tflite.HEAPF32[this._outputMemoryOffset + i];
              inferenceData[i] =
                Number(personProbability >= this._personProbabilityThreshold) * personProbability;
            }
            return inferenceData;
          };
          BackgroundProcessor._model = null;
          return BackgroundProcessor;
        })(Processor_1.Processor);
        exports.BackgroundProcessor = BackgroundProcessor;
      },
      {
        '../../constants': 1,
        '../../utils/Benchmark': 8,
        '../../utils/version': 10,
        '../Processor': 3,
        '@tensorflow-models/body-pix': 15,
        '@tensorflow/tfjs-backend-cpu': 32,
        '@tensorflow/tfjs-backend-webgl': 33,
      },
    ],
    5: [
      function (require, module, exports) {
        'use strict';
        var __extends =
          (this && this.__extends) ||
          (function () {
            var extendStatics = function (d, b) {
              extendStatics =
                Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array &&
                  function (d, b) {
                    d.__proto__ = b;
                  }) ||
                function (d, b) {
                  for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p];
                };
              return extendStatics(d, b);
            };
            return function (d, b) {
              extendStatics(d, b);
              function __() {
                this.constructor = d;
              }
              d.prototype =
                b === null ? Object.create(b) : ((__.prototype = b.prototype), new __());
            };
          })();
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.GaussianBlurBackgroundProcessor = void 0;
        var BackgroundProcessor_1 = require('./BackgroundProcessor');
        var constants_1 = require('../../constants');
        /**
         * The GaussianBlurBackgroundProcessor, when added to a VideoTrack,
         * applies a gaussian blur filter on the background in each video frame
         * and leaves the foreground (person(s)) untouched. Each instance of
         * GaussianBlurBackgroundProcessor should be added to only one VideoTrack
         * at a time to prevent overlapping of image data from multiple VideoTracks.
         *
         * @example
         *
         * ```ts
         * import { createLocalVideoTrack } from 'twilio-video';
         * import { GaussianBlurBackgroundProcessor } from '@twilio/video-processors';
         *
         * const blurBackground = new GaussianBlurBackgroundProcessor({
         *   assetsPath: 'https://my-server-path/assets'
         * });
         *
         * blurBackground.loadModel().then(() => {
         *   createLocalVideoTrack({
         *     width: 640,
         *     height: 480,
         *     frameRate: 24
         *   }).then(track => {
         *     track.addProcessor(blurBackground);
         *   });
         * });
         * ```
         */
        var GaussianBlurBackgroundProcessor = /** @class */ (function (_super) {
          __extends(GaussianBlurBackgroundProcessor, _super);
          /**
           * Construct a GaussianBlurBackgroundProcessor. Default values will be used for
           * any missing properties in [[GaussianBlurBackgroundProcessorOptions]], and
           * invalid properties will be ignored.
           */
          function GaussianBlurBackgroundProcessor(options) {
            var _this = _super.call(this, options) || this;
            _this._blurFilterRadius = constants_1.BLUR_FILTER_RADIUS;
            // tslint:disable-next-line no-unused-variable
            _this._name = 'GaussianBlurBackgroundProcessor';
            _this.blurFilterRadius = options.blurFilterRadius;
            return _this;
          }
          Object.defineProperty(GaussianBlurBackgroundProcessor.prototype, 'blurFilterRadius', {
            /**
             * The current background blur filter radius in pixels.
             */
            get: function () {
              return this._blurFilterRadius;
            },
            /**
             * Set a new background blur filter radius in pixels.
             */
            set: function (radius) {
              if (!radius) {
                console.warn(
                  'Valid blur filter radius not found. Using ' +
                    constants_1.BLUR_FILTER_RADIUS +
                    ' as default.',
                );
                radius = constants_1.BLUR_FILTER_RADIUS;
              }
              this._blurFilterRadius = radius;
            },
            enumerable: false,
            configurable: true,
          });
          GaussianBlurBackgroundProcessor.prototype._setBackground = function (inputFrame) {
            this._outputContext.filter = 'blur(' + this._blurFilterRadius + 'px)';
            this._outputContext.drawImage(inputFrame, 0, 0);
          };
          return GaussianBlurBackgroundProcessor;
        })(BackgroundProcessor_1.BackgroundProcessor);
        exports.GaussianBlurBackgroundProcessor = GaussianBlurBackgroundProcessor;
      },
      { '../../constants': 1, './BackgroundProcessor': 4 },
    ],
    6: [
      function (require, module, exports) {
        'use strict';
        var __extends =
          (this && this.__extends) ||
          (function () {
            var extendStatics = function (d, b) {
              extendStatics =
                Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array &&
                  function (d, b) {
                    d.__proto__ = b;
                  }) ||
                function (d, b) {
                  for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p];
                };
              return extendStatics(d, b);
            };
            return function (d, b) {
              extendStatics(d, b);
              function __() {
                this.constructor = d;
              }
              d.prototype =
                b === null ? Object.create(b) : ((__.prototype = b.prototype), new __());
            };
          })();
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.VirtualBackgroundProcessor = void 0;
        var BackgroundProcessor_1 = require('./BackgroundProcessor');
        var types_1 = require('../../types');
        /**
         * The VirtualBackgroundProcessor, when added to a VideoTrack,
         * replaces the background in each video frame with a given image,
         * and leaves the foreground (person(s)) untouched. Each instance of
         * VirtualBackgroundProcessor should be added to only one VideoTrack
         * at a time to prevent overlapping of image data from multiple VideoTracks.
         *
         * @example
         *
         * ```ts
         * import { createLocalVideoTrack } from 'twilio-video';
         * import { VirtualBackgroundProcessor } from '@twilio/video-processors';
         *
         * let virtualBackground;
         * const img = new Image();
         *
         * img.onload = () => {
         *   virtualBackground = new VirtualBackgroundProcessor({
         *     assetsPath: 'https://my-server-path/assets',
         *     backgroundImage: img,
         *   });
         *
         *   virtualBackground.loadModel().then(() => {
         *     createLocalVideoTrack({
         *       width: 640,
         *       height: 480,
         *       frameRate: 24
         *     }).then(track => {
         *       track.addProcessor(virtualBackground);
         *     });
         *   });
         * };
         * img.src = '/background.jpg';
         * ```
         */
        var VirtualBackgroundProcessor = /** @class */ (function (_super) {
          __extends(VirtualBackgroundProcessor, _super);
          /**
           * Construct a VirtualBackgroundProcessor. Default values will be used for
           * any missing optional properties in [[VirtualBackgroundProcessorOptions]],
           * and invalid properties will be ignored.
           */
          function VirtualBackgroundProcessor(options) {
            var _this = _super.call(this, options) || this;
            // tslint:disable-next-line no-unused-variable
            _this._name = 'VirtualBackgroundProcessor';
            _this.backgroundImage = options.backgroundImage;
            _this.fitType = options.fitType;
            return _this;
          }
          Object.defineProperty(VirtualBackgroundProcessor.prototype, 'backgroundImage', {
            /**
             * The HTMLImageElement representing the current background image.
             */
            get: function () {
              return this._backgroundImage;
            },
            /**
             * Set an HTMLImageElement as the new background image.
             * An error will be raised if the image hasn't been fully loaded yet. Additionally, the image must follow
             * [security guidelines](https://developer.mozilla.org/en-US/docs/Web/HTML/CORS_enabled_image)
             * when loading the image from a different origin. Failing to do so will result to an empty output frame.
             */
            set: function (image) {
              if (!image || !image.complete || !image.naturalHeight) {
                throw new Error(
                  'Invalid image. Make sure that the image is an HTMLImageElement and has been successfully loaded',
                );
              }
              this._backgroundImage = image;
            },
            enumerable: false,
            configurable: true,
          });
          Object.defineProperty(VirtualBackgroundProcessor.prototype, 'fitType', {
            /**
             * The current [[ImageFit]] for positioning of the background image in the viewport.
             */
            get: function () {
              return this._fitType;
            },
            /**
             * Set a new [[ImageFit]] to be used for positioning the background image in the viewport.
             */
            set: function (fitType) {
              var validTypes = Object.keys(types_1.ImageFit);
              if (!validTypes.includes(fitType)) {
                console.warn(
                  "Valid fitType not found. Using '" + types_1.ImageFit.Fill + "' as default.",
                );
                fitType = types_1.ImageFit.Fill;
              }
              this._fitType = fitType;
            },
            enumerable: false,
            configurable: true,
          });
          VirtualBackgroundProcessor.prototype._setBackground = function () {
            var img = this._backgroundImage;
            var imageWidth = img.naturalWidth;
            var imageHeight = img.naturalHeight;
            var canvasWidth = this._outputCanvas.width;
            var canvasHeight = this._outputCanvas.height;
            if (this._fitType === types_1.ImageFit.Fill) {
              this._outputContext.drawImage(
                img,
                0,
                0,
                imageWidth,
                imageHeight,
                0,
                0,
                canvasWidth,
                canvasHeight,
              );
            } else if (this._fitType === types_1.ImageFit.None) {
              this._outputContext.drawImage(img, 0, 0, imageWidth, imageHeight);
            } else if (this._fitType === types_1.ImageFit.Contain) {
              var _a = this._getFitPosition(
                  imageWidth,
                  imageHeight,
                  canvasWidth,
                  canvasHeight,
                  types_1.ImageFit.Contain,
                ),
                x = _a.x,
                y = _a.y,
                w = _a.w,
                h = _a.h;
              this._outputContext.drawImage(img, 0, 0, imageWidth, imageHeight, x, y, w, h);
            } else if (this._fitType === types_1.ImageFit.Cover) {
              var _b = this._getFitPosition(
                  imageWidth,
                  imageHeight,
                  canvasWidth,
                  canvasHeight,
                  types_1.ImageFit.Cover,
                ),
                x = _b.x,
                y = _b.y,
                w = _b.w,
                h = _b.h;
              this._outputContext.drawImage(img, 0, 0, imageWidth, imageHeight, x, y, w, h);
            }
          };
          VirtualBackgroundProcessor.prototype._getFitPosition = function (
            contentWidth,
            contentHeight,
            viewportWidth,
            viewportHeight,
            type,
          ) {
            // Calculate new content width to fit viewport width
            var factor = viewportWidth / contentWidth;
            var newContentWidth = viewportWidth;
            var newContentHeight = factor * contentHeight;
            // Scale down the resulting height and width more
            // to fit viewport height if the content still exceeds it
            if (
              (type === types_1.ImageFit.Contain && newContentHeight > viewportHeight) ||
              (type === types_1.ImageFit.Cover && viewportHeight > newContentHeight)
            ) {
              factor = viewportHeight / newContentHeight;
              newContentWidth = factor * newContentWidth;
              newContentHeight = viewportHeight;
            }
            // Calculate the destination top left corner to center the content
            var x = (viewportWidth - newContentWidth) / 2;
            var y = (viewportHeight - newContentHeight) / 2;
            return {
              x: x,
              y: y,
              w: newContentWidth,
              h: newContentHeight,
            };
          };
          return VirtualBackgroundProcessor;
        })(BackgroundProcessor_1.BackgroundProcessor);
        exports.VirtualBackgroundProcessor = VirtualBackgroundProcessor;
      },
      { '../../types': 7, './BackgroundProcessor': 4 },
    ],
    7: [
      function (require, module, exports) {
        'use strict';
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.ImageFit = void 0;
        /**
         * ImageFit specifies the positioning of an image inside a viewport.
         */
        var ImageFit;
        (function (ImageFit) {
          /**
           * Scale the image up or down to fill the viewport while preserving the aspect ratio.
           * The image will be fully visible but will add empty space in the viewport if
           * aspect ratios do not match.
           */
          ImageFit['Contain'] = 'Contain';
          /**
           * Scale the image to fill both height and width of the viewport while preserving
           * the aspect ratio, but will crop the image if aspect ratios do not match.
           */
          ImageFit['Cover'] = 'Cover';
          /**
           * Stretches the image to fill the viewport regardless of aspect ratio.
           */
          ImageFit['Fill'] = 'Fill';
          /**
           * Ignore height and width and use the original size.
           */
          ImageFit['None'] = 'None';
        })((ImageFit = exports.ImageFit || (exports.ImageFit = {})));
      },
      {},
    ],
    8: [
      function (require, module, exports) {
        'use strict';
        var __assign =
          (this && this.__assign) ||
          function () {
            __assign =
              Object.assign ||
              function (t) {
                for (var s, i = 1, n = arguments.length; i < n; i++) {
                  s = arguments[i];
                  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
                }
                return t;
              };
            return __assign.apply(this, arguments);
          };
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.Benchmark = void 0;
        /**
         * @private
         */
        var Benchmark = /** @class */ (function () {
          function Benchmark() {
            this._timingCache = new Map();
            this._timings = new Map();
          }
          Benchmark.prototype.end = function (name) {
            var timing = this._timings.get(name);
            if (!timing) {
              return;
            }
            timing.end = Date.now();
            timing.delay = timing.end - timing.start;
            this._save(name, __assign({}, timing));
          };
          Benchmark.prototype.getAverageDelay = function (name) {
            var timingCache = this._timingCache.get(name);
            if (!timingCache || !timingCache.length) {
              return;
            }
            return (
              timingCache
                .map(function (timing) {
                  return timing.delay;
                })
                .reduce(function (total, value) {
                  return (total += value);
                }, 0) / timingCache.length
            );
          };
          Benchmark.prototype.getNames = function () {
            return Array.from(this._timingCache.keys());
          };
          Benchmark.prototype.getRate = function (name) {
            var timingCache = this._timingCache.get(name);
            if (!timingCache || timingCache.length < 2) {
              return;
            }
            var totalDelay = timingCache[timingCache.length - 1].end - timingCache[0].start;
            return (timingCache.length / totalDelay) * 1000;
          };
          Benchmark.prototype.start = function (name) {
            var timing = this._timings.get(name);
            if (!timing) {
              timing = {};
              this._timings.set(name, timing);
            }
            timing.start = Date.now();
            delete timing.end;
            delete timing.delay;
          };
          Benchmark.prototype._save = function (name, timing) {
            var timingCache = this._timingCache.get(name);
            if (!timingCache) {
              timingCache = [];
              this._timingCache.set(name, timingCache);
            }
            timingCache.push(timing);
            if (timingCache.length > Benchmark.cacheSize) {
              timingCache.splice(0, timingCache.length - Benchmark.cacheSize);
            }
          };
          // NOTE (csantos): How many timing information to save per benchmark.
          // This is about the amount of timing info generated on a 24fps input.
          // Enough samples to calculate fps
          Benchmark.cacheSize = 41;
          return Benchmark;
        })();
        exports.Benchmark = Benchmark;
      },
      {},
    ],
    9: [
      function (require, module, exports) {
        'use strict';
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.isSupported = exports.isBrowserSupported = void 0;
        /**
         * @private
         */
        function isBrowserSupported() {
          return (
            !!window.OffscreenCanvas && !/Mobi/i.test(window.navigator.userAgent) && !!window.chrome
          );
        }
        exports.isBrowserSupported = isBrowserSupported;
        /**
         * Check if the current browser is officially supported by twilio-video-procesors.js.
         * This is set to `true` for chromium-based desktop browsers.
         * @example
         * ```ts
         * import { isSupported } from '@twilio/video-processors';
         *
         * if (isSupported) {
         *   // Initialize the background processors
         * }
         * ```
         */
        exports.isSupported = isBrowserSupported();
      },
      {},
    ],
    10: [
      function (require, module, exports) {
        'use strict';
        // This file is generated on build. To make changes, see scripts/version.js
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.version = void 0;
        /**
         * The current version of the library.
         */
        exports.version = '1.0.1';
      },
      {},
    ],
    11: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2019 Google Inc. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.BaseModel = void 0;
        var tf = require('@tensorflow/tfjs-core');
        /**
         * BodyPix supports using various convolution neural network models
         * (e.g. ResNet and MobileNetV1) as its underlying base model.
         * The following BaseModel interface defines a unified interface for
         * creating such BodyPix base models. Currently both MobileNet (in
         * ./mobilenet.ts) and ResNet (in ./resnet.ts) implements the BaseModel
         * interface. New base models that conform to the BaseModel interface can be
         * added to BodyPix.
         */
        var BaseModel = /** @class */ (function () {
          function BaseModel(model, outputStride) {
            this.model = model;
            this.outputStride = outputStride;
            var inputShape = this.model.inputs[0].shape;
            tf.util.assert(inputShape[1] === -1 && inputShape[2] === -1, function () {
              return (
                'Input shape [' +
                inputShape[1] +
                ', ' +
                inputShape[2] +
                '] ' +
                'must both be equal to or -1'
              );
            });
          }
          /**
           * Predicts intermediate Tensor representations.
           *
           * @param input The input RGB image of the base model.
           * A Tensor of shape: [`inputResolution`, `inputResolution`, 3].
           *
           * @return A dictionary of base model's intermediate predictions.
           * The returned dictionary should contains the following elements:
           * - heatmapScores: A Tensor3D that represents the keypoint heatmap scores.
           * - offsets: A Tensor3D that represents the offsets.
           * - displacementFwd: A Tensor3D that represents the forward displacement.
           * - displacementBwd: A Tensor3D that represents the backward displacement.
           * - segmentation: A Tensor3D that represents the segmentation of all
           * people.
           * - longOffsets: A Tensor3D that represents the long offsets used for
           * instance grouping.
           * - partHeatmaps: A Tensor3D that represents the body part segmentation.
           */
          BaseModel.prototype.predict = function (input) {
            var _this = this;
            return tf.tidy(function () {
              var asFloat = _this.preprocessInput(tf.cast(input, 'float32'));
              var asBatch = tf.expandDims(asFloat, 0);
              var results = _this.model.predict(asBatch);
              var results3d = results.map(function (y) {
                return tf.squeeze(y, [0]);
              });
              var namedResults = _this.nameOutputResults(results3d);
              return {
                heatmapScores: tf.sigmoid(namedResults.heatmap),
                offsets: namedResults.offsets,
                displacementFwd: namedResults.displacementFwd,
                displacementBwd: namedResults.displacementBwd,
                segmentation: namedResults.segmentation,
                partHeatmaps: namedResults.partHeatmaps,
                longOffsets: namedResults.longOffsets,
                partOffsets: namedResults.partOffsets,
              };
            });
          };
          /**
           * Releases the CPU and GPU memory allocated by the model.
           */
          BaseModel.prototype.dispose = function () {
            this.model.dispose();
          };
          return BaseModel;
        })();
        exports.BaseModel = BaseModel;
      },
      { '@tensorflow/tfjs-core': 35 },
    ],
    12: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.cpuBlur = void 0;
        // method copied from bGlur in https://codepen.io/zhaojun/pen/zZmRQe
        function cpuBlur(canvas, image, blur) {
          var ctx = canvas.getContext('2d');
          var sum = 0;
          var delta = 5;
          var alphaLeft = 1 / (2 * Math.PI * delta * delta);
          var step = blur < 3 ? 1 : 2;
          for (var y = -blur; y <= blur; y += step) {
            for (var x = -blur; x <= blur; x += step) {
              var weight = alphaLeft * Math.exp(-(x * x + y * y) / (2 * delta * delta));
              sum += weight;
            }
          }
          for (var y = -blur; y <= blur; y += step) {
            for (var x = -blur; x <= blur; x += step) {
              ctx.globalAlpha =
                ((alphaLeft * Math.exp(-(x * x + y * y) / (2 * delta * delta))) / sum) * blur;
              ctx.drawImage(image, x, y);
            }
          }
          ctx.globalAlpha = 1;
        }
        exports.cpuBlur = cpuBlur;
      },
      {},
    ],
    13: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2019 Google Inc. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var __assign =
          (this && this.__assign) ||
          function () {
            __assign =
              Object.assign ||
              function (t) {
                for (var s, i = 1, n = arguments.length; i < n; i++) {
                  s = arguments[i];
                  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
                }
                return t;
              };
            return __assign.apply(this, arguments);
          };
        var __awaiter =
          (this && this.__awaiter) ||
          function (thisArg, _arguments, P, generator) {
            function adopt(value) {
              return value instanceof P
                ? value
                : new P(function (resolve) {
                    resolve(value);
                  });
            }
            return new (P || (P = Promise))(function (resolve, reject) {
              function fulfilled(value) {
                try {
                  step(generator.next(value));
                } catch (e) {
                  reject(e);
                }
              }
              function rejected(value) {
                try {
                  step(generator['throw'](value));
                } catch (e) {
                  reject(e);
                }
              }
              function step(result) {
                result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
              }
              step((generator = generator.apply(thisArg, _arguments || [])).next());
            });
          };
        var __generator =
          (this && this.__generator) ||
          function (thisArg, body) {
            var _ = {
                label: 0,
                sent: function () {
                  if (t[0] & 1) throw t[1];
                  return t[1];
                },
                trys: [],
                ops: [],
              },
              f,
              y,
              t,
              g;
            return (
              (g = { next: verb(0), throw: verb(1), return: verb(2) }),
              typeof Symbol === 'function' &&
                (g[Symbol.iterator] = function () {
                  return this;
                }),
              g
            );
            function verb(n) {
              return function (v) {
                return step([n, v]);
              };
            }
            function step(op) {
              if (f) throw new TypeError('Generator is already executing.');
              while (_)
                try {
                  if (
                    ((f = 1),
                    y &&
                      (t =
                        op[0] & 2
                          ? y['return']
                          : op[0]
                          ? y['throw'] || ((t = y['return']) && t.call(y), 0)
                          : y.next) &&
                      !(t = t.call(y, op[1])).done)
                  )
                    return t;
                  if (((y = 0), t)) op = [op[0] & 2, t.value];
                  switch (op[0]) {
                    case 0:
                    case 1:
                      t = op;
                      break;
                    case 4:
                      _.label++;
                      return { value: op[1], done: false };
                    case 5:
                      _.label++;
                      y = op[1];
                      op = [0];
                      continue;
                    case 7:
                      op = _.ops.pop();
                      _.trys.pop();
                      continue;
                    default:
                      if (
                        !((t = _.trys), (t = t.length > 0 && t[t.length - 1])) &&
                        (op[0] === 6 || op[0] === 2)
                      ) {
                        _ = 0;
                        continue;
                      }
                      if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                        _.label = op[1];
                        break;
                      }
                      if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                      }
                      if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                      }
                      if (t[2]) _.ops.pop();
                      _.trys.pop();
                      continue;
                  }
                  op = body.call(thisArg, _);
                } catch (e) {
                  op = [6, e];
                  y = 0;
                } finally {
                  f = t = 0;
                }
              if (op[0] & 5) throw op[1];
              return { value: op[0] ? op[1] : void 0, done: true };
            }
          };
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.load = exports.BodyPix = exports.MULTI_PERSON_INSTANCE_INFERENCE_CONFIG = exports.PERSON_INFERENCE_CONFIG = void 0;
        var tfconv = require('@tensorflow/tfjs-converter');
        var tf = require('@tensorflow/tfjs-core');
        var decode_part_map_1 = require('./decode_part_map');
        var mobilenet_1 = require('./mobilenet');
        var decode_instance_masks_1 = require('./multi_person/decode_instance_masks');
        var decode_multiple_poses_1 = require('./multi_person/decode_multiple_poses');
        var resnet_1 = require('./resnet');
        var saved_models_1 = require('./saved_models');
        var util_1 = require('./util');
        var APPLY_SIGMOID_ACTIVATION = true;
        var FLIP_POSES_AFTER_SCALING = false;
        // The default configuration for loading MobileNetV1 based BodyPix.
        //
        // (And for references, the default configuration for loading ResNet
        // based PoseNet is also included).
        //
        // ```
        // const RESNET_CONFIG = {
        //   architecture: 'ResNet50',
        //   outputStride: 32,
        //   quantBytes: 4,
        // } as ModelConfig;
        // ```
        var MOBILENET_V1_CONFIG = {
          architecture: 'MobileNetV1',
          outputStride: 16,
          quantBytes: 4,
          multiplier: 0.75,
        };
        var VALID_ARCHITECTURE = ['MobileNetV1', 'ResNet50'];
        var VALID_STRIDE = {
          MobileNetV1: [8, 16, 32],
          ResNet50: [32, 16],
        };
        var VALID_MULTIPLIER = {
          MobileNetV1: [0.5, 0.75, 1.0],
          ResNet50: [1.0],
        };
        var VALID_QUANT_BYTES = [1, 2, 4];
        function validateModelConfig(config) {
          config = config || MOBILENET_V1_CONFIG;
          if (config.architecture == null) {
            config.architecture = 'MobileNetV1';
          }
          if (VALID_ARCHITECTURE.indexOf(config.architecture) < 0) {
            throw new Error(
              'Invalid architecture ' +
                config.architecture +
                '. ' +
                ('Should be one of ' + VALID_ARCHITECTURE),
            );
          }
          if (config.outputStride == null) {
            config.outputStride = 16;
          }
          if (VALID_STRIDE[config.architecture].indexOf(config.outputStride) < 0) {
            throw new Error(
              'Invalid outputStride ' +
                config.outputStride +
                '. ' +
                ('Should be one of ' + VALID_STRIDE[config.architecture] + ' ') +
                ('for architecture ' + config.architecture + '.'),
            );
          }
          if (config.multiplier == null) {
            config.multiplier = 1.0;
          }
          if (VALID_MULTIPLIER[config.architecture].indexOf(config.multiplier) < 0) {
            throw new Error(
              'Invalid multiplier ' +
                config.multiplier +
                '. ' +
                ('Should be one of ' + VALID_MULTIPLIER[config.architecture] + ' ') +
                ('for architecture ' + config.architecture + '.'),
            );
          }
          if (config.quantBytes == null) {
            config.quantBytes = 4;
          }
          if (VALID_QUANT_BYTES.indexOf(config.quantBytes) < 0) {
            throw new Error(
              'Invalid quantBytes ' +
                config.quantBytes +
                '. ' +
                ('Should be one of ' + VALID_QUANT_BYTES + ' ') +
                ('for architecture ' + config.architecture + '.'),
            );
          }
          return config;
        }
        exports.PERSON_INFERENCE_CONFIG = {
          flipHorizontal: false,
          internalResolution: 'medium',
          segmentationThreshold: 0.7,
          maxDetections: 10,
          scoreThreshold: 0.4,
          nmsRadius: 20,
        };
        exports.MULTI_PERSON_INSTANCE_INFERENCE_CONFIG = {
          flipHorizontal: false,
          internalResolution: 'medium',
          segmentationThreshold: 0.7,
          maxDetections: 10,
          scoreThreshold: 0.4,
          nmsRadius: 20,
          minKeypointScore: 0.3,
          refineSteps: 10,
        };
        function validatePersonInferenceConfig(config) {
          var segmentationThreshold = config.segmentationThreshold,
            maxDetections = config.maxDetections,
            scoreThreshold = config.scoreThreshold,
            nmsRadius = config.nmsRadius;
          if (segmentationThreshold < 0.0 || segmentationThreshold > 1.0) {
            throw new Error(
              'segmentationThreshold ' +
                segmentationThreshold +
                '. ' +
                'Should be in range [0.0, 1.0]',
            );
          }
          if (maxDetections <= 0) {
            throw new Error('Invalid maxDetections ' + maxDetections + '. ' + 'Should be > 0');
          }
          if (scoreThreshold < 0.0 || scoreThreshold > 1.0) {
            throw new Error(
              'Invalid scoreThreshold ' + scoreThreshold + '. ' + 'Should be in range [0.0, 1.0]',
            );
          }
          if (nmsRadius <= 0) {
            throw new Error('Invalid nmsRadius ' + nmsRadius + '.');
          }
        }
        function validateMultiPersonInstanceInferenceConfig(config) {
          var segmentationThreshold = config.segmentationThreshold,
            maxDetections = config.maxDetections,
            scoreThreshold = config.scoreThreshold,
            nmsRadius = config.nmsRadius,
            minKeypointScore = config.minKeypointScore,
            refineSteps = config.refineSteps;
          if (segmentationThreshold < 0.0 || segmentationThreshold > 1.0) {
            throw new Error(
              'segmentationThreshold ' +
                segmentationThreshold +
                '. ' +
                'Should be in range [0.0, 1.0]',
            );
          }
          if (maxDetections <= 0) {
            throw new Error('Invalid maxDetections ' + maxDetections + '. ' + 'Should be > 0');
          }
          if (scoreThreshold < 0.0 || scoreThreshold > 1.0) {
            throw new Error(
              'Invalid scoreThreshold ' + scoreThreshold + '. ' + 'Should be in range [0.0, 1.0]',
            );
          }
          if (nmsRadius <= 0) {
            throw new Error('Invalid nmsRadius ' + nmsRadius + '.');
          }
          if (minKeypointScore < 0 || minKeypointScore > 1) {
            throw new Error(
              'Invalid minKeypointScore ' +
                minKeypointScore +
                '.' +
                'Should be in range [0.0, 1.0]',
            );
          }
          if (refineSteps <= 0 || refineSteps > 20) {
            throw new Error(
              'Invalid refineSteps ' + refineSteps + '.' + 'Should be in range [1, 20]',
            );
          }
        }
        var BodyPix = /** @class */ (function () {
          function BodyPix(net) {
            this.baseModel = net;
          }
          BodyPix.prototype.predictForPersonSegmentation = function (input) {
            var _a = this.baseModel.predict(input),
              segmentation = _a.segmentation,
              heatmapScores = _a.heatmapScores,
              offsets = _a.offsets,
              displacementFwd = _a.displacementFwd,
              displacementBwd = _a.displacementBwd;
            return {
              segmentLogits: segmentation,
              heatmapScores: heatmapScores,
              offsets: offsets,
              displacementFwd: displacementFwd,
              displacementBwd: displacementBwd,
            };
          };
          BodyPix.prototype.predictForPersonSegmentationAndPart = function (input) {
            var _a = this.baseModel.predict(input),
              segmentation = _a.segmentation,
              partHeatmaps = _a.partHeatmaps,
              heatmapScores = _a.heatmapScores,
              offsets = _a.offsets,
              displacementFwd = _a.displacementFwd,
              displacementBwd = _a.displacementBwd;
            return {
              segmentLogits: segmentation,
              partHeatmapLogits: partHeatmaps,
              heatmapScores: heatmapScores,
              offsets: offsets,
              displacementFwd: displacementFwd,
              displacementBwd: displacementBwd,
            };
          };
          BodyPix.prototype.predictForMultiPersonInstanceSegmentationAndPart = function (input) {
            var _a = this.baseModel.predict(input),
              segmentation = _a.segmentation,
              longOffsets = _a.longOffsets,
              heatmapScores = _a.heatmapScores,
              offsets = _a.offsets,
              displacementFwd = _a.displacementFwd,
              displacementBwd = _a.displacementBwd,
              partHeatmaps = _a.partHeatmaps;
            return {
              segmentLogits: segmentation,
              longOffsets: longOffsets,
              heatmapScores: heatmapScores,
              offsets: offsets,
              displacementFwd: displacementFwd,
              displacementBwd: displacementBwd,
              partHeatmaps: partHeatmaps,
            };
          };
          /**
           * Given an image with people, returns a dictionary of all intermediate
           * tensors including: 1) a binary array with 1 for the pixels that are part of
           * the person, and 0 otherwise, 2) heatmapScores, 3) offsets, and 4) paddings.
           *
           * @param input ImageData|HTMLImageElement|HTMLCanvasElement|HTMLVideoElement)
           * The input image to feed through the network.
           *
           * @param internalResolution Defaults to 'medium'. The internal resolution
           * that the input is resized to before inference. The larger the
           * internalResolution the more accurate the model at the cost of slower
           * prediction times. Available values are 'low', 'medium', 'high', 'full', or
           * a percentage value between 0 and 1. The values 'low', 'medium', 'high', and
           * 'full' map to 0.25, 0.5, 0.75, and 1.0 correspondingly.
           *
           * @param segmentationThreshold The minimum that segmentation values must have
           * to be considered part of the person. Affects the generation of the
           * segmentation mask.
           *
           * @return A dictionary containing `segmentation`, `heatmapScores`, `offsets`,
           * and `padding`:
           * - `segmentation`: A 2d Tensor with 1 for the pixels that are part of the
           * person, and 0 otherwise. The width and height correspond to the same
           * dimensions of the input image.
           * - `heatmapScores`: A 3d Tensor of the keypoint heatmaps used by
           * pose estimation decoding.
           * - `offsets`: A 3d Tensor of the keypoint offsets used by pose
           * estimation decoding.
           * - `displacementFwd`: A 3d Tensor of the keypoint forward displacement used
           * by pose estimation decoding.
           * - `displacementBwd`: A 3d Tensor of the keypoint backward displacement used
           * by pose estimation decoding.
           * - `padding`: The padding (unit pixels) being applied to the input image
           * before it is fed into the model.
           */
          BodyPix.prototype.segmentPersonActivation = function (
            input,
            internalResolution,
            segmentationThreshold,
          ) {
            var _this = this;
            if (segmentationThreshold === void 0) {
              segmentationThreshold = 0.5;
            }
            var _a = util_1.getInputSize(input),
              height = _a[0],
              width = _a[1];
            var internalResolutionHeightAndWidth = util_1.toInputResolutionHeightAndWidth(
              internalResolution,
              this.baseModel.outputStride,
              [height, width],
            );
            var _b = util_1.padAndResizeTo(input, internalResolutionHeightAndWidth),
              resized = _b.resized,
              padding = _b.padding;
            var _c = tf.tidy(function () {
                var _a = _this.predictForPersonSegmentation(resized),
                  segmentLogits = _a.segmentLogits,
                  heatmapScores = _a.heatmapScores,
                  offsets = _a.offsets,
                  displacementFwd = _a.displacementFwd,
                  displacementBwd = _a.displacementBwd;
                var _b = resized.shape,
                  resizedHeight = _b[0],
                  resizedWidth = _b[1];
                var scaledSegmentScores = util_1.scaleAndCropToInputTensorShape(
                  segmentLogits,
                  [height, width],
                  [resizedHeight, resizedWidth],
                  [
                    [padding.top, padding.bottom],
                    [padding.left, padding.right],
                  ],
                  APPLY_SIGMOID_ACTIVATION,
                );
                return {
                  segmentation: decode_part_map_1.toMaskTensor(
                    tf.squeeze(scaledSegmentScores),
                    segmentationThreshold,
                  ),
                  heatmapScores: heatmapScores,
                  offsets: offsets,
                  displacementFwd: displacementFwd,
                  displacementBwd: displacementBwd,
                };
              }),
              segmentation = _c.segmentation,
              heatmapScores = _c.heatmapScores,
              offsets = _c.offsets,
              displacementFwd = _c.displacementFwd,
              displacementBwd = _c.displacementBwd;
            resized.dispose();
            return {
              segmentation: segmentation,
              heatmapScores: heatmapScores,
              offsets: offsets,
              displacementFwd: displacementFwd,
              displacementBwd: displacementBwd,
              padding: padding,
              internalResolutionHeightAndWidth: internalResolutionHeightAndWidth,
            };
          };
          /**
           * Given an image with many people, returns a PersonSegmentation dictionary
           * that contains the segmentation mask for all people and a single pose.
           *
           * Note: The segmentation mask returned by this method covers all people but
           * the pose works well for one person. If you want to estimate instance-level
           * multiple person segmentation & pose for each person, use
           * `segmentMultiPerson` instead.
           *
           * @param input ImageData|HTMLImageElement|HTMLCanvasElement|HTMLVideoElement)
           * The input image to feed through the network.
           *
           * @param config PersonInferenceConfig object that contains
           * parameters for the BodyPix inference using person decoding.
           *
           * @return A SemanticPersonSegmentation dictionary that contains height,
           * width, the flattened binary segmentation mask and the poses for all people.
           * The width and height correspond to the same dimensions of the input image.
           * - `height`: The height of the segmentation data in pixel unit.
           * - `width`: The width of the segmentation data in pixel unit.
           * - `data`: The flattened Uint8Array of segmentation data. 1 means the pixel
           * belongs to a person and 0 means the pixel doesn't belong to a person. The
           * size of the array is equal to `height` x `width` in row-major order.
           * - `allPoses`: The 2d poses of all people.
           */
          BodyPix.prototype.segmentPerson = function (input, config) {
            if (config === void 0) {
              config = exports.PERSON_INFERENCE_CONFIG;
            }
            return __awaiter(this, void 0, void 0, function () {
              var _a,
                segmentation,
                heatmapScores,
                offsets,
                displacementFwd,
                displacementBwd,
                padding,
                internalResolutionHeightAndWidth,
                _b,
                height,
                width,
                result,
                tensorBuffers,
                scoresBuf,
                offsetsBuf,
                displacementsFwdBuf,
                displacementsBwdBuf,
                poses;
              return __generator(this, function (_c) {
                switch (_c.label) {
                  case 0:
                    config = __assign(__assign({}, exports.PERSON_INFERENCE_CONFIG), config);
                    validatePersonInferenceConfig(config);
                    (_a = this.segmentPersonActivation(
                      input,
                      config.internalResolution,
                      config.segmentationThreshold,
                    )),
                      (segmentation = _a.segmentation),
                      (heatmapScores = _a.heatmapScores),
                      (offsets = _a.offsets),
                      (displacementFwd = _a.displacementFwd),
                      (displacementBwd = _a.displacementBwd),
                      (padding = _a.padding),
                      (internalResolutionHeightAndWidth = _a.internalResolutionHeightAndWidth);
                    (_b = segmentation.shape), (height = _b[0]), (width = _b[1]);
                    return [4 /*yield*/, segmentation.data()];
                  case 1:
                    result = _c.sent();
                    segmentation.dispose();
                    return [
                      4 /*yield*/,
                      util_1.toTensorBuffers3D([
                        heatmapScores,
                        offsets,
                        displacementFwd,
                        displacementBwd,
                      ]),
                    ];
                  case 2:
                    tensorBuffers = _c.sent();
                    (scoresBuf = tensorBuffers[0]),
                      (offsetsBuf = tensorBuffers[1]),
                      (displacementsFwdBuf = tensorBuffers[2]),
                      (displacementsBwdBuf = tensorBuffers[3]);
                    poses = decode_multiple_poses_1.decodeMultiplePoses(
                      scoresBuf,
                      offsetsBuf,
                      displacementsFwdBuf,
                      displacementsBwdBuf,
                      this.baseModel.outputStride,
                      config.maxDetections,
                      config.scoreThreshold,
                      config.nmsRadius,
                    );
                    poses = util_1.scaleAndFlipPoses(
                      poses,
                      [height, width],
                      internalResolutionHeightAndWidth,
                      padding,
                      FLIP_POSES_AFTER_SCALING,
                    );
                    heatmapScores.dispose();
                    offsets.dispose();
                    displacementFwd.dispose();
                    displacementBwd.dispose();
                    return [
                      2 /*return*/,
                      { height: height, width: width, data: result, allPoses: poses },
                    ];
                }
              });
            });
          };
          /**
           * Given an image with multiple people, returns an *array* of
           * PersonSegmentation object. Each element in the array corresponding to one
           * of the people in the input image. In other words, it predicts
           * instance-level multiple person segmentation & pose for each person.
           *
           * The model does standard ImageNet pre-processing before inferring through
           * the model. The image pixels should have values [0-255].
           *
           * @param input
           * ImageData|HTMLImageElement|HTMLCanvasElement|HTMLVideoElement) The input
           * image to feed through the network.
           *
           * @param config MultiPersonInferenceConfig object that contains
           * parameters for the BodyPix inference using multi-person decoding.
           *
           * @return An array of PersonSegmentation object, each containing a width,
           * height, a binary array (1 for the pixels that are part of the
           * person, and 0 otherwise) and 2D pose. The array size corresponds to the
           * number of pixels in the image. The width and height correspond to the
           * dimensions of the image the binary array is shaped to, which are the same
           * dimensions of the input image.
           */
          BodyPix.prototype.segmentMultiPerson = function (input, config) {
            if (config === void 0) {
              config = exports.MULTI_PERSON_INSTANCE_INFERENCE_CONFIG;
            }
            return __awaiter(this, void 0, void 0, function () {
              var _a,
                height,
                width,
                internalResolutionHeightAndWidth,
                _b,
                resized,
                padding,
                _c,
                segmentation,
                longOffsets,
                heatmapScoresRaw,
                offsetsRaw,
                displacementFwdRaw,
                displacementBwdRaw,
                tensorBuffers,
                scoresBuf,
                offsetsBuf,
                displacementsFwdBuf,
                displacementsBwdBuf,
                poses,
                instanceMasks;
              var _this = this;
              return __generator(this, function (_d) {
                switch (_d.label) {
                  case 0:
                    config = __assign(
                      __assign({}, exports.MULTI_PERSON_INSTANCE_INFERENCE_CONFIG),
                      config,
                    );
                    validateMultiPersonInstanceInferenceConfig(config);
                    (_a = util_1.getInputSize(input)), (height = _a[0]), (width = _a[1]);
                    internalResolutionHeightAndWidth = util_1.toInputResolutionHeightAndWidth(
                      config.internalResolution,
                      this.baseModel.outputStride,
                      [height, width],
                    );
                    (_b = util_1.padAndResizeTo(input, internalResolutionHeightAndWidth)),
                      (resized = _b.resized),
                      (padding = _b.padding);
                    (_c = tf.tidy(function () {
                      var _a = _this.predictForMultiPersonInstanceSegmentationAndPart(resized),
                        segmentLogits = _a.segmentLogits,
                        longOffsets = _a.longOffsets,
                        heatmapScores = _a.heatmapScores,
                        offsets = _a.offsets,
                        displacementFwd = _a.displacementFwd,
                        displacementBwd = _a.displacementBwd;
                      var scaledSegmentScores = util_1.scaleAndCropToInputTensorShape(
                        segmentLogits,
                        [height, width],
                        internalResolutionHeightAndWidth,
                        [
                          [padding.top, padding.bottom],
                          [padding.left, padding.right],
                        ],
                        APPLY_SIGMOID_ACTIVATION,
                      );
                      var longOffsetsResized = false;
                      var scaledLongOffsets;
                      if (longOffsetsResized) {
                        scaledLongOffsets = util_1.scaleAndCropToInputTensorShape(
                          longOffsets,
                          [height, width],
                          internalResolutionHeightAndWidth,
                          [
                            [padding.top, padding.bottom],
                            [padding.left, padding.right],
                          ],
                          APPLY_SIGMOID_ACTIVATION,
                        );
                      } else {
                        scaledLongOffsets = longOffsets;
                      }
                      var segmentation = decode_part_map_1.toMaskTensor(
                        tf.squeeze(scaledSegmentScores),
                        config.segmentationThreshold,
                      );
                      return {
                        segmentation: segmentation,
                        longOffsets: scaledLongOffsets,
                        heatmapScoresRaw: heatmapScores,
                        offsetsRaw: offsets,
                        displacementFwdRaw: displacementFwd,
                        displacementBwdRaw: displacementBwd,
                      };
                    })),
                      (segmentation = _c.segmentation),
                      (longOffsets = _c.longOffsets),
                      (heatmapScoresRaw = _c.heatmapScoresRaw),
                      (offsetsRaw = _c.offsetsRaw),
                      (displacementFwdRaw = _c.displacementFwdRaw),
                      (displacementBwdRaw = _c.displacementBwdRaw);
                    return [
                      4 /*yield*/,
                      util_1.toTensorBuffers3D([
                        heatmapScoresRaw,
                        offsetsRaw,
                        displacementFwdRaw,
                        displacementBwdRaw,
                      ]),
                    ];
                  case 1:
                    tensorBuffers = _d.sent();
                    (scoresBuf = tensorBuffers[0]),
                      (offsetsBuf = tensorBuffers[1]),
                      (displacementsFwdBuf = tensorBuffers[2]),
                      (displacementsBwdBuf = tensorBuffers[3]);
                    poses = decode_multiple_poses_1.decodeMultiplePoses(
                      scoresBuf,
                      offsetsBuf,
                      displacementsFwdBuf,
                      displacementsBwdBuf,
                      this.baseModel.outputStride,
                      config.maxDetections,
                      config.scoreThreshold,
                      config.nmsRadius,
                    );
                    poses = util_1.scaleAndFlipPoses(
                      poses,
                      [height, width],
                      internalResolutionHeightAndWidth,
                      padding,
                      FLIP_POSES_AFTER_SCALING,
                    );
                    return [
                      4 /*yield*/,
                      decode_instance_masks_1.decodePersonInstanceMasks(
                        segmentation,
                        longOffsets,
                        poses,
                        height,
                        width,
                        this.baseModel.outputStride,
                        internalResolutionHeightAndWidth,
                        padding,
                        config.scoreThreshold,
                        config.refineSteps,
                        config.minKeypointScore,
                        config.maxDetections,
                      ),
                    ];
                  case 2:
                    instanceMasks = _d.sent();
                    resized.dispose();
                    segmentation.dispose();
                    longOffsets.dispose();
                    heatmapScoresRaw.dispose();
                    offsetsRaw.dispose();
                    displacementFwdRaw.dispose();
                    displacementBwdRaw.dispose();
                    return [2 /*return*/, instanceMasks];
                }
              });
            });
          };
          /**
           * Given an image with many people, returns a dictionary containing: height,
           * width, a tensor with a part id from 0-24 for the pixels that are
           * part of a corresponding body part, and -1 otherwise. This does standard
           * ImageNet pre-processing before inferring through the model.  The image
           * should pixels should have values [0-255].
           *
           * @param input ImageData|HTMLImageElement|HTMLCanvasElement|HTMLVideoElement)
           * The input image to feed through the network.
           *
           * @param internalResolution Defaults to 'medium'. The internal resolution
           * percentage that the input is resized to before inference. The larger the
           * internalResolution the more accurate the model at the cost of slower
           * prediction times. Available values are 'low', 'medium', 'high', 'full', or
           * a percentage value between 0 and 1. The values 'low', 'medium', 'high', and
           * 'full' map to 0.25, 0.5, 0.75, and 1.0 correspondingly.
           *
           * @param segmentationThreshold The minimum that segmentation values must have
           * to be considered part of the person.  Affects the clipping of the colored
           * part image.
           *
           * @return  A dictionary containing `partSegmentation`, `heatmapScores`,
           * `offsets`, and `padding`:
           * - `partSegmentation`: A 2d Tensor with a part id from 0-24 for
           * the pixels that are part of a corresponding body part, and -1 otherwise.
           * - `heatmapScores`: A 3d Tensor of the keypoint heatmaps used by
           * single-person pose estimation decoding.
           * - `offsets`: A 3d Tensor of the keypoint offsets used by single-person pose
           * estimation decoding.
           * - `displacementFwd`: A 3d Tensor of the keypoint forward displacement
           * used by pose estimation decoding.
           * - `displacementBwd`: A 3d Tensor of the keypoint backward displacement used
           * by pose estimation decoding.
           * - `padding`: The padding (unit pixels) being applied to the input image
           * before it is fed into the model.
           */
          BodyPix.prototype.segmentPersonPartsActivation = function (
            input,
            internalResolution,
            segmentationThreshold,
          ) {
            var _this = this;
            if (segmentationThreshold === void 0) {
              segmentationThreshold = 0.5;
            }
            var _a = util_1.getInputSize(input),
              height = _a[0],
              width = _a[1];
            var internalResolutionHeightAndWidth = util_1.toInputResolutionHeightAndWidth(
              internalResolution,
              this.baseModel.outputStride,
              [height, width],
            );
            var _b = util_1.padAndResizeTo(input, internalResolutionHeightAndWidth),
              resized = _b.resized,
              padding = _b.padding;
            var _c = tf.tidy(function () {
                var _a = _this.predictForPersonSegmentationAndPart(resized),
                  segmentLogits = _a.segmentLogits,
                  partHeatmapLogits = _a.partHeatmapLogits,
                  heatmapScores = _a.heatmapScores,
                  offsets = _a.offsets,
                  displacementFwd = _a.displacementFwd,
                  displacementBwd = _a.displacementBwd;
                var _b = resized.shape,
                  resizedHeight = _b[0],
                  resizedWidth = _b[1];
                var scaledSegmentScores = util_1.scaleAndCropToInputTensorShape(
                  segmentLogits,
                  [height, width],
                  [resizedHeight, resizedWidth],
                  [
                    [padding.top, padding.bottom],
                    [padding.left, padding.right],
                  ],
                  APPLY_SIGMOID_ACTIVATION,
                );
                var scaledPartHeatmapScore = util_1.scaleAndCropToInputTensorShape(
                  partHeatmapLogits,
                  [height, width],
                  [resizedHeight, resizedWidth],
                  [
                    [padding.top, padding.bottom],
                    [padding.left, padding.right],
                  ],
                  APPLY_SIGMOID_ACTIVATION,
                );
                var segmentation = decode_part_map_1.toMaskTensor(
                  tf.squeeze(scaledSegmentScores),
                  segmentationThreshold,
                );
                return {
                  partSegmentation: decode_part_map_1.decodePartSegmentation(
                    segmentation,
                    scaledPartHeatmapScore,
                  ),
                  heatmapScores: heatmapScores,
                  offsets: offsets,
                  displacementFwd: displacementFwd,
                  displacementBwd: displacementBwd,
                };
              }),
              partSegmentation = _c.partSegmentation,
              heatmapScores = _c.heatmapScores,
              offsets = _c.offsets,
              displacementFwd = _c.displacementFwd,
              displacementBwd = _c.displacementBwd;
            resized.dispose();
            return {
              partSegmentation: partSegmentation,
              heatmapScores: heatmapScores,
              offsets: offsets,
              displacementFwd: displacementFwd,
              displacementBwd: displacementBwd,
              padding: padding,
              internalResolutionHeightAndWidth: internalResolutionHeightAndWidth,
            };
          };
          /**
           * Given an image with many people, returns a PartSegmentation dictionary that
           * contains the body part segmentation mask for all people and a single pose.
           *
           * Note: The body part segmentation mask returned by this method covers all
           * people but the pose works well when there is one person. If you want to
           * estimate instance-level multiple person body part segmentation & pose for
           * each person, use `segmentMultiPersonParts` instead.
           *
           * @param input ImageData|HTMLImageElement|HTMLCanvasElement|HTMLVideoElement)
           * The input image to feed through the network.
           *
           * @param config PersonInferenceConfig object that contains
           * parameters for the BodyPix inference using single person decoding.
           *
           * @return A SemanticPartSegmentation dictionary that contains height, width,
           * the flattened binary segmentation mask and the pose for the person. The
           * width and height correspond to the same dimensions of the input image.
           * - `height`: The height of the person part segmentation data in pixel unit.
           * - `width`: The width of the person part segmentation data in pixel unit.
           * - `data`: The flattened Int32Array of person part segmentation data with a
           * part id from 0-24 for the pixels that are part of a corresponding body
           * part, and -1 otherwise. The size of the array is equal to `height` x
           * `width` in row-major order.
           * - `allPoses`: The 2d poses of all people.
           */
          BodyPix.prototype.segmentPersonParts = function (input, config) {
            if (config === void 0) {
              config = exports.PERSON_INFERENCE_CONFIG;
            }
            return __awaiter(this, void 0, void 0, function () {
              var _a,
                partSegmentation,
                heatmapScores,
                offsets,
                displacementFwd,
                displacementBwd,
                padding,
                internalResolutionHeightAndWidth,
                _b,
                height,
                width,
                data,
                tensorBuffers,
                scoresBuf,
                offsetsBuf,
                displacementsFwdBuf,
                displacementsBwdBuf,
                poses;
              return __generator(this, function (_c) {
                switch (_c.label) {
                  case 0:
                    config = __assign(__assign({}, exports.PERSON_INFERENCE_CONFIG), config);
                    validatePersonInferenceConfig(config);
                    (_a = this.segmentPersonPartsActivation(
                      input,
                      config.internalResolution,
                      config.segmentationThreshold,
                    )),
                      (partSegmentation = _a.partSegmentation),
                      (heatmapScores = _a.heatmapScores),
                      (offsets = _a.offsets),
                      (displacementFwd = _a.displacementFwd),
                      (displacementBwd = _a.displacementBwd),
                      (padding = _a.padding),
                      (internalResolutionHeightAndWidth = _a.internalResolutionHeightAndWidth);
                    (_b = partSegmentation.shape), (height = _b[0]), (width = _b[1]);
                    return [4 /*yield*/, partSegmentation.data()];
                  case 1:
                    data = _c.sent();
                    partSegmentation.dispose();
                    return [
                      4 /*yield*/,
                      util_1.toTensorBuffers3D([
                        heatmapScores,
                        offsets,
                        displacementFwd,
                        displacementBwd,
                      ]),
                    ];
                  case 2:
                    tensorBuffers = _c.sent();
                    (scoresBuf = tensorBuffers[0]),
                      (offsetsBuf = tensorBuffers[1]),
                      (displacementsFwdBuf = tensorBuffers[2]),
                      (displacementsBwdBuf = tensorBuffers[3]);
                    poses = decode_multiple_poses_1.decodeMultiplePoses(
                      scoresBuf,
                      offsetsBuf,
                      displacementsFwdBuf,
                      displacementsBwdBuf,
                      this.baseModel.outputStride,
                      config.maxDetections,
                      config.scoreThreshold,
                      config.nmsRadius,
                    );
                    poses = util_1.scaleAndFlipPoses(
                      poses,
                      [height, width],
                      internalResolutionHeightAndWidth,
                      padding,
                      FLIP_POSES_AFTER_SCALING,
                    );
                    heatmapScores.dispose();
                    offsets.dispose();
                    displacementFwd.dispose();
                    displacementBwd.dispose();
                    return [
                      2 /*return*/,
                      { height: height, width: width, data: data, allPoses: poses },
                    ];
                }
              });
            });
          };
          /**
           * Given an image with multiple people, returns an *array* of PartSegmentation
           * object. Each element in the array corresponding to one
           * of the people in the input image. In other words, it predicts
           * instance-level multiple person body part segmentation & pose for each
           * person.
           *
           * This does standard ImageNet pre-processing before inferring through
           * the model. The image pixels should have values [0-255].
           *
           * @param input
           * ImageData|HTMLImageElement|HTMLCanvasElement|HTMLVideoElement) The input
           * image to feed through the network.
           *
           * @param config MultiPersonInferenceConfig object that contains
           * parameters for the BodyPix inference using multi-person decoding.
           *
           * @return An array of PartSegmentation object, each containing a width,
           * height, a flattened array (with part id from 0-24 for the pixels that are
           * part of a corresponding body part, and -1 otherwise) and 2D pose. The width
           * and height correspond to the dimensions of the image. Each flattened part
           * segmentation array size is equal to `height` x `width`.
           */
          BodyPix.prototype.segmentMultiPersonParts = function (input, config) {
            if (config === void 0) {
              config = exports.MULTI_PERSON_INSTANCE_INFERENCE_CONFIG;
            }
            return __awaiter(this, void 0, void 0, function () {
              var _a,
                height,
                width,
                internalResolutionHeightAndWidth,
                _b,
                resized,
                padding,
                _c,
                segmentation,
                longOffsets,
                heatmapScoresRaw,
                offsetsRaw,
                displacementFwdRaw,
                displacementBwdRaw,
                partSegmentation,
                tensorBuffers,
                scoresBuf,
                offsetsBuf,
                displacementsFwdBuf,
                displacementsBwdBuf,
                poses,
                instanceMasks;
              var _this = this;
              return __generator(this, function (_d) {
                switch (_d.label) {
                  case 0:
                    config = __assign(
                      __assign({}, exports.MULTI_PERSON_INSTANCE_INFERENCE_CONFIG),
                      config,
                    );
                    validateMultiPersonInstanceInferenceConfig(config);
                    (_a = util_1.getInputSize(input)), (height = _a[0]), (width = _a[1]);
                    internalResolutionHeightAndWidth = util_1.toInputResolutionHeightAndWidth(
                      config.internalResolution,
                      this.baseModel.outputStride,
                      [height, width],
                    );
                    (_b = util_1.padAndResizeTo(input, internalResolutionHeightAndWidth)),
                      (resized = _b.resized),
                      (padding = _b.padding);
                    (_c = tf.tidy(function () {
                      var _a = _this.predictForMultiPersonInstanceSegmentationAndPart(resized),
                        segmentLogits = _a.segmentLogits,
                        longOffsets = _a.longOffsets,
                        heatmapScores = _a.heatmapScores,
                        offsets = _a.offsets,
                        displacementFwd = _a.displacementFwd,
                        displacementBwd = _a.displacementBwd,
                        partHeatmaps = _a.partHeatmaps;
                      // decoding with scaling.
                      var scaledSegmentScores = util_1.scaleAndCropToInputTensorShape(
                        segmentLogits,
                        [height, width],
                        internalResolutionHeightAndWidth,
                        [
                          [padding.top, padding.bottom],
                          [padding.left, padding.right],
                        ],
                        APPLY_SIGMOID_ACTIVATION,
                      );
                      // decoding with scaling.
                      var scaledPartSegmentationScores = util_1.scaleAndCropToInputTensorShape(
                        partHeatmaps,
                        [height, width],
                        internalResolutionHeightAndWidth,
                        [
                          [padding.top, padding.bottom],
                          [padding.left, padding.right],
                        ],
                        APPLY_SIGMOID_ACTIVATION,
                      );
                      var scaledLongOffsets = longOffsets;
                      var segmentation = decode_part_map_1.toMaskTensor(
                        tf.squeeze(scaledSegmentScores),
                        config.segmentationThreshold,
                      );
                      var partSegmentation = decode_part_map_1.decodeOnlyPartSegmentation(
                        scaledPartSegmentationScores,
                      );
                      return {
                        segmentation: segmentation,
                        longOffsets: scaledLongOffsets,
                        heatmapScoresRaw: heatmapScores,
                        offsetsRaw: offsets,
                        displacementFwdRaw: displacementFwd,
                        displacementBwdRaw: displacementBwd,
                        partSegmentation: partSegmentation,
                      };
                    })),
                      (segmentation = _c.segmentation),
                      (longOffsets = _c.longOffsets),
                      (heatmapScoresRaw = _c.heatmapScoresRaw),
                      (offsetsRaw = _c.offsetsRaw),
                      (displacementFwdRaw = _c.displacementFwdRaw),
                      (displacementBwdRaw = _c.displacementBwdRaw),
                      (partSegmentation = _c.partSegmentation);
                    return [
                      4 /*yield*/,
                      util_1.toTensorBuffers3D([
                        heatmapScoresRaw,
                        offsetsRaw,
                        displacementFwdRaw,
                        displacementBwdRaw,
                      ]),
                    ];
                  case 1:
                    tensorBuffers = _d.sent();
                    (scoresBuf = tensorBuffers[0]),
                      (offsetsBuf = tensorBuffers[1]),
                      (displacementsFwdBuf = tensorBuffers[2]),
                      (displacementsBwdBuf = tensorBuffers[3]);
                    poses = decode_multiple_poses_1.decodeMultiplePoses(
                      scoresBuf,
                      offsetsBuf,
                      displacementsFwdBuf,
                      displacementsBwdBuf,
                      this.baseModel.outputStride,
                      config.maxDetections,
                      config.scoreThreshold,
                      config.nmsRadius,
                    );
                    poses = util_1.scaleAndFlipPoses(
                      poses,
                      [height, width],
                      internalResolutionHeightAndWidth,
                      padding,
                      FLIP_POSES_AFTER_SCALING,
                    );
                    return [
                      4 /*yield*/,
                      decode_instance_masks_1.decodePersonInstancePartMasks(
                        segmentation,
                        longOffsets,
                        partSegmentation,
                        poses,
                        height,
                        width,
                        this.baseModel.outputStride,
                        internalResolutionHeightAndWidth,
                        padding,
                        config.scoreThreshold,
                        config.refineSteps,
                        config.minKeypointScore,
                        config.maxDetections,
                      ),
                    ];
                  case 2:
                    instanceMasks = _d.sent();
                    resized.dispose();
                    segmentation.dispose();
                    longOffsets.dispose();
                    heatmapScoresRaw.dispose();
                    offsetsRaw.dispose();
                    displacementFwdRaw.dispose();
                    displacementBwdRaw.dispose();
                    partSegmentation.dispose();
                    return [2 /*return*/, instanceMasks];
                }
              });
            });
          };
          BodyPix.prototype.dispose = function () {
            this.baseModel.dispose();
          };
          return BodyPix;
        })();
        exports.BodyPix = BodyPix;
        /**
         * Loads the MobileNet BodyPix model.
         */
        function loadMobileNet(config) {
          return __awaiter(this, void 0, void 0, function () {
            var outputStride, quantBytes, multiplier, url, graphModel, mobilenet;
            return __generator(this, function (_a) {
              switch (_a.label) {
                case 0:
                  outputStride = config.outputStride;
                  quantBytes = config.quantBytes;
                  multiplier = config.multiplier;
                  if (tf == null) {
                    throw new Error(
                      'Cannot find TensorFlow.js. If you are using a <script> tag, please ' +
                        'also include @tensorflow/tfjs on the page before using this\n        model.',
                    );
                  }
                  url = saved_models_1.mobileNetSavedModel(outputStride, multiplier, quantBytes);
                  return [4 /*yield*/, tfconv.loadGraphModel(config.modelUrl || url)];
                case 1:
                  graphModel = _a.sent();
                  mobilenet = new mobilenet_1.MobileNet(graphModel, outputStride);
                  return [2 /*return*/, new BodyPix(mobilenet)];
              }
            });
          });
        }
        /**
         * Loads the ResNet BodyPix model.
         */
        function loadResNet(config) {
          return __awaiter(this, void 0, void 0, function () {
            var outputStride, quantBytes, url, graphModel, resnet;
            return __generator(this, function (_a) {
              switch (_a.label) {
                case 0:
                  outputStride = config.outputStride;
                  quantBytes = config.quantBytes;
                  if (tf == null) {
                    throw new Error(
                      'Cannot find TensorFlow.js. If you are using a <script> tag, please ' +
                        'also include @tensorflow/tfjs on the page before using this\n        model.',
                    );
                  }
                  url = saved_models_1.resNet50SavedModel(outputStride, quantBytes);
                  return [4 /*yield*/, tfconv.loadGraphModel(config.modelUrl || url)];
                case 1:
                  graphModel = _a.sent();
                  resnet = new resnet_1.ResNet(graphModel, outputStride);
                  return [2 /*return*/, new BodyPix(resnet)];
              }
            });
          });
        }
        /**
         * Loads the BodyPix model instance from a checkpoint, with the ResNet
         * or MobileNet architecture. The model to be loaded is configurable using the
         * config dictionary ModelConfig. Please find more details in the
         * documentation of the ModelConfig.
         *
         * @param config ModelConfig dictionary that contains parameters for
         * the BodyPix loading process. Please find more details of each parameters
         * in the documentation of the ModelConfig interface. The predefined
         * `MOBILENET_V1_CONFIG` and `RESNET_CONFIG` can also be used as references
         * for defining your customized config.
         */
        function load(config) {
          if (config === void 0) {
            config = MOBILENET_V1_CONFIG;
          }
          return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
              config = validateModelConfig(config);
              if (config.architecture === 'ResNet50') {
                return [2 /*return*/, loadResNet(config)];
              } else if (config.architecture === 'MobileNetV1') {
                return [2 /*return*/, loadMobileNet(config)];
              } else {
                return [2 /*return*/, null];
              }
              return [2 /*return*/];
            });
          });
        }
        exports.load = load;
      },
      {
        './decode_part_map': 14,
        './mobilenet': 17,
        './multi_person/decode_instance_masks': 19,
        './multi_person/decode_multiple_poses': 22,
        './resnet': 28,
        './saved_models': 29,
        './util': 30,
        '@tensorflow/tfjs-converter': 34,
        '@tensorflow/tfjs-core': 35,
      },
    ],
    14: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.decodeOnlyPartSegmentation = exports.decodePartSegmentation = exports.toMaskTensor = void 0;
        var tf = require('@tensorflow/tfjs-core');
        /**
         * Takes the sigmoid of the part heatmap output and generates a 2d one-hot
         * tensor with ones where the part's score has the maximum value.
         *
         * @param partHeatmapScores
         */
        function toFlattenedOneHotPartMap(partHeatmapScores) {
          var numParts = partHeatmapScores.shape[2];
          var partMapLocations = tf.argMax(partHeatmapScores, 2);
          var partMapFlattened = tf.reshape(partMapLocations, [-1]);
          return tf.oneHot(partMapFlattened, numParts);
        }
        function clipByMask2d(image, mask) {
          return tf.mul(image, mask);
        }
        /**
         * Takes the sigmoid of the segmentation output, and generates a segmentation
         * mask with a 1 or 0 at each pixel where there is a person or not a person. The
         * segmentation threshold determines the threshold of a score for a pixel for it
         * to be considered part of a person.
         * @param segmentScores A 3d-tensor of the sigmoid of the segmentation output.
         * @param segmentationThreshold The minimum that segmentation values must have
         * to be considered part of the person.  Affects the generation of the
         * segmentation mask and the clipping of the colored part image.
         *
         * @returns A segmentation mask with a 1 or 0 at each pixel where there is a
         * person or not a person.
         */
        function toMaskTensor(segmentScores, threshold) {
          return tf.tidy(function () {
            return tf.cast(tf.greater(segmentScores, tf.scalar(threshold)), 'int32');
          });
        }
        exports.toMaskTensor = toMaskTensor;
        /**
         * Takes the sigmoid of the person and part map output, and returns a 2d tensor
         * of an image with the corresponding value at each pixel corresponding to the
         * part with the highest value. These part ids are clipped by the segmentation
         * mask. Wherever the a pixel is clipped by the segmentation mask, its value
         * will set to -1, indicating that there is no part in that pixel.
         * @param segmentScores A 3d-tensor of the sigmoid of the segmentation output.
         * @param partHeatmapScores A 3d-tensor of the sigmoid of the part heatmap
         * output. The third dimension corresponds to the part.
         *
         * @returns A 2d tensor of an image with the corresponding value at each pixel
         * corresponding to the part with the highest value. These part ids are clipped
         * by the segmentation mask.  It will have values of -1 for pixels that are
         * outside of the body and do not have a corresponding part.
         */
        function decodePartSegmentation(segmentationMask, partHeatmapScores) {
          var _a = partHeatmapScores.shape,
            partMapHeight = _a[0],
            partMapWidth = _a[1],
            numParts = _a[2];
          return tf.tidy(function () {
            var flattenedMap = toFlattenedOneHotPartMap(partHeatmapScores);
            var partNumbers = tf.expandDims(tf.range(0, numParts, 1, 'int32'), 1);
            var partMapFlattened = tf.cast(tf.matMul(flattenedMap, partNumbers), 'int32');
            var partMap = tf.reshape(partMapFlattened, [partMapHeight, partMapWidth]);
            var partMapShiftedUpForClipping = tf.add(partMap, tf.scalar(1, 'int32'));
            return tf.sub(
              clipByMask2d(partMapShiftedUpForClipping, segmentationMask),
              tf.scalar(1, 'int32'),
            );
          });
        }
        exports.decodePartSegmentation = decodePartSegmentation;
        function decodeOnlyPartSegmentation(partHeatmapScores) {
          var _a = partHeatmapScores.shape,
            partMapHeight = _a[0],
            partMapWidth = _a[1],
            numParts = _a[2];
          return tf.tidy(function () {
            var flattenedMap = toFlattenedOneHotPartMap(partHeatmapScores);
            var partNumbers = tf.expandDims(tf.range(0, numParts, 1, 'int32'), 1);
            var partMapFlattened = tf.cast(tf.matMul(flattenedMap, partNumbers), 'int32');
            return tf.reshape(partMapFlattened, [partMapHeight, partMapWidth]);
          });
        }
        exports.decodeOnlyPartSegmentation = decodeOnlyPartSegmentation;
      },
      { '@tensorflow/tfjs-core': 35 },
    ],
    15: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2019 Google Inc. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * https://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        Object.defineProperty(exports, '__esModule', { value: true });
        var body_pix_model_1 = require('./body_pix_model');
        Object.defineProperty(exports, 'BodyPix', {
          enumerable: true,
          get: function () {
            return body_pix_model_1.BodyPix;
          },
        });
        Object.defineProperty(exports, 'load', {
          enumerable: true,
          get: function () {
            return body_pix_model_1.load;
          },
        });
        var output_rendering_util_1 = require('./output_rendering_util');
        Object.defineProperty(exports, 'blurBodyPart', {
          enumerable: true,
          get: function () {
            return output_rendering_util_1.blurBodyPart;
          },
        });
        Object.defineProperty(exports, 'drawBokehEffect', {
          enumerable: true,
          get: function () {
            return output_rendering_util_1.drawBokehEffect;
          },
        });
        Object.defineProperty(exports, 'drawMask', {
          enumerable: true,
          get: function () {
            return output_rendering_util_1.drawMask;
          },
        });
        Object.defineProperty(exports, 'drawPixelatedMask', {
          enumerable: true,
          get: function () {
            return output_rendering_util_1.drawPixelatedMask;
          },
        });
        Object.defineProperty(exports, 'toColoredPartMask', {
          enumerable: true,
          get: function () {
            return output_rendering_util_1.toColoredPartMask;
          },
        });
        Object.defineProperty(exports, 'toMask', {
          enumerable: true,
          get: function () {
            return output_rendering_util_1.toMask;
          },
        });
        var part_channels_1 = require('./part_channels');
        Object.defineProperty(exports, 'PART_CHANNELS', {
          enumerable: true,
          get: function () {
            return part_channels_1.PART_CHANNELS;
          },
        });
        var util_1 = require('./util');
        Object.defineProperty(exports, 'flipPoseHorizontal', {
          enumerable: true,
          get: function () {
            return util_1.flipPoseHorizontal;
          },
        });
        Object.defineProperty(exports, 'resizeAndPadTo', {
          enumerable: true,
          get: function () {
            return util_1.resizeAndPadTo;
          },
        });
        Object.defineProperty(exports, 'scaleAndCropToInputTensorShape', {
          enumerable: true,
          get: function () {
            return util_1.scaleAndCropToInputTensorShape;
          },
        });
        var version_1 = require('./version');
        Object.defineProperty(exports, 'version', {
          enumerable: true,
          get: function () {
            return version_1.version;
          },
        });
      },
      {
        './body_pix_model': 13,
        './output_rendering_util': 26,
        './part_channels': 27,
        './util': 30,
        './version': 31,
      },
    ],
    16: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.CONNECTED_PART_INDICES = exports.POSE_CHAIN = exports.PART_IDS = exports.NUM_KEYPOINTS = exports.PART_NAMES = void 0;
        exports.PART_NAMES = [
          'nose',
          'leftEye',
          'rightEye',
          'leftEar',
          'rightEar',
          'leftShoulder',
          'rightShoulder',
          'leftElbow',
          'rightElbow',
          'leftWrist',
          'rightWrist',
          'leftHip',
          'rightHip',
          'leftKnee',
          'rightKnee',
          'leftAnkle',
          'rightAnkle',
        ];
        exports.NUM_KEYPOINTS = exports.PART_NAMES.length;
        exports.PART_IDS = exports.PART_NAMES.reduce(function (result, jointName, i) {
          result[jointName] = i;
          return result;
        }, {});
        var CONNECTED_PART_NAMES = [
          ['leftHip', 'leftShoulder'],
          ['leftElbow', 'leftShoulder'],
          ['leftElbow', 'leftWrist'],
          ['leftHip', 'leftKnee'],
          ['leftKnee', 'leftAnkle'],
          ['rightHip', 'rightShoulder'],
          ['rightElbow', 'rightShoulder'],
          ['rightElbow', 'rightWrist'],
          ['rightHip', 'rightKnee'],
          ['rightKnee', 'rightAnkle'],
          ['leftShoulder', 'rightShoulder'],
          ['leftHip', 'rightHip'],
        ];
        /*
         * Define the skeleton. This defines the parent->child relationships of our
         * tree. Arbitrarily this defines the nose as the root of the tree, however
         * since we will infer the displacement for both parent->child and
         * child->parent, we can define the tree root as any node.
         */
        exports.POSE_CHAIN = [
          ['nose', 'leftEye'],
          ['leftEye', 'leftEar'],
          ['nose', 'rightEye'],
          ['rightEye', 'rightEar'],
          ['nose', 'leftShoulder'],
          ['leftShoulder', 'leftElbow'],
          ['leftElbow', 'leftWrist'],
          ['leftShoulder', 'leftHip'],
          ['leftHip', 'leftKnee'],
          ['leftKnee', 'leftAnkle'],
          ['nose', 'rightShoulder'],
          ['rightShoulder', 'rightElbow'],
          ['rightElbow', 'rightWrist'],
          ['rightShoulder', 'rightHip'],
          ['rightHip', 'rightKnee'],
          ['rightKnee', 'rightAnkle'],
        ];
        exports.CONNECTED_PART_INDICES = CONNECTED_PART_NAMES.map(function (_a) {
          var jointNameA = _a[0],
            jointNameB = _a[1];
          return [exports.PART_IDS[jointNameA], exports.PART_IDS[jointNameB]];
        });
      },
      {},
    ],
    17: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2019 Google Inc. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var __extends =
          (this && this.__extends) ||
          (function () {
            var extendStatics = function (d, b) {
              extendStatics =
                Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array &&
                  function (d, b) {
                    d.__proto__ = b;
                  }) ||
                function (d, b) {
                  for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
                };
              return extendStatics(d, b);
            };
            return function (d, b) {
              extendStatics(d, b);
              function __() {
                this.constructor = d;
              }
              d.prototype =
                b === null ? Object.create(b) : ((__.prototype = b.prototype), new __());
            };
          })();
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.MobileNet = void 0;
        var tf = require('@tensorflow/tfjs-core');
        var base_model_1 = require('./base_model');
        var MobileNet = /** @class */ (function (_super) {
          __extends(MobileNet, _super);
          function MobileNet() {
            return (_super !== null && _super.apply(this, arguments)) || this;
          }
          MobileNet.prototype.preprocessInput = function (input) {
            // Normalize the pixels [0, 255] to be between [-1, 1].
            return tf.tidy(function () {
              return tf.sub(tf.div(input, 127.5), 1.0);
            });
          };
          MobileNet.prototype.nameOutputResults = function (results) {
            var offsets = results[0],
              segmentation = results[1],
              partHeatmaps = results[2],
              longOffsets = results[3],
              heatmap = results[4],
              displacementFwd = results[5],
              displacementBwd = results[6],
              partOffsets = results[7];
            return {
              offsets: offsets,
              segmentation: segmentation,
              partHeatmaps: partHeatmaps,
              longOffsets: longOffsets,
              heatmap: heatmap,
              displacementFwd: displacementFwd,
              displacementBwd: displacementBwd,
              partOffsets: partOffsets,
            };
          };
          return MobileNet;
        })(base_model_1.BaseModel);
        exports.MobileNet = MobileNet;
      },
      { './base_model': 11, '@tensorflow/tfjs-core': 35 },
    ],
    18: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.buildPartWithScoreQueue = void 0;
        var max_heap_1 = require('./max_heap');
        function scoreIsMaximumInLocalWindow(
          keypointId,
          score,
          heatmapY,
          heatmapX,
          localMaximumRadius,
          scores,
        ) {
          var _a = scores.shape,
            height = _a[0],
            width = _a[1];
          var localMaximum = true;
          var yStart = Math.max(heatmapY - localMaximumRadius, 0);
          var yEnd = Math.min(heatmapY + localMaximumRadius + 1, height);
          for (var yCurrent = yStart; yCurrent < yEnd; ++yCurrent) {
            var xStart = Math.max(heatmapX - localMaximumRadius, 0);
            var xEnd = Math.min(heatmapX + localMaximumRadius + 1, width);
            for (var xCurrent = xStart; xCurrent < xEnd; ++xCurrent) {
              if (scores.get(yCurrent, xCurrent, keypointId) > score) {
                localMaximum = false;
                break;
              }
            }
            if (!localMaximum) {
              break;
            }
          }
          return localMaximum;
        }
        /**
         * Builds a priority queue with part candidate positions for a specific image in
         * the batch. For this we find all local maxima in the score maps with score
         * values above a threshold. We create a single priority queue across all parts.
         */
        function buildPartWithScoreQueue(scoreThreshold, localMaximumRadius, scores) {
          var _a = scores.shape,
            height = _a[0],
            width = _a[1],
            numKeypoints = _a[2];
          var queue = new max_heap_1.MaxHeap(height * width * numKeypoints, function (_a) {
            var score = _a.score;
            return score;
          });
          for (var heatmapY = 0; heatmapY < height; ++heatmapY) {
            for (var heatmapX = 0; heatmapX < width; ++heatmapX) {
              for (var keypointId = 0; keypointId < numKeypoints; ++keypointId) {
                var score = scores.get(heatmapY, heatmapX, keypointId);
                // Only consider parts with score greater or equal to threshold as
                // root candidates.
                if (score < scoreThreshold) {
                  continue;
                }
                // Only consider keypoints whose score is maximum in a local window.
                if (
                  scoreIsMaximumInLocalWindow(
                    keypointId,
                    score,
                    heatmapY,
                    heatmapX,
                    localMaximumRadius,
                    scores,
                  )
                ) {
                  queue.enqueue({
                    score: score,
                    part: { heatmapY: heatmapY, heatmapX: heatmapX, id: keypointId },
                  });
                }
              }
            }
          }
          return queue;
        }
        exports.buildPartWithScoreQueue = buildPartWithScoreQueue;
      },
      { './max_heap': 24 },
    ],
    19: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2019 Google Inc. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var __awaiter =
          (this && this.__awaiter) ||
          function (thisArg, _arguments, P, generator) {
            function adopt(value) {
              return value instanceof P
                ? value
                : new P(function (resolve) {
                    resolve(value);
                  });
            }
            return new (P || (P = Promise))(function (resolve, reject) {
              function fulfilled(value) {
                try {
                  step(generator.next(value));
                } catch (e) {
                  reject(e);
                }
              }
              function rejected(value) {
                try {
                  step(generator['throw'](value));
                } catch (e) {
                  reject(e);
                }
              }
              function step(result) {
                result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
              }
              step((generator = generator.apply(thisArg, _arguments || [])).next());
            });
          };
        var __generator =
          (this && this.__generator) ||
          function (thisArg, body) {
            var _ = {
                label: 0,
                sent: function () {
                  if (t[0] & 1) throw t[1];
                  return t[1];
                },
                trys: [],
                ops: [],
              },
              f,
              y,
              t,
              g;
            return (
              (g = { next: verb(0), throw: verb(1), return: verb(2) }),
              typeof Symbol === 'function' &&
                (g[Symbol.iterator] = function () {
                  return this;
                }),
              g
            );
            function verb(n) {
              return function (v) {
                return step([n, v]);
              };
            }
            function step(op) {
              if (f) throw new TypeError('Generator is already executing.');
              while (_)
                try {
                  if (
                    ((f = 1),
                    y &&
                      (t =
                        op[0] & 2
                          ? y['return']
                          : op[0]
                          ? y['throw'] || ((t = y['return']) && t.call(y), 0)
                          : y.next) &&
                      !(t = t.call(y, op[1])).done)
                  )
                    return t;
                  if (((y = 0), t)) op = [op[0] & 2, t.value];
                  switch (op[0]) {
                    case 0:
                    case 1:
                      t = op;
                      break;
                    case 4:
                      _.label++;
                      return { value: op[1], done: false };
                    case 5:
                      _.label++;
                      y = op[1];
                      op = [0];
                      continue;
                    case 7:
                      op = _.ops.pop();
                      _.trys.pop();
                      continue;
                    default:
                      if (
                        !((t = _.trys), (t = t.length > 0 && t[t.length - 1])) &&
                        (op[0] === 6 || op[0] === 2)
                      ) {
                        _ = 0;
                        continue;
                      }
                      if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                        _.label = op[1];
                        break;
                      }
                      if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                      }
                      if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                      }
                      if (t[2]) _.ops.pop();
                      _.trys.pop();
                      continue;
                  }
                  op = body.call(thisArg, _);
                } catch (e) {
                  op = [6, e];
                  y = 0;
                } finally {
                  f = t = 0;
                }
              if (op[0] & 5) throw op[1];
              return { value: op[0] ? op[1] : void 0, done: true };
            }
          };
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.decodePersonInstancePartMasks = exports.decodePersonInstanceMasks = exports.toPersonKPartSegmentation = exports.toPersonKSegmentation = void 0;
        var tf = require('@tensorflow/tfjs-core');
        var tfjs_core_1 = require('@tensorflow/tfjs-core');
        var decode_multiple_masks_cpu_1 = require('./decode_multiple_masks_cpu');
        var decode_multiple_masks_webgl_1 = require('./decode_multiple_masks_webgl');
        function toPersonKSegmentation(segmentation, k) {
          return tf.tidy(function () {
            return tf.cast(tf.equal(segmentation, tf.scalar(k)), 'int32');
          });
        }
        exports.toPersonKSegmentation = toPersonKSegmentation;
        function toPersonKPartSegmentation(segmentation, bodyParts, k) {
          return tf.tidy(function () {
            return tf.sub(
              tf.mul(tf.cast(tf.equal(segmentation, tf.scalar(k)), 'int32'), tf.add(bodyParts, 1)),
              1,
            );
          });
        }
        exports.toPersonKPartSegmentation = toPersonKPartSegmentation;
        function isWebGlBackend() {
          return tfjs_core_1.getBackend() === 'webgl';
        }
        function decodePersonInstanceMasks(
          segmentation,
          longOffsets,
          poses,
          height,
          width,
          stride,
          _a,
          padding,
          minPoseScore,
          refineSteps,
          minKeypointScore,
          maxNumPeople,
        ) {
          var inHeight = _a[0],
            inWidth = _a[1];
          if (minPoseScore === void 0) {
            minPoseScore = 0.2;
          }
          if (refineSteps === void 0) {
            refineSteps = 8;
          }
          if (minKeypointScore === void 0) {
            minKeypointScore = 0.3;
          }
          if (maxNumPeople === void 0) {
            maxNumPeople = 10;
          }
          return __awaiter(this, void 0, void 0, function () {
            var posesAboveScore,
              personSegmentationsData,
              personSegmentations,
              segmentationsData,
              longOffsetsData;
            return __generator(this, function (_b) {
              switch (_b.label) {
                case 0:
                  posesAboveScore = poses.filter(function (pose) {
                    return pose.score >= minPoseScore;
                  });
                  if (!isWebGlBackend()) return [3 /*break*/, 2];
                  personSegmentations = tf.tidy(function () {
                    var masksTensorInfo = decode_multiple_masks_webgl_1.decodeMultipleMasksWebGl(
                      segmentation,
                      longOffsets,
                      posesAboveScore,
                      height,
                      width,
                      stride,
                      [inHeight, inWidth],
                      padding,
                      refineSteps,
                      minKeypointScore,
                      maxNumPeople,
                    );
                    var masksTensor = tf
                      .engine()
                      .makeTensorFromDataId(
                        masksTensorInfo.dataId,
                        masksTensorInfo.shape,
                        masksTensorInfo.dtype,
                      );
                    return posesAboveScore.map(function (_, k) {
                      return toPersonKSegmentation(masksTensor, k);
                    });
                  });
                  return [
                    4 /*yield*/,
                    Promise.all(
                      personSegmentations.map(function (mask) {
                        return mask.data();
                      }),
                    ),
                  ];
                case 1:
                  personSegmentationsData = _b.sent();
                  personSegmentations.forEach(function (x) {
                    return x.dispose();
                  });
                  return [3 /*break*/, 5];
                case 2:
                  return [4 /*yield*/, segmentation.data()];
                case 3:
                  segmentationsData = _b.sent();
                  return [4 /*yield*/, longOffsets.data()];
                case 4:
                  longOffsetsData = _b.sent();
                  personSegmentationsData = decode_multiple_masks_cpu_1.decodeMultipleMasksCPU(
                    segmentationsData,
                    longOffsetsData,
                    posesAboveScore,
                    height,
                    width,
                    stride,
                    [inHeight, inWidth],
                    padding,
                    refineSteps,
                  );
                  _b.label = 5;
                case 5:
                  return [
                    2 /*return*/,
                    personSegmentationsData.map(function (data, i) {
                      return { data: data, pose: posesAboveScore[i], width: width, height: height };
                    }),
                  ];
              }
            });
          });
        }
        exports.decodePersonInstanceMasks = decodePersonInstanceMasks;
        function decodePersonInstancePartMasks(
          segmentation,
          longOffsets,
          partSegmentation,
          poses,
          height,
          width,
          stride,
          _a,
          padding,
          minPoseScore,
          refineSteps,
          minKeypointScore,
          maxNumPeople,
        ) {
          var inHeight = _a[0],
            inWidth = _a[1];
          if (minPoseScore === void 0) {
            minPoseScore = 0.2;
          }
          if (refineSteps === void 0) {
            refineSteps = 8;
          }
          if (minKeypointScore === void 0) {
            minKeypointScore = 0.3;
          }
          if (maxNumPeople === void 0) {
            maxNumPeople = 10;
          }
          return __awaiter(this, void 0, void 0, function () {
            var posesAboveScore,
              partSegmentationsByPersonData,
              partSegmentations,
              segmentationsData,
              longOffsetsData,
              partSegmentaionData;
            return __generator(this, function (_b) {
              switch (_b.label) {
                case 0:
                  posesAboveScore = poses.filter(function (pose) {
                    return pose.score >= minPoseScore;
                  });
                  if (!isWebGlBackend()) return [3 /*break*/, 2];
                  partSegmentations = tf.tidy(function () {
                    var masksTensorInfo = decode_multiple_masks_webgl_1.decodeMultipleMasksWebGl(
                      segmentation,
                      longOffsets,
                      posesAboveScore,
                      height,
                      width,
                      stride,
                      [inHeight, inWidth],
                      padding,
                      refineSteps,
                      minKeypointScore,
                      maxNumPeople,
                    );
                    var masksTensor = tf
                      .engine()
                      .makeTensorFromDataId(
                        masksTensorInfo.dataId,
                        masksTensorInfo.shape,
                        masksTensorInfo.dtype,
                      );
                    return posesAboveScore.map(function (_, k) {
                      return toPersonKPartSegmentation(masksTensor, partSegmentation, k);
                    });
                  });
                  return [
                    4 /*yield*/,
                    Promise.all(
                      partSegmentations.map(function (x) {
                        return x.data();
                      }),
                    ),
                  ];
                case 1:
                  partSegmentationsByPersonData = _b.sent();
                  partSegmentations.forEach(function (x) {
                    return x.dispose();
                  });
                  return [3 /*break*/, 6];
                case 2:
                  return [4 /*yield*/, segmentation.data()];
                case 3:
                  segmentationsData = _b.sent();
                  return [4 /*yield*/, longOffsets.data()];
                case 4:
                  longOffsetsData = _b.sent();
                  return [4 /*yield*/, partSegmentation.data()];
                case 5:
                  partSegmentaionData = _b.sent();
                  partSegmentationsByPersonData = decode_multiple_masks_cpu_1.decodeMultiplePartMasksCPU(
                    segmentationsData,
                    longOffsetsData,
                    partSegmentaionData,
                    posesAboveScore,
                    height,
                    width,
                    stride,
                    [inHeight, inWidth],
                    padding,
                    refineSteps,
                  );
                  _b.label = 6;
                case 6:
                  return [
                    2 /*return*/,
                    partSegmentationsByPersonData.map(function (data, k) {
                      return { pose: posesAboveScore[k], data: data, height: height, width: width };
                    }),
                  ];
              }
            });
          });
        }
        exports.decodePersonInstancePartMasks = decodePersonInstancePartMasks;
      },
      {
        './decode_multiple_masks_cpu': 20,
        './decode_multiple_masks_webgl': 21,
        '@tensorflow/tfjs-core': 35,
      },
    ],
    20: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2019 Google Inc. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.decodeMultiplePartMasksCPU = exports.decodeMultipleMasksCPU = void 0;
        var keypoints_1 = require('../keypoints');
        var util_1 = require('./util');
        function computeDistance(embedding, pose, minPartScore) {
          if (minPartScore === void 0) {
            minPartScore = 0.3;
          }
          var distance = 0.0;
          var numKpt = 0;
          for (var p = 0; p < embedding.length; p++) {
            if (pose.keypoints[p].score > minPartScore) {
              numKpt += 1;
              distance +=
                Math.pow(embedding[p].x - pose.keypoints[p].position.x, 2) +
                Math.pow(embedding[p].y - pose.keypoints[p].position.y, 2);
            }
          }
          if (numKpt === 0) {
            distance = Infinity;
          } else {
            distance = distance / numKpt;
          }
          return distance;
        }
        function convertToPositionInOuput(position, _a, _b, stride) {
          var padT = _a[0],
            padL = _a[1];
          var scaleX = _b[0],
            scaleY = _b[1];
          var y = Math.round(((padT + position.y + 1.0) * scaleY - 1.0) / stride);
          var x = Math.round(((padL + position.x + 1.0) * scaleX - 1.0) / stride);
          return { x: x, y: y };
        }
        function getEmbedding(
          location,
          keypointIndex,
          convertToPosition,
          outputResolutionX,
          longOffsets,
          refineSteps,
          _a,
        ) {
          var height = _a[0],
            width = _a[1];
          var newLocation = convertToPosition(location);
          var nn = newLocation.y * outputResolutionX + newLocation.x;
          var dy = longOffsets[keypoints_1.NUM_KEYPOINTS * (2 * nn) + keypointIndex];
          var dx = longOffsets[keypoints_1.NUM_KEYPOINTS * (2 * nn + 1) + keypointIndex];
          var y = location.y + dy;
          var x = location.x + dx;
          for (var t = 0; t < refineSteps; t++) {
            y = Math.min(y, height - 1);
            x = Math.min(x, width - 1);
            var newPos = convertToPosition({ x: x, y: y });
            var nn_1 = newPos.y * outputResolutionX + newPos.x;
            dy = longOffsets[keypoints_1.NUM_KEYPOINTS * (2 * nn_1) + keypointIndex];
            dx = longOffsets[keypoints_1.NUM_KEYPOINTS * (2 * nn_1 + 1) + keypointIndex];
            y = y + dy;
            x = x + dx;
          }
          return { x: x, y: y };
        }
        function matchEmbeddingToInstance(
          location,
          longOffsets,
          poses,
          numKptForMatching,
          _a,
          _b,
          outputResolutionX,
          _c,
          stride,
          refineSteps,
        ) {
          var padT = _a[0],
            padL = _a[1];
          var scaleX = _b[0],
            scaleY = _b[1];
          var height = _c[0],
            width = _c[1];
          var embed = [];
          var convertToPosition = function (pair) {
            return convertToPositionInOuput(pair, [padT, padL], [scaleX, scaleY], stride);
          };
          for (var keypointsIndex = 0; keypointsIndex < numKptForMatching; keypointsIndex++) {
            var embedding = getEmbedding(
              location,
              keypointsIndex,
              convertToPosition,
              outputResolutionX,
              longOffsets,
              refineSteps,
              [height, width],
            );
            embed.push(embedding);
          }
          var kMin = -1;
          var kMinDist = Infinity;
          for (var k = 0; k < poses.length; k++) {
            var dist = computeDistance(embed, poses[k]);
            if (dist < kMinDist) {
              kMin = k;
              kMinDist = dist;
            }
          }
          return kMin;
        }
        function getOutputResolution(_a, stride) {
          var inputResolutionY = _a[0],
            inputResolutionX = _a[1];
          var outputResolutionX = Math.round((inputResolutionX - 1.0) / stride + 1.0);
          var outputResolutionY = Math.round((inputResolutionY - 1.0) / stride + 1.0);
          return [outputResolutionX, outputResolutionY];
        }
        function decodeMultipleMasksCPU(
          segmentation,
          longOffsets,
          posesAboveScore,
          height,
          width,
          stride,
          _a,
          padding,
          refineSteps,
          numKptForMatching,
        ) {
          var inHeight = _a[0],
            inWidth = _a[1];
          if (numKptForMatching === void 0) {
            numKptForMatching = 5;
          }
          var dataArrays = posesAboveScore.map(function (x) {
            return new Uint8Array(height * width).fill(0);
          });
          var padT = padding.top,
            padL = padding.left;
          var _b = util_1.getScale([height, width], [inHeight, inWidth], padding),
            scaleX = _b[0],
            scaleY = _b[1];
          var outputResolutionX = getOutputResolution([inHeight, inWidth], stride)[0];
          for (var i = 0; i < height; i += 1) {
            for (var j = 0; j < width; j += 1) {
              var n = i * width + j;
              var prob = segmentation[n];
              if (prob === 1) {
                var kMin = matchEmbeddingToInstance(
                  { x: j, y: i },
                  longOffsets,
                  posesAboveScore,
                  numKptForMatching,
                  [padT, padL],
                  [scaleX, scaleY],
                  outputResolutionX,
                  [height, width],
                  stride,
                  refineSteps,
                );
                if (kMin >= 0) {
                  dataArrays[kMin][n] = 1;
                }
              }
            }
          }
          return dataArrays;
        }
        exports.decodeMultipleMasksCPU = decodeMultipleMasksCPU;
        function decodeMultiplePartMasksCPU(
          segmentation,
          longOffsets,
          partSegmentaion,
          posesAboveScore,
          height,
          width,
          stride,
          _a,
          padding,
          refineSteps,
          numKptForMatching,
        ) {
          var inHeight = _a[0],
            inWidth = _a[1];
          if (numKptForMatching === void 0) {
            numKptForMatching = 5;
          }
          var dataArrays = posesAboveScore.map(function (x) {
            return new Int32Array(height * width).fill(-1);
          });
          var padT = padding.top,
            padL = padding.left;
          var _b = util_1.getScale([height, width], [inHeight, inWidth], padding),
            scaleX = _b[0],
            scaleY = _b[1];
          var outputResolutionX = getOutputResolution([inHeight, inWidth], stride)[0];
          for (var i = 0; i < height; i += 1) {
            for (var j = 0; j < width; j += 1) {
              var n = i * width + j;
              var prob = segmentation[n];
              if (prob === 1) {
                var kMin = matchEmbeddingToInstance(
                  { x: j, y: i },
                  longOffsets,
                  posesAboveScore,
                  numKptForMatching,
                  [padT, padL],
                  [scaleX, scaleY],
                  outputResolutionX,
                  [height, width],
                  stride,
                  refineSteps,
                );
                if (kMin >= 0) {
                  dataArrays[kMin][n] = partSegmentaion[n];
                }
              }
            }
          }
          return dataArrays;
        }
        exports.decodeMultiplePartMasksCPU = decodeMultiplePartMasksCPU;
      },
      { '../keypoints': 16, './util': 25 },
    ],
    21: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2019 Google Inc. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.decodeMultipleMasksWebGl = void 0;
        var tf = require('@tensorflow/tfjs-core');
        var keypoints_1 = require('../keypoints');
        var util_1 = require('./util');
        function decodeMultipleMasksWebGl(
          segmentation,
          longOffsets,
          posesAboveScore,
          height,
          width,
          stride,
          _a,
          padding,
          refineSteps,
          minKptScore,
          maxNumPeople,
        ) {
          var inHeight = _a[0],
            inWidth = _a[1];
          // The height/width of the image/canvas itself.
          var _b = segmentation.shape,
            origHeight = _b[0],
            origWidth = _b[1];
          // The height/width of the output of the model.
          var _c = longOffsets.shape.slice(0, 2),
            outHeight = _c[0],
            outWidth = _c[1];
          var shapedLongOffsets = tf.reshape(longOffsets, [
            outHeight,
            outWidth,
            2,
            keypoints_1.NUM_KEYPOINTS,
          ]);
          // Make pose tensor of shape [MAX_NUM_PEOPLE, NUM_KEYPOINTS, 3] where
          // the last 3 coordinates correspond to the score, h and w coordinate of that
          // keypoint.
          var poseVals = new Float32Array(maxNumPeople * keypoints_1.NUM_KEYPOINTS * 3).fill(0.0);
          for (var i = 0; i < posesAboveScore.length; i++) {
            var poseOffset = i * keypoints_1.NUM_KEYPOINTS * 3;
            var pose = posesAboveScore[i];
            for (var kp = 0; kp < keypoints_1.NUM_KEYPOINTS; kp++) {
              var keypoint = pose.keypoints[kp];
              var offset = poseOffset + kp * 3;
              poseVals[offset] = keypoint.score;
              poseVals[offset + 1] = keypoint.position.y;
              poseVals[offset + 2] = keypoint.position.x;
            }
          }
          var _d = util_1.getScale([height, width], [inHeight, inWidth], padding),
            scaleX = _d[0],
            scaleY = _d[1];
          var posesTensor = tf.tensor(poseVals, [maxNumPeople, keypoints_1.NUM_KEYPOINTS, 3]);
          var padT = padding.top,
            padL = padding.left;
          var program = {
            variableNames: ['segmentation', 'longOffsets', 'poses'],
            outputShape: [origHeight, origWidth],
            userCode:
              '\n    int convertToPositionInOutput(int pos, int pad, float scale, int stride) {\n      return round(((float(pos + pad) + 1.0) * scale - 1.0) / float(stride));\n    }\n\n    float convertToPositionInOutputFloat(\n        int pos, int pad, float scale, int stride) {\n      return ((float(pos + pad) + 1.0) * scale - 1.0) / float(stride);\n    }\n\n    float dist(float x1, float y1, float x2, float y2) {\n      return pow(x1 - x2, 2.0) + pow(y1 - y2, 2.0);\n    }\n\n    float sampleLongOffsets(float h, float w, int d, int k) {\n      float fh = fract(h);\n      float fw = fract(w);\n      int clH = int(ceil(h));\n      int clW = int(ceil(w));\n      int flH = int(floor(h));\n      int flW = int(floor(w));\n      float o11 = getLongOffsets(flH, flW, d, k);\n      float o12 = getLongOffsets(flH, clW, d, k);\n      float o21 = getLongOffsets(clH, flW, d, k);\n      float o22 = getLongOffsets(clH, clW, d, k);\n      float o1 = mix(o11, o12, fw);\n      float o2 = mix(o21, o22, fw);\n      return mix(o1, o2, fh);\n    }\n\n    int findNearestPose(int h, int w) {\n      float prob = getSegmentation(h, w);\n      if (prob < 1.0) {\n        return -1;\n      }\n\n      // Done(Tyler): convert from output space h/w to strided space.\n      float stridedH = convertToPositionInOutputFloat(\n        h, ' +
              padT +
              ', ' +
              scaleY +
              ', ' +
              stride +
              ');\n      float stridedW = convertToPositionInOutputFloat(\n        w, ' +
              padL +
              ', ' +
              scaleX +
              ', ' +
              stride +
              ');\n\n      float minDist = 1000000.0;\n      int iMin = -1;\n      for (int i = 0; i < ' +
              maxNumPeople +
              '; i++) {\n        float curDistSum = 0.0;\n        int numKpt = 0;\n        for (int k = 0; k < ' +
              keypoints_1.NUM_KEYPOINTS +
              '; k++) {\n          float dy = sampleLongOffsets(stridedH, stridedW, 0, k);\n          float dx = sampleLongOffsets(stridedH, stridedW, 1, k);\n\n          float y = float(h) + dy;\n          float x = float(w) + dx;\n\n          for (int s = 0; s < ' +
              refineSteps +
              '; s++) {\n            int yRounded = round(min(y, float(' +
              (height - 1.0) +
              ')));\n            int xRounded = round(min(x, float(' +
              (width - 1.0) +
              ')));\n\n            float yStrided = convertToPositionInOutputFloat(\n              yRounded, ' +
              padT +
              ', ' +
              scaleY +
              ', ' +
              stride +
              ');\n            float xStrided = convertToPositionInOutputFloat(\n              xRounded, ' +
              padL +
              ', ' +
              scaleX +
              ', ' +
              stride +
              ');\n\n            float dy = sampleLongOffsets(yStrided, xStrided, 0, k);\n            float dx = sampleLongOffsets(yStrided, xStrided, 1, k);\n\n            y = y + dy;\n            x = x + dx;\n          }\n\n          float poseScore = getPoses(i, k, 0);\n          float poseY = getPoses(i, k, 1);\n          float poseX = getPoses(i, k, 2);\n          if (poseScore > ' +
              minKptScore +
              ') {\n            numKpt = numKpt + 1;\n            curDistSum = curDistSum + dist(x, y, poseX, poseY);\n          }\n        }\n        if (numKpt > 0 && curDistSum / float(numKpt) < minDist) {\n          minDist = curDistSum / float(numKpt);\n          iMin = i;\n        }\n      }\n      return iMin;\n    }\n\n    void main() {\n        ivec2 coords = getOutputCoords();\n        int nearestPose = findNearestPose(coords[0], coords[1]);\n        setOutput(float(nearestPose));\n      }\n  ',
          };
          var webglBackend = tf.backend();
          return webglBackend.compileAndRun(program, [
            segmentation,
            shapedLongOffsets,
            posesTensor,
          ]);
        }
        exports.decodeMultipleMasksWebGl = decodeMultipleMasksWebGl;
      },
      { '../keypoints': 16, './util': 25, '@tensorflow/tfjs-core': 35 },
    ],
    22: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2019 Google Inc. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.decodeMultiplePoses = void 0;
        var build_part_with_score_queue_1 = require('./build_part_with_score_queue');
        var decode_pose_1 = require('./decode_pose');
        var util_1 = require('./util');
        function withinNmsRadiusOfCorrespondingPoint(poses, squaredNmsRadius, _a, keypointId) {
          var x = _a.x,
            y = _a.y;
          return poses.some(function (_a) {
            var keypoints = _a.keypoints;
            var correspondingKeypoint = keypoints[keypointId].position;
            return (
              util_1.squaredDistance(y, x, correspondingKeypoint.y, correspondingKeypoint.x) <=
              squaredNmsRadius
            );
          });
        }
        /* Score the newly proposed object instance without taking into account
         * the scores of the parts that overlap with any previously detected
         * instance.
         */
        function getInstanceScore(existingPoses, squaredNmsRadius, instanceKeypoints) {
          var notOverlappedKeypointScores = instanceKeypoints.reduce(function (
            result,
            _a,
            keypointId,
          ) {
            var position = _a.position,
              score = _a.score;
            if (
              !withinNmsRadiusOfCorrespondingPoint(
                existingPoses,
                squaredNmsRadius,
                position,
                keypointId,
              )
            ) {
              result += score;
            }
            return result;
          },
          0.0);
          return (notOverlappedKeypointScores /= instanceKeypoints.length);
        }
        // A point (y, x) is considered as root part candidate if its score is a
        // maximum in a window |y - y'| <= kLocalMaximumRadius, |x - x'| <=
        // kLocalMaximumRadius.
        var kLocalMaximumRadius = 1;
        /**
         * Detects multiple poses and finds their parts from part scores and
         * displacement vectors. It returns up to `maxDetections` object instance
         * detections in decreasing root score order. It works as follows: We first
         * create a priority queue with local part score maxima above
         * `scoreThreshold`, considering all parts at the same time. Then we
         * iteratively pull the top  element of the queue (in decreasing score order)
         * and treat it as a root candidate for a new object instance. To avoid
         * duplicate detections, we reject the root candidate if it is within a disk
         * of `nmsRadius` pixels from the corresponding part of a previously detected
         * instance, which is a form of part-based non-maximum suppression (NMS). If
         * the root candidate passes the NMS check, we start a new object instance
         * detection, treating the corresponding part as root and finding the
         * positions of the remaining parts by following the displacement vectors
         * along the tree-structured part graph. We assign to the newly detected
         * instance a score equal to the sum of scores of its parts which have not
         * been claimed by a previous instance (i.e., those at least `nmsRadius`
         * pixels away from the corresponding part of all previously detected
         * instances), divided by the total number of parts `numParts`.
         *
         * @param heatmapScores 3-D tensor with shape `[height, width, numParts]`.
         * The value of heatmapScores[y, x, k]` is the score of placing the `k`-th
         * object part at position `(y, x)`.
         *
         * @param offsets 3-D tensor with shape `[height, width, numParts * 2]`.
         * The value of [offsets[y, x, k], offsets[y, x, k + numParts]]` is the
         * short range offset vector of the `k`-th  object part at heatmap
         * position `(y, x)`.
         *
         * @param displacementsFwd 3-D tensor of shape
         * `[height, width, 2 * num_edges]`, where `num_edges = num_parts - 1` is the
         * number of edges (parent-child pairs) in the tree. It contains the forward
         * displacements between consecutive part from the root towards the leaves.
         *
         * @param displacementsBwd 3-D tensor of shape
         * `[height, width, 2 * num_edges]`, where `num_edges = num_parts - 1` is the
         * number of edges (parent-child pairs) in the tree. It contains the backward
         * displacements between consecutive part from the root towards the leaves.
         *
         * @param outputStride The output stride that was used when feed-forwarding
         * through the PoseNet model.  Must be 32, 16, or 8.
         *
         * @param maxPoseDetections Maximum number of returned instance detections per
         * image.
         *
         * @param scoreThreshold Only return instance detections that have root part
         * score greater or equal to this value. Defaults to 0.5.
         *
         * @param nmsRadius Non-maximum suppression part distance. It needs to be
         * strictly positive. Two parts suppress each other if they are less than
         * `nmsRadius` pixels away. Defaults to 20.
         *
         * @return An array of poses and their scores, each containing keypoints and
         * the corresponding keypoint scores.
         */
        function decodeMultiplePoses(
          scoresBuffer,
          offsetsBuffer,
          displacementsFwdBuffer,
          displacementsBwdBuffer,
          outputStride,
          maxPoseDetections,
          scoreThreshold,
          nmsRadius,
        ) {
          if (scoreThreshold === void 0) {
            scoreThreshold = 0.5;
          }
          if (nmsRadius === void 0) {
            nmsRadius = 20;
          }
          var poses = [];
          var queue = build_part_with_score_queue_1.buildPartWithScoreQueue(
            scoreThreshold,
            kLocalMaximumRadius,
            scoresBuffer,
          );
          var squaredNmsRadius = nmsRadius * nmsRadius;
          // Generate at most maxDetections object instances per image in
          // decreasing root part score order.
          while (poses.length < maxPoseDetections && !queue.empty()) {
            // The top element in the queue is the next root candidate.
            var root = queue.dequeue();
            // Part-based non-maximum suppression: We reject a root candidate if it
            // is within a disk of `nmsRadius` pixels from the corresponding part of
            // a previously detected instance.
            var rootImageCoords = util_1.getImageCoords(root.part, outputStride, offsetsBuffer);
            if (
              withinNmsRadiusOfCorrespondingPoint(
                poses,
                squaredNmsRadius,
                rootImageCoords,
                root.part.id,
              )
            ) {
              continue;
            }
            // Start a new detection instance at the position of the root.
            var keypoints = decode_pose_1.decodePose(
              root,
              scoresBuffer,
              offsetsBuffer,
              outputStride,
              displacementsFwdBuffer,
              displacementsBwdBuffer,
            );
            var score = getInstanceScore(poses, squaredNmsRadius, keypoints);
            poses.push({ keypoints: keypoints, score: score });
          }
          return poses;
        }
        exports.decodeMultiplePoses = decodeMultiplePoses;
      },
      { './build_part_with_score_queue': 18, './decode_pose': 23, './util': 25 },
    ],
    23: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.decodePose = void 0;
        var keypoints_1 = require('../keypoints');
        var util_1 = require('./util');
        var util_2 = require('./util');
        var parentChildrenTuples = keypoints_1.POSE_CHAIN.map(function (_a) {
          var parentJoinName = _a[0],
            childJoinName = _a[1];
          return [keypoints_1.PART_IDS[parentJoinName], keypoints_1.PART_IDS[childJoinName]];
        });
        var parentToChildEdges = parentChildrenTuples.map(function (_a) {
          var childJointId = _a[1];
          return childJointId;
        });
        var childToParentEdges = parentChildrenTuples.map(function (_a) {
          var parentJointId = _a[0];
          return parentJointId;
        });
        function getDisplacement(edgeId, point, displacements) {
          var numEdges = displacements.shape[2] / 2;
          return {
            y: displacements.get(point.y, point.x, edgeId),
            x: displacements.get(point.y, point.x, numEdges + edgeId),
          };
        }
        function getStridedIndexNearPoint(point, outputStride, height, width) {
          return {
            y: util_1.clamp(Math.round(point.y / outputStride), 0, height - 1),
            x: util_1.clamp(Math.round(point.x / outputStride), 0, width - 1),
          };
        }
        /**
         * We get a new keypoint along the `edgeId` for the pose instance, assuming
         * that the position of the `idSource` part is already known. For this, we
         * follow the displacement vector from the source to target part (stored in
         * the `i`-t channel of the displacement tensor). The displaced keypoint
         * vector is refined using the offset vector by `offsetRefineStep` times.
         */
        function traverseToTargetKeypoint(
          edgeId,
          sourceKeypoint,
          targetKeypointId,
          scoresBuffer,
          offsets,
          outputStride,
          displacements,
          offsetRefineStep,
        ) {
          if (offsetRefineStep === void 0) {
            offsetRefineStep = 2;
          }
          var _a = scoresBuffer.shape,
            height = _a[0],
            width = _a[1];
          // Nearest neighbor interpolation for the source->target displacements.
          var sourceKeypointIndices = getStridedIndexNearPoint(
            sourceKeypoint.position,
            outputStride,
            height,
            width,
          );
          var displacement = getDisplacement(edgeId, sourceKeypointIndices, displacements);
          var displacedPoint = util_2.addVectors(sourceKeypoint.position, displacement);
          var targetKeypoint = displacedPoint;
          for (var i = 0; i < offsetRefineStep; i++) {
            var targetKeypointIndices = getStridedIndexNearPoint(
              targetKeypoint,
              outputStride,
              height,
              width,
            );
            var offsetPoint = util_1.getOffsetPoint(
              targetKeypointIndices.y,
              targetKeypointIndices.x,
              targetKeypointId,
              offsets,
            );
            targetKeypoint = util_2.addVectors(
              {
                x: targetKeypointIndices.x * outputStride,
                y: targetKeypointIndices.y * outputStride,
              },
              { x: offsetPoint.x, y: offsetPoint.y },
            );
          }
          var targetKeyPointIndices = getStridedIndexNearPoint(
            targetKeypoint,
            outputStride,
            height,
            width,
          );
          var score = scoresBuffer.get(
            targetKeyPointIndices.y,
            targetKeyPointIndices.x,
            targetKeypointId,
          );
          return {
            position: targetKeypoint,
            part: keypoints_1.PART_NAMES[targetKeypointId],
            score: score,
          };
        }
        /**
         * Follows the displacement fields to decode the full pose of the object
         * instance given the position of a part that acts as root.
         *
         * @return An array of decoded keypoints and their scores for a single pose
         */
        function decodePose(
          root,
          scores,
          offsets,
          outputStride,
          displacementsFwd,
          displacementsBwd,
        ) {
          var numParts = scores.shape[2];
          var numEdges = parentToChildEdges.length;
          var instanceKeypoints = new Array(numParts);
          // Start a new detection instance at the position of the root.
          var rootPart = root.part,
            rootScore = root.score;
          var rootPoint = util_2.getImageCoords(rootPart, outputStride, offsets);
          instanceKeypoints[rootPart.id] = {
            score: rootScore,
            part: keypoints_1.PART_NAMES[rootPart.id],
            position: rootPoint,
          };
          // Decode the part positions upwards in the tree, following the backward
          // displacements.
          for (var edge = numEdges - 1; edge >= 0; --edge) {
            var sourceKeypointId = parentToChildEdges[edge];
            var targetKeypointId = childToParentEdges[edge];
            if (instanceKeypoints[sourceKeypointId] && !instanceKeypoints[targetKeypointId]) {
              instanceKeypoints[targetKeypointId] = traverseToTargetKeypoint(
                edge,
                instanceKeypoints[sourceKeypointId],
                targetKeypointId,
                scores,
                offsets,
                outputStride,
                displacementsBwd,
              );
            }
          }
          // Decode the part positions downwards in the tree, following the forward
          // displacements.
          for (var edge = 0; edge < numEdges; ++edge) {
            var sourceKeypointId = childToParentEdges[edge];
            var targetKeypointId = parentToChildEdges[edge];
            if (instanceKeypoints[sourceKeypointId] && !instanceKeypoints[targetKeypointId]) {
              instanceKeypoints[targetKeypointId] = traverseToTargetKeypoint(
                edge,
                instanceKeypoints[sourceKeypointId],
                targetKeypointId,
                scores,
                offsets,
                outputStride,
                displacementsFwd,
              );
            }
          }
          return instanceKeypoints;
        }
        exports.decodePose = decodePose;
      },
      { '../keypoints': 16, './util': 25 },
    ],
    24: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2019 Google Inc. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.MaxHeap = void 0;
        // algorithm based on Coursera Lecture from Algorithms, Part 1:
        // https://www.coursera.org/learn/algorithms-part1/lecture/ZjoSM/heapsort
        function half(k) {
          return Math.floor(k / 2);
        }
        var MaxHeap = /** @class */ (function () {
          function MaxHeap(maxSize, getElementValue) {
            this.priorityQueue = new Array(maxSize);
            this.numberOfElements = -1;
            this.getElementValue = getElementValue;
          }
          MaxHeap.prototype.enqueue = function (x) {
            this.priorityQueue[++this.numberOfElements] = x;
            this.swim(this.numberOfElements);
          };
          MaxHeap.prototype.dequeue = function () {
            var max = this.priorityQueue[0];
            this.exchange(0, this.numberOfElements--);
            this.sink(0);
            this.priorityQueue[this.numberOfElements + 1] = null;
            return max;
          };
          MaxHeap.prototype.empty = function () {
            return this.numberOfElements === -1;
          };
          MaxHeap.prototype.size = function () {
            return this.numberOfElements + 1;
          };
          MaxHeap.prototype.all = function () {
            return this.priorityQueue.slice(0, this.numberOfElements + 1);
          };
          MaxHeap.prototype.max = function () {
            return this.priorityQueue[0];
          };
          MaxHeap.prototype.swim = function (k) {
            while (k > 0 && this.less(half(k), k)) {
              this.exchange(k, half(k));
              k = half(k);
            }
          };
          MaxHeap.prototype.sink = function (k) {
            while (2 * k <= this.numberOfElements) {
              var j = 2 * k;
              if (j < this.numberOfElements && this.less(j, j + 1)) {
                j++;
              }
              if (!this.less(k, j)) {
                break;
              }
              this.exchange(k, j);
              k = j;
            }
          };
          MaxHeap.prototype.getValueAt = function (i) {
            return this.getElementValue(this.priorityQueue[i]);
          };
          MaxHeap.prototype.less = function (i, j) {
            return this.getValueAt(i) < this.getValueAt(j);
          };
          MaxHeap.prototype.exchange = function (i, j) {
            var t = this.priorityQueue[i];
            this.priorityQueue[i] = this.priorityQueue[j];
            this.priorityQueue[j] = t;
          };
          return MaxHeap;
        })();
        exports.MaxHeap = MaxHeap;
      },
      {},
    ],
    25: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.clampVector = exports.addVectors = exports.squaredDistance = exports.clamp = exports.fillArray = exports.getImageCoords = exports.getOffsetPoint = exports.getScale = void 0;
        var keypoints_1 = require('../keypoints');
        function getScale(_a, _b, padding) {
          var height = _a[0],
            width = _a[1];
          var inputResolutionY = _b[0],
            inputResolutionX = _b[1];
          var padT = padding.top,
            padB = padding.bottom,
            padL = padding.left,
            padR = padding.right;
          var scaleY = inputResolutionY / (padT + padB + height);
          var scaleX = inputResolutionX / (padL + padR + width);
          return [scaleX, scaleY];
        }
        exports.getScale = getScale;
        function getOffsetPoint(y, x, keypoint, offsets) {
          return {
            y: offsets.get(y, x, keypoint),
            x: offsets.get(y, x, keypoint + keypoints_1.NUM_KEYPOINTS),
          };
        }
        exports.getOffsetPoint = getOffsetPoint;
        function getImageCoords(part, outputStride, offsets) {
          var heatmapY = part.heatmapY,
            heatmapX = part.heatmapX,
            keypoint = part.id;
          var _a = getOffsetPoint(heatmapY, heatmapX, keypoint, offsets),
            y = _a.y,
            x = _a.x;
          return {
            x: part.heatmapX * outputStride + x,
            y: part.heatmapY * outputStride + y,
          };
        }
        exports.getImageCoords = getImageCoords;
        function fillArray(element, size) {
          var result = new Array(size);
          for (var i = 0; i < size; i++) {
            result[i] = element;
          }
          return result;
        }
        exports.fillArray = fillArray;
        function clamp(a, min, max) {
          if (a < min) {
            return min;
          }
          if (a > max) {
            return max;
          }
          return a;
        }
        exports.clamp = clamp;
        function squaredDistance(y1, x1, y2, x2) {
          var dy = y2 - y1;
          var dx = x2 - x1;
          return dy * dy + dx * dx;
        }
        exports.squaredDistance = squaredDistance;
        function addVectors(a, b) {
          return { x: a.x + b.x, y: a.y + b.y };
        }
        exports.addVectors = addVectors;
        function clampVector(a, min, max) {
          return { y: clamp(a.y, min, max), x: clamp(a.x, min, max) };
        }
        exports.clampVector = clampVector;
      },
      { '../keypoints': 16 },
    ],
    26: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.blurBodyPart = exports.drawBokehEffect = exports.drawPixelatedMask = exports.drawMask = exports.toColoredPartMask = exports.toMask = void 0;
        var blur_1 = require('./blur');
        var util_1 = require('./util');
        var offScreenCanvases = {};
        function isSafari() {
          return /^((?!chrome|android).)*safari/i.test(navigator.userAgent);
        }
        function assertSameDimensions(_a, _b, nameA, nameB) {
          var widthA = _a.width,
            heightA = _a.height;
          var widthB = _b.width,
            heightB = _b.height;
          if (widthA !== widthB || heightA !== heightB) {
            throw new Error(
              'error: dimensions must match. ' +
                nameA +
                ' has dimensions ' +
                widthA +
                'x' +
                heightA +
                ', ' +
                nameB +
                ' has dimensions ' +
                widthB +
                'x' +
                heightB,
            );
          }
        }
        function flipCanvasHorizontal(canvas) {
          var ctx = canvas.getContext('2d');
          ctx.scale(-1, 1);
          ctx.translate(-canvas.width, 0);
        }
        function drawWithCompositing(ctx, image, compositeOperation) {
          ctx.globalCompositeOperation = compositeOperation;
          ctx.drawImage(image, 0, 0);
        }
        function createOffScreenCanvas() {
          if (typeof document !== 'undefined') {
            return document.createElement('canvas');
          } else if (typeof OffscreenCanvas !== 'undefined') {
            return new OffscreenCanvas(0, 0);
          } else {
            throw new Error('Cannot create a canvas in this context');
          }
        }
        function ensureOffscreenCanvasCreated(id) {
          if (!offScreenCanvases[id]) {
            offScreenCanvases[id] = createOffScreenCanvas();
          }
          return offScreenCanvases[id];
        }
        function drawAndBlurImageOnCanvas(image, blurAmount, canvas) {
          var height = image.height,
            width = image.width;
          var ctx = canvas.getContext('2d');
          canvas.width = width;
          canvas.height = height;
          ctx.clearRect(0, 0, width, height);
          ctx.save();
          if (isSafari()) {
            blur_1.cpuBlur(canvas, image, blurAmount);
          } else {
            // tslint:disable:no-any
            ctx.filter = 'blur(' + blurAmount + 'px)';
            ctx.drawImage(image, 0, 0, width, height);
          }
          ctx.restore();
        }
        function drawAndBlurImageOnOffScreenCanvas(image, blurAmount, offscreenCanvasName) {
          var canvas = ensureOffscreenCanvasCreated(offscreenCanvasName);
          if (blurAmount === 0) {
            renderImageToCanvas(image, canvas);
          } else {
            drawAndBlurImageOnCanvas(image, blurAmount, canvas);
          }
          return canvas;
        }
        function renderImageToCanvas(image, canvas) {
          var width = image.width,
            height = image.height;
          canvas.width = width;
          canvas.height = height;
          var ctx = canvas.getContext('2d');
          ctx.drawImage(image, 0, 0, width, height);
        }
        /**
         * Draw an image on a canvas
         */
        function renderImageDataToCanvas(image, canvas) {
          canvas.width = image.width;
          canvas.height = image.height;
          var ctx = canvas.getContext('2d');
          ctx.putImageData(image, 0, 0);
        }
        function renderImageDataToOffScreenCanvas(image, canvasName) {
          var canvas = ensureOffscreenCanvasCreated(canvasName);
          renderImageDataToCanvas(image, canvas);
          return canvas;
        }
        /**
         * Given the output from estimating multi-person segmentation, generates an
         * image with foreground and background color at each pixel determined by the
         * corresponding binary segmentation value at the pixel from the output.  In
         * other words, pixels where there is a person will be colored with foreground
         * color and where there is not a person will be colored with background color.
         *
         * @param personOrPartSegmentation The output from
         * `segmentPerson`, `segmentMultiPerson`,
         * `segmentPersonParts` or `segmentMultiPersonParts`. They can
         * be SemanticPersonSegmentation object, an array of PersonSegmentation object,
         * SemanticPartSegmentation object, or an array of PartSegmentation object.
         *
         * @param foreground Default to {r:0, g:0, b:0, a: 0}. The foreground color
         * (r,g,b,a) for visualizing pixels that belong to people.
         *
         * @param background Default to {r:0, g:0, b:0, a: 255}. The background color
         * (r,g,b,a) for visualizing pixels that don't belong to people.
         *
         * @param drawContour Default to false. Whether to draw the contour around each
         * person's segmentation mask or body part mask.
         *
         * @param foregroundIds Default to [1]. The integer values that represent
         * foreground. For person segmentation, 1 is the foreground. For body part
         * segmentation, it can be a subset of all body parts ids.
         *
         * @returns An ImageData with the same width and height of
         * all the PersonSegmentation in multiPersonSegmentation, with opacity and
         * transparency at each pixel determined by the corresponding binary
         * segmentation value at the pixel from the output.
         */
        function toMask(
          personOrPartSegmentation,
          foreground,
          background,
          drawContour,
          foregroundIds,
        ) {
          if (foreground === void 0) {
            foreground = {
              r: 0,
              g: 0,
              b: 0,
              a: 0,
            };
          }
          if (background === void 0) {
            background = {
              r: 0,
              g: 0,
              b: 0,
              a: 255,
            };
          }
          if (drawContour === void 0) {
            drawContour = false;
          }
          if (foregroundIds === void 0) {
            foregroundIds = [1];
          }
          if (Array.isArray(personOrPartSegmentation) && personOrPartSegmentation.length === 0) {
            return null;
          }
          var multiPersonOrPartSegmentation;
          if (!Array.isArray(personOrPartSegmentation)) {
            multiPersonOrPartSegmentation = [personOrPartSegmentation];
          } else {
            multiPersonOrPartSegmentation = personOrPartSegmentation;
          }
          var _a = multiPersonOrPartSegmentation[0],
            width = _a.width,
            height = _a.height;
          var bytes = new Uint8ClampedArray(width * height * 4);
          function drawStroke(bytes, row, column, width, radius, color) {
            if (color === void 0) {
              color = { r: 0, g: 255, b: 255, a: 255 };
            }
            for (var i = -radius; i <= radius; i++) {
              for (var j = -radius; j <= radius; j++) {
                if (i !== 0 && j !== 0) {
                  var n = (row + i) * width + (column + j);
                  bytes[4 * n + 0] = color.r;
                  bytes[4 * n + 1] = color.g;
                  bytes[4 * n + 2] = color.b;
                  bytes[4 * n + 3] = color.a;
                }
              }
            }
          }
          function isSegmentationBoundary(
            segmentationData,
            row,
            column,
            width,
            foregroundIds,
            radius,
          ) {
            if (foregroundIds === void 0) {
              foregroundIds = [1];
            }
            if (radius === void 0) {
              radius = 1;
            }
            var numberBackgroundPixels = 0;
            for (var i = -radius; i <= radius; i++) {
              var _loop_2 = function (j) {
                if (i !== 0 && j !== 0) {
                  var n_1 = (row + i) * width + (column + j);
                  if (
                    !foregroundIds.some(function (id) {
                      return id === segmentationData[n_1];
                    })
                  ) {
                    numberBackgroundPixels += 1;
                  }
                }
              };
              for (var j = -radius; j <= radius; j++) {
                _loop_2(j);
              }
            }
            return numberBackgroundPixels > 0;
          }
          for (var i = 0; i < height; i += 1) {
            var _loop_1 = function (j) {
              var n = i * width + j;
              bytes[4 * n + 0] = background.r;
              bytes[4 * n + 1] = background.g;
              bytes[4 * n + 2] = background.b;
              bytes[4 * n + 3] = background.a;
              var _loop_3 = function (k) {
                if (
                  foregroundIds.some(function (id) {
                    return id === multiPersonOrPartSegmentation[k].data[n];
                  })
                ) {
                  bytes[4 * n] = foreground.r;
                  bytes[4 * n + 1] = foreground.g;
                  bytes[4 * n + 2] = foreground.b;
                  bytes[4 * n + 3] = foreground.a;
                  var isBoundary = isSegmentationBoundary(
                    multiPersonOrPartSegmentation[k].data,
                    i,
                    j,
                    width,
                    foregroundIds,
                  );
                  if (
                    drawContour &&
                    i - 1 >= 0 &&
                    i + 1 < height &&
                    j - 1 >= 0 &&
                    j + 1 < width &&
                    isBoundary
                  ) {
                    drawStroke(bytes, i, j, width, 1);
                  }
                }
              };
              for (var k = 0; k < multiPersonOrPartSegmentation.length; k++) {
                _loop_3(k);
              }
            };
            for (var j = 0; j < width; j += 1) {
              _loop_1(j);
            }
          }
          return new ImageData(bytes, width, height);
        }
        exports.toMask = toMask;
        var RAINBOW_PART_COLORS = [
          [110, 64, 170],
          [143, 61, 178],
          [178, 60, 178],
          [210, 62, 167],
          [238, 67, 149],
          [255, 78, 125],
          [255, 94, 99],
          [255, 115, 75],
          [255, 140, 56],
          [239, 167, 47],
          [217, 194, 49],
          [194, 219, 64],
          [175, 240, 91],
          [135, 245, 87],
          [96, 247, 96],
          [64, 243, 115],
          [40, 234, 141],
          [28, 219, 169],
          [26, 199, 194],
          [33, 176, 213],
          [47, 150, 224],
          [65, 125, 224],
          [84, 101, 214],
          [99, 81, 195],
        ];
        /**
         * Given the output from person body part segmentation (or multi-person
         * instance body part segmentation) and an array of colors indexed by part id,
         * generates an image with the corresponding color for each part at each pixel,
         * and white pixels where there is no part.
         *
         * @param partSegmentation The output from segmentPersonParts
         * or segmentMultiPersonParts. The former is a SemanticPartSegmentation
         * object and later is an array of PartSegmentation object.
         *
         * @param partColors A multi-dimensional array of rgb colors indexed by
         * part id.  Must have 24 colors, one for every part.
         *
         * @returns An ImageData with the same width and height of all the element in
         * multiPersonPartSegmentation, with the corresponding color for each part at
         * each pixel, and black pixels where there is no part.
         */
        function toColoredPartMask(partSegmentation, partColors) {
          if (partColors === void 0) {
            partColors = RAINBOW_PART_COLORS;
          }
          if (Array.isArray(partSegmentation) && partSegmentation.length === 0) {
            return null;
          }
          var multiPersonPartSegmentation;
          if (!Array.isArray(partSegmentation)) {
            multiPersonPartSegmentation = [partSegmentation];
          } else {
            multiPersonPartSegmentation = partSegmentation;
          }
          var _a = multiPersonPartSegmentation[0],
            width = _a.width,
            height = _a.height;
          var bytes = new Uint8ClampedArray(width * height * 4);
          for (var i = 0; i < height * width; ++i) {
            // invert mask.  Invert the segmentation mask.
            var j = i * 4;
            bytes[j + 0] = 255;
            bytes[j + 1] = 255;
            bytes[j + 2] = 255;
            bytes[j + 3] = 255;
            for (var k = 0; k < multiPersonPartSegmentation.length; k++) {
              var partId = multiPersonPartSegmentation[k].data[i];
              if (partId !== -1) {
                var color = partColors[partId];
                if (!color) {
                  throw new Error('No color could be found for part id ' + partId);
                }
                bytes[j + 0] = color[0];
                bytes[j + 1] = color[1];
                bytes[j + 2] = color[2];
                bytes[j + 3] = 255;
              }
            }
          }
          return new ImageData(bytes, width, height);
        }
        exports.toColoredPartMask = toColoredPartMask;
        var CANVAS_NAMES = {
          blurred: 'blurred',
          blurredMask: 'blurred-mask',
          mask: 'mask',
          lowresPartMask: 'lowres-part-mask',
        };
        /**
         * Given an image and a maskImage of type ImageData, draws the image with the
         * mask on top of it onto a canvas.
         *
         * @param canvas The canvas to be drawn onto.
         *
         * @param image The original image to apply the mask to.
         *
         * @param maskImage An ImageData containing the mask.  Ideally this should be
         * generated by toMask or toColoredPartMask.
         *
         * @param maskOpacity The opacity of the mask when drawing it on top of the
         * image. Defaults to 0.7. Should be a float between 0 and 1.
         *
         * @param maskBlurAmount How many pixels to blur the mask by. Defaults to 0.
         * Should be an integer between 0 and 20.
         *
         * @param flipHorizontal If the result should be flipped horizontally.  Defaults
         * to false.
         */
        function drawMask(canvas, image, maskImage, maskOpacity, maskBlurAmount, flipHorizontal) {
          if (maskOpacity === void 0) {
            maskOpacity = 0.7;
          }
          if (maskBlurAmount === void 0) {
            maskBlurAmount = 0;
          }
          if (flipHorizontal === void 0) {
            flipHorizontal = false;
          }
          var _a = util_1.getInputSize(image),
            height = _a[0],
            width = _a[1];
          canvas.width = width;
          canvas.height = height;
          var ctx = canvas.getContext('2d');
          ctx.save();
          if (flipHorizontal) {
            flipCanvasHorizontal(canvas);
          }
          ctx.drawImage(image, 0, 0);
          ctx.globalAlpha = maskOpacity;
          if (maskImage) {
            assertSameDimensions({ width: width, height: height }, maskImage, 'image', 'mask');
            var mask = renderImageDataToOffScreenCanvas(maskImage, CANVAS_NAMES.mask);
            var blurredMask = drawAndBlurImageOnOffScreenCanvas(
              mask,
              maskBlurAmount,
              CANVAS_NAMES.blurredMask,
            );
            ctx.drawImage(blurredMask, 0, 0, width, height);
          }
          ctx.restore();
        }
        exports.drawMask = drawMask;
        /**
         * Given an image and a maskImage of type ImageData, draws the image with the
         * pixelated mask on top of it onto a canvas.
         *
         * @param canvas The canvas to be drawn onto.
         *
         * @param image The original image to apply the mask to.
         *
         * @param maskImage An ImageData containing the mask.  Ideally this should be
         * generated by toColoredPartMask.
         *
         * @param maskOpacity The opacity of the mask when drawing it on top of the
         * image. Defaults to 0.7. Should be a float between 0 and 1.
         *
         * @param maskBlurAmount How many pixels to blur the mask by. Defaults to 0.
         * Should be an integer between 0 and 20.
         *
         * @param flipHorizontal If the result should be flipped horizontally.  Defaults
         * to false.
         *
         * @param pixelCellWidth The width of each pixel cell. Default to 10 px.
         */
        function drawPixelatedMask(
          canvas,
          image,
          maskImage,
          maskOpacity,
          maskBlurAmount,
          flipHorizontal,
          pixelCellWidth,
        ) {
          if (maskOpacity === void 0) {
            maskOpacity = 0.7;
          }
          if (maskBlurAmount === void 0) {
            maskBlurAmount = 0;
          }
          if (flipHorizontal === void 0) {
            flipHorizontal = false;
          }
          if (pixelCellWidth === void 0) {
            pixelCellWidth = 10.0;
          }
          var _a = util_1.getInputSize(image),
            height = _a[0],
            width = _a[1];
          assertSameDimensions({ width: width, height: height }, maskImage, 'image', 'mask');
          var mask = renderImageDataToOffScreenCanvas(maskImage, CANVAS_NAMES.mask);
          var blurredMask = drawAndBlurImageOnOffScreenCanvas(
            mask,
            maskBlurAmount,
            CANVAS_NAMES.blurredMask,
          );
          canvas.width = blurredMask.width;
          canvas.height = blurredMask.height;
          var ctx = canvas.getContext('2d');
          ctx.save();
          if (flipHorizontal) {
            flipCanvasHorizontal(canvas);
          }
          var offscreenCanvas = ensureOffscreenCanvasCreated(CANVAS_NAMES.lowresPartMask);
          var offscreenCanvasCtx = offscreenCanvas.getContext('2d');
          offscreenCanvas.width = blurredMask.width * (1.0 / pixelCellWidth);
          offscreenCanvas.height = blurredMask.height * (1.0 / pixelCellWidth);
          offscreenCanvasCtx.drawImage(
            blurredMask,
            0,
            0,
            blurredMask.width,
            blurredMask.height,
            0,
            0,
            offscreenCanvas.width,
            offscreenCanvas.height,
          );
          ctx.imageSmoothingEnabled = false;
          ctx.drawImage(
            offscreenCanvas,
            0,
            0,
            offscreenCanvas.width,
            offscreenCanvas.height,
            0,
            0,
            canvas.width,
            canvas.height,
          );
          // Draws vertical grid lines that are `pixelCellWidth` apart from each other.
          for (var i = 0; i < offscreenCanvas.width; i++) {
            ctx.beginPath();
            ctx.strokeStyle = '#ffffff';
            ctx.moveTo(pixelCellWidth * i, 0);
            ctx.lineTo(pixelCellWidth * i, canvas.height);
            ctx.stroke();
          }
          // Draws horizontal grid lines that are `pixelCellWidth` apart from each
          // other.
          for (var i = 0; i < offscreenCanvas.height; i++) {
            ctx.beginPath();
            ctx.strokeStyle = '#ffffff';
            ctx.moveTo(0, pixelCellWidth * i);
            ctx.lineTo(canvas.width, pixelCellWidth * i);
            ctx.stroke();
          }
          ctx.globalAlpha = 1.0 - maskOpacity;
          ctx.drawImage(image, 0, 0, blurredMask.width, blurredMask.height);
          ctx.restore();
        }
        exports.drawPixelatedMask = drawPixelatedMask;
        function createPersonMask(multiPersonSegmentation, edgeBlurAmount) {
          var backgroundMaskImage = toMask(
            multiPersonSegmentation,
            { r: 0, g: 0, b: 0, a: 255 },
            { r: 0, g: 0, b: 0, a: 0 },
          );
          var backgroundMask = renderImageDataToOffScreenCanvas(
            backgroundMaskImage,
            CANVAS_NAMES.mask,
          );
          if (edgeBlurAmount === 0) {
            return backgroundMask;
          } else {
            return drawAndBlurImageOnOffScreenCanvas(
              backgroundMask,
              edgeBlurAmount,
              CANVAS_NAMES.blurredMask,
            );
          }
        }
        /**
         * Given a personSegmentation and an image, draws the image with its background
         * blurred onto the canvas.
         *
         * @param canvas The canvas to draw the background-blurred image onto.
         *
         * @param image The image to blur the background of and draw.
         *
         * @param personSegmentation A SemanticPersonSegmentation or an array of
         * PersonSegmentation object.
         *
         * @param backgroundBlurAmount How many pixels in the background blend into each
         * other.  Defaults to 3. Should be an integer between 1 and 20.
         *
         * @param edgeBlurAmount How many pixels to blur on the edge between the person
         * and the background by.  Defaults to 3. Should be an integer between 0 and 20.
         *
         * @param flipHorizontal If the output should be flipped horizontally.  Defaults
         * to false.
         */
        function drawBokehEffect(
          canvas,
          image,
          multiPersonSegmentation,
          backgroundBlurAmount,
          edgeBlurAmount,
          flipHorizontal,
        ) {
          if (backgroundBlurAmount === void 0) {
            backgroundBlurAmount = 3;
          }
          if (edgeBlurAmount === void 0) {
            edgeBlurAmount = 3;
          }
          if (flipHorizontal === void 0) {
            flipHorizontal = false;
          }
          var blurredImage = drawAndBlurImageOnOffScreenCanvas(
            image,
            backgroundBlurAmount,
            CANVAS_NAMES.blurred,
          );
          canvas.width = blurredImage.width;
          canvas.height = blurredImage.height;
          var ctx = canvas.getContext('2d');
          if (Array.isArray(multiPersonSegmentation) && multiPersonSegmentation.length === 0) {
            ctx.drawImage(blurredImage, 0, 0);
            return;
          }
          var personMask = createPersonMask(multiPersonSegmentation, edgeBlurAmount);
          ctx.save();
          if (flipHorizontal) {
            flipCanvasHorizontal(canvas);
          }
          // draw the original image on the final canvas
          var _a = util_1.getInputSize(image),
            height = _a[0],
            width = _a[1];
          ctx.drawImage(image, 0, 0, width, height);
          // "destination-in" - "The existing canvas content is kept where both the
          // new shape and existing canvas content overlap. Everything else is made
          // transparent."
          // crop what's not the person using the mask from the original image
          drawWithCompositing(ctx, personMask, 'destination-in');
          // "destination-over" - "The existing canvas content is kept where both the
          // new shape and existing canvas content overlap. Everything else is made
          // transparent."
          // draw the blurred background on top of the original image where it doesn't
          // overlap.
          drawWithCompositing(ctx, blurredImage, 'destination-over');
          ctx.restore();
        }
        exports.drawBokehEffect = drawBokehEffect;
        function createBodyPartMask(
          multiPersonPartSegmentation,
          bodyPartIdsToMask,
          edgeBlurAmount,
        ) {
          var backgroundMaskImage = toMask(
            multiPersonPartSegmentation,
            { r: 0, g: 0, b: 0, a: 0 },
            { r: 0, g: 0, b: 0, a: 255 },
            true,
            bodyPartIdsToMask,
          );
          var backgroundMask = renderImageDataToOffScreenCanvas(
            backgroundMaskImage,
            CANVAS_NAMES.mask,
          );
          if (edgeBlurAmount === 0) {
            return backgroundMask;
          } else {
            return drawAndBlurImageOnOffScreenCanvas(
              backgroundMask,
              edgeBlurAmount,
              CANVAS_NAMES.blurredMask,
            );
          }
        }
        /**
         * Given a personSegmentation and an image, draws the image with its background
         * blurred onto the canvas.
         *
         * @param canvas The canvas to draw the background-blurred image onto.
         *
         * @param image The image to blur the background of and draw.
         *
         * @param partSegmentation A SemanticPartSegmentation or an array of
         * PartSegmentation object.
         *
         * @param bodyPartIdsToBlur Default to [0, 1] (left-face and right-face). An
         * array of body part ids to blur. Each must be one of the 24 body part ids.
         *
         * @param backgroundBlurAmount How many pixels in the background blend into each
         * other.  Defaults to 3. Should be an integer between 1 and 20.
         *
         * @param edgeBlurAmount How many pixels to blur on the edge between the person
         * and the background by.  Defaults to 3. Should be an integer between 0 and 20.
         *
         * @param flipHorizontal If the output should be flipped horizontally.  Defaults
         * to false.
         */
        function blurBodyPart(
          canvas,
          image,
          partSegmentation,
          bodyPartIdsToBlur,
          backgroundBlurAmount,
          edgeBlurAmount,
          flipHorizontal,
        ) {
          if (bodyPartIdsToBlur === void 0) {
            bodyPartIdsToBlur = [0, 1];
          }
          if (backgroundBlurAmount === void 0) {
            backgroundBlurAmount = 3;
          }
          if (edgeBlurAmount === void 0) {
            edgeBlurAmount = 3;
          }
          if (flipHorizontal === void 0) {
            flipHorizontal = false;
          }
          var blurredImage = drawAndBlurImageOnOffScreenCanvas(
            image,
            backgroundBlurAmount,
            CANVAS_NAMES.blurred,
          );
          canvas.width = blurredImage.width;
          canvas.height = blurredImage.height;
          var ctx = canvas.getContext('2d');
          if (Array.isArray(partSegmentation) && partSegmentation.length === 0) {
            ctx.drawImage(blurredImage, 0, 0);
            return;
          }
          var bodyPartMask = createBodyPartMask(
            partSegmentation,
            bodyPartIdsToBlur,
            edgeBlurAmount,
          );
          ctx.save();
          if (flipHorizontal) {
            flipCanvasHorizontal(canvas);
          }
          // draw the original image on the final canvas
          var _a = util_1.getInputSize(image),
            height = _a[0],
            width = _a[1];
          ctx.drawImage(image, 0, 0, width, height);
          // "destination-in" - "The existing canvas content is kept where both the
          // new shape and existing canvas content overlap. Everything else is made
          // transparent."
          // crop what's not the person using the mask from the original image
          drawWithCompositing(ctx, bodyPartMask, 'destination-in');
          // "destination-over" - "The existing canvas content is kept where both the
          // new shape and existing canvas content overlap. Everything else is made
          // transparent."
          // draw the blurred background on top of the original image where it doesn't
          // overlap.
          drawWithCompositing(ctx, blurredImage, 'destination-over');
          ctx.restore();
        }
        exports.blurBodyPart = blurBodyPart;
      },
      { './blur': 12, './util': 30 },
    ],
    27: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2020 Google Inc. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         *
         * =============================================================================
         */
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.PART_CHANNELS = void 0;
        exports.PART_CHANNELS = [
          'left_face',
          'right_face',
          'left_upper_arm_front',
          'left_upper_arm_back',
          'right_upper_arm_front',
          'right_upper_arm_back',
          'left_lower_arm_front',
          'left_lower_arm_back',
          'right_lower_arm_front',
          'right_lower_arm_back',
          'left_hand',
          'right_hand',
          'torso_front',
          'torso_back',
          'left_upper_leg_front',
          'left_upper_leg_back',
          'right_upper_leg_front',
          'right_upper_leg_back',
          'left_lower_leg_front',
          'left_lower_leg_back',
          'right_lower_leg_front',
          'right_lower_leg_back',
          'left_feet',
          'right_feet',
        ];
      },
      {},
    ],
    28: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2019 Google Inc. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * https://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var __extends =
          (this && this.__extends) ||
          (function () {
            var extendStatics = function (d, b) {
              extendStatics =
                Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array &&
                  function (d, b) {
                    d.__proto__ = b;
                  }) ||
                function (d, b) {
                  for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
                };
              return extendStatics(d, b);
            };
            return function (d, b) {
              extendStatics(d, b);
              function __() {
                this.constructor = d;
              }
              d.prototype =
                b === null ? Object.create(b) : ((__.prototype = b.prototype), new __());
            };
          })();
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.ResNet = void 0;
        var tf = require('@tensorflow/tfjs-core');
        var base_model_1 = require('./base_model');
        var imageNetMean = [-123.15, -115.9, -103.06];
        var ResNet = /** @class */ (function (_super) {
          __extends(ResNet, _super);
          function ResNet() {
            return (_super !== null && _super.apply(this, arguments)) || this;
          }
          ResNet.prototype.preprocessInput = function (input) {
            return tf.add(input, imageNetMean);
          };
          ResNet.prototype.nameOutputResults = function (results) {
            var displacementBwd = results[0],
              displacementFwd = results[1],
              heatmap = results[2],
              longOffsets = results[3],
              offsets = results[4],
              partHeatmaps = results[5],
              segmentation = results[6],
              partOffsets = results[7];
            return {
              offsets: offsets,
              segmentation: segmentation,
              partHeatmaps: partHeatmaps,
              longOffsets: longOffsets,
              heatmap: heatmap,
              displacementFwd: displacementFwd,
              displacementBwd: displacementBwd,
              partOffsets: partOffsets,
            };
          };
          return ResNet;
        })(base_model_1.BaseModel);
        exports.ResNet = ResNet;
      },
      { './base_model': 11, '@tensorflow/tfjs-core': 35 },
    ],
    29: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2019 Google Inc. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * https://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.mobileNetSavedModel = exports.resNet50SavedModel = void 0;
        var RESNET50_BASE_URL =
          'https://storage.googleapis.com/tfjs-models/savedmodel/bodypix/resnet50/';
        var MOBILENET_BASE_URL =
          'https://storage.googleapis.com/tfjs-models/savedmodel/bodypix/mobilenet/';
        // The BodyPix 2.0 ResNet50 models use the latest TensorFlow.js 1.0 model
        // format.
        function resNet50SavedModel(stride, quantBytes) {
          var graphJson = 'model-stride' + stride + '.json';
          // quantBytes=4 corresponding to the non-quantized full-precision SavedModel.
          if (quantBytes === 4) {
            return RESNET50_BASE_URL + 'float/' + graphJson;
          } else {
            return RESNET50_BASE_URL + ('quant' + quantBytes + '/') + graphJson;
          }
        }
        exports.resNet50SavedModel = resNet50SavedModel;
        // The BodyPix 2.0 MobileNetV1 models use the latest TensorFlow.js 1.0 model
        // format.
        function mobileNetSavedModel(stride, multiplier, quantBytes) {
          var toStr = { 1.0: '100', 0.75: '075', 0.5: '050' };
          var graphJson = 'model-stride' + stride + '.json';
          // quantBytes=4 corresponding to the non-quantized full-precision SavedModel.
          if (quantBytes === 4) {
            return MOBILENET_BASE_URL + ('float/' + toStr[multiplier] + '/') + graphJson;
          } else {
            return (
              MOBILENET_BASE_URL +
              ('quant' + quantBytes + '/' + toStr[multiplier] + '/') +
              graphJson
            );
          }
        }
        exports.mobileNetSavedModel = mobileNetSavedModel;
      },
      {},
    ],
    30: [
      function (require, module, exports) {
        'use strict';
        /**
         * @license
         * Copyright 2020 Google Inc. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         *
         * =============================================================================
         */
        var __awaiter =
          (this && this.__awaiter) ||
          function (thisArg, _arguments, P, generator) {
            function adopt(value) {
              return value instanceof P
                ? value
                : new P(function (resolve) {
                    resolve(value);
                  });
            }
            return new (P || (P = Promise))(function (resolve, reject) {
              function fulfilled(value) {
                try {
                  step(generator.next(value));
                } catch (e) {
                  reject(e);
                }
              }
              function rejected(value) {
                try {
                  step(generator['throw'](value));
                } catch (e) {
                  reject(e);
                }
              }
              function step(result) {
                result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
              }
              step((generator = generator.apply(thisArg, _arguments || [])).next());
            });
          };
        var __generator =
          (this && this.__generator) ||
          function (thisArg, body) {
            var _ = {
                label: 0,
                sent: function () {
                  if (t[0] & 1) throw t[1];
                  return t[1];
                },
                trys: [],
                ops: [],
              },
              f,
              y,
              t,
              g;
            return (
              (g = { next: verb(0), throw: verb(1), return: verb(2) }),
              typeof Symbol === 'function' &&
                (g[Symbol.iterator] = function () {
                  return this;
                }),
              g
            );
            function verb(n) {
              return function (v) {
                return step([n, v]);
              };
            }
            function step(op) {
              if (f) throw new TypeError('Generator is already executing.');
              while (_)
                try {
                  if (
                    ((f = 1),
                    y &&
                      (t =
                        op[0] & 2
                          ? y['return']
                          : op[0]
                          ? y['throw'] || ((t = y['return']) && t.call(y), 0)
                          : y.next) &&
                      !(t = t.call(y, op[1])).done)
                  )
                    return t;
                  if (((y = 0), t)) op = [op[0] & 2, t.value];
                  switch (op[0]) {
                    case 0:
                    case 1:
                      t = op;
                      break;
                    case 4:
                      _.label++;
                      return { value: op[1], done: false };
                    case 5:
                      _.label++;
                      y = op[1];
                      op = [0];
                      continue;
                    case 7:
                      op = _.ops.pop();
                      _.trys.pop();
                      continue;
                    default:
                      if (
                        !((t = _.trys), (t = t.length > 0 && t[t.length - 1])) &&
                        (op[0] === 6 || op[0] === 2)
                      ) {
                        _ = 0;
                        continue;
                      }
                      if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                        _.label = op[1];
                        break;
                      }
                      if (op[0] === 6 && _.label < t[1]) {
                        _.label = t[1];
                        t = op;
                        break;
                      }
                      if (t && _.label < t[2]) {
                        _.label = t[2];
                        _.ops.push(op);
                        break;
                      }
                      if (t[2]) _.ops.pop();
                      _.trys.pop();
                      continue;
                  }
                  op = body.call(thisArg, _);
                } catch (e) {
                  op = [6, e];
                  y = 0;
                } finally {
                  f = t = 0;
                }
              if (op[0] & 5) throw op[1];
              return { value: op[0] ? op[1] : void 0, done: true };
            }
          };
        var _a;
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.scaleAndFlipPoses = exports.flipPosesHorizontal = exports.flipPoseHorizontal = exports.scalePoses = exports.scalePose = exports.toTensorBuffers3D = exports.padAndResizeTo = exports.resize2d = exports.removePaddingAndResizeBack = exports.scaleAndCropToInputTensorShape = exports.resizeAndPadTo = exports.toInputTensor = exports.toInputResolutionHeightAndWidth = exports.toValidInputResolution = exports.getInputSize = void 0;
        var tf = require('@tensorflow/tfjs-core');
        function getSizeFromImageLikeElement(input) {
          if (
            'offsetHeight' in input &&
            input.offsetHeight !== 0 &&
            'offsetWidth' in input &&
            input.offsetWidth !== 0
          ) {
            return [input.offsetHeight, input.offsetWidth];
          } else if (input.height != null && input.width != null) {
            return [input.height, input.width];
          } else {
            throw new Error('HTMLImageElement must have height and width attributes set.');
          }
        }
        function getSizeFromVideoElement(input) {
          if (input.hasAttribute('height') && input.hasAttribute('width')) {
            // Prioritizes user specified height and width.
            // We can't test the .height and .width properties directly,
            // because they evaluate to 0 if unset.
            return [input.height, input.width];
          } else {
            return [input.videoHeight, input.videoWidth];
          }
        }
        function getInputSize(input) {
          if (
            (typeof HTMLCanvasElement !== 'undefined' && input instanceof HTMLCanvasElement) ||
            (typeof OffscreenCanvas !== 'undefined' && input instanceof OffscreenCanvas) ||
            (typeof HTMLImageElement !== 'undefined' && input instanceof HTMLImageElement)
          ) {
            return getSizeFromImageLikeElement(input);
          } else if (typeof ImageData !== 'undefined' && input instanceof ImageData) {
            return [input.height, input.width];
          } else if (typeof HTMLVideoElement !== 'undefined' && input instanceof HTMLVideoElement) {
            return getSizeFromVideoElement(input);
          } else if (input instanceof tf.Tensor) {
            return [input.shape[0], input.shape[1]];
          } else {
            throw new Error('error: Unknown input type: ' + input + '.');
          }
        }
        exports.getInputSize = getInputSize;
        function isValidInputResolution(resolution, outputStride) {
          return (resolution - 1) % outputStride === 0;
        }
        function toValidInputResolution(inputResolution, outputStride) {
          if (isValidInputResolution(inputResolution, outputStride)) {
            return inputResolution;
          }
          return Math.floor(inputResolution / outputStride) * outputStride + 1;
        }
        exports.toValidInputResolution = toValidInputResolution;
        var INTERNAL_RESOLUTION_STRING_OPTIONS = {
          low: 'low',
          medium: 'medium',
          high: 'high',
          full: 'full',
        };
        var INTERNAL_RESOLUTION_PERCENTAGES =
          ((_a = {}),
          (_a[INTERNAL_RESOLUTION_STRING_OPTIONS.low] = 0.25),
          (_a[INTERNAL_RESOLUTION_STRING_OPTIONS.medium] = 0.5),
          (_a[INTERNAL_RESOLUTION_STRING_OPTIONS.high] = 0.75),
          (_a[INTERNAL_RESOLUTION_STRING_OPTIONS.full] = 1.0),
          _a);
        var MIN_INTERNAL_RESOLUTION = 0.1;
        var MAX_INTERNAL_RESOLUTION = 2.0;
        function toInternalResolutionPercentage(internalResolution) {
          if (typeof internalResolution === 'string') {
            var result = INTERNAL_RESOLUTION_PERCENTAGES[internalResolution];
            tf.util.assert(typeof result === 'number', function () {
              return (
                'string value of inputResolution must be one of ' +
                Object.values(INTERNAL_RESOLUTION_STRING_OPTIONS).join(',') +
                ' but was ' +
                internalResolution +
                '.'
              );
            });
            return result;
          } else {
            tf.util.assert(
              typeof internalResolution === 'number' &&
                internalResolution <= MAX_INTERNAL_RESOLUTION &&
                internalResolution >= MIN_INTERNAL_RESOLUTION,
              function () {
                return (
                  'inputResolution must be a string or number between ' +
                  MIN_INTERNAL_RESOLUTION +
                  ' and ' +
                  MAX_INTERNAL_RESOLUTION +
                  ', but ' +
                  ('was ' + internalResolution)
                );
              },
            );
            return internalResolution;
          }
        }
        function toInputResolutionHeightAndWidth(internalResolution, outputStride, _a) {
          var inputHeight = _a[0],
            inputWidth = _a[1];
          var internalResolutionPercentage = toInternalResolutionPercentage(internalResolution);
          return [
            toValidInputResolution(inputHeight * internalResolutionPercentage, outputStride),
            toValidInputResolution(inputWidth * internalResolutionPercentage, outputStride),
          ];
        }
        exports.toInputResolutionHeightAndWidth = toInputResolutionHeightAndWidth;
        function toInputTensor(input) {
          // TODO: tf.browser.fromPixels types to support OffscreenCanvas
          // @ts-ignore
          return input instanceof tf.Tensor ? input : tf.browser.fromPixels(input);
        }
        exports.toInputTensor = toInputTensor;
        function resizeAndPadTo(imageTensor, _a, flipHorizontal) {
          var targetH = _a[0],
            targetW = _a[1];
          if (flipHorizontal === void 0) {
            flipHorizontal = false;
          }
          var _b = imageTensor.shape,
            height = _b[0],
            width = _b[1];
          var targetAspect = targetW / targetH;
          var aspect = width / height;
          var resizeW;
          var resizeH;
          var padL;
          var padR;
          var padT;
          var padB;
          if (aspect > targetAspect) {
            // resize to have the larger dimension match the shape.
            resizeW = targetW;
            resizeH = Math.ceil(resizeW / aspect);
            var padHeight = targetH - resizeH;
            padL = 0;
            padR = 0;
            padT = Math.floor(padHeight / 2);
            padB = targetH - (resizeH + padT);
          } else {
            resizeH = targetH;
            resizeW = Math.ceil(targetH * aspect);
            var padWidth = targetW - resizeW;
            padL = Math.floor(padWidth / 2);
            padR = targetW - (resizeW + padL);
            padT = 0;
            padB = 0;
          }
          var resizedAndPadded = tf.tidy(function () {
            // resize to have largest dimension match image
            var resized;
            if (flipHorizontal) {
              resized = tf.image.resizeBilinear(tf.reverse(imageTensor, 1), [resizeH, resizeW]);
            } else {
              resized = tf.image.resizeBilinear(imageTensor, [resizeH, resizeW]);
            }
            var padded = tf.pad3d(resized, [
              [padT, padB],
              [padL, padR],
              [0, 0],
            ]);
            return padded;
          });
          return {
            resizedAndPadded: resizedAndPadded,
            paddedBy: [
              [padT, padB],
              [padL, padR],
            ],
          };
        }
        exports.resizeAndPadTo = resizeAndPadTo;
        function scaleAndCropToInputTensorShape(tensor, _a, _b, _c, applySigmoidActivation) {
          var inputTensorHeight = _a[0],
            inputTensorWidth = _a[1];
          var resizedAndPaddedHeight = _b[0],
            resizedAndPaddedWidth = _b[1];
          var _d = _c[0],
            padT = _d[0],
            padB = _d[1],
            _e = _c[1],
            padL = _e[0],
            padR = _e[1];
          if (applySigmoidActivation === void 0) {
            applySigmoidActivation = false;
          }
          return tf.tidy(function () {
            var inResizedAndPadded = tf.image.resizeBilinear(
              tensor,
              [resizedAndPaddedHeight, resizedAndPaddedWidth],
              true,
            );
            if (applySigmoidActivation) {
              inResizedAndPadded = tf.sigmoid(inResizedAndPadded);
            }
            return removePaddingAndResizeBack(
              inResizedAndPadded,
              [inputTensorHeight, inputTensorWidth],
              [
                [padT, padB],
                [padL, padR],
              ],
            );
          });
        }
        exports.scaleAndCropToInputTensorShape = scaleAndCropToInputTensorShape;
        function removePaddingAndResizeBack(resizedAndPadded, _a, _b) {
          var originalHeight = _a[0],
            originalWidth = _a[1];
          var _c = _b[0],
            padT = _c[0],
            padB = _c[1],
            _d = _b[1],
            padL = _d[0],
            padR = _d[1];
          return tf.tidy(function () {
            var batchedImage = tf.expandDims(resizedAndPadded);
            return tf.squeeze(
              tf.image.cropAndResize(
                batchedImage,
                [
                  [
                    padT / (originalHeight + padT + padB - 1.0),
                    padL / (originalWidth + padL + padR - 1.0),
                    (padT + originalHeight - 1.0) / (originalHeight + padT + padB - 1.0),
                    (padL + originalWidth - 1.0) / (originalWidth + padL + padR - 1.0),
                  ],
                ],
                [0],
                [originalHeight, originalWidth],
              ),
              [0],
            );
          });
        }
        exports.removePaddingAndResizeBack = removePaddingAndResizeBack;
        function resize2d(tensor, resolution, nearestNeighbor) {
          return tf.tidy(function () {
            var batchedImage = tf.expandDims(tensor, 2);
            return tf.squeeze(tf.image.resizeBilinear(batchedImage, resolution, nearestNeighbor));
          });
        }
        exports.resize2d = resize2d;
        function padAndResizeTo(input, _a) {
          var targetH = _a[0],
            targetW = _a[1];
          var _b = getInputSize(input),
            height = _b[0],
            width = _b[1];
          var targetAspect = targetW / targetH;
          var aspect = width / height;
          var _c = [0, 0, 0, 0],
            padT = _c[0],
            padB = _c[1],
            padL = _c[2],
            padR = _c[3];
          if (aspect < targetAspect) {
            // pads the width
            padT = 0;
            padB = 0;
            padL = Math.round(0.5 * (targetAspect * height - width));
            padR = Math.round(0.5 * (targetAspect * height - width));
          } else {
            // pads the height
            padT = Math.round(0.5 * ((1.0 / targetAspect) * width - height));
            padB = Math.round(0.5 * ((1.0 / targetAspect) * width - height));
            padL = 0;
            padR = 0;
          }
          var resized = tf.tidy(function () {
            var imageTensor = toInputTensor(input);
            imageTensor = tf.pad3d(imageTensor, [
              [padT, padB],
              [padL, padR],
              [0, 0],
            ]);
            return tf.image.resizeBilinear(imageTensor, [targetH, targetW]);
          });
          return {
            resized: resized,
            padding: { top: padT, left: padL, right: padR, bottom: padB },
          };
        }
        exports.padAndResizeTo = padAndResizeTo;
        function toTensorBuffers3D(tensors) {
          return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
              return [
                2 /*return*/,
                Promise.all(
                  tensors.map(function (tensor) {
                    return tensor.buffer();
                  }),
                ),
              ];
            });
          });
        }
        exports.toTensorBuffers3D = toTensorBuffers3D;
        function scalePose(pose, scaleY, scaleX, offsetY, offsetX) {
          if (offsetY === void 0) {
            offsetY = 0;
          }
          if (offsetX === void 0) {
            offsetX = 0;
          }
          return {
            score: pose.score,
            keypoints: pose.keypoints.map(function (_a) {
              var score = _a.score,
                part = _a.part,
                position = _a.position;
              return {
                score: score,
                part: part,
                position: {
                  x: position.x * scaleX + offsetX,
                  y: position.y * scaleY + offsetY,
                },
              };
            }),
          };
        }
        exports.scalePose = scalePose;
        function scalePoses(poses, scaleY, scaleX, offsetY, offsetX) {
          if (offsetY === void 0) {
            offsetY = 0;
          }
          if (offsetX === void 0) {
            offsetX = 0;
          }
          if (scaleX === 1 && scaleY === 1 && offsetY === 0 && offsetX === 0) {
            return poses;
          }
          return poses.map(function (pose) {
            return scalePose(pose, scaleY, scaleX, offsetY, offsetX);
          });
        }
        exports.scalePoses = scalePoses;
        function flipPoseHorizontal(pose, imageWidth) {
          return {
            score: pose.score,
            keypoints: pose.keypoints.map(function (_a) {
              var score = _a.score,
                part = _a.part,
                position = _a.position;
              return {
                score: score,
                part: part,
                position: { x: imageWidth - 1 - position.x, y: position.y },
              };
            }),
          };
        }
        exports.flipPoseHorizontal = flipPoseHorizontal;
        function flipPosesHorizontal(poses, imageWidth) {
          if (imageWidth <= 0) {
            return poses;
          }
          return poses.map(function (pose) {
            return flipPoseHorizontal(pose, imageWidth);
          });
        }
        exports.flipPosesHorizontal = flipPosesHorizontal;
        function scaleAndFlipPoses(poses, _a, _b, padding, flipHorizontal) {
          var height = _a[0],
            width = _a[1];
          var inputResolutionHeight = _b[0],
            inputResolutionWidth = _b[1];
          var scaleY = (height + padding.top + padding.bottom) / inputResolutionHeight;
          var scaleX = (width + padding.left + padding.right) / inputResolutionWidth;
          var scaledPoses = scalePoses(poses, scaleY, scaleX, -padding.top, -padding.left);
          if (flipHorizontal) {
            return flipPosesHorizontal(scaledPoses, width);
          } else {
            return scaledPoses;
          }
        }
        exports.scaleAndFlipPoses = scaleAndFlipPoses;
      },
      { '@tensorflow/tfjs-core': 35 },
    ],
    31: [
      function (require, module, exports) {
        'use strict';
        /** @license See the LICENSE file. */
        Object.defineProperty(exports, '__esModule', { value: true });
        exports.version = void 0;
        // This code is auto-generated, do not modify this file!
        var version = '2.2.0';
        exports.version = version;
      },
      {},
    ],
    32: [
      function (require, module, exports) {
        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        'use strict';

        Object.defineProperty(exports, '__esModule', { value: true });

        var tfjsCore = require('@tensorflow/tfjs-core');
        var seedrandom = require('seedrandom');

        /*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */
        /* global Reflect, Promise */

        var extendStatics = function (d, b) {
          extendStatics =
            Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array &&
              function (d, b) {
                d.__proto__ = b;
              }) ||
            function (d, b) {
              for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
            };
          return extendStatics(d, b);
        };

        function __extends(d, b) {
          extendStatics(d, b);
          function __() {
            this.constructor = d;
          }
          d.prototype = b === null ? Object.create(b) : ((__.prototype = b.prototype), new __());
        }

        function __awaiter(thisArg, _arguments, P, generator) {
          function adopt(value) {
            return value instanceof P
              ? value
              : new P(function (resolve) {
                  resolve(value);
                });
          }
          return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) {
              try {
                step(generator.next(value));
              } catch (e) {
                reject(e);
              }
            }
            function rejected(value) {
              try {
                step(generator['throw'](value));
              } catch (e) {
                reject(e);
              }
            }
            function step(result) {
              result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
            }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
          });
        }

        function __generator(thisArg, body) {
          var _ = {
              label: 0,
              sent: function () {
                if (t[0] & 1) throw t[1];
                return t[1];
              },
              trys: [],
              ops: [],
            },
            f,
            y,
            t,
            g;
          return (
            (g = { next: verb(0), throw: verb(1), return: verb(2) }),
            typeof Symbol === 'function' &&
              (g[Symbol.iterator] = function () {
                return this;
              }),
            g
          );
          function verb(n) {
            return function (v) {
              return step([n, v]);
            };
          }
          function step(op) {
            if (f) throw new TypeError('Generator is already executing.');
            while (_)
              try {
                if (
                  ((f = 1),
                  y &&
                    (t =
                      op[0] & 2
                        ? y['return']
                        : op[0]
                        ? y['throw'] || ((t = y['return']) && t.call(y), 0)
                        : y.next) &&
                    !(t = t.call(y, op[1])).done)
                )
                  return t;
                if (((y = 0), t)) op = [op[0] & 2, t.value];
                switch (op[0]) {
                  case 0:
                  case 1:
                    t = op;
                    break;
                  case 4:
                    _.label++;
                    return { value: op[1], done: false };
                  case 5:
                    _.label++;
                    y = op[1];
                    op = [0];
                    continue;
                  case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                  default:
                    if (
                      !((t = _.trys), (t = t.length > 0 && t[t.length - 1])) &&
                      (op[0] === 6 || op[0] === 2)
                    ) {
                      _ = 0;
                      continue;
                    }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                      _.label = op[1];
                      break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                      _.label = t[1];
                      t = op;
                      break;
                    }
                    if (t && _.label < t[2]) {
                      _.label = t[2];
                      _.ops.push(op);
                      break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
                }
                op = body.call(thisArg, _);
              } catch (e) {
                op = [6, e];
                y = 0;
              } finally {
                f = t = 0;
              }
            if (op[0] & 5) throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
          }
        }

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function assertNotComplex(tensor, opName) {
          if (!Array.isArray(tensor)) {
            tensor = [tensor];
          }
          tensor.forEach(function (t) {
            if (t != null) {
              tfjsCore.util.assert(t.dtype !== 'complex64', function () {
                return opName + ' does not support complex64 tensors in the CPU backend.';
              });
            }
          });
        }

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var whereImpl = tfjsCore.kernel_impls.whereImpl;
        var MathBackendCPU = /** @class */ (function (_super) {
          __extends(MathBackendCPU, _super);
          function MathBackendCPU() {
            var _this = _super.call(this) || this;
            _this.blockSize = 48;
            _this.firstUse = true;
            _this.data = new tfjsCore.DataStorage(_this, tfjsCore.engine());
            return _this;
          }
          MathBackendCPU.prototype.nextDataId = function () {
            return MathBackendCPU.nextDataId++;
          };
          MathBackendCPU.prototype.write = function (values, shape, dtype) {
            if (this.firstUse) {
              this.firstUse = false;
              if (tfjsCore.env().get('IS_NODE')) {
                tfjsCore.backend_util.warn(
                  '\n============================\n' +
                    'Hi there 👋. Looks like you are running TensorFlow.js in ' +
                    'Node.js. To speed things up dramatically, install our node ' +
                    'backend, which binds to TensorFlow C++, by running ' +
                    'npm i @tensorflow/tfjs-node, ' +
                    'or npm i @tensorflow/tfjs-node-gpu if you have CUDA. ' +
                    "Then call require('@tensorflow/tfjs-node'); (-gpu " +
                    'suffix for CUDA) at the start of your program. ' +
                    'Visit https://github.com/tensorflow/tfjs-node for more details.' +
                    '\n============================',
                );
              }
            }
            var dataId = { id: this.nextDataId() };
            this.data.set(dataId, { values: values, dtype: dtype, refCount: 1 });
            return dataId;
          };
          /**
           * Create a data bucket in cpu backend.
           * @param shape Shape of the `TensorInfo`.
           * @param dtype DType of the `TensorInfo`.
           * @param values The value of the `TensorInfo` stored as a flattened array.
           */
          MathBackendCPU.prototype.makeTensorInfo = function (shape, dtype, values) {
            var outId;
            if (
              dtype === 'string' &&
              values != null &&
              values.length > 0 &&
              tfjsCore.util.isString(values[0])
            ) {
              var encodedValues = values.map(function (d) {
                return tfjsCore.util.encodeString(d);
              });
              outId = this.write(encodedValues, shape, dtype);
            } else {
              outId = this.write(values, shape, dtype);
            }
            return { dataId: outId, shape: shape, dtype: dtype };
          };
          /** Return refCount of a `TensorData`. */
          MathBackendCPU.prototype.refCount = function (dataId) {
            if (this.data.has(dataId)) {
              var tensorData = this.data.get(dataId);
              return tensorData.refCount;
            }
            return 0;
          };
          /** Increase refCount of a `TensorData`. */
          MathBackendCPU.prototype.incRef = function (dataId) {
            var tensorData = this.data.get(dataId);
            tensorData.refCount++;
          };
          /** Decrease refCount of a `TensorData`. */
          MathBackendCPU.prototype.decRef = function (dataId) {
            if (this.data.has(dataId)) {
              var tensorData = this.data.get(dataId);
              tensorData.refCount--;
            }
          };
          MathBackendCPU.prototype.move = function (dataId, values, shape, dtype, refCount) {
            this.data.set(dataId, { values: values, dtype: dtype, refCount: refCount });
          };
          MathBackendCPU.prototype.numDataIds = function () {
            return this.data.numDataIds();
          };
          MathBackendCPU.prototype.read = function (dataId) {
            return __awaiter(this, void 0, void 0, function () {
              return __generator(this, function (_a) {
                return [2 /*return*/, this.readSync(dataId)];
              });
            });
          };
          MathBackendCPU.prototype.readSync = function (dataId) {
            var _a = this.data.get(dataId),
              dtype = _a.dtype,
              complexTensorInfos = _a.complexTensorInfos;
            if (dtype === 'complex64') {
              var realValues = this.readSync(complexTensorInfos.real.dataId);
              var imagValues = this.readSync(complexTensorInfos.imag.dataId);
              return tfjsCore.backend_util.mergeRealAndImagArrays(realValues, imagValues);
            }
            return this.data.get(dataId).values;
          };
          MathBackendCPU.prototype.bufferSync = function (t) {
            var data = this.readSync(t.dataId);
            var decodedData = data;
            if (t.dtype === 'string') {
              try {
                // Decode the bytes into string.
                decodedData = data.map(function (d) {
                  return tfjsCore.util.decodeString(d);
                });
              } catch (_a) {
                throw new Error('Failed to decode encoded string bytes into utf-8');
              }
            }
            return tfjsCore.buffer(t.shape, t.dtype, decodedData);
          };
          MathBackendCPU.prototype.makeOutput = function (values, shape, dtype) {
            var dataId = this.write(values, shape, dtype);
            return tfjsCore.engine().makeTensorFromDataId(dataId, shape, dtype, this);
          };
          /**
           * Dispose the memory if the dataId has 0 refCount. Return true if the memory
           * is released or memory is not managed in this backend, false if memory is
           * not cleared.
           * @param dataId
           * @oaram force Optional, remove the data regardless of refCount
           */
          MathBackendCPU.prototype.disposeData = function (dataId, force) {
            if (force === void 0) {
              force = false;
            }
            if (this.data.has(dataId)) {
              this.data.get(dataId).refCount--;
              if (!force && this.data.get(dataId).refCount > 0) {
                return false;
              }
              var complexTensorInfos = this.data.get(dataId).complexTensorInfos;
              if (complexTensorInfos != null) {
                this.disposeData(complexTensorInfos.real.dataId, true);
                this.disposeData(complexTensorInfos.imag.dataId, true);
              }
              this.data.delete(dataId);
            }
            return true;
          };
          MathBackendCPU.prototype.disposeIntermediateTensorInfo = function (tensorInfo) {
            this.disposeData(tensorInfo.dataId);
          };
          MathBackendCPU.prototype.time = function (f) {
            return __awaiter(this, void 0, void 0, function () {
              var start, kernelMs;
              return __generator(this, function (_a) {
                start = tfjsCore.util.now();
                f();
                kernelMs = tfjsCore.util.now() - start;
                return [2 /*return*/, { kernelMs: kernelMs }];
              });
            });
          };
          MathBackendCPU.prototype.memory = function () {
            return {
              // Unreliable due to automatic gc. The numbers above are cumulative.
              unreliable: true,
              reasons: [
                'The reported memory is an upper bound. Due to automatic garbage ' +
                  'collection, the true allocated memory may be less.',
              ],
            };
          };
          MathBackendCPU.prototype.where = function (condition) {
            assertNotComplex([condition], 'where');
            var condVals = this.readSync(condition.dataId);
            return whereImpl(condition.shape, condVals);
          };
          MathBackendCPU.prototype.dispose = function () {};
          MathBackendCPU.prototype.floatPrecision = function () {
            return 32;
          };
          /** Returns the smallest representable number.  */
          MathBackendCPU.prototype.epsilon = function () {
            return _super.prototype.epsilon.call(this);
          };
          MathBackendCPU.nextDataId = 0;
          return MathBackendCPU;
        })(tfjsCore.KernelBackend);

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function simpleAbsImpl(vals) {
          var resultValues = new Float32Array(vals.length);
          for (var i = 0; i < vals.length; ++i) {
            resultValues[i] = Math.abs(vals[i]);
          }
          return resultValues;
        }
        var abs = function (args) {
          var x = args.inputs.x;
          var cpuBackend = args.backend;
          assertNotComplex(x, 'abs');
          var resultValues = new Float32Array(tfjsCore.util.sizeFromShape(x.shape));
          var values = cpuBackend.data.get(x.dataId).values;
          resultValues = simpleAbsImpl(values);
          return cpuBackend.makeOutput(resultValues, x.shape, 'float32');
        };
        var absConfig = {
          kernelName: tfjsCore.Abs,
          backendName: 'cpu',
          kernelFunc: abs,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        /**
         * Template that creates implementation for binary ops. Supports broadcast.
         */
        function createSimpleBinaryKernelImpl(op) {
          return function (aShape, bShape, aVals, bVals, dtype) {
            var newShape = tfjsCore.backend_util.assertAndGetBroadcastShape(aShape, bShape);
            var resultRank = newShape.length;
            var resultStrides = tfjsCore.util.computeStrides(newShape);
            var resultSize = tfjsCore.util.sizeFromShape(newShape);
            var result = tfjsCore.util.getTypedArrayFromDType(dtype, resultSize);
            var aRank = aShape.length;
            var bRank = bShape.length;
            var aStrides = tfjsCore.util.computeStrides(aShape);
            var bStrides = tfjsCore.util.computeStrides(bShape);
            var aBroadcastDims = tfjsCore.backend_util.getBroadcastDims(aShape, newShape);
            var bBroadcastDims = tfjsCore.backend_util.getBroadcastDims(bShape, newShape);
            if (aBroadcastDims.length + bBroadcastDims.length === 0) {
              for (var i = 0; i < result.length; ++i) {
                result[i] = op(aVals[i % aVals.length], bVals[i % bVals.length]);
              }
            } else {
              var _loop_1 = function (i) {
                var loc = tfjsCore.util.indexToLoc(i, resultRank, resultStrides);
                var aLoc = loc.slice(-aRank);
                aBroadcastDims.forEach(function (d) {
                  return (aLoc[d] = 0);
                });
                var aIndex = tfjsCore.util.locToIndex(aLoc, aRank, aStrides);
                var bLoc = loc.slice(-bRank);
                bBroadcastDims.forEach(function (d) {
                  return (bLoc[d] = 0);
                });
                var bIndex = tfjsCore.util.locToIndex(bLoc, bRank, bStrides);
                result[i] = op(aVals[aIndex], bVals[bIndex]);
              };
              for (var i = 0; i < result.length; ++i) {
                _loop_1(i);
              }
            }
            return [result, newShape];
          };
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function complex(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var real = inputs.real,
            imag = inputs.imag;
          var realVals = backend.data.get(real.dataId).values;
          var imagVals = backend.data.get(imag.dataId).values;
          var complexInfo = backend.makeTensorInfo(real.shape, 'complex64');
          var complex = backend.data.get(complexInfo.dataId);
          // The complex tensor owns the underlying real and imag tensorInfos, only the
          // complex tensor tracks refCount, when complexData is disposed the
          // underlying tensorData will be disposed.
          complex.complexTensorInfos = {
            real: backend.makeTensorInfo(real.shape, 'float32', realVals),
            imag: backend.makeTensorInfo(imag.shape, 'float32', imagVals),
          };
          return complexInfo;
        }
        var complexConfig = {
          kernelName: tfjsCore.Complex,
          backendName: 'cpu',
          kernelFunc: complex,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        /**
         * Generates a tensorInfo with all zeros value.
         * @param backend cpu backend.
         * @param shape Shape for the zeros tensor.
         * @param dtype Optional. If set, the result has this dtype.
         */
        function zeros(backend, shape, dtype) {
          if (dtype === void 0) {
            dtype = 'float32';
          }
          if (dtype === 'complex64') {
            var real = zeros(backend, shape, 'float32');
            var imag = zeros(backend, shape, 'float32');
            return complex({ inputs: { real: real, imag: imag }, backend: backend });
          }
          var values = tfjsCore.util.makeZerosTypedArray(tfjsCore.util.sizeFromShape(shape), dtype);
          return backend.makeTensorInfo(shape, dtype, values);
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function identity(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var x = inputs.x;
          backend.incRef(x.dataId);
          return { dataId: x.dataId, shape: x.shape, dtype: x.dtype };
        }
        var identityConfig = {
          kernelName: tfjsCore.Identity,
          backendName: 'cpu',
          kernelFunc: identity,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function real(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var input = inputs.input;
          var real = backend.data.get(input.dataId).complexTensorInfos.real;
          var realVal = backend.data.get(real.dataId).values;
          // When complex tensor is disposed, its underlying parts will be disposed too.
          // Make new tensor out of the real value of the complex. This makes sure the
          // value is still accessible even if complex tensor is disposed.
          return backend.makeTensorInfo(real.shape, real.dtype, realVal);
        }
        var realConfig = {
          kernelName: tfjsCore.Real,
          backendName: 'cpu',
          kernelFunc: real,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function cast(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var dtype = attrs.dtype;
          // Casting to complex64.
          if (dtype === 'complex64') {
            if (x.dtype === 'complex64') {
              return identity({ inputs: { x: x }, backend: backend });
            }
            var zerosTensorInfo = zeros(backend, x.shape, x.dtype);
            var floatX = cast({ inputs: { x: x }, backend: backend, attrs: { dtype: 'float32' } });
            var result = complex({
              inputs: { real: floatX, imag: zerosTensorInfo },
              backend: backend,
            });
            backend.disposeIntermediateTensorInfo(zerosTensorInfo);
            backend.disposeIntermediateTensorInfo(floatX);
            return result;
          }
          // Casting from complex64
          if (x.dtype === 'complex64') {
            var realPart = real({ inputs: { input: x }, backend: backend });
            var result = cast({
              inputs: { x: realPart },
              backend: backend,
              attrs: { dtype: dtype },
            });
            backend.disposeIntermediateTensorInfo(realPart);
            return result;
          }
          if (!tfjsCore.util.hasEncodingLoss(x.dtype, dtype)) {
            // We don't change the underlying data, since we cast to higher
            // precision.
            var result = identity({ inputs: { x: x }, backend: backend });
            return { dataId: result.dataId, shape: result.shape, dtype: dtype };
          }
          if (dtype === 'int32') {
            var values = backend.data.get(x.dataId).values;
            var resultValues = Int32Array.from(values);
            return backend.makeTensorInfo(x.shape, 'int32', resultValues);
          }
          if (dtype === 'bool') {
            // This is essentially the result of notEqual(x, 0). We avoid using
            // kernel notEqual to avoid circular dependency, i.e. binary_utils ->
            // cast -> notEqual -> binary_utils.
            var xVals = backend.data.get(x.dataId).values;
            var zero = tfjsCore.util.toTypedArray([0], x.dtype);
            var _a = createSimpleBinaryKernelImpl(function (a, b) {
                return a !== b ? 1 : 0;
              })(x.shape, [], xVals, zero, 'bool'),
              resultData = _a[0],
              resultShape = _a[1];
            return backend.makeTensorInfo(resultShape, 'bool', resultData);
          }
          throw new Error('Error in Cast: failed to cast ' + x.dtype + ' to ' + dtype);
        }
        var castConfig = {
          kernelName: tfjsCore.Cast,
          backendName: 'cpu',
          kernelFunc: cast,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        /**
         * Template that creates a `KernelFunc` for binary ops.
         * @param name Kernel name.
         * @param binaryKernelImpl A `SimpleBinaryKernelImpl` for the kernel.
         * @param binaryKernelComplexImpl Optional. If exists, represents a
         *     `ComplexBinaryKernelImpl` for the kernel, will be used when input dtype
         *     is `complex64`.
         * @param dtype Optional. If set, the result has this dtype. Otherwise, the
         *     result has the same dtype as the first input. This is mainly used in
         *     comparison kernels, such as Equal, Less, Greater, etc.
         */
        function binaryKernelFunc(name, simpleImpl, complexImpl, dtype) {
          if (complexImpl == null) {
            return function (_a) {
              var inputs = _a.inputs,
                backend = _a.backend;
              var _b = inputs,
                a = _b.a,
                b = _b.b;
              var cpuBackend = backend;
              assertNotComplex([a, b], name);
              var aVals = cpuBackend.data.get(a.dataId).values;
              var bVals = cpuBackend.data.get(b.dataId).values;
              var decodedAVals =
                a.dtype === 'string'
                  ? // tslint:disable-next-line: no-any
                    tfjsCore.backend_util.fromUint8ToStringArray(aVals)
                  : aVals;
              var decodedBVals =
                a.dtype === 'string'
                  ? // tslint:disable-next-line: no-any
                    tfjsCore.backend_util.fromUint8ToStringArray(bVals)
                  : bVals;
              var $dtype = dtype || a.dtype;
              var _c = simpleImpl(a.shape, b.shape, decodedAVals, decodedBVals, $dtype),
                resultData = _c[0],
                resultShape = _c[1];
              return cpuBackend.makeTensorInfo(resultShape, $dtype, resultData);
            };
          }
          return function (_a) {
            var inputs = _a.inputs,
              backend = _a.backend;
            var _b = inputs,
              a = _b.a,
              b = _b.b;
            var cpuBackend = backend;
            if (a.dtype === 'complex64' || b.dtype === 'complex64') {
              var $aComplex = cast({
                inputs: { x: a },
                backend: cpuBackend,
                attrs: { dtype: 'complex64' },
              });
              var $aComplexVals = cpuBackend.data.get($aComplex.dataId);
              var aReal = $aComplexVals.complexTensorInfos.real;
              var aImag = $aComplexVals.complexTensorInfos.imag;
              var aRealVals = cpuBackend.data.get(aReal.dataId).values;
              var aImagVals = cpuBackend.data.get(aImag.dataId).values;
              var $bComplex = cast({
                inputs: { x: b },
                backend: cpuBackend,
                attrs: { dtype: 'complex64' },
              });
              var $bComplexVals = cpuBackend.data.get($bComplex.dataId);
              var bReal = $bComplexVals.complexTensorInfos.real;
              var bImag = $bComplexVals.complexTensorInfos.imag;
              var bRealVals = cpuBackend.data.get(bReal.dataId).values;
              var bImagVals = cpuBackend.data.get(bImag.dataId).values;
              var _c = complexImpl(a.shape, b.shape, aRealVals, aImagVals, bRealVals, bImagVals),
                resultRealData = _c[0],
                resultImagData = _c[1],
                resultShape = _c[2];
              var resultReal = cpuBackend.makeTensorInfo(resultShape, 'float32', resultRealData);
              var resultImag = cpuBackend.makeTensorInfo(resultShape, 'float32', resultImagData);
              var result = complex({
                inputs: { real: resultReal, imag: resultImag },
                backend: cpuBackend,
              });
              cpuBackend.disposeIntermediateTensorInfo($aComplex);
              cpuBackend.disposeIntermediateTensorInfo($bComplex);
              cpuBackend.disposeIntermediateTensorInfo(resultReal);
              cpuBackend.disposeIntermediateTensorInfo(resultImag);
              return result;
            } else {
              var aVals = cpuBackend.data.get(a.dataId).values;
              var bVals = cpuBackend.data.get(b.dataId).values;
              var $dtype = dtype || a.dtype;
              var _d = simpleImpl(a.shape, b.shape, aVals, bVals, $dtype),
                resultData = _d[0],
                resultShape = _d[1];
              return cpuBackend.makeTensorInfo(resultShape, $dtype, resultData);
            }
          };
        }
        /**
         * Template that creates the complex type implementation for binary ops.
         * Supports broadcast.
         */
        function createComplexBinaryKernelImpl(op) {
          return function (aShape, bShape, aRealVals, aImagVals, bRealVals, bImagVals) {
            var resultShape = tfjsCore.backend_util.assertAndGetBroadcastShape(aShape, bShape);
            var resultSize = tfjsCore.util.sizeFromShape(resultShape);
            var resultRank = resultShape.length;
            var resultStrides = tfjsCore.util.computeStrides(resultShape);
            var resultRealVals = tfjsCore.util.getTypedArrayFromDType('float32', resultSize);
            var resultImagVals = tfjsCore.util.getTypedArrayFromDType('float32', resultSize);
            var aBroadcastDims = tfjsCore.backend_util.getBroadcastDims(aShape, resultShape);
            var bBroadcastDims = tfjsCore.backend_util.getBroadcastDims(bShape, resultShape);
            var aVals = tfjsCore.backend_util.mergeRealAndImagArrays(aRealVals, aImagVals);
            var bVals = tfjsCore.backend_util.mergeRealAndImagArrays(bRealVals, bImagVals);
            var aRank = aShape.length;
            var aStrides = tfjsCore.util.computeStrides(aShape);
            var bRank = bShape.length;
            var bStrides = tfjsCore.util.computeStrides(bShape);
            if (aBroadcastDims.length + bBroadcastDims.length === 0) {
              for (var i = 0; i < resultRealVals.length; i++) {
                var aIdx = i % aVals.length;
                var bIdx = i % bVals.length;
                var result = op(
                  aVals[aIdx * 2],
                  aVals[aIdx * 2 + 1],
                  bVals[bIdx * 2],
                  bVals[bIdx * 2 + 1],
                );
                resultRealVals[i] = result.real;
                resultImagVals[i] = result.imag;
              }
            } else {
              var _loop_1 = function (i) {
                var loc = tfjsCore.util.indexToLoc(i, resultRank, resultStrides);
                var aLoc = loc.slice(-aRank);
                aBroadcastDims.forEach(function (d) {
                  return (aLoc[d] = 0);
                });
                var aIndex = tfjsCore.util.locToIndex(aLoc, aRank, aStrides);
                var bLoc = loc.slice(-bRank);
                bBroadcastDims.forEach(function (d) {
                  return (bLoc[d] = 0);
                });
                var bIndex = tfjsCore.util.locToIndex(bLoc, bRank, bStrides);
                var opResult = op(
                  aVals[aIndex * 2],
                  aVals[aIndex * 2 + 1],
                  bVals[bIndex * 2],
                  bVals[bIndex * 2 + 1],
                );
                resultRealVals[i] = opResult.real;
                resultImagVals[i] = opResult.imag;
              };
              for (var i = 0; i < resultRealVals.length; i++) {
                _loop_1(i);
              }
            }
            return [resultRealVals, resultImagVals, resultShape];
          };
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var addImpl = createSimpleBinaryKernelImpl(function (a, b) {
          return a + b;
        });
        var addComplexImpl = createComplexBinaryKernelImpl(function (aReal, aImag, bReal, bImag) {
          return { real: aReal + bReal, imag: aImag + bImag };
        });
        var add = binaryKernelFunc(tfjsCore.Add, addImpl, addComplexImpl);
        var addConfig = {
          kernelName: tfjsCore.Add,
          backendName: 'cpu',
          kernelFunc: add,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function bincountImpl(xVals, weightsVals, weightsDtype, weightsShape, size) {
          var weightsSize = tfjsCore.util.sizeFromShape(weightsShape);
          var outVals = tfjsCore.util.makeZerosTypedArray(size, weightsDtype);
          for (var i = 0; i < xVals.length; i++) {
            var value = xVals[i];
            if (value < 0) {
              throw new Error('Input x must be non-negative!');
            }
            if (value >= size) {
              continue;
            }
            if (weightsSize > 0) {
              outVals[value] += weightsVals[i];
            } else {
              outVals[value] += 1;
            }
          }
          return outVals;
        }
        function bincountReduceImpl(xBuf, weightsBuf, size, binaryOutput) {
          if (binaryOutput === void 0) {
            binaryOutput = false;
          }
          var numRows = xBuf.shape[0];
          var numCols = xBuf.shape[1];
          var outBuf = tfjsCore.buffer([numRows, size], weightsBuf.dtype);
          for (var i = 0; i < numRows; i++) {
            for (var j = 0; j < numCols; j++) {
              var value = xBuf.get(i, j);
              if (value < 0) {
                throw new Error('Input x must be non-negative!');
              }
              if (value >= size) {
                continue;
              }
              if (binaryOutput) {
                outBuf.set(1, i, value);
              } else {
                if (weightsBuf.size > 0) {
                  outBuf.set(outBuf.get(i, value) + weightsBuf.get(i, j), i, value);
                } else {
                  outBuf.set(outBuf.get(i, value) + 1, i, value);
                }
              }
            }
          }
          return outBuf;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        /**
         * Template that creates implementation for unary op.
         */
        function createSimpleUnaryImpl(op) {
          return function (values, dtype, attrs) {
            var newValues = tfjsCore.util.getTypedArrayFromDType(dtype, values.length);
            for (var i = 0; i < values.length; ++i) {
              newValues[i] = op(values[i], attrs);
            }
            return newValues;
          };
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        /**
         * Template that creates a `KernelFunc` for unary ops.
         * @param name Kernel name.
         * @param op A `SimpleUnaryOperation` for the kernel.
         * @param dtype Optional. If set, the result has this dtype. Otherwise, the
         *     result has the same dtype as the input. This is mainly used in certain
         *     kernels that return bool type, such as isFinite, isInf, etc.
         */
        function unaryKernelFunc(name, op, dtype) {
          return function (_a) {
            var inputs = _a.inputs,
              attrs = _a.attrs,
              backend = _a.backend;
            var x = inputs.x;
            assertNotComplex(x, name);
            if (x.dtype === 'string' || dtype === 'string') {
              throw new Error('unaryKernelFunc does not support string input/output');
            }
            var cpuBackend = backend;
            var values = cpuBackend.data.get(x.dataId).values;
            var xSize = tfjsCore.util.sizeFromShape(x.shape);
            var $dtype = dtype || x.dtype;
            var newValues = tfjsCore.util.getArrayFromDType($dtype, xSize);
            for (var i = 0; i < xSize; ++i) {
              newValues[i] = op(values[i], attrs);
            }
            return cpuBackend.makeTensorInfo(x.shape, $dtype, newValues);
          };
        }
        /**
         * Template that creates a `KernelFunc` for unary ops from the given
         * `SimpleUnaryImpl`..
         * @param name Kernel name.
         * @param unaryImpl A `SimpleUnaryImpl` that implements the op.
         * @param dtype Optional. If set, the result has this dtype. Otherwise, the
         *     result has the same dtype as the input. This is mainly used in certain
         *     kernels that return bool type, such as isFinite, isInf, etc.
         */
        function unaryKernelFuncFromImpl(name, unaryImpl, dtype) {
          return function (_a) {
            var inputs = _a.inputs,
              attrs = _a.attrs,
              backend = _a.backend;
            var x = inputs.x;
            assertNotComplex(x, name);
            if (x.dtype === 'string' || dtype === 'string') {
              throw new Error('unaryKernelFunc does not support string input/output');
            }
            var cpuBackend = backend;
            var values = cpuBackend.data.get(x.dataId).values;
            var $dtype = dtype || x.dtype;
            var newValues = unaryImpl(values, $dtype, attrs);
            return cpuBackend.makeTensorInfo(x.shape, $dtype, newValues);
          };
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ceilImpl = createSimpleUnaryImpl(function (xi) {
          return Math.ceil(xi);
        });
        var ceil = unaryKernelFuncFromImpl(tfjsCore.Ceil, ceilImpl);
        var ceilConfig = {
          kernelName: tfjsCore.Ceil,
          backendName: 'cpu',
          kernelFunc: ceil,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function concatImpl(inputs, outShape, dtype, simplyConcat) {
          var outVals = tfjsCore.util.getArrayFromDType(
            dtype,
            tfjsCore.util.sizeFromShape(outShape),
          );
          if (simplyConcat && dtype !== 'string') {
            // Use built-in TypedArray.set() method for speed.
            var offset_1 = 0;
            inputs.forEach(function (input) {
              var size = tfjsCore.util.sizeFromShape(input.shape);
              outVals.set(input.vals, offset_1);
              offset_1 += size;
            });
          } else {
            var colOffset_1 = 0;
            inputs.forEach(function (input) {
              var decodedData =
                dtype === 'string'
                  ? tfjsCore.backend_util.fromUint8ToStringArray(input.vals)
                  : input.vals;
              var tIdx = 0;
              for (var row = 0; row < input.shape[0]; ++row) {
                var resIdx = row * outShape[1] + colOffset_1;
                for (var col = 0; col < input.shape[1]; ++col) {
                  outVals[resIdx + col] = decodedData[tIdx++];
                }
              }
              colOffset_1 += input.shape[1];
            });
          }
          return outVals;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var equalImpl = createSimpleBinaryKernelImpl(function (a, b) {
          return a === b ? 1 : 0;
        });
        var equal = binaryKernelFunc(tfjsCore.Equal, equalImpl, null /* complexImpl */, 'bool');
        var equalConfig = {
          kernelName: tfjsCore.Equal,
          backendName: 'cpu',
          kernelFunc: equal,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var expImpl = createSimpleUnaryImpl(function (xi) {
          return Math.exp(xi);
        });
        var exp = unaryKernelFuncFromImpl(tfjsCore.Exp, expImpl);
        var expConfig = {
          kernelName: tfjsCore.Exp,
          backendName: 'cpu',
          kernelFunc: exp,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var expm1Impl = createSimpleUnaryImpl(function (xi) {
          return Math.expm1(xi);
        });
        var expm1 = unaryKernelFuncFromImpl(tfjsCore.Expm1, expm1Impl);
        var expm1Config = {
          kernelName: tfjsCore.Expm1,
          backendName: 'cpu',
          kernelFunc: expm1,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var floorImpl = createSimpleUnaryImpl(function (xi) {
          return Math.floor(xi);
        });
        var floor = unaryKernelFuncFromImpl(tfjsCore.Floor, floorImpl);
        var floorConfig = {
          kernelName: tfjsCore.Floor,
          backendName: 'cpu',
          kernelFunc: floor,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function gatherNdImpl(
          indicesData,
          paramsBuf,
          dtype,
          numSlices,
          sliceRank,
          sliceSize,
          strides,
          paramsShape,
          paramsSize,
        ) {
          var outBuf = tfjsCore.buffer([numSlices, sliceSize], dtype);
          for (var i = 0; i < numSlices; i++) {
            var index = [];
            var flattenIndex = 0;
            for (var j = 0; j < sliceRank; j++) {
              var dim = indicesData[i * sliceRank + j];
              flattenIndex += dim * strides[j];
              index.push(dim);
            }
            if (flattenIndex < 0 || flattenIndex >= paramsSize / sliceSize) {
              throw new Error('Invalid indices: ' + index + ' does not index into ' + paramsShape);
            }
            for (var k = 0; k < sliceSize; k++) {
              outBuf.values[i * sliceSize + k] = paramsBuf.get.apply(
                paramsBuf,
                paramsBuf.indexToLoc(flattenIndex * sliceSize + k),
              );
            }
          }
          return outBuf;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function gatherV2Impl(xBuf, indicesBuf, flattenOutputShape) {
          var outBuf = tfjsCore.buffer(flattenOutputShape, xBuf.dtype);
          for (var i = 0; i < outBuf.size; ++i) {
            var newLoc = outBuf.indexToLoc(i);
            var originalLoc = newLoc.slice();
            var batchIdx = originalLoc[0];
            var indicesIdx = originalLoc[2];
            var indicesIndex = indicesBuf.locToIndex([batchIdx, indicesIdx]);
            originalLoc[2] = indicesBuf.values[indicesIndex];
            var originalIndex = xBuf.locToIndex(originalLoc);
            outBuf.values[i] = xBuf.values[originalIndex];
          }
          return outBuf;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var greaterImpl = createSimpleBinaryKernelImpl(function (a, b) {
          return a > b ? 1 : 0;
        });
        var greater = binaryKernelFunc(
          tfjsCore.Greater,
          greaterImpl,
          null /* complexImpl */,
          'bool',
        );
        var greaterConfig = {
          kernelName: tfjsCore.Greater,
          backendName: 'cpu',
          kernelFunc: greater,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var greaterEqualImpl = createSimpleBinaryKernelImpl(function (a, b) {
          return a >= b ? 1 : 0;
        });
        var greaterEqual = binaryKernelFunc(
          tfjsCore.GreaterEqual,
          greaterEqualImpl,
          null /* complexImpl */,
          'bool',
        );
        var greaterEqualConfig = {
          kernelName: tfjsCore.GreaterEqual,
          backendName: 'cpu',
          kernelFunc: greaterEqual,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var lessImpl = createSimpleBinaryKernelImpl(function (a, b) {
          return a < b ? 1 : 0;
        });
        var less = binaryKernelFunc(tfjsCore.Less, lessImpl, null /* complexImpl */, 'bool');
        var lessConfig = {
          kernelName: tfjsCore.Less,
          backendName: 'cpu',
          kernelFunc: less,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var lessEqualImpl = createSimpleBinaryKernelImpl(function (a, b) {
          return a <= b ? 1 : 0;
        });
        var lessEqual = binaryKernelFunc(
          tfjsCore.LessEqual,
          lessEqualImpl,
          null /* complexImpl */,
          'bool',
        );
        var lessEqualConfig = {
          kernelName: tfjsCore.LessEqual,
          backendName: 'cpu',
          kernelFunc: lessEqual,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function linSpaceImpl(start, stop, num) {
          var step = (stop - start) / (num - 1);
          var values = tfjsCore.util.makeZerosTypedArray(num, 'float32');
          values[0] = start;
          for (var i = 1; i < values.length; i++) {
            values[i] = values[i - 1] + step;
          }
          return values;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var logImpl = createSimpleUnaryImpl(function (xi) {
          return Math.log(xi);
        });
        var log = unaryKernelFuncFromImpl(tfjsCore.Log, logImpl);
        var logConfig = {
          kernelName: tfjsCore.Log,
          backendName: 'cpu',
          kernelFunc: log,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function maxImpl(aVals, reduceSize, outShape, dtype) {
          var vals = tfjsCore.util.getTypedArrayFromDType(
            dtype,
            tfjsCore.util.sizeFromShape(outShape),
          );
          for (var i = 0; i < vals.length; ++i) {
            var offset = i * reduceSize;
            var max = aVals[offset];
            for (var j = 0; j < reduceSize; ++j) {
              var value = aVals[offset + j];
              if (Number.isNaN(value) || value > max) {
                // comparison with NaN always return false
                max = value;
              }
            }
            vals[i] = max;
          }
          return vals;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var maximumImpl = createSimpleBinaryKernelImpl(function (aValue, bValue) {
          return Math.max(aValue, bValue);
        });
        var maximum = binaryKernelFunc(tfjsCore.Maximum, maximumImpl);
        var maximumConfig = {
          kernelName: tfjsCore.Maximum,
          backendName: 'cpu',
          kernelFunc: maximum,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var minimumImpl = createSimpleBinaryKernelImpl(function (aValue, bValue) {
          return Math.min(aValue, bValue);
        });
        var minimum = binaryKernelFunc(tfjsCore.Minimum, minimumImpl);
        var minimumConfig = {
          kernelName: tfjsCore.Minimum,
          backendName: 'cpu',
          kernelFunc: minimum,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var multiplyImpl = createSimpleBinaryKernelImpl(function (aValue, bValue) {
          return aValue * bValue;
        });
        var multiplyComplexImpl = createComplexBinaryKernelImpl(function (
          aReal,
          aImag,
          bReal,
          bImag,
        ) {
          return {
            real: aReal * bReal - aImag * bImag,
            imag: aReal * bImag + aImag * bReal,
          };
        });
        var multiply = binaryKernelFunc(tfjsCore.Multiply, multiplyImpl, multiplyComplexImpl);
        var multiplyConfig = {
          kernelName: tfjsCore.Multiply,
          backendName: 'cpu',
          kernelFunc: multiply,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function negImpl(xVals, xShape, xDtype) {
          var minusOne = tfjsCore.util.createScalarValue(-1, xDtype);
          return multiplyImpl([], xShape, minusOne, xVals, xDtype);
        }
        function neg(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var x = inputs.x;
          assertNotComplex(x, 'neg');
          var xVals = backend.data.get(x.dataId).values;
          var _a = negImpl(xVals, x.shape, x.dtype),
            res = _a[0],
            newShape = _a[1];
          return backend.makeTensorInfo(newShape, x.dtype, res);
        }
        var negConfig = {
          kernelName: tfjsCore.Neg,
          backendName: 'cpu',
          kernelFunc: neg,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var notEqualImpl = createSimpleBinaryKernelImpl(function (a, b) {
          return a !== b ? 1 : 0;
        });
        var notEqual = binaryKernelFunc(
          tfjsCore.NotEqual,
          notEqualImpl,
          null /* complexOp */,
          'bool',
        );
        var notEqualConfig = {
          kernelName: tfjsCore.NotEqual,
          backendName: 'cpu',
          kernelFunc: notEqual,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function transposeImpl(xVals, xShape, dtype, perm, newShape) {
          var xRank = xShape.length;
          var xSize = tfjsCore.util.sizeFromShape(xShape);
          var xStrides = tfjsCore.util.computeStrides(xShape);
          var newStrides = tfjsCore.util.computeStrides(newShape);
          var result = tfjsCore.util.getTypedArrayFromDType(
            dtype,
            tfjsCore.util.sizeFromShape(newShape),
          );
          for (var i = 0; i < xSize; ++i) {
            var loc = tfjsCore.util.indexToLoc(i, xRank, xStrides);
            // Permute location.
            var newLoc = new Array(loc.length);
            for (var i_1 = 0; i_1 < newLoc.length; i_1++) {
              newLoc[i_1] = loc[perm[i_1]];
            }
            var newIndex = tfjsCore.util.locToIndex(newLoc, xRank, newStrides);
            result[newIndex] = xVals[i];
          }
          return result;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function transpose(args) {
          var inputs = args.inputs,
            attrs = args.attrs,
            backend = args.backend;
          var x = inputs.x;
          var perm = attrs.perm;
          assertNotComplex(x, 'transpose');
          var xRank = x.shape.length;
          var newShape = new Array(xRank);
          for (var i = 0; i < newShape.length; i++) {
            newShape[i] = x.shape[perm[i]];
          }
          var values = backend.data.get(x.dataId).values;
          var result = transposeImpl(values, x.shape, x.dtype, perm, newShape);
          var dataId = backend.write(result, newShape, x.dtype);
          return { dataId: dataId, shape: newShape, dtype: x.dtype };
        }
        var transposeConfig = {
          kernelName: tfjsCore.Transpose,
          backendName: 'cpu',
          kernelFunc: transpose,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function prodImpl(xShape, xDtype, xVals, reductionAxes) {
          var _a = tfjsCore.backend_util.computeOutAndReduceShapes(xShape, reductionAxes),
            outShape = _a[0],
            reduceShape = _a[1];
          var outDtype = tfjsCore.upcastType(xDtype, 'int32');
          var outVals = tfjsCore.util.makeZerosTypedArray(
            tfjsCore.util.sizeFromShape(outShape),
            outDtype,
          );
          var reduceSize = tfjsCore.util.sizeFromShape(reduceShape);
          for (var i = 0; i < outVals.length; ++i) {
            var offset = i * reduceSize;
            var prod_1 = 1;
            for (var j = 0; j < reduceSize; ++j) {
              prod_1 *= xVals[offset + j];
            }
            outVals[i] = prod_1;
          }
          return { outVals: outVals, outShape: outShape, outDtype: outDtype };
        }
        function prod(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var axis = attrs.axis,
            keepDims = attrs.keepDims;
          assertNotComplex(x, 'prod');
          var xRank = x.shape.length;
          var axes = tfjsCore.util.parseAxisParam(axis, x.shape);
          var permutation = tfjsCore.backend_util.getAxesPermutation(axes, xRank);
          var reductionAxes = axes;
          var permutedX = x;
          var intermediateTensorInfos = [];
          if (permutation != null) {
            permutedX = transpose({
              inputs: { x: x },
              backend: backend,
              attrs: { perm: permutation },
            });
            intermediateTensorInfos.push(permutedX);
            reductionAxes = tfjsCore.backend_util.getInnerMostAxes(reductionAxes.length, xRank);
          }
          var xVals = backend.data.get(permutedX.dataId).values;
          var _a = prodImpl(permutedX.shape, permutedX.dtype, xVals, reductionAxes),
            outVals = _a.outVals,
            outShape = _a.outShape,
            outDtype = _a.outDtype;
          var resultShape = outShape;
          if (keepDims) {
            resultShape = tfjsCore.backend_util.expandShapeToKeepDim(outShape, axes);
          }
          intermediateTensorInfos.forEach(function (t) {
            return backend.disposeIntermediateTensorInfo(t);
          });
          return backend.makeTensorInfo(resultShape, outDtype, outVals);
        }
        var prodConfig = {
          kernelName: tfjsCore.Prod,
          backendName: 'cpu',
          kernelFunc: prod,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function rangeImpl(start, stop, step, dtype) {
          var sameStartStop = start === stop;
          var increasingRangeNegativeStep = start < stop && step < 0;
          var decreasingRangePositiveStep = stop < start && step > 1;
          if (sameStartStop || increasingRangeNegativeStep || decreasingRangePositiveStep) {
            return tfjsCore.util.makeZerosTypedArray(0, dtype);
          }
          var numElements = Math.abs(Math.ceil((stop - start) / step));
          var values = tfjsCore.util.makeZerosTypedArray(numElements, dtype);
          if (stop < start && step === 1) {
            // Auto adjust the step's sign if it hasn't been set
            // (or was set to 1)
            step = -1;
          }
          values[0] = start;
          for (var i = 1; i < values.length; i++) {
            values[i] = values[i - 1] + step;
          }
          return values;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var rsqrtImpl = createSimpleUnaryImpl(function (xi) {
          return 1 / Math.sqrt(xi);
        });
        var rsqrt = unaryKernelFuncFromImpl(tfjsCore.Rsqrt, rsqrtImpl);
        var rsqrtConfig = {
          kernelName: tfjsCore.Rsqrt,
          backendName: 'cpu',
          kernelFunc: rsqrt,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sliceImpl(vals, begin, size, shape, dtype) {
          var isContinous = tfjsCore.slice_util.isSliceContinous(shape, begin, size);
          var length = tfjsCore.util.sizeFromShape(size);
          var xStrides = tfjsCore.util.computeStrides(shape);
          if (isContinous) {
            var flatOffset = tfjsCore.slice_util.computeFlatOffset(begin, xStrides);
            if (dtype === 'string') {
              return vals.slice(flatOffset, flatOffset + length);
            }
            return vals.subarray(flatOffset, flatOffset + length);
          }
          var decodedData =
            dtype === 'string' ? tfjsCore.backend_util.fromUint8ToStringArray(vals) : vals;
          var inBuf = tfjsCore.buffer(shape, dtype, decodedData);
          var outBuf = tfjsCore.buffer(size, dtype);
          for (var i = 0; i < outBuf.size; ++i) {
            var outLoc = outBuf.indexToLoc(i);
            var inLoc = outLoc.map(function (idx, j) {
              return idx + begin[j];
            });
            outBuf.set.apply(outBuf, [inBuf.get.apply(inBuf, inLoc)].concat(outLoc));
          }
          if (dtype === 'string') {
            return tfjsCore.backend_util.fromStringArrayToUint8(outBuf.values);
          }
          return outBuf.values;
        }
        function slice(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var begin = attrs.begin,
            size = attrs.size;
          assertNotComplex(x, 'slice');
          var _a = tfjsCore.slice_util.parseSliceParams(x, begin, size),
            $begin = _a[0],
            $size = _a[1];
          tfjsCore.slice_util.assertParamsValid(x, $begin, $size);
          var vals = backend.data.get(x.dataId).values;
          var outVals = sliceImpl(vals, $begin, $size, x.shape, x.dtype);
          return backend.makeTensorInfo($size, x.dtype, outVals);
        }
        var sliceConfig = {
          kernelName: tfjsCore.Slice,
          backendName: 'cpu',
          kernelFunc: slice,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sparseFillEmptyRowsImpl(
          indices,
          indicesShape,
          indicesDType,
          values,
          valuesDType,
          denseShape,
          defaultValue,
        ) {
          var indicesCount = indicesShape[0];
          var denseRows = denseShape[0];
          var emptyRowIndicator = new Array(denseRows);
          var reverseIndexMap = new Array(indicesCount);
          var rank = indicesShape[1];
          if (denseRows === 0) {
            if (indicesCount !== 0) {
              throw new Error(
                'Received SparseTensor with denseShape[0] = 0 but\n         indices.shape[0] = ' +
                  indicesCount,
              );
            }
            var outputIndices = tfjsCore.util.getArrayFromDType(indicesDType, 0);
            var outputValues = tfjsCore.util.getArrayFromDType(valuesDType, 0);
            return [outputIndices, [0, rank], outputValues, emptyRowIndicator, reverseIndexMap];
          }
          var rowsAreOrdered = true;
          var lastIndicesRow = 0;
          var csrOffset = new Array(denseRows).fill(0);
          for (var i = 0; i < indicesCount; ++i) {
            // indices is a 2d tensor with shape of [N, rank]
            var row = indices[i * rank];
            if (row < 0) {
              throw new Error('indices(' + i + ', 0) is invalid: ' + row + ' < 0');
            }
            if (row >= denseRows) {
              throw new Error('indices(' + i + ', 0) is invalid: ' + row + ' >= ' + denseRows);
            }
            ++csrOffset[row];
            rowsAreOrdered = rowsAreOrdered && row >= lastIndicesRow;
            lastIndicesRow = row;
          }
          var allRowsFull = true;
          for (var row = 0; row < denseRows; ++row) {
            // csrOffset here describes the number of elements in this dense row
            var rowEmpty = csrOffset[row] === 0;
            emptyRowIndicator[row] = rowEmpty;
            allRowsFull = allRowsFull && !rowEmpty;
            // In filled version, each row has at least one element.
            csrOffset[row] = Math.max(csrOffset[row], 1);
            // Update csrOffset to represent the number of elements up to and
            // including denseRows + 1:
            //  csrOffset[0] == #{elements of row 0}
            //  csrOffset[1] == #{elements of row 1} + #{elements of row 0}
            //  ..
            //  csrOffset[i] == starting index for elements in row i + 1.
            if (row > 0) {
              csrOffset[row] += csrOffset[row - 1];
            }
          }
          if (allRowsFull && rowsAreOrdered) {
            var outputIndices = indices;
            var outputValues = values;
            for (var i = 0; i < indicesCount; ++i) {
              reverseIndexMap[i] = i;
            }
            return [
              outputIndices,
              [indicesCount, rank],
              outputValues,
              emptyRowIndicator,
              reverseIndexMap,
            ];
          } else {
            var fullIndicesCount = csrOffset[denseRows - 1];
            var outputIndices = tfjsCore.util.getArrayFromDType(
              indicesDType,
              fullIndicesCount * rank,
            );
            var outputValues = tfjsCore.util.getArrayFromDType(valuesDType, fullIndicesCount);
            var filledCount = new Array(denseRows).fill(0);
            // Fill in values for rows that are not missing
            for (var i = 0; i < indicesCount; ++i) {
              // indices is a 2d tensor with shape of [N, rank]
              var row = indices[i * rank];
              var offset = filledCount[row];
              var outputI = (row === 0 ? 0 : csrOffset[row - 1]) + offset;
              filledCount[row]++; // Increment the filled count for this row.
              for (var j = 0; j < rank; ++j) {
                // indices and outputIndices are 2d tensors with shape of [N, rank]
                outputIndices[outputI * rank + j] = indices[i * rank + j];
              }
              outputValues[outputI] = values[i];
              // We'll need this reverse index map to backprop correctly.
              reverseIndexMap[i] = outputI;
            }
            // Fill in values for rows that are missing
            for (var row = 0; row < denseRows; ++row) {
              var rowCount = filledCount[row];
              if (rowCount === 0) {
                // We haven't filled this row
                var startingIndex = row === 0 ? 0 : csrOffset[row - 1];
                // Remaining index values were set to zero already.
                // Just need to set the row index in the right location.
                // outputIndices is a 2d tensor with shape of [N, rank]
                outputIndices[startingIndex * rank + 0] = row;
                for (var col = 1; col < rank; ++col) {
                  outputIndices[startingIndex * rank + col] = 0;
                }
                outputValues[startingIndex] = defaultValue;
              }
            }
            return [
              outputIndices,
              [fullIndicesCount, rank],
              outputValues,
              emptyRowIndicator,
              reverseIndexMap,
            ];
          }
        }

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sparseReshapeImpl(
          inputIndices,
          inputIndicesShape,
          inputDType,
          inputShape,
          targetShape,
        ) {
          var denseSize = tfjsCore.util.sizeFromShape(inputShape);
          var nnz = inputIndicesShape[0];
          var outputRank = targetShape.length;
          // Compute the output shape. Determine product of specified dimensions, and
          // find the index of the unspecified one.
          var outputShape = [];
          var product = 1;
          var unknownIndex = -1;
          for (var d = 0; d < outputRank; ++d) {
            var size = targetShape[d];
            if (size === -1) {
              if (unknownIndex !== -1) {
                throw new Error(
                  'only one output dimension may be -1, not both ' + unknownIndex + ' and ' + d,
                );
              }
              unknownIndex = d;
              outputShape.push(1);
            } else {
              if (size < 0) {
                throw new Error('size ' + d + ' must be non-negative, not ' + size);
              }
              product *= size;
              outputShape.push(size);
            }
          }
          if (unknownIndex !== -1) {
            if (product <= 0) {
              throw new Error(
                'reshape cannot infer the missing ' +
                  'input size for an empty tensor unless all ' +
                  'specified input sizes are non-zero',
              );
            }
            var missing = Math.trunc(denseSize / product);
            if (product * missing !== denseSize) {
              throw new Error(
                'Input to reshape is a SparseTensor with ' +
                  denseSize +
                  '\n          dense values, but the requested shape requires a multiple of ' +
                  product +
                  '. inputShape=' +
                  inputShape +
                  ' outputShape= ' +
                  outputShape,
              );
            }
            outputShape[unknownIndex] = missing;
          }
          var outputSize = tfjsCore.util.sizeFromShape(outputShape);
          if (outputSize !== denseSize) {
            throw new Error(
              'Input to reshape is a tensor with ' +
                denseSize +
                ' dense values, but the requested shape has ' +
                outputSize +
                '. inputShape=' +
                inputShape +
                ' outputShape=' +
                outputShape,
            );
          }
          var inputRank = inputShape.length;
          var inputStrides = [];
          if (inputRank > 0) {
            inputStrides[inputRank - 1] = 1;
            for (var d = inputRank - 2; d >= 0; --d) {
              inputStrides[d] = inputStrides[d + 1] * inputShape[d + 1];
            }
          }
          var outputStrides = [];
          if (outputRank > 0) {
            outputStrides[outputRank - 1] = 1;
            for (var d = outputRank - 2; d >= 0; --d) {
              outputStrides[d] = outputStrides[d + 1] * outputShape[d + 1];
            }
          }
          var newIndices = tfjsCore.util.getArrayFromDType(inputDType, nnz * outputRank);
          for (var i = 0; i < nnz; ++i) {
            var id = 0;
            for (var j = 0; j < inputRank; ++j) {
              // inputIndices is a 2d tensor with shape of [nnz, inputRank]
              id += inputIndices[i * inputRank + j] * inputStrides[j];
            }
            for (var j = 0; j < outputRank; ++j) {
              // newIndices is a 2d tensor with shape of [nnz, outputRank]
              newIndices[i * outputRank + j] = Math.trunc(id / outputStrides[j]);
              id %= outputStrides[j];
            }
          }
          return [newIndices, [nnz, outputRank], outputShape];
        }

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sparseSegmentReductionImpl(
          input,
          inputShape,
          inputDType,
          indices,
          segmentIds,
          isMean,
          defaultValue,
        ) {
          if (isMean === void 0) {
            isMean = false;
          }
          if (defaultValue === void 0) {
            defaultValue = 0;
          }
          var numIndices = indices.length;
          if (numIndices !== segmentIds.length) {
            throw new Error('segmentIds and indices should have same size.');
          }
          // Flatten the array to two dimensions
          var inputFlat = [inputShape[0], input.length / inputShape[0]];
          var numCol = inputFlat[1];
          // Note that the current implementation assumes that segmentIds values are
          // sorted.
          var lastSegmentIdPlusOne = numIndices > 0 ? segmentIds[numIndices - 1] + 1 : 0;
          var outputRows = lastSegmentIdPlusOne;
          if (outputRows < 0) {
            throw new Error('segment ids must be >= 0');
          }
          var outputShape = inputShape.slice();
          outputShape[0] = outputRows;
          var outputLength = outputShape.reduce(function (product, value) {
            return product * value;
          }, 1);
          // Output array is initialized with the value 0 by default.
          var output = tfjsCore.util.getArrayFromDType(inputDType, outputLength);
          // Note that we do not initialize the output buffer with a default value, so
          // we need to explicitly set missing indices to the default value.
          if (numIndices === 0) {
            if (outputRows > 0) {
              output.fill(defaultValue);
            }
            return [output, outputShape];
          }
          if (outputRows <= 0) {
            throw new Error('segment ids must be >= 0');
          }
          var start = 0,
            end = 1;
          // Index from which the output is not initialized.
          var uninitializedIndex = 0;
          var outIndex = segmentIds[start];
          while (true) {
            // We initialize nextIndex to 0 to avoid may be uninitialized warning
            var nextIndex = 0;
            if (end < numIndices) {
              nextIndex = segmentIds[end];
              if (outIndex === nextIndex) {
                ++end;
                continue;
              }
              // We have a new segment here.  Verify that the segment ids are growing.
              if (outIndex >= nextIndex) {
                throw new Error('segment ids are not increasing');
              }
            }
            if (outIndex < 0 || outIndex >= outputRows) {
              throw new Error(
                'Segment id ' +
                  outIndex +
                  ' out of range [0, ' +
                  outputRows +
                  '), possibly because segmentIds input is not sorted.',
              );
            }
            // If there is a gap between two indices, we need to set that gap to the
            // default value.
            if (outIndex > uninitializedIndex) {
              output.fill(defaultValue, uninitializedIndex * numCol, outIndex * numCol);
            }
            for (var i = start; i < end; ++i) {
              var index = indices[i];
              if (index < 0 || index >= inputFlat[0]) {
                throw new Error(
                  'Bad: indices[' +
                    i +
                    '] == ' +
                    indices[i] +
                    ' out of range [0, ' +
                    inputFlat[0] +
                    ')',
                );
              }
              for (var j = 0; j < numCol; j++) {
                output[outIndex * numCol + j] += input[index * numCol + j];
              }
            }
            if (isMean) {
              for (var j = 0; j < numCol; j++) {
                output[outIndex * numCol + j] /= end - start;
              }
            }
            start = end;
            ++end;
            uninitializedIndex = outIndex + 1;
            outIndex = nextIndex;
            if (end > numIndices) {
              break;
            }
          }
          // Fill the gap at the end with the default value.
          if (uninitializedIndex < outputRows) {
            output.fill(defaultValue, uninitializedIndex * numCol, outputRows * numCol);
          }
          return [output, outputShape];
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var squaredDifferenceImpl = createSimpleBinaryKernelImpl(function (a, b) {
          var diff = a - b;
          return diff * diff;
        });
        var squaredDifference = binaryKernelFunc(tfjsCore.SquaredDifference, squaredDifferenceImpl);
        var squaredDifferenceConfig = {
          kernelName: tfjsCore.SquaredDifference,
          backendName: 'cpu',
          kernelFunc: squaredDifference,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function stridedSliceImpl(outShape, xBuf, strides, begin) {
          var outBuf = tfjsCore.buffer(outShape, xBuf.dtype);
          for (var i = 0; i < outBuf.size; i++) {
            var loc = outBuf.indexToLoc(i);
            var newLoc = new Array(loc.length);
            for (var j = 0; j < newLoc.length; j++) {
              newLoc[j] = loc[j] * strides[j] + begin[j];
            }
            outBuf.set.apply(outBuf, [xBuf.get.apply(xBuf, newLoc)].concat(loc));
          }
          return outBuf;
        }

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        /**
         * The StringNGramsOp class creates ngrams from ragged string data.
         * The constructor contains all attributes related to the operation such as
         * padding widths and strings, and the compute function can be used to
         * compute the ngrams for different ragged tensor inputs.
         */
        var StringNGramsOp = /** @class */ (function () {
          function StringNGramsOp(
            separator,
            nGramWidths,
            leftPad,
            rightPad,
            padWidth,
            preserveShortSequences,
          ) {
            this.separator = tfjsCore.util.encodeString(separator);
            this.nGramWidths = nGramWidths;
            this.leftPad = tfjsCore.util.encodeString(leftPad);
            this.rightPad = tfjsCore.util.encodeString(rightPad);
            this.padWidth = padWidth;
            this.preserveShort = preserveShortSequences;
          }
          StringNGramsOp.prototype.getPadWidth = function (nGramWidth) {
            // Ngrams can be padded with either a fixed pad width or a dynamic pad
            // width depending on the 'padWidth' arg, but in no case should the padding
            // ever be wider than 'nGramWidth' - 1.
            return Math.min(this.padWidth < 0 ? nGramWidth - 1 : this.padWidth, nGramWidth - 1);
          };
          StringNGramsOp.prototype.getNumNGrams = function (length, nGramWidth) {
            var padWidth = this.getPadWidth(nGramWidth);
            return Math.max(0, length + 2 * padWidth - nGramWidth + 1);
          };
          StringNGramsOp.prototype.createNGrams = function (
            data,
            splitIndex,
            output,
            outputStartIndex,
            numNGrams,
            nGramWidth,
          ) {
            var _loop_1 = function (nGramIndex) {
              var padWidth = this_1.getPadWidth(nGramWidth);
              var leftPadding = Math.max(0, padWidth - nGramIndex);
              var rightPadding = Math.max(0, padWidth - (numNGrams - (nGramIndex + 1)));
              var numTokens = nGramWidth - (leftPadding + rightPadding);
              var dataStartIndex = splitIndex + (leftPadding > 0 ? 0 : nGramIndex - padWidth);
              // Calculate the total expected size of the nGram so we can reserve the
              // correct amount of space in the string.
              var nGramSize = 0;
              // Size of the left padding.
              nGramSize += leftPadding * this_1.leftPad.length;
              // Size of the tokens.
              for (var n = 0; n < numTokens; ++n) {
                nGramSize += data[dataStartIndex + n].length;
              }
              // Size of the right padding.
              nGramSize += rightPadding * this_1.rightPad.length;
              // Size of the separators.
              var numSeparators = leftPadding + rightPadding + numTokens - 1;
              nGramSize += numSeparators * this_1.separator.length;
              // Build the nGram.
              output[outputStartIndex + nGramIndex] = new Uint8Array(nGramSize);
              var nGram = output[outputStartIndex + nGramIndex];
              var nextNGramIndex = 0;
              var appendToNGram = function (str) {
                return str.forEach(function (value) {
                  return (nGram[nextNGramIndex++] = value);
                });
              };
              for (var n = 0; n < leftPadding; ++n) {
                appendToNGram(this_1.leftPad);
                appendToNGram(this_1.separator);
              }
              // Only output first numTokens - 1 pairs of data and separator
              for (var n = 0; n < numTokens - 1; ++n) {
                appendToNGram(data[dataStartIndex + n]);
                appendToNGram(this_1.separator);
              }
              // Handle case when there are no tokens or no right padding as these
              // can result in consecutive separators.
              if (numTokens > 0) {
                // If we have tokens, then output last and then pair each separator
                // with the right padding that follows, to ensure nGram ends either with
                // the token or with the right pad.
                appendToNGram(data[dataStartIndex + numTokens - 1]);
                for (var n = 0; n < rightPadding; ++n) {
                  appendToNGram(this_1.separator);
                  appendToNGram(this_1.rightPad);
                }
              } else {
                // If we don't have tokens, then the last item inserted into the nGram
                // has been the separator from the left padding loop above. Hence,
                // output right pad and separator and make sure to finish with a
                // padding, not a separator.
                for (var n = 0; n < rightPadding - 1; ++n) {
                  appendToNGram(this_1.rightPad);
                  appendToNGram(this_1.separator);
                }
                appendToNGram(this_1.rightPad);
              }
            };
            var this_1 = this;
            for (var nGramIndex = 0; nGramIndex < numNGrams; ++nGramIndex) {
              _loop_1(nGramIndex);
            }
          };
          // Data and splits together form the definition of the ragged tensor,
          // where data is 1 dimensional and contains the values of the tensor
          // and splits denotes the indices at which each row starts.
          StringNGramsOp.prototype.compute = function (data, splits) {
            var _this = this;
            // Validate that the splits are valid indices into data, only if there are
            // splits specified.
            var inputDataSize = data.length;
            var splitsSize = splits.length;
            if (splitsSize > 0) {
              var prevSplit = splits[0];
              if (prevSplit !== 0) {
                throw new Error('First split value must be 0, got ' + prevSplit);
              }
              for (var i = 1; i < splitsSize; ++i) {
                var validSplits = splits[i] >= prevSplit;
                validSplits = validSplits && splits[i] <= inputDataSize;
                if (!validSplits) {
                  throw new Error(
                    'Invalid split value ' +
                      splits[i] +
                      ', must be in [' +
                      prevSplit +
                      ', ' +
                      inputDataSize +
                      ']',
                  );
                }
                prevSplit = splits[i];
              }
              if (prevSplit !== inputDataSize) {
                throw new Error(
                  'Last split value must be data size. Expected ' +
                    inputDataSize +
                    ', got ' +
                    prevSplit,
                );
              }
            }
            var numBatchItems = splitsSize - 1;
            var nGramsSplits = tfjsCore.util.getArrayFromDType('int32', splitsSize);
            // If there is no data or size, return an empty ragged tensor.
            if (inputDataSize === 0 || splitsSize === 0) {
              var empty = new Array(inputDataSize);
              for (var i = 0; i <= numBatchItems; ++i) {
                nGramsSplits[i] = 0;
              }
              return [empty, nGramsSplits];
            }
            nGramsSplits[0] = 0;
            var _loop_2 = function (i) {
              var length_1 = splits[i] - splits[i - 1];
              var numNGrams = 0;
              this_2.nGramWidths.forEach(function (nGramWidth) {
                numNGrams += _this.getNumNGrams(length_1, nGramWidth);
              });
              if (this_2.preserveShort && length_1 > 0 && numNGrams === 0) {
                numNGrams = 1;
              }
              nGramsSplits[i] = nGramsSplits[i - 1] + numNGrams;
            };
            var this_2 = this;
            for (var i = 1; i <= numBatchItems; ++i) {
              _loop_2(i);
            }
            var nGrams = new Array(nGramsSplits[numBatchItems]);
            var _loop_3 = function (i) {
              var splitIndex = splits[i];
              var outputStartIdx = nGramsSplits[i];
              this_3.nGramWidths.forEach(function (nGramWidth) {
                var length = splits[i + 1] - splits[i];
                var numNGrams = _this.getNumNGrams(length, nGramWidth);
                _this.createNGrams(data, splitIndex, nGrams, outputStartIdx, numNGrams, nGramWidth);
                outputStartIdx += numNGrams;
              });
              // If we're preserving short sequences, check to see if no sequence was
              // generated by comparing the current output start idx to the original
              // one (nGramSplitsdata). If no ngrams were generated, then they will
              // be equal (since we increment outputStartIdx by numNGrams every
              // time we create a set of ngrams.)
              if (this_3.preserveShort && outputStartIdx === nGramsSplits[i]) {
                var dataLength = splits[i + 1] - splits[i];
                // One legitimate reason to not have any ngrams when this.preserveShort
                // is true is if the sequence itself is empty. In that case, move on.
                if (dataLength === 0) {
                  return 'continue';
                }
                // We don't have to worry about dynamic padding sizes here: if padding
                // was dynamic, every sequence would have had sufficient padding to
                // generate at least one nGram.
                var nGramWidth = dataLength + 2 * this_3.padWidth;
                var numNGrams = 1;
                this_3.createNGrams(
                  data,
                  splitIndex,
                  nGrams,
                  outputStartIdx,
                  numNGrams,
                  nGramWidth,
                );
              }
            };
            var this_3 = this;
            for (var i = 0; i < numBatchItems; ++i) {
              _loop_3(i);
            }
            return [nGrams, nGramsSplits];
          };
          return StringNGramsOp;
        })();
        function stringNGramsImpl(
          data,
          dataSplits,
          separator,
          nGramWidths,
          leftPad,
          rightPad,
          padWidth,
          preserveShortSequences,
        ) {
          return new StringNGramsOp(
            separator,
            nGramWidths,
            leftPad,
            rightPad,
            padWidth,
            preserveShortSequences,
          ).compute(data, dataSplits);
        }

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function split(str, delimiters, skipEmpty) {
          if (!str.length) {
            return [];
          }
          // When the delimiter is empty, the input is split into individual characters.
          if (delimiters.length === 0) {
            var result_1 = new Array(str.length);
            for (var i = 0; i < str.length; ++i) {
              result_1[i] = str.subarray(i, i + 1);
            }
            return result_1;
          }
          // When there is one delimiter, the input is split only at that delimiter.
          if (delimiters.length === 1) {
            var delimiter = delimiters[0];
            var result_2 = [];
            var f = str.indexOf(delimiter);
            while (f !== -1) {
              var token = str.subarray(0, f);
              if (!skipEmpty || token.length !== 0) {
                result_2.push(token);
              }
              str = str.subarray(f + 1);
              f = str.indexOf(delimiter);
            }
            if (!skipEmpty || str.length !== 0) {
              result_2.push(str);
            }
            return result_2;
          }
          // When there are multiple delimiters, the input is split at every instance
          // one of the delimiters appears.
          var result = [];
          var tokenStart = 0;
          for (var i = 0; i < str.length + 1; i++) {
            if (i === str.length || delimiters.indexOf(str[i]) !== -1) {
              var token = str.subarray(tokenStart, i);
              if (!skipEmpty || token.length !== 0) {
                result.push(token);
              }
              tokenStart = i + 1;
            }
          }
          return result;
        }
        function stringSplitImpl(input, delimiter, skipEmpty) {
          var batchSize = input.length;
          // Empty delimiter means split the input character by character.
          var tokens = [];
          var outputSize = 0;
          var maxNumEntries = 0;
          var numIndices = new Array(batchSize);
          for (var i = 0; i < batchSize; ++i) {
            var parts = split(input[i], delimiter, skipEmpty);
            var nEntries = parts.length;
            numIndices[i] = nEntries;
            outputSize += nEntries;
            maxNumEntries = Math.max(maxNumEntries, nEntries);
            tokens.push.apply(tokens, parts);
          }
          var indices = tfjsCore.util.getArrayFromDType('int32', outputSize * 2);
          var values = new Array(outputSize);
          var shape = [batchSize, maxNumEntries];
          var c = 0;
          for (var i = 0; i < batchSize; ++i) {
            for (var j = 0; j < numIndices[i]; ++j) {
              // indices is a 2d tensor with shape of [outputSize, 2]
              indices[c * 2] = i;
              indices[c * 2 + 1] = j;
              values[c] = tokens[c];
              ++c;
            }
          }
          return [indices, values, shape];
        }

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function stringToHashBucketFastImpl(input, numBuckets) {
          var output = tfjsCore.util.getArrayFromDType('int32', input.length);
          for (var i = 0; i < input.length; ++i) {
            output[i] = tfjsCore.util
              .fingerPrint64(input[i])
              .modulo(numBuckets)
              .getLowBitsUnsigned();
          }
          return output;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var subImpl = createSimpleBinaryKernelImpl(function (aValue, bValue) {
          return aValue - bValue;
        });
        var subComplexImpl = createComplexBinaryKernelImpl(function (aReal, aImag, bReal, bImag) {
          return { real: aReal - bReal, imag: aImag - bImag };
        });
        var sub = binaryKernelFunc(tfjsCore.Sub, subImpl, subComplexImpl);
        var subConfig = {
          kernelName: tfjsCore.Sub,
          backendName: 'cpu',
          kernelFunc: sub,
        };

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        /**
         * An implementation of the tile kernel shared between webgl and cpu for string
         * tensors only.
         */
        function tileImpl(xBuf, reps) {
          var newShape = new Array(xBuf.rank);
          for (var i = 0; i < newShape.length; i++) {
            newShape[i] = xBuf.shape[i] * reps[i];
          }
          var result = tfjsCore.buffer(newShape, xBuf.dtype);
          for (var i = 0; i < result.values.length; ++i) {
            var newLoc = result.indexToLoc(i);
            var originalLoc = new Array(xBuf.rank);
            for (var j = 0; j < originalLoc.length; j++) {
              originalLoc[j] = newLoc[j] % xBuf.shape[j];
            }
            var originalIndex = xBuf.locToIndex(originalLoc);
            result.values[i] = xBuf.values[originalIndex];
          }
          return result;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function topKImpl(x, xShape, xDtype, k, sorted) {
          // Reshape into a 2d tensor [batch, lastDim] and compute topk along lastDim.
          var lastDim = xShape[xShape.length - 1];
          var _a = [x.length / lastDim, lastDim],
            batch = _a[0],
            size = _a[1];
          var allTopKVals = tfjsCore.util.getTypedArrayFromDType(xDtype, batch * k);
          var allTopKIndices = tfjsCore.util.getTypedArrayFromDType('int32', batch * k);
          for (var b = 0; b < batch; b++) {
            var offset = b * size;
            var vals = x.subarray(offset, offset + size);
            var valAndInd = [];
            for (var i = 0; i < vals.length; i++) {
              valAndInd.push({ value: vals[i], index: i });
            }
            valAndInd.sort(function (a, b) {
              return b.value - a.value;
            });
            var outOffset = b * k;
            var topKVals = allTopKVals.subarray(outOffset, outOffset + k);
            var topKIndices = allTopKIndices.subarray(outOffset, outOffset + k);
            for (var i = 0; i < k; i++) {
              topKVals[i] = valAndInd[i].value;
              topKIndices[i] = valAndInd[i].index;
            }
          }
          // Reshape back to the original input shape, except that the last
          // dimension is k.
          var outputShape = xShape.slice();
          outputShape[outputShape.length - 1] = k;
          return [
            tfjsCore.buffer(outputShape, xDtype, allTopKVals),
            tfjsCore.buffer(outputShape, 'int32', allTopKIndices),
          ];
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function uniqueImpl(values, axis, shape, dtype) {
          // Normalize and validate axis.
          var $axis = tfjsCore.util.parseAxisParam(axis, shape)[0];
          // Calculate the new shape that is suitable for extracting data along the
          // given axis.
          //
          // The rank is 3.
          // The size of the 1st dimension is the size of all the axes < the given axis.
          // The size of the 2nd dimension is the same as the size of the given axis.
          // The size of the 3rd dimension is the size of all the axes > the given axis.
          //
          // For example, for a 4D tensor with shape=[2, 3, 5, 4] and axis=2, the
          // newShape would be: [2*3, 5, 4].
          //
          // Note that this is not the final output shape. This will be the shape for an
          // intermediate TensorBuffer (see inputBuffer below) to allow us to extract
          // values along the given axis. To demonstrate how it works, consider the
          // following example:
          //
          // Input: a 3D tensor, with shape [1, 2, 3]
          // [
          //   [
          //      [1,2,3],
          //      [4,5,6]
          //   ]
          // ]
          // Axis: 2 (the last axis).
          // Along axis 2, we expect to extract 3 tensors: [1,4], [2,5], [3,6].
          //
          // For this example, newShape would be: [2, 3, 1], where 2 is calculated from
          // 1*2. The re-shaped data would look like:
          //
          // [
          //   [
          //     [1], [2], [3]
          //   ],
          //   [
          //     [4], [5], [6]
          //   ]
          // ]
          //
          // Then, we can construct a 3-level nested loop by the following dimension
          // order to extract the values along the axis (dimension1):
          // i: dimension1       // 0,1,2 (newShape[1])
          //   m: dimension0     // 0,1   (newShape[0])
          //     n: dimension2   // 0     (newShape[2])
          //
          //                       m, i, n
          //                      ---------
          // Iteration 0: data at [0, 0, 0] => "1"
          // Iteration 1: data at [1, 0, 0] => "4"
          // We got [1,4].
          // Iteration 2: data at [0, 1, 0] => "2"
          // Iteration 3: data at [1, 1, 0] => "5"
          // We got [2,5].
          // Iteration 4: data at [0, 2, 0] => "3"
          // Iteration 5: data at [1, 2, 0] => "6"
          // We got [3,6].
          var newShape = [1, shape[0], 1];
          for (var i = 0; i < $axis; i++) {
            newShape[0] *= shape[i];
          }
          newShape[1] = shape[$axis];
          for (var i = $axis + 1; i < shape.length; i++) {
            newShape[2] *= shape[i];
          }
          // A map from unique elements (their string representations) to their values
          // in "indices" (below).
          var uniqueElements = {};
          // The indices of each unique element in the original tensor along the given
          // axis. It is 1D and has the same size as the given axis.
          var indices = new Int32Array(shape[$axis]);
          // Create a buffer so we can easily extract value at a given location.
          var inputBuffer = new tfjsCore.TensorBuffer(newShape, dtype, values);
          // The indices along the given axis that have unique elements. This is a
          // de-duped version of "indices" above.
          var uniqueIndices = [];
          var is1DTensor = newShape[0] === 1 && newShape[2] === 1;
          for (var i = 0; i < shape[$axis]; i++) {
            // Extract values along the axis.
            var element = void 0;
            if (is1DTensor) {
              // Fast path for 1D tensor input.
              element = values[i].toString();
            } else {
              var axisValues = [];
              for (var m = 0; m < newShape[0]; m++) {
                for (var n = 0; n < newShape[2]; n++) {
                  axisValues.push(inputBuffer.get(m, i, n));
                }
              }
              element = axisValues.join(',');
            }
            // Dedup and update various indices.
            if (uniqueElements[element] !== undefined) {
              indices[i] = uniqueElements[element];
            } else {
              var uniqueIndex = Object.keys(uniqueElements).length;
              uniqueElements[element] = uniqueIndex;
              indices[i] = uniqueIndex;
              uniqueIndices.push(i);
            }
          }
          // Now we know where each of the unique elements are located along the axis
          // (uniqueIndices). Extract them from input buffer and store them in the
          // output buffer.
          var outputTmpShape = newShape.slice();
          outputTmpShape[1] = Object.keys(uniqueElements).length;
          var outputBuffer = new tfjsCore.TensorBuffer(outputTmpShape, dtype);
          uniqueIndices.forEach(function (uniqueElementIndex, i) {
            for (var m = 0; m < newShape[0]; m++) {
              for (var n = 0; n < newShape[2]; n++) {
                outputBuffer.set(inputBuffer.get(m, uniqueElementIndex, n), m, i, n);
              }
            }
          });
          // The output shape can be calculated from the input shape with the size of
          // the given axis replaced by the number of unique elements along that axis.
          var outputShape = shape.slice();
          outputShape[$axis] = outputTmpShape[1];
          return {
            outputValues: outputBuffer.values,
            outputShape: outputShape,
            indices: indices,
          };
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */

        var shared = {
          __proto__: null,
          simpleAbsImpl: simpleAbsImpl,
          addImpl: addImpl,
          bincountImpl: bincountImpl,
          bincountReduceImpl: bincountReduceImpl,
          ceilImpl: ceilImpl,
          concatImpl: concatImpl,
          equalImpl: equalImpl,
          expImpl: expImpl,
          expm1Impl: expm1Impl,
          floorImpl: floorImpl,
          gatherNdImpl: gatherNdImpl,
          gatherV2Impl: gatherV2Impl,
          greaterImpl: greaterImpl,
          greaterEqualImpl: greaterEqualImpl,
          lessImpl: lessImpl,
          lessEqualImpl: lessEqualImpl,
          linSpaceImpl: linSpaceImpl,
          logImpl: logImpl,
          maxImpl: maxImpl,
          maximumImpl: maximumImpl,
          minimumImpl: minimumImpl,
          multiplyImpl: multiplyImpl,
          negImpl: negImpl,
          notEqualImpl: notEqualImpl,
          prodImpl: prodImpl,
          rangeImpl: rangeImpl,
          rsqrtImpl: rsqrtImpl,
          sliceImpl: sliceImpl,
          sparseFillEmptyRowsImpl: sparseFillEmptyRowsImpl,
          sparseReshapeImpl: sparseReshapeImpl,
          sparseSegmentReductionImpl: sparseSegmentReductionImpl,
          squaredDifferenceImpl: squaredDifferenceImpl,
          stridedSliceImpl: stridedSliceImpl,
          stringNGramsImpl: stringNGramsImpl,
          stringSplitImpl: stringSplitImpl,
          stringToHashBucketFastImpl: stringToHashBucketFastImpl,
          subImpl: subImpl,
          tileImpl: tileImpl,
          topKImpl: topKImpl,
          transposeImpl: transposeImpl,
          uniqueImpl: uniqueImpl,
        };

        /** @license See the LICENSE file. */
        // This code is auto-generated, do not modify this file!
        var version = '3.7.0';

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        // Side effects for default initialization of MathBackendCPU
        tfjsCore.registerBackend(
          'cpu',
          function () {
            return new MathBackendCPU();
          },
          1 /* priority */,
        );

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var elu = unaryKernelFunc(tfjsCore.Elu, function (xi) {
          return xi >= 0 ? xi : Math.exp(xi) - 1;
        });
        var eluConfig = {
          kernelName: tfjsCore.Elu,
          backendName: 'cpu',
          kernelFunc: elu,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function leakyRelu(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var alpha = attrs.alpha;
          assertNotComplex([x], 'leakyRelu');
          var xSize = tfjsCore.util.sizeFromShape(x.shape);
          var xVals = backend.data.get(x.dataId).values;
          var outVals = tfjsCore.util.getTypedArrayFromDType('float32', xSize);
          for (var i = 0; i < xVals.length; i++) {
            outVals[i] = xVals[i] < 0 ? alpha * xVals[i] : xVals[i];
          }
          return backend.makeTensorInfo(x.shape, 'float32', outVals);
        }
        var leakyReluConfig = {
          kernelName: tfjsCore.LeakyRelu,
          backendName: 'cpu',
          kernelFunc: leakyRelu,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var preluImpl = createSimpleBinaryKernelImpl(function (xValue, aValue) {
          return xValue < 0 ? aValue * xValue : xValue;
        });
        function prelu(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var x = inputs.x,
            alpha = inputs.alpha;
          assertNotComplex([x, alpha], 'prelu');
          var aVals = backend.data.get(x.dataId).values;
          var bVals = backend.data.get(alpha.dataId).values;
          var _a = preluImpl(x.shape, alpha.shape, aVals, bVals, x.dtype),
            resultData = _a[0],
            resultShape = _a[1];
          return backend.makeTensorInfo(resultShape, x.dtype, resultData);
        }
        var preluConfig = {
          kernelName: tfjsCore.Prelu,
          backendName: 'cpu',
          kernelFunc: prelu,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var relu = unaryKernelFunc(tfjsCore.Relu, function (xi) {
          return Math.max(0, xi);
        });
        var reluConfig = {
          kernelName: tfjsCore.Relu,
          backendName: 'cpu',
          kernelFunc: relu,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var relu6 = unaryKernelFunc(tfjsCore.Relu6, function (xi) {
          return Math.min(Math.max(0, xi), 6);
        });
        var relu6Config = {
          kernelName: tfjsCore.Relu6,
          backendName: 'cpu',
          kernelFunc: relu6,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var sigmoid = unaryKernelFunc(tfjsCore.Sigmoid, function (xi) {
          return 1 / (1 + Math.exp(-xi));
        });
        var sigmoidConfig = {
          kernelName: tfjsCore.Sigmoid,
          backendName: 'cpu',
          kernelFunc: sigmoid,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function applyActivation(backend, x, activation, preluActivationWeights, leakyreluAlpha) {
          if (activation === 'linear') {
            return identity({ inputs: { x: x }, backend: backend });
          } else if (activation === 'relu') {
            return relu({ inputs: { x: x }, backend: backend });
          } else if (activation === 'elu') {
            return elu({ inputs: { x: x }, backend: backend });
          } else if (activation === 'relu6') {
            return relu6({ inputs: { x: x }, backend: backend });
          } else if (activation === 'prelu') {
            return prelu({ inputs: { x: x, alpha: preluActivationWeights }, backend: backend });
          } else if (activation === 'leakyrelu') {
            return leakyRelu({
              inputs: { x: x },
              backend: backend,
              attrs: { alpha: leakyreluAlpha },
            });
          } else if (activation === 'sigmoid') {
            return sigmoid({ inputs: { x: x }, backend: backend });
          }
          throw new Error(
            'Activation ' + activation + ' has not been implemented for the CPU backend.',
          );
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function reshape(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var shape = attrs.shape;
          var xSize = tfjsCore.util.sizeFromShape(x.shape);
          var $shape = tfjsCore.util.inferFromImplicitShape(shape, xSize);
          var $xSize = tfjsCore.util.sizeFromShape($shape);
          tfjsCore.util.assert(xSize === $xSize, function () {
            return (
              'The new shape (' +
              $shape +
              ') has ' +
              $xSize +
              ' elements and the old ' +
              ('shape (' + x.shape + ') has ' + xSize + ' elements. The new shape and old ') +
              'shape must have the same number of elements.'
            );
          });
          backend.incRef(x.dataId);
          var xData = backend.data.get(x.dataId);
          if (xData.complexTensorInfos != null) {
            var real = xData.complexTensorInfos.real;
            var imag = xData.complexTensorInfos.imag;
            real.shape = $shape;
            imag.shape = $shape;
          }
          return { dataId: x.dataId, shape: $shape, dtype: x.dtype };
        }
        var reshapeConfig = {
          kernelName: tfjsCore.Reshape,
          backendName: 'cpu',
          kernelFunc: reshape,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function batchMatMul(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var a = inputs.a,
            b = inputs.b;
          var transposeA = attrs.transposeA,
            transposeB = attrs.transposeB;
          assertNotComplex([a, b], 'matMul');
          var aRank = a.shape.length;
          var bRank = b.shape.length;
          var innerShapeA = transposeA ? a.shape[aRank - 2] : a.shape[aRank - 1];
          var innerShapeB = transposeB ? b.shape[bRank - 1] : b.shape[bRank - 2];
          var outerShapeA = transposeA ? a.shape[aRank - 1] : a.shape[aRank - 2];
          var outerShapeB = transposeB ? b.shape[bRank - 2] : b.shape[bRank - 1];
          var outerDimsA = a.shape.slice(0, -2);
          var outerDimsB = b.shape.slice(0, -2);
          var batchDimA = tfjsCore.util.sizeFromShape(outerDimsA);
          var batchDimB = tfjsCore.util.sizeFromShape(outerDimsB);
          var batchDimsCompatible = batchDimA === batchDimB || batchDimA === 1 || batchDimB === 1;
          tfjsCore.util.assert(aRank >= 2 && bRank >= 2 && batchDimsCompatible, function () {
            return (
              'Error in matMul: the input batch dimensions must either be the ' +
              'same or at least one input batch dimension must be 1. Got input ' +
              ('batch dimensions of (' + outerDimsA + ') and (' + outerDimsB + ').')
            );
          });
          var outShapeOuterDims =
            batchDimA > batchDimB ? a.shape.slice(0, -2) : b.shape.slice(0, -2);
          var outShape = outShapeOuterDims.concat([outerShapeA, outerShapeB]);
          tfjsCore.util.assert(innerShapeA === innerShapeB, function () {
            return (
              'Error in matMul: inner shapes (' +
              innerShapeA +
              ') and (' +
              (innerShapeB + ') of Tensors with shapes ' + a.shape + ' and ') +
              (b.shape + ' and transposeA=' + transposeA) +
              (' and transposeB=' + transposeB + ' must match.')
            );
          });
          var a3dShape = transposeA
            ? [batchDimA, innerShapeA, outerShapeA]
            : [batchDimA, outerShapeA, innerShapeA];
          var b3dShape = transposeB
            ? [batchDimB, outerShapeB, innerShapeB]
            : [batchDimB, innerShapeB, outerShapeB];
          // The rest of the implementation is designed to operate on rank-3 tensors
          var a3d = reshape({ inputs: { x: a }, backend: backend, attrs: { shape: a3dShape } });
          var b3d = reshape({ inputs: { x: b }, backend: backend, attrs: { shape: b3dShape } });
          var sharedDim = transposeA ? a3d.shape[1] : a3d.shape[2];
          var leftDim = transposeA ? a3d.shape[2] : a3d.shape[1];
          var rightDim = transposeB ? b3d.shape[1] : b3d.shape[2];
          var batchDim = Math.max(batchDimA, batchDimB);
          var a3dValues = backend.data.get(a3d.dataId).values;
          var b3dValues = backend.data.get(b3d.dataId).values;
          var a3dStrides = tfjsCore.util.computeStrides(a3d.shape);
          var b3dStrides = tfjsCore.util.computeStrides(b3d.shape);
          var _a = transposeA
              ? [a3dStrides[0], 1, a3dStrides[1]]
              : [a3dStrides[0], a3dStrides[1], 1],
            aBatch = _a[0],
            aOuterStep = _a[1],
            aInnerStep = _a[2];
          var _b = transposeB
              ? [1, b3dStrides[1], b3dStrides[0]]
              : [b3dStrides[1], 1, b3dStrides[0]],
            bInnerStep = _b[0],
            bOuterStep = _b[1],
            bBatch = _b[2];
          var size = leftDim * rightDim;
          var result = tfjsCore.buffer([batchDim, leftDim, rightDim], a3d.dtype);
          var resVals = result.values;
          var blockSize = backend.blockSize;
          for (var bi = 0; bi < batchDim; bi++) {
            for (var i0 = 0; i0 < leftDim; i0 += blockSize) {
              for (var j0 = 0; j0 < rightDim; j0 += blockSize) {
                for (var k0 = 0; k0 < sharedDim; k0 += blockSize) {
                  // for when blockSize doesn't evenly divide the input
                  var iBlock = Math.min(i0 + blockSize, leftDim);
                  var jBlock = Math.min(j0 + blockSize, rightDim);
                  var kBlock = Math.min(k0 + blockSize, sharedDim);
                  for (var i = i0; i < iBlock; i++) {
                    for (var j = j0; j < jBlock; j++) {
                      var sum = 0.0;
                      for (var k = k0; k < kBlock; k++) {
                        var batchOffsetA = Math.min(bi, batchDimA - 1) * aBatch;
                        var batchOffsetB = Math.min(bi, batchDimB - 1) * bBatch;
                        var aVal = a3dValues[batchOffsetA + i * aOuterStep + k * aInnerStep];
                        var bVal = b3dValues[k * bInnerStep + j * bOuterStep + batchOffsetB];
                        sum += aVal * bVal;
                      }
                      resVals[bi * size + (i * rightDim + j)] += sum;
                    }
                  }
                }
              }
            }
          }
          backend.disposeIntermediateTensorInfo(a3d);
          backend.disposeIntermediateTensorInfo(b3d);
          // set correct shape on output.
          return backend.makeTensorInfo(outShape, result.dtype, result.values);
        }
        var batchMatMulConfig = {
          kernelName: tfjsCore.BatchMatMul,
          backendName: 'cpu',
          kernelFunc: batchMatMul,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function _fusedMatMul(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var a = inputs.a,
            b = inputs.b,
            bias = inputs.bias,
            preluActivationWeights = inputs.preluActivationWeights;
          var transposeA = attrs.transposeA,
            transposeB = attrs.transposeB,
            activation = attrs.activation,
            leakyreluAlpha = attrs.leakyreluAlpha;
          var current;
          var addRes;
          var activationRes;
          var intermediates = [];
          var matMulRes = batchMatMul({
            inputs: { a: a, b: b },
            attrs: { transposeA: transposeA, transposeB: transposeB },
            backend: backend,
          });
          current = matMulRes;
          if (bias) {
            addRes = add({ inputs: { a: current, b: bias }, backend: backend });
            intermediates.push(current);
            current = addRes;
          }
          if (activation) {
            activationRes = applyActivation(
              backend,
              current,
              activation,
              preluActivationWeights,
              leakyreluAlpha,
            );
            intermediates.push(current);
            current = activationRes;
          }
          for (var _i = 0, intermediates_1 = intermediates; _i < intermediates_1.length; _i++) {
            var i = intermediates_1[_i];
            backend.disposeIntermediateTensorInfo(i);
          }
          return current;
        }
        var _fusedMatMulConfig = {
          kernelName: tfjsCore._FusedMatMul,
          backendName: 'cpu',
          kernelFunc: _fusedMatMul,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var acos = unaryKernelFunc(tfjsCore.Acos, function (xi) {
          return Math.acos(xi);
        });
        var acosConfig = {
          kernelName: tfjsCore.Acos,
          backendName: 'cpu',
          kernelFunc: acos,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var acosh = unaryKernelFunc(tfjsCore.Acosh, function (xi) {
          return Math.acosh(xi);
        });
        var acoshConfig = {
          kernelName: tfjsCore.Acosh,
          backendName: 'cpu',
          kernelFunc: acosh,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function addN(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var tensors = inputs;
          assertNotComplex(inputs, 'addN');
          var vals = tensors.map(function (t) {
            return backend.data.get(t.dataId).values;
          });
          var outBuf = tfjsCore.buffer(tensors[0].shape, tensors[0].dtype);
          var outVals = outBuf.values;
          for (var i = 0; i < tensors.length; i++) {
            var currVals = vals[i];
            for (var j = 0; j < outVals.length; j++) {
              outVals[j] += currVals[j];
            }
          }
          return backend.makeTensorInfo(outBuf.shape, outBuf.dtype, outBuf.values);
        }
        var addNConfig = {
          kernelName: tfjsCore.AddN,
          backendName: 'cpu',
          kernelFunc: addN,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function all(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var axis = attrs.axis,
            keepDims = attrs.keepDims;
          assertNotComplex(x, 'all');
          var origAxes = tfjsCore.util.parseAxisParam(axis, x.shape);
          var axes = origAxes;
          var permutedAxes = tfjsCore.backend_util.getAxesPermutation(axes, x.shape.length);
          var $x = x;
          if (permutedAxes != null) {
            $x = transpose({ inputs: { x: x }, backend: backend, attrs: { perm: permutedAxes } });
            axes = tfjsCore.backend_util.getInnerMostAxes(axes.length, x.shape.length);
          }
          tfjsCore.backend_util.assertAxesAreInnerMostDims('all', axes, $x.shape.length);
          var _a = tfjsCore.backend_util.computeOutAndReduceShapes($x.shape, axes),
            outShape = _a[0],
            reduceShape = _a[1];
          var reduceSize = tfjsCore.util.sizeFromShape(reduceShape);
          var vals = tfjsCore.util.makeZerosTypedArray(
            tfjsCore.util.sizeFromShape(outShape),
            $x.dtype,
          );
          var aVals = backend.data.get($x.dataId).values;
          for (var i = 0; i < vals.length; ++i) {
            var offset = i * reduceSize;
            var all_1 = aVals[offset];
            for (var j = 0; j < reduceSize; ++j) {
              var value = aVals[offset + j];
              all_1 = all_1 && value;
            }
            vals[i] = all_1;
          }
          if (permutedAxes != null) {
            backend.disposeIntermediateTensorInfo($x);
          }
          var result = backend.makeTensorInfo(outShape, $x.dtype, vals);
          if (keepDims) {
            var expandedShape = tfjsCore.backend_util.expandShapeToKeepDim(outShape, origAxes);
            var reshapedResult = reshape({
              inputs: { x: result },
              backend: backend,
              attrs: { shape: expandedShape },
            });
            backend.disposeIntermediateTensorInfo(result);
            return reshapedResult;
          }
          return result;
        }
        var allConfig = {
          kernelName: tfjsCore.All,
          backendName: 'cpu',
          kernelFunc: all,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function any(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var axis = attrs.axis,
            keepDims = attrs.keepDims;
          assertNotComplex(x, 'any');
          var origAxes = tfjsCore.util.parseAxisParam(axis, x.shape);
          var axes = origAxes;
          var permutedAxes = tfjsCore.backend_util.getAxesPermutation(axes, x.shape.length);
          var $x = x;
          if (permutedAxes != null) {
            $x = transpose({ inputs: { x: x }, backend: backend, attrs: { perm: permutedAxes } });
            axes = tfjsCore.backend_util.getInnerMostAxes(axes.length, x.shape.length);
          }
          tfjsCore.backend_util.assertAxesAreInnerMostDims('any', axes, $x.shape.length);
          var _a = tfjsCore.backend_util.computeOutAndReduceShapes($x.shape, axes),
            outShape = _a[0],
            reduceShape = _a[1];
          var reduceSize = tfjsCore.util.sizeFromShape(reduceShape);
          var vals = tfjsCore.util.makeZerosTypedArray(
            tfjsCore.util.sizeFromShape(outShape),
            $x.dtype,
          );
          var aVals = backend.data.get($x.dataId).values;
          for (var i = 0; i < vals.length; ++i) {
            var offset = i * reduceSize;
            var anyVal = aVals[offset];
            for (var j = 0; j < reduceSize; ++j) {
              var value = aVals[offset + j];
              anyVal = anyVal || value;
            }
            vals[i] = anyVal;
          }
          if (permutedAxes != null) {
            backend.disposeIntermediateTensorInfo($x);
          }
          var result = backend.makeTensorInfo(outShape, $x.dtype, vals);
          if (keepDims) {
            var expandedShape = tfjsCore.backend_util.expandShapeToKeepDim(outShape, origAxes);
            var reshapedResult = reshape({
              inputs: { x: result },
              backend: backend,
              attrs: { shape: expandedShape },
            });
            backend.disposeIntermediateTensorInfo(result);
            return reshapedResult;
          }
          return result;
        }
        var anyConfig = {
          kernelName: tfjsCore.Any,
          backendName: 'cpu',
          kernelFunc: any,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function argMax(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var axis = attrs.axis;
          assertNotComplex(x, 'argMax');
          var axes = tfjsCore.util.parseAxisParam(axis, x.shape);
          var permutedAxes = tfjsCore.backend_util.getAxesPermutation(axes, x.shape.length);
          var $x = x;
          var intermediateTensorInfos = [];
          if (permutedAxes != null) {
            $x = transpose({ inputs: { x: x }, backend: backend, attrs: { perm: permutedAxes } });
            intermediateTensorInfos.push($x);
            axes = tfjsCore.backend_util.getInnerMostAxes(axes.length, $x.shape.length);
          }
          axes = [axes[0]];
          tfjsCore.backend_util.assertAxesAreInnerMostDims('argMax', axes, $x.shape.length);
          var _a = tfjsCore.backend_util.computeOutAndReduceShapes($x.shape, axes),
            outShape = _a[0],
            reduceShape = _a[1];
          var outSize = tfjsCore.util.sizeFromShape(outShape);
          var vals = tfjsCore.util.makeZerosTypedArray(outSize, 'int32');
          var reduceSize = tfjsCore.util.sizeFromShape(reduceShape);
          var aVals = backend.data.get($x.dataId).values;
          for (var i = 0; i < vals.length; ++i) {
            var offset = i * reduceSize;
            var max = aVals[offset];
            var maxIndex = 0;
            for (var j = 0; j < reduceSize; ++j) {
              var value = aVals[offset + j];
              if (value > max) {
                max = value;
                maxIndex = j;
              }
            }
            vals[i] = maxIndex;
          }
          intermediateTensorInfos.forEach(function (t) {
            return backend.disposeIntermediateTensorInfo(t);
          });
          return backend.makeTensorInfo(outShape, 'int32', vals);
        }
        var argMaxConfig = {
          kernelName: tfjsCore.ArgMax,
          backendName: 'cpu',
          kernelFunc: argMax,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function argMin(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var axis = attrs.axis;
          assertNotComplex(x, 'argMin');
          var axes = tfjsCore.util.parseAxisParam(axis, x.shape);
          var permutedAxes = tfjsCore.backend_util.getAxesPermutation(axes, x.shape.length);
          var $x = x;
          var intermediateTensorInfos = [];
          if (permutedAxes != null) {
            $x = transpose({ inputs: { x: x }, backend: backend, attrs: { perm: permutedAxes } });
            intermediateTensorInfos.push($x);
            axes = tfjsCore.backend_util.getInnerMostAxes(axes.length, $x.shape.length);
          }
          axes = [axes[0]];
          tfjsCore.backend_util.assertAxesAreInnerMostDims('argMin', axes, $x.shape.length);
          var _a = tfjsCore.backend_util.computeOutAndReduceShapes($x.shape, axes),
            outShape = _a[0],
            reduceShape = _a[1];
          var outSize = tfjsCore.util.sizeFromShape(outShape);
          var vals = tfjsCore.util.makeZerosTypedArray(outSize, 'int32');
          var reduceSize = tfjsCore.util.sizeFromShape(reduceShape);
          var aVals = backend.data.get($x.dataId).values;
          for (var i = 0; i < vals.length; ++i) {
            var offset = i * reduceSize;
            var min = aVals[offset];
            var minIndex = 0;
            for (var j = 0; j < reduceSize; ++j) {
              var value = aVals[offset + j];
              if (value < min) {
                min = value;
                minIndex = j;
              }
            }
            vals[i] = minIndex;
          }
          intermediateTensorInfos.forEach(function (t) {
            return backend.disposeIntermediateTensorInfo(t);
          });
          return backend.makeTensorInfo(outShape, 'int32', vals);
        }
        var argMinConfig = {
          kernelName: tfjsCore.ArgMin,
          backendName: 'cpu',
          kernelFunc: argMin,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var asin = unaryKernelFunc(tfjsCore.Asin, function (xi) {
          return Math.asin(xi);
        });
        var asinConfig = {
          kernelName: tfjsCore.Asin,
          backendName: 'cpu',
          kernelFunc: asin,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var asinh = unaryKernelFunc(tfjsCore.Asinh, function (xi) {
          return Math.asinh(xi);
        });
        var asinhConfig = {
          kernelName: tfjsCore.Asinh,
          backendName: 'cpu',
          kernelFunc: asinh,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var atan = unaryKernelFunc(tfjsCore.Atan, function (xi) {
          return Math.atan(xi);
        });
        var atanConfig = {
          kernelName: tfjsCore.Atan,
          backendName: 'cpu',
          kernelFunc: atan,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var atan2Impl = createSimpleBinaryKernelImpl(function (aValue, bValue) {
          return Math.atan2(aValue, bValue);
        });
        var atan2 = binaryKernelFunc(tfjsCore.Atan2, atan2Impl);
        var atan2Config = {
          kernelName: tfjsCore.Atan2,
          backendName: 'cpu',
          kernelFunc: atan2,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var atanh = unaryKernelFunc(tfjsCore.Atanh, function (xi) {
          return Math.atanh(xi);
        });
        var atanhConfig = {
          kernelName: tfjsCore.Atanh,
          backendName: 'cpu',
          kernelFunc: atanh,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function pool(xValues, xShape, dtype, strides, convInfo, poolType) {
          var strideHeight = convInfo.strideHeight;
          var strideWidth = convInfo.strideWidth;
          var dilationHeight = convInfo.dilationHeight;
          var dilationWidth = convInfo.dilationWidth;
          var effectiveFilterHeight = convInfo.effectiveFilterHeight;
          var effectiveFilterWidth = convInfo.effectiveFilterWidth;
          var padTop = convInfo.padInfo.top;
          var padLeft = convInfo.padInfo.left;
          var initialValue =
            poolType === 'max' ? Number.NEGATIVE_INFINITY : Number.POSITIVE_INFINITY;
          var output = tfjsCore.buffer(convInfo.outShape, dtype);
          var outputVals = output.values;
          var outputBatchStrides =
            convInfo.outShape[1] * convInfo.outShape[2] * convInfo.outShape[3];
          var outputRowStrides = convInfo.outShape[2] * convInfo.outShape[3];
          var outputColStrides = convInfo.outShape[3];
          for (var b = 0; b < convInfo.batchSize; ++b) {
            var outputBatchOffset = b * outputBatchStrides;
            var inputBatchOffset = b * strides[0];
            for (var d = 0; d < convInfo.inChannels; ++d) {
              for (var yR = 0; yR < convInfo.outHeight; ++yR) {
                var xRCorner = yR * strideHeight - padTop;
                var xRMin = Math.max(0, xRCorner);
                var xRMax = Math.min(convInfo.inHeight, effectiveFilterHeight + xRCorner);
                var outputRowOffset = outputBatchOffset + yR * outputRowStrides;
                for (var yC = 0; yC < convInfo.outWidth; ++yC) {
                  var xCCorner = yC * strideWidth - padLeft;
                  var xCMin = Math.max(0, xCCorner);
                  var xCMax = Math.min(convInfo.inWidth, effectiveFilterWidth + xCCorner);
                  var minMaxValue = initialValue;
                  var avgValue = 0;
                  var count = 0;
                  for (var xR = xRMin; xR < xRMax; xR += dilationHeight) {
                    var xROffset = inputBatchOffset + xR * strides[1];
                    for (var xC = xCMin; xC < xCMax; xC += dilationWidth) {
                      var xCOffset = xROffset + xC * strides[2];
                      var pixel = xValues[xCOffset + d];
                      if (poolType === 'max' && pixel > minMaxValue) {
                        minMaxValue = pixel;
                      } else if (poolType === 'avg') {
                        avgValue += pixel;
                        count++;
                      }
                    }
                    if (isNaN(minMaxValue)) {
                      break;
                    }
                  }
                  var outputOffset = outputRowOffset + yC * outputColStrides + d;
                  outputVals[outputOffset] = poolType === 'avg' ? avgValue / count : minMaxValue;
                }
              }
            }
          }
          return output;
        }
        function maxPoolPositions(
          xValues,
          xShape,
          dtype,
          convInfo,
          flattenPositions,
          includeBatchInIndex,
        ) {
          if (flattenPositions === void 0) {
            flattenPositions = false;
          }
          if (includeBatchInIndex === void 0) {
            includeBatchInIndex = false;
          }
          var maxPositions = tfjsCore.buffer(convInfo.outShape, 'int32');
          var strideHeight = convInfo.strideHeight;
          var strideWidth = convInfo.strideWidth;
          var dilationHeight = convInfo.dilationHeight;
          var dilationWidth = convInfo.dilationWidth;
          var effectiveFilterHeight = convInfo.effectiveFilterHeight;
          var effectiveFilterWidth = convInfo.effectiveFilterWidth;
          var padTop = convInfo.padInfo.top;
          var padLeft = convInfo.padInfo.left;
          var xBuf = tfjsCore.buffer(xShape, dtype, xValues);
          for (var b = 0; b < convInfo.batchSize; ++b) {
            for (var d = 0; d < convInfo.inChannels; ++d) {
              for (var yR = 0; yR < convInfo.outHeight; ++yR) {
                var xRCorner = yR * strideHeight - padTop;
                var xRMin = xRCorner;
                while (xRMin < 0) {
                  xRMin += dilationHeight;
                }
                // const xRMin = Math.max(0, xRCorner);
                var xRMax = Math.min(convInfo.inHeight, effectiveFilterHeight + xRCorner);
                for (var yC = 0; yC < convInfo.outWidth; ++yC) {
                  var xCCorner = yC * strideWidth - padLeft;
                  var xCMin = xCCorner;
                  while (xCMin < 0) {
                    xCMin += dilationWidth;
                  }
                  var xCMax = Math.min(convInfo.inWidth, effectiveFilterWidth + xCCorner);
                  var maxValue = Number.NEGATIVE_INFINITY;
                  var maxPosition = -1;
                  for (var xR = xRMin; xR < xRMax; xR += dilationHeight) {
                    var wR = xR - xRCorner;
                    for (var xC = xCMin; xC < xCMax; xC += dilationWidth) {
                      var wC = xC - xCCorner;
                      var pixel = xBuf.get(b, xR, xC, d);
                      if (pixel > maxValue) {
                        maxValue = pixel;
                        if (flattenPositions) {
                          maxPosition = includeBatchInIndex
                            ? ((b * convInfo.inHeight + xR) * convInfo.inWidth + xC) *
                                convInfo.inChannels +
                              d
                            : (xR * convInfo.inWidth + xC) * convInfo.inChannels + d;
                        } else {
                          maxPosition = wR * effectiveFilterWidth + wC;
                        }
                      }
                    }
                  }
                  maxPositions.set(maxPosition, b, yR, yC, d);
                }
              }
            }
          }
          return maxPositions;
        }
        function pool3d(xValues, xShape, dtype, strides, convInfo, poolType) {
          var strideDepth = convInfo.strideDepth;
          var strideHeight = convInfo.strideHeight;
          var strideWidth = convInfo.strideWidth;
          var dilationDepth = convInfo.dilationDepth;
          var dilationHeight = convInfo.dilationHeight;
          var dilationWidth = convInfo.dilationWidth;
          var effectiveFilterDepth = convInfo.effectiveFilterDepth;
          var effectiveFilterHeight = convInfo.effectiveFilterHeight;
          var effectiveFilterWidth = convInfo.effectiveFilterWidth;
          var padFront = convInfo.padInfo.front;
          var padTop = convInfo.padInfo.top;
          var padLeft = convInfo.padInfo.left;
          var initialValue =
            poolType === 'max' ? Number.NEGATIVE_INFINITY : Number.POSITIVE_INFINITY;
          var output = tfjsCore.buffer(convInfo.outShape, dtype);
          var outputVals = output.values;
          var outputBatchStrides =
            convInfo.outShape[1] *
            convInfo.outShape[2] *
            convInfo.outShape[3] *
            convInfo.outShape[4];
          var outputDepthStrides =
            convInfo.outShape[2] * convInfo.outShape[3] * convInfo.outShape[4];
          var outputRowStrides = convInfo.outShape[3] * convInfo.outShape[4];
          var outputColStrides = convInfo.outShape[4];
          for (var batch = 0; batch < convInfo.batchSize; ++batch) {
            var outputBatchOffset = batch * outputBatchStrides;
            var inputBatchOffset = batch * strides[0];
            for (var channel = 0; channel < convInfo.inChannels; ++channel) {
              for (var yDepth = 0; yDepth < convInfo.outDepth; ++yDepth) {
                var xDepthCorner = yDepth * strideDepth - padFront;
                var xDepthMin = xDepthCorner;
                while (xDepthMin < 0) {
                  xDepthMin += dilationDepth;
                }
                var xDepthMax = Math.min(convInfo.inDepth, effectiveFilterDepth + xDepthCorner);
                var outputDepthOffset = outputBatchOffset + yDepth * outputDepthStrides;
                for (var yRow = 0; yRow < convInfo.outHeight; ++yRow) {
                  var xRowCorner = yRow * strideHeight - padTop;
                  var xRowMin = xRowCorner;
                  while (xRowMin < 0) {
                    xRowMin += dilationHeight;
                  }
                  var xRowMax = Math.min(convInfo.inHeight, effectiveFilterHeight + xRowCorner);
                  var outputRowOffset = outputDepthOffset + yRow * outputRowStrides;
                  for (var yCol = 0; yCol < convInfo.outWidth; ++yCol) {
                    var xColCorner = yCol * strideWidth - padLeft;
                    var xColMin = xColCorner;
                    while (xColMin < 0) {
                      xColMin += dilationWidth;
                    }
                    var xColMax = Math.min(convInfo.inWidth, effectiveFilterWidth + xColCorner);
                    // Shader code begins
                    var outputColOffset = outputRowOffset + yCol * outputColStrides;
                    var minMaxValue = initialValue;
                    var avgValue = 0;
                    var count = 0;
                    for (var xDepth = xDepthMin; xDepth < xDepthMax; xDepth += dilationDepth) {
                      var xDepthOffset = inputBatchOffset + xDepth * strides[1];
                      for (var xRow = xRowMin; xRow < xRowMax; xRow += dilationHeight) {
                        var xRowOffset = xDepthOffset + xRow * strides[2];
                        for (var xCol = xColMin; xCol < xColMax; xCol += dilationWidth) {
                          var xColOffset = xRowOffset + xCol * strides[3];
                          var pixel = xValues[xColOffset + channel];
                          if (poolType === 'max' && pixel > minMaxValue) {
                            minMaxValue = pixel;
                          } else if (poolType === 'avg') {
                            avgValue += pixel;
                            count++;
                          }
                          if (isNaN(minMaxValue)) {
                            break;
                          }
                        }
                        if (isNaN(minMaxValue)) {
                          break;
                        }
                      }
                      if (isNaN(minMaxValue)) {
                        break;
                      }
                    }
                    var outputOffset = outputColOffset + channel;
                    outputVals[outputOffset] = poolType === 'avg' ? avgValue / count : minMaxValue;
                  }
                }
              }
            }
          }
          return output;
        }
        function maxPool3dPositions(xBuf, convInfo) {
          var maxPositions = tfjsCore.buffer(convInfo.outShape, 'int32');
          var strideDepth = convInfo.strideDepth;
          var strideHeight = convInfo.strideHeight;
          var strideWidth = convInfo.strideWidth;
          var dilationDepth = convInfo.dilationDepth;
          var dilationHeight = convInfo.dilationHeight;
          var dilationWidth = convInfo.dilationWidth;
          var effectiveFilterDepth = convInfo.effectiveFilterDepth;
          var effectiveFilterHeight = convInfo.effectiveFilterHeight;
          var effectiveFilterWidth = convInfo.effectiveFilterWidth;
          var padFront = convInfo.padInfo.front;
          var padTop = convInfo.padInfo.top;
          var padLeft = convInfo.padInfo.left;
          for (var batch = 0; batch < convInfo.batchSize; ++batch) {
            for (var channel = 0; channel < convInfo.inChannels; ++channel) {
              for (var yDepth = 0; yDepth < convInfo.outDepth; ++yDepth) {
                var xDepthCorner = yDepth * strideDepth - padFront;
                var xDepthMin = xDepthCorner;
                while (xDepthMin < 0) {
                  xDepthMin += dilationDepth;
                }
                var xDepthMax = Math.min(convInfo.inDepth, effectiveFilterDepth + xDepthCorner);
                for (var yRow = 0; yRow < convInfo.outHeight; ++yRow) {
                  var xRowCorner = yRow * strideHeight - padTop;
                  var xRowMin = xRowCorner;
                  while (xRowMin < 0) {
                    xRowMin += dilationHeight;
                  }
                  var xRowMax = Math.min(convInfo.inHeight, effectiveFilterHeight + xRowCorner);
                  for (var yCol = 0; yCol < convInfo.outWidth; ++yCol) {
                    var xColCorner = yCol * strideWidth - padLeft;
                    var xColMin = xColCorner;
                    while (xColMin < 0) {
                      xColMin += dilationWidth;
                    }
                    var xColMax = Math.min(convInfo.inWidth, effectiveFilterWidth + xColCorner);
                    // Shader code begins
                    var maxValue = Number.NEGATIVE_INFINITY;
                    var maxPosition = -1;
                    for (var xDepth = xDepthMin; xDepth < xDepthMax; xDepth += dilationDepth) {
                      var wDepth = xDepth - xDepthCorner;
                      for (var xRow = xRowMin; xRow < xRowMax; xRow += dilationHeight) {
                        var wRow = xRow - xRowCorner;
                        for (var xCol = xColMin; xCol < xColMax; xCol += dilationWidth) {
                          var wCol = xCol - xColCorner;
                          var pixel = xBuf.get(batch, xDepth, xRow, xCol, channel);
                          if (pixel >= maxValue) {
                            maxValue = pixel;
                            maxPosition =
                              wDepth * effectiveFilterHeight * effectiveFilterWidth +
                              wRow * effectiveFilterHeight +
                              wCol;
                          }
                        }
                      }
                    }
                    maxPositions.set(maxPosition, batch, yDepth, yRow, yCol, channel);
                  }
                }
              }
            }
          }
          return maxPositions;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function avgPool(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          assertNotComplex(x, 'avgPool');
          var filterSize = attrs.filterSize,
            strides = attrs.strides,
            pad = attrs.pad,
            dimRoundingMode = attrs.dimRoundingMode;
          var dilations = 1;
          tfjsCore.util.assert(
            tfjsCore.backend_util.eitherStridesOrDilationsAreOne(strides, dilations),
            function () {
              return (
                'Error in avgPool: Either strides or dilations must be 1. ' +
                ('Got strides ' + strides + " and dilations '" + dilations + "'")
              );
            },
          );
          var convInfo = tfjsCore.backend_util.computePool2DInfo(
            x.shape,
            filterSize,
            strides,
            dilations,
            pad,
            dimRoundingMode,
          );
          var res;
          if (
            convInfo.filterWidth === 1 &&
            convInfo.filterHeight === 1 &&
            tfjsCore.util.arraysEqual(convInfo.inShape, convInfo.outShape)
          ) {
            res = identity({ inputs: { x: x }, backend: backend });
          } else {
            var xValues = backend.data.get(x.dataId).values;
            var strides_1 = tfjsCore.util.computeStrides(x.shape);
            var buffer = pool(xValues, x.shape, x.dtype, strides_1, convInfo, 'avg');
            res = backend.makeTensorInfo(convInfo.outShape, x.dtype, buffer.values);
          }
          return res;
        }
        var avgPoolConfig = {
          kernelName: tfjsCore.AvgPool,
          backendName: 'cpu',
          kernelFunc: avgPool,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function avgPool3D(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var filterSize = attrs.filterSize,
            strides = attrs.strides,
            pad = attrs.pad,
            dimRoundingMode = attrs.dimRoundingMode,
            dataFormat = attrs.dataFormat;
          assertNotComplex(x, 'avgPool3d');
          var convInfo = tfjsCore.backend_util.computePool3DInfo(
            x.shape,
            filterSize,
            strides,
            1 /* dilations */,
            pad,
            dimRoundingMode,
            dataFormat,
          );
          var xValues = backend.data.get(x.dataId).values;
          var outBuf = pool3d(
            xValues,
            x.shape,
            x.dtype,
            tfjsCore.util.computeStrides(x.shape),
            convInfo,
            'avg',
          );
          return backend.makeTensorInfo(outBuf.shape, 'float32', outBuf.values);
        }
        var avgPool3DConfig = {
          kernelName: tfjsCore.AvgPool3D,
          backendName: 'cpu',
          kernelFunc: avgPool3D,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function avgPool3DGrad(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var dy = inputs.dy,
            input = inputs.input;
          var filterSize = attrs.filterSize,
            strides = attrs.strides,
            pad = attrs.pad,
            dimRoundingMode = attrs.dimRoundingMode;
          assertNotComplex([dy, input], 'avgPool3DGrad');
          var convInfo = tfjsCore.backend_util.computePool3DInfo(
            input.shape,
            filterSize,
            strides,
            1 /* dilations */,
            pad,
            dimRoundingMode,
          );
          var strideDepth = convInfo.strideDepth;
          var strideHeight = convInfo.strideHeight;
          var strideWidth = convInfo.strideWidth;
          var filterDepth = convInfo.filterDepth;
          var filterHeight = convInfo.filterHeight;
          var filterWidth = convInfo.filterWidth;
          var dilationDepth = convInfo.dilationDepth;
          var dilationHeight = convInfo.dilationHeight;
          var dilationWidth = convInfo.dilationWidth;
          var effectiveFilterDepth = convInfo.effectiveFilterDepth;
          var effectiveFilterHeight = convInfo.effectiveFilterHeight;
          var effectiveFilterWidth = convInfo.effectiveFilterWidth;
          var padFront = effectiveFilterDepth - 1 - convInfo.padInfo.front;
          var padLeft = effectiveFilterWidth - 1 - convInfo.padInfo.left;
          var padTop = effectiveFilterHeight - 1 - convInfo.padInfo.top;
          var dx = tfjsCore.buffer(input.shape, 'float32');
          var avgMultiplier = 1 / (filterDepth * filterHeight * filterWidth);
          var dyBuf = backend.bufferSync(dy);
          for (var batch = 0; batch < convInfo.batchSize; ++batch) {
            for (var channel = 0; channel < convInfo.inChannels; ++channel) {
              for (var dxDepth = 0; dxDepth < convInfo.inDepth; ++dxDepth) {
                for (var dxRow = 0; dxRow < convInfo.inHeight; ++dxRow) {
                  for (var dxCol = 0; dxCol < convInfo.inWidth; ++dxCol) {
                    // Shader code begins.
                    var dyDepthCorner = dxDepth - padFront;
                    var dyRowCorner = dxRow - padTop;
                    var dyColCorner = dxCol - padLeft;
                    var dotProd = 0;
                    for (var wDepth = 0; wDepth < effectiveFilterDepth; wDepth += dilationDepth) {
                      var dyDepth = (dyDepthCorner + wDepth) / strideDepth;
                      if (
                        dyDepth < 0 ||
                        dyDepth >= convInfo.outDepth ||
                        Math.floor(dyDepth) !== dyDepth
                      ) {
                        continue;
                      }
                      for (var wRow = 0; wRow < effectiveFilterHeight; wRow += dilationHeight) {
                        var dyRow = (dyRowCorner + wRow) / strideHeight;
                        if (
                          dyRow < 0 ||
                          dyRow >= convInfo.outHeight ||
                          Math.floor(dyRow) !== dyRow
                        ) {
                          continue;
                        }
                        for (var wCol = 0; wCol < effectiveFilterWidth; wCol += dilationWidth) {
                          var dyCol = (dyColCorner + wCol) / strideWidth;
                          if (
                            dyCol < 0 ||
                            dyCol >= convInfo.outWidth ||
                            Math.floor(dyCol) !== dyCol
                          ) {
                            continue;
                          }
                          var pixel = dyBuf.get(batch, dyDepth, dyRow, dyCol, channel);
                          dotProd += pixel;
                        }
                      }
                    }
                    dx.set(dotProd * avgMultiplier, batch, dxDepth, dxRow, dxCol, channel);
                  }
                }
              }
            }
          }
          return backend.makeTensorInfo(dx.shape, dx.dtype, dx.values);
        }
        var avgPool3DGradConfig = {
          kernelName: tfjsCore.AvgPool3DGrad,
          backendName: 'cpu',
          kernelFunc: avgPool3DGrad,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function avgPoolGrad(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var dy = inputs.dy,
            input = inputs.input;
          var x = input;
          assertNotComplex([dy, input], 'avgPoolGrad');
          var filterSize = attrs.filterSize,
            strides = attrs.strides,
            pad = attrs.pad;
          var convInfo = tfjsCore.backend_util.computePool2DInfo(
            x.shape,
            filterSize,
            strides,
            1 /* dilations */,
            pad,
          );
          var strideHeight = convInfo.strideHeight;
          var strideWidth = convInfo.strideWidth;
          var filterHeight = convInfo.filterHeight;
          var filterWidth = convInfo.filterWidth;
          var dilationHeight = convInfo.dilationHeight;
          var dilationWidth = convInfo.dilationWidth;
          var effectiveFilterHeight = convInfo.effectiveFilterHeight;
          var effectiveFilterWidth = convInfo.effectiveFilterWidth;
          var padLeft = effectiveFilterWidth - 1 - convInfo.padInfo.left;
          var padTop = effectiveFilterHeight - 1 - convInfo.padInfo.top;
          var dx = tfjsCore.buffer(x.shape, 'float32');
          var avgMultiplier = 1 / (filterHeight * filterWidth);
          var dyData = backend.data.get(dy.dataId).values;
          var dyBuf = tfjsCore.buffer(dy.shape, 'float32', dyData);
          for (var b = 0; b < convInfo.batchSize; ++b) {
            for (var d = 0; d < convInfo.inChannels; ++d) {
              for (var dxR = 0; dxR < convInfo.inHeight; ++dxR) {
                for (var dxC = 0; dxC < convInfo.inWidth; ++dxC) {
                  // Shader code begins.
                  var dyRCorner = dxR - padTop;
                  var dyCCorner = dxC - padLeft;
                  var dotProd = 0;
                  for (var wR = 0; wR < effectiveFilterHeight; wR += dilationHeight) {
                    var dyR = (dyRCorner + wR) / strideHeight;
                    if (dyR < 0 || dyR >= convInfo.outHeight || Math.floor(dyR) !== dyR) {
                      continue;
                    }
                    for (var wC = 0; wC < effectiveFilterWidth; wC += dilationWidth) {
                      var dyC = (dyCCorner + wC) / strideWidth;
                      if (dyC < 0 || dyC >= convInfo.outWidth || Math.floor(dyC) !== dyC) {
                        continue;
                      }
                      var pixel = dyBuf.get(b, dyR, dyC, d);
                      dotProd += pixel;
                    }
                  }
                  dx.set(dotProd * avgMultiplier, b, dxR, dxC, d);
                }
              }
            }
          }
          return backend.makeTensorInfo(dx.shape, dx.dtype, dx.values);
        }
        var avgPoolGradConfig = {
          kernelName: tfjsCore.AvgPoolGrad,
          backendName: 'cpu',
          kernelFunc: avgPoolGrad,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function batchNorm(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            scale = inputs.scale,
            offset = inputs.offset,
            mean = inputs.mean,
            variance = inputs.variance;
          tfjsCore.util.assert(mean.shape.length === variance.shape.length, function () {
            return (
              'Batch normalization gradient requires mean and variance to have ' + 'equal ranks.'
            );
          });
          tfjsCore.util.assert(
            offset == null || mean.shape.length === offset.shape.length,
            function () {
              return (
                'Batch normalization gradient requires mean and offset to have ' + 'equal ranks.'
              );
            },
          );
          tfjsCore.util.assert(
            scale == null || mean.shape.length === scale.shape.length,
            function () {
              return (
                'Batch normalization gradient requires mean and scale to have ' + 'equal ranks.'
              );
            },
          );
          assertNotComplex([x, mean, variance, scale, offset], 'batchNorm');
          var varianceEpsilon = attrs.varianceEpsilon;
          if (varianceEpsilon == null) {
            varianceEpsilon = 0.001;
          }
          var xVals = backend.data.get(x.dataId).values;
          var mVals = backend.data.get(mean.dataId).values;
          var varVals = backend.data.get(variance.dataId).values;
          var sVals = scale ? backend.data.get(scale.dataId).values : new Float32Array([1]);
          var offVals = offset ? backend.data.get(offset.dataId).values : new Float32Array([0]);
          var outVals = new Float32Array(xVals.length);
          var offValsLength = offVals.length;
          var sValsLength = sVals.length;
          var varValsLength = varVals.length;
          var mValsLength = mVals.length;
          var offi = 0;
          var mi = 0;
          var si = 0;
          var vi = 0;
          for (var i = 0; i < xVals.length; ++i) {
            outVals[i] =
              offVals[offi++] +
              ((xVals[i] - mVals[mi++]) * sVals[si++]) / Math.sqrt(varVals[vi++] + varianceEpsilon);
            if (offi >= offValsLength) {
              offi = 0;
            }
            if (mi >= mValsLength) {
              mi = 0;
            }
            if (si >= sValsLength) {
              si = 0;
            }
            if (vi >= varValsLength) {
              vi = 0;
            }
          }
          return backend.makeTensorInfo(x.shape, x.dtype, outVals);
        }
        var batchNormConfig = {
          kernelName: tfjsCore.FusedBatchNorm,
          backendName: 'cpu',
          kernelFunc: batchNorm,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function batchToSpaceND(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var blockShape = attrs.blockShape,
            crops = attrs.crops;
          assertNotComplex([x], 'batchToSpaceND');
          var prod = blockShape.reduce(function (a, b) {
            return a * b;
          });
          var reshaped = tfjsCore.backend_util.getReshaped(x.shape, blockShape, prod);
          var permuted = tfjsCore.backend_util.getPermuted(reshaped.length, blockShape.length);
          var reshapedPermuted = tfjsCore.backend_util.getReshapedPermuted(
            x.shape,
            blockShape,
            prod,
          );
          var sliceBeginCoords = tfjsCore.backend_util.getSliceBeginCoords(
            crops,
            blockShape.length,
          );
          var sliceSize = tfjsCore.backend_util.getSliceSize(
            reshapedPermuted,
            crops,
            blockShape.length,
          );
          var xReshaped = reshape({
            inputs: { x: x },
            backend: backend,
            attrs: { shape: reshaped },
          });
          var xTransposed = transpose({
            inputs: { x: xReshaped },
            backend: backend,
            attrs: { perm: permuted },
          });
          var xTransposedReshaped = reshape({
            inputs: { x: xTransposed },
            backend: backend,
            attrs: { shape: reshapedPermuted },
          });
          var result = slice({
            inputs: { x: xTransposedReshaped },
            backend: backend,
            attrs: { begin: sliceBeginCoords, size: sliceSize },
          });
          backend.disposeIntermediateTensorInfo(xReshaped);
          backend.disposeIntermediateTensorInfo(xTransposed);
          backend.disposeIntermediateTensorInfo(xTransposedReshaped);
          return result;
        }
        var batchToSpaceNDConfig = {
          kernelName: tfjsCore.BatchToSpaceND,
          backendName: 'cpu',
          kernelFunc: batchToSpaceND,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function bincount(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            weights = inputs.weights;
          var size = attrs.size;
          var xVals = backend.data.get(x.dataId).values;
          var weightsVals = backend.data.get(weights.dataId).values;
          var outVals = bincountImpl(xVals, weightsVals, weights.dtype, weights.shape, size);
          return backend.makeTensorInfo([size], weights.dtype, outVals);
        }
        var bincountConfig = {
          kernelName: tfjsCore.Bincount,
          backendName: 'cpu',
          kernelFunc: bincount,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var clip = unaryKernelFunc(tfjsCore.ClipByValue, function (xi, attrs) {
          var clipAttrs = attrs;
          if (xi > clipAttrs.clipValueMax) {
            return clipAttrs.clipValueMax;
          }
          return xi < clipAttrs.clipValueMin ? clipAttrs.clipValueMin : xi;
        });
        var clipConfig = {
          kernelName: tfjsCore.ClipByValue,
          backendName: 'cpu',
          kernelFunc: clip,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var complexAbs = function (args) {
          var x = args.inputs.x;
          var cpuBackend = args.backend;
          var resultValues = new Float32Array(tfjsCore.util.sizeFromShape(x.shape));
          var complexVals = cpuBackend.data.get(x.dataId);
          var real = complexVals.complexTensorInfos.real;
          var imag = complexVals.complexTensorInfos.imag;
          var realVals = cpuBackend.data.get(real.dataId).values;
          var imagVals = cpuBackend.data.get(imag.dataId).values;
          for (var i = 0; i < realVals.length; i++) {
            var real_1 = realVals[i];
            var imag_1 = imagVals[i];
            resultValues[i] = Math.hypot(real_1, imag_1);
          }
          return cpuBackend.makeOutput(resultValues, x.shape, 'float32');
        };
        var complexAbsConfig = {
          kernelName: tfjsCore.ComplexAbs,
          backendName: 'cpu',
          kernelFunc: complexAbs,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function imag(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var input = inputs.input;
          var imag = backend.data.get(input.dataId).complexTensorInfos.imag;
          var imagVal = backend.data.get(imag.dataId).values;
          // When complex tensor is disposed, its underlying parts will be disposed too.
          // Make new tensor out of the imag value of the complex. This makes sure the
          // value is still accessible even if complex tensor is disposed.
          return backend.makeTensorInfo(imag.shape, imag.dtype, imagVal);
        }
        var imagConfig = {
          kernelName: tfjsCore.Imag,
          backendName: 'cpu',
          kernelFunc: imag,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function concat(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var axis = attrs.axis;
          var $axis = tfjsCore.util.parseAxisParam(axis, inputs[0].shape)[0];
          var outShape = tfjsCore.backend_util.computeOutShape(
            inputs.map(function (t) {
              return t.shape;
            }),
            $axis,
          );
          if (tfjsCore.util.sizeFromShape(outShape) === 0) {
            return backend.makeTensorInfo(outShape, inputs[0].dtype, []);
          }
          // Keep only non-empty tensors (ignore tensors with 0 in their shape).
          var $inputs = inputs.filter(function (t) {
            return tfjsCore.util.sizeFromShape(t.shape) > 0;
          });
          if ($inputs.length === 1) {
            return identity({ inputs: { x: $inputs[0] }, backend: backend });
          }
          var shapes = $inputs.map(function (t) {
            return t.shape;
          });
          tfjsCore.backend_util.assertParamsConsistent(shapes, $axis);
          if ($inputs[0].dtype === 'complex64') {
            var reals = $inputs.map(function (t) {
              return real({ inputs: { input: t }, backend: backend });
            });
            var imags = $inputs.map(function (t) {
              return imag({ inputs: { input: t }, backend: backend });
            });
            var realConcated = concat({ inputs: reals, backend: backend, attrs: { axis: $axis } });
            var imagConcated = concat({ inputs: imags, backend: backend, attrs: { axis: $axis } });
            var result = complex({
              inputs: { real: realConcated, imag: imagConcated },
              backend: backend,
            });
            reals.forEach(function (r) {
              return backend.disposeIntermediateTensorInfo(r);
            });
            imags.forEach(function (i) {
              return backend.disposeIntermediateTensorInfo(i);
            });
            backend.disposeIntermediateTensorInfo(realConcated);
            backend.disposeIntermediateTensorInfo(imagConcated);
            return result;
          }
          // Any concat of n-dimensional tensors across any axis can be reduced to
          // a concatenation of two-dimensional tensors across the axis 1 by first
          // partitioning the axes of the original tensors into those less than the
          // axis to be concatenated and the rest. Then reshape the tensors
          // into a two-dimensional tensor by collapsing these two sets of axes and
          // concatenate the resulting matrices across the axis 1, finally reshaping
          // the result to have the proper shape.
          var inputs2D = $inputs.map(function (t) {
            var innerSize = tfjsCore.util.sizeFromShape(t.shape.slice($axis));
            var shape = [-1, innerSize];
            return reshape({ inputs: { x: t }, backend: backend, attrs: { shape: shape } });
          });
          var inputsValShapes = inputs2D.map(function (t) {
            return { vals: backend.data.get(t.dataId).values, shape: t.shape };
          });
          // Concats 2d tensors along axis=1.
          outShape = tfjsCore.backend_util.computeOutShape(
            inputs2D.map(function (t) {
              return t.shape;
            }),
            1 /* axis */,
          );
          var simplyConcat = inputs2D[0].shape[0] === 1;
          var outVals = concatImpl(inputsValShapes, outShape, inputs[0].dtype, simplyConcat);
          var finalOutShape = tfjsCore.backend_util.computeOutShape(
            $inputs.map(function (t) {
              return t.shape;
            }),
            $axis,
          );
          var outInfo = backend.makeTensorInfo(finalOutShape, inputs[0].dtype, outVals);
          inputs2D.forEach(function (t) {
            return backend.disposeIntermediateTensorInfo(t);
          });
          return outInfo;
        }
        var concatConfig = {
          kernelName: tfjsCore.Concat,
          backendName: 'cpu',
          kernelFunc: concat,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function conv2D(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            filter = inputs.filter;
          var strides = attrs.strides,
            pad = attrs.pad,
            dataFormat = attrs.dataFormat,
            dilations = attrs.dilations,
            dimRoundingMode = attrs.dimRoundingMode;
          assertNotComplex([x, filter], 'conv2d');
          var $dataFormat = tfjsCore.backend_util.convertConv2DDataFormat(dataFormat);
          var convInfo = tfjsCore.backend_util.computeConv2DInfo(
            x.shape,
            filter.shape,
            strides,
            dilations,
            pad,
            dimRoundingMode,
            false /* depthwise */,
            $dataFormat,
          );
          var filterHeight = convInfo.filterHeight;
          var filterWidth = convInfo.filterWidth;
          var dilationHeight = convInfo.dilationHeight;
          var dilationWidth = convInfo.dilationWidth;
          var padLeft = convInfo.padInfo.left;
          var padTop = convInfo.padInfo.top;
          var isChannelsLast = convInfo.dataFormat === 'channelsLast';
          var y = new tfjsCore.TensorBuffer(convInfo.outShape, x.dtype);
          var xStrides = tfjsCore.util.computeStrides(x.shape);
          var filterStrides = tfjsCore.util.computeStrides(filter.shape);
          var xBatchStride = xStrides[0];
          var xRowStride = isChannelsLast ? xStrides[1] : xStrides[2];
          var xColStride = isChannelsLast ? xStrides[2] : 1;
          var xChannelStride = isChannelsLast ? 1 : xStrides[1];
          var yBatchStride = y.strides[0];
          var yRowStride = isChannelsLast ? y.strides[1] : y.strides[2];
          var yColStride = isChannelsLast ? y.strides[2] : 1;
          var yChannelStride = isChannelsLast ? 1 : y.strides[1];
          var xVals = backend.data.get(x.dataId).values;
          var wVals = backend.data.get(filter.dataId).values;
          var yVals = y.values;
          for (var b = 0; b < convInfo.batchSize; ++b) {
            var xOffset1 = b * xBatchStride;
            var yOffset1 = b * yBatchStride;
            for (var yR = 0; yR < convInfo.outHeight; ++yR) {
              var yOffset2 = yOffset1 + yR * yRowStride;
              var xRCorner = yR * convInfo.strideHeight - padTop;
              for (var wR = 0; wR < filterHeight; ++wR) {
                var xR = xRCorner + wR * dilationHeight;
                if (xR < 0 || xR >= convInfo.inHeight) {
                  continue;
                }
                var wOffset1 = wR * filterStrides[0];
                var xOffset2 = xOffset1 + xR * xRowStride;
                for (var yC = 0; yC < convInfo.outWidth; ++yC) {
                  var yOffset3 = yOffset2 + yC * yColStride;
                  var xCCorner = yC * convInfo.strideWidth - padLeft;
                  for (var wC = 0; wC < filterWidth; ++wC) {
                    var xC = xCCorner + wC * dilationWidth;
                    if (xC < 0 || xC >= convInfo.inWidth) {
                      continue;
                    }
                    var wOffset2 = wOffset1 + wC * filterStrides[1];
                    var xOffset3 = xOffset2 + xC * xColStride;
                    var wOffset3 = wOffset2;
                    for (var d1 = 0; d1 < convInfo.inChannels; ++d1) {
                      var xVal = xVals[xOffset3 + d1 * xChannelStride];
                      for (var d2 = 0; d2 < convInfo.outChannels; ++d2) {
                        yVals[yOffset3 + d2 * yChannelStride] += xVal * wVals[wOffset3 + d2];
                      }
                      wOffset3 += convInfo.outChannels;
                    }
                  }
                }
              }
            }
          }
          return backend.makeTensorInfo(y.shape, y.dtype, yVals);
        }
        var conv2DConfig = {
          kernelName: tfjsCore.Conv2D,
          backendName: 'cpu',
          kernelFunc: conv2D,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function conv2DBackpropFilter(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            dy = inputs.dy;
          var strides = attrs.strides,
            pad = attrs.pad,
            dataFormat = attrs.dataFormat,
            dimRoundingMode = attrs.dimRoundingMode,
            filterShape = attrs.filterShape;
          assertNotComplex([x, dy], 'conv2dBackpropFilter');
          var $dataFormat = tfjsCore.backend_util.convertConv2DDataFormat(dataFormat);
          var convInfo = tfjsCore.backend_util.computeConv2DInfo(
            x.shape,
            filterShape,
            strides,
            1 /* dilations */,
            pad,
            dimRoundingMode,
            false /* depthwise */,
            $dataFormat,
          );
          var strideHeight = convInfo.strideHeight,
            strideWidth = convInfo.strideWidth,
            filterHeight = convInfo.filterHeight,
            filterWidth = convInfo.filterWidth;
          var isChannelsLast = convInfo.dataFormat === 'channelsLast';
          var dW = new tfjsCore.TensorBuffer(convInfo.filterShape, 'float32');
          var leftPad = convInfo.padInfo.left;
          var topPad = convInfo.padInfo.top;
          var xVals = backend.data.get(x.dataId).values;
          var dyVals = backend.data.get(dy.dataId).values;
          var xBuf = new tfjsCore.TensorBuffer(x.shape, x.dtype, xVals);
          var dyBuf = new tfjsCore.TensorBuffer(dy.shape, dy.dtype, dyVals);
          for (var wR = 0; wR < filterHeight; ++wR) {
            var yRMin = Math.max(0, Math.ceil((topPad - wR) / strideHeight));
            var yRMax = Math.min(
              convInfo.outHeight,
              (convInfo.inHeight + topPad - wR) / strideHeight,
            );
            for (var wC = 0; wC < filterWidth; ++wC) {
              var yCMin = Math.max(0, Math.ceil((leftPad - wC) / strideWidth));
              var yCMax = Math.min(
                convInfo.outWidth,
                (convInfo.inWidth + leftPad - wC) / strideWidth,
              );
              for (var d1 = 0; d1 < convInfo.inChannels; ++d1) {
                for (var d2 = 0; d2 < convInfo.outChannels; ++d2) {
                  var dotProd = 0;
                  for (var b = 0; b < convInfo.batchSize; ++b) {
                    for (var yR = yRMin; yR < yRMax; ++yR) {
                      var xR = wR + yR * strideHeight - topPad;
                      for (var yC = yCMin; yC < yCMax; ++yC) {
                        var xC = wC + yC * strideWidth - leftPad;
                        if (isChannelsLast) {
                          dotProd += xBuf.get(b, xR, xC, d1) * dyBuf.get(b, yR, yC, d2);
                        } else {
                          dotProd += xBuf.get(b, d1, xR, xC) * dyBuf.get(b, d2, yR, yC);
                        }
                      }
                    }
                  }
                  dW.set(dotProd, wR, wC, d1, d2);
                }
              }
            }
          }
          return backend.makeTensorInfo(dW.shape, dW.dtype, dW.values);
        }
        var conv2DBackpropFilterConfig = {
          kernelName: tfjsCore.Conv2DBackpropFilter,
          backendName: 'cpu',
          kernelFunc: conv2DBackpropFilter,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function conv2DBackpropInput(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var dy = inputs.dy,
            filter = inputs.filter;
          var inputShape = attrs.inputShape,
            strides = attrs.strides,
            pad = attrs.pad,
            dataFormat = attrs.dataFormat,
            dimRoundingMode = attrs.dimRoundingMode;
          assertNotComplex([dy, filter], 'conv2dBackpropInput');
          var filterStrides = tfjsCore.util.computeStrides(filter.shape);
          var dyStrides = tfjsCore.util.computeStrides(dy.shape);
          var $dataFormat = tfjsCore.backend_util.convertConv2DDataFormat(dataFormat);
          var convInfo = tfjsCore.backend_util.computeConv2DInfo(
            inputShape,
            filter.shape,
            strides,
            1 /* dilations */,
            pad,
            dimRoundingMode,
            false,
            $dataFormat,
          );
          var dx = new tfjsCore.TensorBuffer(convInfo.inShape, 'float32');
          var dxValues = dx.values;
          var dyValues = backend.data.get(dy.dataId).values;
          var fltValues = backend.data.get(filter.dataId).values;
          var fltS0 = filterStrides[0],
            fltS1 = filterStrides[1],
            fltS2 = filterStrides[2];
          var batchSize = convInfo.batchSize,
            filterHeight = convInfo.filterHeight,
            filterWidth = convInfo.filterWidth,
            inChannels = convInfo.inChannels,
            inHeight = convInfo.inHeight,
            inWidth = convInfo.inWidth,
            outChannels = convInfo.outChannels,
            outHeight = convInfo.outHeight,
            outWidth = convInfo.outWidth,
            strideHeight = convInfo.strideHeight,
            strideWidth = convInfo.strideWidth;
          $dataFormat = convInfo.dataFormat;
          var topPad = filterHeight - 1 - convInfo.padInfo.top;
          var leftPad = filterWidth - 1 - convInfo.padInfo.left;
          var isChannelsLast = $dataFormat === 'channelsLast';
          var xBatchStride = dx.strides[0];
          var xRowStride = isChannelsLast ? dx.strides[1] : dx.strides[2];
          var xColStride = isChannelsLast ? dx.strides[2] : 1;
          var xChannelStride = isChannelsLast ? 1 : dx.strides[1];
          var yBatchStride = dyStrides[0];
          var yRowStride = isChannelsLast ? dyStrides[1] : dyStrides[2];
          var yColStride = isChannelsLast ? dyStrides[2] : 1;
          var yChannelStride = isChannelsLast ? 1 : dyStrides[1];
          for (var b = 0; b < batchSize; ++b) {
            for (var d1 = 0; d1 < inChannels; ++d1) {
              for (var xR = 0; xR < inHeight; ++xR) {
                var xRCorner = xR - topPad;
                var xRMin = Math.max(0, Math.ceil(xRCorner / strideHeight));
                var yRMax = Math.min(outHeight, (filterHeight + xRCorner) / strideHeight);
                for (var xC = 0; xC < inWidth; ++xC) {
                  var xCCorner = xC - leftPad;
                  var xCMin = Math.max(0, Math.ceil(xCCorner / strideWidth));
                  var yCMax = Math.min(outWidth, (filterWidth + xCCorner) / strideWidth);
                  var dotProd = 0;
                  for (var yR = xRMin; yR < yRMax; ++yR) {
                    var wR = yR * strideHeight - xRCorner;
                    for (var yC = xCMin; yC < yCMax; ++yC) {
                      var wC = yC * strideWidth - xCCorner;
                      var dyOffset = yBatchStride * b + yRowStride * yR + yColStride * yC;
                      var fltOffset =
                        fltS0 * (filterHeight - 1 - wR) +
                        fltS1 * (filterWidth - 1 - wC) +
                        fltS2 * d1;
                      for (var d2 = 0; d2 < outChannels; ++d2) {
                        var pixel = dyValues[dyOffset + yChannelStride * d2];
                        var weight = fltValues[fltOffset + d2];
                        dotProd += pixel * weight;
                      }
                    }
                  }
                  var dxOffset =
                    xBatchStride * b + xRowStride * xR + xColStride * xC + xChannelStride * d1;
                  dxValues[dxOffset] = dotProd;
                }
              }
            }
          }
          return backend.makeTensorInfo(dx.shape, dx.dtype, dx.values);
        }
        var conv2DBackpropInputConfig = {
          kernelName: tfjsCore.Conv2DBackpropInput,
          backendName: 'cpu',
          kernelFunc: conv2DBackpropInput,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function conv3D(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            filter = inputs.filter;
          var strides = attrs.strides,
            pad = attrs.pad,
            dilations = attrs.dilations;
          assertNotComplex([x, filter], 'conv3d');
          var convInfo = tfjsCore.backend_util.computeConv3DInfo(
            x.shape,
            filter.shape,
            strides,
            dilations,
            pad,
          );
          var filterDepth = convInfo.filterDepth,
            filterHeight = convInfo.filterHeight,
            filterWidth = convInfo.filterWidth,
            dilationDepth = convInfo.dilationDepth,
            dilationHeight = convInfo.dilationHeight,
            dilationWidth = convInfo.dilationWidth,
            padInfo = convInfo.padInfo;
          var padFront = padInfo.front;
          var padLeft = padInfo.left;
          var padTop = padInfo.top;
          var y = new tfjsCore.TensorBuffer(convInfo.outShape, x.dtype);
          var xVals = backend.data.get(x.dataId).values;
          var wVals = backend.data.get(filter.dataId).values;
          var yVals = y.values;
          var xStrides = tfjsCore.util.computeStrides(x.shape);
          var filterStrides = tfjsCore.util.computeStrides(filter.shape);
          for (var b = 0; b < convInfo.batchSize; ++b) {
            var xOffset1 = b * xStrides[0];
            var yOffset1 = b * y.strides[0];
            for (var yF = 0; yF < convInfo.outDepth; ++yF) {
              var yOffset2 = yOffset1 + yF * y.strides[1];
              var xFCorner = yF * convInfo.strideDepth - padFront;
              for (var wF = 0; wF < filterDepth; ++wF) {
                var xF = xFCorner + wF * dilationDepth;
                if (xF < 0 || xF >= convInfo.inDepth) {
                  continue;
                }
                var wOffset1 = wF * filterStrides[0];
                var xOffset2 = xOffset1 + xF * xStrides[1];
                for (var yR = 0; yR < convInfo.outHeight; ++yR) {
                  var yOffset3 = yOffset2 + yR * y.strides[2];
                  var xRCorner = yR * convInfo.strideHeight - padTop;
                  for (var wR = 0; wR < filterHeight; ++wR) {
                    var xR = xRCorner + wR * dilationHeight;
                    if (xR < 0 || xR >= convInfo.inHeight) {
                      continue;
                    }
                    var wOffset2 = wOffset1 + wR * filterStrides[1];
                    var xOffset3 = xOffset2 + xR * xStrides[2];
                    for (var yC = 0; yC < convInfo.outWidth; ++yC) {
                      var yOffset4 = yOffset3 + yC * convInfo.outChannels;
                      var xCCorner = yC * convInfo.strideWidth - padLeft;
                      for (var wC = 0; wC < filterWidth; ++wC) {
                        var xC = xCCorner + wC * dilationWidth;
                        if (xC < 0 || xC >= convInfo.inWidth) {
                          continue;
                        }
                        var wOffset3 = wOffset2 + wC * filterStrides[2];
                        var xOffset4 = xOffset3 + xC * convInfo.inChannels;
                        var wOffset4 = wOffset3;
                        for (var d1 = 0; d1 < convInfo.inChannels; ++d1) {
                          var xVal = xVals[xOffset4 + d1];
                          for (var d2 = 0; d2 < convInfo.outChannels; ++d2) {
                            yVals[yOffset4 + d2] += xVal * wVals[wOffset4 + d2];
                          }
                          wOffset4 += convInfo.outChannels;
                        }
                      }
                    }
                  }
                }
              }
            }
          }
          return backend.makeTensorInfo(y.shape, y.dtype, y.values);
        }
        var conv3DConfig = {
          kernelName: tfjsCore.Conv3D,
          backendName: 'cpu',
          kernelFunc: conv3D,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function conv3DBackpropFilterV2(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            dy = inputs.dy;
          var strides = attrs.strides,
            pad = attrs.pad,
            filterShape = attrs.filterShape;
          assertNotComplex([x, dy], 'conv3dBackpropFilterV2');
          var xStrides = tfjsCore.util.computeStrides(x.shape);
          var dyStrides = tfjsCore.util.computeStrides(dy.shape);
          var convInfo = tfjsCore.backend_util.computeConv3DInfo(
            x.shape,
            filterShape,
            strides,
            1 /* dilations */,
            pad,
          );
          var strideDepth = convInfo.strideDepth;
          var strideHeight = convInfo.strideHeight;
          var strideWidth = convInfo.strideWidth;
          var filterDepth = convInfo.filterDepth;
          var filterHeight = convInfo.filterHeight;
          var filterWidth = convInfo.filterWidth;
          var dw = new tfjsCore.TensorBuffer(convInfo.filterShape, 'float32');
          var dwValues = dw.values;
          var _a = dw.strides,
            dwS0 = _a[0],
            dwS1 = _a[1],
            dwS2 = _a[2],
            dwS3 = _a[3];
          var dyValues = backend.data.get(dy.dataId).values;
          var dyS0 = dyStrides[0],
            dyS1 = dyStrides[1],
            dyS2 = dyStrides[2],
            dyS3 = dyStrides[3];
          var xValues = backend.data.get(x.dataId).values;
          var xS0 = xStrides[0],
            xS1 = xStrides[1],
            xS2 = xStrides[2],
            xS3 = xStrides[3];
          var frontPad = convInfo.padInfo.front;
          var leftPad = convInfo.padInfo.left;
          var topPad = convInfo.padInfo.top;
          for (var wF = 0; wF < filterDepth; ++wF) {
            var yFMin = Math.max(0, Math.ceil((frontPad - wF) / strideDepth));
            var yFMax = Math.min(
              convInfo.outDepth,
              (convInfo.inDepth + frontPad - wF) / strideDepth,
            );
            var wOffset1 = wF * dwS0;
            for (var wR = 0; wR < filterHeight; ++wR) {
              var yRMin = Math.max(0, Math.ceil((topPad - wR) / strideHeight));
              var yRMax = Math.min(
                convInfo.outHeight,
                (convInfo.inHeight + topPad - wR) / strideHeight,
              );
              var wOffset2 = wR * dwS1 + wOffset1;
              for (var wC = 0; wC < filterWidth; ++wC) {
                var yCMin = Math.max(0, Math.ceil((leftPad - wC) / strideWidth));
                var yCMax = Math.min(
                  convInfo.outWidth,
                  (convInfo.inWidth + leftPad - wC) / strideWidth,
                );
                var wOffset3 = wC * dwS2 + wOffset2;
                for (var d1 = 0; d1 < convInfo.inChannels; ++d1) {
                  var wOffset4 = d1 * dwS3 + wOffset3;
                  for (var d2 = 0; d2 < convInfo.outChannels; ++d2) {
                    var dotProd = 0;
                    for (var b = 0; b < convInfo.batchSize; ++b) {
                      var xOffset1 = b * xS0;
                      var yOffset1 = b * dyS0;
                      for (var yF = yFMin; yF < yFMax; ++yF) {
                        var xF = wF + yF * strideDepth - frontPad;
                        var xOffset2 = xF * xS1 + xOffset1;
                        var yOffset2 = yF * dyS1 + yOffset1;
                        for (var yR = yRMin; yR < yRMax; ++yR) {
                          var xR = wR + yR * strideHeight - topPad;
                          var xOffset3 = xR * xS2 + xOffset2;
                          var yOffset3 = yR * dyS2 + yOffset2;
                          for (var yC = yCMin; yC < yCMax; ++yC) {
                            var xC = wC + yC * strideWidth - leftPad;
                            var xOffset4 = xC * xS3 + xOffset3;
                            var yOffset4 = yC * dyS3 + yOffset3;
                            dotProd += xValues[xOffset4 + d1] * dyValues[yOffset4 + d2];
                          }
                        }
                      }
                    }
                    dwValues[wOffset4 + d2] = dotProd;
                  }
                }
              }
            }
          }
          return backend.makeTensorInfo(dw.shape, dw.dtype, dw.values);
        }
        var conv3DBackpropFilterV2Config = {
          kernelName: tfjsCore.Conv3DBackpropFilterV2,
          backendName: 'cpu',
          kernelFunc: conv3DBackpropFilterV2,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function conv3DBackpropInputV2(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var dy = inputs.dy,
            filter = inputs.filter;
          var pad = attrs.pad,
            strides = attrs.strides,
            inputShape = attrs.inputShape;
          assertNotComplex([dy], 'conv3dBackpropInputV2');
          var dyStrides = tfjsCore.util.computeStrides(dy.shape);
          var filterStrides = tfjsCore.util.computeStrides(filter.shape);
          var convInfo = tfjsCore.backend_util.computeConv3DInfo(
            inputShape,
            filter.shape,
            strides,
            1 /* dilations */,
            pad,
          );
          var dx = new tfjsCore.TensorBuffer(convInfo.inShape, 'float32');
          var dxValues = dx.values;
          var _a = dx.strides,
            dxS0 = _a[0],
            dxS1 = _a[1],
            dxS2 = _a[2],
            dxS3 = _a[3];
          var dyValues = backend.data.get(dy.dataId).values;
          var dyS0 = dyStrides[0],
            dyS1 = dyStrides[1],
            dyS2 = dyStrides[2],
            dyS3 = dyStrides[3];
          var fltValues = backend.data.get(filter.dataId).values;
          var fltS0 = filterStrides[0],
            fltS1 = filterStrides[1],
            fltS2 = filterStrides[2],
            fltS3 = filterStrides[3];
          var batchSize = convInfo.batchSize,
            filterDepth = convInfo.filterDepth,
            filterHeight = convInfo.filterHeight,
            filterWidth = convInfo.filterWidth,
            inChannels = convInfo.inChannels,
            inDepth = convInfo.inDepth,
            inHeight = convInfo.inHeight,
            inWidth = convInfo.inWidth,
            outChannels = convInfo.outChannels,
            outDepth = convInfo.outDepth,
            outHeight = convInfo.outHeight,
            outWidth = convInfo.outWidth,
            strideDepth = convInfo.strideDepth,
            strideHeight = convInfo.strideHeight,
            strideWidth = convInfo.strideWidth;
          var frontPad = filterDepth - 1 - convInfo.padInfo.front;
          var topPad = filterHeight - 1 - convInfo.padInfo.top;
          var leftPad = filterWidth - 1 - convInfo.padInfo.left;
          for (var b = 0; b < batchSize; ++b) {
            for (var d1 = 0; d1 < inChannels; ++d1) {
              // Frames of depth
              for (var xF = 0; xF < inDepth; ++xF) {
                var xFCorner = xF - frontPad;
                var xFMin = Math.max(0, Math.ceil(xFCorner / strideDepth));
                var yFMax = Math.min(outDepth, (filterDepth + xFCorner) / strideDepth);
                // Rows as per standard 2d matrix notation
                for (var xR = 0; xR < inHeight; ++xR) {
                  var xRCorner = xR - topPad;
                  var xRMin = Math.max(0, Math.ceil(xRCorner / strideHeight));
                  var yRMax = Math.min(outHeight, (filterHeight + xRCorner) / strideHeight);
                  // Columns as per standard 2d matrix notation
                  for (var xC = 0; xC < inWidth; ++xC) {
                    var xCCorner = xC - leftPad;
                    var xCMin = Math.max(0, Math.ceil(xCCorner / strideWidth));
                    var yCMax = Math.min(outWidth, (filterWidth + xCCorner) / strideWidth);
                    var dotProd = 0;
                    for (var yF = xFMin; yF < yFMax; ++yF) {
                      var wF = yF * strideDepth - xFCorner;
                      for (var yR = xRMin; yR < yRMax; ++yR) {
                        var wR = yR * strideHeight - xRCorner;
                        for (var yC = xCMin; yC < yCMax; ++yC) {
                          var wC = yC * strideWidth - xCCorner;
                          var dyOffset = dyS0 * b + dyS1 * yF + dyS2 * yR + dyS3 * yC;
                          var fltOffset =
                            fltS0 * (filterDepth - 1 - wF) +
                            fltS1 * (filterHeight - 1 - wR) +
                            fltS2 * (filterWidth - 1 - wC) +
                            fltS3 * d1;
                          for (var d2 = 0; d2 < outChannels; ++d2) {
                            var pixel = dyValues[dyOffset + d2];
                            var weight = fltValues[fltOffset + d2];
                            dotProd += pixel * weight;
                          }
                        }
                      }
                    }
                    dxValues[dxS0 * b + dxS1 * xF + dxS2 * xR + dxS3 * xC + d1] = dotProd;
                  }
                }
              }
            }
          }
          return backend.makeTensorInfo(dx.shape, dx.dtype, dx.values);
        }
        var conv3DBackpropInputV2Config = {
          kernelName: tfjsCore.Conv3DBackpropInputV2,
          backendName: 'cpu',
          kernelFunc: conv3DBackpropInputV2,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var cos = unaryKernelFunc(tfjsCore.Cos, function (xi) {
          return Math.cos(xi);
        });
        var cosConfig = {
          kernelName: tfjsCore.Cos,
          backendName: 'cpu',
          kernelFunc: cos,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var cosh = unaryKernelFunc(tfjsCore.Cosh, function (xi) {
          return Math.cosh(xi);
        });
        var coshConfig = {
          kernelName: tfjsCore.Cosh,
          backendName: 'cpu',
          kernelFunc: cosh,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function cropAndResize(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var image = inputs.image,
            boxes = inputs.boxes,
            boxInd = inputs.boxInd;
          var cropSize = attrs.cropSize,
            method = attrs.method,
            extrapolationValue = attrs.extrapolationValue;
          var _a = image.shape,
            batch = _a[0],
            imageHeight = _a[1],
            imageWidth = _a[2],
            numChannels = _a[3];
          var numBoxes = boxes.shape[0];
          var cropHeight = cropSize[0],
            cropWidth = cropSize[1];
          var output = tfjsCore.buffer([numBoxes, cropHeight, cropWidth, numChannels], 'float32');
          var boxVals = backend.data.get(boxes.dataId).values;
          var boxIndVals = backend.data.get(boxInd.dataId).values;
          var imageVals = backend.data.get(image.dataId).values;
          var inStride = tfjsCore.util.computeStrides(image.shape); // to calculate flat indexes into image
          var outStride = tfjsCore.util.computeStrides(output.shape); // to calculate flat indexes into output
          // Reference implementation
          // tslint:disable-next-line:max-line-length
          // https://github.com/tensorflow/tensorflow/blob/master/tensorflow/core/kernels/crop_and_resize_op.cc
          for (var b = 0; b < numBoxes; b++) {
            var startInd = b * 4;
            var y1 = boxVals[startInd];
            var x1 = boxVals[startInd + 1];
            var y2 = boxVals[startInd + 2];
            var x2 = boxVals[startInd + 3];
            var bInd = boxIndVals[b];
            if (bInd >= batch) {
              continue;
            }
            var heightScale =
              cropHeight > 1 ? ((y2 - y1) * (imageHeight - 1)) / (cropHeight - 1) : 0;
            var widthScale = cropWidth > 1 ? ((x2 - x1) * (imageWidth - 1)) / (cropWidth - 1) : 0;
            for (var y = 0; y < cropHeight; y++) {
              var yInd =
                cropHeight > 1
                  ? y1 * (imageHeight - 1) + y * heightScale
                  : 0.5 * (y1 + y2) * (imageHeight - 1);
              if (yInd < 0 || yInd > imageHeight - 1) {
                for (var x = 0; x < cropWidth; x++) {
                  for (var c = 0; c < numChannels; c++) {
                    var ind = c + x * outStride[2] + y * outStride[1] + b * outStride[0];
                    output.values[ind] = extrapolationValue;
                  }
                }
                continue;
              }
              if (method === 'bilinear') {
                var topInd = Math.floor(yInd);
                var bottomInd = Math.ceil(yInd);
                var yLerp = yInd - topInd;
                for (var x = 0; x < cropWidth; x++) {
                  var xInd =
                    cropWidth > 1
                      ? x1 * (imageWidth - 1) + x * widthScale
                      : 0.5 * (x1 + x2) * (imageWidth - 1);
                  if (xInd < 0 || xInd > imageWidth - 1) {
                    for (var c = 0; c < numChannels; c++) {
                      var ind = c + x * outStride[2] + y * outStride[1] + b * outStride[0];
                      output.values[ind] = extrapolationValue;
                    }
                    continue;
                  }
                  var leftInd = Math.floor(xInd);
                  var rightInd = Math.ceil(xInd);
                  var xLerp = xInd - leftInd;
                  for (var c = 0; c < numChannels; c++) {
                    var ind = c + leftInd * inStride[2] + topInd * inStride[1] + bInd * inStride[0];
                    var topLeft = imageVals[ind];
                    ind = c + rightInd * inStride[2] + topInd * inStride[1] + bInd * inStride[0];
                    var topRight = imageVals[ind];
                    ind = c + leftInd * inStride[2] + bottomInd * inStride[1] + bInd * inStride[0];
                    var bottomLeft = imageVals[ind];
                    ind = c + rightInd * inStride[2] + bottomInd * inStride[1] + bInd * inStride[0];
                    var bottomRight = imageVals[ind];
                    var top_1 = topLeft + (topRight - topLeft) * xLerp;
                    var bottom = bottomLeft + (bottomRight - bottomLeft) * xLerp;
                    ind = c + x * outStride[2] + y * outStride[1] + b * outStride[0];
                    output.values[ind] = top_1 + (bottom - top_1) * yLerp;
                  }
                }
              } else {
                // method == "nearest"
                for (var x = 0; x < cropWidth; ++x) {
                  var xInd =
                    cropWidth > 1
                      ? x1 * (imageWidth - 1) + x * widthScale
                      : 0.5 * (x1 + x2) * (imageWidth - 1);
                  if (xInd < 0 || xInd > imageWidth - 1) {
                    for (var c = 0; c < numChannels; c++) {
                      var ind = c + x * outStride[2] + y * outStride[1] + b * outStride[0];
                      output.values[ind] = extrapolationValue;
                    }
                    continue;
                  }
                  var closestX = Math.round(xInd);
                  var closestY = Math.round(yInd);
                  for (var c = 0; c < numChannels; c++) {
                    var inInd =
                      c + closestX * inStride[2] + closestY * inStride[1] + bInd * inStride[0];
                    var outInd = c + x * outStride[2] + y * outStride[1] + b * outStride[0];
                    output.values[outInd] = imageVals[inInd];
                  }
                }
              }
            }
          }
          return backend.makeTensorInfo(output.shape, output.dtype, output.values);
        }
        var cropAndResizeConfig = {
          kernelName: tfjsCore.CropAndResize,
          backendName: 'cpu',
          kernelFunc: cropAndResize,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function cumsum(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var axis = attrs.axis,
            exclusive = attrs.exclusive,
            reverse = attrs.reverse;
          assertNotComplex(x, 'cumsum');
          var permutation = tfjsCore.backend_util.getAxesPermutation([axis], x.shape.length);
          var $x = x;
          if (permutation != null) {
            $x = transpose({ inputs: { x: x }, backend: backend, attrs: { perm: permutation } });
          }
          var permutedAxis = tfjsCore.backend_util.getInnerMostAxes(1, x.shape.length)[0];
          if (permutedAxis !== $x.shape.length - 1) {
            throw new Error(
              'backend.cumsum in CPU expects an inner-most ' +
                ('axis=' + ($x.shape.length - 1) + ' but got axis=' + permutedAxis),
            );
          }
          var resultDtype = tfjsCore.upcastType($x.dtype, 'int32');
          var vals = tfjsCore.util.makeZerosTypedArray(
            tfjsCore.util.sizeFromShape($x.shape),
            resultDtype,
          );
          var aVals = backend.data.get($x.dataId).values;
          var finalDim = $x.shape[$x.shape.length - 1];
          var indexAdjuster = reverse
            ? function (i, j) {
                return i + finalDim - j - 1;
              }
            : function (i, j) {
                return i + j;
              };
          for (var i = 0; i < aVals.length; i += finalDim) {
            for (var j = 0; j < finalDim; j++) {
              var idx = indexAdjuster(i, j);
              if (j === 0) {
                vals[idx] = exclusive ? 0 : aVals[idx];
              } else {
                var prevIdx = indexAdjuster(i, j - 1);
                vals[idx] = exclusive ? aVals[prevIdx] + vals[prevIdx] : aVals[idx] + vals[prevIdx];
              }
            }
          }
          var result = backend.makeTensorInfo($x.shape, resultDtype, vals);
          if (permutation != null) {
            var reversePermutation = tfjsCore.backend_util.getUndoAxesPermutation(permutation);
            var reverseTransposedResult = transpose({
              inputs: { x: result },
              backend: backend,
              attrs: { perm: reversePermutation },
            });
            backend.disposeIntermediateTensorInfo(result);
            backend.disposeIntermediateTensorInfo($x);
            return reverseTransposedResult;
          }
          return result;
        }
        var cumsumConfig = {
          kernelName: tfjsCore.Cumsum,
          backendName: 'cpu',
          kernelFunc: cumsum,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function denseBincount(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            weights = inputs.weights;
          var size = attrs.size,
            binaryOutput = attrs.binaryOutput;
          if (x.shape.length === 1) {
            var xVals = backend.data.get(x.dataId).values;
            var weightsVals = backend.data.get(weights.dataId).values;
            var outVals = bincountImpl(xVals, weightsVals, weights.dtype, weights.shape, size);
            return backend.makeTensorInfo([size], weights.dtype, outVals);
          } else if (x.shape.length === 2) {
            var xBuf = backend.bufferSync(x);
            var weightsBuf = backend.bufferSync(weights);
            var outBuf = bincountReduceImpl(xBuf, weightsBuf, size, binaryOutput);
            return backend.makeTensorInfo(outBuf.shape, weights.dtype, outBuf.values);
          }
          throw new Error(
            'Error in denseBincount: input must be at most rank 2, but got rank' +
              (x.shape.length + '.'),
          );
        }
        var denseBincountConfig = {
          kernelName: tfjsCore.DenseBincount,
          backendName: 'cpu',
          kernelFunc: denseBincount,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function depthToSpace(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var blockSize = attrs.blockSize,
            dataFormat = attrs.dataFormat;
          tfjsCore.util.assert(dataFormat === 'NHWC', function () {
            return 'Only NHWC dataFormat supported on CPU for depthToSpace. Got ' + dataFormat;
          });
          tfjsCore.util.assert(blockSize > 1, function () {
            return 'blockSize should be > 1 for depthToSpace, but was: ' + blockSize;
          });
          var batchSize = x.shape[0];
          var inputHeight = x.shape[1];
          var inputWidth = x.shape[2];
          var inputDepth = x.shape[3];
          var outputHeight = inputHeight * blockSize;
          var outputWidth = inputWidth * blockSize;
          var outputDepth = inputDepth / (blockSize * blockSize);
          var xValues = backend.data.get(x.dataId).values;
          var result = new Float32Array(batchSize * outputHeight * outputWidth * outputDepth);
          var outputIdx = 0;
          for (var b = 0; b < batchSize; ++b) {
            for (var h = 0; h < outputHeight; ++h) {
              var inH = Math.floor(h / blockSize);
              var offsetH = h % blockSize;
              for (var w = 0; w < outputWidth; ++w) {
                var inW = Math.floor(w / blockSize);
                var offsetW = w % blockSize;
                var offsetD = (offsetH * blockSize + offsetW) * outputDepth;
                for (var d = 0; d < outputDepth; ++d) {
                  var inD = d + offsetD;
                  var inputIdx = inD + inputDepth * (inW + inputWidth * (inH + inputHeight * b));
                  result[outputIdx++] = xValues[inputIdx];
                }
              }
            }
          }
          return backend.makeTensorInfo(
            [batchSize, outputHeight, outputWidth, outputDepth],
            x.dtype,
            result,
          );
        }
        var depthToSpaceConfig = {
          kernelName: tfjsCore.DepthToSpace,
          backendName: 'cpu',
          kernelFunc: depthToSpace,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function depthwiseConv2dNative(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            filter = inputs.filter;
          var strides = attrs.strides,
            pad = attrs.pad,
            dilations = attrs.dilations,
            dimRoundingMode = attrs.dimRoundingMode;
          assertNotComplex([x, filter], 'depthwiseConv2DNative');
          var xStrides = tfjsCore.util.computeStrides(x.shape);
          var filterStrides = tfjsCore.util.computeStrides(filter.shape);
          var $dilations = dilations;
          if ($dilations == null) {
            $dilations = [1, 1];
          }
          tfjsCore.util.assert(
            tfjsCore.backend_util.eitherStridesOrDilationsAreOne(strides, $dilations),
            function () {
              return (
                'Error in depthwiseConv2d: Either strides or dilations must be ' +
                ('1. Got strides ' + strides + " and dilations '" + $dilations + "'")
              );
            },
          );
          var convInfo = tfjsCore.backend_util.computeConv2DInfo(
            x.shape,
            filter.shape,
            strides,
            $dilations,
            pad,
            dimRoundingMode,
            true /* depthwise */,
          );
          var filterHeight = convInfo.filterHeight,
            filterWidth = convInfo.filterWidth,
            dilationHeight = convInfo.dilationHeight,
            dilationWidth = convInfo.dilationWidth,
            padInfo = convInfo.padInfo;
          var padLeft = padInfo.left;
          var padTop = padInfo.top;
          var chMul = convInfo.outChannels / convInfo.inChannels;
          var y = new tfjsCore.TensorBuffer(convInfo.outShape, x.dtype);
          var xVals = backend.data.get(x.dataId).values;
          var wVals = backend.data.get(filter.dataId).values;
          var yVals = y.values;
          for (var b = 0; b < convInfo.batchSize; ++b) {
            var xOffset1 = b * xStrides[0];
            var yOffset1 = b * y.strides[0];
            for (var yR = 0; yR < convInfo.outHeight; ++yR) {
              var yOffset2 = yOffset1 + yR * y.strides[1];
              var xRCorner = yR * convInfo.strideHeight - padTop;
              for (var wR = 0; wR < filterHeight; ++wR) {
                var xR = xRCorner + wR * dilationHeight;
                if (xR < 0 || xR >= convInfo.inHeight) {
                  continue;
                }
                var wOffset1 = wR * filterStrides[0];
                var xOffset2 = xOffset1 + xR * xStrides[1];
                for (var yC = 0; yC < convInfo.outWidth; ++yC) {
                  var yOffset3 = yOffset2 + yC * y.strides[2];
                  var xCCorner = yC * convInfo.strideWidth - padLeft;
                  for (var wC = 0; wC < filterWidth; ++wC) {
                    var xC = xCCorner + wC * dilationWidth;
                    if (xC < 0 || xC >= convInfo.inWidth) {
                      continue;
                    }
                    var wOffset2 = wOffset1 + wC * filterStrides[1];
                    var xOffset3 = xOffset2 + xC * convInfo.inChannels;
                    var yOffset4 = yOffset3;
                    var wOffset3 = wOffset2;
                    for (var d1 = 0; d1 < convInfo.inChannels; ++d1) {
                      var xVal = xVals[xOffset3 + d1];
                      for (var q = 0; q < chMul; ++q) {
                        yVals[yOffset4 + q] += xVal * wVals[wOffset3 + q];
                      }
                      yOffset4 += chMul;
                      wOffset3 += chMul;
                    }
                  }
                }
              }
            }
          }
          return backend.makeTensorInfo(y.shape, y.dtype, y.values);
        }
        var depthwiseConv2dNativeConfig = {
          kernelName: tfjsCore.DepthwiseConv2dNative,
          backendName: 'cpu',
          kernelFunc: depthwiseConv2dNative,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function depthwiseConv2dNativeBackpropFilter(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            dy = inputs.dy;
          var strides = attrs.strides,
            dilations = attrs.dilations,
            pad = attrs.pad,
            dimRoundingMode = attrs.dimRoundingMode,
            filterShape = attrs.filterShape;
          assertNotComplex([x, dy], 'depthwiseConv2dNativeBackpropFilter');
          var convInfo = tfjsCore.backend_util.computeConv2DInfo(
            x.shape,
            filterShape,
            strides,
            dilations,
            pad,
            dimRoundingMode,
            true /* depthwise */,
          );
          var strideHeight = convInfo.strideHeight,
            strideWidth = convInfo.strideWidth,
            filterHeight = convInfo.filterHeight,
            filterWidth = convInfo.filterWidth;
          var dW = new tfjsCore.TensorBuffer(convInfo.filterShape, 'float32');
          var leftPad = convInfo.padInfo.left;
          var topPad = convInfo.padInfo.top;
          var chMul = convInfo.outChannels / convInfo.inChannels;
          var xVals = backend.data.get(x.dataId).values;
          var xBuf = new tfjsCore.TensorBuffer(x.shape, x.dtype, xVals);
          var dyVals = backend.data.get(dy.dataId).values;
          var dyBuf = new tfjsCore.TensorBuffer(dy.shape, dy.dtype, dyVals);
          for (var wR = 0; wR < filterHeight; ++wR) {
            var yRMin = Math.max(0, Math.ceil((topPad - wR) / strideHeight));
            var yRMax = Math.min(
              convInfo.outHeight,
              (convInfo.inHeight + topPad - wR) / strideHeight,
            );
            for (var wC = 0; wC < filterWidth; ++wC) {
              var yCMin = Math.max(0, Math.ceil((leftPad - wC) / strideWidth));
              var yCMax = Math.min(
                convInfo.outWidth,
                (convInfo.inWidth + leftPad - wC) / strideWidth,
              );
              for (var d2 = 0; d2 < convInfo.outChannels; ++d2) {
                var d1 = Math.trunc(d2 / chMul);
                var dm = d2 % chMul;
                var dotProd = 0;
                for (var b = 0; b < convInfo.batchSize; ++b) {
                  for (var yR = yRMin; yR < yRMax; ++yR) {
                    var xR = wR + yR * strideHeight - topPad;
                    for (var yC = yCMin; yC < yCMax; ++yC) {
                      var xC = wC + yC * strideWidth - leftPad;
                      dotProd += xBuf.get(b, xR, xC, d1) * dyBuf.get(b, yR, yC, d2);
                    }
                  }
                }
                dW.set(dotProd, wR, wC, d1, dm);
              }
            }
          }
          return backend.makeTensorInfo(dW.shape, dW.dtype, dW.values);
        }
        var depthwiseConv2dNativeBackpropFilterConfig = {
          kernelName: tfjsCore.DepthwiseConv2dNativeBackpropFilter,
          backendName: 'cpu',
          kernelFunc: depthwiseConv2dNativeBackpropFilter,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function depthwiseConv2dNativeBackpropInput(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var dy = inputs.dy,
            filter = inputs.filter;
          var strides = attrs.strides,
            dilations = attrs.dilations,
            pad = attrs.pad,
            dimRoundingMode = attrs.dimRoundingMode,
            inputShape = attrs.inputShape;
          assertNotComplex([dy, filter], 'depthwiseConv2DNativeBackpropInput');
          var dyStrides = tfjsCore.util.computeStrides(dy.shape);
          var filterStrides = tfjsCore.util.computeStrides(filter.shape);
          var convInfo = tfjsCore.backend_util.computeConv2DInfo(
            inputShape,
            filter.shape,
            strides,
            dilations,
            pad,
            dimRoundingMode,
            true /* depthwise */,
          );
          var dx = new tfjsCore.TensorBuffer(convInfo.inShape, 'float32');
          var dxValues = dx.values;
          var _a = dx.strides,
            dxS0 = _a[0],
            dxS1 = _a[1],
            dxS2 = _a[2];
          var dyValues = backend.data.get(dy.dataId).values;
          var dyS0 = dyStrides[0],
            dyS1 = dyStrides[1],
            dyS2 = dyStrides[2];
          var fltValues = backend.data.get(filter.dataId).values;
          var fltS0 = filterStrides[0],
            fltS1 = filterStrides[1],
            fltS2 = filterStrides[2];
          var batchSize = convInfo.batchSize,
            filterHeight = convInfo.filterHeight,
            filterWidth = convInfo.filterWidth,
            inChannels = convInfo.inChannels,
            inHeight = convInfo.inHeight,
            inWidth = convInfo.inWidth,
            outChannels = convInfo.outChannels,
            outHeight = convInfo.outHeight,
            outWidth = convInfo.outWidth,
            strideHeight = convInfo.strideHeight,
            strideWidth = convInfo.strideWidth;
          var topPad = filterHeight - 1 - convInfo.padInfo.top;
          var leftPad = filterWidth - 1 - convInfo.padInfo.left;
          var chMul = outChannels / inChannels;
          for (var b = 0; b < batchSize; ++b) {
            for (var d1 = 0; d1 < inChannels; ++d1) {
              for (var xR = 0; xR < inHeight; ++xR) {
                var xRCorner = xR - topPad;
                var xRMin = Math.max(0, Math.ceil(xRCorner / strideHeight));
                var yRMax = Math.min(outHeight, (filterHeight + xRCorner) / strideHeight);
                for (var xC = 0; xC < inWidth; ++xC) {
                  var xCCorner = xC - leftPad;
                  var xCMin = Math.max(0, Math.ceil(xCCorner / strideWidth));
                  var yCMax = Math.min(outWidth, (filterWidth + xCCorner) / strideWidth);
                  var dotProd = 0;
                  for (var yR = xRMin; yR < yRMax; ++yR) {
                    var wR = yR * strideHeight - xRCorner;
                    for (var yC = xCMin; yC < yCMax; ++yC) {
                      var wC = yC * strideWidth - xCCorner;
                      var dyOffset = dyS0 * b + dyS1 * yR + dyS2 * yC;
                      var fltOffset =
                        fltS0 * (filterHeight - 1 - wR) +
                        fltS1 * (filterWidth - 1 - wC) +
                        fltS2 * d1;
                      for (var dm = 0; dm < chMul; ++dm) {
                        var d2 = d1 * chMul + dm;
                        var pixel = dyValues[dyOffset + d2];
                        var weight = fltValues[fltOffset + dm];
                        dotProd += pixel * weight;
                      }
                    }
                  }
                  dxValues[dxS0 * b + dxS1 * xR + dxS2 * xC + d1] = dotProd;
                }
              }
            }
          }
          return backend.makeTensorInfo(dx.shape, dx.dtype, dx.values);
        }
        var depthwiseConv2dNativeBackpropInputConfig = {
          kernelName: tfjsCore.DepthwiseConv2dNativeBackpropInput,
          backendName: 'cpu',
          kernelFunc: depthwiseConv2dNativeBackpropInput,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function diag(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var x = inputs.x;
          var xSize = tfjsCore.util.sizeFromShape(x.shape);
          var xVals = backend.data.get(x.dataId).values;
          var outBuf = tfjsCore.buffer([xSize, xSize], x.dtype);
          var vals = outBuf.values;
          for (var i = 0; i < xVals.length; i++) {
            vals[i * xSize + i] = xVals[i];
          }
          var outShape = x.shape.concat(x.shape);
          return backend.makeTensorInfo(outShape, outBuf.dtype, outBuf.values);
        }
        var diagConfig = {
          kernelName: tfjsCore.Diag,
          backendName: 'cpu',
          kernelFunc: diag,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var dilation2dConfig = {
          kernelName: tfjsCore.Dilation2D,
          backendName: 'cpu',
          kernelFunc: function (_a) {
            var inputs = _a.inputs,
              backend = _a.backend,
              attrs = _a.attrs;
            var _b = inputs,
              x = _b.x,
              filter = _b.filter;
            var _c = attrs,
              strides = _c.strides,
              pad = _c.pad,
              dilations = _c.dilations;
            var cpuBackend = backend;
            var xVals = cpuBackend.data.get(x.dataId).values;
            var xRank = x.shape.length;
            var filterVals = cpuBackend.data.get(filter.dataId).values;
            var filterRank = filter.shape.length;
            var _d = tfjsCore.backend_util.computeDilation2DInfo(
                x.shape,
                filter.shape,
                strides,
                pad,
                'NHWC' /* dataFormat */,
                dilations,
              ),
              batchSize = _d.batchSize,
              inHeight = _d.inHeight,
              inWidth = _d.inWidth,
              inChannels = _d.inChannels,
              outHeight = _d.outHeight,
              outWidth = _d.outWidth,
              padInfo = _d.padInfo,
              strideHeight = _d.strideHeight,
              strideWidth = _d.strideWidth,
              filterHeight = _d.filterHeight,
              filterWidth = _d.filterWidth,
              dilationHeight = _d.dilationHeight,
              dilationWidth = _d.dilationWidth,
              outShape = _d.outShape;
            var outSize = tfjsCore.util.sizeFromShape(outShape);
            var outRank = outShape.length;
            var outputVals = tfjsCore.util.getArrayFromDType(x.dtype, outSize);
            // Upsampling the input by fill in `dilation size - 1` values between each
            // input value.
            // This implementation follows the TF c++ implementation:
            // https://github.com/tensorflow/tensorflow/blob/d9a3a849edc198e90172bc58eb293de457f9d986/tensorflow/core/kernels/dilation_ops.cc
            for (var b = 0; b < batchSize; ++b) {
              for (var hOut = 0; hOut < outHeight; ++hOut) {
                var hBeg = hOut * strideHeight - padInfo.top;
                for (var wOut = 0; wOut < outWidth; ++wOut) {
                  var wBeg = wOut * strideWidth - padInfo.left;
                  for (var d = 0; d < inChannels; ++d) {
                    var curVal = Number.MIN_SAFE_INTEGER;
                    for (var h = 0; h < filterHeight; ++h) {
                      var hIn = hBeg + h * dilationHeight;
                      if (hIn >= 0 && hIn < inHeight) {
                        for (var w = 0; w < filterWidth; ++w) {
                          var wIn = wBeg + w * dilationWidth;
                          if (wIn >= 0 && wIn < inWidth) {
                            var xIndex = tfjsCore.util.locToIndex(
                              [b, hIn, wIn, d],
                              xRank,
                              tfjsCore.util.computeStrides(x.shape),
                            );
                            var filterIndex = tfjsCore.util.locToIndex(
                              [h, w, d],
                              filterRank,
                              tfjsCore.util.computeStrides(filter.shape),
                            );
                            var val = xVals[xIndex] + filterVals[filterIndex];
                            if (val > curVal) {
                              curVal = val;
                            }
                          }
                        }
                      }
                    }
                    var outputIndex = tfjsCore.util.locToIndex(
                      [b, hOut, wOut, d],
                      outRank,
                      tfjsCore.util.computeStrides(outShape),
                    );
                    outputVals[outputIndex] = curVal;
                  }
                }
              }
            }
            var dataId = cpuBackend.write(
              tfjsCore.util.toTypedArray(outputVals, x.dtype),
              outShape,
              x.dtype,
            );
            return { dataId: dataId, shape: outShape, dtype: x.dtype };
          },
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var dilation2dBackpropFilterConfig = {
          kernelName: tfjsCore.Dilation2DBackpropFilter,
          backendName: 'cpu',
          kernelFunc: function (_a) {
            var inputs = _a.inputs,
              backend = _a.backend,
              attrs = _a.attrs;
            var _b = inputs,
              x = _b.x,
              filter = _b.filter,
              dy = _b.dy;
            var _c = attrs,
              strides = _c.strides,
              pad = _c.pad,
              dilations = _c.dilations;
            var cpuBackend = backend;
            var $x = tfjsCore.util.toNestedArray(x.shape, cpuBackend.data.get(x.dataId).values);
            var $filter = tfjsCore.util.toNestedArray(
              filter.shape,
              cpuBackend.data.get(filter.dataId).values,
            );
            var _d = tfjsCore.backend_util.computeDilation2DInfo(
                x.shape,
                filter.shape,
                strides,
                pad,
                'NHWC' /* dataFormat */,
                dilations,
              ),
              batchSize = _d.batchSize,
              inHeight = _d.inHeight,
              inWidth = _d.inWidth,
              inChannels = _d.inChannels,
              outHeight = _d.outHeight,
              outWidth = _d.outWidth,
              padInfo = _d.padInfo,
              strideHeight = _d.strideHeight,
              strideWidth = _d.strideWidth,
              filterHeight = _d.filterHeight,
              filterWidth = _d.filterWidth,
              dilationHeight = _d.dilationHeight,
              dilationWidth = _d.dilationWidth,
              outShape = _d.outShape;
            tfjsCore.util.assert(dy.rank === outShape.length, function () {
              return (
                'Error in ' +
                tfjsCore.Dilation2DBackpropFilter +
                ', dy ' +
                ('must have the same rank as output ' + outShape.length + ', but got ') +
                ('' + dy.rank)
              );
            });
            var $dy = tfjsCore.util.toNestedArray(outShape, cpuBackend.data.get(dy.dataId).values);
            // The computed filter gradients has the same dimensions as the filter:
            // [filterHeight, filterWidth, depth]
            var gradients = tfjsCore.util.makeZerosNestedTypedArray(filter.shape, filter.dtype);
            // In the case of multiple argmax branches, we only back-propagate along the
            // last branch, i.e., the one with largest value of `h * filter_cols + w`,
            // similarly to the max-pooling backward routines.
            // This implementation follows the TF c++ implementation:
            // https://github.com/tensorflow/tensorflow/blob/d9a3a849edc198e90172bc58eb293de457f9d986/tensorflow/core/kernels/dilation_ops.cc
            for (var b = 0; b < batchSize; ++b) {
              for (var hOut = 0; hOut < outHeight; ++hOut) {
                var hBeg = hOut * strideHeight - padInfo.top;
                for (var wOut = 0; wOut < outWidth; ++wOut) {
                  var wBeg = wOut * strideWidth - padInfo.left;
                  for (var d = 0; d < inChannels; ++d) {
                    var curVal = Number.MIN_SAFE_INTEGER;
                    var hMax = 0;
                    var wMax = 0;
                    for (var h = 0; h < filterHeight; ++h) {
                      var hIn = hBeg + h * dilationHeight;
                      if (hIn >= 0 && hIn < inHeight) {
                        for (var w = 0; w < filterWidth; ++w) {
                          var wIn = wBeg + w * dilationWidth;
                          if (wIn >= 0 && wIn < inWidth) {
                            var val = $x[b][hIn][wIn][d] + $filter[h][w][d];
                            if (val > curVal) {
                              curVal = val;
                              hMax = h;
                              wMax = w;
                            }
                          }
                        }
                      }
                    }
                    gradients[hMax][wMax][d] += $dy[b][hOut][wOut][d];
                  }
                }
              }
            }
            var dataId = cpuBackend.write(
              tfjsCore.util.toTypedArray(gradients, x.dtype),
              filter.shape,
              filter.dtype,
            );
            return { dataId: dataId, shape: filter.shape, dtype: filter.dtype };
          },
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var dilation2dBackpropInputConfig = {
          kernelName: tfjsCore.Dilation2DBackpropInput,
          backendName: 'cpu',
          kernelFunc: function (_a) {
            var inputs = _a.inputs,
              backend = _a.backend,
              attrs = _a.attrs;
            var _b = inputs,
              x = _b.x,
              filter = _b.filter,
              dy = _b.dy;
            var _c = attrs,
              strides = _c.strides,
              pad = _c.pad,
              dilations = _c.dilations;
            var cpuBackend = backend;
            var $x = tfjsCore.util.toNestedArray(x.shape, cpuBackend.data.get(x.dataId).values);
            var $filter = tfjsCore.util.toNestedArray(
              filter.shape,
              cpuBackend.data.get(filter.dataId).values,
            );
            var _d = tfjsCore.backend_util.computeDilation2DInfo(
                x.shape,
                filter.shape,
                strides,
                pad,
                'NHWC' /* dataFormat */,
                dilations,
              ),
              batchSize = _d.batchSize,
              inHeight = _d.inHeight,
              inWidth = _d.inWidth,
              inChannels = _d.inChannels,
              outHeight = _d.outHeight,
              outWidth = _d.outWidth,
              padInfo = _d.padInfo,
              strideHeight = _d.strideHeight,
              strideWidth = _d.strideWidth,
              filterHeight = _d.filterHeight,
              filterWidth = _d.filterWidth,
              dilationHeight = _d.dilationHeight,
              dilationWidth = _d.dilationWidth,
              outShape = _d.outShape;
            tfjsCore.util.assert(dy.rank === outShape.length, function () {
              return (
                'Error in ' +
                tfjsCore.Dilation2DBackpropInput +
                ', dy ' +
                ('must have the same rank as output ' + outShape.length + ', but got ') +
                ('' + dy.rank)
              );
            });
            var $dy = tfjsCore.util.toNestedArray(outShape, cpuBackend.data.get(dy.dataId).values);
            // The computed gradients has the same dimensions as the input:
            // [batch, inputHeight, inputCols, inChannel]
            var gradients = tfjsCore.util.makeZerosNestedTypedArray(x.shape, x.dtype);
            // In the case of multiple argmax branches, we only back-propagate along the
            // last branch, i.e., the one with largest value of `h * filter_cols + w`,
            // similarly to the max-pooling backward routines.
            // This implementation follows the TF c++ implementation:
            // https://github.com/tensorflow/tensorflow/blob/d9a3a849edc198e90172bc58eb293de457f9d986/tensorflow/core/kernels/dilation_ops.cc
            for (var b = 0; b < batchSize; ++b) {
              for (var hOut = 0; hOut < outHeight; ++hOut) {
                var hBeg = hOut * strideHeight - padInfo.top;
                for (var wOut = 0; wOut < outWidth; ++wOut) {
                  var wBeg = wOut * strideWidth - padInfo.left;
                  for (var d = 0; d < inChannels; ++d) {
                    var curVal = Number.MIN_SAFE_INTEGER;
                    var hInMax = hBeg < 0 ? 0 : hBeg;
                    var wInMax = wBeg < 0 ? 0 : wBeg;
                    for (var h = 0; h < filterHeight; ++h) {
                      var hIn = hBeg + h * dilationHeight;
                      if (hIn >= 0 && hIn < inHeight) {
                        for (var w = 0; w < filterWidth; ++w) {
                          var wIn = wBeg + w * dilationWidth;
                          if (wIn >= 0 && wIn < inWidth) {
                            var val = $x[b][hIn][wIn][d] + $filter[h][w][d];
                            if (val > curVal) {
                              curVal = val;
                              hInMax = hIn;
                              wInMax = wIn;
                            }
                          }
                        }
                      }
                    }
                    gradients[b][hInMax][wInMax][d] += $dy[b][hOut][wOut][d];
                  }
                }
              }
            }
            var dataId = cpuBackend.write(
              tfjsCore.util.toTypedArray(gradients, x.dtype),
              x.shape,
              x.dtype,
            );
            return { dataId: dataId, shape: x.shape, dtype: x.dtype };
          },
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sum(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var axis = attrs.axis,
            keepDims = attrs.keepDims;
          assertNotComplex(x, 'sum');
          var $x;
          if (x.dtype === 'bool') {
            $x = cast({ inputs: { x: x }, backend: backend, attrs: { dtype: 'int32' } });
          } else {
            $x = identity({ inputs: { x: x }, backend: backend });
          }
          var xRank = $x.shape.length;
          var axes = tfjsCore.util.parseAxisParam(axis, $x.shape);
          var permutation = tfjsCore.backend_util.getAxesPermutation(axes, xRank);
          var reductionAxes = axes;
          var permutedX = $x;
          if (permutation != null) {
            permutedX = transpose({
              inputs: { x: $x },
              backend: backend,
              attrs: { perm: permutation },
            });
            reductionAxes = tfjsCore.backend_util.getInnerMostAxes(reductionAxes.length, xRank);
          }
          tfjsCore.backend_util.assertAxesAreInnerMostDims(
            'sum',
            reductionAxes,
            permutedX.shape.length,
          );
          var _a = tfjsCore.backend_util.computeOutAndReduceShapes(permutedX.shape, reductionAxes),
            outShape = _a[0],
            reduceShape = _a[1];
          var resultDtype = tfjsCore.backend_util.upcastType(permutedX.dtype, 'int32');
          var result = zeros(backend, outShape, resultDtype);
          var reduceSize = tfjsCore.util.sizeFromShape(reduceShape);
          var vals = backend.data.get(result.dataId).values;
          var aVals = backend.data.get(permutedX.dataId).values;
          for (var i = 0; i < vals.length; ++i) {
            var offset = i * reduceSize;
            var sum_1 = 0;
            for (var j = 0; j < reduceSize; ++j) {
              sum_1 += aVals[offset + j];
            }
            vals[i] = sum_1;
          }
          if (keepDims) {
            var newShape = tfjsCore.backend_util.expandShapeToKeepDim(result.shape, axes);
            var oldResult = result;
            result = reshape({
              inputs: { x: result },
              backend: backend,
              attrs: { shape: newShape },
            });
            backend.disposeIntermediateTensorInfo(oldResult);
          }
          backend.disposeIntermediateTensorInfo($x);
          if (permutation != null) {
            backend.disposeIntermediateTensorInfo(permutedX);
          }
          return result;
        }
        var sumConfig = {
          kernelName: tfjsCore.Sum,
          backendName: 'cpu',
          kernelFunc: sum,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function einsum(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var equation = attrs.equation;
          var tensors = inputs;
          var _a = tfjsCore.backend_util.decodeEinsumEquation(equation, tensors.length),
            allDims = _a.allDims,
            summedDims = _a.summedDims,
            idDims = _a.idDims;
          tfjsCore.backend_util.checkEinsumDimSizes(allDims.length, idDims, tensors);
          var _b = tfjsCore.backend_util.getEinsumComputePath(summedDims, idDims),
            path = _b.path,
            steps = _b.steps;
          var nSteps = steps.length;
          var out = null;
          var numDimsRemaining = allDims.length;
          var tensorsToDispose = [];
          for (var i = 0; i < nSteps; ++i) {
            for (var _i = 0, _c = steps[i]; _i < _c.length; _i++) {
              var idTerm = _c[_i];
              var _d = tfjsCore.backend_util.getEinsumPermutation(numDimsRemaining, idDims[idTerm]),
                perm = _d.permutationIndices,
                dimsToExpand = _d.expandDims;
              var x = void 0;
              if (tfjsCore.backend_util.isIdentityPermutation(perm)) {
                x = tensors[idTerm];
              } else {
                x = transpose({
                  inputs: { x: tensors[idTerm] },
                  backend: backend,
                  attrs: { perm: perm },
                });
                tensorsToDispose.push(x);
              }
              var targetShape = x.shape.slice();
              for (var k = 0; k < dimsToExpand.length; ++k) {
                targetShape.splice(dimsToExpand[k], 0, 1);
              }
              if (!tfjsCore.util.arraysEqual(x.shape, targetShape)) {
                x = reshape({ inputs: { x: x }, backend: backend, attrs: { shape: targetShape } });
                tensorsToDispose.push(x);
              }
              if (out === null) {
                out = x;
              } else {
                // tslint:disable-next-line: no-unnecessary-type-assertion
                out = multiply({ inputs: { a: x, b: out }, backend: backend });
                tensorsToDispose.push(out);
              }
            }
            if (i < nSteps - 1) {
              if (path[i] >= 0) {
                out = sum({
                  inputs: { x: out },
                  backend: backend,
                  attrs: {
                    axis: path[i] - (allDims.length - numDimsRemaining),
                    keepDims: false,
                  },
                });
                tensorsToDispose.push(out);
              }
              numDimsRemaining--;
            }
          }
          // Clean up intermediate tensors.
          for (
            var _e = 0, tensorsToDispose_1 = tensorsToDispose;
            _e < tensorsToDispose_1.length;
            _e++
          ) {
            var tensorInfo = tensorsToDispose_1[_e];
            if (tensorInfo === out) {
              continue;
            }
            backend.disposeIntermediateTensorInfo(tensorInfo);
          }
          return out;
        }
        var einsumConfig = {
          kernelName: tfjsCore.Einsum,
          backendName: 'cpu',
          kernelFunc: einsum,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function eluGrad(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var dy = inputs.dy,
            y = inputs.y;
          assertNotComplex([dy, y], 'eluGrad');
          var resultValues = new Float32Array(tfjsCore.util.sizeFromShape(y.shape));
          var values = backend.data.get(y.dataId).values;
          var dyValues = backend.data.get(dy.dataId).values;
          for (var i = 0; i < values.length; ++i) {
            var v = values[i];
            if (v >= 1) {
              resultValues[i] = dyValues[i];
            } else {
              resultValues[i] = dyValues[i] * (v + 1);
            }
          }
          return backend.makeTensorInfo(y.shape, 'float32', resultValues);
        }
        var eluGradConfig = {
          kernelName: tfjsCore.EluGrad,
          backendName: 'cpu',
          kernelFunc: eluGrad,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var p = tfjsCore.backend_util.ERF_P;
        var a1 = tfjsCore.backend_util.ERF_A1;
        var a2 = tfjsCore.backend_util.ERF_A2;
        var a3 = tfjsCore.backend_util.ERF_A3;
        var a4 = tfjsCore.backend_util.ERF_A4;
        var a5 = tfjsCore.backend_util.ERF_A5;
        var erf = unaryKernelFunc(tfjsCore.Erf, function (xi) {
          var sign = Math.sign(xi);
          var v = Math.abs(xi);
          var t = 1.0 / (1.0 + p * v);
          return (
            sign * (1.0 - ((((a5 * t + a4) * t + a3) * t + a2) * t + a1) * t * Math.exp(-v * v))
          );
        });
        var erfConfig = {
          kernelName: tfjsCore.Erf,
          backendName: 'cpu',
          kernelFunc: erf,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function expandDims(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var input = inputs.input;
          var dim = attrs.dim;
          var inputRank = input.shape.length;
          var newShape = input.shape.slice();
          var $dim = dim;
          if (dim < 0) {
            // Negative value is counted from the tail of rank.
            tfjsCore.util.assert(-(inputRank + 1) <= dim, function () {
              return 'Axis must be in the interval [' + -(inputRank + 1) + ', ' + inputRank + ']';
            });
            $dim = inputRank + dim + 1;
          }
          newShape.splice($dim, 0, 1);
          return reshape({ inputs: { x: input }, backend: backend, attrs: { shape: newShape } });
        }
        var expandDimsConfig = {
          kernelName: tfjsCore.ExpandDims,
          backendName: 'cpu',
          kernelFunc: expandDims,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var realDivImpl = createSimpleBinaryKernelImpl(function (a, b) {
          return a / b;
        });
        var div = binaryKernelFunc(tfjsCore.RealDiv, realDivImpl);
        var realDivConfig = {
          kernelName: tfjsCore.RealDiv,
          backendName: 'cpu',
          kernelFunc: div,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        /**
         * Calculate FFT of inner most elements of batch tensor.
         */
        function fftBatch(input, inverse, cpuBackend) {
          var inputShape = input.shape;
          var batch = inputShape[0];
          var innerDim = inputShape[1];
          var inputVals = cpuBackend.data.get(input.dataId);
          var real2D = inputVals.complexTensorInfos.real;
          var imag2D = inputVals.complexTensorInfos.imag;
          // Collects real and imaginary values separately.
          var resultShape = [batch, innerDim];
          var resultSize = tfjsCore.util.sizeFromShape(resultShape);
          var resultReal = tfjsCore.util.getTypedArrayFromDType('float32', resultSize);
          var resultImag = tfjsCore.util.getTypedArrayFromDType('float32', resultSize);
          for (var b = 0; b < batch; b++) {
            // TODO: Support slice ops for complex type.
            var r = slice({
              inputs: { x: real2D },
              backend: cpuBackend,
              attrs: { begin: [b, 0], size: [1, innerDim] },
            });
            var i = slice({
              inputs: { x: imag2D },
              backend: cpuBackend,
              attrs: { begin: [b, 0], size: [1, innerDim] },
            });
            var input_1 = complex({ inputs: { real: r, imag: i }, backend: cpuBackend });
            // Run FFT by batch element.
            var _a = fftImpl(input_1, inverse, cpuBackend),
              real_1 = _a.real,
              imag_1 = _a.imag;
            var res = tfjsCore.backend_util.mergeRealAndImagArrays(real_1, imag_1);
            for (var d = 0; d < innerDim; d++) {
              var c = tfjsCore.backend_util.getComplexWithIndex(res, d);
              resultReal[b * innerDim + d] = c.real;
              resultImag[b * innerDim + d] = c.imag;
            }
            cpuBackend.disposeIntermediateTensorInfo(r);
            cpuBackend.disposeIntermediateTensorInfo(i);
            cpuBackend.disposeIntermediateTensorInfo(input_1);
          }
          var $realInfo = cpuBackend.makeTensorInfo(resultShape, 'float32', resultReal);
          var $imagInfo = cpuBackend.makeTensorInfo(resultShape, 'float32', resultImag);
          var result = complex({
            inputs: { real: $realInfo, imag: $imagInfo },
            backend: cpuBackend,
          });
          cpuBackend.disposeIntermediateTensorInfo($realInfo);
          cpuBackend.disposeIntermediateTensorInfo($imagInfo);
          return result;
        }
        function fftImpl(input, inverse, cpuBackend) {
          var inputSize = tfjsCore.util.sizeFromShape(input.shape);
          var inputVals = cpuBackend.data.get(input.dataId);
          var realVals = cpuBackend.data.get(inputVals.complexTensorInfos.real.dataId).values;
          var imagVals = cpuBackend.data.get(inputVals.complexTensorInfos.imag.dataId).values;
          if (isExponentOf2(inputSize)) {
            var result = fftRadix2(realVals, imagVals, inputSize, inverse, cpuBackend);
            var resultShape = [input.shape[0], input.shape[1]];
            if (inverse) {
              var realInfo = cpuBackend.makeTensorInfo(resultShape, 'float32', result.real);
              var imagInfo = cpuBackend.makeTensorInfo(resultShape, 'float32', result.imag);
              var sizeInfo = cpuBackend.makeTensorInfo(
                [],
                'float32',
                tfjsCore.util.createScalarValue(inputSize, 'float32'),
              );
              var sizeInfoCopy = identity({ inputs: { x: sizeInfo }, backend: cpuBackend });
              var divRealInfo = realDivConfig.kernelFunc({
                inputs: { a: realInfo, b: sizeInfo },
                backend: cpuBackend,
              });
              var divImagInfo = realDivConfig.kernelFunc({
                inputs: { a: imagInfo, b: sizeInfoCopy },
                backend: cpuBackend,
              });
              var divRealVals = cpuBackend.data.get(divRealInfo.dataId).values;
              var divImagVals = cpuBackend.data.get(divImagInfo.dataId).values;
              cpuBackend.disposeIntermediateTensorInfo(realInfo);
              cpuBackend.disposeIntermediateTensorInfo(imagInfo);
              cpuBackend.disposeIntermediateTensorInfo(sizeInfo);
              cpuBackend.disposeIntermediateTensorInfo(sizeInfoCopy);
              cpuBackend.disposeIntermediateTensorInfo(divRealInfo);
              cpuBackend.disposeIntermediateTensorInfo(divImagInfo);
              return { real: divRealVals, imag: divImagVals };
            }
            return result;
          } else {
            var data = tfjsCore.backend_util.mergeRealAndImagArrays(realVals, imagVals);
            var rawOutput = fourierTransformByMatmul(data, inputSize, inverse);
            return tfjsCore.backend_util.splitRealAndImagArrays(rawOutput);
          }
        }
        function isExponentOf2(size) {
          return (size & (size - 1)) === 0;
        }
        // FFT using Cooley-Tukey algorithm on radix 2 dimensional input.
        function fftRadix2(realVals, imagVals, size, inverse, cpuBackend) {
          if (size === 1) {
            return { real: realVals, imag: imagVals };
          }
          var data = tfjsCore.backend_util.mergeRealAndImagArrays(realVals, imagVals);
          var half = size / 2;
          var evenComplex = tfjsCore.backend_util.complexWithEvenIndex(data);
          var evenRealVals = evenComplex.real;
          var evenImagVals = evenComplex.imag;
          var evenShape = [evenRealVals.length];
          var evenRealInfo = cpuBackend.makeTensorInfo(evenShape, 'float32', evenRealVals);
          var evenImagInfo = cpuBackend.makeTensorInfo(evenShape, 'float32', evenImagVals);
          var evenTensorInfo = complex({
            inputs: { real: evenRealInfo, imag: evenImagInfo },
            backend: cpuBackend,
          });
          var oddComplex = tfjsCore.backend_util.complexWithOddIndex(data);
          var oddRealVals = oddComplex.real;
          var oddImagVals = oddComplex.imag;
          var oddShape = [oddRealVals.length];
          var oddRealInfo = cpuBackend.makeTensorInfo(oddShape, 'float32', oddRealVals);
          var oddImagInfo = cpuBackend.makeTensorInfo(oddShape, 'float32', oddImagVals);
          var oddTensorInfo = complex({
            inputs: { real: oddRealInfo, imag: oddImagInfo },
            backend: cpuBackend,
          });
          // Recursive call for half part of original input.
          var $evenComplex = fftRadix2(evenRealVals, evenImagVals, half, inverse, cpuBackend);
          var $evenRealVals = $evenComplex.real;
          var $evenImagVals = $evenComplex.imag;
          var $evenShape = [$evenRealVals.length];
          var $evenRealInfo = cpuBackend.makeTensorInfo($evenShape, 'float32', $evenRealVals);
          var $evenImagInfo = cpuBackend.makeTensorInfo($evenShape, 'float32', $evenImagVals);
          var $evenTensorInfo = complex({
            inputs: { real: $evenRealInfo, imag: $evenImagInfo },
            backend: cpuBackend,
          });
          var $oddComplex = fftRadix2(oddRealVals, oddImagVals, half, inverse, cpuBackend);
          var $oddRealVals = $oddComplex.real;
          var $oddImagVals = $oddComplex.imag;
          var $oddShape = [$oddRealVals.length];
          var $oddRealInfo = cpuBackend.makeTensorInfo($oddShape, 'float32', $oddRealVals);
          var $oddImagInfo = cpuBackend.makeTensorInfo($oddShape, 'float32', $oddImagVals);
          var $oddTensorInfo = complex({
            inputs: { real: $oddRealInfo, imag: $oddImagInfo },
            backend: cpuBackend,
          });
          var e = tfjsCore.backend_util.exponents(size, inverse);
          var eShape = [e.real.length];
          var eRealInfo = cpuBackend.makeTensorInfo(eShape, 'float32', e.real);
          var eImagInfo = cpuBackend.makeTensorInfo(eShape, 'float32', e.imag);
          var complexInfo = complex({
            inputs: { real: eRealInfo, imag: eImagInfo },
            backend: cpuBackend,
          });
          var exponentInfo = multiply({
            inputs: { a: complexInfo, b: $oddTensorInfo },
            backend: cpuBackend,
          });
          var addPart = add({
            inputs: { a: $evenTensorInfo, b: exponentInfo },
            backend: cpuBackend,
          });
          var subPart = sub({
            inputs: { a: $evenTensorInfo, b: exponentInfo },
            backend: cpuBackend,
          });
          var addPartReal = real({ inputs: { input: addPart }, backend: cpuBackend });
          var subPartReal = real({ inputs: { input: subPart }, backend: cpuBackend });
          var addPartImag = imag({ inputs: { input: addPart }, backend: cpuBackend });
          var subPartImag = imag({ inputs: { input: subPart }, backend: cpuBackend });
          var $real = concat({
            inputs: [addPartReal, subPartReal],
            backend: cpuBackend,
            attrs: { axis: 0 },
          });
          var $imag = concat({
            inputs: [addPartImag, subPartImag],
            backend: cpuBackend,
            attrs: { axis: 0 },
          });
          var $realVals = cpuBackend.data.get($real.dataId).values;
          var $imagVals = cpuBackend.data.get($imag.dataId).values;
          cpuBackend.disposeIntermediateTensorInfo(evenRealInfo);
          cpuBackend.disposeIntermediateTensorInfo(evenImagInfo);
          cpuBackend.disposeIntermediateTensorInfo(evenTensorInfo);
          cpuBackend.disposeIntermediateTensorInfo(oddRealInfo);
          cpuBackend.disposeIntermediateTensorInfo(oddImagInfo);
          cpuBackend.disposeIntermediateTensorInfo(oddTensorInfo);
          cpuBackend.disposeIntermediateTensorInfo($evenRealInfo);
          cpuBackend.disposeIntermediateTensorInfo($evenImagInfo);
          cpuBackend.disposeIntermediateTensorInfo($evenTensorInfo);
          cpuBackend.disposeIntermediateTensorInfo($oddRealInfo);
          cpuBackend.disposeIntermediateTensorInfo($oddImagInfo);
          cpuBackend.disposeIntermediateTensorInfo($oddTensorInfo);
          cpuBackend.disposeIntermediateTensorInfo(eRealInfo);
          cpuBackend.disposeIntermediateTensorInfo(eImagInfo);
          cpuBackend.disposeIntermediateTensorInfo(complexInfo);
          cpuBackend.disposeIntermediateTensorInfo(exponentInfo);
          cpuBackend.disposeIntermediateTensorInfo(addPart);
          cpuBackend.disposeIntermediateTensorInfo(subPart);
          cpuBackend.disposeIntermediateTensorInfo(addPartReal);
          cpuBackend.disposeIntermediateTensorInfo(addPartImag);
          cpuBackend.disposeIntermediateTensorInfo(subPartReal);
          cpuBackend.disposeIntermediateTensorInfo(subPartImag);
          cpuBackend.disposeIntermediateTensorInfo($real);
          cpuBackend.disposeIntermediateTensorInfo($imag);
          return { real: $realVals, imag: $imagVals };
        }
        // Calculate fourier transform by multplying sinusoid matrix.
        function fourierTransformByMatmul(data, size, inverse) {
          var ret = new Float32Array(size * 2);
          // TODO: Use matmul instead once it supports complex64 type.
          for (var r = 0; r < size; r++) {
            var real_2 = 0.0;
            var imag_2 = 0.0;
            for (var c = 0; c < size; c++) {
              var e = tfjsCore.backend_util.exponent(r * c, size, inverse);
              var term = tfjsCore.backend_util.getComplexWithIndex(data, c);
              real_2 += term.real * e.real - term.imag * e.imag;
              imag_2 += term.real * e.imag + term.imag * e.real;
            }
            if (inverse) {
              real_2 /= size;
              imag_2 /= size;
            }
            tfjsCore.backend_util.assignToTypedArray(ret, real_2, imag_2, r);
          }
          return ret;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function fft(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var input = inputs.input;
          var inputSize = tfjsCore.util.sizeFromShape(input.shape);
          // Collapse all outer dimensions to a single batch dimension.
          var innerDimensionSize = input.shape[input.shape.length - 1];
          var batch = inputSize / innerDimensionSize;
          var input2D = reshape({
            inputs: { x: input },
            backend: backend,
            attrs: { shape: [batch, innerDimensionSize] },
          });
          var result = fftBatch(input2D, false, backend);
          var resultReshaped = reshape({
            inputs: { x: result },
            backend: backend,
            attrs: { shape: input.shape },
          });
          backend.disposeIntermediateTensorInfo(input2D);
          backend.disposeIntermediateTensorInfo(result);
          return resultReshaped;
        }
        var fftConfig = {
          kernelName: tfjsCore.FFT,
          backendName: 'cpu',
          kernelFunc: fft,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function fill(args) {
          var backend = args.backend,
            attrs = args.attrs;
          var shape = attrs.shape,
            value = attrs.value,
            dtype = attrs.dtype;
          var $dtype = dtype || tfjsCore.util.inferDtype(value);
          var values = tfjsCore.util.getArrayFromDType($dtype, tfjsCore.util.sizeFromShape(shape));
          fillValues(values, value, $dtype);
          return backend.makeTensorInfo(shape, $dtype, values);
        }
        var fillConfig = {
          kernelName: tfjsCore.Fill,
          backendName: 'cpu',
          kernelFunc: fill,
        };
        function fillValues(values, value, dtype) {
          if (dtype === 'string') {
            values.fill(value);
          } else {
            values.fill(value);
          }
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var flipLeftRightConfig = {
          kernelName: tfjsCore.FlipLeftRight,
          backendName: 'cpu',
          kernelFunc: function (_a) {
            var inputs = _a.inputs,
              attrs = _a.attrs,
              backend = _a.backend;
            var image = inputs.image;
            var cpuBackend = backend;
            var output = tfjsCore.util.getTypedArrayFromDType(
              image.dtype,
              tfjsCore.util.sizeFromShape(image.shape),
            );
            var _b = image.shape,
              batch = _b[0],
              imageHeight = _b[1],
              imageWidth = _b[2],
              numChannels = _b[3];
            var imageVals = cpuBackend.data.get(image.dataId).values;
            for (var batchIdx = 0; batchIdx < batch; batchIdx++) {
              var batchOffset = batchIdx * imageWidth * imageHeight * numChannels;
              for (var row = 0; row < imageHeight; row++) {
                var rowOffset = row * (imageWidth * numChannels);
                for (var col = 0; col < imageWidth; col++) {
                  var colOffset = col * numChannels;
                  for (var channel = 0; channel < numChannels; channel++) {
                    var coords = [batch, row, col, channel];
                    var x = coords[2];
                    var coordX = Math.round(imageWidth - x);
                    var outIdx = batchOffset + rowOffset + colOffset + channel;
                    var outputValue = imageVals[outIdx];
                    // If the coordinate position falls within the image boundaries...
                    if (coordX >= 0 && coordX < imageWidth) {
                      // set the output to the image value at the coordinate position.
                      var rotatedColOffset = coordX * numChannels;
                      var imageIdx = batchOffset + rowOffset + rotatedColOffset + channel;
                      outputValue = imageVals[imageIdx];
                    }
                    output[outIdx] = outputValue;
                  }
                }
              }
            }
            var dataId = cpuBackend.write(output, image.shape, image.dtype);
            return { dataId: dataId, shape: image.shape, dtype: image.dtype };
          },
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var floorDivImpl = createSimpleBinaryKernelImpl(function (a, b) {
          return Math.floor(a / b);
        });
        var floorDiv = binaryKernelFunc(
          tfjsCore.FloorDiv,
          floorDivImpl,
          null /* complexImpl */,
          'int32',
        );
        var floorDivConfig = {
          kernelName: tfjsCore.FloorDiv,
          backendName: 'cpu',
          kernelFunc: floorDiv,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function fusedConv2D(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            filter = inputs.filter,
            bias = inputs.bias,
            preluActivationWeights = inputs.preluActivationWeights;
          var strides = attrs.strides,
            pad = attrs.pad,
            dataFormat = attrs.dataFormat,
            dilations = attrs.dilations,
            dimRoundingMode = attrs.dimRoundingMode,
            activation = attrs.activation,
            leakyreluAlpha = attrs.leakyreluAlpha;
          var result = conv2D({
            inputs: { x: x, filter: filter },
            backend: backend,
            attrs: {
              strides: strides,
              pad: pad,
              dataFormat: dataFormat,
              dilations: dilations,
              dimRoundingMode: dimRoundingMode,
            },
          });
          if (bias) {
            var resultOld = result;
            result = add({ inputs: { a: result, b: bias }, backend: backend });
            backend.disposeIntermediateTensorInfo(resultOld);
          }
          if (activation) {
            var resultOld = result;
            result = applyActivation(
              backend,
              result,
              activation,
              preluActivationWeights,
              leakyreluAlpha,
            );
            backend.disposeIntermediateTensorInfo(resultOld);
          }
          return result;
        }
        var fusedConv2DConfig = {
          kernelName: tfjsCore.FusedConv2D,
          backendName: 'cpu',
          kernelFunc: fusedConv2D,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function fusedDepthwiseConv2D(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            filter = inputs.filter,
            bias = inputs.bias,
            preluActivationWeights = inputs.preluActivationWeights;
          var strides = attrs.strides,
            pad = attrs.pad,
            dataFormat = attrs.dataFormat,
            dilations = attrs.dilations,
            dimRoundingMode = attrs.dimRoundingMode,
            activation = attrs.activation,
            leakyreluAlpha = attrs.leakyreluAlpha;
          var result = depthwiseConv2dNative({
            inputs: { x: x, filter: filter },
            backend: backend,
            attrs: {
              strides: strides,
              pad: pad,
              dataFormat: dataFormat,
              dilations: dilations,
              dimRoundingMode: dimRoundingMode,
            },
          });
          if (bias) {
            var oldResult = result;
            result = add({ inputs: { a: result, b: bias }, backend: backend });
            backend.disposeIntermediateTensorInfo(oldResult);
          }
          if (activation) {
            var oldResult = result;
            result = applyActivation(
              backend,
              result,
              activation,
              preluActivationWeights,
              leakyreluAlpha,
            );
            backend.disposeIntermediateTensorInfo(oldResult);
          }
          return result;
        }
        var fusedDepthwiseConv2DConfig = {
          kernelName: tfjsCore.FusedDepthwiseConv2D,
          backendName: 'cpu',
          kernelFunc: fusedDepthwiseConv2D,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function gatherNd(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var params = inputs.params,
            indices = inputs.indices;
          var paramsSize = tfjsCore.util.sizeFromShape(params.shape);
          var indicesShape = indices.shape;
          var sliceRank = indicesShape[indicesShape.length - 1];
          var _a = tfjsCore.backend_util.prepareAndValidate(params, indices),
            resultShape = _a[0],
            numSlices = _a[1],
            sliceSize = _a[2],
            strides = _a[3];
          if (numSlices === 0) {
            return backend.makeTensorInfo(resultShape, params.dtype, []);
          }
          var indicesData = backend.data.get(indices.dataId).values;
          var paramsBuf = backend.bufferSync(params);
          var outBuf = gatherNdImpl(
            indicesData,
            paramsBuf,
            params.dtype,
            numSlices,
            sliceRank,
            sliceSize,
            strides,
            params.shape,
            paramsSize,
          );
          return backend.makeTensorInfo(resultShape, params.dtype, outBuf.values);
        }
        var gatherNdConfig = {
          kernelName: tfjsCore.GatherNd,
          backendName: 'cpu',
          kernelFunc: gatherNd,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function gatherV2(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            indices = inputs.indices;
          var axis = attrs.axis,
            batchDims = attrs.batchDims;
          assertNotComplex([x, indices], 'gatherV2');
          var $batchDims = batchDims;
          if (batchDims == null) {
            $batchDims = 0;
          }
          var indicesSize = tfjsCore.util.sizeFromShape(indices.shape);
          var parsedAxis = tfjsCore.util.parseAxisParam(axis, x.shape)[0];
          var shapeInfo = tfjsCore.backend_util.segment_util.collectGatherOpShapeInfo(
            x,
            indices,
            parsedAxis,
            $batchDims,
          );
          var flattenX = reshape({
            inputs: { x: x },
            backend: backend,
            attrs: {
              shape: [
                shapeInfo.batchSize,
                shapeInfo.outerSize,
                shapeInfo.dimSize,
                shapeInfo.sliceSize,
              ],
            },
          });
          var flattenIndex = reshape({
            inputs: { x: indices },
            backend: backend,
            attrs: { shape: [shapeInfo.batchSize, indicesSize / shapeInfo.batchSize] },
          });
          var flattenOutputShape = [
            shapeInfo.batchSize,
            shapeInfo.outerSize,
            indicesSize / shapeInfo.batchSize,
            shapeInfo.sliceSize,
          ];
          var indicesBuf = backend.bufferSync(flattenIndex);
          var xBuf = backend.bufferSync(flattenX);
          var outBuf = gatherV2Impl(xBuf, indicesBuf, flattenOutputShape);
          backend.disposeIntermediateTensorInfo(flattenX);
          backend.disposeIntermediateTensorInfo(flattenIndex);
          return backend.makeTensorInfo(shapeInfo.outputShape, outBuf.dtype, outBuf.values);
        }
        var gatherV2Config = {
          kernelName: tfjsCore.GatherV2,
          backendName: 'cpu',
          kernelFunc: gatherV2,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function ifft(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var input = inputs.input;
          var inputSize = tfjsCore.util.sizeFromShape(input.shape);
          // Collapse all outer dimensions to a single batch dimension.
          var innerDimensionSize = input.shape[input.shape.length - 1];
          var batch = inputSize / innerDimensionSize;
          var input2D = reshape({
            inputs: { x: input },
            backend: backend,
            attrs: { shape: [batch, innerDimensionSize] },
          });
          var result = fftBatch(input2D, true, backend);
          var resultReshaped = reshape({
            inputs: { x: result },
            backend: backend,
            attrs: { shape: input.shape },
          });
          backend.disposeIntermediateTensorInfo(input2D);
          backend.disposeIntermediateTensorInfo(result);
          return resultReshaped;
        }
        var ifftConfig = {
          kernelName: tfjsCore.IFFT,
          backendName: 'cpu',
          kernelFunc: ifft,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var isFinite = unaryKernelFunc(
          tfjsCore.IsFinite,
          function (xi) {
            return Number.isFinite(xi) ? 1 : 0;
          },
          'bool',
        );
        var isFiniteConfig = {
          kernelName: tfjsCore.IsFinite,
          backendName: 'cpu',
          kernelFunc: isFinite,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var isInf = unaryKernelFunc(
          tfjsCore.IsInf,
          function (xi) {
            return Math.abs(xi) === Infinity ? 1 : 0;
          },
          'bool',
        );
        var isInfConfig = {
          kernelName: tfjsCore.IsInf,
          backendName: 'cpu',
          kernelFunc: isInf,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var isNaN$1 = unaryKernelFunc(
          tfjsCore.IsNan,
          function (xi) {
            return Number.isNaN(xi) ? 1 : 0;
          },
          'bool',
        );
        var isNaNConfig = {
          kernelName: tfjsCore.IsNan,
          backendName: 'cpu',
          kernelFunc: isNaN$1,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function linSpace(args) {
          var backend = args.backend,
            attrs = args.attrs;
          var start = attrs.start,
            stop = attrs.stop,
            num = attrs.num;
          var outVals = linSpaceImpl(start, stop, num);
          return backend.makeTensorInfo([outVals.length], 'float32', outVals);
        }
        var linSpaceConfig = {
          kernelName: tfjsCore.LinSpace,
          backendName: 'cpu',
          kernelFunc: linSpace,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var log1p = unaryKernelFunc(tfjsCore.Log1p, function (xi) {
          return Math.log1p(xi);
        });
        var log1pConfig = {
          kernelName: tfjsCore.Log1p,
          backendName: 'cpu',
          kernelFunc: log1p,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var logicalAndImpl = createSimpleBinaryKernelImpl(function (a, b) {
          return a && b;
        });
        var logicalAnd = binaryKernelFunc(
          tfjsCore.LogicalAnd,
          logicalAndImpl,
          null /* complexImpl */,
          'bool',
        );
        var logicalAndConfig = {
          kernelName: tfjsCore.LogicalAnd,
          backendName: 'cpu',
          kernelFunc: logicalAnd,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var logicalNot = unaryKernelFunc(
          tfjsCore.LogicalNot,
          function (xi) {
            return xi ? 0 : 1;
          },
          'bool',
        );
        var logicalNotConfig = {
          kernelName: tfjsCore.LogicalNot,
          backendName: 'cpu',
          kernelFunc: logicalNot,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var logicalOrImpl = createSimpleBinaryKernelImpl(function (a, b) {
          return a || b;
        });
        var logicalOr = binaryKernelFunc(
          tfjsCore.LogicalOr,
          logicalOrImpl,
          null /* complexImpl */,
          'bool',
        );
        var logicalOrConfig = {
          kernelName: tfjsCore.LogicalOr,
          backendName: 'cpu',
          kernelFunc: logicalOr,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function lRN(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var depthRadius = attrs.depthRadius,
            bias = attrs.bias,
            alpha = attrs.alpha,
            beta = attrs.beta;
          assertNotComplex(x, 'LRN');
          var channels = x.shape[3];
          var maxD = channels - 1;
          var xValues = backend.data.get(x.dataId).values;
          var size = tfjsCore.util.sizeFromShape(x.shape);
          var result = new Float32Array(size);
          function sumAcrossChannels(offset) {
            var currentChannel = offset % channels;
            var beginSumOffset =
              offset - currentChannel + Math.max(0, currentChannel - depthRadius);
            var endSumOffset =
              offset - currentChannel + Math.min(currentChannel + depthRadius, maxD);
            var sum = 0.0;
            for (; beginSumOffset <= endSumOffset; beginSumOffset++) {
              var z = xValues[beginSumOffset];
              sum += z * z;
            }
            return sum;
          }
          for (var offset = 0; offset < size; offset++) {
            var sum = sumAcrossChannels(offset);
            var val = xValues[offset] * Math.pow(bias + alpha * sum, -beta);
            result[offset] = val;
          }
          return backend.makeTensorInfo(x.shape, x.dtype, result);
        }
        var lRNConfig = {
          kernelName: tfjsCore.LRN,
          backendName: 'cpu',
          kernelFunc: lRN,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function lRNGrad(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            y = inputs.y,
            dy = inputs.dy;
          var depthRadius = attrs.depthRadius,
            bias = attrs.bias,
            alpha = attrs.alpha,
            beta = attrs.beta;
          assertNotComplex(dy, 'LRNGrad');
          var dySize = tfjsCore.util.sizeFromShape(dy.shape);
          var channels = dy.shape[3];
          var dyValues = backend.data.get(dy.dataId).values;
          var xValues = backend.data.get(x.dataId).values;
          var yValues = backend.data.get(y.dataId).values;
          var result = new Float32Array(dySize);
          var size = dySize;
          for (var offset = 0; offset < size; offset++) {
            var currentChannel = offset % channels;
            var depthBegin = offset - currentChannel + Math.max(0, currentChannel - depthRadius);
            var depthEnd =
              offset - currentChannel + Math.min(channels, currentChannel + depthRadius + 1);
            var norm = 0;
            for (var k = depthBegin; k < depthEnd; k++) {
              norm += Math.pow(xValues[k], 2);
            }
            norm = alpha * norm + bias;
            for (var k = depthBegin; k < depthEnd; k++) {
              var dyi = (-2 * alpha * beta * xValues[k] * yValues[offset]) / norm;
              if (offset === k) {
                dyi += Math.pow(norm, -beta);
              }
              dyi *= dyValues[offset];
              result[k] += dyi;
            }
          }
          return backend.makeTensorInfo(dy.shape, x.dtype, result);
        }
        var lRNGradConfig = {
          kernelName: tfjsCore.LRNGrad,
          backendName: 'cpu',
          kernelFunc: lRNGrad,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function max(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var reductionIndices = attrs.reductionIndices,
            keepDims = attrs.keepDims;
          var cpuBackend = backend;
          var xShape = x.shape;
          var xRank = xShape.length;
          var origAxes = tfjsCore.util.parseAxisParam(reductionIndices, xShape);
          var axes = origAxes;
          var permutedAxes = tfjsCore.backend_util.getAxesPermutation(axes, xRank);
          var xVals = cpuBackend.data.get(x.dataId).values;
          if (permutedAxes != null) {
            var newShape = new Array(xRank);
            for (var i = 0; i < newShape.length; i++) {
              newShape[i] = xShape[permutedAxes[i]];
            }
            xVals = transposeImpl(xVals, xShape, x.dtype, permutedAxes, newShape);
            axes = tfjsCore.backend_util.getInnerMostAxes(axes.length, xRank);
            xShape = newShape;
          }
          assertNotComplex(x, 'max');
          tfjsCore.backend_util.assertAxesAreInnerMostDims('max', axes, xRank);
          var _a = tfjsCore.backend_util.computeOutAndReduceShapes(xShape, axes),
            maxOutShape = _a[0],
            reduceShape = _a[1];
          var reduceSize = tfjsCore.util.sizeFromShape(reduceShape);
          var result = maxImpl(xVals, reduceSize, maxOutShape, x.dtype);
          var dataId = cpuBackend.write(result, maxOutShape, x.dtype);
          var outShape = maxOutShape;
          if (keepDims) {
            // reshape
            var newShape = tfjsCore.backend_util.expandShapeToKeepDim(maxOutShape, origAxes);
            outShape = newShape;
          }
          return { dataId: dataId, shape: outShape, dtype: x.dtype };
        }
        var maxConfig = {
          kernelName: tfjsCore.Max,
          backendName: 'cpu',
          kernelFunc: max,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function maxPool(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          assertNotComplex(x, 'maxPool');
          var filterSize = attrs.filterSize,
            strides = attrs.strides,
            pad = attrs.pad,
            dimRoundingMode = attrs.dimRoundingMode;
          var dilations = 1;
          tfjsCore.util.assert(
            tfjsCore.backend_util.eitherStridesOrDilationsAreOne(strides, dilations),
            function () {
              return (
                'Error in maxPool: Either strides or dilations must be 1. ' +
                ('Got strides ' + strides + " and dilations '" + dilations + "'")
              );
            },
          );
          var convInfo = tfjsCore.backend_util.computePool2DInfo(
            x.shape,
            filterSize,
            strides,
            dilations,
            pad,
            dimRoundingMode,
          );
          var res;
          if (
            convInfo.filterWidth === 1 &&
            convInfo.filterHeight === 1 &&
            tfjsCore.util.arraysEqual(convInfo.inShape, convInfo.outShape)
          ) {
            res = identity({ inputs: { x: x }, backend: backend });
          } else {
            var xValues = backend.data.get(x.dataId).values;
            var strides_1 = tfjsCore.util.computeStrides(x.shape);
            var buffer = pool(xValues, x.shape, x.dtype, strides_1, convInfo, 'max');
            res = backend.makeTensorInfo(convInfo.outShape, x.dtype, buffer.values);
          }
          return res;
        }
        var maxPoolConfig = {
          kernelName: tfjsCore.MaxPool,
          backendName: 'cpu',
          kernelFunc: maxPool,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function maxPool3D(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var filterSize = attrs.filterSize,
            strides = attrs.strides,
            pad = attrs.pad,
            dimRoundingMode = attrs.dimRoundingMode,
            dataFormat = attrs.dataFormat;
          assertNotComplex(x, 'maxPool3d');
          var convInfo = tfjsCore.backend_util.computePool3DInfo(
            x.shape,
            filterSize,
            strides,
            1 /* dilations */,
            pad,
            dimRoundingMode,
            dataFormat,
          );
          var xValues = backend.data.get(x.dataId).values;
          var outBuf = pool3d(
            xValues,
            x.shape,
            x.dtype,
            tfjsCore.util.computeStrides(x.shape),
            convInfo,
            'max',
          );
          return backend.makeTensorInfo(outBuf.shape, 'float32', outBuf.values);
        }
        var maxPool3DConfig = {
          kernelName: tfjsCore.MaxPool3D,
          backendName: 'cpu',
          kernelFunc: maxPool3D,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function maxPool3DGrad(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var dy = inputs.dy,
            input = inputs.input;
          var filterSize = attrs.filterSize,
            strides = attrs.strides,
            pad = attrs.pad,
            dimRoundingMode = attrs.dimRoundingMode;
          assertNotComplex([dy, input], 'maxPool3DGrad');
          var convInfo = tfjsCore.backend_util.computePool3DInfo(
            input.shape,
            filterSize,
            strides,
            1 /* dilations */,
            pad,
            dimRoundingMode,
          );
          var inputBuf = backend.bufferSync(input);
          var maxPosBuf = maxPool3dPositions(inputBuf, convInfo);
          var strideDepth = convInfo.strideDepth;
          var strideHeight = convInfo.strideHeight;
          var strideWidth = convInfo.strideWidth;
          var dilationDepth = convInfo.dilationDepth;
          var dilationHeight = convInfo.dilationHeight;
          var dilationWidth = convInfo.dilationWidth;
          var effectiveFilterDepth = convInfo.effectiveFilterDepth;
          var effectiveFilterHeight = convInfo.effectiveFilterHeight;
          var effectiveFilterWidth = convInfo.effectiveFilterWidth;
          var padFront = effectiveFilterDepth - 1 - convInfo.padInfo.front;
          var padLeft = effectiveFilterWidth - 1 - convInfo.padInfo.left;
          var padTop = effectiveFilterHeight - 1 - convInfo.padInfo.top;
          var dx = tfjsCore.buffer(input.shape, 'float32');
          var dyBuf = backend.bufferSync(dy);
          for (var batch = 0; batch < convInfo.batchSize; ++batch) {
            for (var channel = 0; channel < convInfo.inChannels; ++channel) {
              for (var dxDepth = 0; dxDepth < convInfo.inDepth; ++dxDepth) {
                for (var dxRow = 0; dxRow < convInfo.inHeight; ++dxRow) {
                  for (var dxCol = 0; dxCol < convInfo.inWidth; ++dxCol) {
                    // Shader code begins
                    var dyDepthCorner = dxDepth - padFront;
                    var dyRowCorner = dxRow - padTop;
                    var dyColCorner = dxCol - padLeft;
                    var dotProd = 0;
                    for (var wDepth = 0; wDepth < effectiveFilterDepth; wDepth += dilationDepth) {
                      var dyDepth = (dyDepthCorner + wDepth) / strideDepth;
                      if (
                        dyDepth < 0 ||
                        dyDepth >= convInfo.outDepth ||
                        Math.floor(dyDepth) !== dyDepth
                      ) {
                        continue;
                      }
                      for (var wRow = 0; wRow < effectiveFilterHeight; wRow += dilationHeight) {
                        var dyRow = (dyRowCorner + wRow) / strideHeight;
                        if (
                          dyRow < 0 ||
                          dyRow >= convInfo.outHeight ||
                          Math.floor(dyRow) !== dyRow
                        ) {
                          continue;
                        }
                        for (var wCol = 0; wCol < effectiveFilterWidth; wCol += dilationWidth) {
                          var dyCol = (dyColCorner + wCol) / strideWidth;
                          if (
                            dyCol < 0 ||
                            dyCol >= convInfo.outWidth ||
                            Math.floor(dyCol) !== dyCol
                          ) {
                            continue;
                          }
                          var maxPos =
                            effectiveFilterDepth * effectiveFilterHeight * effectiveFilterWidth -
                            1 -
                            maxPosBuf.get(batch, dyDepth, dyRow, dyCol, channel);
                          var curPos =
                            wDepth * effectiveFilterHeight * effectiveFilterWidth +
                            wRow * effectiveFilterWidth +
                            wCol;
                          var mask = maxPos === curPos ? 1 : 0;
                          if (mask === 0) {
                            continue;
                          }
                          var pixel = dyBuf.get(batch, dyDepth, dyRow, dyCol, channel);
                          dotProd += pixel * mask;
                        }
                      }
                    }
                    dx.set(dotProd, batch, dxDepth, dxRow, dxCol, channel);
                  }
                }
              }
            }
          }
          return backend.makeTensorInfo(dx.shape, dx.dtype, dx.values);
        }
        var maxPool3DGradConfig = {
          kernelName: tfjsCore.MaxPool3DGrad,
          backendName: 'cpu',
          kernelFunc: maxPool3DGrad,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function maxPoolGrad(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var dy = inputs.dy,
            input = inputs.input,
            output = inputs.output;
          var x = input;
          assertNotComplex([input, output], 'maxPoolGrad');
          var filterSize = attrs.filterSize,
            strides = attrs.strides,
            pad = attrs.pad,
            dimRoundingMode = attrs.dimRoundingMode;
          var convInfo = tfjsCore.backend_util.computePool2DInfo(
            x.shape,
            filterSize,
            strides,
            1 /* dilations */,
            pad,
            dimRoundingMode,
          );
          var xValues = backend.data.get(x.dataId).values;
          var maxPosBuf = tfjsCore.buffer(
            convInfo.outShape,
            x.dtype,
            maxPoolPositions(xValues, x.shape, x.dtype, convInfo).values,
          );
          var strideHeight = convInfo.strideHeight;
          var strideWidth = convInfo.strideWidth;
          var dilationHeight = convInfo.dilationHeight;
          var dilationWidth = convInfo.dilationWidth;
          var effectiveFilterHeight = convInfo.effectiveFilterHeight;
          var effectiveFilterWidth = convInfo.effectiveFilterWidth;
          var padLeft = effectiveFilterWidth - 1 - convInfo.padInfo.left;
          var padTop = effectiveFilterHeight - 1 - convInfo.padInfo.top;
          var dx = tfjsCore.buffer(x.shape, 'float32');
          var dyData = backend.data.get(dy.dataId).values;
          var dyBuf = tfjsCore.buffer(dy.shape, 'float32', dyData);
          for (var b = 0; b < convInfo.batchSize; ++b) {
            for (var d = 0; d < convInfo.inChannels; ++d) {
              for (var dxR = 0; dxR < convInfo.inHeight; ++dxR) {
                for (var dxC = 0; dxC < convInfo.inWidth; ++dxC) {
                  // Shader code begins.
                  var dyRCorner = dxR - padTop;
                  var dyCCorner = dxC - padLeft;
                  var dotProd = 0;
                  for (var wR = 0; wR < effectiveFilterHeight; wR += dilationHeight) {
                    var dyR = (dyRCorner + wR) / strideHeight;
                    if (dyR < 0 || dyR >= convInfo.outHeight || Math.floor(dyR) !== dyR) {
                      continue;
                    }
                    for (var wC = 0; wC < effectiveFilterWidth; wC += dilationWidth) {
                      var dyC = (dyCCorner + wC) / strideWidth;
                      if (dyC < 0 || dyC >= convInfo.outWidth || Math.floor(dyC) !== dyC) {
                        continue;
                      }
                      var maxPos =
                        effectiveFilterHeight * effectiveFilterWidth -
                        1 -
                        maxPosBuf.get(b, dyR, dyC, d);
                      var curPos = wR * effectiveFilterWidth + wC;
                      var mask = maxPos === curPos ? 1 : 0;
                      if (mask === 0) {
                        continue;
                      }
                      var pixel = dyBuf.get(b, dyR, dyC, d);
                      dotProd += pixel * mask;
                    }
                  }
                  dx.set(dotProd, b, dxR, dxC, d);
                }
              }
            }
          }
          return backend.makeTensorInfo(dx.shape, dx.dtype, dx.values);
        }
        var maxPoolGradConfig = {
          kernelName: tfjsCore.MaxPoolGrad,
          backendName: 'cpu',
          kernelFunc: maxPoolGrad,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function maxPoolWithArgmaxImpl(xValues, xShape, dtype, includeBatchInIndex, convInfo) {
          var strides = tfjsCore.util.computeStrides(xShape);
          var maxPools = pool(xValues, xShape, dtype, strides, convInfo, 'max');
          var maxPositions = maxPoolPositions(
            xValues,
            xShape,
            dtype,
            convInfo,
            true,
            includeBatchInIndex,
          );
          return [maxPools.values, maxPositions.values];
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var maxPoolWithArgmaxConfig = {
          kernelName: tfjsCore.MaxPoolWithArgmax,
          backendName: 'cpu',
          kernelFunc: function (_a) {
            var inputs = _a.inputs,
              attrs = _a.attrs,
              backend = _a.backend;
            var x = inputs.x;
            var _b = attrs,
              filterSize = _b.filterSize,
              strides = _b.strides,
              pad = _b.pad,
              includeBatchInIndex = _b.includeBatchInIndex;
            var cpuBackend = backend;
            assertNotComplex(x, 'MaxPoolWithArgmax');
            var values = cpuBackend.data.get(x.dataId).values;
            var convInfo = tfjsCore.backend_util.computePool2DInfo(
              x.shape,
              filterSize,
              strides,
              [1, 1],
              pad,
            );
            var _c = maxPoolWithArgmaxImpl(values, x.shape, x.dtype, includeBatchInIndex, convInfo),
              pooled = _c[0],
              indexes = _c[1];
            var pooledDataId = cpuBackend.write(pooled, convInfo.outShape, x.dtype);
            var indexesDataId = cpuBackend.write(indexes, convInfo.outShape, x.dtype);
            return [
              { dataId: pooledDataId, shape: convInfo.outShape, dtype: x.dtype },
              { dataId: indexesDataId, shape: convInfo.outShape, dtype: 'int32' },
            ];
          },
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function mean(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var axis = attrs.axis,
            keepDims = attrs.keepDims;
          var axes = tfjsCore.util.parseAxisParam(axis, x.shape);
          var shapes = tfjsCore.backend_util.computeOutAndReduceShapes(x.shape, axes);
          var reduceShape = shapes[1];
          var reduceSize = tfjsCore.util.sizeFromShape(reduceShape);
          var toDispose = [];
          var reduceSizeScalar = backend.makeTensorInfo(
            [],
            'float32',
            new Float32Array([reduceSize]),
          );
          toDispose.push(reduceSizeScalar);
          var $x = cast({ inputs: { x: x }, backend: backend, attrs: { dtype: 'float32' } });
          toDispose.push($x);
          var res = div({ inputs: { a: $x, b: reduceSizeScalar }, backend: backend });
          toDispose.push(res);
          var result = sum({
            inputs: { x: res },
            backend: backend,
            attrs: { axis: axis, keepDims: keepDims },
          });
          toDispose.forEach(function (t) {
            return backend.disposeIntermediateTensorInfo(t);
          });
          return result;
        }
        var meanConfig = {
          kernelName: tfjsCore.Mean,
          backendName: 'cpu',
          kernelFunc: mean,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function min(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var axis = attrs.axis,
            keepDims = attrs.keepDims;
          assertNotComplex(x, 'min');
          var origAxes = tfjsCore.util.parseAxisParam(axis, x.shape);
          var axes = origAxes;
          var permutedAxes = tfjsCore.backend_util.getAxesPermutation(axes, x.shape.length);
          var $x = x;
          if (permutedAxes != null) {
            $x = transpose({ inputs: { x: x }, backend: backend, attrs: { perm: permutedAxes } });
            axes = tfjsCore.backend_util.getInnerMostAxes(axes.length, x.shape.length);
          }
          tfjsCore.backend_util.assertAxesAreInnerMostDims('min', axes, $x.shape.length);
          var _a = tfjsCore.backend_util.computeOutAndReduceShapes($x.shape, axes),
            outShape = _a[0],
            reduceShape = _a[1];
          var reduceSize = tfjsCore.util.sizeFromShape(reduceShape);
          var vals = tfjsCore.util.makeZerosTypedArray(
            tfjsCore.util.sizeFromShape(outShape),
            $x.dtype,
          );
          var aVals = backend.data.get($x.dataId).values;
          for (var i = 0; i < vals.length; ++i) {
            var offset = i * reduceSize;
            var min_1 = aVals[offset];
            for (var j = 0; j < reduceSize; ++j) {
              var value = aVals[offset + j];
              if (Number.isNaN(value) || value < min_1) {
                // comparison with NaN always return false
                min_1 = value;
              }
            }
            vals[i] = min_1;
          }
          if (permutedAxes != null) {
            backend.disposeIntermediateTensorInfo($x);
          }
          var result = backend.makeTensorInfo(outShape, $x.dtype, vals);
          if (keepDims) {
            var expandedShape = tfjsCore.backend_util.expandShapeToKeepDim(outShape, origAxes);
            var reshapedResult = reshape({
              inputs: { x: result },
              backend: backend,
              attrs: { shape: expandedShape },
            });
            backend.disposeIntermediateTensorInfo(result);
            return reshapedResult;
          }
          return result;
        }
        var minConfig = {
          kernelName: tfjsCore.Min,
          backendName: 'cpu',
          kernelFunc: min,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function mirrorPad(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var paddings = attrs.paddings,
            mode = attrs.mode;
          assertNotComplex(x, 'mirrorPad');
          var outShape = paddings.map(
            function (p, i) {
              return p[0] /* beforePad */ + x.shape[i] + p[1];
            } /* afterPad */,
          );
          var start = paddings.map(function (p) {
            return p[0];
          });
          var end = paddings.map(function (p, i) {
            return p[0] + x.shape[i];
          });
          var offset = mode === 'reflect' ? 0 : 1;
          var xVals = backend.data.get(x.dataId).values;
          var xRank = x.shape.length;
          var xStrides = tfjsCore.util.computeStrides(x.shape);
          var resultSize = tfjsCore.util.sizeFromShape(outShape);
          var resultRank = outShape.length;
          var resultStrides = tfjsCore.util.computeStrides(outShape);
          var resVals = tfjsCore.util.getTypedArrayFromDType(x.dtype, resultSize);
          for (var i = 0; i < resultSize; i++) {
            var coords = tfjsCore.util.indexToLoc(i, resultRank, resultStrides);
            for (var i_1 = 0; i_1 < resultRank; i_1++) {
              if (coords[i_1] < start[i_1]) {
                coords[i_1] = start[i_1] * 2 - coords[i_1] - offset;
              } else if (coords[i_1] >= end[i_1]) {
                coords[i_1] = (end[i_1] - 1) * 2 - coords[i_1] + offset;
              }
            }
            coords = coords.map(function (c, i) {
              return c - start[i];
            });
            var inIndex = tfjsCore.util.locToIndex(coords, xRank, xStrides);
            resVals[i] = xVals[inIndex];
          }
          var outId = backend.write(resVals, outShape, x.dtype);
          return { dataId: outId, shape: outShape, dtype: x.dtype };
        }
        var mirrorPadConfig = {
          kernelName: tfjsCore.MirrorPad,
          backendName: 'cpu',
          kernelFunc: mirrorPad,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var modImpl = createSimpleBinaryKernelImpl(function (aValue, bValue) {
          var rem = aValue % bValue;
          if ((aValue < 0 && bValue < 0) || (aValue >= 0 && bValue >= 0)) {
            return rem;
          } else {
            return (rem + bValue) % bValue;
          }
        });
        var mod = binaryKernelFunc(tfjsCore.Mod, modImpl);
        var modConfig = {
          kernelName: tfjsCore.Mod,
          backendName: 'cpu',
          kernelFunc: mod,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function softmax(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var logits = inputs.logits;
          var dim = attrs.dim;
          var logitsRank = logits.shape.length;
          var $dim = dim;
          if ($dim === -1) {
            $dim = logitsRank - 1;
          }
          if ($dim !== logitsRank - 1) {
            throw Error(
              'Softmax along a non-last dimension is not yet supported. ' +
                ('Logits was rank ' + logitsRank + ' and dim was ' + $dim),
            );
          }
          var axes = tfjsCore.util.parseAxisParam([$dim], logits.shape);
          var maxLogit = max({
            inputs: { x: logits },
            backend: backend,
            attrs: { reductionIndices: axes, keepDims: false },
          });
          var expandedShape = tfjsCore.backend_util.expandShapeToKeepDim(maxLogit.shape, axes);
          var maxLogitReshaped = reshape({
            inputs: { x: maxLogit },
            backend: backend,
            attrs: { shape: expandedShape },
          });
          var a = sub({ inputs: { a: logits, b: maxLogitReshaped }, backend: backend });
          var b = exp({ inputs: { x: a }, backend: backend });
          var sumExp = sum({
            inputs: { x: b },
            backend: backend,
            attrs: { axis: axes, keepDims: false },
          });
          var sumReshaped = reshape({
            inputs: { x: sumExp },
            backend: backend,
            attrs: { shape: expandedShape },
          });
          var result = div({ inputs: { a: b, b: sumReshaped }, backend: backend });
          backend.disposeIntermediateTensorInfo(maxLogit);
          backend.disposeIntermediateTensorInfo(maxLogitReshaped);
          backend.disposeIntermediateTensorInfo(a);
          backend.disposeIntermediateTensorInfo(b);
          backend.disposeIntermediateTensorInfo(sumExp);
          backend.disposeIntermediateTensorInfo(sumReshaped);
          return result;
        }
        var softmaxConfig = {
          kernelName: tfjsCore.Softmax,
          backendName: 'cpu',
          kernelFunc: softmax,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function multinomial(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var logits = inputs.logits;
          var numSamples = attrs.numSamples,
            seed = attrs.seed,
            normalized = attrs.normalized;
          assertNotComplex(logits, 'multinomial');
          var probabilities = normalized
            ? logits
            : softmax({ inputs: { logits: logits }, backend: backend, attrs: { dim: -1 } });
          var batchSize = probabilities.shape[0];
          var numEvents = probabilities.shape[1];
          var probVals = backend.data.get(probabilities.dataId).values;
          var resShape = [batchSize, numSamples];
          var resVals = tfjsCore.util.makeZerosTypedArray(
            tfjsCore.util.sizeFromShape(resShape),
            'int32',
          );
          for (var b = 0; b < batchSize; ++b) {
            var offset = b * numEvents;
            // The cdf won't include the last event. It will be implicit if no other
            // event happened.
            var cdf = new Float32Array(numEvents - 1);
            cdf[0] = probVals[offset];
            for (var event_1 = 1; event_1 < cdf.length; ++event_1) {
              cdf[event_1] = cdf[event_1 - 1] + probVals[offset + event_1];
            }
            var random = seedrandom.alea(seed.toString());
            var outOffset = b * numSamples;
            for (var sampleId = 0; sampleId < numSamples; ++sampleId) {
              var r = random();
              // Assume last event happened by default.
              resVals[outOffset + sampleId] = cdf.length;
              for (var event_2 = 0; event_2 < cdf.length; event_2++) {
                if (r < cdf[event_2]) {
                  resVals[outOffset + sampleId] = event_2;
                  break;
                }
              }
            }
          }
          if (!normalized) {
            backend.disposeIntermediateTensorInfo(probabilities);
          }
          return backend.makeTensorInfo(resShape, 'int32', resVals);
        }
        var multinomialConfig = {
          kernelName: tfjsCore.Multinomial,
          backendName: 'cpu',
          kernelFunc: multinomial,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var nonMaxSuppressionV3Impl = tfjsCore.kernel_impls.nonMaxSuppressionV3Impl;
        function nonMaxSuppressionV3(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var boxes = inputs.boxes,
            scores = inputs.scores;
          var maxOutputSize = attrs.maxOutputSize,
            iouThreshold = attrs.iouThreshold,
            scoreThreshold = attrs.scoreThreshold;
          assertNotComplex(boxes, 'NonMaxSuppression');
          var boxesVals = backend.data.get(boxes.dataId).values;
          var scoresVals = backend.data.get(scores.dataId).values;
          var selectedIndices = nonMaxSuppressionV3Impl(
            boxesVals,
            scoresVals,
            maxOutputSize,
            iouThreshold,
            scoreThreshold,
          ).selectedIndices;
          return backend.makeTensorInfo(
            [selectedIndices.length],
            'int32',
            new Int32Array(selectedIndices),
          );
        }
        var nonMaxSuppressionV3Config = {
          kernelName: tfjsCore.NonMaxSuppressionV3,
          backendName: 'cpu',
          kernelFunc: nonMaxSuppressionV3,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var nonMaxSuppressionV4Impl = tfjsCore.kernel_impls.nonMaxSuppressionV4Impl;
        function nonMaxSuppressionV4(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var boxes = inputs.boxes,
            scores = inputs.scores;
          var maxOutputSize = attrs.maxOutputSize,
            iouThreshold = attrs.iouThreshold,
            scoreThreshold = attrs.scoreThreshold,
            padToMaxOutputSize = attrs.padToMaxOutputSize;
          assertNotComplex(boxes, 'NonMaxSuppressionPadded');
          var boxesVals = backend.data.get(boxes.dataId).values;
          var scoresVals = backend.data.get(scores.dataId).values;
          var _a = nonMaxSuppressionV4Impl(
              boxesVals,
              scoresVals,
              maxOutputSize,
              iouThreshold,
              scoreThreshold,
              padToMaxOutputSize,
            ),
            selectedIndices = _a.selectedIndices,
            validOutputs = _a.validOutputs;
          return [
            backend.makeTensorInfo(
              [selectedIndices.length],
              'int32',
              new Int32Array(selectedIndices),
            ),
            backend.makeTensorInfo([], 'int32', new Int32Array([validOutputs])),
          ];
        }
        var nonMaxSuppressionV4Config = {
          kernelName: tfjsCore.NonMaxSuppressionV4,
          backendName: 'cpu',
          kernelFunc: nonMaxSuppressionV4,
        };

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var nonMaxSuppressionV5Impl = tfjsCore.kernel_impls.nonMaxSuppressionV5Impl;
        function nonMaxSuppressionV5(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var boxes = inputs.boxes,
            scores = inputs.scores;
          var maxOutputSize = attrs.maxOutputSize,
            iouThreshold = attrs.iouThreshold,
            scoreThreshold = attrs.scoreThreshold,
            softNmsSigma = attrs.softNmsSigma;
          assertNotComplex(boxes, 'NonMaxSuppressionWithScore');
          var boxesVals = backend.data.get(boxes.dataId).values;
          var scoresVals = backend.data.get(scores.dataId).values;
          var maxOutputSizeVal = maxOutputSize;
          var iouThresholdVal = iouThreshold;
          var scoreThresholdVal = scoreThreshold;
          var softNmsSigmaVal = softNmsSigma;
          var _a = nonMaxSuppressionV5Impl(
              boxesVals,
              scoresVals,
              maxOutputSizeVal,
              iouThresholdVal,
              scoreThresholdVal,
              softNmsSigmaVal,
            ),
            selectedIndices = _a.selectedIndices,
            selectedScores = _a.selectedScores;
          return [
            backend.makeTensorInfo(
              [selectedIndices.length],
              'int32',
              new Int32Array(selectedIndices),
            ),
            backend.makeTensorInfo(
              [selectedScores.length],
              'float32',
              new Float32Array(selectedScores),
            ),
          ];
        }
        var nonMaxSuppressionV5Config = {
          kernelName: tfjsCore.NonMaxSuppressionV5,
          backendName: 'cpu',
          kernelFunc: nonMaxSuppressionV5,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function oneHot(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var indices = inputs.indices;
          var depth = attrs.depth,
            onValue = attrs.onValue,
            offValue = attrs.offValue;
          assertNotComplex(indices, 'oneHot');
          var indicesSize = tfjsCore.util.sizeFromShape(indices.shape);
          var res = new Float32Array(indicesSize * depth);
          res.fill(offValue);
          var indicesVal = backend.data.get(indices.dataId).values;
          for (var event_1 = 0; event_1 < indicesSize; ++event_1) {
            if (indicesVal[event_1] >= 0 && indicesVal[event_1] < depth) {
              res[event_1 * depth + indicesVal[event_1]] = onValue;
            }
          }
          return backend.makeTensorInfo(indices.shape.concat([depth]), 'int32', res);
        }
        var oneHotConfig = {
          kernelName: tfjsCore.OneHot,
          backendName: 'cpu',
          kernelFunc: oneHot,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function zerosLike(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var x = inputs.x;
          if (x.dtype === 'string') {
            throw new Error('zerosLike is not supported for string tensors');
          } else if (x.dtype === 'complex64') {
            var realPart = real({ inputs: { input: x }, backend: backend });
            var r = zerosLike({ inputs: { x: realPart }, backend: backend });
            var imagPart = imag({ inputs: { input: x }, backend: backend });
            var i = zerosLike({ inputs: { x: imagPart }, backend: backend });
            var result = complex({ inputs: { real: r, imag: i }, backend: backend });
            backend.disposeIntermediateTensorInfo(realPart);
            backend.disposeIntermediateTensorInfo(r);
            backend.disposeIntermediateTensorInfo(imagPart);
            backend.disposeIntermediateTensorInfo(i);
            return result;
          } else {
            return fill({ backend: backend, attrs: { shape: x.shape, value: 0, dtype: x.dtype } });
          }
        }
        var zerosLikeConfig = {
          kernelName: tfjsCore.ZerosLike,
          backendName: 'cpu',
          kernelFunc: zerosLike,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function onesLike(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var x = inputs.x;
          if (x.dtype === 'string') {
            throw new Error('onesLike is not supported for string tensors');
          } else if (x.dtype === 'complex64') {
            var realPart = real({ inputs: { input: x }, backend: backend });
            var r = onesLike({ inputs: { x: realPart }, backend: backend });
            var imagPart = imag({ inputs: { input: x }, backend: backend });
            var i = zerosLike({ inputs: { x: imagPart }, backend: backend });
            var result = complex({ inputs: { real: r, imag: i }, backend: backend });
            backend.disposeIntermediateTensorInfo(realPart);
            backend.disposeIntermediateTensorInfo(r);
            backend.disposeIntermediateTensorInfo(imagPart);
            backend.disposeIntermediateTensorInfo(i);
            return result;
          } else {
            return fill({ backend: backend, attrs: { shape: x.shape, value: 1, dtype: x.dtype } });
          }
        }
        var onesLikeConfig = {
          kernelName: tfjsCore.OnesLike,
          backendName: 'cpu',
          kernelFunc: onesLike,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function pack(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var axis = attrs.axis;
          if (inputs.length === 1) {
            return expandDims({
              inputs: { input: inputs[0] },
              backend: backend,
              attrs: { dim: axis },
            });
          }
          var shape = inputs[0].shape;
          var dtype = inputs[0].dtype;
          inputs.forEach(function (t) {
            tfjsCore.util.assertShapesMatch(
              shape,
              t.shape,
              'All tensors passed to stack must have matching shapes',
            );
            tfjsCore.util.assert(dtype === t.dtype, function () {
              return 'All tensors passed to stack must have matching dtypes';
            });
          });
          var intermediateTensorInfos = [];
          var expandedTensors = inputs.map(function (t) {
            var expandedT = expandDims({
              inputs: { input: t },
              backend: backend,
              attrs: { dim: axis },
            });
            intermediateTensorInfos.push(expandedT);
            return expandedT;
          });
          var result = concat({ inputs: expandedTensors, backend: backend, attrs: { axis: axis } });
          intermediateTensorInfos.forEach(function (t) {
            return backend.disposeIntermediateTensorInfo(t);
          });
          return result;
        }
        var packConfig = {
          kernelName: tfjsCore.Pack,
          backendName: 'cpu',
          kernelFunc: pack,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function padV2(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var paddings = attrs.paddings,
            constantValue = attrs.constantValue;
          assertNotComplex(x, 'pad');
          var outShape = paddings.map(
            function (p, i) {
              return p[0] /* beforePad */ + x.shape[i] + p[1];
            } /* afterPad */,
          );
          var start = paddings.map(function (p) {
            return p[0];
          });
          var xVals = backend.data.get(x.dataId).values;
          var xSize = tfjsCore.util.sizeFromShape(x.shape);
          var xRank = x.shape.length;
          var xStrides = tfjsCore.util.computeStrides(x.shape);
          var resultSize = tfjsCore.util.sizeFromShape(outShape);
          var resultRank = outShape.length;
          var resultStrides = tfjsCore.util.computeStrides(outShape);
          var resVals = tfjsCore.util.getTypedArrayFromDType(x.dtype, resultSize);
          if (constantValue !== 0) {
            resVals.fill(constantValue);
          }
          for (var i = 0; i < xSize; i++) {
            var coords = tfjsCore.util.indexToLoc(i, xRank, xStrides);
            var outCoords = coords.map(function (c, i) {
              return c + start[i];
            });
            var outIndex = tfjsCore.util.locToIndex(outCoords, resultRank, resultStrides);
            resVals[outIndex] = xVals[i];
          }
          var outId = backend.write(resVals, outShape, x.dtype);
          return { dataId: outId, shape: outShape, dtype: x.dtype };
        }
        var padV2Config = {
          kernelName: tfjsCore.PadV2,
          backendName: 'cpu',
          kernelFunc: padV2,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var powImpl = createSimpleBinaryKernelImpl(function (a, b) {
          return Math.pow(a, b);
        });
        var pow = binaryKernelFunc(tfjsCore.Pow, powImpl);
        var powConfig = {
          kernelName: tfjsCore.Pow,
          backendName: 'cpu',
          kernelFunc: pow,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function range(args) {
          var backend = args.backend,
            attrs = args.attrs;
          var start = attrs.start,
            stop = attrs.stop,
            dtype = attrs.dtype,
            step = attrs.step;
          var values = rangeImpl(start, stop, step, dtype);
          return backend.makeTensorInfo([values.length], dtype, values);
        }
        var rangeConfig = {
          kernelName: tfjsCore.Range,
          backendName: 'cpu',
          kernelFunc: range,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var reciprocal = unaryKernelFunc(tfjsCore.Reciprocal, function (xi) {
          return 1 / xi;
        });
        var reciprocalConfig = {
          kernelName: tfjsCore.Reciprocal,
          backendName: 'cpu',
          kernelFunc: reciprocal,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function resizeBilinear(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var images = inputs.images;
          var alignCorners = attrs.alignCorners,
            halfPixelCenters = attrs.halfPixelCenters,
            size = attrs.size;
          assertNotComplex(images, 'resizeBilinear');
          var imagesStrides = tfjsCore.util.computeStrides(images.shape);
          var newHeight = size[0],
            newWidth = size[1];
          var _a = images.shape,
            batch = _a[0],
            oldHeight = _a[1],
            oldWidth = _a[2],
            numChannels = _a[3];
          var xValues = backend.data.get(images.dataId).values;
          var result = new Float32Array(
            tfjsCore.util.sizeFromShape([batch, newHeight, newWidth, numChannels]),
          );
          var effectiveInputSize = [
            alignCorners && newHeight > 1 ? oldHeight - 1 : oldHeight,
            alignCorners && newWidth > 1 ? oldWidth - 1 : oldWidth,
          ];
          var effectiveOutputSize = [
            alignCorners && newHeight > 1 ? newHeight - 1 : newHeight,
            alignCorners && newWidth > 1 ? newWidth - 1 : newWidth,
          ];
          var outputIdx = 0;
          var effectiveRowSizeRatio = effectiveInputSize[0] / effectiveOutputSize[0];
          var effectiveColSizeRatio = effectiveInputSize[1] / effectiveOutputSize[1];
          for (var b = 0; b < batch; b++) {
            for (var r = 0; r < newHeight; r++) {
              var sourceFracRow = void 0;
              if (halfPixelCenters) {
                sourceFracRow = effectiveRowSizeRatio * (r + 0.5) - 0.5;
              } else {
                sourceFracRow = effectiveRowSizeRatio * r;
              }
              var sourceRowFloor = Math.max(0, Math.floor(sourceFracRow));
              var rowFrac = sourceFracRow - sourceRowFloor;
              var sourceRowCeil = Math.min(oldHeight - 1, Math.ceil(sourceFracRow));
              var topRowOffset = b * imagesStrides[0] + sourceRowFloor * imagesStrides[1];
              var botRowOffset = b * imagesStrides[0] + sourceRowCeil * imagesStrides[1];
              for (var c = 0; c < newWidth; c++) {
                var sourceFracCol = void 0;
                if (halfPixelCenters) {
                  sourceFracCol = effectiveColSizeRatio * (c + 0.5) - 0.5;
                } else {
                  sourceFracCol = effectiveColSizeRatio * c;
                }
                var sourceColFloor = Math.max(0, Math.floor(sourceFracCol));
                var colFrac = sourceFracCol - sourceColFloor;
                var sourceColCeil = Math.min(oldWidth - 1, Math.ceil(sourceFracCol));
                var topLeftOffest = topRowOffset + sourceColFloor * imagesStrides[2];
                var botLeftOffset = botRowOffset + sourceColFloor * imagesStrides[2];
                var topRightOffset = topRowOffset + sourceColCeil * imagesStrides[2];
                var botRightOffest = botRowOffset + sourceColCeil * imagesStrides[2];
                for (var d = 0; d < numChannels; d++) {
                  // Begin shader.
                  // Compute the fractional index of the source.
                  var topLeft = xValues[topLeftOffest + d];
                  var bottomLeft = xValues[botLeftOffset + d];
                  var topRight = xValues[topRightOffset + d];
                  var bottomRight = xValues[botRightOffest + d];
                  var top_1 = topLeft + (topRight - topLeft) * colFrac;
                  var bottom = bottomLeft + (bottomRight - bottomLeft) * colFrac;
                  var newValue = top_1 + (bottom - top_1) * rowFrac;
                  result[outputIdx++] = newValue;
                }
              }
            }
          }
          return backend.makeTensorInfo(
            [batch, newHeight, newWidth, numChannels],
            'float32',
            result,
          );
        }
        var resizeBilinearConfig = {
          kernelName: tfjsCore.ResizeBilinear,
          backendName: 'cpu',
          kernelFunc: resizeBilinear,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function resizeBilinearGrad(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var images = inputs.images,
            dy = inputs.dy;
          var alignCorners = attrs.alignCorners;
          assertNotComplex([dy, images], 'resizeBilinearGrad');
          var imagesStrides = tfjsCore.util.computeStrides(images.shape);
          var _a = images.shape,
            batch = _a[0],
            xHeight = _a[1],
            xWidth = _a[2],
            depth = _a[3];
          var _b = dy.shape,
            yHeight = _b[1],
            yWidth = _b[2];
          var output = new Float32Array(batch * xHeight * xWidth * depth);
          // In the backwards pass, we want to find the pixels that were generated
          // for each pixel in the input image the forward pass and add the
          // corresponding coefficient from dy to the gradient (with some
          // interpolation).
          var effectiveXSize = [
            alignCorners && yHeight > 1 ? xHeight - 1 : xHeight,
            alignCorners && yWidth > 1 ? xWidth - 1 : xWidth,
          ];
          var effectiveYSize = [
            alignCorners && yHeight > 1 ? yHeight - 1 : yHeight,
            alignCorners && yWidth > 1 ? yWidth - 1 : yWidth,
          ];
          var heightScale = effectiveXSize[0] / effectiveYSize[0];
          var widthScale = effectiveXSize[1] / effectiveYSize[1];
          // Reference implementation
          // tslint:disable-next-line:max-line-length
          // https://github.com/tensorflow/tensorflow/blob/3039375c86a5bbc9610c7725dcaa95d635f87ba2/tensorflow/core/kernels/resize_bilinear_op.cc#L275
          var dyValues = backend.data.get(dy.dataId).values;
          var offset = 0;
          for (var b = 0; b < batch; b++) {
            var bOffset = b * imagesStrides[0];
            for (var r = 0; r < yHeight; r++) {
              var dxR = r * heightScale;
              var topDxRIndex = Math.floor(dxR);
              var bottomDxRIndex = Math.min(Math.ceil(dxR), xHeight - 1);
              var topDxROffset = bOffset + topDxRIndex * imagesStrides[1];
              var bottomDxROffset = bOffset + bottomDxRIndex * imagesStrides[1];
              var dxRLerp = dxR - topDxRIndex;
              var inverseDxRLerp = 1.0 - dxRLerp;
              for (var c = 0; c < yWidth; c++) {
                var dxC = c * widthScale;
                var leftDxCIndex = Math.floor(dxC);
                var rightDxCIndex = Math.min(Math.ceil(dxC), xWidth - 1);
                var dxCLerp = dxC - leftDxCIndex;
                var inverseDxCLerp = 1.0 - dxCLerp;
                var topLeftRCOffset = topDxROffset + leftDxCIndex * imagesStrides[2];
                var topRightRCOffset = topDxROffset + rightDxCIndex * imagesStrides[2];
                var bottomLeftRCOffset = bottomDxROffset + leftDxCIndex * imagesStrides[2];
                var bottomRightRCOffset = bottomDxROffset + rightDxCIndex * imagesStrides[2];
                var inverseDxRLerpTimesInverseDxCLerp = inverseDxRLerp * inverseDxCLerp;
                var inverseDxRLerpTimesDxCLerp = inverseDxRLerp * dxCLerp;
                var dxRLerpTimesInverseDxCLerp = dxRLerp * inverseDxCLerp;
                var dxRLerpTimesDxCLerp = dxRLerp * dxCLerp;
                for (var d = 0; d < depth; d++) {
                  var dyVal = dyValues[offset++];
                  output[topLeftRCOffset + d] += dyVal * inverseDxRLerpTimesInverseDxCLerp;
                  output[topRightRCOffset + d] += dyVal * inverseDxRLerpTimesDxCLerp;
                  output[bottomLeftRCOffset + d] += dyVal * dxRLerpTimesInverseDxCLerp;
                  output[bottomRightRCOffset + d] += dyVal * dxRLerpTimesDxCLerp;
                }
              }
            }
          }
          return backend.makeTensorInfo([batch, xWidth, xHeight, depth], 'float32', output);
        }
        var resizeBilinearGradConfig = {
          kernelName: tfjsCore.ResizeBilinearGrad,
          backendName: 'cpu',
          kernelFunc: resizeBilinearGrad,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function resizeNearestNeighbor(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var images = inputs.images;
          var alignCorners = attrs.alignCorners,
            halfPixelCenters = attrs.halfPixelCenters,
            size = attrs.size;
          assertNotComplex(images, 'resizeNearestNeighbor');
          var imagesStrides = tfjsCore.util.computeStrides(images.shape);
          var newHeight = size[0],
            newWidth = size[1];
          var _a = images.shape,
            batch = _a[0],
            oldHeight = _a[1],
            oldWidth = _a[2],
            numChannels = _a[3];
          var xValues = backend.data.get(images.dataId).values;
          var output = new Float32Array(batch * newHeight * newWidth * numChannels);
          var effectiveInputSize = [
            alignCorners && newHeight > 1 ? oldHeight - 1 : oldHeight,
            alignCorners && newWidth > 1 ? oldWidth - 1 : oldWidth,
          ];
          var effectiveOutputSize = [
            alignCorners && newHeight > 1 ? newHeight - 1 : newHeight,
            alignCorners && newWidth > 1 ? newWidth - 1 : newWidth,
          ];
          var effectiveRowSizeRatio = effectiveInputSize[0] / effectiveOutputSize[0];
          var effectiveColSizeRatio = effectiveInputSize[1] / effectiveOutputSize[1];
          var outputOffset = 0;
          for (var b = 0; b < batch; b++) {
            var batchOffset = b * imagesStrides[0];
            for (var r = 0; r < newHeight; r++) {
              var sourceFracRow = halfPixelCenters
                ? effectiveRowSizeRatio * (r + 0.5)
                : effectiveRowSizeRatio * r;
              var sourceNearestRow = Math.min(
                oldHeight - 1,
                alignCorners ? Math.round(sourceFracRow) : Math.floor(sourceFracRow),
              );
              if (halfPixelCenters) {
                sourceNearestRow = Math.max(0, sourceNearestRow);
              }
              var rowOffset = batchOffset + sourceNearestRow * imagesStrides[1];
              for (var c = 0; c < newWidth; c++) {
                var sourceFracCol = halfPixelCenters
                  ? effectiveColSizeRatio * (c + 0.5)
                  : effectiveColSizeRatio * c;
                var sourceNearestCol = Math.min(
                  oldWidth - 1,
                  alignCorners ? Math.round(sourceFracCol) : Math.floor(sourceFracCol),
                );
                if (halfPixelCenters) {
                  sourceNearestCol = Math.max(0, sourceNearestCol);
                }
                var colOffset = rowOffset + sourceNearestCol * imagesStrides[2];
                for (var d = 0; d < numChannels; d++) {
                  // Begin shader.
                  // Compute the fractional index of the source.
                  var newVal = xValues[colOffset + d];
                  output[outputOffset++] = newVal;
                }
              }
            }
          }
          return backend.makeTensorInfo(
            [batch, newHeight, newWidth, numChannels],
            images.dtype,
            output,
          );
        }
        var resizeNearestNeighborConfig = {
          kernelName: tfjsCore.ResizeNearestNeighbor,
          backendName: 'cpu',
          kernelFunc: resizeNearestNeighbor,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function resizeNearestNeighborGrad(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var images = inputs.images,
            dy = inputs.dy;
          var alignCorners = attrs.alignCorners;
          assertNotComplex([dy, images], 'resizeNearestNeighborGrad');
          var imagesStrides = tfjsCore.util.computeStrides(images.shape);
          var dyStrides = tfjsCore.util.computeStrides(dy.shape);
          var _a = images.shape,
            batch = _a[0],
            xHeight = _a[1],
            xWidth = _a[2],
            depth = _a[3];
          var _b = dy.shape,
            yHeight = _b[1],
            yWidth = _b[2];
          var output = new Float32Array(batch * xHeight * xWidth * depth);
          var dyValues = backend.data.get(dy.dataId).values;
          // In the backwards pass, we want to find the pixels that were generated
          // for each pixel in the input image the forward pass
          var effectiveXSize = [
            alignCorners && yHeight > 1 ? xHeight - 1 : xHeight,
            alignCorners && yWidth > 1 ? xWidth - 1 : xWidth,
          ];
          var effectiveYSize = [
            alignCorners && yHeight > 1 ? yHeight - 1 : yHeight,
            alignCorners && yWidth > 1 ? yWidth - 1 : yWidth,
          ];
          var heightScale = effectiveXSize[0] / effectiveYSize[0];
          var widthScale = effectiveXSize[1] / effectiveYSize[1];
          var invHeightScale = 1 / heightScale;
          var invWidthScale = 1 / widthScale;
          // This defines the size of the window of values around a particular
          // index in dy that we want to search for contributions to dx.
          var winHeight = Math.ceil(invHeightScale) * 2 + 2;
          var winWidth = Math.ceil(invWidthScale) * 2 + 2;
          // Loop over the output space.
          for (var b = 0; b < batch; b++) {
            var batchOffset = b * imagesStrides[0];
            for (var r = 0; r < xHeight; r++) {
              var rowOffset = batchOffset + r * imagesStrides[1];
              // Compute bounds for where in dy we will look
              var startRLerp = Math.floor(r * invHeightScale);
              var startDyR = Math.floor(startRLerp - winHeight / 2);
              for (var c = 0; c < xWidth; c++) {
                var colOffset = rowOffset + c * imagesStrides[2];
                // Compute bounds for where in dy we will look
                var startCLerp = Math.floor(c * invWidthScale);
                var startDyC = Math.floor(startCLerp - winWidth / 2);
                for (var d = 0; d < depth; d++) {
                  var accum = 0;
                  // loop over dy
                  for (var dyRIndex = 0; dyRIndex < winHeight; dyRIndex++) {
                    var dyR = dyRIndex + startDyR;
                    // Guard against the window exceeding the bounds of dy
                    if (dyR < 0 || dyR >= yHeight) {
                      continue;
                    }
                    var dyROffset = batchOffset + dyR * dyStrides[1];
                    var sourceFracRow = dyR * heightScale;
                    var sourceNearestRow = Math.min(
                      xHeight - 1,
                      alignCorners ? Math.round(sourceFracRow) : Math.floor(sourceFracRow),
                    );
                    if (r !== sourceNearestRow) {
                      continue;
                    }
                    for (var dyCIndex = 0; dyCIndex < winWidth; dyCIndex++) {
                      var dyC = dyCIndex + startDyC;
                      // Guard against the window exceeding the bounds of dy
                      if (dyC < 0 || dyC >= yWidth) {
                        continue;
                      }
                      var dyCOffset = dyROffset + dyC * dyStrides[2];
                      var sourceFracCol = dyC * widthScale;
                      var sourceNearestCol = Math.min(
                        xWidth - 1,
                        alignCorners ? Math.round(sourceFracCol) : Math.floor(sourceFracCol),
                      );
                      if (c === sourceNearestCol) {
                        accum += dyValues[dyCOffset + d];
                      }
                    }
                  }
                  output[colOffset + d] = accum;
                }
              }
            }
          }
          return backend.makeTensorInfo(images.shape, images.dtype, output);
        }
        var resizeNearestNeighborGradConfig = {
          kernelName: tfjsCore.ResizeNearestNeighborGrad,
          backendName: 'cpu',
          kernelFunc: resizeNearestNeighborGrad,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function reverse(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var dims = attrs.dims;
          assertNotComplex(x, 'reverse');
          var xRank = x.shape.length;
          var $dims = tfjsCore.util.parseAxisParam(dims, x.shape);
          if (xRank === 0) {
            return identity({ inputs: { x: x }, backend: backend });
          }
          var outBuf = new tfjsCore.TensorBuffer(x.shape, x.dtype);
          var xBuf = backend.bufferSync(x);
          var _loop_1 = function (i) {
            var outLoc = outBuf.indexToLoc(i);
            var inLoc = outLoc.slice();
            $dims.forEach(function (d) {
              return (inLoc[d] = x.shape[d] - 1 - inLoc[d]);
            });
            outBuf.set.apply(outBuf, [xBuf.get.apply(xBuf, inLoc)].concat(outLoc));
          };
          for (var i = 0; i < outBuf.size; i++) {
            _loop_1(i);
          }
          return backend.makeTensorInfo(outBuf.shape, outBuf.dtype, outBuf.values);
        }
        var reverseConfig = {
          kernelName: tfjsCore.Reverse,
          backendName: 'cpu',
          kernelFunc: reverse,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var rotateWithOffsetConfig = {
          kernelName: tfjsCore.RotateWithOffset,
          backendName: 'cpu',
          kernelFunc: function (_a) {
            var inputs = _a.inputs,
              attrs = _a.attrs,
              backend = _a.backend;
            var image = inputs.image;
            var _b = attrs,
              radians = _b.radians,
              fillValue = _b.fillValue,
              center = _b.center;
            var cpuBackend = backend;
            var output = tfjsCore.util.getTypedArrayFromDType(
              image.dtype,
              tfjsCore.util.sizeFromShape(image.shape),
            );
            var _c = image.shape,
              batch = _c[0],
              imageHeight = _c[1],
              imageWidth = _c[2],
              numChannels = _c[3];
            var _d = tfjsCore.backend_util.getImageCenter(center, imageHeight, imageWidth),
              centerX = _d[0],
              centerY = _d[1];
            var fullOpacityValue = 255;
            var sinFactor = Math.sin(radians);
            var cosFactor = Math.cos(radians);
            var imageVals = cpuBackend.data.get(image.dataId).values;
            for (var batchIdx = 0; batchIdx < batch; batchIdx++) {
              var batchOffset = batchIdx * imageWidth * imageHeight * numChannels;
              for (var row = 0; row < imageHeight; row++) {
                var rowOffset = row * (imageWidth * numChannels);
                for (var col = 0; col < imageWidth; col++) {
                  var colOffset = col * numChannels;
                  for (var channel = 0; channel < numChannels; channel++) {
                    var coords = [batch, row, col, channel];
                    var x = coords[2];
                    var y = coords[1];
                    // coordX/coordY are the result of rotating and translating x/y.
                    var coordX = (x - centerX) * cosFactor - (y - centerY) * sinFactor;
                    var coordY = (x - centerX) * sinFactor + (y - centerY) * cosFactor;
                    coordX = Math.round(coordX + centerX);
                    coordY = Math.round(coordY + centerY);
                    var outputValue = fillValue;
                    if (typeof fillValue !== 'number') {
                      if (channel === 3) {
                        outputValue = fullOpacityValue;
                      } else {
                        outputValue = fillValue[channel];
                      }
                    }
                    // If the coordinate position falls within the image boundaries...
                    if (coordX >= 0 && coordX < imageWidth && coordY >= 0 && coordY < imageHeight) {
                      // set the output to the image value at the coordinate position.
                      var rotatedRowOffset = coordY * (imageWidth * numChannels);
                      var rotatedColOffset = coordX * numChannels;
                      var imageIdx = batchOffset + rotatedRowOffset + rotatedColOffset + channel;
                      outputValue = imageVals[imageIdx];
                    }
                    var outIdx = batchOffset + rowOffset + colOffset + channel;
                    output[outIdx] = outputValue;
                  }
                }
              }
            }
            var dataId = cpuBackend.write(output, image.shape, image.dtype);
            return { dataId: dataId, shape: image.shape, dtype: image.dtype };
          },
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var round = unaryKernelFunc(tfjsCore.Round, function (xi) {
          // The algorithm is based on banker's rounding.
          var base = Math.floor(xi);
          if (xi - base < 0.5) {
            return Math.floor(xi);
          } else if (xi - base > 0.5) {
            return Math.ceil(xi);
          } else {
            if (base % 2.0 === 0.0) {
              return base;
            } else {
              return base + 1.0;
            }
          }
        });
        var roundConfig = {
          kernelName: tfjsCore.Round,
          backendName: 'cpu',
          kernelFunc: round,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function scatterImpl(
          indices,
          updates,
          shape,
          outputSize,
          sliceSize,
          numUpdates,
          sliceRank,
          strides,
          defaultValue,
          sumDupeIndices,
        ) {
          var flattenShape = [outputSize / sliceSize, sliceSize];
          var indicesData = indices.values;
          var updatesData = updates.values;
          if (outputSize === 0) {
            return tfjsCore.buffer(shape, updates.dtype);
          }
          var outBuf = tfjsCore.buffer(flattenShape, updates.dtype);
          outBuf.values.fill(defaultValue);
          for (var i = 0; i < numUpdates; i++) {
            var index = [];
            var flattenIndex = 0;
            for (var j = 0; j < sliceRank; j++) {
              var dim = indicesData[i * sliceRank + j];
              index.push(dim);
              flattenIndex += dim * strides[j];
            }
            if (flattenIndex < 0 || flattenIndex >= outputSize / sliceSize) {
              throw new Error('Invalid indices: ' + index + ' does not index into ' + shape);
            }
            for (var k = 0; k < sliceSize; k++) {
              if (sumDupeIndices) {
                outBuf.values[flattenIndex * sliceSize + k] += updatesData[i * sliceSize + k];
              } else {
                outBuf.values[flattenIndex * sliceSize + k] =
                  updates.rank === 0 ? updatesData[0] : updatesData[i * sliceSize + k];
              }
            }
          }
          return outBuf;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function scatterNd(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var indices = inputs.indices,
            updates = inputs.updates;
          var shape = attrs.shape;
          var _a = tfjsCore.backend_util.calculateShapes(updates, indices, shape),
            sliceRank = _a.sliceRank,
            numUpdates = _a.numUpdates,
            sliceSize = _a.sliceSize,
            strides = _a.strides,
            outputSize = _a.outputSize;
          var sumDupeIndices = true;
          var indicesBuf = backend.bufferSync(indices);
          var updatesBuf = backend.bufferSync(updates);
          var outBuf = scatterImpl(
            indicesBuf,
            updatesBuf,
            shape,
            outputSize,
            sliceSize,
            numUpdates,
            sliceRank,
            strides,
            0 /* defaultValue */,
            sumDupeIndices,
          );
          return backend.makeTensorInfo(shape, outBuf.dtype, outBuf.values);
        }
        var scatterNdConfig = {
          kernelName: tfjsCore.ScatterNd,
          backendName: 'cpu',
          kernelFunc: scatterNd,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function select(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var condition = inputs.condition,
            t = inputs.t,
            e = inputs.e;
          assertNotComplex([condition, t, e], 'select');
          var conditionRank = condition.shape.length;
          var values = backend.data.get(condition.dataId).values;
          var tValues = backend.data.get(t.dataId).values;
          var eValues = backend.data.get(e.dataId).values;
          var resultDtype = tfjsCore.upcastType(t.dtype, e.dtype);
          var newValues = tfjsCore.util.makeZerosTypedArray(
            tfjsCore.util.sizeFromShape(t.shape),
            resultDtype,
          );
          var index = 0;
          var offset =
            conditionRank === 0 || conditionRank > 1 || t.shape.length === 1
              ? 1
              : tfjsCore.util.sizeFromShape(t.shape.slice(1));
          for (var i = 0; i < values.length; i++) {
            for (var j = 0; j < offset; j++) {
              if (values[i] === 1) {
                newValues[index++] = tValues[i];
              } else {
                newValues[index++] = eValues[i];
              }
            }
          }
          return backend.makeTensorInfo(t.shape, resultDtype, newValues);
        }
        var selectConfig = {
          kernelName: tfjsCore.Select,
          backendName: 'cpu',
          kernelFunc: select,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var scaleAlpha = tfjsCore.backend_util.SELU_SCALEALPHA;
        var scale = tfjsCore.backend_util.SELU_SCALE;
        var selu = unaryKernelFunc(tfjsCore.Selu, function (xi) {
          if (xi >= 0) {
            return scale * xi;
          } else {
            return scaleAlpha * (Math.exp(xi) - 1);
          }
        });
        var seluConfig = {
          kernelName: tfjsCore.Selu,
          backendName: 'cpu',
          kernelFunc: selu,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var sign = unaryKernelFunc(tfjsCore.Sign, function (xi) {
          if (xi < 0) {
            return -1;
          } else if (xi > 0) {
            return 1;
          } else {
            return 0;
          }
        });
        var signConfig = {
          kernelName: tfjsCore.Sign,
          backendName: 'cpu',
          kernelFunc: sign,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var sin = unaryKernelFunc(tfjsCore.Sin, function (xi) {
          return Math.sin(xi);
        });
        var sinConfig = {
          kernelName: tfjsCore.Sin,
          backendName: 'cpu',
          kernelFunc: sin,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var sinh = unaryKernelFunc(tfjsCore.Sinh, function (xi) {
          return Math.sinh(xi);
        });
        var sinhConfig = {
          kernelName: tfjsCore.Sinh,
          backendName: 'cpu',
          kernelFunc: sinh,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        // mirrors the implementation of tf.nn.softplus: https://goo.gl/vkcvwX
        // epsilon is the difference between 1.0 and the next representable float.
        // For a single precision 32 bit float this should be 2^-23, see:
        // https://math.byu.edu/~schow/work/IEEEFloatingPoint.htm
        var epsilon = 1.1920928955078125e-7;
        var threshold = Math.log(epsilon) + 2.0;
        var softplus = unaryKernelFunc(tfjsCore.Softplus, function (xi) {
          // Value above which exp(x) may overflow, but softplus(x) == x
          // is within machine epsilon.
          var tooLarge = xi > -threshold;
          // Value below which exp(x) may underflow, but softplus(x) == exp(x)
          // is within machine epsilon.
          var tooSmall = xi < threshold;
          var expX = Math.exp(xi);
          var result;
          if (tooSmall) {
            result = expX;
          } else if (tooLarge) {
            result = xi;
          } else {
            result = Math.log(1.0 + expX);
          }
          return result;
        });
        var softplusConfig = {
          kernelName: tfjsCore.Softplus,
          backendName: 'cpu',
          kernelFunc: softplus,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function spaceToBatchND(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var blockShape = attrs.blockShape,
            paddings = attrs.paddings;
          assertNotComplex([x], 'spaceToBatchND');
          var prod = tfjsCore.util.sizeFromShape(blockShape);
          var completePaddings = [[0, 0]];
          completePaddings.push.apply(completePaddings, paddings);
          for (var i = 1 + blockShape.length; i < x.shape.length; ++i) {
            completePaddings.push([0, 0]);
          }
          var paddedX = padV2Config.kernelFunc({
            inputs: { x: x },
            backend: backend,
            attrs: { paddings: completePaddings, constantValue: 0 },
          });
          var reshapedPaddedShape = tfjsCore.backend_util.getReshaped(
            paddedX.shape,
            blockShape,
            prod,
            false,
          );
          var permutedReshapedPaddedPermutation = tfjsCore.backend_util.getPermuted(
            reshapedPaddedShape.length,
            blockShape.length,
            false,
          );
          var flattenShape = tfjsCore.backend_util.getReshapedPermuted(
            paddedX.shape,
            blockShape,
            prod,
            false,
          );
          var reshapeInputs = { x: paddedX };
          var reshapeAttrs = { shape: reshapedPaddedShape };
          var paddedXReshaped = reshape({
            inputs: reshapeInputs,
            backend: backend,
            attrs: reshapeAttrs,
          });
          var transposeInputs = { x: paddedXReshaped };
          var transposeAttrs = { perm: permutedReshapedPaddedPermutation };
          var paddedXT = transpose({
            inputs: transposeInputs,
            backend: backend,
            attrs: transposeAttrs,
          });
          var resultReshapeInputs = { x: paddedXT };
          var resultReshapeAttrs = { shape: flattenShape };
          var result = reshape({
            inputs: resultReshapeInputs,
            backend: backend,
            attrs: resultReshapeAttrs,
          });
          backend.disposeIntermediateTensorInfo(paddedX);
          backend.disposeIntermediateTensorInfo(paddedXReshaped);
          backend.disposeIntermediateTensorInfo(paddedXT);
          return result;
        }
        var spaceToBatchNDConfig = {
          kernelName: tfjsCore.SpaceToBatchND,
          backendName: 'cpu',
          kernelFunc: spaceToBatchND,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sparseFillEmptyRows(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var indices = inputs.indices,
            values = inputs.values,
            denseShape = inputs.denseShape,
            defaultValue = inputs.defaultValue;
          if (denseShape.shape.length !== 1) {
            throw new Error('Dense shape must be a vector, saw:\n        ' + denseShape.shape);
          }
          if (indices.shape.length !== 2) {
            throw new Error('Indices must be a matrix, saw:\n        ' + indices.shape);
          }
          if (values.shape.length !== 1) {
            throw new Error('Values must be a vector, saw:\n        ' + values.shape);
          }
          if (defaultValue.shape.length !== 0) {
            throw new Error('Default value must be a scalar, saw:\n        ' + defaultValue.shape);
          }
          var $indices = backend.data.get(indices.dataId).values;
          var $values = backend.data.get(values.dataId).values;
          var $denseShape = backend.data.get(denseShape.dataId).values;
          var $defaultValue = backend.data.get(defaultValue.dataId).values[0];
          var _a = sparseFillEmptyRowsImpl(
              $indices,
              indices.shape,
              indices.dtype,
              $values,
              values.dtype,
              $denseShape,
              $defaultValue,
            ),
            outputIndices = _a[0],
            outputIndicesShape = _a[1],
            outputValues = _a[2],
            emptyRowIndicator = _a[3],
            reverseIndexMap = _a[4];
          return [
            backend.makeTensorInfo(outputIndicesShape, indices.dtype, outputIndices),
            backend.makeTensorInfo([outputIndicesShape[0]], values.dtype, outputValues),
            backend.makeTensorInfo(
              [emptyRowIndicator.length],
              'bool',
              new Uint8Array(
                emptyRowIndicator.map(function (value) {
                  return Number(value);
                }),
              ),
            ),
            backend.makeTensorInfo(
              [reverseIndexMap.length],
              indices.dtype,
              new Int32Array(reverseIndexMap),
            ),
          ];
        }
        var sparseFillEmptyRowsConfig = {
          kernelName: tfjsCore.SparseFillEmptyRows,
          backendName: 'cpu',
          kernelFunc: sparseFillEmptyRows,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sparseReshape(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var inputIndices = inputs.inputIndices,
            inputShape = inputs.inputShape,
            newShape = inputs.newShape;
          if (inputIndices.shape.length !== 2) {
            throw new Error(
              'Input indices should be a matrix but received shape\n        ' + inputIndices.shape,
            );
          }
          if (inputShape.shape.length !== 1) {
            throw new Error(
              'Input shape should be a vector but received shape\n        ' + inputShape.shape,
            );
          }
          if (newShape.shape.length !== 1) {
            throw new Error('Target shape should be a vector but received shape ' + newShape.shape);
          }
          var $inputShape = Array.from(backend.data.get(inputShape.dataId).values);
          var $inputIndices = backend.data.get(inputIndices.dataId).values;
          var targetShape = Array.from(backend.data.get(newShape.dataId).values);
          var _a = sparseReshapeImpl(
              $inputIndices,
              inputIndices.shape,
              inputIndices.dtype,
              $inputShape,
              targetShape,
            ),
            newIndices = _a[0],
            indicesShape = _a[1],
            outputShape = _a[2];
          return [
            backend.makeTensorInfo(indicesShape, inputIndices.dtype, newIndices),
            backend.makeTensorInfo(
              [outputShape.length],
              newShape.dtype,
              new Int32Array(outputShape),
            ),
          ];
        }
        var sparseReshapeConfig = {
          kernelName: tfjsCore.SparseReshape,
          backendName: 'cpu',
          kernelFunc: sparseReshape,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sparseSegmentMean(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var data = inputs.data,
            indices = inputs.indices,
            segmentIds = inputs.segmentIds;
          if (data.shape.length < 1) {
            throw new Error('Data should be at least 1 dimensional but received scalar');
          }
          if (indices.shape.length !== 1) {
            throw new Error(
              'Indices should be a vector but received shape\n          ' + indices.shape,
            );
          }
          if (segmentIds.shape.length !== 1) {
            throw new Error(
              'Segment ids should be a vector but received shape\n          ' + segmentIds.shape,
            );
          }
          var $data = backend.data.get(data.dataId).values;
          var $indices = backend.data.get(indices.dataId).values;
          var $segmentIds = backend.data.get(segmentIds.dataId).values;
          var _a = sparseSegmentReductionImpl(
              $data,
              data.shape,
              data.dtype,
              $indices,
              $segmentIds,
              true,
            ),
            outputData = _a[0],
            outputDataShape = _a[1];
          return backend.makeTensorInfo(outputDataShape, data.dtype, outputData);
        }
        var sparseSegmentMeanConfig = {
          kernelName: tfjsCore.SparseSegmentMean,
          backendName: 'cpu',
          kernelFunc: sparseSegmentMean,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sparseSegmentSum(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var data = inputs.data,
            indices = inputs.indices,
            segmentIds = inputs.segmentIds;
          if (data.shape.length < 1) {
            throw new Error('Data should be at least 1 dimensional but received scalar');
          }
          if (indices.shape.length !== 1) {
            throw new Error(
              'Indices should be a vector but received shape\n         ' + indices.shape,
            );
          }
          if (segmentIds.shape.length !== 1) {
            throw new Error(
              'Segment ids should be a vector but received shape\n         ' + segmentIds.shape,
            );
          }
          var $data = backend.data.get(data.dataId).values;
          var $indices = backend.data.get(indices.dataId).values;
          var $segmentIds = backend.data.get(segmentIds.dataId).values;
          var _a = sparseSegmentReductionImpl($data, data.shape, data.dtype, $indices, $segmentIds),
            outputData = _a[0],
            outputDataShape = _a[1];
          return backend.makeTensorInfo(outputDataShape, data.dtype, outputData);
        }
        var sparseSegmentSumConfig = {
          kernelName: tfjsCore.SparseSegmentSum,
          backendName: 'cpu',
          kernelFunc: sparseSegmentSum,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sparseToDense(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var sparseIndices = inputs.sparseIndices,
            sparseValues = inputs.sparseValues,
            defaultValue = inputs.defaultValue;
          var outputShape = attrs.outputShape;
          var _a = tfjsCore.backend_util.calculateShapes(sparseValues, sparseIndices, outputShape),
            sliceRank = _a.sliceRank,
            numUpdates = _a.numUpdates,
            sliceSize = _a.sliceSize,
            strides = _a.strides,
            outputSize = _a.outputSize;
          var sumDupeIndices = false;
          var indicesBuf = backend.bufferSync(sparseIndices);
          var updatesBuf = backend.bufferSync(sparseValues);
          var $defaultValue = backend.data.get(defaultValue.dataId).values[0];
          var outBuf = scatterImpl(
            indicesBuf,
            updatesBuf,
            outputShape,
            outputSize,
            sliceSize,
            numUpdates,
            sliceRank,
            strides,
            $defaultValue,
            sumDupeIndices,
          );
          return backend.makeTensorInfo(outputShape, outBuf.dtype, outBuf.values);
        }
        var sparseToDenseConfig = {
          kernelName: tfjsCore.SparseToDense,
          backendName: 'cpu',
          kernelFunc: sparseToDense,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function splitV(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var numOrSizeSplits = attrs.numOrSizeSplits,
            axis = attrs.axis;
          var $axis = tfjsCore.util.parseAxisParam(axis, x.shape)[0];
          var splitSizes = tfjsCore.backend_util.prepareSplitSize(x, numOrSizeSplits, $axis);
          var begin = new Array(x.shape.length).fill(0);
          var size = x.shape.slice();
          return splitSizes.map(function (s) {
            var sliceSize = size.slice();
            sliceSize[$axis] = s;
            var sliceT = slice({
              inputs: { x: x },
              backend: backend,
              attrs: { begin: begin, size: sliceSize },
            });
            begin[$axis] += s;
            return sliceT;
          });
        }
        var splitVConfig = {
          kernelName: tfjsCore.SplitV,
          backendName: 'cpu',
          kernelFunc: splitV,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var sqrt = unaryKernelFunc(tfjsCore.Sqrt, function (xi) {
          return Math.sqrt(xi);
        });
        var sqrtConfig = {
          kernelName: tfjsCore.Sqrt,
          backendName: 'cpu',
          kernelFunc: sqrt,
        };

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var squareConfig = {
          kernelName: tfjsCore.Square,
          backendName: 'cpu',
          kernelFunc: function (_a) {
            var inputs = _a.inputs,
              backend = _a.backend;
            var x = inputs.x;
            var cpuBackend = backend;
            assertNotComplex(x, 'square');
            var values = cpuBackend.data.get(x.dataId).values;
            var newValues = new Float32Array(values.length);
            for (var i = 0; i < values.length; ++i) {
              var value = values[i];
              newValues[i] = value * value;
            }
            var dataId = cpuBackend.write(newValues, x.shape, x.dtype);
            return { dataId: dataId, shape: x.shape, dtype: x.dtype };
          },
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var step = unaryKernelFunc(tfjsCore.Step, function (xi, attrs) {
          var stepAttrs = attrs;
          if (isNaN(xi)) {
            return NaN;
          } else {
            return xi > 0 ? 1 : stepAttrs.alpha;
          }
        });
        var stepConfig = {
          kernelName: tfjsCore.Step,
          backendName: 'cpu',
          kernelFunc: step,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function stridedSlice(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var begin = attrs.begin,
            end = attrs.end,
            strides = attrs.strides,
            beginMask = attrs.beginMask,
            endMask = attrs.endMask,
            ellipsisMask = attrs.ellipsisMask,
            newAxisMask = attrs.newAxisMask,
            shrinkAxisMask = attrs.shrinkAxisMask;
          assertNotComplex(x, 'stridedSlice');
          var _a = tfjsCore.slice_util.sliceInfo(
              x.shape,
              begin,
              end,
              strides,
              beginMask,
              endMask,
              ellipsisMask,
              newAxisMask,
              shrinkAxisMask,
            ),
            nonStrided = _a.nonStrided,
            $begin = _a.$begin,
            $strides = _a.$strides,
            size = _a.size,
            newShape = _a.newShape,
            outShape = _a.outShape;
          var $x = reshape({ inputs: { x: x }, backend: backend, attrs: { shape: newShape } });
          var result;
          if (nonStrided) {
            var sliced = slice({
              inputs: { x: $x },
              backend: backend,
              attrs: { begin: $begin, size: size },
            });
            result = reshape({
              inputs: { x: sliced },
              backend: backend,
              attrs: { shape: outShape },
            });
            backend.disposeIntermediateTensorInfo(sliced);
          } else if (
            outShape.some(function (axis) {
              return axis === 0;
            })
          ) {
            result = backend.makeTensorInfo(outShape, x.dtype, []);
          } else {
            var xBuf = backend.bufferSync($x);
            var outBuf = stridedSliceImpl(outShape, xBuf, $strides, $begin);
            result = backend.makeTensorInfo(outBuf.shape, outBuf.dtype, outBuf.values);
          }
          var resultReshaped = reshape({
            inputs: { x: result },
            backend: backend,
            attrs: { shape: outShape },
          });
          backend.disposeIntermediateTensorInfo($x);
          backend.disposeIntermediateTensorInfo(result);
          return resultReshaped;
        }
        var stridedSliceConfig = {
          kernelName: tfjsCore.StridedSlice,
          backendName: 'cpu',
          kernelFunc: stridedSlice,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function stringNGrams(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var separator = attrs.separator,
            nGramWidths = attrs.nGramWidths,
            leftPad = attrs.leftPad,
            rightPad = attrs.rightPad,
            padWidth = attrs.padWidth,
            preserveShortSequences = attrs.preserveShortSequences;
          var data = inputs.data,
            dataSplits = inputs.dataSplits;
          var $data = backend.data.get(data.dataId).values;
          var $dataSplits = backend.data.get(dataSplits.dataId).values;
          var _a = stringNGramsImpl(
              $data,
              $dataSplits,
              separator,
              nGramWidths,
              leftPad,
              rightPad,
              padWidth,
              preserveShortSequences,
            ),
            nGrams = _a[0],
            nGramsSplits = _a[1];
          return [
            backend.makeTensorInfo([nGrams.length], 'string', nGrams),
            backend.makeTensorInfo(dataSplits.shape, 'int32', nGramsSplits),
          ];
        }
        var stringNGramsConfig = {
          kernelName: tfjsCore.StringNGrams,
          backendName: 'cpu',
          kernelFunc: stringNGrams,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function stringSplit(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var skipEmpty = attrs.skipEmpty;
          var input = inputs.input,
            delimiter = inputs.delimiter;
          if (input.dtype !== 'string') {
            throw new Error('Input must be of datatype string');
          }
          if (input.shape.length !== 1) {
            throw new Error('Input must be a vector, got shape: ' + input.shape);
          }
          if (delimiter.shape.length !== 0) {
            throw new Error('Delimiter must be a scalar, got shape: ' + delimiter.shape);
          }
          var $input = backend.data.get(input.dataId).values;
          var $delimiter = backend.data.get(delimiter.dataId).values[0];
          var _a = stringSplitImpl($input, $delimiter, skipEmpty),
            indices = _a[0],
            values = _a[1],
            shape = _a[2];
          var outputSize = values.length;
          return [
            backend.makeTensorInfo([outputSize, 2], 'int32', indices),
            backend.makeTensorInfo([outputSize], 'string', values),
            backend.makeTensorInfo([2], 'int32', new Int32Array(shape)),
          ];
        }
        var stringSplitConfig = {
          kernelName: tfjsCore.StringSplit,
          backendName: 'cpu',
          kernelFunc: stringSplit,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function stringToHashBucketFast(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var numBuckets = attrs.numBuckets;
          var input = inputs.input;
          if (input.dtype !== 'string') {
            throw new Error('Input must be of datatype string');
          }
          if (numBuckets <= 0) {
            throw new Error('Number of buckets must be at least 1');
          }
          var $input = backend.data.get(input.dataId).values;
          var output = stringToHashBucketFastImpl($input, numBuckets);
          return backend.makeTensorInfo(input.shape, 'int32', output);
        }
        var stringToHashBucketFastConfig = {
          kernelName: tfjsCore.StringToHashBucketFast,
          backendName: 'cpu',
          kernelFunc: stringToHashBucketFast,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var tan = unaryKernelFunc(tfjsCore.Tan, function (xi) {
          return Math.tan(xi);
        });
        var tanConfig = {
          kernelName: tfjsCore.Tan,
          backendName: 'cpu',
          kernelFunc: tan,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var tanh = unaryKernelFunc(tfjsCore.Tanh, function (xi) {
          return Math.tanh(xi);
        });
        var tanhConfig = {
          kernelName: tfjsCore.Tanh,
          backendName: 'cpu',
          kernelFunc: tanh,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function tile(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var reps = attrs.reps;
          assertNotComplex(x, 'tile');
          var outBuf = tileImpl(backend.bufferSync(x), reps);
          return backend.makeTensorInfo(outBuf.shape, outBuf.dtype, outBuf.values);
        }
        var tileConfig = {
          kernelName: tfjsCore.Tile,
          backendName: 'cpu',
          kernelFunc: tile,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function topK(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var k = attrs.k,
            sorted = attrs.sorted;
          assertNotComplex(x, 'topk');
          var xVals = backend.data.get(x.dataId).values;
          var _a = topKImpl(xVals, x.shape, x.dtype, k),
            allTopKVals = _a[0],
            allTopKIndices = _a[1];
          return [
            backend.makeTensorInfo(allTopKVals.shape, allTopKVals.dtype, allTopKVals.values),
            backend.makeTensorInfo(
              allTopKIndices.shape,
              allTopKIndices.dtype,
              allTopKIndices.values,
            ),
          ];
        }
        var topKConfig = {
          kernelName: tfjsCore.TopK,
          backendName: 'cpu',
          kernelFunc: topK,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function transform(args) {
          var inputs = args.inputs,
            attrs = args.attrs,
            backend = args.backend;
          var image = inputs.image,
            transforms = inputs.transforms;
          var interpolation = attrs.interpolation,
            fillMode = attrs.fillMode,
            fillValue = attrs.fillValue,
            outputShape = attrs.outputShape;
          var _a = image.shape,
            batch = _a[0],
            imageHeight = _a[1],
            imageWidth = _a[2],
            numChannels = _a[3];
          var _b = outputShape != null ? outputShape : [imageHeight, imageWidth],
            outHeight = _b[0],
            outWidth = _b[1];
          var outShape = [batch, outHeight, outWidth, numChannels];
          var strides = tfjsCore.util.computeStrides(image.shape);
          var batchStride = strides[0];
          var rowStride = strides[1];
          var colStride = strides[2];
          var outVals = tfjsCore.util.getTypedArrayFromDType(
            image.dtype,
            tfjsCore.util.sizeFromShape(outShape),
          );
          outVals.fill(fillValue);
          var imageVals = backend.data.get(image.dataId).values;
          var transformVals = backend.data.get(transforms.dataId).values;
          // Ref TF implementation:
          // https://github.com/tensorflow/tensorflow/blob/master/tensorflow/core/kernels/image/image_ops.h
          for (var b = 0; b < batch; ++b) {
            var transform_1 =
              transforms.shape[0] === 1 ? transformVals : transformVals.subarray(b * 8, b * 8 + 8);
            for (var outY = 0; outY < outHeight; ++outY) {
              for (var outX = 0; outX < outWidth; ++outX) {
                for (var channel = 0; channel < numChannels; ++channel) {
                  var val = void 0;
                  var projection = transform_1[6] * outX + transform_1[7] * outY + 1;
                  if (projection === 0) {
                    // Return the fill value for infinite coordinates,
                    // which are outside the input image
                    continue;
                  }
                  var inX =
                    (transform_1[0] * outX + transform_1[1] * outY + transform_1[2]) / projection;
                  var inY =
                    (transform_1[3] * outX + transform_1[4] * outY + transform_1[5]) / projection;
                  var x = mapCoord(inX, imageWidth, fillMode);
                  var y = mapCoord(inY, imageHeight, fillMode);
                  switch (interpolation) {
                    case 'nearest':
                      val = nearestInterpolation(
                        imageVals,
                        imageHeight,
                        imageWidth,
                        batchStride,
                        rowStride,
                        colStride,
                        b,
                        y,
                        x,
                        channel,
                        fillValue,
                      );
                      break;
                    case 'bilinear':
                      val = bilinearInterpolation(
                        imageVals,
                        imageHeight,
                        imageWidth,
                        batchStride,
                        rowStride,
                        colStride,
                        b,
                        y,
                        x,
                        channel,
                        fillValue,
                      );
                      break;
                    default:
                      throw new Error(
                        "Error in Transform: Expect 'nearest' or " +
                          ("'bilinear', but got " + interpolation),
                      );
                  }
                  var ind = b * batchStride + outY * rowStride + outX * colStride + channel;
                  outVals[ind] = val;
                }
              }
            }
            return backend.makeTensorInfo(outShape, image.dtype, outVals);
          }
          var dataId = backend.write(outVals, outShape, image.dtype);
          return { dataId: dataId, shape: image.shape, dtype: image.dtype };
        }
        var transformConfig = {
          kernelName: tfjsCore.Transform,
          backendName: 'cpu',
          kernelFunc: transform,
        };
        function mapCoord(outCoord, len, mode) {
          switch (mode) {
            case 'reflect':
              return mapCoordReflect(outCoord, len);
            case 'wrap':
              return mapCoordWrap(outCoord, len);
            case 'nearest':
              return mapCoordNearest(outCoord, len);
            case 'constant':
            default:
              return mapCoordConstant(outCoord);
          }
        }
        function mapCoordReflect(outCoord, len) {
          // Reflect [abcd] to [dcba|abcd|dcba].
          var inCoord = outCoord;
          if (inCoord < 0) {
            if (len <= 1) {
              inCoord = 0;
            } else {
              var sz2 = 2 * len;
              if (inCoord < sz2) {
                inCoord = sz2 * Math.trunc(-inCoord / sz2) + inCoord;
              }
              inCoord = inCoord < -len ? inCoord + sz2 : -inCoord - 1;
            }
          } else if (inCoord > len - 1) {
            if (len <= 1) {
              inCoord = 0;
            } else {
              var sz2 = 2 * len;
              inCoord -= sz2 * Math.trunc(inCoord / sz2);
              if (inCoord >= len) {
                inCoord = sz2 - inCoord - 1;
              }
            }
          }
          // clamp is necessary because when outCoord = 3.5 and len = 4,
          // inCoord = 3.5 and will be rounded to 4 in nearest interpolation.
          return tfjsCore.util.clamp(0, inCoord, len - 1);
        }
        function mapCoordWrap(outCoord, len) {
          // Wrap [abcd] to [abcd|abcd|abcd].
          var inCoord = outCoord;
          if (inCoord < 0) {
            if (len <= 1) {
              inCoord = 0;
            } else {
              var sz = len - 1;
              inCoord += len * (Math.trunc(-inCoord / sz) + 1);
            }
          } else if (inCoord > len - 1) {
            if (len <= 1) {
              inCoord = 0;
            } else {
              var sz = len - 1;
              inCoord -= len * Math.trunc(inCoord / sz);
            }
          }
          // clamp is necessary because when outCoord = -0.5 and len = 4,
          // inCoord = 3.5 and will be rounded to 4 in nearest interpolation.
          return tfjsCore.util.clamp(0, inCoord, len - 1);
        }
        function mapCoordConstant(outCoord, len) {
          return outCoord;
        }
        function mapCoordNearest(outCoord, len) {
          return tfjsCore.util.clamp(0, outCoord, len - 1);
        }
        function readWithFillValue(
          imageVals,
          imageHeight,
          imageWidth,
          batchStride,
          rowStride,
          colStride,
          batch,
          y,
          x,
          channel,
          fillValue,
        ) {
          var ind = batch * batchStride + y * rowStride + x * colStride + channel;
          if (0 <= y && y < imageHeight && 0 <= x && x < imageWidth) {
            return imageVals[ind];
          } else {
            return fillValue;
          }
        }
        function nearestInterpolation(
          imageVals,
          imageHeight,
          imageWidth,
          batchStride,
          rowStride,
          colStride,
          batch,
          y,
          x,
          channel,
          fillValue,
        ) {
          var $y = Math.round(y);
          var $x = Math.round(x);
          return readWithFillValue(
            imageVals,
            imageHeight,
            imageWidth,
            batchStride,
            rowStride,
            colStride,
            batch,
            $y,
            $x,
            channel,
            fillValue,
          );
        }
        function bilinearInterpolation(
          imageVals,
          imageHeight,
          imageWidth,
          batchStride,
          rowStride,
          colStride,
          batch,
          y,
          x,
          channel,
          fillValue,
        ) {
          var yFloor = Math.floor(y);
          var xFloor = Math.floor(x);
          var yCeil = yFloor + 1;
          var xCeil = xFloor + 1;
          // f(x, yFloor) = (xCeil - x) / (xCeil - xFloor) * f(xFloor, yFloor)
          //               + (x - xFloor) / (xCeil - xFloor) * f(xCeil, yFloor)
          var valueYFloor =
            (xCeil - x) *
              readWithFillValue(
                imageVals,
                imageHeight,
                imageWidth,
                batchStride,
                rowStride,
                colStride,
                batch,
                yFloor,
                xFloor,
                channel,
                fillValue,
              ) +
            (x - xFloor) *
              readWithFillValue(
                imageVals,
                imageHeight,
                imageWidth,
                batchStride,
                rowStride,
                colStride,
                batch,
                yFloor,
                xCeil,
                channel,
                fillValue,
              );
          // f(x, yCeil) = (xCeil - x) / (xCeil - xFloor) * f(xFloor, yCeil)
          //             + (x - xFloor) / (xCeil - xFloor) * f(xCeil, yCeil)
          var valueYCeil =
            (xCeil - x) *
              readWithFillValue(
                imageVals,
                imageHeight,
                imageWidth,
                batchStride,
                rowStride,
                colStride,
                batch,
                yCeil,
                xFloor,
                channel,
                fillValue,
              ) +
            (x - xFloor) *
              readWithFillValue(
                imageVals,
                imageHeight,
                imageWidth,
                batchStride,
                rowStride,
                colStride,
                batch,
                yCeil,
                xCeil,
                channel,
                fillValue,
              );
          // f(x, y) = (yCeil - y) / (yCeil - yFloor) * f(x, yFloor)
          //         + (y - yFloor) / (yCeil - yFloor) * f(x, yCeil)
          return (yCeil - y) * valueYFloor + (y - yFloor) * valueYCeil;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function unique(args) {
          var inputs = args.inputs,
            attrs = args.attrs,
            backend = args.backend;
          var axis = attrs.axis;
          var x = inputs.x;
          assertNotComplex(x, 'unique');
          var values = backend.data.get(x.dataId).values;
          var _a = uniqueImpl(values, axis, x.shape, x.dtype),
            outputValues = _a.outputValues,
            outputShape = _a.outputShape,
            indices = _a.indices;
          return [
            backend.makeTensorInfo(outputShape, x.dtype, outputValues),
            backend.makeTensorInfo([indices.length], 'int32', indices),
          ];
        }
        var uniqueConfig = {
          kernelName: tfjsCore.Unique,
          backendName: 'cpu',
          kernelFunc: unique,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function unpack(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var value = inputs.value;
          var axis = attrs.axis;
          if (axis < 0) {
            axis += value.shape.length;
          }
          var valueRank = value.shape.length;
          var num = value.shape[axis];
          var outShape = new Array(valueRank - 1);
          var outIndex = 0;
          for (var i = 0; i < valueRank; i++) {
            if (i !== axis) {
              outShape[outIndex++] = value.shape[i];
            }
          }
          var begin = new Array(valueRank).fill(0);
          var size = value.shape.slice();
          size[axis] = 1;
          var res = new Array(num);
          for (var i = 0; i < res.length; i++) {
            begin[axis] = i;
            var tempRes = slice({
              inputs: { x: value },
              backend: backend,
              attrs: { begin: begin, size: size },
            });
            res[i] = reshape({
              inputs: { x: tempRes },
              backend: backend,
              attrs: { shape: outShape },
            });
            backend.disposeIntermediateTensorInfo(tempRes);
          }
          return res;
        }
        var unpackConfig = {
          kernelName: tfjsCore.Unpack,
          backendName: 'cpu',
          kernelFunc: unpack,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function unsortedSegmentSum(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            segmentIds = inputs.segmentIds;
          var numSegments = attrs.numSegments;
          assertNotComplex(x, 'unsortedSegmentSum');
          var xRank = x.shape.length;
          var segmentIdsRank = segmentIds.shape.length;
          var res = [];
          var intermediates = [];
          // Reshape the segment id's so that they can be broadcast with
          // x. The new shape should be [segmentIds.shape, 1, ..., 1]
          var numIters = xRank - segmentIdsRank;
          var $segmentIds = segmentIds;
          for (var i = 0; i < numIters; ++i) {
            var expanded = expandDims({
              inputs: { input: $segmentIds },
              backend: backend,
              attrs: { dim: i + 1 },
            });
            $segmentIds = expanded;
            intermediates.push(expanded);
          }
          for (var i = 0; i < numSegments; ++i) {
            var scalarValue = tfjsCore.util.createScalarValue(i, 'int32');
            var segmentId = backend.makeTensorInfo([], 'int32', scalarValue);
            var mask = equal({ inputs: { a: segmentId, b: $segmentIds }, backend: backend });
            var maskCasted = cast({
              inputs: { x: mask },
              backend: backend,
              attrs: { dtype: 'float32' },
            });
            var mul = multiply({ inputs: { a: maskCasted, b: x }, backend: backend });
            var sumTensorInfo = sum({
              inputs: { x: mul },
              backend: backend,
              attrs: { axis: 0, keepDims: false },
            });
            res.push(sumTensorInfo);
            intermediates.push(segmentId);
            intermediates.push(mask);
            intermediates.push(maskCasted);
            intermediates.push(mul);
            intermediates.push(sumTensorInfo);
          }
          var result = pack({ inputs: res, backend: backend, attrs: { axis: 0 } });
          intermediates.forEach(function (t) {
            return backend.disposeIntermediateTensorInfo(t);
          });
          return result;
        }
        var unsortedSegmentSumConfig = {
          kernelName: tfjsCore.UnsortedSegmentSum,
          backendName: 'cpu',
          kernelFunc: unsortedSegmentSum,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        // List all kernel configs here
        var kernelConfigs = [
          _fusedMatMulConfig,
          absConfig,
          acosConfig,
          acoshConfig,
          addConfig,
          addNConfig,
          allConfig,
          anyConfig,
          argMaxConfig,
          argMinConfig,
          asinConfig,
          asinhConfig,
          atanConfig,
          atan2Config,
          atanhConfig,
          avgPoolConfig,
          avgPool3DConfig,
          avgPool3DGradConfig,
          avgPoolGradConfig,
          batchMatMulConfig,
          batchNormConfig,
          batchToSpaceNDConfig,
          bincountConfig,
          castConfig,
          ceilConfig,
          clipConfig,
          complexConfig,
          complexAbsConfig,
          concatConfig,
          conv2DBackpropFilterConfig,
          conv2DBackpropInputConfig,
          conv2DConfig,
          conv3DBackpropFilterV2Config,
          conv3DBackpropInputV2Config,
          conv3DConfig,
          cosConfig,
          coshConfig,
          cropAndResizeConfig,
          cumsumConfig,
          denseBincountConfig,
          depthToSpaceConfig,
          depthwiseConv2dNativeConfig,
          depthwiseConv2dNativeBackpropFilterConfig,
          depthwiseConv2dNativeBackpropInputConfig,
          diagConfig,
          dilation2dConfig,
          dilation2dBackpropInputConfig,
          dilation2dBackpropFilterConfig,
          realDivConfig,
          einsumConfig,
          eluConfig,
          eluGradConfig,
          equalConfig,
          erfConfig,
          expConfig,
          expandDimsConfig,
          expm1Config,
          fftConfig,
          fillConfig,
          flipLeftRightConfig,
          floorConfig,
          floorDivConfig,
          fusedConv2DConfig,
          fusedDepthwiseConv2DConfig,
          gatherNdConfig,
          gatherV2Config,
          greaterConfig,
          greaterEqualConfig,
          identityConfig,
          ifftConfig,
          imagConfig,
          isFiniteConfig,
          isInfConfig,
          isNaNConfig,
          leakyReluConfig,
          lessConfig,
          lessEqualConfig,
          linSpaceConfig,
          logConfig,
          log1pConfig,
          logicalAndConfig,
          logicalNotConfig,
          logicalOrConfig,
          lRNConfig,
          lRNGradConfig,
          maximumConfig,
          maxPoolConfig,
          maxPool3DConfig,
          maxPool3DGradConfig,
          maxPoolGradConfig,
          maxPoolWithArgmaxConfig,
          maxConfig,
          meanConfig,
          minConfig,
          minimumConfig,
          mirrorPadConfig,
          modConfig,
          multinomialConfig,
          multiplyConfig,
          negConfig,
          nonMaxSuppressionV3Config,
          nonMaxSuppressionV4Config,
          nonMaxSuppressionV5Config,
          notEqualConfig,
          oneHotConfig,
          onesLikeConfig,
          packConfig,
          padV2Config,
          powConfig,
          preluConfig,
          prodConfig,
          rangeConfig,
          realConfig,
          reciprocalConfig,
          reluConfig,
          relu6Config,
          reshapeConfig,
          resizeBilinearConfig,
          resizeBilinearGradConfig,
          resizeNearestNeighborConfig,
          resizeNearestNeighborGradConfig,
          reverseConfig,
          rotateWithOffsetConfig,
          roundConfig,
          rsqrtConfig,
          scatterNdConfig,
          selectConfig,
          seluConfig,
          sigmoidConfig,
          signConfig,
          sinConfig,
          sinhConfig,
          sliceConfig,
          softmaxConfig,
          softplusConfig,
          spaceToBatchNDConfig,
          sparseFillEmptyRowsConfig,
          sparseReshapeConfig,
          sparseSegmentMeanConfig,
          sparseSegmentSumConfig,
          sparseToDenseConfig,
          splitVConfig,
          sqrtConfig,
          squareConfig,
          squaredDifferenceConfig,
          stepConfig,
          stridedSliceConfig,
          stringNGramsConfig,
          stringSplitConfig,
          stringToHashBucketFastConfig,
          subConfig,
          sumConfig,
          tanConfig,
          tanhConfig,
          tileConfig,
          topKConfig,
          transposeConfig,
          transformConfig,
          uniqueConfig,
          unpackConfig,
          unsortedSegmentSumConfig,
          zerosLikeConfig,
        ];
        for (var _i = 0, kernelConfigs_1 = kernelConfigs; _i < kernelConfigs_1.length; _i++) {
          var kernelConfig = kernelConfigs_1[_i];
          tfjsCore.registerKernel(kernelConfig);
        }

        exports.MathBackendCPU = MathBackendCPU;
        exports.shared = shared;
        exports.version_cpu = version;
      },
      { '@tensorflow/tfjs-core': 35, 'seedrandom': 41 },
    ],
    33: [
      function (require, module, exports) {
        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        'use strict';

        Object.defineProperty(exports, '__esModule', { value: true });

        var tf = require('@tensorflow/tfjs-core');

        /*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */
        /* global Reflect, Promise */

        var extendStatics = function (d, b) {
          extendStatics =
            Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array &&
              function (d, b) {
                d.__proto__ = b;
              }) ||
            function (d, b) {
              for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
            };
          return extendStatics(d, b);
        };

        function __extends(d, b) {
          extendStatics(d, b);
          function __() {
            this.constructor = d;
          }
          d.prototype = b === null ? Object.create(b) : ((__.prototype = b.prototype), new __());
        }

        function __awaiter(thisArg, _arguments, P, generator) {
          function adopt(value) {
            return value instanceof P
              ? value
              : new P(function (resolve) {
                  resolve(value);
                });
          }
          return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) {
              try {
                step(generator.next(value));
              } catch (e) {
                reject(e);
              }
            }
            function rejected(value) {
              try {
                step(generator['throw'](value));
              } catch (e) {
                reject(e);
              }
            }
            function step(result) {
              result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
            }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
          });
        }

        function __generator(thisArg, body) {
          var _ = {
              label: 0,
              sent: function () {
                if (t[0] & 1) throw t[1];
                return t[1];
              },
              trys: [],
              ops: [],
            },
            f,
            y,
            t,
            g;
          return (
            (g = { next: verb(0), throw: verb(1), return: verb(2) }),
            typeof Symbol === 'function' &&
              (g[Symbol.iterator] = function () {
                return this;
              }),
            g
          );
          function verb(n) {
            return function (v) {
              return step([n, v]);
            };
          }
          function step(op) {
            if (f) throw new TypeError('Generator is already executing.');
            while (_)
              try {
                if (
                  ((f = 1),
                  y &&
                    (t =
                      op[0] & 2
                        ? y['return']
                        : op[0]
                        ? y['throw'] || ((t = y['return']) && t.call(y), 0)
                        : y.next) &&
                    !(t = t.call(y, op[1])).done)
                )
                  return t;
                if (((y = 0), t)) op = [op[0] & 2, t.value];
                switch (op[0]) {
                  case 0:
                  case 1:
                    t = op;
                    break;
                  case 4:
                    _.label++;
                    return { value: op[1], done: false };
                  case 5:
                    _.label++;
                    y = op[1];
                    op = [0];
                    continue;
                  case 7:
                    op = _.ops.pop();
                    _.trys.pop();
                    continue;
                  default:
                    if (
                      !((t = _.trys), (t = t.length > 0 && t[t.length - 1])) &&
                      (op[0] === 6 || op[0] === 2)
                    ) {
                      _ = 0;
                      continue;
                    }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                      _.label = op[1];
                      break;
                    }
                    if (op[0] === 6 && _.label < t[1]) {
                      _.label = t[1];
                      t = op;
                      break;
                    }
                    if (t && _.label < t[2]) {
                      _.label = t[2];
                      _.ops.push(op);
                      break;
                    }
                    if (t[2]) _.ops.pop();
                    _.trys.pop();
                    continue;
                }
                op = body.call(thisArg, _);
              } catch (e) {
                op = [6, e];
                y = 0;
              } finally {
                f = t = 0;
              }
            if (op[0] & 5) throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
          }
        }

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var contexts = {};
        var WEBGL_ATTRIBUTES = {
          alpha: false,
          antialias: false,
          premultipliedAlpha: false,
          preserveDrawingBuffer: false,
          depth: false,
          stencil: false,
          failIfMajorPerformanceCaveat: true,
        };
        function setWebGLContext(webGLVersion, gl) {
          contexts[webGLVersion] = gl;
        }
        function getWebGLContext(webGLVersion) {
          if (!(webGLVersion in contexts)) {
            var newCtx = getWebGLRenderingContext(webGLVersion);
            if (newCtx !== null) {
              contexts[webGLVersion] = newCtx;
            } else {
              console.log('Could not get context for WebGL version', webGLVersion);
              return null;
            }
          }
          var gl = contexts[webGLVersion];
          if (gl.isContextLost()) {
            delete contexts[webGLVersion];
            return getWebGLContext(webGLVersion);
          }
          gl.disable(gl.DEPTH_TEST);
          gl.disable(gl.STENCIL_TEST);
          gl.disable(gl.BLEND);
          gl.disable(gl.DITHER);
          gl.disable(gl.POLYGON_OFFSET_FILL);
          gl.disable(gl.SAMPLE_COVERAGE);
          gl.enable(gl.SCISSOR_TEST);
          gl.enable(gl.CULL_FACE);
          gl.cullFace(gl.BACK);
          return contexts[webGLVersion];
        }
        function createCanvas(webGLVersion) {
          if (typeof OffscreenCanvas !== 'undefined' && webGLVersion === 2) {
            return new OffscreenCanvas(300, 150);
          } else if (typeof document !== 'undefined') {
            return document.createElement('canvas');
          } else {
            throw new Error('Cannot create a canvas in this context');
          }
        }
        function getWebGLRenderingContext(webGLVersion) {
          if (webGLVersion !== 1 && webGLVersion !== 2) {
            throw new Error('Cannot get WebGL rendering context, WebGL is disabled.');
          }
          var canvas = createCanvas(webGLVersion);
          canvas.addEventListener(
            'webglcontextlost',
            function (ev) {
              ev.preventDefault();
              delete contexts[webGLVersion];
            },
            false,
          );
          if (webGLVersion === 1) {
            return (
              canvas.getContext('webgl', WEBGL_ATTRIBUTES) ||
              canvas.getContext('experimental-webgl', WEBGL_ATTRIBUTES)
            );
          }
          return canvas.getContext('webgl2', WEBGL_ATTRIBUTES);
        }

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var PackingScheme;
        (function (PackingScheme) {
          /**
           * All values in a single texel are densely packed without any constraints.
           *
           * This is how the shader encodes a tensor with shape = [2, 3, 4]
           * (indices are [batch, row, col]).
           *
           * 000|001   010|011   020|021
           * -------   -------   -------
           * 002|003   012|013   022|023
           *
           * 100|101   110|111   120|121
           * -------   -------   -------
           * 102|103   112|113   122|123
           *
           */
          PackingScheme[(PackingScheme['DENSE'] = 0)] = 'DENSE';
          /**
           * Single texels contain only values from the same batch, and from adjacent
           * rows and columns.
           *
           * This is how the shader encodes a tensor with shape = [2, 3, 5]
           * (indices are [batch, row, col]).
           *
           * 000|001   002|003   004|xxx   020|021   022|023   024|xxx
           * -------   -------   -------   -------   -------   -------
           * 010|011   012|013   014|xxx   xxx|xxx   xxx|xxx   xxx|xxx
           *
           * 100|101   102|103   104|xxx   120|121   122|123   124|xxx
           * -------   -------   -------   -------   -------   -------
           * 110|111   112|113   114|xxx   xxx|xxx   xxx|xxx   xxx|xxx
           *
           */
          PackingScheme[(PackingScheme['SHARED_BATCH'] = 1)] = 'SHARED_BATCH';
        })(PackingScheme || (PackingScheme = {}));
        var TextureUsage;
        (function (TextureUsage) {
          TextureUsage[(TextureUsage['RENDER'] = 0)] = 'RENDER';
          TextureUsage[(TextureUsage['UPLOAD'] = 1)] = 'UPLOAD';
          TextureUsage[(TextureUsage['PIXELS'] = 2)] = 'PIXELS';
          TextureUsage[(TextureUsage['DOWNLOAD'] = 3)] = 'DOWNLOAD';
        })(TextureUsage || (TextureUsage = {}));
        var PhysicalTextureType;
        (function (PhysicalTextureType) {
          PhysicalTextureType[(PhysicalTextureType['UNPACKED_FLOAT16'] = 0)] = 'UNPACKED_FLOAT16';
          PhysicalTextureType[(PhysicalTextureType['UNPACKED_FLOAT32'] = 1)] = 'UNPACKED_FLOAT32';
          PhysicalTextureType[(PhysicalTextureType['PACKED_4X1_UNSIGNED_BYTE'] = 2)] =
            'PACKED_4X1_UNSIGNED_BYTE';
          PhysicalTextureType[(PhysicalTextureType['PACKED_2X2_FLOAT32'] = 3)] =
            'PACKED_2X2_FLOAT32';
          PhysicalTextureType[(PhysicalTextureType['PACKED_2X2_FLOAT16'] = 4)] =
            'PACKED_2X2_FLOAT16';
        })(PhysicalTextureType || (PhysicalTextureType = {}));
        function getUnpackedMatrixTextureShapeWidthHeight(rows, columns) {
          return [columns, rows];
        }
        function getUnpackedArraySizeFromMatrixSize(matrixSize, channelsPerTexture) {
          return matrixSize * channelsPerTexture;
        }
        /**
         * Get shape for densely packed RGBA texture.
         */
        function getDenseTexShape(shape) {
          var size = tf.util.sizeFromShape(shape);
          var texelsNeeded = Math.ceil(size / 4);
          return tf.util.sizeToSquarishShape(texelsNeeded);
        }
        function getPackedMatrixTextureShapeWidthHeight(rows, columns) {
          return [Math.max(1, Math.ceil(columns / 2)), Math.max(1, Math.ceil(rows / 2))];
        }
        function getPackedRGBAArraySizeFromMatrixShape(rows, columns) {
          var _a = getPackedMatrixTextureShapeWidthHeight(rows, columns),
            w = _a[0],
            h = _a[1];
          return w * h * 4;
        }
        function getTextureConfig(
          // tslint:disable-next-line:no-any
          gl,
          textureHalfFloatExtension,
        ) {
          // tslint:disable-next-line:no-any
          var glany = gl;
          var internalFormatFloat;
          var internalFormatHalfFloat;
          var internalFormatPackedHalfFloat;
          var internalFormatPackedFloat;
          var textureFormatFloat;
          var downloadTextureFormat;
          var downloadUnpackNumChannels;
          var defaultNumChannels;
          var textureTypeHalfFloat;
          var textureTypeFloat;
          if (tf.env().getNumber('WEBGL_VERSION') === 2) {
            internalFormatFloat = glany.R32F;
            internalFormatHalfFloat = glany.R16F;
            internalFormatPackedHalfFloat = glany.RGBA16F;
            internalFormatPackedFloat = glany.RGBA32F;
            textureFormatFloat = glany.RED;
            downloadUnpackNumChannels = 4;
            defaultNumChannels = 1;
            textureTypeHalfFloat = glany.HALF_FLOAT;
            textureTypeFloat = glany.FLOAT;
          } else {
            internalFormatFloat = gl.RGBA;
            internalFormatHalfFloat = gl.RGBA;
            internalFormatPackedHalfFloat = gl.RGBA;
            internalFormatPackedFloat = glany.RGBA;
            textureFormatFloat = gl.RGBA;
            downloadUnpackNumChannels = 4;
            defaultNumChannels = 4;
            textureTypeHalfFloat =
              textureHalfFloatExtension != null ? textureHalfFloatExtension.HALF_FLOAT_OES : null;
            textureTypeFloat = gl.FLOAT;
          }
          downloadTextureFormat = gl.RGBA;
          return {
            internalFormatFloat: internalFormatFloat,
            internalFormatHalfFloat: internalFormatHalfFloat,
            internalFormatPackedHalfFloat: internalFormatPackedHalfFloat,
            internalFormatPackedFloat: internalFormatPackedFloat,
            textureFormatFloat: textureFormatFloat,
            downloadTextureFormat: downloadTextureFormat,
            downloadUnpackNumChannels: downloadUnpackNumChannels,
            defaultNumChannels: defaultNumChannels,
            textureTypeHalfFloat: textureTypeHalfFloat,
            textureTypeFloat: textureTypeFloat,
          };
        }

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function callAndCheck(gl, func) {
          var returnValue = func();
          if (tf.env().getBool('DEBUG')) {
            checkWebGLError(gl);
          }
          return returnValue;
        }
        function checkWebGLError(gl) {
          var error = gl.getError();
          if (error !== gl.NO_ERROR) {
            throw new Error('WebGL Error: ' + getWebGLErrorMessage(gl, error));
          }
        }
        // https://en.wikipedia.org/wiki/Half-precision_floating-point_format
        var MIN_FLOAT16 = 5.96e-8;
        var MAX_FLOAT16 = 65504;
        function canBeRepresented(num) {
          if (
            tf.env().getBool('WEBGL_RENDER_FLOAT32_ENABLED') ||
            num === 0 ||
            (MIN_FLOAT16 < Math.abs(num) && Math.abs(num) < MAX_FLOAT16)
          ) {
            return true;
          }
          return false;
        }
        function getWebGLErrorMessage(gl, status) {
          switch (status) {
            case gl.NO_ERROR:
              return 'NO_ERROR';
            case gl.INVALID_ENUM:
              return 'INVALID_ENUM';
            case gl.INVALID_VALUE:
              return 'INVALID_VALUE';
            case gl.INVALID_OPERATION:
              return 'INVALID_OPERATION';
            case gl.INVALID_FRAMEBUFFER_OPERATION:
              return 'INVALID_FRAMEBUFFER_OPERATION';
            case gl.OUT_OF_MEMORY:
              return 'OUT_OF_MEMORY';
            case gl.CONTEXT_LOST_WEBGL:
              return 'CONTEXT_LOST_WEBGL';
            default:
              return 'Unknown error code ' + status;
          }
        }
        function getExtensionOrThrow(gl, extensionName) {
          return throwIfNull(
            gl,
            function () {
              return gl.getExtension(extensionName);
            },
            'Extension "' + extensionName + '" not supported on this browser.',
          );
        }
        function createVertexShader(gl, vertexShaderSource) {
          var vertexShader = throwIfNull(
            gl,
            function () {
              return gl.createShader(gl.VERTEX_SHADER);
            },
            'Unable to create vertex WebGLShader.',
          );
          callAndCheck(gl, function () {
            return gl.shaderSource(vertexShader, vertexShaderSource);
          });
          callAndCheck(gl, function () {
            return gl.compileShader(vertexShader);
          });
          if (gl.getShaderParameter(vertexShader, gl.COMPILE_STATUS) === false) {
            console.log(gl.getShaderInfoLog(vertexShader));
            throw new Error('Failed to compile vertex shader.');
          }
          return vertexShader;
        }
        function createFragmentShader(gl, fragmentShaderSource) {
          var fragmentShader = throwIfNull(
            gl,
            function () {
              return gl.createShader(gl.FRAGMENT_SHADER);
            },
            'Unable to create fragment WebGLShader.',
          );
          callAndCheck(gl, function () {
            return gl.shaderSource(fragmentShader, fragmentShaderSource);
          });
          callAndCheck(gl, function () {
            return gl.compileShader(fragmentShader);
          });
          if (gl.getShaderParameter(fragmentShader, gl.COMPILE_STATUS) === false) {
            logShaderSourceAndInfoLog(fragmentShaderSource, gl.getShaderInfoLog(fragmentShader));
            throw new Error('Failed to compile fragment shader.');
          }
          return fragmentShader;
        }
        var lineNumberRegex = /ERROR: [0-9]+:([0-9]+):/g;
        function logShaderSourceAndInfoLog(shaderSource, shaderInfoLog) {
          var lineNumberRegexResult = lineNumberRegex.exec(shaderInfoLog);
          if (lineNumberRegexResult == null) {
            console.log("Couldn't parse line number in error: " + shaderInfoLog);
            console.log(shaderSource);
            return;
          }
          var lineNumber = +lineNumberRegexResult[1];
          var shaderLines = shaderSource.split('\n');
          var pad = shaderLines.length.toString().length + 2;
          var linesWithLineNumbers = shaderLines.map(function (line, lineNumber) {
            return tf.util.rightPad((lineNumber + 1).toString(), pad) + line;
          });
          var maxLineLength = 0;
          for (var i = 0; i < linesWithLineNumbers.length; i++) {
            maxLineLength = Math.max(linesWithLineNumbers[i].length, maxLineLength);
          }
          var beforeErrorLines = linesWithLineNumbers.slice(0, lineNumber - 1);
          var errorLine = linesWithLineNumbers.slice(lineNumber - 1, lineNumber);
          var afterErrorLines = linesWithLineNumbers.slice(lineNumber);
          console.log(beforeErrorLines.join('\n'));
          console.log(shaderInfoLog.split('\n')[0]);
          console.log(
            '%c ' + tf.util.rightPad(errorLine[0], maxLineLength),
            'border:1px solid red; background-color:#e3d2d2; color:#a61717',
          );
          console.log(afterErrorLines.join('\n'));
        }
        function createProgram(gl) {
          return throwIfNull(
            gl,
            function () {
              return gl.createProgram();
            },
            'Unable to create WebGLProgram.',
          );
        }
        function linkProgram(gl, program) {
          callAndCheck(gl, function () {
            return gl.linkProgram(program);
          });
          if (gl.getProgramParameter(program, gl.LINK_STATUS) === false) {
            console.log(gl.getProgramInfoLog(program));
            throw new Error('Failed to link vertex and fragment shaders.');
          }
        }
        function validateProgram(gl, program) {
          callAndCheck(gl, function () {
            return gl.validateProgram(program);
          });
          if (gl.getProgramParameter(program, gl.VALIDATE_STATUS) === false) {
            console.log(gl.getProgramInfoLog(program));
            throw new Error('Shader program validation failed.');
          }
        }
        function createStaticVertexBuffer(gl, data) {
          var buffer = throwIfNull(
            gl,
            function () {
              return gl.createBuffer();
            },
            'Unable to create WebGLBuffer',
          );
          callAndCheck(gl, function () {
            return gl.bindBuffer(gl.ARRAY_BUFFER, buffer);
          });
          callAndCheck(gl, function () {
            return gl.bufferData(gl.ARRAY_BUFFER, data, gl.STATIC_DRAW);
          });
          return buffer;
        }
        function createStaticIndexBuffer(gl, data) {
          var buffer = throwIfNull(
            gl,
            function () {
              return gl.createBuffer();
            },
            'Unable to create WebGLBuffer',
          );
          callAndCheck(gl, function () {
            return gl.bindBuffer(gl.ELEMENT_ARRAY_BUFFER, buffer);
          });
          callAndCheck(gl, function () {
            return gl.bufferData(gl.ELEMENT_ARRAY_BUFFER, data, gl.STATIC_DRAW);
          });
          return buffer;
        }
        function getNumChannels() {
          if (tf.env().getNumber('WEBGL_VERSION') === 2) {
            return 1;
          }
          return 4;
        }
        function createTexture(gl) {
          return throwIfNull(
            gl,
            function () {
              return gl.createTexture();
            },
            'Unable to create WebGLTexture.',
          );
        }
        function validateTextureSize(width, height) {
          var maxTextureSize = tf.env().getNumber('WEBGL_MAX_TEXTURE_SIZE');
          if (width <= 0 || height <= 0) {
            var requested = '[' + width + 'x' + height + ']';
            throw new Error('Requested texture size ' + requested + ' is invalid.');
          }
          if (width > maxTextureSize || height > maxTextureSize) {
            var requested = '[' + width + 'x' + height + ']';
            var max = '[' + maxTextureSize + 'x' + maxTextureSize + ']';
            throw new Error(
              'Requested texture size ' +
                requested +
                ' greater than WebGL maximum on this browser / GPU ' +
                max +
                '.',
            );
          }
        }
        function createFramebuffer(gl) {
          return throwIfNull(
            gl,
            function () {
              return gl.createFramebuffer();
            },
            'Unable to create WebGLFramebuffer.',
          );
        }
        function bindVertexBufferToProgramAttribute(
          gl,
          program,
          attribute,
          buffer,
          arrayEntriesPerItem,
          itemStrideInBytes,
          itemOffsetInBytes,
        ) {
          var loc = gl.getAttribLocation(program, attribute);
          if (loc === -1) {
            // The GPU compiler decided to strip out this attribute because it's unused,
            // thus no need to bind.
            return false;
          }
          callAndCheck(gl, function () {
            return gl.bindBuffer(gl.ARRAY_BUFFER, buffer);
          });
          callAndCheck(gl, function () {
            return gl.vertexAttribPointer(
              loc,
              arrayEntriesPerItem,
              gl.FLOAT,
              false,
              itemStrideInBytes,
              itemOffsetInBytes,
            );
          });
          callAndCheck(gl, function () {
            return gl.enableVertexAttribArray(loc);
          });
          return true;
        }
        function bindTextureUnit(gl, texture, textureUnit) {
          validateTextureUnit(gl, textureUnit);
          callAndCheck(gl, function () {
            return gl.activeTexture(gl.TEXTURE0 + textureUnit);
          });
          callAndCheck(gl, function () {
            return gl.bindTexture(gl.TEXTURE_2D, texture);
          });
        }
        function unbindTextureUnit(gl, textureUnit) {
          validateTextureUnit(gl, textureUnit);
          callAndCheck(gl, function () {
            return gl.activeTexture(gl.TEXTURE0 + textureUnit);
          });
          callAndCheck(gl, function () {
            return gl.bindTexture(gl.TEXTURE_2D, null);
          });
        }
        function getProgramUniformLocationOrThrow(gl, program, uniformName) {
          return throwIfNull(
            gl,
            function () {
              return gl.getUniformLocation(program, uniformName);
            },
            'uniform "' + uniformName + '" not present in program.',
          );
        }
        function getProgramUniformLocation(gl, program, uniformName) {
          return gl.getUniformLocation(program, uniformName);
        }
        function bindTextureToProgramUniformSampler(
          gl,
          texture,
          uniformSamplerLocation,
          textureUnit,
        ) {
          callAndCheck(gl, function () {
            return bindTextureUnit(gl, texture, textureUnit);
          });
          callAndCheck(gl, function () {
            return gl.uniform1i(uniformSamplerLocation, textureUnit);
          });
        }
        function bindCanvasToFramebuffer(gl) {
          callAndCheck(gl, function () {
            return gl.bindFramebuffer(gl.FRAMEBUFFER, null);
          });
          callAndCheck(gl, function () {
            return gl.viewport(0, 0, gl.canvas.width, gl.canvas.height);
          });
          callAndCheck(gl, function () {
            return gl.scissor(0, 0, gl.canvas.width, gl.canvas.height);
          });
        }
        function bindColorTextureToFramebuffer(gl, texture, framebuffer) {
          callAndCheck(gl, function () {
            return gl.bindFramebuffer(gl.FRAMEBUFFER, framebuffer);
          });
          callAndCheck(gl, function () {
            return gl.framebufferTexture2D(
              gl.FRAMEBUFFER,
              gl.COLOR_ATTACHMENT0,
              gl.TEXTURE_2D,
              texture,
              0,
            );
          });
        }
        function unbindColorTextureFromFramebuffer(gl, framebuffer) {
          callAndCheck(gl, function () {
            return gl.bindFramebuffer(gl.FRAMEBUFFER, framebuffer);
          });
          callAndCheck(gl, function () {
            return gl.framebufferTexture2D(
              gl.FRAMEBUFFER,
              gl.COLOR_ATTACHMENT0,
              gl.TEXTURE_2D,
              null,
              0,
            );
          });
        }
        function validateFramebuffer(gl) {
          var status = gl.checkFramebufferStatus(gl.FRAMEBUFFER);
          if (status !== gl.FRAMEBUFFER_COMPLETE) {
            throw new Error('Error binding framebuffer: ' + getFramebufferErrorMessage(gl, status));
          }
        }
        function getFramebufferErrorMessage(gl, status) {
          switch (status) {
            case gl.FRAMEBUFFER_INCOMPLETE_ATTACHMENT:
              return 'FRAMEBUFFER_INCOMPLETE_ATTACHMENT';
            case gl.FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT:
              return 'FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT';
            case gl.FRAMEBUFFER_INCOMPLETE_DIMENSIONS:
              return 'FRAMEBUFFER_INCOMPLETE_DIMENSIONS';
            case gl.FRAMEBUFFER_UNSUPPORTED:
              return 'FRAMEBUFFER_UNSUPPORTED';
            default:
              return 'unknown error ' + status;
          }
        }
        function throwIfNull(gl, returnTOrNull, failureMessage) {
          var tOrNull = callAndCheck(gl, function () {
            return returnTOrNull();
          });
          if (tOrNull == null) {
            throw new Error(failureMessage);
          }
          return tOrNull;
        }
        function validateTextureUnit(gl, textureUnit) {
          var maxTextureUnit = gl.MAX_COMBINED_TEXTURE_IMAGE_UNITS - 1;
          var glTextureUnit = textureUnit + gl.TEXTURE0;
          if (glTextureUnit < gl.TEXTURE0 || glTextureUnit > maxTextureUnit) {
            var textureUnitRange = '[gl.TEXTURE0, gl.TEXTURE' + maxTextureUnit + ']';
            throw new Error('textureUnit must be in ' + textureUnitRange + '.');
          }
        }
        function getBatchDim(shape, dimsToSkip) {
          if (dimsToSkip === void 0) {
            dimsToSkip = 2;
          }
          return tf.util.sizeFromShape(shape.slice(0, shape.length - dimsToSkip));
        }
        function getRowsCols(shape) {
          if (shape.length === 0) {
            throw Error('Cannot get rows and columns of an empty shape array.');
          }
          return [shape.length > 1 ? shape[shape.length - 2] : 1, shape[shape.length - 1]];
        }
        function getShapeAs3D(shape) {
          var shapeAs3D = [1, 1, 1];
          var isScalar = shape.length === 0 || (shape.length === 1 && shape[0] === 1);
          if (!isScalar) {
            shapeAs3D = [getBatchDim(shape)].concat(getRowsCols(shape));
          }
          return shapeAs3D;
        }
        function getTextureShapeFromLogicalShape(logShape, isPacked) {
          var _a;
          if (isPacked === void 0) {
            isPacked = false;
          }
          var maxTexSize = tf.env().getNumber('WEBGL_MAX_TEXTURE_SIZE');
          if (isPacked) {
            maxTexSize = maxTexSize * 2;
            // This logic ensures we accurately count the number of packed texels needed
            // to accommodate the tensor. We can only pack values in the same texel if
            // they are from adjacent pairs of rows/cols within the same batch. So if a
            // tensor has 3 rows, we pretend it has 4 rows in order to account for the
            // fact that the texels containing the third row are half empty.
            logShape = logShape.map(function (d, i) {
              return i >= logShape.length - 2
                ? tf.util.nearestLargerEven(logShape[i])
                : logShape[i];
            });
            // Packed texture height is at least 2 (the channel height of a single
            // texel).
            if (logShape.length === 1) {
              logShape = [2, logShape[0]];
            }
          }
          // If logical shape is 2, we don't squeeze, since we want to match physical.
          if (logShape.length !== 2) {
            var squeezeResult = tf.util.squeezeShape(logShape);
            logShape = squeezeResult.newShape;
          }
          var size = tf.util.sizeFromShape(logShape);
          if (logShape.length <= 1 && size <= maxTexSize) {
            return [1, size];
          } else if (
            logShape.length === 2 &&
            logShape[0] <= maxTexSize &&
            logShape[1] <= maxTexSize
          ) {
            return logShape;
          } else if (
            logShape.length === 3 &&
            logShape[0] * logShape[1] <= maxTexSize &&
            logShape[2] <= maxTexSize
          ) {
            return [logShape[0] * logShape[1], logShape[2]];
          } else if (
            logShape.length === 3 &&
            logShape[0] <= maxTexSize &&
            logShape[1] * logShape[2] <= maxTexSize
          ) {
            return [logShape[0], logShape[1] * logShape[2]];
          } else if (
            logShape.length === 4 &&
            logShape[0] * logShape[1] * logShape[2] <= maxTexSize &&
            logShape[3] <= maxTexSize
          ) {
            return [logShape[0] * logShape[1] * logShape[2], logShape[3]];
          } else if (
            logShape.length === 4 &&
            logShape[0] <= maxTexSize &&
            logShape[1] * logShape[2] * logShape[3] <= maxTexSize
          ) {
            return [logShape[0], logShape[1] * logShape[2] * logShape[3]];
          } else {
            if (isPacked) {
              // For packed textures size equals the number of channels required to
              // accommodate the texture data. However in order to squarify such that
              // inner dimensions stay even, we rewrite size to equal the number of
              // texels. Then in the return statement we rehydrate the squarified
              // dimensions to channel units.
              var batchDim = getBatchDim(logShape);
              var rows = 2,
                cols = 2;
              if (logShape.length) {
                (_a = getRowsCols(logShape)), (rows = _a[0]), (cols = _a[1]);
              }
              size = batchDim * (rows / 2) * (cols / 2);
              return tf.util.sizeToSquarishShape(size).map(function (d) {
                return d * 2;
              });
            }
            return tf.util.sizeToSquarishShape(size);
          }
        }
        function isEven(n) {
          return n % 2 === 0;
        }
        /**
         * This determines whether reshaping a packed texture requires rearranging
         * the data within the texture, assuming 2x2 packing.
         */
        function isReshapeFree(shape1, shape2) {
          shape1 = shape1.slice(-2);
          shape2 = shape2.slice(-2);
          if (tf.util.arraysEqual(shape1, shape2)) {
            return true;
          }
          if (!shape1.length || !shape2.length) {
            // One of the shapes is a scalar.
            return true;
          }
          if (shape1[0] === 0 || shape1[1] === 0 || shape2[0] === 0 || shape2[1] === 0) {
            return true;
          }
          if (shape1.length !== shape2.length) {
            // One of the shapes is a vector.
            var shape1Cols = shape1.slice(-1)[0];
            var shape2Cols = shape2.slice(-1)[0];
            if (shape1Cols === shape2Cols) {
              return true;
            }
            if (isEven(shape1Cols) && isEven(shape2Cols) && (shape1[0] === 1 || shape2[0] === 1)) {
              return true;
            }
          }
          return shape1[1] === shape2[1] && isEven(shape1[0]) && isEven(shape2[0]);
        }
        // We cache webgl params because the environment gets reset between
        // unit tests and we don't want to constantly query the WebGLContext for
        // MAX_TEXTURE_SIZE.
        var MAX_TEXTURE_SIZE;
        var MAX_TEXTURES_IN_SHADER;
        function getWebGLMaxTextureSize(webGLVersion) {
          if (MAX_TEXTURE_SIZE == null) {
            var gl = getWebGLContext(webGLVersion);
            MAX_TEXTURE_SIZE = gl.getParameter(gl.MAX_TEXTURE_SIZE);
          }
          return MAX_TEXTURE_SIZE;
        }
        function resetMaxTextureSize() {
          MAX_TEXTURE_SIZE = null;
        }
        function resetMaxTexturesInShader() {
          MAX_TEXTURES_IN_SHADER = null;
        }
        function getMaxTexturesInShader(webGLVersion) {
          if (MAX_TEXTURES_IN_SHADER == null) {
            var gl = getWebGLContext(webGLVersion);
            MAX_TEXTURES_IN_SHADER = gl.getParameter(gl.MAX_TEXTURE_IMAGE_UNITS);
          }
          // We cap at 16 to avoid spurious runtime "memory exhausted" error.
          return Math.min(16, MAX_TEXTURES_IN_SHADER);
        }
        function getWebGLDisjointQueryTimerVersion(webGLVersion) {
          if (webGLVersion === 0) {
            return 0;
          }
          var queryTimerVersion;
          var gl = getWebGLContext(webGLVersion);
          if (hasExtension(gl, 'EXT_disjoint_timer_query_webgl2') && webGLVersion === 2) {
            queryTimerVersion = 2;
          } else if (hasExtension(gl, 'EXT_disjoint_timer_query')) {
            queryTimerVersion = 1;
          } else {
            queryTimerVersion = 0;
          }
          return queryTimerVersion;
        }
        function hasExtension(gl, extensionName) {
          var ext = gl.getExtension(extensionName);
          return ext != null;
        }
        function isWebGLVersionEnabled(webGLVersion) {
          try {
            var gl = getWebGLContext(webGLVersion);
            if (gl != null) {
              return true;
            }
          } catch (e) {
            console.log('Error when getting WebGL context: ', e);
            return false;
          }
          return false;
        }
        function isCapableOfRenderingToFloatTexture(webGLVersion) {
          if (webGLVersion === 0) {
            return false;
          }
          var gl = getWebGLContext(webGLVersion);
          if (webGLVersion === 1) {
            if (!hasExtension(gl, 'OES_texture_float')) {
              return false;
            }
          } else {
            if (!hasExtension(gl, 'EXT_color_buffer_float')) {
              return false;
            }
          }
          var isFrameBufferComplete = createFloatTextureAndBindToFramebuffer(gl);
          return isFrameBufferComplete;
        }
        /**
         * Check if we can download values from a float/half-float texture.
         *
         * Note that for performance reasons we use binding a texture to a framebuffer
         * as a proxy for ability to download float values later using readPixels. The
         * texture params of this texture will not match those in readPixels exactly
         * but if we are unable to bind some kind of float texture to the frameBuffer
         * then we definitely will not be able to read float values from it.
         */
        function isDownloadFloatTextureEnabled(webGLVersion) {
          if (webGLVersion === 0) {
            return false;
          }
          var gl = getWebGLContext(webGLVersion);
          if (webGLVersion === 1) {
            if (!hasExtension(gl, 'OES_texture_float')) {
              return false;
            }
            if (!hasExtension(gl, 'WEBGL_color_buffer_float')) {
              return false;
            }
          } else {
            if (hasExtension(gl, 'EXT_color_buffer_float')) {
              return createFloatTextureAndBindToFramebuffer(gl);
            }
            var COLOR_BUFFER_HALF_FLOAT = 'EXT_color_buffer_half_float';
            if (hasExtension(gl, COLOR_BUFFER_HALF_FLOAT)) {
              var textureHalfFloatExtension = gl.getExtension(COLOR_BUFFER_HALF_FLOAT);
              return createHalfFloatTextureAndBindToFramebuffer(gl, textureHalfFloatExtension);
            }
            return false;
          }
          var isFrameBufferComplete = createFloatTextureAndBindToFramebuffer(gl);
          return isFrameBufferComplete;
        }
        function createFloatTextureAndBindToFramebuffer(gl) {
          var texConfig = getTextureConfig(gl);
          var texture = gl.createTexture();
          gl.bindTexture(gl.TEXTURE_2D, texture);
          var width = 1;
          var height = 1;
          gl.texImage2D(
            gl.TEXTURE_2D,
            0,
            texConfig.internalFormatFloat,
            width,
            height,
            0,
            texConfig.textureFormatFloat,
            texConfig.textureTypeFloat,
            null,
          );
          var frameBuffer = gl.createFramebuffer();
          gl.bindFramebuffer(gl.FRAMEBUFFER, frameBuffer);
          gl.framebufferTexture2D(gl.FRAMEBUFFER, gl.COLOR_ATTACHMENT0, gl.TEXTURE_2D, texture, 0);
          var isFrameBufferComplete =
            gl.checkFramebufferStatus(gl.FRAMEBUFFER) === gl.FRAMEBUFFER_COMPLETE;
          gl.bindTexture(gl.TEXTURE_2D, null);
          gl.bindFramebuffer(gl.FRAMEBUFFER, null);
          gl.deleteTexture(texture);
          gl.deleteFramebuffer(frameBuffer);
          return isFrameBufferComplete;
        }
        function createHalfFloatTextureAndBindToFramebuffer(
          // tslint:disable-next-line:no-any
          gl,
          textureHalfFloatExtension,
        ) {
          var texConfig = getTextureConfig(gl, textureHalfFloatExtension);
          var texture = gl.createTexture();
          gl.bindTexture(gl.TEXTURE_2D, texture);
          var width = 1;
          var height = 1;
          gl.texImage2D(
            gl.TEXTURE_2D,
            0,
            texConfig.internalFormatHalfFloat,
            width,
            height,
            0,
            texConfig.textureFormatFloat,
            texConfig.textureTypeHalfFloat,
            null,
          );
          var frameBuffer = gl.createFramebuffer();
          gl.bindFramebuffer(gl.FRAMEBUFFER, frameBuffer);
          gl.framebufferTexture2D(gl.FRAMEBUFFER, gl.COLOR_ATTACHMENT0, gl.TEXTURE_2D, texture, 0);
          var isFrameBufferComplete =
            gl.checkFramebufferStatus(gl.FRAMEBUFFER) === gl.FRAMEBUFFER_COMPLETE;
          gl.bindTexture(gl.TEXTURE_2D, null);
          gl.bindFramebuffer(gl.FRAMEBUFFER, null);
          gl.deleteTexture(texture);
          gl.deleteFramebuffer(frameBuffer);
          return isFrameBufferComplete;
        }
        function isWebGLFenceEnabled(webGLVersion) {
          if (webGLVersion !== 2) {
            return false;
          }
          var gl = getWebGLContext(webGLVersion);
          // tslint:disable-next-line:no-any
          var isEnabled = gl.fenceSync != null;
          return isEnabled;
        }
        function assertNotComplex(tensor, opName) {
          if (!Array.isArray(tensor)) {
            tensor = [tensor];
          }
          tensor.forEach(function (t) {
            if (t != null) {
              tf.util.assert(t.dtype !== 'complex64', function () {
                return opName + ' does not support complex64 tensors ' + 'in the WebGL backend.';
              });
            }
          });
        }

        var webgl_util = {
          __proto__: null,
          callAndCheck: callAndCheck,
          canBeRepresented: canBeRepresented,
          getWebGLErrorMessage: getWebGLErrorMessage,
          getExtensionOrThrow: getExtensionOrThrow,
          createVertexShader: createVertexShader,
          createFragmentShader: createFragmentShader,
          createProgram: createProgram,
          linkProgram: linkProgram,
          validateProgram: validateProgram,
          createStaticVertexBuffer: createStaticVertexBuffer,
          createStaticIndexBuffer: createStaticIndexBuffer,
          getNumChannels: getNumChannels,
          createTexture: createTexture,
          validateTextureSize: validateTextureSize,
          createFramebuffer: createFramebuffer,
          bindVertexBufferToProgramAttribute: bindVertexBufferToProgramAttribute,
          bindTextureUnit: bindTextureUnit,
          unbindTextureUnit: unbindTextureUnit,
          getProgramUniformLocationOrThrow: getProgramUniformLocationOrThrow,
          getProgramUniformLocation: getProgramUniformLocation,
          bindTextureToProgramUniformSampler: bindTextureToProgramUniformSampler,
          bindCanvasToFramebuffer: bindCanvasToFramebuffer,
          bindColorTextureToFramebuffer: bindColorTextureToFramebuffer,
          unbindColorTextureFromFramebuffer: unbindColorTextureFromFramebuffer,
          validateFramebuffer: validateFramebuffer,
          getFramebufferErrorMessage: getFramebufferErrorMessage,
          getBatchDim: getBatchDim,
          getRowsCols: getRowsCols,
          getShapeAs3D: getShapeAs3D,
          getTextureShapeFromLogicalShape: getTextureShapeFromLogicalShape,
          isReshapeFree: isReshapeFree,
          getWebGLMaxTextureSize: getWebGLMaxTextureSize,
          resetMaxTextureSize: resetMaxTextureSize,
          resetMaxTexturesInShader: resetMaxTexturesInShader,
          getMaxTexturesInShader: getMaxTexturesInShader,
          getWebGLDisjointQueryTimerVersion: getWebGLDisjointQueryTimerVersion,
          hasExtension: hasExtension,
          isWebGLVersionEnabled: isWebGLVersionEnabled,
          isCapableOfRenderingToFloatTexture: isCapableOfRenderingToFloatTexture,
          isDownloadFloatTextureEnabled: isDownloadFloatTextureEnabled,
          isWebGLFenceEnabled: isWebGLFenceEnabled,
          assertNotComplex: assertNotComplex,
        };

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ENV = tf.env();
        /**
         * This file contains WebGL-specific flag registrations.
         */
        /**
         * True if WebGL is supported.
         */
        ENV.registerFlag('HAS_WEBGL', function () {
          return ENV.getNumber('WEBGL_VERSION') > 0;
        });
        /** 0: No WebGL, 1: WebGL 1.0, 2: WebGL 2.0. */
        ENV.registerFlag('WEBGL_VERSION', function () {
          if (isWebGLVersionEnabled(2)) {
            return 2;
          } else if (isWebGLVersionEnabled(1)) {
            return 1;
          }
          return 0;
        });
        /** Whether to check for numerical representation problems. */
        ENV.registerFlag('WEBGL_CHECK_NUMERICAL_PROBLEMS', function () {
          return false;
        });
        ENV.registerFlag('WEBGL_BUFFER_SUPPORTED', function () {
          return ENV.get('WEBGL_VERSION') === 2;
        });
        /** Whether the WebGL backend will sometimes forward ops to the CPU. */
        ENV.registerFlag('WEBGL_CPU_FORWARD', function () {
          return true;
        });
        /** Whether the WebGL backend will always use f16 textures for rendering. */
        ENV.registerFlag('WEBGL_FORCE_F16_TEXTURES', function () {
          return false;
        });
        /** Whether to turn all packing related flags on. */
        ENV.registerFlag('WEBGL_PACK', function () {
          return ENV.getBool('HAS_WEBGL');
        });
        /** Whether we will pack the batchnormalization op. */
        ENV.registerFlag('WEBGL_PACK_NORMALIZATION', function () {
          return ENV.getBool('WEBGL_PACK');
        });
        /** Whether we will pack the clip op. */
        ENV.registerFlag('WEBGL_PACK_CLIP', function () {
          return ENV.getBool('WEBGL_PACK');
        });
        /** Whether we will pack the depthwise conv op. */
        ENV.registerFlag('WEBGL_PACK_DEPTHWISECONV', function () {
          return ENV.getBool('WEBGL_PACK');
        });
        /** Whether we will pack binary ops. */
        ENV.registerFlag('WEBGL_PACK_BINARY_OPERATIONS', function () {
          return ENV.getBool('WEBGL_PACK');
        });
        /** Whether we will pack unary ops. */
        ENV.registerFlag('WEBGL_PACK_UNARY_OPERATIONS', function () {
          return ENV.getBool('WEBGL_PACK');
        });
        /** Whether we will pack array ops. */
        ENV.registerFlag('WEBGL_PACK_ARRAY_OPERATIONS', function () {
          return ENV.getBool('WEBGL_PACK');
        });
        /** Whether we will pack image ops. */
        ENV.registerFlag('WEBGL_PACK_IMAGE_OPERATIONS', function () {
          return ENV.getBool('WEBGL_PACK');
        });
        /** Whether we will pack reduce ops. */
        ENV.registerFlag('WEBGL_PACK_REDUCE', function () {
          return ENV.getBool('WEBGL_PACK');
        });
        /** Whether packed WebGL kernels lazily unpack their outputs. */
        ENV.registerFlag('WEBGL_LAZILY_UNPACK', function () {
          return ENV.getBool('WEBGL_PACK');
        });
        /** Whether we will use the im2col algorithm to speed up convolutions. */
        ENV.registerFlag('WEBGL_CONV_IM2COL', function () {
          return ENV.getBool('WEBGL_PACK');
        });
        /** The maximum texture dimension. */
        ENV.registerFlag('WEBGL_MAX_TEXTURE_SIZE', function () {
          return getWebGLMaxTextureSize(ENV.getNumber('WEBGL_VERSION'));
        });
        /** The maximum texture dimension. */
        ENV.registerFlag('WEBGL_MAX_TEXTURES_IN_SHADER', function () {
          return getMaxTexturesInShader(ENV.getNumber('WEBGL_VERSION'));
        });
        /**
         * The disjoint_query_timer extension version.
         * 0: disabled, 1: EXT_disjoint_timer_query, 2:
         * EXT_disjoint_timer_query_webgl2.
         * In Firefox with WebGL 2.0,
         * EXT_disjoint_timer_query_webgl2 is not available, so we must use the
         * WebGL 1.0 extension.
         */
        ENV.registerFlag('WEBGL_DISJOINT_QUERY_TIMER_EXTENSION_VERSION', function () {
          var webGLVersion = ENV.getNumber('WEBGL_VERSION');
          if (webGLVersion === 0) {
            return 0;
          }
          return getWebGLDisjointQueryTimerVersion(webGLVersion);
        });
        /**
         * Whether the timer object from the disjoint_query_timer extension gives
         * timing information that is reliable.
         */
        ENV.registerFlag('WEBGL_DISJOINT_QUERY_TIMER_EXTENSION_RELIABLE', function () {
          return (
            ENV.getNumber('WEBGL_DISJOINT_QUERY_TIMER_EXTENSION_VERSION') > 0 &&
            !tf.device_util.isMobile()
          );
        });
        /**
         * Whether the device is physically capable of rendering to float32 textures.
         */
        ENV.registerFlag('WEBGL_RENDER_FLOAT32_CAPABLE', function () {
          return isCapableOfRenderingToFloatTexture(ENV.getNumber('WEBGL_VERSION'));
        });
        /**
         * Whether rendering to float32 textures is enabled. If disabled, renders to
         * float16 textures.
         */
        ENV.registerFlag('WEBGL_RENDER_FLOAT32_ENABLED', function () {
          return ENV.getBool('WEBGL_FORCE_F16_TEXTURES')
            ? false
            : ENV.getBool('WEBGL_RENDER_FLOAT32_CAPABLE');
        });
        /**
         * Whether downloading float textures is enabled (16 or 32 bit). If disabled,
         * uses IEEE 754 encoding of the float32 values to 4 uint8 when downloading.
         */
        ENV.registerFlag('WEBGL_DOWNLOAD_FLOAT_ENABLED', function () {
          return isDownloadFloatTextureEnabled(ENV.getNumber('WEBGL_VERSION'));
        });
        /** Whether the fence API is available. */
        ENV.registerFlag('WEBGL_FENCE_API_ENABLED', function () {
          return isWebGLFenceEnabled(ENV.getNumber('WEBGL_VERSION'));
        });
        /**
         * Tensors with size <= than this will be uploaded as uniforms, not textures.
         */
        ENV.registerFlag('WEBGL_SIZE_UPLOAD_UNIFORM', function () {
          // Use uniform uploads only when 32bit floats are supported. In
          // 16bit
          // environments there are problems with comparing a 16bit texture value
          // with a 32bit uniform value.
          var useUniforms = ENV.getBool('WEBGL_RENDER_FLOAT32_ENABLED');
          return useUniforms ? 4 : 0;
        });
        /**
         * If the total number of bytes allocated on the GPU is greater than this
         * number, we will aggressively delete textures upon disposal with
         * gl.deleteMatrixTexture, rather than making them available for reuse.
         *
         * Default value -1 indicates that we will never aggressively delete textures.
         */
        ENV.registerFlag(
          'WEBGL_DELETE_TEXTURE_THRESHOLD',
          function () {
            return -1;
          },
          function (threshold) {
            if (threshold < 0 && threshold !== -1) {
              throw new Error(
                'WEBGL_DELETE_TEXTURE_THRESHOLD must be -1 (indicating never ' +
                  ('delete) or at least 0, but got ' + threshold + '.'),
              );
            }
          },
        );
        /**
         * Trigger a manual GL command flush if the threshold of time has passed since
         * previous Kernel execution. This can be useful for Andorid device where GL
         * command flush are delayed un til the end of javascript task. This value is
         * measured in millisecond. Typically you want to set this value to close to 1.
         *
         * Default value 1 for mobile chrome, and -1 for rest cases. -1 indicates that
         * we will not enforce manual flush and depend on system default flush schedule.
         */
        ENV.registerFlag(
          'WEBGL_FLUSH_THRESHOLD',
          function () {
            return tf.device_util.isMobile() && ENV.getBool('IS_CHROME') ? 1 : -1;
          },
          function (threshold) {
            if (threshold < 0 && threshold !== -1) {
              throw new Error(
                'WEBGL_FLUSH_THRESHOLD must be -1 (indicating never ' +
                  ('manual flush) or at least 0, but got ' + threshold + '.'),
              );
            }
          },
        );
        /**
         * Threshold for input tensor size that determines whether WebGL backend will
         * delegate computation to CPU.
         *
         * Default value is 128.
         */
        ENV.registerFlag('CPU_HANDOFF_SIZE_THRESHOLD', function () {
          return 128;
        });

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function getGlslDifferences() {
          var version;
          var attribute;
          var varyingVs;
          var varyingFs;
          var texture2D;
          var output;
          var defineOutput;
          var defineSpecialNaN;
          var defineSpecialInf;
          var defineRound;
          if (tf.env().getNumber('WEBGL_VERSION') === 2) {
            version = '#version 300 es';
            attribute = 'in';
            varyingVs = 'out';
            varyingFs = 'in';
            texture2D = 'texture';
            output = 'outputColor';
            defineOutput = 'out vec4 outputColor;';
            // Use custom isnan definition to work across differences between
            // implementations on various platforms. While this should happen in ANGLE
            // we still see differences between android and windows (on chrome) when
            // using isnan directly.
            defineSpecialNaN =
              '\n      bool isnan_custom(float val) {\n        return (val > 0.0 || val < 0.0) ? false : val != 0.0;\n      }\n\n      bvec4 isnan_custom(vec4 val) {\n        return bvec4(isnan_custom(val.x),\n          isnan_custom(val.y), isnan_custom(val.z), isnan_custom(val.w));\n      }\n\n      #define isnan(value) isnan_custom(value)\n    ';
            // In webgl 2 we do not need to specify a custom isinf so there is no
            // need for a special INFINITY constant.
            defineSpecialInf = '';
            defineRound =
              '\n      #define round(value) newRound(value)\n      int newRound(float value) {\n        return int(floor(value + 0.5));\n      }\n\n      ivec4 newRound(vec4 value) {\n        return ivec4(floor(value + vec4(0.5)));\n      }\n    ';
          } else {
            version = '';
            attribute = 'attribute';
            varyingVs = 'varying';
            varyingFs = 'varying';
            texture2D = 'texture2D';
            output = 'gl_FragColor';
            defineOutput = '';
            // WebGL1 has no built in isnan so we define one here.
            defineSpecialNaN =
              '\n      #define isnan(value) isnan_custom(value)\n      bool isnan_custom(float val) {\n        return (val > 0. || val < 1. || val == 0.) ? false : true;\n      }\n      bvec4 isnan_custom(vec4 val) {\n        return bvec4(isnan(val.x), isnan(val.y), isnan(val.z), isnan(val.w));\n      }\n    ';
            defineSpecialInf =
              '\n      uniform float INFINITY;\n\n      bool isinf(float val) {\n        return abs(val) == INFINITY;\n      }\n      bvec4 isinf(vec4 val) {\n        return equal(abs(val), vec4(INFINITY));\n      }\n    ';
            defineRound =
              '\n      int round(float value) {\n        return int(floor(value + 0.5));\n      }\n\n      ivec4 round(vec4 value) {\n        return ivec4(floor(value + vec4(0.5)));\n      }\n    ';
          }
          return {
            version: version,
            attribute: attribute,
            varyingVs: varyingVs,
            varyingFs: varyingFs,
            texture2D: texture2D,
            output: output,
            defineOutput: defineOutput,
            defineSpecialNaN: defineSpecialNaN,
            defineSpecialInf: defineSpecialInf,
            defineRound: defineRound,
          };
        }

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        /**
         * Produces GLSL code that derives logical coordinates from a flat
         * index. The code performs integer division with each stride and decrements
         * the index until the index equals the final dimension coordinate.
         */
        function getLogicalCoordinatesFromFlatIndex(coords, shape, index) {
          if (index === void 0) {
            index = 'index';
          }
          var strides = tf.util.computeStrides(shape);
          return strides
            .map(function (stride, i) {
              var line1 = 'int ' + coords[i] + ' = ' + index + ' / ' + stride;
              var line2 =
                i === strides.length - 1
                  ? 'int ' + coords[i + 1] + ' = ' + index + ' - ' + coords[i] + ' * ' + stride
                  : 'index -= ' + coords[i] + ' * ' + stride;
              return line1 + '; ' + line2 + ';';
            })
            .join('');
        }
        /**
         * Produces GLSL that computes the flat index from 3D coordinates.
         */
        function getFlatIndexFrom3D(shape) {
          var strides = tf.util.computeStrides(shape).map(function (d) {
            return d.toString();
          });
          return (
            '\n  int getFlatIndex(ivec3 coords) {\n    return coords.x * ' +
            strides[0] +
            ' + coords.y * ' +
            strides[1] +
            ' + coords.z;\n  }\n'
          );
        }
        var ENCODE_FLOAT_SNIPPET =
          '\n  const float FLOAT_MAX = 1.70141184e38;\n  const float FLOAT_MIN = 1.17549435e-38;\n\n  lowp vec4 encode_float(highp float v) {\n    if (isnan(v)) {\n      return vec4(255, 255, 255, 255);\n    }\n\n    highp float av = abs(v);\n\n    if(av < FLOAT_MIN) {\n      return vec4(0.0, 0.0, 0.0, 0.0);\n    } else if(v > FLOAT_MAX) {\n      return vec4(0.0, 0.0, 128.0, 127.0) / 255.0;\n    } else if(v < -FLOAT_MAX) {\n      return vec4(0.0, 0.0,  128.0, 255.0) / 255.0;\n    }\n\n    highp vec4 c = vec4(0,0,0,0);\n\n    highp float e = floor(log2(av));\n    highp float m = exp2(fract(log2(av))) - 1.0;\n\n    c[2] = floor(128.0 * m);\n    m -= c[2] / 128.0;\n    c[1] = floor(32768.0 * m);\n    m -= c[1] / 32768.0;\n    c[0] = floor(8388608.0 * m);\n\n    highp float ebias = e + 127.0;\n    c[3] = floor(ebias / 2.0);\n    ebias -= c[3] * 2.0;\n    c[2] += floor(ebias) * 128.0;\n\n    c[3] += 128.0 * step(0.0, -v);\n\n    return c / 255.0;\n  }\n';

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var DecodeMatrixProgram = /** @class */ (function () {
          function DecodeMatrixProgram(outputShape) {
            this.variableNames = ['A'];
            this.packedInputs = false;
            this.packedOutput = true;
            this.outPackingScheme = PackingScheme.DENSE;
            var texShape = getDenseTexShape(outputShape);
            var glsl = getGlslDifferences();
            this.outputShape = outputShape;
            this.userCode =
              '\n      ivec3 outCoordsFromFlatIndex(int index) {\n        ' +
              getLogicalCoordinatesFromFlatIndex(['r', 'c', 'd'], outputShape) +
              '\n        return ivec3(r, c, d);\n      }\n\n      void main() {\n        ivec2 resTexRC = ivec2(resultUV.yx *\n          vec2(' +
              texShape[0] +
              ', ' +
              texShape[1] +
              '));\n        int index = 4 * (resTexRC.x * ' +
              texShape[1] +
              ' + resTexRC.y);\n\n        vec4 result = vec4(0.);\n\n        for (int i=0; i<4; i++) {\n          int flatIndex = index + i;\n          ivec3 rc = outCoordsFromFlatIndex(flatIndex);\n          result[i] = getA(rc.x, rc.y, rc.z);\n        }\n\n        ' +
              glsl.output +
              ' = result;\n      }\n    ';
          }
          return DecodeMatrixProgram;
        })();

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var DecodeMatrixPackedProgram = /** @class */ (function () {
          function DecodeMatrixPackedProgram(outputShape) {
            this.variableNames = ['A'];
            this.packedInputs = true;
            this.packedOutput = true;
            this.outPackingScheme = PackingScheme.DENSE;
            var texShape = getDenseTexShape(outputShape);
            var glsl = getGlslDifferences();
            this.outputShape = outputShape;
            this.userCode =
              '\n      ivec3 outCoordsFromFlatIndex(int index) {\n        ' +
              getLogicalCoordinatesFromFlatIndex(['r', 'c', 'd'], outputShape) +
              '\n        return ivec3(r, c, d);\n      }\n\n      void main() {\n        ivec2 resTexRC = ivec2(resultUV.yx *\n          vec2(' +
              texShape[0] +
              ', ' +
              texShape[1] +
              '));\n        int index = 4 * (resTexRC.x * ' +
              texShape[1] +
              ' + resTexRC.y);\n\n        vec4 result = vec4(0.);\n\n        for (int i=0; i<4; i++) {\n          int flatIndex = index + i;\n          ivec3 rc = outCoordsFromFlatIndex(flatIndex);\n          result[i] = getChannel(getA(rc.x, rc.y, rc.z), vec2(rc.y, rc.z));\n        }\n\n        ' +
              glsl.output +
              ' = result;\n      }\n    ';
          }
          return DecodeMatrixPackedProgram;
        })();

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var EncodeFloatProgram = /** @class */ (function () {
          function EncodeFloatProgram(outputShape) {
            this.variableNames = ['A'];
            this.outTexUsage = TextureUsage.DOWNLOAD;
            var glsl = getGlslDifferences();
            this.outputShape = outputShape;
            this.userCode =
              '\n      ' +
              ENCODE_FLOAT_SNIPPET +
              '\n\n      void main() {\n        float x = getAAtOutCoords();\n        ' +
              glsl.output +
              ' = encode_float(x);\n      }\n    ';
          }
          return EncodeFloatProgram;
        })();

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var EncodeFloatPackedProgram = /** @class */ (function () {
          function EncodeFloatPackedProgram(outputShape) {
            this.variableNames = ['A'];
            this.packedInputs = true;
            this.packedOutput = false;
            this.outTexUsage = TextureUsage.DOWNLOAD;
            var glsl = getGlslDifferences();
            this.outputShape = outputShape;
            this.userCode =
              '\n      ' +
              ENCODE_FLOAT_SNIPPET +
              '\n\n      void main() {\n        ivec3 coords = getOutputCoords();\n        float x = getChannel(getAAtOutCoords(), vec2(coords.y, coords.z));\n        ' +
              glsl.output +
              ' = encode_float(x);\n      }\n    ';
          }
          return EncodeFloatPackedProgram;
        })();

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var EncodeMatrixProgram = /** @class */ (function () {
          function EncodeMatrixProgram(outputShape, texShape, inputIsUnsignedByte) {
            if (inputIsUnsignedByte === void 0) {
              inputIsUnsignedByte = false;
            }
            this.variableNames = ['A'];
            var glsl = getGlslDifferences();
            var height = texShape[0],
              width = texShape[1];
            this.outputShape = outputShape;
            var output = 'result';
            if (inputIsUnsignedByte) {
              output = 'floor(result * 255. + 0.5)';
            }
            this.userCode =
              '\n      ' +
              getFlatIndexFrom3D(outputShape) +
              '\n\n      void main() {\n        ivec3 coords = getOutputCoords();\n\n        int flatIndex = getFlatIndex(coords);\n        int offset = imod(flatIndex, 4);\n\n        flatIndex = idiv(flatIndex, 4, 1.);\n\n        int r = flatIndex / ' +
              width +
              ';\n        int c = imod(flatIndex, ' +
              width +
              ');\n        vec2 uv = (vec2(c, r) + halfCR) / vec2(' +
              width +
              '.0, ' +
              height +
              '.0);\n        vec4 values = ' +
              glsl.texture2D +
              '(A, uv);\n\n        float result;\n\n        if(offset == 0) {\n          result = values[0];\n        } else if(offset == 1) {\n          result = values[1];\n        } else if(offset == 2) {\n          result = values[2];\n        } else {\n          result = values[3];\n        }\n\n        ' +
              glsl.output +
              ' = vec4(' +
              output +
              ', 0., 0., 0.);\n      }\n    ';
          }
          return EncodeMatrixProgram;
        })();

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        /*
This is how the shader encodes a tensor with shape = [2, 3, 5]
(indices are [batch, row, col]).

000|001   002|003   004|xxx   020|021   022|023   024|xxx
-------   -------   -------   -------   -------   -------
010|011   012|013   014|xxx   xxx|xxx   xxx|xxx   xxx|xxx

100|101   102|103   104|xxx   120|121   122|123   124|xxx
-------   -------   -------   -------   -------   -------
110|111   112|113   114|xxx   xxx|xxx   xxx|xxx   xxx|xxx

Single texels contain only values from the same batch, and from adjacent rows
and columns.
 */
        var EncodeMatrixPackedProgram = /** @class */ (function () {
          function EncodeMatrixPackedProgram(outputShape, texShape, inputIsUnsignedByte) {
            if (inputIsUnsignedByte === void 0) {
              inputIsUnsignedByte = false;
            }
            this.variableNames = ['A'];
            this.packedInputs = false;
            this.packedOutput = true;
            var glsl = getGlslDifferences();
            var height = texShape[0],
              width = texShape[1];
            this.outputShape = outputShape;
            var mainLoop = '';
            var output = 'result';
            if (inputIsUnsignedByte) {
              output = 'floor(result * 255. + 0.5)';
            }
            for (var row = 0; row <= 1; row++) {
              for (var col = 0; col <= 1; col++) {
                var channel = row * 2 + col;
                mainLoop +=
                  '\n          localCoords = coords;\n          if(localCoords[2] + ' +
                  col +
                  ' < ' +
                  outputShape[2] +
                  ') {\n            localCoords[2] += ' +
                  col +
                  ';\n            if(localCoords[1] + ' +
                  row +
                  ' < ' +
                  outputShape[1] +
                  ') {\n              localCoords[1] += ' +
                  row +
                  ';\n\n              flatIndex = getFlatIndex(localCoords);\n              offset = imod(flatIndex, 4);\n\n              flatIndex = idiv(flatIndex, 4, 1.);\n\n              r = flatIndex / ' +
                  width +
                  ';\n              c = imod(flatIndex, ' +
                  width +
                  ');\n              uv = (vec2(c, r) + halfCR) / vec2(' +
                  width +
                  '.0, ' +
                  height +
                  '.0);\n              values = ' +
                  glsl.texture2D +
                  '(A, uv);\n\n              if(offset == 0) {\n                result[' +
                  channel +
                  '] = values[0];\n              } else if(offset == 1) {\n                result[' +
                  channel +
                  '] = values[1];\n              } else if(offset == 2) {\n                result[' +
                  channel +
                  '] = values[2];\n              } else {\n                result[' +
                  channel +
                  '] = values[3];\n              }\n            }\n          }\n        ';
              }
            }
            this.userCode =
              '\n      ' +
              getFlatIndexFrom3D(outputShape) +
              '\n\n      void main() {\n        ivec3 coords = getOutputCoords();\n\n        vec4 result = vec4(0.);\n        int flatIndex, r, c, offset;\n        ivec3 localCoords;\n        vec2 uv;\n        vec4 values;\n\n        ' +
              mainLoop +
              '\n\n        ' +
              glsl.output +
              ' = ' +
              output +
              ';\n      }\n    ';
          }
          return EncodeMatrixPackedProgram;
        })();

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function createVertexShader$1(gl) {
          var glsl = getGlslDifferences();
          var vertexShaderSource =
            glsl.version +
            '\n    precision highp float;\n    ' +
            glsl.attribute +
            ' vec3 clipSpacePos;\n    ' +
            glsl.attribute +
            ' vec2 uv;\n    ' +
            glsl.varyingVs +
            ' vec2 resultUV;\n\n    void main() {\n      gl_Position = vec4(clipSpacePos, 1);\n      resultUV = uv;\n    }';
          return createVertexShader(gl, vertexShaderSource);
        }
        function createVertexBuffer(gl) {
          // [x y z u v] * [upper-left, lower-left, upper-right, lower-right]
          var vertexArray = new Float32Array([
            -1,
            1,
            0,
            0,
            1,
            -1,
            -1,
            0,
            0,
            0,
            1,
            1,
            0,
            1,
            1,
            1,
            -1,
            0,
            1,
            0,
          ]);
          return createStaticVertexBuffer(gl, vertexArray);
        }
        function createIndexBuffer(gl) {
          // OpenGL (and WebGL) have "CCW == front" winding
          var triangleVertexIndices = new Uint16Array([0, 1, 2, 2, 1, 3]);
          return createStaticIndexBuffer(gl, triangleVertexIndices);
        }
        function createAndConfigureTexture(
          gl,
          width,
          height,
          internalFormat,
          textureFormat,
          textureType,
        ) {
          validateTextureSize(width, height);
          var texture = createTexture(gl);
          var tex2d = gl.TEXTURE_2D;
          callAndCheck(gl, function () {
            return gl.bindTexture(tex2d, texture);
          });
          callAndCheck(gl, function () {
            return gl.texParameteri(tex2d, gl.TEXTURE_WRAP_S, gl.CLAMP_TO_EDGE);
          });
          callAndCheck(gl, function () {
            return gl.texParameteri(tex2d, gl.TEXTURE_WRAP_T, gl.CLAMP_TO_EDGE);
          });
          callAndCheck(gl, function () {
            return gl.texParameteri(tex2d, gl.TEXTURE_MIN_FILTER, gl.NEAREST);
          });
          callAndCheck(gl, function () {
            return gl.texParameteri(tex2d, gl.TEXTURE_MAG_FILTER, gl.NEAREST);
          });
          callAndCheck(gl, function () {
            return gl.texImage2D(
              tex2d,
              0,
              internalFormat,
              width,
              height,
              0,
              textureFormat,
              textureType,
              null,
            );
          });
          callAndCheck(gl, function () {
            return gl.bindTexture(gl.TEXTURE_2D, null);
          });
          return texture;
        }
        function getInternalFormatForFloat32MatrixTexture(textureConfig) {
          return textureConfig.internalFormatFloat;
        }
        function createFloat32MatrixTexture(gl, rows, columns, textureConfig) {
          var _a = getUnpackedMatrixTextureShapeWidthHeight(rows, columns),
            width = _a[0],
            height = _a[1];
          return createAndConfigureTexture(
            gl,
            width,
            height,
            getInternalFormatForFloat32MatrixTexture(textureConfig),
            textureConfig.textureFormatFloat,
            gl.FLOAT,
          );
        }
        function getInternalFormatForFloat16MatrixTexture(textureConfig) {
          return textureConfig.internalFormatHalfFloat;
        }
        function createFloat16MatrixTexture(gl, rows, columns, textureConfig) {
          var _a = getUnpackedMatrixTextureShapeWidthHeight(rows, columns),
            width = _a[0],
            height = _a[1];
          return createAndConfigureTexture(
            gl,
            width,
            height,
            getInternalFormatForFloat16MatrixTexture(textureConfig),
            textureConfig.textureFormatFloat,
            textureConfig.textureTypeHalfFloat,
          );
        }
        function getInternalFormatForUnsignedBytesMatrixTexture(textureConfig) {
          return textureConfig.downloadTextureFormat;
        }
        function createUnsignedBytesMatrixTexture(gl, rows, columns, textureConfig) {
          var _a = getUnpackedMatrixTextureShapeWidthHeight(rows, columns),
            width = _a[0],
            height = _a[1];
          return createAndConfigureTexture(
            gl,
            width,
            height,
            getInternalFormatForUnsignedBytesMatrixTexture(textureConfig),
            gl.RGBA,
            gl.UNSIGNED_BYTE,
          );
        }
        function getInternalFormatForPackedMatrixTexture(textureConfig) {
          return textureConfig.internalFormatPackedFloat;
        }
        function createPackedMatrixTexture(gl, rows, columns, textureConfig) {
          var _a = getPackedMatrixTextureShapeWidthHeight(rows, columns),
            width = _a[0],
            height = _a[1];
          return createAndConfigureTexture(
            gl,
            width,
            height,
            getInternalFormatForPackedMatrixTexture(textureConfig),
            gl.RGBA,
            gl.FLOAT,
          );
        }
        function getInternalFormatForFloat16PackedMatrixTexture(textureConfig) {
          return textureConfig.internalFormatPackedHalfFloat;
        }
        function createFloat16PackedMatrixTexture(gl, rows, columns, textureConfig) {
          var _a = getPackedMatrixTextureShapeWidthHeight(rows, columns),
            width = _a[0],
            height = _a[1];
          return createAndConfigureTexture(
            gl,
            width,
            height,
            getInternalFormatForFloat16PackedMatrixTexture(textureConfig),
            gl.RGBA,
            textureConfig.textureTypeHalfFloat,
          );
        }
        function bindVertexProgramAttributeStreams(gl, program, vertexBuffer) {
          var posOffset = 0; // x is the first buffer element
          var uvOffset = 3 * 4; // uv comes after [x y z]
          var stride = 3 * 4 + 2 * 4; // xyz + uv, each entry is 4-byte float.
          callAndCheck(gl, function () {
            return gl.bindBuffer(gl.ARRAY_BUFFER, vertexBuffer);
          });
          var success = bindVertexBufferToProgramAttribute(
            gl,
            program,
            'clipSpacePos',
            vertexBuffer,
            3,
            stride,
            posOffset,
          );
          return (
            success &&
            bindVertexBufferToProgramAttribute(gl, program, 'uv', vertexBuffer, 2, stride, uvOffset)
          );
        }
        function uploadDenseMatrixToTexture(gl, texture, width, height, data, textureConfig) {
          callAndCheck(gl, function () {
            return gl.bindTexture(gl.TEXTURE_2D, texture);
          });
          var dataForUpload, texelDataType, internalFormat;
          if (data instanceof Uint8Array) {
            dataForUpload = new Uint8Array(width * height * 4);
            texelDataType = gl.UNSIGNED_BYTE;
            internalFormat = gl.RGBA;
          } else {
            dataForUpload = new Float32Array(width * height * 4);
            texelDataType = gl.FLOAT;
            internalFormat = textureConfig.internalFormatPackedFloat;
          }
          dataForUpload.set(data);
          callAndCheck(gl, function () {
            return gl.texImage2D(
              gl.TEXTURE_2D,
              0,
              internalFormat,
              width,
              height,
              0,
              gl.RGBA,
              texelDataType,
              dataForUpload,
            );
          });
          callAndCheck(gl, function () {
            return gl.bindTexture(gl.TEXTURE_2D, null);
          });
        }
        function uploadPixelDataToTexture(gl, texture, pixels) {
          callAndCheck(gl, function () {
            return gl.bindTexture(gl.TEXTURE_2D, texture);
          });
          if (pixels.data instanceof Uint8Array) {
            callAndCheck(gl, function () {
              return gl.texImage2D(
                gl.TEXTURE_2D,
                0,
                gl.RGBA,
                pixels.width,
                pixels.height,
                0,
                gl.RGBA,
                gl.UNSIGNED_BYTE,
                pixels.data,
              );
            });
          } else {
            callAndCheck(gl, function () {
              return gl.texImage2D(gl.TEXTURE_2D, 0, gl.RGBA, gl.RGBA, gl.UNSIGNED_BYTE, pixels);
            });
          }
          callAndCheck(gl, function () {
            return gl.bindTexture(gl.TEXTURE_2D, null);
          });
        }
        function createBufferFromOutputTexture(gl2, rows, columns, textureConfig) {
          // Create and bind the buffer.
          var buffer = gl2.createBuffer();
          callAndCheck(gl2, function () {
            return gl2.bindBuffer(gl2.PIXEL_PACK_BUFFER, buffer);
          });
          // Initialize the buffer to the size of the texture in bytes.
          var bytesPerFloat = 4;
          var valuesPerTexel = 4;
          var bufferSizeBytes = bytesPerFloat * valuesPerTexel * rows * columns;
          callAndCheck(gl2, function () {
            return gl2.bufferData(gl2.PIXEL_PACK_BUFFER, bufferSizeBytes, gl2.STREAM_READ);
          });
          // Enqueue a command on the GPU command queue to copy of texture into the
          // buffer.
          callAndCheck(gl2, function () {
            return gl2.readPixels(0, 0, columns, rows, gl2.RGBA, gl2.FLOAT, 0);
          });
          callAndCheck(gl2, function () {
            return gl2.bindBuffer(gl2.PIXEL_PACK_BUFFER, null);
          });
          return buffer;
        }
        function downloadFloat32MatrixFromBuffer(gl, buffer, size) {
          var gl2 = gl;
          var downloadTarget = new Float32Array(size);
          gl2.bindBuffer(gl2.PIXEL_PACK_BUFFER, buffer);
          gl2.getBufferSubData(gl2.PIXEL_PACK_BUFFER, 0, downloadTarget);
          gl2.bindBuffer(gl2.PIXEL_PACK_BUFFER, null);
          return downloadTarget;
        }
        function downloadByteEncodedFloatMatrixFromOutputTexture(gl, rows, columns, textureConfig) {
          var _a = getUnpackedMatrixTextureShapeWidthHeight(rows, columns),
            w = _a[0],
            h = _a[1];
          var numChannels = 4;
          var downloadTarget = new Uint8Array(
            getUnpackedArraySizeFromMatrixSize(rows * columns, numChannels),
          );
          callAndCheck(gl, function () {
            return gl.readPixels(
              0,
              0,
              w,
              h,
              textureConfig.downloadTextureFormat,
              gl.UNSIGNED_BYTE,
              downloadTarget,
            );
          });
          // By wrapping the buffer in a Float32Array, we use native browser IEEE 754
          // decoding of the 4 bytes that back each 32 bit float.
          return new Float32Array(downloadTarget.buffer);
        }
        function downloadPackedMatrixFromBuffer(
          gl,
          buffer,
          batch,
          rows,
          cols,
          physicalRows,
          physicalCols,
          textureConfig,
        ) {
          var gl2 = gl;
          var downloadTarget = new Float32Array(
            getPackedRGBAArraySizeFromMatrixShape(physicalRows, physicalCols),
          );
          gl2.bindBuffer(gl2.PIXEL_PACK_BUFFER, buffer);
          gl2.getBufferSubData(gl2.PIXEL_PACK_BUFFER, 0, downloadTarget);
          gl2.bindBuffer(gl2.PIXEL_PACK_BUFFER, null);
          return downloadTarget;
        }
        function downloadMatrixFromPackedOutputTexture(gl, physicalRows, physicalCols) {
          var packedRGBA = new Float32Array(physicalRows * physicalCols * 4);
          callAndCheck(gl, function () {
            return gl.readPixels(0, 0, physicalCols, physicalRows, gl.RGBA, gl.FLOAT, packedRGBA);
          });
          return packedRGBA;
        }

        var gpgpu_util = {
          __proto__: null,
          createVertexShader: createVertexShader$1,
          createVertexBuffer: createVertexBuffer,
          createIndexBuffer: createIndexBuffer,
          getInternalFormatForFloat32MatrixTexture: getInternalFormatForFloat32MatrixTexture,
          createFloat32MatrixTexture: createFloat32MatrixTexture,
          getInternalFormatForFloat16MatrixTexture: getInternalFormatForFloat16MatrixTexture,
          createFloat16MatrixTexture: createFloat16MatrixTexture,
          getInternalFormatForUnsignedBytesMatrixTexture: getInternalFormatForUnsignedBytesMatrixTexture,
          createUnsignedBytesMatrixTexture: createUnsignedBytesMatrixTexture,
          getInternalFormatForPackedMatrixTexture: getInternalFormatForPackedMatrixTexture,
          createPackedMatrixTexture: createPackedMatrixTexture,
          getInternalFormatForFloat16PackedMatrixTexture: getInternalFormatForFloat16PackedMatrixTexture,
          createFloat16PackedMatrixTexture: createFloat16PackedMatrixTexture,
          bindVertexProgramAttributeStreams: bindVertexProgramAttributeStreams,
          uploadDenseMatrixToTexture: uploadDenseMatrixToTexture,
          uploadPixelDataToTexture: uploadPixelDataToTexture,
          createBufferFromOutputTexture: createBufferFromOutputTexture,
          downloadFloat32MatrixFromBuffer: downloadFloat32MatrixFromBuffer,
          downloadByteEncodedFloatMatrixFromOutputTexture: downloadByteEncodedFloatMatrixFromOutputTexture,
          downloadPackedMatrixFromBuffer: downloadPackedMatrixFromBuffer,
          downloadMatrixFromPackedOutputTexture: downloadMatrixFromPackedOutputTexture,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var GPGPUContext = /** @class */ (function () {
          function GPGPUContext(gl) {
            this.outputTexture = null;
            this.program = null;
            this.disposed = false;
            this.vertexAttrsAreBound = false;
            this.itemsToPoll = [];
            var glVersion = tf.env().getNumber('WEBGL_VERSION');
            if (gl != null) {
              this.gl = gl;
              setWebGLContext(glVersion, gl);
            } else {
              this.gl = getWebGLContext(glVersion);
            }
            // WebGL 2.0 enables texture floats without an extension.
            var COLOR_BUFFER_FLOAT = 'WEBGL_color_buffer_float';
            var COLOR_BUFFER_HALF_FLOAT = 'EXT_color_buffer_half_float';
            if (tf.env().getNumber('WEBGL_VERSION') === 1) {
              var TEXTURE_FLOAT = 'OES_texture_float';
              var TEXTURE_HALF_FLOAT = 'OES_texture_half_float';
              this.textureFloatExtension = getExtensionOrThrow(this.gl, TEXTURE_FLOAT);
              if (hasExtension(this.gl, TEXTURE_HALF_FLOAT)) {
                this.textureHalfFloatExtension = getExtensionOrThrow(this.gl, TEXTURE_HALF_FLOAT);
              } else if (tf.env().get('WEBGL_FORCE_F16_TEXTURES')) {
                throw new Error(
                  'GL context does not support half float textures, yet the ' +
                    'environment flag WEBGL_FORCE_F16_TEXTURES is set to true.',
                );
              }
              this.colorBufferFloatExtension = this.gl.getExtension(COLOR_BUFFER_FLOAT);
              if (hasExtension(this.gl, COLOR_BUFFER_HALF_FLOAT)) {
                this.colorBufferHalfFloatExtension = getExtensionOrThrow(
                  this.gl,
                  COLOR_BUFFER_HALF_FLOAT,
                );
              } else if (tf.env().get('WEBGL_FORCE_F16_TEXTURES')) {
                throw new Error(
                  'GL context does not support color renderable half floats, yet ' +
                    'the environment flag WEBGL_FORCE_F16_TEXTURES is set to true.',
                );
              }
            } else {
              COLOR_BUFFER_FLOAT = 'EXT_color_buffer_float';
              if (hasExtension(this.gl, COLOR_BUFFER_FLOAT)) {
                this.colorBufferFloatExtension = this.gl.getExtension(COLOR_BUFFER_FLOAT);
              } else if (hasExtension(this.gl, COLOR_BUFFER_HALF_FLOAT)) {
                this.colorBufferHalfFloatExtension = this.gl.getExtension(COLOR_BUFFER_HALF_FLOAT);
              } else {
                throw new Error('GL context does not support color renderable floats');
              }
            }
            this.vertexBuffer = createVertexBuffer(this.gl);
            this.indexBuffer = createIndexBuffer(this.gl);
            this.framebuffer = createFramebuffer(this.gl);
            this.textureConfig = getTextureConfig(this.gl, this.textureHalfFloatExtension);
          }
          Object.defineProperty(GPGPUContext.prototype, 'debug', {
            get: function () {
              return tf.env().getBool('DEBUG');
            },
            enumerable: true,
            configurable: true,
          });
          GPGPUContext.prototype.dispose = function () {
            var _this = this;
            if (this.disposed) {
              return;
            }
            if (this.program != null) {
              console.warn(
                'Disposing a GPGPUContext that still has a bound WebGLProgram.' +
                  ' This is probably a resource leak, delete the program with ' +
                  'GPGPUContext.deleteProgram before disposing.',
              );
            }
            if (this.outputTexture != null) {
              console.warn(
                'Disposing a GPGPUContext that still has a bound output matrix ' +
                  'texture.  This is probably a resource leak, delete the output ' +
                  'matrix texture with GPGPUContext.deleteMatrixTexture before ' +
                  'disposing.',
              );
            }
            var gl = this.gl;
            callAndCheck(gl, function () {
              return gl.finish();
            });
            callAndCheck(gl, function () {
              return gl.bindFramebuffer(gl.FRAMEBUFFER, null);
            });
            callAndCheck(gl, function () {
              return gl.deleteFramebuffer(_this.framebuffer);
            });
            callAndCheck(gl, function () {
              return gl.bindBuffer(gl.ARRAY_BUFFER, null);
            });
            callAndCheck(gl, function () {
              return gl.bindBuffer(gl.ELEMENT_ARRAY_BUFFER, null);
            });
            callAndCheck(gl, function () {
              return gl.deleteBuffer(_this.indexBuffer);
            });
            this.disposed = true;
          };
          GPGPUContext.prototype.createFloat32MatrixTexture = function (rows, columns) {
            this.throwIfDisposed();
            return createFloat32MatrixTexture(this.gl, rows, columns, this.textureConfig);
          };
          GPGPUContext.prototype.createFloat16MatrixTexture = function (rows, columns) {
            this.throwIfDisposed();
            return createFloat16MatrixTexture(this.gl, rows, columns, this.textureConfig);
          };
          GPGPUContext.prototype.createUnsignedBytesMatrixTexture = function (rows, columns) {
            this.throwIfDisposed();
            return createUnsignedBytesMatrixTexture(this.gl, rows, columns, this.textureConfig);
          };
          GPGPUContext.prototype.uploadPixelDataToTexture = function (texture, pixels) {
            this.throwIfDisposed();
            uploadPixelDataToTexture(this.gl, texture, pixels);
          };
          GPGPUContext.prototype.uploadDenseMatrixToTexture = function (
            texture,
            width,
            height,
            data,
          ) {
            this.throwIfDisposed();
            uploadDenseMatrixToTexture(this.gl, texture, width, height, data, this.textureConfig);
          };
          GPGPUContext.prototype.createFloat16PackedMatrixTexture = function (rows, columns) {
            this.throwIfDisposed();
            return createFloat16PackedMatrixTexture(this.gl, rows, columns, this.textureConfig);
          };
          GPGPUContext.prototype.createPackedMatrixTexture = function (rows, columns) {
            this.throwIfDisposed();
            return createPackedMatrixTexture(this.gl, rows, columns, this.textureConfig);
          };
          GPGPUContext.prototype.deleteMatrixTexture = function (texture) {
            var _this = this;
            this.throwIfDisposed();
            if (this.outputTexture === texture) {
              unbindColorTextureFromFramebuffer(this.gl, this.framebuffer);
              this.outputTexture = null;
            }
            callAndCheck(this.gl, function () {
              return _this.gl.deleteTexture(texture);
            });
          };
          GPGPUContext.prototype.downloadByteEncodedFloatMatrixFromOutputTexture = function (
            texture,
            rows,
            columns,
          ) {
            var _this = this;
            return this.downloadMatrixDriver(texture, function () {
              return downloadByteEncodedFloatMatrixFromOutputTexture(
                _this.gl,
                rows,
                columns,
                _this.textureConfig,
              );
            });
          };
          GPGPUContext.prototype.downloadPackedMatrixFromBuffer = function (
            buffer,
            batch,
            rows,
            columns,
            physicalRows,
            physicalCols,
          ) {
            return downloadPackedMatrixFromBuffer(
              this.gl,
              buffer,
              batch,
              rows,
              columns,
              physicalRows,
              physicalCols,
              this.textureConfig,
            );
          };
          GPGPUContext.prototype.downloadFloat32MatrixFromBuffer = function (buffer, size) {
            return downloadFloat32MatrixFromBuffer(this.gl, buffer, size);
          };
          GPGPUContext.prototype.createBufferFromTexture = function (texture, rows, columns) {
            this.bindTextureToFrameBuffer(texture);
            var result = createBufferFromOutputTexture(this.gl, rows, columns, this.textureConfig);
            this.unbindTextureToFrameBuffer();
            return result;
          };
          GPGPUContext.prototype.createAndWaitForFence = function () {
            var fenceContext = this.createFence(this.gl);
            return this.pollFence(fenceContext);
          };
          GPGPUContext.prototype.createFence = function (gl) {
            var _this = this;
            var query;
            var isFencePassed;
            if (tf.env().getBool('WEBGL_FENCE_API_ENABLED')) {
              var gl2_1 = gl;
              var sync_1 = gl2_1.fenceSync(gl2_1.SYNC_GPU_COMMANDS_COMPLETE, 0);
              gl.flush();
              isFencePassed = function () {
                var status = gl2_1.clientWaitSync(sync_1, 0, 0);
                return status === gl2_1.ALREADY_SIGNALED || status === gl2_1.CONDITION_SATISFIED;
              };
              query = sync_1;
            } else if (tf.env().getNumber('WEBGL_DISJOINT_QUERY_TIMER_EXTENSION_VERSION') > 0) {
              query = this.beginQuery();
              this.endQuery();
              isFencePassed = function () {
                return _this.isQueryAvailable(
                  query,
                  tf.env().getNumber('WEBGL_DISJOINT_QUERY_TIMER_EXTENSION_VERSION'),
                );
              };
            } else {
              // If we have no way to fence, return true immediately. This will fire in
              // WebGL 1.0 when there is no disjoint query timer. In this case, because
              // the fence passes immediately, we'll immediately ask for a download of
              // the texture, which will cause the UI thread to hang.
              isFencePassed = function () {
                return true;
              };
            }
            return { query: query, isFencePassed: isFencePassed };
          };
          GPGPUContext.prototype.downloadMatrixFromPackedTexture = function (
            texture,
            physicalRows,
            physicalCols,
          ) {
            var _this = this;
            return this.downloadMatrixDriver(texture, function () {
              return downloadMatrixFromPackedOutputTexture(_this.gl, physicalRows, physicalCols);
            });
          };
          GPGPUContext.prototype.createProgram = function (fragmentShaderSource) {
            var _this = this;
            this.throwIfDisposed();
            var gl = this.gl;
            var fragmentShader = createFragmentShader(gl, fragmentShaderSource);
            if (this.vertexShader == null) {
              this.vertexShader = createVertexShader$1(gl);
            }
            var program = createProgram(gl);
            callAndCheck(gl, function () {
              return gl.attachShader(program, _this.vertexShader);
            });
            callAndCheck(gl, function () {
              return gl.attachShader(program, fragmentShader);
            });
            linkProgram(gl, program);
            if (this.debug) {
              validateProgram(gl, program);
            }
            if (!this.vertexAttrsAreBound) {
              this.setProgram(program);
              this.vertexAttrsAreBound = bindVertexProgramAttributeStreams(
                gl,
                this.program,
                this.vertexBuffer,
              );
            }
            return program;
          };
          GPGPUContext.prototype.deleteProgram = function (program) {
            var _this = this;
            this.throwIfDisposed();
            if (program === this.program) {
              this.program = null;
            }
            if (program != null) {
              callAndCheck(this.gl, function () {
                return _this.gl.deleteProgram(program);
              });
            }
          };
          GPGPUContext.prototype.setProgram = function (program) {
            var _this = this;
            this.throwIfDisposed();
            this.program = program;
            if (this.program != null && this.debug) {
              validateProgram(this.gl, this.program);
            }
            callAndCheck(this.gl, function () {
              return _this.gl.useProgram(program);
            });
          };
          GPGPUContext.prototype.getUniformLocation = function (program, uniformName, shouldThrow) {
            if (shouldThrow === void 0) {
              shouldThrow = true;
            }
            this.throwIfDisposed();
            if (shouldThrow) {
              return getProgramUniformLocationOrThrow(this.gl, program, uniformName);
            } else {
              return getProgramUniformLocation(this.gl, program, uniformName);
            }
          };
          GPGPUContext.prototype.getAttributeLocation = function (program, attribute) {
            var _this = this;
            this.throwIfDisposed();
            return callAndCheck(this.gl, function () {
              return _this.gl.getAttribLocation(program, attribute);
            });
          };
          GPGPUContext.prototype.getUniformLocationNoThrow = function (program, uniformName) {
            this.throwIfDisposed();
            return this.gl.getUniformLocation(program, uniformName);
          };
          GPGPUContext.prototype.setInputMatrixTexture = function (
            inputMatrixTexture,
            uniformLocation,
            textureUnit,
          ) {
            this.throwIfDisposed();
            this.throwIfNoProgram();
            bindTextureToProgramUniformSampler(
              this.gl,
              inputMatrixTexture,
              uniformLocation,
              textureUnit,
            );
          };
          GPGPUContext.prototype.setOutputMatrixTexture = function (
            outputMatrixTexture,
            rows,
            columns,
          ) {
            this.setOutputMatrixTextureDriver(outputMatrixTexture, columns, rows);
          };
          GPGPUContext.prototype.setOutputPackedMatrixTexture = function (
            outputPackedMatrixTexture,
            rows,
            columns,
          ) {
            this.throwIfDisposed();
            var _a = getPackedMatrixTextureShapeWidthHeight(rows, columns),
              width = _a[0],
              height = _a[1];
            this.setOutputMatrixTextureDriver(outputPackedMatrixTexture, width, height);
          };
          GPGPUContext.prototype.setOutputMatrixWriteRegion = function (
            startRow,
            numRows,
            startColumn,
            numColumns,
          ) {
            this.setOutputMatrixWriteRegionDriver(startColumn, startRow, numColumns, numRows);
          };
          GPGPUContext.prototype.setOutputPackedMatrixWriteRegion = function (
            startRow,
            numRows,
            startColumn,
            numColumns,
          ) {
            throw new Error('setOutputPackedMatrixWriteRegion not implemented.');
          };
          GPGPUContext.prototype.debugValidate = function () {
            if (this.program != null) {
              validateProgram(this.gl, this.program);
            }
            validateFramebuffer(this.gl);
          };
          GPGPUContext.prototype.executeProgram = function () {
            this.throwIfDisposed();
            this.throwIfNoProgram();
            var gl = this.gl;
            if (this.debug) {
              this.debugValidate();
            }
            callAndCheck(gl, function () {
              return gl.drawElements(gl.TRIANGLES, 6, gl.UNSIGNED_SHORT, 0);
            });
          };
          GPGPUContext.prototype.blockUntilAllProgramsCompleted = function () {
            var _this = this;
            this.throwIfDisposed();
            callAndCheck(this.gl, function () {
              return _this.gl.finish();
            });
          };
          GPGPUContext.prototype.getQueryTimerExtension = function () {
            if (this.disjointQueryTimerExtension == null) {
              this.disjointQueryTimerExtension = getExtensionOrThrow(
                this.gl,
                tf.env().getNumber('WEBGL_DISJOINT_QUERY_TIMER_EXTENSION_VERSION') === 2
                  ? 'EXT_disjoint_timer_query_webgl2'
                  : 'EXT_disjoint_timer_query',
              );
            }
            return this.disjointQueryTimerExtension;
          };
          GPGPUContext.prototype.getQueryTimerExtensionWebGL2 = function () {
            return this.getQueryTimerExtension();
          };
          GPGPUContext.prototype.getQueryTimerExtensionWebGL1 = function () {
            return this.getQueryTimerExtension();
          };
          GPGPUContext.prototype.beginQuery = function () {
            if (tf.env().getNumber('WEBGL_DISJOINT_QUERY_TIMER_EXTENSION_VERSION') === 2) {
              var gl2 = this.gl;
              var ext_1 = this.getQueryTimerExtensionWebGL2();
              var query_1 = gl2.createQuery();
              gl2.beginQuery(ext_1.TIME_ELAPSED_EXT, query_1);
              return query_1;
            }
            var ext = this.getQueryTimerExtensionWebGL1();
            var query = ext.createQueryEXT();
            ext.beginQueryEXT(ext.TIME_ELAPSED_EXT, query);
            return query;
          };
          GPGPUContext.prototype.endQuery = function () {
            if (tf.env().getNumber('WEBGL_DISJOINT_QUERY_TIMER_EXTENSION_VERSION') === 2) {
              var gl2 = this.gl;
              var ext_2 = this.getQueryTimerExtensionWebGL2();
              gl2.endQuery(ext_2.TIME_ELAPSED_EXT);
              return;
            }
            var ext = this.getQueryTimerExtensionWebGL1();
            ext.endQueryEXT(ext.TIME_ELAPSED_EXT);
          };
          GPGPUContext.prototype.waitForQueryAndGetTime = function (query) {
            return __awaiter(this, void 0, void 0, function () {
              var _this = this;
              return __generator(this, function (_a) {
                switch (_a.label) {
                  case 0:
                    return [
                      4 /*yield*/,
                      tf.util.repeatedTry(function () {
                        return (
                          _this.disposed || // while testing contexts are created / disposed
                          // in rapid succession, so without this check we
                          // may poll for the query timer indefinitely
                          _this.isQueryAvailable(
                            query,
                            tf.env().getNumber('WEBGL_DISJOINT_QUERY_TIMER_EXTENSION_VERSION'),
                          )
                        );
                      }),
                    ];
                  case 1:
                    _a.sent();
                    return [
                      2 /*return*/,
                      this.getQueryTime(
                        query,
                        tf.env().getNumber('WEBGL_DISJOINT_QUERY_TIMER_EXTENSION_VERSION'),
                      ),
                    ];
                }
              });
            });
          };
          GPGPUContext.prototype.getQueryTime = function (query, queryTimerVersion) {
            if (queryTimerVersion === 0) {
              return null;
            }
            if (queryTimerVersion === 2) {
              var gl2 = this.gl;
              var timeElapsedNanos = gl2.getQueryParameter(query, gl2.QUERY_RESULT);
              // Return milliseconds.
              return timeElapsedNanos / 1000000;
            } else {
              var ext = this.getQueryTimerExtensionWebGL1();
              var timeElapsedNanos = ext.getQueryObjectEXT(query, ext.QUERY_RESULT_EXT);
              // Return milliseconds.
              return timeElapsedNanos / 1000000;
            }
          };
          GPGPUContext.prototype.isQueryAvailable = function (query, queryTimerVersion) {
            if (queryTimerVersion === 0) {
              return true;
            }
            if (queryTimerVersion === 2) {
              var gl2 = this.gl;
              var ext = this.getQueryTimerExtensionWebGL2();
              var available = gl2.getQueryParameter(query, gl2.QUERY_RESULT_AVAILABLE);
              if (this.disjoint == null) {
                this.disjoint = this.gl.getParameter(ext.GPU_DISJOINT_EXT);
              }
              return available && !this.disjoint;
            } else {
              var ext = this.getQueryTimerExtensionWebGL1();
              var available = ext.getQueryObjectEXT(query, ext.QUERY_RESULT_AVAILABLE_EXT);
              if (this.disjoint == null) {
                this.disjoint = this.gl.getParameter(ext.GPU_DISJOINT_EXT);
              }
              return available && !this.disjoint;
            }
          };
          GPGPUContext.prototype.pollFence = function (fenceContext) {
            var _this = this;
            return new Promise(function (resolve) {
              _this.addItemToPoll(
                function () {
                  return fenceContext.isFencePassed();
                },
                function () {
                  return resolve();
                },
              );
            });
          };
          GPGPUContext.prototype.pollItems = function () {
            // Find the last query that has finished.
            var index = linearSearchLastTrue(
              this.itemsToPoll.map(function (x) {
                return x.isDoneFn;
              }),
            );
            for (var i = 0; i <= index; ++i) {
              var resolveFn = this.itemsToPoll[i].resolveFn;
              resolveFn();
            }
            this.itemsToPoll = this.itemsToPoll.slice(index + 1);
          };
          GPGPUContext.prototype.addItemToPoll = function (isDoneFn, resolveFn) {
            var _this = this;
            this.itemsToPoll.push({ isDoneFn: isDoneFn, resolveFn: resolveFn });
            if (this.itemsToPoll.length > 1) {
              // We already have a running loop that polls.
              return;
            }
            // Start a new loop that polls.
            tf.util.repeatedTry(function () {
              _this.pollItems();
              // End the loop if no more items to poll.
              return _this.itemsToPoll.length === 0;
            });
          };
          GPGPUContext.prototype.bindTextureToFrameBuffer = function (texture) {
            this.throwIfDisposed();
            bindColorTextureToFramebuffer(this.gl, texture, this.framebuffer);
            if (this.debug) {
              validateFramebuffer(this.gl);
            }
          };
          GPGPUContext.prototype.unbindTextureToFrameBuffer = function () {
            if (this.outputTexture != null) {
              bindColorTextureToFramebuffer(this.gl, this.outputTexture, this.framebuffer);
              if (this.debug) {
                validateFramebuffer(this.gl);
              }
            } else {
              unbindColorTextureFromFramebuffer(this.gl, this.framebuffer);
            }
          };
          GPGPUContext.prototype.downloadMatrixDriver = function (texture, downloadAndDecode) {
            this.bindTextureToFrameBuffer(texture);
            var result = downloadAndDecode();
            this.unbindTextureToFrameBuffer();
            return result;
          };
          GPGPUContext.prototype.setOutputMatrixTextureDriver = function (
            outputMatrixTextureMaybePacked,
            width,
            height,
          ) {
            this.throwIfDisposed();
            var gl = this.gl;
            bindColorTextureToFramebuffer(gl, outputMatrixTextureMaybePacked, this.framebuffer);
            if (this.debug) {
              validateFramebuffer(gl);
            }
            this.outputTexture = outputMatrixTextureMaybePacked;
            callAndCheck(gl, function () {
              return gl.viewport(0, 0, width, height);
            });
            callAndCheck(gl, function () {
              return gl.scissor(0, 0, width, height);
            });
          };
          GPGPUContext.prototype.setOutputMatrixWriteRegionDriver = function (x, y, width, height) {
            var _this = this;
            this.throwIfDisposed();
            callAndCheck(this.gl, function () {
              return _this.gl.scissor(x, y, width, height);
            });
          };
          GPGPUContext.prototype.throwIfDisposed = function () {
            if (this.disposed) {
              throw new Error('Attempted to use disposed GPGPUContext.');
            }
          };
          GPGPUContext.prototype.throwIfNoProgram = function () {
            if (this.program == null) {
              throw new Error('No GPU program is currently set.');
            }
          };
          return GPGPUContext;
        })();
        /**
         * Finds the index of the last true element using linear search.
         * Note: We can't do binary search because Chrome expects us to explicitly
         * test all fences before download:
         * https://github.com/tensorflow/tfjs/issues/1145
         */
        function linearSearchLastTrue(arr) {
          var i = 0;
          for (; i < arr.length; ++i) {
            var isDone = arr[i]();
            if (!isDone) {
              break;
            }
          }
          return i - 1;
        }

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var getBroadcastDims = tf.backend_util.getBroadcastDims;
        function makeShader(inputsInfo, outputShape, userCode, usesPackedTextures) {
          var prefixSnippets = [];
          inputsInfo.forEach(function (x) {
            var size = tf.util.sizeFromShape(x.shapeInfo.logicalShape);
            // Snippet when we decided to upload the values as uniform.
            if (x.shapeInfo.isUniform) {
              prefixSnippets.push(
                'uniform float ' + x.name + (size > 1 ? '[' + size + ']' : '') + ';',
              );
            } else {
              prefixSnippets.push('uniform sampler2D ' + x.name + ';');
              prefixSnippets.push('uniform int offset' + x.name + ';');
            }
          });
          var inputPrefixSnippet = prefixSnippets.join('\n');
          var inputSamplingSnippet = inputsInfo
            .map(function (x) {
              return getInputSamplingSnippet(x, outputShape, usesPackedTextures);
            })
            .join('\n');
          var outTexShape = outputShape.texShape;
          var glsl = getGlslDifferences();
          var floatTextureSampleSnippet = getFloatTextureSampleSnippet(glsl);
          var outputSamplingSnippet;
          var floatTextureSetOutputSnippet;
          var shaderPrefix = getShaderPrefix(glsl);
          if (outputShape.isPacked) {
            outputSamplingSnippet = getPackedOutputSamplingSnippet(
              outputShape.logicalShape,
              outTexShape,
            );
            floatTextureSetOutputSnippet = getFloatTextureSetRGBASnippet(glsl);
          } else {
            outputSamplingSnippet = getOutputSamplingSnippet(outputShape.logicalShape, outTexShape);
            floatTextureSetOutputSnippet = getFloatTextureSetRSnippet(glsl);
          }
          if (usesPackedTextures) {
            shaderPrefix += SHADER_PACKED_PREFIX;
          }
          var source = [
            shaderPrefix,
            floatTextureSampleSnippet,
            floatTextureSetOutputSnippet,
            inputPrefixSnippet,
            outputSamplingSnippet,
            inputSamplingSnippet,
            userCode,
          ].join('\n');
          return source;
        }
        function getSamplerFromInInfo(inInfo) {
          var shape = inInfo.shapeInfo.logicalShape;
          switch (shape.length) {
            case 0:
              return getSamplerScalar(inInfo);
            case 1:
              return getSampler1D(inInfo);
            case 2:
              return getSampler2D(inInfo);
            case 3:
              return getSampler3D(inInfo);
            case 4:
              return getSampler4D(inInfo);
            case 5:
              return getSampler5D(inInfo);
            case 6:
              return getSampler6D(inInfo);
            default:
              throw new Error(shape.length + '-D input sampling' + ' is not yet supported');
          }
        }
        function getPackedSamplerFromInInfo(inInfo) {
          var shape = inInfo.shapeInfo.logicalShape;
          switch (shape.length) {
            case 0:
              return getPackedSamplerScalar(inInfo);
            case 1:
              return getPackedSampler1D(inInfo);
            case 2:
              return getPackedSampler2D(inInfo);
            case 3:
              return getPackedSampler3D(inInfo);
            default:
              return getPackedSamplerND(inInfo);
          }
        }
        function getInputSamplingSnippet(inInfo, outShapeInfo, usesPackedTextures) {
          if (usesPackedTextures === void 0) {
            usesPackedTextures = false;
          }
          var res = '';
          if (usesPackedTextures) {
            res += getPackedSamplerFromInInfo(inInfo);
          } else {
            res += getSamplerFromInInfo(inInfo);
          }
          var inShape = inInfo.shapeInfo.logicalShape;
          var outShape = outShapeInfo.logicalShape;
          if (inShape.length <= outShape.length) {
            if (usesPackedTextures) {
              res += getPackedSamplerAtOutputCoords(inInfo, outShapeInfo);
            } else {
              res += getSamplerAtOutputCoords(inInfo, outShapeInfo);
            }
          }
          return res;
        }
        function getPackedOutputSamplingSnippet(outShape, outTexShape) {
          switch (outShape.length) {
            case 0:
              return getOutputScalarCoords();
            case 1:
              return getOutputPacked1DCoords(outShape, outTexShape);
            case 2:
              return getOutputPacked2DCoords(outShape, outTexShape);
            case 3:
              return getOutputPacked3DCoords(outShape, outTexShape);
            default:
              return getOutputPackedNDCoords(outShape, outTexShape);
          }
        }
        function getOutputSamplingSnippet(outShape, outTexShape) {
          switch (outShape.length) {
            case 0:
              return getOutputScalarCoords();
            case 1:
              return getOutput1DCoords(outShape, outTexShape);
            case 2:
              return getOutput2DCoords(outShape, outTexShape);
            case 3:
              return getOutput3DCoords(outShape, outTexShape);
            case 4:
              return getOutput4DCoords(outShape, outTexShape);
            case 5:
              return getOutput5DCoords(outShape, outTexShape);
            case 6:
              return getOutput6DCoords(outShape, outTexShape);
            default:
              throw new Error(outShape.length + '-D output sampling is not yet supported');
          }
        }
        function getFloatTextureSampleSnippet(glsl) {
          return (
            '\n    float sampleTexture(sampler2D textureSampler, vec2 uv) {\n      return ' +
            glsl.texture2D +
            '(textureSampler, uv).r;\n    }\n  '
          );
        }
        function getFloatTextureSetRSnippet(glsl) {
          return (
            '\n    void setOutput(float val) {\n      ' +
            glsl.output +
            ' = vec4(val, 0, 0, 0);\n    }\n  '
          );
        }
        function getFloatTextureSetRGBASnippet(glsl) {
          return '\n    void setOutput(vec4 val) {\n      ' + glsl.output + ' = val;\n    }\n  ';
        }
        function getShaderPrefix(glsl) {
          var SHADER_PREFIX =
            glsl.version +
            '\n    precision highp float;\n    precision highp int;\n    precision highp sampler2D;\n    ' +
            glsl.varyingFs +
            ' vec2 resultUV;\n    ' +
            glsl.defineOutput +
            '\n    const vec2 halfCR = vec2(0.5, 0.5);\n\n    struct ivec5\n    {\n      int x;\n      int y;\n      int z;\n      int w;\n      int u;\n    };\n\n    struct ivec6\n    {\n      int x;\n      int y;\n      int z;\n      int w;\n      int u;\n      int v;\n    };\n\n    uniform float NAN;\n    ' +
            glsl.defineSpecialNaN +
            '\n    ' +
            glsl.defineSpecialInf +
            '\n    ' +
            glsl.defineRound +
            '\n\n    int imod(int x, int y) {\n      return x - y * (x / y);\n    }\n\n    int idiv(int a, int b, float sign) {\n      int res = a / b;\n      int mod = imod(a, b);\n      if (sign < 0. && mod != 0) {\n        res -= 1;\n      }\n      return res;\n    }\n\n    //Based on the work of Dave Hoskins\n    //https://www.shadertoy.com/view/4djSRW\n    #define HASHSCALE1 443.8975\n    float random(float seed){\n      vec2 p = resultUV * seed;\n      vec3 p3  = fract(vec3(p.xyx) * HASHSCALE1);\n      p3 += dot(p3, p3.yzx + 19.19);\n      return fract((p3.x + p3.y) * p3.z);\n    }\n\n    ' +
            SAMPLE_1D_SNIPPET +
            '\n    ' +
            SAMPLE_2D_SNIPPET +
            '\n    ' +
            SAMPLE_3D_SNIPPET +
            '\n  ';
          return SHADER_PREFIX;
        }
        var SAMPLE_1D_SNIPPET =
          '\nvec2 uvFromFlat(int texNumR, int texNumC, int index) {\n  int texR = index / texNumC;\n  int texC = index - texR * texNumC;\n  return (vec2(texC, texR) + halfCR) / vec2(texNumC, texNumR);\n}\nvec2 packedUVfrom1D(int texNumR, int texNumC, int index) {\n  int texelIndex = index / 2;\n  int texR = texelIndex / texNumC;\n  int texC = texelIndex - texR * texNumC;\n  return (vec2(texC, texR) + halfCR) / vec2(texNumC, texNumR);\n}\n';
        var SAMPLE_2D_SNIPPET =
          '\nvec2 packedUVfrom2D(int texelsInLogicalRow, int texNumR,\n  int texNumC, int row, int col) {\n  int texelIndex = (row / 2) * texelsInLogicalRow + (col / 2);\n  int texR = texelIndex / texNumC;\n  int texC = texelIndex - texR * texNumC;\n  return (vec2(texC, texR) + halfCR) / vec2(texNumC, texNumR);\n}\n';
        var SAMPLE_3D_SNIPPET =
          '\nvec2 packedUVfrom3D(int texNumR, int texNumC,\n    int texelsInBatch, int texelsInLogicalRow, int b,\n    int row, int col) {\n  int index = b * texelsInBatch + (row / 2) * texelsInLogicalRow + (col / 2);\n  int texR = index / texNumC;\n  int texC = index - texR * texNumC;\n  return (vec2(texC, texR) + halfCR) / vec2(texNumC, texNumR);\n}\n';
        var SHADER_PACKED_PREFIX =
          '\n  float getChannel(vec4 frag, vec2 innerDims) {\n    vec2 modCoord = mod(innerDims, 2.);\n    return modCoord.x == 0. ?\n      (modCoord.y == 0. ? frag.r : frag.g) :\n      (modCoord.y == 0. ? frag.b : frag.a);\n  }\n  float getChannel(vec4 frag, int dim) {\n    float modCoord = mod(float(dim), 2.);\n    return modCoord == 0. ? frag.r : frag.g;\n  }\n';
        function getOutputScalarCoords() {
          return '\n    int getOutputCoords() {\n      return 0;\n    }\n  ';
        }
        function getOutputPacked1DCoords(shape, texShape) {
          var packedTexShape = [Math.ceil(texShape[0] / 2), Math.ceil(texShape[1] / 2)];
          if (packedTexShape[0] === 1) {
            return (
              '\n      int getOutputCoords() {\n        return 2 * int(resultUV.x * ' +
              packedTexShape[1] +
              '.0);\n      }\n    '
            );
          }
          if (packedTexShape[1] === 1) {
            return (
              '\n      int getOutputCoords() {\n        return 2 * int(resultUV.y * ' +
              packedTexShape[0] +
              '.0);\n      }\n    '
            );
          }
          return (
            '\n    int getOutputCoords() {\n      ivec2 resTexRC = ivec2(resultUV.yx *\n                             vec2(' +
            packedTexShape[0] +
            ', ' +
            packedTexShape[1] +
            '));\n      return 2 * (resTexRC.x * ' +
            packedTexShape[1] +
            ' + resTexRC.y);\n    }\n  '
          );
        }
        function getOutput1DCoords(shape, texShape) {
          if (texShape[0] === 1) {
            return (
              '\n      int getOutputCoords() {\n        return int(resultUV.x * ' +
              texShape[1] +
              '.0);\n      }\n    '
            );
          }
          if (texShape[1] === 1) {
            return (
              '\n      int getOutputCoords() {\n        return int(resultUV.y * ' +
              texShape[0] +
              '.0);\n      }\n    '
            );
          }
          return (
            '\n    int getOutputCoords() {\n      ivec2 resTexRC = ivec2(resultUV.yx *\n                             vec2(' +
            texShape[0] +
            ', ' +
            texShape[1] +
            '));\n      return resTexRC.x * ' +
            texShape[1] +
            ' + resTexRC.y;\n    }\n  '
          );
        }
        function getOutputPacked3DCoords(shape, texShape) {
          var packedTexShape = [Math.ceil(texShape[0] / 2), Math.ceil(texShape[1] / 2)];
          var texelsInLogicalRow = Math.ceil(shape[2] / 2);
          var texelsInBatch = texelsInLogicalRow * Math.ceil(shape[1] / 2);
          return (
            '\n    ivec3 getOutputCoords() {\n      ivec2 resTexRC = ivec2(resultUV.yx *\n                             vec2(' +
            packedTexShape[0] +
            ', ' +
            packedTexShape[1] +
            '));\n      int index = resTexRC.x * ' +
            packedTexShape[1] +
            ' + resTexRC.y;\n\n      int b = index / ' +
            texelsInBatch +
            ';\n      index -= b * ' +
            texelsInBatch +
            ';\n\n      int r = 2 * (index / ' +
            texelsInLogicalRow +
            ');\n      int c = imod(index, ' +
            texelsInLogicalRow +
            ') * 2;\n\n      return ivec3(b, r, c);\n    }\n  '
          );
        }
        function getOutput3DCoords(shape, texShape) {
          var coordsFromIndexSnippet = getLogicalCoordinatesFromFlatIndex(['r', 'c', 'd'], shape);
          return (
            '\n    ivec3 getOutputCoords() {\n      ivec2 resTexRC = ivec2(resultUV.yx *\n                             vec2(' +
            texShape[0] +
            ', ' +
            texShape[1] +
            '));\n      int index = resTexRC.x * ' +
            texShape[1] +
            ' + resTexRC.y;\n      ' +
            coordsFromIndexSnippet +
            '\n      return ivec3(r, c, d);\n    }\n  '
          );
        }
        function getOutputPackedNDCoords(shape, texShape) {
          var packedTexShape = [Math.ceil(texShape[0] / 2), Math.ceil(texShape[1] / 2)];
          var texelsInLogicalRow = Math.ceil(shape[shape.length - 1] / 2);
          var texelsInBatch = texelsInLogicalRow * Math.ceil(shape[shape.length - 2] / 2);
          var texelsInBatchN = texelsInBatch;
          var batches = '';
          var coords = 'b, r, c';
          for (var b = 2; b < shape.length - 1; b++) {
            texelsInBatchN *= shape[shape.length - b - 1];
            batches =
              '\n      int b' +
              b +
              ' = index / ' +
              texelsInBatchN +
              ';\n      index -= b' +
              b +
              ' * ' +
              texelsInBatchN +
              ';\n    ' +
              batches;
            coords = 'b' + b + ', ' + coords;
          }
          return (
            '\n    ivec' +
            shape.length +
            ' getOutputCoords() {\n      ivec2 resTexRC = ivec2(resultUV.yx *\n                             vec2(' +
            packedTexShape[0] +
            ', ' +
            packedTexShape[1] +
            '));\n      int index = resTexRC.x * ' +
            packedTexShape[1] +
            ' + resTexRC.y;\n\n      ' +
            batches +
            '\n\n      int b = index / ' +
            texelsInBatch +
            ';\n      index -= b * ' +
            texelsInBatch +
            ';\n\n      int r = 2 * (index / ' +
            texelsInLogicalRow +
            ');\n      int c = imod(index, ' +
            texelsInLogicalRow +
            ') * 2;\n\n      return ivec' +
            shape.length +
            '(' +
            coords +
            ');\n    }\n  '
          );
        }
        function getOutput4DCoords(shape, texShape) {
          var coordsFromIndexSnippet = getLogicalCoordinatesFromFlatIndex(
            ['r', 'c', 'd', 'd2'],
            shape,
          );
          return (
            '\n    ivec4 getOutputCoords() {\n      ivec2 resTexRC = ivec2(resultUV.yx *\n        vec2(' +
            texShape[0] +
            ', ' +
            texShape[1] +
            '));\n      int index = resTexRC.x * ' +
            texShape[1] +
            ' + resTexRC.y;\n      ' +
            coordsFromIndexSnippet +
            '\n      return ivec4(r, c, d, d2);\n    }\n  '
          );
        }
        function getOutput5DCoords(shape, texShape) {
          var coordsFromIndexSnippet = getLogicalCoordinatesFromFlatIndex(
            ['r', 'c', 'd', 'd2', 'd3'],
            shape,
          );
          return (
            '\n    ivec5 getOutputCoords() {\n      ivec2 resTexRC = ivec2(resultUV.yx * vec2(' +
            texShape[0] +
            ',\n                             ' +
            texShape[1] +
            '));\n\n      int index = resTexRC.x * ' +
            texShape[1] +
            ' + resTexRC.y;\n\n      ' +
            coordsFromIndexSnippet +
            '\n\n      ivec5 outShape = ivec5(r, c, d, d2, d3);\n      return outShape;\n    }\n  '
          );
        }
        function getOutput6DCoords(shape, texShape) {
          var coordsFromIndexSnippet = getLogicalCoordinatesFromFlatIndex(
            ['r', 'c', 'd', 'd2', 'd3', 'd4'],
            shape,
          );
          return (
            '\n    ivec6 getOutputCoords() {\n      ivec2 resTexRC = ivec2(resultUV.yx *\n        vec2(' +
            texShape[0] +
            ', ' +
            texShape[1] +
            '));\n      int index = resTexRC.x * ' +
            texShape[1] +
            ' + resTexRC.y;\n\n      ' +
            coordsFromIndexSnippet +
            '\n\n      ivec6 result = ivec6(r, c, d, d2, d3, d4);\n      return result;\n    }\n  '
          );
        }
        function getOutputPacked2DCoords(shape, texShape) {
          var packedTexShape = [Math.ceil(texShape[0] / 2), Math.ceil(texShape[1] / 2)];
          if (tf.util.arraysEqual(shape, texShape)) {
            return (
              '\n      ivec2 getOutputCoords() {\n        return 2 * ivec2(resultUV.yx * vec2(' +
              packedTexShape[0] +
              ', ' +
              packedTexShape[1] +
              '));\n      }\n    '
            );
          }
          // texels needed to accommodate a logical row
          var texelsInLogicalRow = Math.ceil(shape[1] / 2);
          /**
           * getOutputCoords
           *
           * resTexRC: The rows and columns of the texels. If you move over one
           * texel to the right in the packed texture, you are moving over one column
           * (not two).
           *
           * index: The texel index
           */
          return (
            '\n    ivec2 getOutputCoords() {\n      ivec2 resTexRC = ivec2(resultUV.yx *\n                             vec2(' +
            packedTexShape[0] +
            ', ' +
            packedTexShape[1] +
            '));\n\n      int index = resTexRC.x * ' +
            packedTexShape[1] +
            ' + resTexRC.y;\n      int r = 2 * (index / ' +
            texelsInLogicalRow +
            ');\n      int c = imod(index, ' +
            texelsInLogicalRow +
            ') * 2;\n\n      return ivec2(r, c);\n    }\n  '
          );
        }
        function getOutput2DCoords(shape, texShape) {
          if (tf.util.arraysEqual(shape, texShape)) {
            return (
              '\n      ivec2 getOutputCoords() {\n        return ivec2(resultUV.yx * vec2(' +
              texShape[0] +
              ', ' +
              texShape[1] +
              '));\n      }\n    '
            );
          }
          if (shape[1] === 1) {
            return (
              '\n      ivec2 getOutputCoords() {\n        ivec2 resTexRC = ivec2(resultUV.yx *\n                               vec2(' +
              texShape[0] +
              ', ' +
              texShape[1] +
              '));\n        int index = resTexRC.x * ' +
              texShape[1] +
              ' + resTexRC.y;\n        return ivec2(index, 0);\n      }\n    '
            );
          }
          if (shape[0] === 1) {
            return (
              '\n      ivec2 getOutputCoords() {\n        ivec2 resTexRC = ivec2(resultUV.yx *\n                               vec2(' +
              texShape[0] +
              ', ' +
              texShape[1] +
              '));\n        int index = resTexRC.x * ' +
              texShape[1] +
              ' + resTexRC.y;\n        return ivec2(0, index);\n      }\n    '
            );
          }
          return (
            '\n    ivec2 getOutputCoords() {\n      ivec2 resTexRC = ivec2(resultUV.yx *\n                             vec2(' +
            texShape[0] +
            ', ' +
            texShape[1] +
            '));\n      int index = resTexRC.x * ' +
            texShape[1] +
            ' + resTexRC.y;\n      int r = index / ' +
            shape[1] +
            ';\n      int c = index - r * ' +
            shape[1] +
            ';\n      return ivec2(r, c);\n    }\n  '
          );
        }
        function getFlatOffsetUniformName(texName) {
          return 'offset' + texName;
        }
        function getPackedSamplerScalar(inputInfo) {
          var texName = inputInfo.name;
          var funcName = 'get' + texName.charAt(0).toUpperCase() + texName.slice(1);
          var glsl = getGlslDifferences();
          return (
            '\n    vec4 ' +
            funcName +
            '() {\n      return ' +
            glsl.texture2D +
            '(' +
            texName +
            ', halfCR);\n    }\n  '
          );
        }
        function getSamplerScalar(inputInfo) {
          var texName = inputInfo.name;
          var funcName = 'get' + texName.charAt(0).toUpperCase() + texName.slice(1);
          if (inputInfo.shapeInfo.isUniform) {
            return 'float ' + funcName + '() {return ' + texName + ';}';
          }
          var _a = inputInfo.shapeInfo.texShape,
            texNumR = _a[0],
            texNumC = _a[1];
          if (texNumR === 1 && texNumC === 1) {
            return (
              '\n      float ' +
              funcName +
              '() {\n        return sampleTexture(' +
              texName +
              ', halfCR);\n      }\n    '
            );
          }
          var _b = inputInfo.shapeInfo.texShape,
            tNumR = _b[0],
            tNumC = _b[1];
          var offset = getFlatOffsetUniformName(texName);
          return (
            '\n    float ' +
            funcName +
            '() {\n      vec2 uv = uvFromFlat(' +
            tNumR +
            ', ' +
            tNumC +
            ', ' +
            offset +
            ');\n      return sampleTexture(' +
            texName +
            ', uv);\n    }\n  '
          );
        }
        function getPackedSampler1D(inputInfo) {
          var texName = inputInfo.name;
          var funcName = 'get' + texName.charAt(0).toUpperCase() + texName.slice(1);
          var texShape = inputInfo.shapeInfo.texShape;
          var packedTexShape = [Math.ceil(texShape[0] / 2), Math.ceil(texShape[1] / 2)];
          var glsl = getGlslDifferences();
          return (
            '\n    vec4 ' +
            funcName +
            '(int index) {\n      vec2 uv = packedUVfrom1D(\n        ' +
            packedTexShape[0] +
            ', ' +
            packedTexShape[1] +
            ', index);\n      return ' +
            glsl.texture2D +
            '(' +
            texName +
            ', uv);\n    }\n  '
          );
        }
        function getSampler1D(inputInfo) {
          var texName = inputInfo.name;
          var funcName = 'get' + texName.charAt(0).toUpperCase() + texName.slice(1);
          if (inputInfo.shapeInfo.isUniform) {
            // Uniform arrays will be less than 65505 (no risk of float16 overflow).
            return (
              '\n      float ' +
              funcName +
              '(int index) {\n        ' +
              getUniformSampler(inputInfo) +
              '\n      }\n    '
            );
          }
          var texShape = inputInfo.shapeInfo.texShape;
          var tNumR = texShape[0];
          var tNumC = texShape[1];
          if (tNumC === 1 && tNumR === 1) {
            return (
              '\n      float ' +
              funcName +
              '(int index) {\n        return sampleTexture(' +
              texName +
              ', halfCR);\n      }\n    '
            );
          }
          var offset = getFlatOffsetUniformName(texName);
          if (tNumC === 1) {
            return (
              '\n      float ' +
              funcName +
              '(int index) {\n        vec2 uv = vec2(0.5, (float(index + ' +
              offset +
              ') + 0.5) / ' +
              tNumR +
              '.0);\n        return sampleTexture(' +
              texName +
              ', uv);\n      }\n    '
            );
          }
          if (tNumR === 1) {
            return (
              '\n      float ' +
              funcName +
              '(int index) {\n        vec2 uv = vec2((float(index + ' +
              offset +
              ') + 0.5) / ' +
              tNumC +
              '.0, 0.5);\n        return sampleTexture(' +
              texName +
              ', uv);\n      }\n    '
            );
          }
          return (
            '\n    float ' +
            funcName +
            '(int index) {\n      vec2 uv = uvFromFlat(' +
            tNumR +
            ', ' +
            tNumC +
            ', index + ' +
            offset +
            ');\n      return sampleTexture(' +
            texName +
            ', uv);\n    }\n  '
          );
        }
        function getPackedSampler2D(inputInfo) {
          var shape = inputInfo.shapeInfo.logicalShape;
          var texName = inputInfo.name;
          var funcName = 'get' + texName.charAt(0).toUpperCase() + texName.slice(1);
          var texShape = inputInfo.shapeInfo.texShape;
          var texNumR = texShape[0];
          var texNumC = texShape[1];
          var glsl = getGlslDifferences();
          if (texShape != null && tf.util.arraysEqual(shape, texShape)) {
            return (
              '\n      vec4 ' +
              funcName +
              '(int row, int col) {\n        vec2 uv = (vec2(col, row) + halfCR) / vec2(' +
              texNumC +
              '.0, ' +
              texNumR +
              '.0);\n\n        return ' +
              glsl.texture2D +
              '(' +
              texName +
              ', uv);\n      }\n    '
            );
          }
          var packedTexShape = [Math.ceil(texShape[0] / 2), Math.ceil(texShape[1] / 2)];
          var valuesPerRow = Math.ceil(shape[1] / 2);
          return (
            '\n    vec4 ' +
            funcName +
            '(int row, int col) {\n      vec2 uv = packedUVfrom2D(' +
            valuesPerRow +
            ', ' +
            packedTexShape[0] +
            ', ' +
            packedTexShape[1] +
            ', row, col);\n      return ' +
            glsl.texture2D +
            '(' +
            texName +
            ', uv);\n    }\n  '
          );
        }
        function getSampler2D(inputInfo) {
          var shape = inputInfo.shapeInfo.logicalShape;
          var texName = inputInfo.name;
          var funcName = 'get' + texName.charAt(0).toUpperCase() + texName.slice(1);
          var texShape = inputInfo.shapeInfo.texShape;
          if (texShape != null && tf.util.arraysEqual(shape, texShape)) {
            var texNumR_1 = texShape[0];
            var texNumC_1 = texShape[1];
            return (
              '\n    float ' +
              funcName +
              '(int row, int col) {\n      vec2 uv = (vec2(col, row) + halfCR) / vec2(' +
              texNumC_1 +
              '.0, ' +
              texNumR_1 +
              '.0);\n      return sampleTexture(' +
              texName +
              ', uv);\n    }\n  '
            );
          }
          var _a = tf.util.squeezeShape(shape),
            newShape = _a.newShape,
            keptDims = _a.keptDims;
          var squeezedShape = newShape;
          if (squeezedShape.length < shape.length) {
            var newInputInfo = squeezeInputInfo(inputInfo, squeezedShape);
            var params = ['row', 'col'];
            return (
              '\n      ' +
              getSamplerFromInInfo(newInputInfo) +
              '\n      float ' +
              funcName +
              '(int row, int col) {\n        return ' +
              funcName +
              '(' +
              getSqueezedParams(params, keptDims) +
              ');\n      }\n    '
            );
          }
          if (inputInfo.shapeInfo.isUniform) {
            // Uniform arrays will be less than 65505 (no risk of float16 overflow).
            return (
              '\n      float ' +
              funcName +
              '(int row, int col) {\n        int index = round(dot(vec2(row, col), vec2(' +
              shape[1] +
              ', 1)));\n        ' +
              getUniformSampler(inputInfo) +
              '\n      }\n    '
            );
          }
          var texNumR = texShape[0];
          var texNumC = texShape[1];
          var offset = getFlatOffsetUniformName(texName);
          if (texNumC === 1) {
            // index is used directly as physical (no risk of float16 overflow).
            return (
              '\n    float ' +
              funcName +
              '(int row, int col) {\n      float index = dot(vec3(row, col, ' +
              offset +
              '), vec3(' +
              shape[1] +
              ', 1, 1));\n      vec2 uv = vec2(0.5, (index + 0.5) / ' +
              texNumR +
              '.0);\n      return sampleTexture(' +
              texName +
              ', uv);\n    }\n  '
            );
          }
          if (texNumR === 1) {
            // index is used directly as physical (no risk of float16 overflow).
            return (
              '\n    float ' +
              funcName +
              '(int row, int col) {\n      float index = dot(vec3(row, col, ' +
              offset +
              '), vec3(' +
              shape[1] +
              ', 1, 1));\n      vec2 uv = vec2((index + 0.5) / ' +
              texNumC +
              '.0, 0.5);\n      return sampleTexture(' +
              texName +
              ', uv);\n    }\n  '
            );
          }
          return (
            '\n  float ' +
            funcName +
            '(int row, int col) {\n    // Explicitly use integer operations as dot() only works on floats.\n    int index = row * ' +
            shape[1] +
            ' + col + ' +
            offset +
            ';\n    vec2 uv = uvFromFlat(' +
            texNumR +
            ', ' +
            texNumC +
            ', index);\n    return sampleTexture(' +
            texName +
            ', uv);\n  }\n'
          );
        }
        function getPackedSampler3D(inputInfo) {
          var shape = inputInfo.shapeInfo.logicalShape;
          var texName = inputInfo.name;
          var funcName = 'get' + texName.charAt(0).toUpperCase() + texName.slice(1);
          var texShape = inputInfo.shapeInfo.texShape;
          var packedTexShape = [Math.ceil(texShape[0] / 2), Math.ceil(texShape[1] / 2)];
          if (shape[0] === 1) {
            var squeezedShape = shape.slice(1);
            var keptDims = [1, 2];
            var newInputInfo = squeezeInputInfo(inputInfo, squeezedShape);
            var params = ['b', 'row', 'col'];
            return (
              '\n        ' +
              getPackedSamplerFromInInfo(newInputInfo) +
              '\n        vec4 ' +
              funcName +
              '(int b, int row, int col) {\n          return ' +
              funcName +
              '(' +
              getSqueezedParams(params, keptDims) +
              ');\n        }\n      '
            );
          }
          var texNumR = packedTexShape[0];
          var texNumC = packedTexShape[1];
          var valuesPerRow = Math.ceil(shape[2] / 2);
          var texelsInBatch = valuesPerRow * Math.ceil(shape[1] / 2);
          var glsl = getGlslDifferences();
          return (
            '\n    vec4 ' +
            funcName +
            '(int b, int row, int col) {\n      vec2 uv = packedUVfrom3D(\n        ' +
            texNumR +
            ', ' +
            texNumC +
            ', ' +
            texelsInBatch +
            ', ' +
            valuesPerRow +
            ', b, row, col);\n      return ' +
            glsl.texture2D +
            '(' +
            texName +
            ', uv);\n    }\n  '
          );
        }
        function getSampler3D(inputInfo) {
          var shape = inputInfo.shapeInfo.logicalShape;
          var texName = inputInfo.name;
          var funcName = 'get' + texName.charAt(0).toUpperCase() + texName.slice(1);
          var stride0 = shape[1] * shape[2];
          var stride1 = shape[2];
          var _a = tf.util.squeezeShape(shape),
            newShape = _a.newShape,
            keptDims = _a.keptDims;
          var squeezedShape = newShape;
          if (squeezedShape.length < shape.length) {
            var newInputInfo = squeezeInputInfo(inputInfo, squeezedShape);
            var params = ['row', 'col', 'depth'];
            return (
              '\n        ' +
              getSamplerFromInInfo(newInputInfo) +
              '\n        float ' +
              funcName +
              '(int row, int col, int depth) {\n          return ' +
              funcName +
              '(' +
              getSqueezedParams(params, keptDims) +
              ');\n        }\n      '
            );
          }
          if (inputInfo.shapeInfo.isUniform) {
            // Uniform arrays will be less than 65505 (no risk of float16 overflow).
            return (
              '\n      float ' +
              funcName +
              '(int row, int col, int depth) {\n        int index = round(dot(vec3(row, col, depth),\n                          vec3(' +
              stride0 +
              ', ' +
              stride1 +
              ', 1)));\n        ' +
              getUniformSampler(inputInfo) +
              '\n      }\n    '
            );
          }
          var texShape = inputInfo.shapeInfo.texShape;
          var texNumR = texShape[0];
          var texNumC = texShape[1];
          var flatOffset = inputInfo.shapeInfo.flatOffset;
          if (texNumC === stride0 && flatOffset == null) {
            // texC is used directly as physical (no risk of float16 overflow).
            return (
              '\n        float ' +
              funcName +
              '(int row, int col, int depth) {\n          float texR = float(row);\n          float texC = dot(vec2(col, depth), vec2(' +
              stride1 +
              ', 1));\n          vec2 uv = (vec2(texC, texR) + halfCR) /\n                     vec2(' +
              texNumC +
              '.0, ' +
              texNumR +
              '.0);\n          return sampleTexture(' +
              texName +
              ', uv);\n        }\n      '
            );
          }
          if (texNumC === stride1 && flatOffset == null) {
            // texR is used directly as physical (no risk of float16 overflow).
            return (
              '\n    float ' +
              funcName +
              '(int row, int col, int depth) {\n      float texR = dot(vec2(row, col), vec2(' +
              shape[1] +
              ', 1));\n      float texC = float(depth);\n      vec2 uv = (vec2(texC, texR) + halfCR) / vec2(' +
              texNumC +
              '.0, ' +
              texNumR +
              '.0);\n      return sampleTexture(' +
              texName +
              ', uv);\n    }\n  '
            );
          }
          var offset = getFlatOffsetUniformName(texName);
          return (
            '\n      float ' +
            funcName +
            '(int row, int col, int depth) {\n        // Explicitly use integer operations as dot() only works on floats.\n        int index = row * ' +
            stride0 +
            ' + col * ' +
            stride1 +
            ' + depth + ' +
            offset +
            ';\n        vec2 uv = uvFromFlat(' +
            texNumR +
            ', ' +
            texNumC +
            ', index);\n        return sampleTexture(' +
            texName +
            ', uv);\n      }\n  '
          );
        }
        function getPackedSamplerND(inputInfo) {
          var shape = inputInfo.shapeInfo.logicalShape;
          var rank = shape.length;
          var texName = inputInfo.name;
          var funcName = 'get' + texName.charAt(0).toUpperCase() + texName.slice(1);
          var texShape = inputInfo.shapeInfo.texShape;
          var packedTexShape = [Math.ceil(texShape[0] / 2), Math.ceil(texShape[1] / 2)];
          var texNumR = packedTexShape[0];
          var texNumC = packedTexShape[1];
          var valuesPerRow = Math.ceil(shape[rank - 1] / 2);
          var texelsInBatch = valuesPerRow * Math.ceil(shape[rank - 2] / 2);
          var params = 'int b, int row, int col';
          var index = 'b * ' + texelsInBatch + ' + (row / 2) * ' + valuesPerRow + ' + (col / 2)';
          for (var b = 2; b < rank - 1; b++) {
            params = 'int b' + b + ', ' + params;
            texelsInBatch *= shape[rank - b - 1];
            index = 'b' + b + ' * ' + texelsInBatch + ' + ' + index;
          }
          var glsl = getGlslDifferences();
          return (
            '\n    vec4 ' +
            funcName +
            '(' +
            params +
            ') {\n      int index = ' +
            index +
            ';\n      int texR = index / ' +
            texNumC +
            ';\n      int texC = index - texR * ' +
            texNumC +
            ';\n      vec2 uv = (vec2(texC, texR) + halfCR) / vec2(' +
            texNumC +
            ', ' +
            texNumR +
            ');\n      return ' +
            glsl.texture2D +
            '(' +
            texName +
            ', uv);\n    }\n  '
          );
        }
        function getSampler4D(inputInfo) {
          var shape = inputInfo.shapeInfo.logicalShape;
          var texName = inputInfo.name;
          var funcName = 'get' + texName.charAt(0).toUpperCase() + texName.slice(1);
          var stride2 = shape[3];
          var stride1 = shape[2] * stride2;
          var stride0 = shape[1] * stride1;
          var _a = tf.util.squeezeShape(shape),
            newShape = _a.newShape,
            keptDims = _a.keptDims;
          if (newShape.length < shape.length) {
            var newInputInfo = squeezeInputInfo(inputInfo, newShape);
            var params = ['row', 'col', 'depth', 'depth2'];
            return (
              '\n      ' +
              getSamplerFromInInfo(newInputInfo) +
              '\n      float ' +
              funcName +
              '(int row, int col, int depth, int depth2) {\n        return ' +
              funcName +
              '(' +
              getSqueezedParams(params, keptDims) +
              ');\n      }\n    '
            );
          }
          if (inputInfo.shapeInfo.isUniform) {
            // Uniform arrays will be less than 65505 (no risk of float16 overflow).
            return (
              '\n      float ' +
              funcName +
              '(int row, int col, int depth, int depth2) {\n        int index = round(dot(vec4(row, col, depth, depth2),\n                          vec4(' +
              stride0 +
              ', ' +
              stride1 +
              ', ' +
              stride2 +
              ', 1)));\n        ' +
              getUniformSampler(inputInfo) +
              '\n      }\n    '
            );
          }
          var flatOffset = inputInfo.shapeInfo.flatOffset;
          var texShape = inputInfo.shapeInfo.texShape;
          var texNumR = texShape[0];
          var texNumC = texShape[1];
          if (texNumC === stride0 && flatOffset == null) {
            // texC is used directly as physical (no risk of float16 overflow).
            return (
              '\n      float ' +
              funcName +
              '(int row, int col, int depth, int depth2) {\n        float texR = float(row);\n        float texC =\n            dot(vec3(col, depth, depth2),\n                vec3(' +
              stride1 +
              ', ' +
              stride2 +
              ', 1));\n        vec2 uv = (vec2(texC, texR) + halfCR) /\n                   vec2(' +
              texNumC +
              '.0, ' +
              texNumR +
              '.0);\n        return sampleTexture(' +
              texName +
              ', uv);\n      }\n    '
            );
          }
          if (texNumC === stride2 && flatOffset == null) {
            // texR is used directly as physical (no risk of float16 overflow).
            return (
              '\n      float ' +
              funcName +
              '(int row, int col, int depth, int depth2) {\n        float texR = dot(vec3(row, col, depth),\n                         vec3(' +
              shape[1] * shape[2] +
              ', ' +
              shape[2] +
              ', 1));\n        float texC = float(depth2);\n        vec2 uv = (vec2(texC, texR) + halfCR) /\n                  vec2(' +
              texNumC +
              '.0, ' +
              texNumR +
              '.0);\n        return sampleTexture(' +
              texName +
              ', uv);\n      }\n    '
            );
          }
          var offset = getFlatOffsetUniformName(texName);
          return (
            '\n    float ' +
            funcName +
            '(int row, int col, int depth, int depth2) {\n      // Explicitly use integer operations as dot() only works on floats.\n      int index = row * ' +
            stride0 +
            ' + col * ' +
            stride1 +
            ' +\n          depth * ' +
            stride2 +
            ' + depth2;\n      vec2 uv = uvFromFlat(' +
            texNumR +
            ', ' +
            texNumC +
            ', index + ' +
            offset +
            ');\n      return sampleTexture(' +
            texName +
            ', uv);\n    }\n  '
          );
        }
        function getSampler5D(inputInfo) {
          var shape = inputInfo.shapeInfo.logicalShape;
          var texName = inputInfo.name;
          var funcName = 'get' + texName.charAt(0).toUpperCase() + texName.slice(1);
          var stride3 = shape[4];
          var stride2 = shape[3] * stride3;
          var stride1 = shape[2] * stride2;
          var stride0 = shape[1] * stride1;
          var _a = tf.util.squeezeShape(shape),
            newShape = _a.newShape,
            keptDims = _a.keptDims;
          if (newShape.length < shape.length) {
            var newInputInfo = squeezeInputInfo(inputInfo, newShape);
            var params = ['row', 'col', 'depth', 'depth2', 'depth3'];
            return (
              '\n      ' +
              getSamplerFromInInfo(newInputInfo) +
              '\n      float ' +
              funcName +
              '(int row, int col, int depth, int depth2, int depth3) {\n        return ' +
              funcName +
              '(' +
              getSqueezedParams(params, keptDims) +
              ');\n      }\n    '
            );
          }
          if (inputInfo.shapeInfo.isUniform) {
            // Uniform arrays will be less than 65505 (no risk of float16 overflow).
            return (
              '\n      float ' +
              funcName +
              '(int row, int col, int depth, int depth2, int depth3) {\n        float index = dot(\n          vec4(row, col, depth, depth2),\n          vec4(' +
              stride0 +
              ', ' +
              stride1 +
              ', ' +
              stride2 +
              ', ' +
              stride3 +
              ')) +\n          depth3;\n        ' +
              getUniformSampler(inputInfo) +
              '\n      }\n    '
            );
          }
          var flatOffset = inputInfo.shapeInfo.flatOffset;
          var texShape = inputInfo.shapeInfo.texShape;
          var texNumR = texShape[0];
          var texNumC = texShape[1];
          if (texNumC === stride0 && flatOffset == null) {
            // texC is used directly as physical (no risk of float16 overflow).
            return (
              '\n      float ' +
              funcName +
              '(int row, int col, int depth, int depth2, int depth3) {\n        int texR = row;\n        float texC = dot(vec4(col, depth, depth2, depth3),\n                         vec4(' +
              stride1 +
              ', ' +
              stride2 +
              ', ' +
              stride3 +
              ', 1));\n        vec2 uv = (vec2(texC, texR) + halfCR) /\n                   vec2(' +
              texNumC +
              '.0, ' +
              texNumR +
              '.0);\n        return sampleTexture(' +
              texName +
              ', uv);\n      }\n    '
            );
          }
          if (texNumC === stride3 && flatOffset == null) {
            // texR is used directly as physical (no risk of float16 overflow).
            return (
              '\n      float ' +
              funcName +
              '(int row, int col, int depth, int depth2, int depth3) {\n        float texR = dot(\n          vec4(row, col, depth, depth2),\n          vec4(' +
              shape[1] * shape[2] * shape[3] +
              ',\n               ' +
              shape[2] * shape[3] +
              ', ' +
              shape[3] +
              ', 1));\n        int texC = depth3;\n        vec2 uv = (vec2(texC, texR) + halfCR) /\n                  vec2(' +
              texNumC +
              '.0, ' +
              texNumR +
              '.0);\n        return sampleTexture(' +
              texName +
              ', uv);\n      }\n    '
            );
          }
          var offset = getFlatOffsetUniformName(texName);
          return (
            '\n    float ' +
            funcName +
            '(int row, int col, int depth, int depth2, int depth3) {\n      // Explicitly use integer operations as dot() only works on floats.\n      int index = row * ' +
            stride0 +
            ' + col * ' +
            stride1 +
            ' + depth * ' +
            stride2 +
            ' +\n          depth2 * ' +
            stride3 +
            ' + depth3 + ' +
            offset +
            ';\n      vec2 uv = uvFromFlat(' +
            texNumR +
            ', ' +
            texNumC +
            ', index);\n      return sampleTexture(' +
            texName +
            ', uv);\n    }\n  '
          );
        }
        function getSampler6D(inputInfo) {
          var shape = inputInfo.shapeInfo.logicalShape;
          var texName = inputInfo.name;
          var funcName = 'get' + texName.charAt(0).toUpperCase() + texName.slice(1);
          var _a = tf.util.squeezeShape(shape),
            newShape = _a.newShape,
            keptDims = _a.keptDims;
          if (newShape.length < shape.length) {
            var newInputInfo = squeezeInputInfo(inputInfo, newShape);
            var params = ['row', 'col', 'depth', 'depth2', 'depth3', 'depth4'];
            return (
              '\n      ' +
              getSamplerFromInInfo(newInputInfo) +
              '\n      float ' +
              funcName +
              '(int row, int col, int depth,\n                    int depth2, int depth3, int depth4) {\n        return ' +
              funcName +
              '(' +
              getSqueezedParams(params, keptDims) +
              ');\n      }\n    '
            );
          }
          var stride4 = shape[5];
          var stride3 = shape[4] * stride4;
          var stride2 = shape[3] * stride3;
          var stride1 = shape[2] * stride2;
          var stride0 = shape[1] * stride1;
          if (inputInfo.shapeInfo.isUniform) {
            // Uniform arrays will be less than 65505 (no risk of float16 overflow).
            return (
              '\n      float ' +
              funcName +
              '(int row, int col, int depth,\n                  int depth2, int depth3, int depth4) {\n        int index = round(dot(\n          vec4(row, col, depth, depth2),\n          vec4(' +
              stride0 +
              ', ' +
              stride1 +
              ', ' +
              stride2 +
              ', ' +
              stride3 +
              ')) +\n          dot(\n            vec2(depth3, depth4),\n            vec2(' +
              stride4 +
              ', 1)));\n        ' +
              getUniformSampler(inputInfo) +
              '\n      }\n    '
            );
          }
          var flatOffset = inputInfo.shapeInfo.flatOffset;
          var texShape = inputInfo.shapeInfo.texShape;
          var texNumR = texShape[0];
          var texNumC = texShape[1];
          if (texNumC === stride0 && flatOffset == null) {
            // texC is used directly as physical (no risk of float16 overflow).
            return (
              '\n      float ' +
              funcName +
              '(int row, int col, int depth,\n                    int depth2, int depth3, int depth4) {\n        int texR = row;\n        float texC = dot(vec4(col, depth, depth2, depth3),\n          vec4(' +
              stride1 +
              ', ' +
              stride2 +
              ', ' +
              stride3 +
              ', ' +
              stride4 +
              ')) +\n               float(depth4);\n        vec2 uv = (vec2(texC, texR) + halfCR) /\n                   vec2(' +
              texNumC +
              '.0, ' +
              texNumR +
              '.0);\n        return sampleTexture(' +
              texName +
              ', uv);\n      }\n    '
            );
          }
          if (texNumC === stride4 && flatOffset == null) {
            // texR is used directly as physical (no risk of float16 overflow).
            return (
              '\n      float ' +
              funcName +
              '(int row, int col, int depth,\n                    int depth2, int depth3, int depth4) {\n        float texR = dot(vec4(row, col, depth, depth2),\n          vec4(' +
              shape[1] * shape[2] * shape[3] * shape[4] +
              ',\n               ' +
              shape[2] * shape[3] * shape[4] +
              ',\n               ' +
              shape[3] * shape[4] +
              ',\n               ' +
              shape[4] +
              ')) + float(depth3);\n        int texC = depth4;\n        vec2 uv = (vec2(texC, texR) + halfCR) /\n                  vec2(' +
              texNumC +
              '.0, ' +
              texNumR +
              '.0);\n        return sampleTexture(' +
              texName +
              ', uv);\n      }\n    '
            );
          }
          var offset = getFlatOffsetUniformName(texName);
          return (
            '\n    float ' +
            funcName +
            '(int row, int col, int depth,\n                  int depth2, int depth3, int depth4) {\n      // Explicitly use integer operations as dot() only works on floats.\n      int index = row * ' +
            stride0 +
            ' + col * ' +
            stride1 +
            ' + depth * ' +
            stride2 +
            ' +\n          depth2 * ' +
            stride3 +
            ' + depth3 * ' +
            stride4 +
            ' + depth4 + ' +
            offset +
            ';\n      vec2 uv = uvFromFlat(' +
            texNumR +
            ', ' +
            texNumC +
            ', index);\n      return sampleTexture(' +
            texName +
            ', uv);\n    }\n  '
          );
        }
        function getUniformSampler(inputInfo) {
          var texName = inputInfo.name;
          var inSize = tf.util.sizeFromShape(inputInfo.shapeInfo.logicalShape);
          if (inSize < 2) {
            return 'return ' + texName + ';';
          }
          return (
            '\n    for (int i = 0; i < ' +
            inSize +
            '; i++) {\n      if (i == index) {\n        return ' +
            texName +
            '[i];\n      }\n    }\n  '
          );
        }
        function getPackedSamplerAtOutputCoords(inputInfo, outShapeInfo) {
          var texName = inputInfo.name;
          var texFuncSnippet = texName.charAt(0).toUpperCase() + texName.slice(1);
          var funcName = 'get' + texFuncSnippet + 'AtOutCoords';
          var inRank = inputInfo.shapeInfo.logicalShape.length;
          var outRank = outShapeInfo.logicalShape.length;
          var broadcastDims = getBroadcastDims(
            inputInfo.shapeInfo.logicalShape,
            outShapeInfo.logicalShape,
          );
          var type = getCoordsDataType(outRank);
          var rankDiff = outRank - inRank;
          var coordsSnippet;
          var fields = ['x', 'y', 'z', 'w', 'u', 'v'];
          if (inRank === 0) {
            coordsSnippet = '';
          } else if (outRank < 2 && broadcastDims.length >= 1) {
            coordsSnippet = 'coords = 0;';
          } else {
            coordsSnippet = broadcastDims
              .map(function (d) {
                return 'coords.' + fields[d + rankDiff] + ' = 0;';
              })
              .join('\n');
          }
          var unpackedCoordsSnippet = '';
          if (outRank < 2 && inRank > 0) {
            unpackedCoordsSnippet = 'coords';
          } else {
            unpackedCoordsSnippet = inputInfo.shapeInfo.logicalShape
              .map(function (s, i) {
                return 'coords.' + fields[i + rankDiff];
              })
              .join(', ');
          }
          var output = 'return outputValue;';
          var inSize = tf.util.sizeFromShape(inputInfo.shapeInfo.logicalShape);
          var isInputScalar = inSize === 1;
          var outSize = tf.util.sizeFromShape(outShapeInfo.logicalShape);
          var isOutputScalar = outSize === 1;
          if (inRank === 1 && !isInputScalar && !isOutputScalar) {
            output = '\n      return vec4(outputValue.xy, outputValue.xy);\n    ';
          } else if (isInputScalar && !isOutputScalar) {
            if (outRank === 1) {
              output = '\n        return vec4(outputValue.x, outputValue.x, 0., 0.);\n      ';
            } else {
              output = '\n        return vec4(outputValue.x);\n      ';
            }
          } else if (broadcastDims.length) {
            var rows = inRank - 2;
            var cols = inRank - 1;
            if (broadcastDims.indexOf(rows) > -1 && broadcastDims.indexOf(cols) > -1) {
              output = 'return vec4(outputValue.x);';
            } else if (broadcastDims.indexOf(rows) > -1) {
              output =
                'return vec4(outputValue.x, outputValue.y, ' + 'outputValue.x, outputValue.y);';
            } else if (broadcastDims.indexOf(cols) > -1) {
              output = 'return vec4(outputValue.xx, outputValue.zz);';
            }
          }
          return (
            '\n    vec4 ' +
            funcName +
            '() {\n      ' +
            type +
            ' coords = getOutputCoords();\n      ' +
            coordsSnippet +
            '\n      vec4 outputValue = get' +
            texFuncSnippet +
            '(' +
            unpackedCoordsSnippet +
            ');\n      ' +
            output +
            '\n    }\n  '
          );
        }
        function getSamplerAtOutputCoords(inputInfo, outShapeInfo) {
          var texName = inputInfo.name;
          var texFuncSnippet = texName.charAt(0).toUpperCase() + texName.slice(1);
          var funcName = 'get' + texFuncSnippet + 'AtOutCoords';
          var outTexShape = outShapeInfo.texShape;
          var inTexShape = inputInfo.shapeInfo.texShape;
          var inRank = inputInfo.shapeInfo.logicalShape.length;
          var outRank = outShapeInfo.logicalShape.length;
          if (
            !inputInfo.shapeInfo.isUniform &&
            inRank === outRank &&
            inputInfo.shapeInfo.flatOffset == null &&
            tf.util.arraysEqual(inTexShape, outTexShape)
          ) {
            return (
              '\n      float ' +
              funcName +
              '() {\n        return sampleTexture(' +
              texName +
              ', resultUV);\n      }\n    '
            );
          }
          var type = getCoordsDataType(outRank);
          var broadcastDims = getBroadcastDims(
            inputInfo.shapeInfo.logicalShape,
            outShapeInfo.logicalShape,
          );
          var rankDiff = outRank - inRank;
          var coordsSnippet;
          var fields = ['x', 'y', 'z', 'w', 'u', 'v'];
          if (inRank === 0) {
            coordsSnippet = '';
          } else if (outRank < 2 && broadcastDims.length >= 1) {
            coordsSnippet = 'coords = 0;';
          } else {
            coordsSnippet = broadcastDims
              .map(function (d) {
                return 'coords.' + fields[d + rankDiff] + ' = 0;';
              })
              .join('\n');
          }
          var unpackedCoordsSnippet = '';
          if (outRank < 2 && inRank > 0) {
            unpackedCoordsSnippet = 'coords';
          } else {
            unpackedCoordsSnippet = inputInfo.shapeInfo.logicalShape
              .map(function (s, i) {
                return 'coords.' + fields[i + rankDiff];
              })
              .join(', ');
          }
          return (
            '\n    float ' +
            funcName +
            '() {\n      ' +
            type +
            ' coords = getOutputCoords();\n      ' +
            coordsSnippet +
            '\n      return get' +
            texFuncSnippet +
            '(' +
            unpackedCoordsSnippet +
            ');\n    }\n  '
          );
        }
        function getCoordsDataType(rank) {
          if (rank <= 1) {
            return 'int';
          } else if (rank === 2) {
            return 'ivec2';
          } else if (rank === 3) {
            return 'ivec3';
          } else if (rank === 4) {
            return 'ivec4';
          } else if (rank === 5) {
            return 'ivec5';
          } else if (rank === 6) {
            return 'ivec6';
          } else {
            throw Error('GPU for rank ' + rank + ' is not yet supported');
          }
        }
        /** Returns a new input info (a copy) that has a squeezed logical shape. */
        function squeezeInputInfo(inInfo, squeezedShape) {
          // Deep copy.
          var newInputInfo = JSON.parse(JSON.stringify(inInfo));
          newInputInfo.shapeInfo.logicalShape = squeezedShape;
          return newInputInfo;
        }
        function getSqueezedParams(params, keptDims) {
          return keptDims
            .map(function (d) {
              return params[d];
            })
            .join(', ');
        }

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function compileProgram(gpgpu, program, inputs, output) {
          var userCode = program.userCode;
          var inputInfos = inputs.map(function (input, i) {
            var shapeInfo = {
              logicalShape: input.shape,
              texShape: input.isUniform ? null : input.texData.texShape,
              isUniform: input.isUniform,
              isPacked: input.isUniform ? false : input.texData.isPacked,
              flatOffset: null,
            };
            if (
              input.texData != null &&
              input.texData.slice != null &&
              input.texData.slice.flatOffset > 0
            ) {
              shapeInfo.flatOffset = input.texData.slice.flatOffset;
            }
            return { name: program.variableNames[i], shapeInfo: shapeInfo };
          });
          var inShapeInfos = inputInfos.map(function (x) {
            return x.shapeInfo;
          });
          var outShapeInfo = {
            logicalShape: output.shape,
            texShape: output.texData.texShape,
            isUniform: false,
            isPacked: output.texData.isPacked,
            flatOffset: null,
          };
          var source = makeShader(inputInfos, outShapeInfo, userCode, program.packedInputs);
          var webGLProgram = gpgpu.createProgram(source);
          // Add special uniforms (NAN, INFINITY)
          var infLoc = null;
          var nanLoc = gpgpu.getUniformLocation(webGLProgram, 'NAN', false);
          if (tf.env().getNumber('WEBGL_VERSION') === 1) {
            infLoc = gpgpu.getUniformLocation(webGLProgram, 'INFINITY', false);
          }
          // Add user-defined uniforms
          var uniformLocations = {};
          for (var i = 0; i < program.variableNames.length; i++) {
            var varName = program.variableNames[i];
            var shouldThrow = false;
            uniformLocations[varName] = gpgpu.getUniformLocation(
              webGLProgram,
              varName,
              shouldThrow,
            );
            uniformLocations['offset' + varName] = gpgpu.getUniformLocation(
              webGLProgram,
              'offset' + varName,
              shouldThrow,
            );
          }
          return {
            program: program,
            source: source,
            webGLProgram: webGLProgram,
            uniformLocations: uniformLocations,
            inShapeInfos: inShapeInfos,
            outShapeInfo: outShapeInfo,
            infLoc: infLoc,
            nanLoc: nanLoc,
          };
        }
        function validateBinaryAndProgram(shapeInfos, inputs) {
          if (shapeInfos.length !== inputs.length) {
            throw Error(
              'Binary was compiled with ' +
                shapeInfos.length +
                ' inputs, but ' +
                ('was executed with ' + inputs.length + ' inputs'),
            );
          }
          shapeInfos.forEach(function (s, i) {
            var shapeA = s.logicalShape;
            var input = inputs[i];
            var shapeB = input.shape;
            if (!tf.util.arraysEqual(shapeA, shapeB)) {
              throw Error(
                'Binary was compiled with different shapes than ' +
                  ('the current args. Shapes ' + shapeA + ' and ' + shapeB + ' must match'),
              );
            }
            // The input is uploaded as uniform.
            if (s.isUniform && input.isUniform) {
              return;
            }
            var texShapeA = s.texShape;
            var texShapeB = input.isUniform ? null : input.texData.texShape;
            if (!tf.util.arraysEqual(texShapeA, texShapeB)) {
              throw Error(
                'Binary was compiled with different texture shapes than the' +
                  (' current args. Shape ' + texShapeA + ' and ' + texShapeB + ' must match'),
              );
            }
          });
        }
        function runProgram(gpgpu, binary, inputs, output, customSetup) {
          validateBinaryAndProgram(binary.inShapeInfos, inputs);
          validateBinaryAndProgram([binary.outShapeInfo], [output]);
          var outTex = output.texData.texture;
          var outTexShape = output.texData.texShape;
          if (output.texData.isPacked) {
            gpgpu.setOutputPackedMatrixTexture(outTex, outTexShape[0], outTexShape[1]);
          } else {
            gpgpu.setOutputMatrixTexture(outTex, outTexShape[0], outTexShape[1]);
          }
          gpgpu.setProgram(binary.webGLProgram);
          // Set special uniforms (NAN, INFINITY)
          if (tf.env().getNumber('WEBGL_VERSION') === 1) {
            if (binary.infLoc !== null) {
              gpgpu.gl.uniform1f(binary.infLoc, Infinity);
            }
          }
          if (binary.nanLoc !== null) {
            gpgpu.gl.uniform1f(binary.nanLoc, NaN);
          }
          // Set user-defined inputs
          inputs.forEach(function (input, i) {
            var varName = binary.program.variableNames[i];
            var varLoc = binary.uniformLocations[varName];
            var varOffsetLoc = binary.uniformLocations['offset' + varName];
            if (varLoc == null) {
              // The compiler inferred that this variable is not used in this shader.
              return;
            }
            if (input.isUniform) {
              // Upload the values of the tensor as uniform.
              if (tf.util.sizeFromShape(input.shape) < 2) {
                gpgpu.gl.uniform1f(varLoc, input.uniformValues[0]);
              } else {
                var vals = input.uniformValues;
                if (!(vals instanceof Float32Array)) {
                  vals = new Float32Array(vals);
                }
                gpgpu.gl.uniform1fv(varLoc, vals);
              }
              return;
            }
            // If the input was sliced, upload the flat offset index.
            if (input.texData.slice != null && varOffsetLoc != null) {
              gpgpu.gl.uniform1i(varOffsetLoc, input.texData.slice.flatOffset);
            }
            gpgpu.setInputMatrixTexture(input.texData.texture, varLoc, i);
          });
          if (customSetup != null) {
            customSetup(gpgpu, binary.webGLProgram);
          }
          gpgpu.executeProgram();
        }
        function makeShaderKey(program, inputs, output) {
          var keyInputs = '';
          inputs.concat(output).forEach(function (x) {
            var hasOffset =
              x.texData != null && x.texData.slice != null && x.texData.slice.flatOffset > 0;
            var texShape = x.isUniform ? 'uniform' : x.texData.texShape;
            keyInputs += x.shape + '_' + texShape + '_' + hasOffset;
          });
          var keyUserCode = program.userCode;
          var key = program.constructor.name;
          // Fast string concat. See https://jsperf.com/string-concatenation/14.
          key += '_' + keyInputs + '_' + keyUserCode;
          return key;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function simpleAbsImpl(vals) {
          const resultValues = new Float32Array(vals.length);
          for (let i = 0; i < vals.length; ++i) {
            resultValues[i] = Math.abs(vals[i]);
          }
          return resultValues;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        /**
         * Template that creates implementation for binary ops. Supports broadcast.
         */
        function createSimpleBinaryKernelImpl(op) {
          return (aShape, bShape, aVals, bVals, dtype) => {
            const newShape = tf.backend_util.assertAndGetBroadcastShape(aShape, bShape);
            const resultRank = newShape.length;
            const resultStrides = tf.util.computeStrides(newShape);
            const resultSize = tf.util.sizeFromShape(newShape);
            const result = tf.util.getTypedArrayFromDType(dtype, resultSize);
            const aRank = aShape.length;
            const bRank = bShape.length;
            const aStrides = tf.util.computeStrides(aShape);
            const bStrides = tf.util.computeStrides(bShape);
            const aBroadcastDims = tf.backend_util.getBroadcastDims(aShape, newShape);
            const bBroadcastDims = tf.backend_util.getBroadcastDims(bShape, newShape);
            if (aBroadcastDims.length + bBroadcastDims.length === 0) {
              for (let i = 0; i < result.length; ++i) {
                result[i] = op(aVals[i % aVals.length], bVals[i % bVals.length]);
              }
            } else {
              for (let i = 0; i < result.length; ++i) {
                const loc = tf.util.indexToLoc(i, resultRank, resultStrides);
                const aLoc = loc.slice(-aRank);
                aBroadcastDims.forEach(d => (aLoc[d] = 0));
                const aIndex = tf.util.locToIndex(aLoc, aRank, aStrides);
                const bLoc = loc.slice(-bRank);
                bBroadcastDims.forEach(d => (bLoc[d] = 0));
                const bIndex = tf.util.locToIndex(bLoc, bRank, bStrides);
                result[i] = op(aVals[aIndex], bVals[bIndex]);
              }
            }
            return [result, newShape];
          };
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        const addImpl = createSimpleBinaryKernelImpl((a, b) => a + b);

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function bincountImpl(xVals, weightsVals, weightsDtype, weightsShape, size) {
          const weightsSize = tf.util.sizeFromShape(weightsShape);
          const outVals = tf.util.makeZerosTypedArray(size, weightsDtype);
          for (let i = 0; i < xVals.length; i++) {
            const value = xVals[i];
            if (value < 0) {
              throw new Error('Input x must be non-negative!');
            }
            if (value >= size) {
              continue;
            }
            if (weightsSize > 0) {
              outVals[value] += weightsVals[i];
            } else {
              outVals[value] += 1;
            }
          }
          return outVals;
        }
        function bincountReduceImpl(xBuf, weightsBuf, size, binaryOutput = false) {
          const numRows = xBuf.shape[0];
          const numCols = xBuf.shape[1];
          const outBuf = tf.buffer([numRows, size], weightsBuf.dtype);
          for (let i = 0; i < numRows; i++) {
            for (let j = 0; j < numCols; j++) {
              const value = xBuf.get(i, j);
              if (value < 0) {
                throw new Error('Input x must be non-negative!');
              }
              if (value >= size) {
                continue;
              }
              if (binaryOutput) {
                outBuf.set(1, i, value);
              } else {
                if (weightsBuf.size > 0) {
                  outBuf.set(outBuf.get(i, value) + weightsBuf.get(i, j), i, value);
                } else {
                  outBuf.set(outBuf.get(i, value) + 1, i, value);
                }
              }
            }
          }
          return outBuf;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        /**
         * Template that creates implementation for unary op.
         */
        function createSimpleUnaryImpl(op) {
          return (values, dtype, attrs) => {
            const newValues = tf.util.getTypedArrayFromDType(dtype, values.length);
            for (let i = 0; i < values.length; ++i) {
              newValues[i] = op(values[i], attrs);
            }
            return newValues;
          };
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        const ceilImpl = createSimpleUnaryImpl(xi => Math.ceil(xi));

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function concatImpl(inputs, outShape, dtype, simplyConcat) {
          const outVals = tf.util.getArrayFromDType(dtype, tf.util.sizeFromShape(outShape));
          if (simplyConcat && dtype !== 'string') {
            // Use built-in TypedArray.set() method for speed.
            let offset = 0;
            inputs.forEach(input => {
              const size = tf.util.sizeFromShape(input.shape);
              outVals.set(input.vals, offset);
              offset += size;
            });
          } else {
            let colOffset = 0;
            inputs.forEach(input => {
              const decodedData =
                dtype === 'string'
                  ? tf.backend_util.fromUint8ToStringArray(input.vals)
                  : input.vals;
              let tIdx = 0;
              for (let row = 0; row < input.shape[0]; ++row) {
                const resIdx = row * outShape[1] + colOffset;
                for (let col = 0; col < input.shape[1]; ++col) {
                  outVals[resIdx + col] = decodedData[tIdx++];
                }
              }
              colOffset += input.shape[1];
            });
          }
          return outVals;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        const equalImpl = createSimpleBinaryKernelImpl((a, b) => (a === b ? 1 : 0));

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        const expImpl = createSimpleUnaryImpl(xi => Math.exp(xi));

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        const expm1Impl = createSimpleUnaryImpl(xi => Math.expm1(xi));

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        const floorImpl = createSimpleUnaryImpl(xi => Math.floor(xi));

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function gatherNdImpl(
          indicesData,
          paramsBuf,
          dtype,
          numSlices,
          sliceRank,
          sliceSize,
          strides,
          paramsShape,
          paramsSize,
        ) {
          const outBuf = tf.buffer([numSlices, sliceSize], dtype);
          for (let i = 0; i < numSlices; i++) {
            const index = [];
            let flattenIndex = 0;
            for (let j = 0; j < sliceRank; j++) {
              const dim = indicesData[i * sliceRank + j];
              flattenIndex += dim * strides[j];
              index.push(dim);
            }
            if (flattenIndex < 0 || flattenIndex >= paramsSize / sliceSize) {
              throw new Error(`Invalid indices: ${index} does not index into ${paramsShape}`);
            }
            for (let k = 0; k < sliceSize; k++) {
              outBuf.values[i * sliceSize + k] = paramsBuf.get(
                ...paramsBuf.indexToLoc(flattenIndex * sliceSize + k),
              );
            }
          }
          return outBuf;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function gatherV2Impl(xBuf, indicesBuf, flattenOutputShape) {
          const outBuf = tf.buffer(flattenOutputShape, xBuf.dtype);
          for (let i = 0; i < outBuf.size; ++i) {
            const newLoc = outBuf.indexToLoc(i);
            const originalLoc = newLoc.slice();
            const batchIdx = originalLoc[0];
            const indicesIdx = originalLoc[2];
            const indicesIndex = indicesBuf.locToIndex([batchIdx, indicesIdx]);
            originalLoc[2] = indicesBuf.values[indicesIndex];
            const originalIndex = xBuf.locToIndex(originalLoc);
            outBuf.values[i] = xBuf.values[originalIndex];
          }
          return outBuf;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        const greaterImpl = createSimpleBinaryKernelImpl((a, b) => (a > b ? 1 : 0));

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        const greaterEqualImpl = createSimpleBinaryKernelImpl((a, b) => (a >= b ? 1 : 0));

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        const lessImpl = createSimpleBinaryKernelImpl((a, b) => (a < b ? 1 : 0));

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        const lessEqualImpl = createSimpleBinaryKernelImpl((a, b) => (a <= b ? 1 : 0));

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function linSpaceImpl(start, stop, num) {
          const step = (stop - start) / (num - 1);
          const values = tf.util.makeZerosTypedArray(num, 'float32');
          values[0] = start;
          for (let i = 1; i < values.length; i++) {
            values[i] = values[i - 1] + step;
          }
          return values;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        const logImpl = createSimpleUnaryImpl(xi => Math.log(xi));

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function maxImpl(aVals, reduceSize, outShape, dtype) {
          const vals = tf.util.getTypedArrayFromDType(dtype, tf.util.sizeFromShape(outShape));
          for (let i = 0; i < vals.length; ++i) {
            const offset = i * reduceSize;
            let max = aVals[offset];
            for (let j = 0; j < reduceSize; ++j) {
              const value = aVals[offset + j];
              if (Number.isNaN(value) || value > max) {
                // comparison with NaN always return false
                max = value;
              }
            }
            vals[i] = max;
          }
          return vals;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        const maximumImpl = createSimpleBinaryKernelImpl((aValue, bValue) =>
          Math.max(aValue, bValue),
        );

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        const minimumImpl = createSimpleBinaryKernelImpl((aValue, bValue) =>
          Math.min(aValue, bValue),
        );

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        const multiplyImpl = createSimpleBinaryKernelImpl((aValue, bValue) => aValue * bValue);

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function negImpl(xVals, xShape, xDtype) {
          const minusOne = tf.util.createScalarValue(-1, xDtype);
          return multiplyImpl([], xShape, minusOne, xVals, xDtype);
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        const notEqualImpl = createSimpleBinaryKernelImpl((a, b) => (a !== b ? 1 : 0));

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function transposeImpl(xVals, xShape, dtype, perm, newShape) {
          const xRank = xShape.length;
          const xSize = tf.util.sizeFromShape(xShape);
          const xStrides = tf.util.computeStrides(xShape);
          const newStrides = tf.util.computeStrides(newShape);
          const result = tf.util.getTypedArrayFromDType(dtype, tf.util.sizeFromShape(newShape));
          for (let i = 0; i < xSize; ++i) {
            const loc = tf.util.indexToLoc(i, xRank, xStrides);
            // Permute location.
            const newLoc = new Array(loc.length);
            for (let i = 0; i < newLoc.length; i++) {
              newLoc[i] = loc[perm[i]];
            }
            const newIndex = tf.util.locToIndex(newLoc, xRank, newStrides);
            result[newIndex] = xVals[i];
          }
          return result;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function prodImpl(xShape, xDtype, xVals, reductionAxes) {
          const [outShape, reduceShape] = tf.backend_util.computeOutAndReduceShapes(
            xShape,
            reductionAxes,
          );
          const outDtype = tf.upcastType(xDtype, 'int32');
          const outVals = tf.util.makeZerosTypedArray(tf.util.sizeFromShape(outShape), outDtype);
          const reduceSize = tf.util.sizeFromShape(reduceShape);
          for (let i = 0; i < outVals.length; ++i) {
            const offset = i * reduceSize;
            let prod = 1;
            for (let j = 0; j < reduceSize; ++j) {
              prod *= xVals[offset + j];
            }
            outVals[i] = prod;
          }
          return { outVals, outShape, outDtype };
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function rangeImpl(start, stop, step, dtype) {
          const sameStartStop = start === stop;
          const increasingRangeNegativeStep = start < stop && step < 0;
          const decreasingRangePositiveStep = stop < start && step > 1;
          if (sameStartStop || increasingRangeNegativeStep || decreasingRangePositiveStep) {
            return tf.util.makeZerosTypedArray(0, dtype);
          }
          const numElements = Math.abs(Math.ceil((stop - start) / step));
          const values = tf.util.makeZerosTypedArray(numElements, dtype);
          if (stop < start && step === 1) {
            // Auto adjust the step's sign if it hasn't been set
            // (or was set to 1)
            step = -1;
          }
          values[0] = start;
          for (let i = 1; i < values.length; i++) {
            values[i] = values[i - 1] + step;
          }
          return values;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        const rsqrtImpl = createSimpleUnaryImpl(xi => 1 / Math.sqrt(xi));

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sliceImpl(vals, begin, size, shape, dtype) {
          const isContinous = tf.slice_util.isSliceContinous(shape, begin, size);
          const length = tf.util.sizeFromShape(size);
          const xStrides = tf.util.computeStrides(shape);
          if (isContinous) {
            const flatOffset = tf.slice_util.computeFlatOffset(begin, xStrides);
            if (dtype === 'string') {
              return vals.slice(flatOffset, flatOffset + length);
            }
            return vals.subarray(flatOffset, flatOffset + length);
          }
          const decodedData =
            dtype === 'string' ? tf.backend_util.fromUint8ToStringArray(vals) : vals;
          const inBuf = tf.buffer(shape, dtype, decodedData);
          const outBuf = tf.buffer(size, dtype);
          for (let i = 0; i < outBuf.size; ++i) {
            const outLoc = outBuf.indexToLoc(i);
            const inLoc = outLoc.map((idx, j) => idx + begin[j]);
            outBuf.set(inBuf.get(...inLoc), ...outLoc);
          }
          if (dtype === 'string') {
            return tf.backend_util.fromStringArrayToUint8(outBuf.values);
          }
          return outBuf.values;
        }

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sparseFillEmptyRowsImpl(
          indices,
          indicesShape,
          indicesDType,
          values,
          valuesDType,
          denseShape,
          defaultValue,
        ) {
          const indicesCount = indicesShape[0];
          const denseRows = denseShape[0];
          const emptyRowIndicator = new Array(denseRows);
          const reverseIndexMap = new Array(indicesCount);
          const rank = indicesShape[1];
          if (denseRows === 0) {
            if (indicesCount !== 0) {
              throw new Error(`Received SparseTensor with denseShape[0] = 0 but
         indices.shape[0] = ${indicesCount}`);
            }
            const outputIndices = tf.util.getArrayFromDType(indicesDType, 0);
            const outputValues = tf.util.getArrayFromDType(valuesDType, 0);
            return [outputIndices, [0, rank], outputValues, emptyRowIndicator, reverseIndexMap];
          }
          let rowsAreOrdered = true;
          let lastIndicesRow = 0;
          const csrOffset = new Array(denseRows).fill(0);
          for (let i = 0; i < indicesCount; ++i) {
            // indices is a 2d tensor with shape of [N, rank]
            const row = indices[i * rank];
            if (row < 0) {
              throw new Error(`indices(${i}, 0) is invalid: ${row} < 0`);
            }
            if (row >= denseRows) {
              throw new Error(`indices(${i}, 0) is invalid: ${row} >= ${denseRows}`);
            }
            ++csrOffset[row];
            rowsAreOrdered = rowsAreOrdered && row >= lastIndicesRow;
            lastIndicesRow = row;
          }
          let allRowsFull = true;
          for (let row = 0; row < denseRows; ++row) {
            // csrOffset here describes the number of elements in this dense row
            const rowEmpty = csrOffset[row] === 0;
            emptyRowIndicator[row] = rowEmpty;
            allRowsFull = allRowsFull && !rowEmpty;
            // In filled version, each row has at least one element.
            csrOffset[row] = Math.max(csrOffset[row], 1);
            // Update csrOffset to represent the number of elements up to and
            // including denseRows + 1:
            //  csrOffset[0] == #{elements of row 0}
            //  csrOffset[1] == #{elements of row 1} + #{elements of row 0}
            //  ..
            //  csrOffset[i] == starting index for elements in row i + 1.
            if (row > 0) {
              csrOffset[row] += csrOffset[row - 1];
            }
          }
          if (allRowsFull && rowsAreOrdered) {
            const outputIndices = indices;
            const outputValues = values;
            for (let i = 0; i < indicesCount; ++i) {
              reverseIndexMap[i] = i;
            }
            return [
              outputIndices,
              [indicesCount, rank],
              outputValues,
              emptyRowIndicator,
              reverseIndexMap,
            ];
          } else {
            const fullIndicesCount = csrOffset[denseRows - 1];
            const outputIndices = tf.util.getArrayFromDType(indicesDType, fullIndicesCount * rank);
            const outputValues = tf.util.getArrayFromDType(valuesDType, fullIndicesCount);
            const filledCount = new Array(denseRows).fill(0);
            // Fill in values for rows that are not missing
            for (let i = 0; i < indicesCount; ++i) {
              // indices is a 2d tensor with shape of [N, rank]
              const row = indices[i * rank];
              const offset = filledCount[row];
              const outputI = (row === 0 ? 0 : csrOffset[row - 1]) + offset;
              filledCount[row]++; // Increment the filled count for this row.
              for (let j = 0; j < rank; ++j) {
                // indices and outputIndices are 2d tensors with shape of [N, rank]
                outputIndices[outputI * rank + j] = indices[i * rank + j];
              }
              outputValues[outputI] = values[i];
              // We'll need this reverse index map to backprop correctly.
              reverseIndexMap[i] = outputI;
            }
            // Fill in values for rows that are missing
            for (let row = 0; row < denseRows; ++row) {
              const rowCount = filledCount[row];
              if (rowCount === 0) {
                // We haven't filled this row
                const startingIndex = row === 0 ? 0 : csrOffset[row - 1];
                // Remaining index values were set to zero already.
                // Just need to set the row index in the right location.
                // outputIndices is a 2d tensor with shape of [N, rank]
                outputIndices[startingIndex * rank + 0] = row;
                for (let col = 1; col < rank; ++col) {
                  outputIndices[startingIndex * rank + col] = 0;
                }
                outputValues[startingIndex] = defaultValue;
              }
            }
            return [
              outputIndices,
              [fullIndicesCount, rank],
              outputValues,
              emptyRowIndicator,
              reverseIndexMap,
            ];
          }
        }

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sparseReshapeImpl(
          inputIndices,
          inputIndicesShape,
          inputDType,
          inputShape,
          targetShape,
        ) {
          const denseSize = tf.util.sizeFromShape(inputShape);
          const nnz = inputIndicesShape[0];
          const outputRank = targetShape.length;
          // Compute the output shape. Determine product of specified dimensions, and
          // find the index of the unspecified one.
          const outputShape = [];
          let product = 1;
          let unknownIndex = -1;
          for (let d = 0; d < outputRank; ++d) {
            const size = targetShape[d];
            if (size === -1) {
              if (unknownIndex !== -1) {
                throw new Error(
                  `only one output dimension may be -1, not both ${unknownIndex} and ${d}`,
                );
              }
              unknownIndex = d;
              outputShape.push(1);
            } else {
              if (size < 0) {
                throw new Error(`size ${d} must be non-negative, not ${size}`);
              }
              product *= size;
              outputShape.push(size);
            }
          }
          if (unknownIndex !== -1) {
            if (product <= 0) {
              throw new Error(
                'reshape cannot infer the missing ' +
                  'input size for an empty tensor unless all ' +
                  'specified input sizes are non-zero',
              );
            }
            const missing = Math.trunc(denseSize / product);
            if (product * missing !== denseSize) {
              throw new Error(`Input to reshape is a SparseTensor with ${denseSize}
          dense values, but the requested shape requires a multiple of ${product}. inputShape=${inputShape} outputShape= ${outputShape}`);
            }
            outputShape[unknownIndex] = missing;
          }
          const outputSize = tf.util.sizeFromShape(outputShape);
          if (outputSize !== denseSize) {
            throw new Error(
              `Input to reshape is a tensor with ${denseSize} dense values, but the requested shape has ${outputSize}. inputShape=${inputShape} outputShape=${outputShape}`,
            );
          }
          const inputRank = inputShape.length;
          const inputStrides = [];
          if (inputRank > 0) {
            inputStrides[inputRank - 1] = 1;
            for (let d = inputRank - 2; d >= 0; --d) {
              inputStrides[d] = inputStrides[d + 1] * inputShape[d + 1];
            }
          }
          const outputStrides = [];
          if (outputRank > 0) {
            outputStrides[outputRank - 1] = 1;
            for (let d = outputRank - 2; d >= 0; --d) {
              outputStrides[d] = outputStrides[d + 1] * outputShape[d + 1];
            }
          }
          const newIndices = tf.util.getArrayFromDType(inputDType, nnz * outputRank);
          for (let i = 0; i < nnz; ++i) {
            let id = 0;
            for (let j = 0; j < inputRank; ++j) {
              // inputIndices is a 2d tensor with shape of [nnz, inputRank]
              id += inputIndices[i * inputRank + j] * inputStrides[j];
            }
            for (let j = 0; j < outputRank; ++j) {
              // newIndices is a 2d tensor with shape of [nnz, outputRank]
              newIndices[i * outputRank + j] = Math.trunc(id / outputStrides[j]);
              id %= outputStrides[j];
            }
          }
          return [newIndices, [nnz, outputRank], outputShape];
        }

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sparseSegmentReductionImpl(
          input,
          inputShape,
          inputDType,
          indices,
          segmentIds,
          isMean = false,
          defaultValue = 0,
        ) {
          const numIndices = indices.length;
          if (numIndices !== segmentIds.length) {
            throw new Error(`segmentIds and indices should have same size.`);
          }
          // Flatten the array to two dimensions
          const inputFlat = [inputShape[0], input.length / inputShape[0]];
          const numCol = inputFlat[1];
          // Note that the current implementation assumes that segmentIds values are
          // sorted.
          const lastSegmentIdPlusOne = numIndices > 0 ? segmentIds[numIndices - 1] + 1 : 0;
          const outputRows = lastSegmentIdPlusOne;
          if (outputRows < 0) {
            throw new Error(`segment ids must be >= 0`);
          }
          const outputShape = inputShape.slice();
          outputShape[0] = outputRows;
          const outputLength = outputShape.reduce((product, value) => product * value, 1);
          // Output array is initialized with the value 0 by default.
          const output = tf.util.getArrayFromDType(inputDType, outputLength);
          // Note that we do not initialize the output buffer with a default value, so
          // we need to explicitly set missing indices to the default value.
          if (numIndices === 0) {
            if (outputRows > 0) {
              output.fill(defaultValue);
            }
            return [output, outputShape];
          }
          if (outputRows <= 0) {
            throw new Error(`segment ids must be >= 0`);
          }
          let start = 0,
            end = 1;
          // Index from which the output is not initialized.
          let uninitializedIndex = 0;
          let outIndex = segmentIds[start];
          while (true) {
            // We initialize nextIndex to 0 to avoid may be uninitialized warning
            let nextIndex = 0;
            if (end < numIndices) {
              nextIndex = segmentIds[end];
              if (outIndex === nextIndex) {
                ++end;
                continue;
              }
              // We have a new segment here.  Verify that the segment ids are growing.
              if (outIndex >= nextIndex) {
                throw new Error(`segment ids are not increasing`);
              }
            }
            if (outIndex < 0 || outIndex >= outputRows) {
              throw new Error(
                `Segment id ${outIndex} out of range [0, ${outputRows}), possibly because segmentIds input is not sorted.`,
              );
            }
            // If there is a gap between two indices, we need to set that gap to the
            // default value.
            if (outIndex > uninitializedIndex) {
              output.fill(defaultValue, uninitializedIndex * numCol, outIndex * numCol);
            }
            for (let i = start; i < end; ++i) {
              const index = indices[i];
              if (index < 0 || index >= inputFlat[0]) {
                throw new Error(
                  `Bad: indices[${i}] == ${indices[i]} out of range [0, ${inputFlat[0]})`,
                );
              }
              for (let j = 0; j < numCol; j++) {
                output[outIndex * numCol + j] += input[index * numCol + j];
              }
            }
            if (isMean) {
              for (let j = 0; j < numCol; j++) {
                output[outIndex * numCol + j] /= end - start;
              }
            }
            start = end;
            ++end;
            uninitializedIndex = outIndex + 1;
            outIndex = nextIndex;
            if (end > numIndices) {
              break;
            }
          }
          // Fill the gap at the end with the default value.
          if (uninitializedIndex < outputRows) {
            output.fill(defaultValue, uninitializedIndex * numCol, outputRows * numCol);
          }
          return [output, outputShape];
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function stridedSliceImpl(outShape, xBuf, strides, begin) {
          const outBuf = tf.buffer(outShape, xBuf.dtype);
          for (let i = 0; i < outBuf.size; i++) {
            const loc = outBuf.indexToLoc(i);
            const newLoc = new Array(loc.length);
            for (let j = 0; j < newLoc.length; j++) {
              newLoc[j] = loc[j] * strides[j] + begin[j];
            }
            outBuf.set(xBuf.get(...newLoc), ...loc);
          }
          return outBuf;
        }

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        /**
         * The StringNGramsOp class creates ngrams from ragged string data.
         * The constructor contains all attributes related to the operation such as
         * padding widths and strings, and the compute function can be used to
         * compute the ngrams for different ragged tensor inputs.
         */
        class StringNGramsOp {
          constructor(separator, nGramWidths, leftPad, rightPad, padWidth, preserveShortSequences) {
            this.separator = tf.util.encodeString(separator);
            this.nGramWidths = nGramWidths;
            this.leftPad = tf.util.encodeString(leftPad);
            this.rightPad = tf.util.encodeString(rightPad);
            this.padWidth = padWidth;
            this.preserveShort = preserveShortSequences;
          }
          getPadWidth(nGramWidth) {
            // Ngrams can be padded with either a fixed pad width or a dynamic pad
            // width depending on the 'padWidth' arg, but in no case should the padding
            // ever be wider than 'nGramWidth' - 1.
            return Math.min(this.padWidth < 0 ? nGramWidth - 1 : this.padWidth, nGramWidth - 1);
          }
          getNumNGrams(length, nGramWidth) {
            const padWidth = this.getPadWidth(nGramWidth);
            return Math.max(0, length + 2 * padWidth - nGramWidth + 1);
          }
          createNGrams(data, splitIndex, output, outputStartIndex, numNGrams, nGramWidth) {
            for (let nGramIndex = 0; nGramIndex < numNGrams; ++nGramIndex) {
              const padWidth = this.getPadWidth(nGramWidth);
              const leftPadding = Math.max(0, padWidth - nGramIndex);
              const rightPadding = Math.max(0, padWidth - (numNGrams - (nGramIndex + 1)));
              const numTokens = nGramWidth - (leftPadding + rightPadding);
              const dataStartIndex = splitIndex + (leftPadding > 0 ? 0 : nGramIndex - padWidth);
              // Calculate the total expected size of the nGram so we can reserve the
              // correct amount of space in the string.
              let nGramSize = 0;
              // Size of the left padding.
              nGramSize += leftPadding * this.leftPad.length;
              // Size of the tokens.
              for (let n = 0; n < numTokens; ++n) {
                nGramSize += data[dataStartIndex + n].length;
              }
              // Size of the right padding.
              nGramSize += rightPadding * this.rightPad.length;
              // Size of the separators.
              const numSeparators = leftPadding + rightPadding + numTokens - 1;
              nGramSize += numSeparators * this.separator.length;
              // Build the nGram.
              output[outputStartIndex + nGramIndex] = new Uint8Array(nGramSize);
              const nGram = output[outputStartIndex + nGramIndex];
              let nextNGramIndex = 0;
              const appendToNGram = str => str.forEach(value => (nGram[nextNGramIndex++] = value));
              for (let n = 0; n < leftPadding; ++n) {
                appendToNGram(this.leftPad);
                appendToNGram(this.separator);
              }
              // Only output first numTokens - 1 pairs of data and separator
              for (let n = 0; n < numTokens - 1; ++n) {
                appendToNGram(data[dataStartIndex + n]);
                appendToNGram(this.separator);
              }
              // Handle case when there are no tokens or no right padding as these
              // can result in consecutive separators.
              if (numTokens > 0) {
                // If we have tokens, then output last and then pair each separator
                // with the right padding that follows, to ensure nGram ends either with
                // the token or with the right pad.
                appendToNGram(data[dataStartIndex + numTokens - 1]);
                for (let n = 0; n < rightPadding; ++n) {
                  appendToNGram(this.separator);
                  appendToNGram(this.rightPad);
                }
              } else {
                // If we don't have tokens, then the last item inserted into the nGram
                // has been the separator from the left padding loop above. Hence,
                // output right pad and separator and make sure to finish with a
                // padding, not a separator.
                for (let n = 0; n < rightPadding - 1; ++n) {
                  appendToNGram(this.rightPad);
                  appendToNGram(this.separator);
                }
                appendToNGram(this.rightPad);
              }
            }
          }
          // Data and splits together form the definition of the ragged tensor,
          // where data is 1 dimensional and contains the values of the tensor
          // and splits denotes the indices at which each row starts.
          compute(data, splits) {
            // Validate that the splits are valid indices into data, only if there are
            // splits specified.
            const inputDataSize = data.length;
            const splitsSize = splits.length;
            if (splitsSize > 0) {
              let prevSplit = splits[0];
              if (prevSplit !== 0) {
                throw new Error(`First split value must be 0, got ${prevSplit}`);
              }
              for (let i = 1; i < splitsSize; ++i) {
                let validSplits = splits[i] >= prevSplit;
                validSplits = validSplits && splits[i] <= inputDataSize;
                if (!validSplits) {
                  throw new Error(
                    `Invalid split value ${splits[i]}, must be in [${prevSplit}, ${inputDataSize}]`,
                  );
                }
                prevSplit = splits[i];
              }
              if (prevSplit !== inputDataSize) {
                throw new Error(
                  `Last split value must be data size. Expected ${inputDataSize}, got ${prevSplit}`,
                );
              }
            }
            const numBatchItems = splitsSize - 1;
            const nGramsSplits = tf.util.getArrayFromDType('int32', splitsSize);
            // If there is no data or size, return an empty ragged tensor.
            if (inputDataSize === 0 || splitsSize === 0) {
              const empty = new Array(inputDataSize);
              for (let i = 0; i <= numBatchItems; ++i) {
                nGramsSplits[i] = 0;
              }
              return [empty, nGramsSplits];
            }
            nGramsSplits[0] = 0;
            for (let i = 1; i <= numBatchItems; ++i) {
              const length = splits[i] - splits[i - 1];
              let numNGrams = 0;
              this.nGramWidths.forEach(nGramWidth => {
                numNGrams += this.getNumNGrams(length, nGramWidth);
              });
              if (this.preserveShort && length > 0 && numNGrams === 0) {
                numNGrams = 1;
              }
              nGramsSplits[i] = nGramsSplits[i - 1] + numNGrams;
            }
            const nGrams = new Array(nGramsSplits[numBatchItems]);
            for (let i = 0; i < numBatchItems; ++i) {
              const splitIndex = splits[i];
              let outputStartIdx = nGramsSplits[i];
              this.nGramWidths.forEach(nGramWidth => {
                const length = splits[i + 1] - splits[i];
                const numNGrams = this.getNumNGrams(length, nGramWidth);
                this.createNGrams(data, splitIndex, nGrams, outputStartIdx, numNGrams, nGramWidth);
                outputStartIdx += numNGrams;
              });
              // If we're preserving short sequences, check to see if no sequence was
              // generated by comparing the current output start idx to the original
              // one (nGramSplitsdata). If no ngrams were generated, then they will
              // be equal (since we increment outputStartIdx by numNGrams every
              // time we create a set of ngrams.)
              if (this.preserveShort && outputStartIdx === nGramsSplits[i]) {
                const dataLength = splits[i + 1] - splits[i];
                // One legitimate reason to not have any ngrams when this.preserveShort
                // is true is if the sequence itself is empty. In that case, move on.
                if (dataLength === 0) {
                  continue;
                }
                // We don't have to worry about dynamic padding sizes here: if padding
                // was dynamic, every sequence would have had sufficient padding to
                // generate at least one nGram.
                const nGramWidth = dataLength + 2 * this.padWidth;
                const numNGrams = 1;
                this.createNGrams(data, splitIndex, nGrams, outputStartIdx, numNGrams, nGramWidth);
              }
            }
            return [nGrams, nGramsSplits];
          }
        }
        function stringNGramsImpl(
          data,
          dataSplits,
          separator,
          nGramWidths,
          leftPad,
          rightPad,
          padWidth,
          preserveShortSequences,
        ) {
          return new StringNGramsOp(
            separator,
            nGramWidths,
            leftPad,
            rightPad,
            padWidth,
            preserveShortSequences,
          ).compute(data, dataSplits);
        }

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function split(str, delimiters, skipEmpty) {
          if (!str.length) {
            return [];
          }
          // When the delimiter is empty, the input is split into individual characters.
          if (delimiters.length === 0) {
            const result = new Array(str.length);
            for (let i = 0; i < str.length; ++i) {
              result[i] = str.subarray(i, i + 1);
            }
            return result;
          }
          // When there is one delimiter, the input is split only at that delimiter.
          if (delimiters.length === 1) {
            const delimiter = delimiters[0];
            const result = [];
            let f = str.indexOf(delimiter);
            while (f !== -1) {
              const token = str.subarray(0, f);
              if (!skipEmpty || token.length !== 0) {
                result.push(token);
              }
              str = str.subarray(f + 1);
              f = str.indexOf(delimiter);
            }
            if (!skipEmpty || str.length !== 0) {
              result.push(str);
            }
            return result;
          }
          // When there are multiple delimiters, the input is split at every instance
          // one of the delimiters appears.
          const result = [];
          let tokenStart = 0;
          for (let i = 0; i < str.length + 1; i++) {
            if (i === str.length || delimiters.indexOf(str[i]) !== -1) {
              const token = str.subarray(tokenStart, i);
              if (!skipEmpty || token.length !== 0) {
                result.push(token);
              }
              tokenStart = i + 1;
            }
          }
          return result;
        }
        function stringSplitImpl(input, delimiter, skipEmpty) {
          const batchSize = input.length;
          // Empty delimiter means split the input character by character.
          const tokens = [];
          let outputSize = 0;
          let maxNumEntries = 0;
          const numIndices = new Array(batchSize);
          for (let i = 0; i < batchSize; ++i) {
            const parts = split(input[i], delimiter, skipEmpty);
            const nEntries = parts.length;
            numIndices[i] = nEntries;
            outputSize += nEntries;
            maxNumEntries = Math.max(maxNumEntries, nEntries);
            tokens.push(...parts);
          }
          const indices = tf.util.getArrayFromDType('int32', outputSize * 2);
          const values = new Array(outputSize);
          const shape = [batchSize, maxNumEntries];
          let c = 0;
          for (let i = 0; i < batchSize; ++i) {
            for (let j = 0; j < numIndices[i]; ++j) {
              // indices is a 2d tensor with shape of [outputSize, 2]
              indices[c * 2] = i;
              indices[c * 2 + 1] = j;
              values[c] = tokens[c];
              ++c;
            }
          }
          return [indices, values, shape];
        }

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function stringToHashBucketFastImpl(input, numBuckets) {
          const output = tf.util.getArrayFromDType('int32', input.length);
          for (let i = 0; i < input.length; ++i) {
            output[i] = tf.util.fingerPrint64(input[i]).modulo(numBuckets).getLowBitsUnsigned();
          }
          return output;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        const subImpl = createSimpleBinaryKernelImpl((aValue, bValue) => aValue - bValue);

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        /**
         * An implementation of the tile kernel shared between webgl and cpu for string
         * tensors only.
         */
        function tileImpl(xBuf, reps) {
          const newShape = new Array(xBuf.rank);
          for (let i = 0; i < newShape.length; i++) {
            newShape[i] = xBuf.shape[i] * reps[i];
          }
          const result = tf.buffer(newShape, xBuf.dtype);
          for (let i = 0; i < result.values.length; ++i) {
            const newLoc = result.indexToLoc(i);
            const originalLoc = new Array(xBuf.rank);
            for (let j = 0; j < originalLoc.length; j++) {
              originalLoc[j] = newLoc[j] % xBuf.shape[j];
            }
            const originalIndex = xBuf.locToIndex(originalLoc);
            result.values[i] = xBuf.values[originalIndex];
          }
          return result;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function topKImpl(x, xShape, xDtype, k, sorted) {
          // Reshape into a 2d tensor [batch, lastDim] and compute topk along lastDim.
          const lastDim = xShape[xShape.length - 1];
          const [batch, size] = [x.length / lastDim, lastDim];
          const allTopKVals = tf.util.getTypedArrayFromDType(xDtype, batch * k);
          const allTopKIndices = tf.util.getTypedArrayFromDType('int32', batch * k);
          for (let b = 0; b < batch; b++) {
            const offset = b * size;
            const vals = x.subarray(offset, offset + size);
            const valAndInd = [];
            for (let i = 0; i < vals.length; i++) {
              valAndInd.push({ value: vals[i], index: i });
            }
            valAndInd.sort((a, b) => b.value - a.value);
            const outOffset = b * k;
            const topKVals = allTopKVals.subarray(outOffset, outOffset + k);
            const topKIndices = allTopKIndices.subarray(outOffset, outOffset + k);
            for (let i = 0; i < k; i++) {
              topKVals[i] = valAndInd[i].value;
              topKIndices[i] = valAndInd[i].index;
            }
          }
          // Reshape back to the original input shape, except that the last
          // dimension is k.
          const outputShape = xShape.slice();
          outputShape[outputShape.length - 1] = k;
          return [
            tf.buffer(outputShape, xDtype, allTopKVals),
            tf.buffer(outputShape, 'int32', allTopKIndices),
          ];
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function uniqueImpl(values, axis, shape, dtype) {
          // Normalize and validate axis.
          const $axis = tf.util.parseAxisParam(axis, shape)[0];
          // Calculate the new shape that is suitable for extracting data along the
          // given axis.
          //
          // The rank is 3.
          // The size of the 1st dimension is the size of all the axes < the given axis.
          // The size of the 2nd dimension is the same as the size of the given axis.
          // The size of the 3rd dimension is the size of all the axes > the given axis.
          //
          // For example, for a 4D tensor with shape=[2, 3, 5, 4] and axis=2, the
          // newShape would be: [2*3, 5, 4].
          //
          // Note that this is not the final output shape. This will be the shape for an
          // intermediate TensorBuffer (see inputBuffer below) to allow us to extract
          // values along the given axis. To demonstrate how it works, consider the
          // following example:
          //
          // Input: a 3D tensor, with shape [1, 2, 3]
          // [
          //   [
          //      [1,2,3],
          //      [4,5,6]
          //   ]
          // ]
          // Axis: 2 (the last axis).
          // Along axis 2, we expect to extract 3 tensors: [1,4], [2,5], [3,6].
          //
          // For this example, newShape would be: [2, 3, 1], where 2 is calculated from
          // 1*2. The re-shaped data would look like:
          //
          // [
          //   [
          //     [1], [2], [3]
          //   ],
          //   [
          //     [4], [5], [6]
          //   ]
          // ]
          //
          // Then, we can construct a 3-level nested loop by the following dimension
          // order to extract the values along the axis (dimension1):
          // i: dimension1       // 0,1,2 (newShape[1])
          //   m: dimension0     // 0,1   (newShape[0])
          //     n: dimension2   // 0     (newShape[2])
          //
          //                       m, i, n
          //                      ---------
          // Iteration 0: data at [0, 0, 0] => "1"
          // Iteration 1: data at [1, 0, 0] => "4"
          // We got [1,4].
          // Iteration 2: data at [0, 1, 0] => "2"
          // Iteration 3: data at [1, 1, 0] => "5"
          // We got [2,5].
          // Iteration 4: data at [0, 2, 0] => "3"
          // Iteration 5: data at [1, 2, 0] => "6"
          // We got [3,6].
          const newShape = [1, shape[0], 1];
          for (let i = 0; i < $axis; i++) {
            newShape[0] *= shape[i];
          }
          newShape[1] = shape[$axis];
          for (let i = $axis + 1; i < shape.length; i++) {
            newShape[2] *= shape[i];
          }
          // A map from unique elements (their string representations) to their values
          // in "indices" (below).
          const uniqueElements = {};
          // The indices of each unique element in the original tensor along the given
          // axis. It is 1D and has the same size as the given axis.
          const indices = new Int32Array(shape[$axis]);
          // Create a buffer so we can easily extract value at a given location.
          const inputBuffer = new tf.TensorBuffer(newShape, dtype, values);
          // The indices along the given axis that have unique elements. This is a
          // de-duped version of "indices" above.
          const uniqueIndices = [];
          const is1DTensor = newShape[0] === 1 && newShape[2] === 1;
          for (let i = 0; i < shape[$axis]; i++) {
            // Extract values along the axis.
            let element;
            if (is1DTensor) {
              // Fast path for 1D tensor input.
              element = values[i].toString();
            } else {
              const axisValues = [];
              for (let m = 0; m < newShape[0]; m++) {
                for (let n = 0; n < newShape[2]; n++) {
                  axisValues.push(inputBuffer.get(m, i, n));
                }
              }
              element = axisValues.join(',');
            }
            // Dedup and update various indices.
            if (uniqueElements[element] !== undefined) {
              indices[i] = uniqueElements[element];
            } else {
              const uniqueIndex = Object.keys(uniqueElements).length;
              uniqueElements[element] = uniqueIndex;
              indices[i] = uniqueIndex;
              uniqueIndices.push(i);
            }
          }
          // Now we know where each of the unique elements are located along the axis
          // (uniqueIndices). Extract them from input buffer and store them in the
          // output buffer.
          const outputTmpShape = newShape.slice();
          outputTmpShape[1] = Object.keys(uniqueElements).length;
          const outputBuffer = new tf.TensorBuffer(outputTmpShape, dtype);
          uniqueIndices.forEach((uniqueElementIndex, i) => {
            for (let m = 0; m < newShape[0]; m++) {
              for (let n = 0; n < newShape[2]; n++) {
                outputBuffer.set(inputBuffer.get(m, uniqueElementIndex, n), m, i, n);
              }
            }
          });
          // The output shape can be calculated from the input shape with the size of
          // the given axis replaced by the number of unique elements along that axis.
          const outputShape = shape.slice();
          outputShape[$axis] = outputTmpShape[1];
          return {
            outputValues: outputBuffer.values,
            outputShape,
            indices,
          };
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var addImplCPU = addImpl,
          bincountImplCPU = bincountImpl,
          bincountReduceImplCPU = bincountReduceImpl,
          ceilImplCPU = ceilImpl,
          concatImplCPU = concatImpl,
          equalImplCPU = equalImpl,
          expImplCPU = expImpl,
          expm1ImplCPU = expm1Impl,
          floorImplCPU = floorImpl,
          gatherNdImplCPU = gatherNdImpl,
          gatherV2ImplCPU = gatherV2Impl,
          greaterImplCPU = greaterImpl,
          greaterEqualImplCPU = greaterEqualImpl,
          lessImplCPU = lessImpl,
          lessEqualImplCPU = lessEqualImpl,
          linSpaceImplCPU = linSpaceImpl,
          logImplCPU = logImpl,
          maxImplCPU = maxImpl,
          maximumImplCPU = maximumImpl,
          minimumImplCPU = minimumImpl,
          multiplyImplCPU = multiplyImpl,
          negImplCPU = negImpl,
          notEqualImplCPU = notEqualImpl,
          prodImplCPU = prodImpl,
          rangeImplCPU = rangeImpl,
          rsqrtImplCPU = rsqrtImpl,
          simpleAbsImplCPU = simpleAbsImpl,
          sliceImplCPU = sliceImpl,
          sparseFillEmptyRowsImplCPU = sparseFillEmptyRowsImpl,
          sparseReshapeImplCPU = sparseReshapeImpl,
          sparseSegmentReductionImplCPU = sparseSegmentReductionImpl,
          stridedSliceImplCPU = stridedSliceImpl,
          stringNGramsImplCPU = stringNGramsImpl,
          stringSplitImplCPU = stringSplitImpl,
          stringToHashBucketFastImplCPU = stringToHashBucketFastImpl,
          subImplCPU = subImpl,
          tileImplCPU = tileImpl,
          topKImplCPU = topKImpl,
          transposeImplCPU = transposeImpl,
          uniqueImplCPU = uniqueImpl;

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function getVecChannels(name, rank) {
          return ['x', 'y', 'z', 'w', 'u', 'v'].slice(0, rank).map(function (d) {
            return name + '.' + d;
          });
        }
        function getChannels(name, rank) {
          if (rank === 1) {
            return [name];
          }
          return getVecChannels(name, rank);
        }
        function getSourceCoords(rank, dims) {
          if (rank === 1) {
            return 'rc';
          }
          var coords = '';
          for (var i = 0; i < rank; i++) {
            coords += dims[i];
            if (i < rank - 1) {
              coords += ',';
            }
          }
          return coords;
        }

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var PackProgram = /** @class */ (function () {
          function PackProgram(outputShape) {
            this.variableNames = ['A'];
            this.packedInputs = false;
            this.packedOutput = true;
            // Only input / output 3D tensors.
            this.outputShape = outputShape;
            var rank = outputShape.length;
            if (rank === 0) {
              this.userCode =
                '\n        void main() {\n          setOutput(vec4(getA(), 0., 0., 0.));\n        }\n      ';
            } else {
              var channels = getChannels('rc', rank);
              var dtype = getCoordsDataType(rank);
              var outOfBoundsCondition = getOutOfBoundsCondition(rank, outputShape, channels);
              var setup = getSetup(
                rank,
                outputShape[outputShape.length - 1],
                outputShape[outputShape.length - 2],
                channels,
              );
              var output = getOutput(outputShape, channels);
              this.userCode =
                '\n        void main() {\n          ' +
                dtype +
                ' rc = getOutputCoords();\n\n          if(' +
                outOfBoundsCondition +
                ') {\n            setOutput(vec4(0));\n          } else {\n            ' +
                setup +
                '\n\n            setOutput(vec4(' +
                output +
                '));\n          }\n        }\n      ';
            }
          }
          return PackProgram;
        })();
        function getSourceCoordsArr(rank, dims) {
          var coords = [];
          for (var row = 0; row <= 1; row++) {
            for (var col = 0; col <= 1; col++) {
              var coord = (row === 0 ? 'r' : 'rp1') + ', ' + (col === 0 ? 'c' : 'cp1');
              for (var d = 2; d < rank; d++) {
                coord = dims[dims.length - 1 - d] + ',' + coord;
              }
              coords.push(coord);
            }
          }
          return coords;
        }
        function getOutOfBoundsCondition(rank, shape, dims) {
          if (rank === 1) {
            return 'rc > ' + shape[0];
          }
          var cond = '';
          for (var i = rank - 2; i < rank; i++) {
            cond += dims[i] + ' >= ' + shape[i];
            if (i < rank - 1) {
              cond += '||';
            }
          }
          return cond;
        }
        function getSetup(rank, cols, rows, dims) {
          if (rank === 1) {
            return '';
          }
          var innerDims = dims.slice(-2);
          return (
            '\n    int r = ' +
            innerDims[0] +
            ';\n    int c = ' +
            innerDims[1] +
            ';\n    int rp1 = r + 1;\n    int cp1 = c + 1;\n\n    bool cEdge = cp1 >= ' +
            cols +
            ';\n    bool rEdge = rp1 >= ' +
            rows +
            ';\n  '
          );
        }
        function getOutput(shape, dims) {
          var rank = shape.length;
          var sourceCoords = getSourceCoordsArr(rank, dims);
          if (rank === 1) {
            return (
              'getA(rc),\n            rc + 1 >= ' +
              shape[0] +
              ' ? 0. : getA(rc + 1),\n            0, 0'
            );
          }
          return (
            'getA(' +
            sourceCoords[0] +
            '),\n          cEdge ? 0. : getA(' +
            sourceCoords[1] +
            '),\n          rEdge ? 0. : getA(' +
            sourceCoords[2] +
            '),\n          rEdge || cEdge ? 0. : getA(' +
            sourceCoords[3] +
            ')'
          );
        }

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ReshapePackedProgram = /** @class */ (function () {
          function ReshapePackedProgram(outputShape, inputShape) {
            this.variableNames = ['A'];
            this.packedInputs = true;
            this.packedOutput = true;
            this.outputShape = outputShape;
            var mainLoop = '';
            for (var i = 0; i < 4; i++) {
              var thisRC = 'thisRC = rc;';
              if (i % 2 === 1) {
                thisRC += 'thisRC.z += 1;';
              }
              if (i > 1) {
                thisRC += 'thisRC.y += 1;';
              }
              mainLoop +=
                '\n        ' +
                thisRC +
                '\n        ' +
                (i > 0 ? 'if(thisRC.y < rows && thisRC.z < cols){' : '') +
                '\n          int flatIndex = getFlatIndex(thisRC);\n\n          ivec3 inputRC = inputCoordsFromReshapedOutCoords(flatIndex);\n          vec2 inputRCInnerDims = vec2(float(inputRC.y),float(inputRC.z));\n\n          result[' +
                i +
                '] =\n            getChannel(getA(inputRC.x, inputRC.y, inputRC.z), inputRCInnerDims);\n        ' +
                (i > 0 ? '}' : '') +
                '\n      ';
            }
            this.userCode =
              '\n      ' +
              getReshapedInputCoords(inputShape) +
              '\n      ' +
              getFlatIndexFrom3D(outputShape) +
              '\n\n      void main() {\n        ivec3 rc = getOutputCoords();\n\n        vec4 result = vec4(0.);\n\n        ivec3 thisRC;\n        int rows = ' +
              outputShape[1] +
              ';\n        int cols = ' +
              outputShape[2] +
              ';\n\n        ' +
              mainLoop +
              '\n\n        setOutput(result);\n      }\n    ';
          }
          return ReshapePackedProgram;
        })();
        function getReshapedInputCoords(shape) {
          var coordsFromIndexSnippet = getLogicalCoordinatesFromFlatIndex(['r', 'c', 'd'], shape);
          return (
            '\n    ivec3 inputCoordsFromReshapedOutCoords(int index) {\n      ' +
            coordsFromIndexSnippet +
            '\n      return ivec3(r, c, d);\n    }\n  '
          );
        }

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var TextureManager = /** @class */ (function () {
          function TextureManager(gpgpu) {
            this.gpgpu = gpgpu;
            this.numUsedTextures = 0;
            this.numFreeTextures = 0;
            this._numBytesAllocated = 0;
            this._numBytesFree = 0; // How many bytes that have been allocated
            // are available for reuse.
            this.freeTextures = {};
            this.logEnabled = false;
            this.usedTextures = {};
          }
          TextureManager.prototype.acquireTexture = function (shapeRC, usage, isPacked) {
            var physicalTexType = getPhysicalFromLogicalTextureType(usage, isPacked);
            var shapeKey = getKeyFromTextureShape(shapeRC, physicalTexType, isPacked);
            if (!(shapeKey in this.freeTextures)) {
              this.freeTextures[shapeKey] = [];
            }
            if (!(shapeKey in this.usedTextures)) {
              this.usedTextures[shapeKey] = [];
            }
            var texBytes = computeBytes(
              shapeRC,
              physicalTexType,
              this.gpgpu.gl,
              this.gpgpu.textureConfig,
              isPacked,
            );
            if (this.freeTextures[shapeKey].length > 0) {
              this.numFreeTextures--;
              this.numUsedTextures++;
              this._numBytesFree -= texBytes;
              this.log();
              var newTexture_1 = this.freeTextures[shapeKey].shift();
              this.usedTextures[shapeKey].push(newTexture_1);
              return newTexture_1;
            }
            var newTexture;
            if (physicalTexType === PhysicalTextureType.PACKED_2X2_FLOAT32) {
              newTexture = this.gpgpu.createPackedMatrixTexture(shapeRC[0], shapeRC[1]);
            } else if (physicalTexType === PhysicalTextureType.PACKED_2X2_FLOAT16) {
              newTexture = this.gpgpu.createFloat16PackedMatrixTexture(shapeRC[0], shapeRC[1]);
            } else if (physicalTexType === PhysicalTextureType.UNPACKED_FLOAT32) {
              newTexture = this.gpgpu.createFloat32MatrixTexture(shapeRC[0], shapeRC[1]);
            } else if (physicalTexType === PhysicalTextureType.UNPACKED_FLOAT16) {
              newTexture = this.gpgpu.createFloat16MatrixTexture(shapeRC[0], shapeRC[1]);
            } else if (physicalTexType === PhysicalTextureType.PACKED_4X1_UNSIGNED_BYTE) {
              newTexture = this.gpgpu.createUnsignedBytesMatrixTexture(shapeRC[0], shapeRC[1]);
            }
            this.usedTextures[shapeKey].push(newTexture);
            this.numUsedTextures++;
            this._numBytesAllocated += texBytes;
            this.log();
            return newTexture;
          };
          TextureManager.prototype.releaseTexture = function (
            texture,
            shape,
            logicalTexType,
            isPacked,
          ) {
            if (this.freeTextures == null) {
              // Already disposed.
              return;
            }
            var physicalTexType = getPhysicalFromLogicalTextureType(logicalTexType, isPacked);
            var shapeKey = getKeyFromTextureShape(shape, physicalTexType, isPacked);
            if (!(shapeKey in this.freeTextures)) {
              this.freeTextures[shapeKey] = [];
            }
            var texBytes = computeBytes(
              shape,
              physicalTexType,
              this.gpgpu.gl,
              this.gpgpu.textureConfig,
              isPacked,
            );
            var deleteTexThreshold = tf.env().get('WEBGL_DELETE_TEXTURE_THRESHOLD');
            if (deleteTexThreshold !== -1 && this._numBytesAllocated > deleteTexThreshold) {
              this.gpgpu.deleteMatrixTexture(texture);
              this._numBytesAllocated -= texBytes;
            } else {
              this.freeTextures[shapeKey].push(texture);
              this.numFreeTextures++;
              this._numBytesFree += texBytes;
            }
            this.numUsedTextures--;
            var texList = this.usedTextures[shapeKey];
            var texIndex = texList.indexOf(texture);
            if (texIndex < 0) {
              throw new Error(
                'Cannot release a texture that was never provided by this ' + 'texture manager',
              );
            }
            texList.splice(texIndex, 1);
            this.log();
          };
          TextureManager.prototype.log = function () {
            if (!this.logEnabled) {
              return;
            }
            var total = this.numFreeTextures + this.numUsedTextures;
            console.log(
              'Free/Used',
              this.numFreeTextures + ' / ' + this.numUsedTextures,
              '(' + total + ')',
            );
            var freeRatio = this._numBytesFree / this._numBytesAllocated;
            console.log('Bytes allocated: ' + this._numBytesAllocated);
            console.log(
              'Bytes unused: ' + this._numBytesFree + ' (' + Math.round(100 * freeRatio) + '%)',
            );
          };
          Object.defineProperty(TextureManager.prototype, 'numBytesAllocated', {
            get: function () {
              return this._numBytesAllocated;
            },
            enumerable: true,
            configurable: true,
          });
          Object.defineProperty(TextureManager.prototype, 'numBytesFree', {
            get: function () {
              return this._numBytesFree;
            },
            enumerable: true,
            configurable: true,
          });
          TextureManager.prototype.getNumUsedTextures = function () {
            return this.numUsedTextures;
          };
          TextureManager.prototype.getNumFreeTextures = function () {
            return this.numFreeTextures;
          };
          TextureManager.prototype.dispose = function () {
            var _this = this;
            if (this.freeTextures == null) {
              // Already disposed.
              return;
            }
            for (var texShape in this.freeTextures) {
              this.freeTextures[texShape].forEach(function (tex) {
                _this.gpgpu.deleteMatrixTexture(tex);
              });
            }
            for (var texShape in this.usedTextures) {
              this.usedTextures[texShape].forEach(function (tex) {
                _this.gpgpu.deleteMatrixTexture(tex);
              });
            }
            this.freeTextures = null;
            this.usedTextures = null;
            this.numUsedTextures = 0;
            this.numFreeTextures = 0;
            this._numBytesAllocated = 0;
            this._numBytesFree = 0;
          };
          return TextureManager;
        })();
        function numBytesForInternalFormat(gl, internalFormat) {
          // tslint:disable-next-line:no-any
          var glany = gl;
          if (internalFormat === glany.R32F) {
            return 4;
          } else if (internalFormat === glany.R16F) {
            return 2;
          } else if (internalFormat === glany.RGBA32F) {
            return 16;
          } else if (internalFormat === gl.RGBA) {
            return 16;
          } else if (internalFormat === glany.RGBA16F) {
            return 8;
          }
          throw new Error('Unknown internal format ' + internalFormat);
        }
        function computeBytes(shape, physicalTexType, gl, textureConfig, isPacked) {
          // It is not possible to infer packed status from the texture type because
          // depending on the textureConfig, different  texture types may resolve to the
          // same internal format (e.g. in WebGL1, the internal format for
          // UNPACKED_FLOAT16 textures is gl.RGBA). Therefore we pass in `isPacked`
          // explicitly.
          var internalFormat = internalFormatForPhysicalTexType(physicalTexType, textureConfig);
          var numElements;
          if (isPacked) {
            var _a = getPackedMatrixTextureShapeWidthHeight(shape[0], shape[1]),
              packedWidth = _a[0],
              packedHeight = _a[1];
            numElements = packedWidth * packedHeight;
          } else {
            var _b = getUnpackedMatrixTextureShapeWidthHeight(shape[0], shape[1]),
              width = _b[0],
              height = _b[1];
            numElements = width * height;
          }
          var bytesPerElement = numBytesForInternalFormat(gl, internalFormat);
          return numElements * bytesPerElement;
        }
        function internalFormatForPhysicalTexType(physicalTexType, textureConfig) {
          switch (physicalTexType) {
            case PhysicalTextureType.PACKED_2X2_FLOAT32:
              return getInternalFormatForPackedMatrixTexture(textureConfig);
            case PhysicalTextureType.PACKED_2X2_FLOAT16:
              return getInternalFormatForFloat16PackedMatrixTexture(textureConfig);
            case PhysicalTextureType.UNPACKED_FLOAT32:
              return getInternalFormatForFloat32MatrixTexture(textureConfig);
            case PhysicalTextureType.UNPACKED_FLOAT16:
              return getInternalFormatForFloat16MatrixTexture(textureConfig);
            case PhysicalTextureType.PACKED_4X1_UNSIGNED_BYTE:
              return getInternalFormatForUnsignedBytesMatrixTexture(textureConfig);
            default:
              throw new Error('Unknown physical texture type ' + physicalTexType);
          }
        }
        function getPhysicalTextureForRendering(isPacked) {
          if (tf.env().getBool('WEBGL_RENDER_FLOAT32_ENABLED')) {
            if (isPacked) {
              return PhysicalTextureType.PACKED_2X2_FLOAT32;
            }
            return PhysicalTextureType.UNPACKED_FLOAT32;
          }
          if (isPacked) {
            return PhysicalTextureType.PACKED_2X2_FLOAT16;
          }
          return PhysicalTextureType.UNPACKED_FLOAT16;
        }
        function getPhysicalFromLogicalTextureType(logicalTexType, isPacked) {
          if (logicalTexType === TextureUsage.UPLOAD) {
            return PhysicalTextureType.PACKED_2X2_FLOAT32;
          } else if (logicalTexType === TextureUsage.RENDER || logicalTexType == null) {
            return getPhysicalTextureForRendering(isPacked);
          } else if (
            logicalTexType === TextureUsage.DOWNLOAD ||
            logicalTexType === TextureUsage.PIXELS
          ) {
            return PhysicalTextureType.PACKED_4X1_UNSIGNED_BYTE;
          }
          throw new Error('Unknown logical texture type ' + logicalTexType);
        }
        function getKeyFromTextureShape(shapeRowsCol, physicalTexType, isPacked) {
          return shapeRowsCol[0] + '_' + shapeRowsCol[1] + '_' + physicalTexType + '_' + isPacked;
        }

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var UnaryOpProgram = /** @class */ (function () {
          function UnaryOpProgram(aShape, opSnippet) {
            this.variableNames = ['A'];
            this.outputShape = aShape;
            this.userCode =
              '\n      float unaryOperation(float x) {\n        ' +
              opSnippet +
              '\n      }\n\n      void main() {\n        float x = getAAtOutCoords();\n        float y = unaryOperation(x);\n\n        setOutput(y);\n      }\n    ';
          }
          return UnaryOpProgram;
        })();
        var CHECK_NAN_SNIPPET = 'if (isnan(x)) return x;';
        var LINEAR = 'return x;';
        var ABS = 'return abs(x);';
        var ELU = 'return (x >= 0.0) ? x : (exp(x) - 1.0);';
        var RELU = CHECK_NAN_SNIPPET + '\n  return (x < 0.0) ? 0.0 : x;\n';
        var RELU6 = CHECK_NAN_SNIPPET + '\n  return (x < 0.0) ? 0.0 : min(6.0, x);\n';
        var CLONE = 'return x;';
        var SIGMOID = 'return 1.0 / (1.0 + exp(-1.0 * x));';

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var LINEAR$1 = 'return x;';
        var ELU$1 =
          '\n  vec4 result;\n\n  result.r = (x.r >= 0.0) ? x.r : (exp(x.r) - 1.0);\n  result.g = (x.g >= 0.0) ? x.g : (exp(x.g) - 1.0);\n  result.b = (x.b >= 0.0) ? x.b : (exp(x.b) - 1.0);\n  result.a = (x.a >= 0.0) ? x.a : (exp(x.a) - 1.0);\n\n  return result;\n';
        var RELU$1 =
          '\n  vec4 result = x * vec4(greaterThanEqual(x, vec4(0.0)));\n  bvec4 isNaN = isnan(x);\n\n  result.r = isNaN.r ? x.r : result.r;\n  result.g = isNaN.g ? x.g : result.g;\n  result.b = isNaN.b ? x.b : result.b;\n  result.a = isNaN.a ? x.a : result.a;\n\n  return result;\n';
        var RELU6$1 =
          '\n  vec4 result = min(x, vec4(6.)) * vec4(greaterThanEqual(x, vec4(0.0)));\n  bvec4 isNaN = isnan(x);\n\n  result.r = isNaN.r ? x.r : result.r;\n  result.g = isNaN.g ? x.g : result.g;\n  result.b = isNaN.b ? x.b : result.b;\n  result.a = isNaN.a ? x.a : result.a;\n\n  return result;\n';
        var SIGMOID$1 = 'return 1.0 / (1.0 + exp(-1.0 * x));';
        var UnaryOpPackedProgram = /** @class */ (function () {
          function UnaryOpPackedProgram(aShape, opSnippet) {
            this.variableNames = ['A'];
            this.packedInputs = true;
            this.packedOutput = true;
            this.outputShape = aShape;
            this.userCode =
              '\n      vec4 unaryOperation(vec4 x) {\n        ' +
              opSnippet +
              '\n      }\n\n      void main() {\n        vec4 x = getAAtOutCoords();\n        vec4 y = unaryOperation(x);\n\n        setOutput(y);\n      }\n    ';
          }
          return UnaryOpPackedProgram;
        })();

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var UnpackProgram = /** @class */ (function () {
          function UnpackProgram(outputShape) {
            this.variableNames = ['A'];
            this.packedInputs = true;
            this.packedOutput = false;
            this.outputShape = outputShape;
            var rank = outputShape.length;
            var channels = getChannels('rc', rank);
            var dtype = getCoordsDataType(rank);
            var sourceCoords = getSourceCoords(rank, channels);
            var innerDims = channels.slice(-2);
            var coords = rank <= 1 ? 'rc' : 'vec2(' + innerDims.join(',') + ')';
            this.userCode =
              '\n      void main() {\n        ' +
              dtype +
              ' rc = getOutputCoords();\n        vec4 packedInput = getA(' +
              sourceCoords +
              ');\n\n        setOutput(getChannel(packedInput, ' +
              coords +
              '));\n      }\n    ';
          }
          return UnpackProgram;
        })();

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var whereImpl = tf.kernel_impls.whereImpl;
        var EPSILON_FLOAT32 = 1e-7;
        var EPSILON_FLOAT16 = 1e-4;
        var binaryCaches = {};
        function getBinaryCache(webGLVersion) {
          if (webGLVersion in binaryCaches) {
            return binaryCaches[webGLVersion];
          }
          binaryCaches[webGLVersion] = {};
          return binaryCaches[webGLVersion];
        }
        // Empirically determined constant used to determine size threshold for handing
        // off execution to the CPU.
        var CPU_HANDOFF_SIZE_THRESHOLD = tf.env().getNumber('CPU_HANDOFF_SIZE_THRESHOLD');
        // Empirically determined constant used to decide the number of MB on GPU
        // before we warn about high memory use. The MB are this constant * screen area
        // * dpi / 1024 / 1024.
        var BEFORE_PAGING_CONSTANT = 600;
        function numMBBeforeWarning() {
          if (tf.env().global.screen == null) {
            return 1024; // 1 GB.
          }
          return (
            (tf.env().global.screen.height *
              tf.env().global.screen.width *
              window.devicePixelRatio *
              BEFORE_PAGING_CONSTANT) /
            1024 /
            1024
          );
        }
        var MathBackendWebGL = /** @class */ (function (_super) {
          __extends(MathBackendWebGL, _super);
          function MathBackendWebGL(gpgpu) {
            var _this = _super.call(this) || this;
            // Maps data ids that have a pending read operation, to list of subscribers.
            _this.pendingRead = new WeakMap();
            // List of data ids that are scheduled for disposal, but are waiting on a
            // pending read operation.
            _this.pendingDisposal = new WeakSet();
            // Used to count the number of 'shallow' sliced tensors that point to the
            // same data id.
            _this.dataRefCount = new WeakMap();
            _this.numBytesInGPU = 0;
            // Accumulated time spent (including blocking) in uploading data to webgl.
            _this.uploadWaitMs = 0;
            // Accumulated time spent (including blocking in downloading data from webgl.
            _this.downloadWaitMs = 0;
            // record the last manual GL Flush time.
            _this.lastGlFlushTime = 0;
            _this.warnedAboutMemory = false;
            _this.pendingDeletes = 0;
            _this.disposed = false;
            if (!tf.env().getBool('HAS_WEBGL')) {
              throw new Error('WebGL is not supported on this device');
            }
            if (gpgpu == null) {
              var gl = getWebGLContext(tf.env().getNumber('WEBGL_VERSION'));
              _this.binaryCache = getBinaryCache(tf.env().getNumber('WEBGL_VERSION'));
              _this.gpgpu = new GPGPUContext(gl);
              _this.canvas = gl.canvas;
              _this.gpgpuCreatedLocally = true;
            } else {
              _this.gpgpu = gpgpu;
              _this.binaryCache = {};
              _this.gpgpuCreatedLocally = false;
              _this.canvas = gpgpu.gl.canvas;
            }
            _this.textureManager = new TextureManager(_this.gpgpu);
            _this.numMBBeforeWarning = numMBBeforeWarning();
            _this.texData = new tf.DataStorage(_this, tf.engine());
            return _this;
          }
          MathBackendWebGL.prototype.nextDataId = function () {
            return MathBackendWebGL.nextDataId++;
          };
          MathBackendWebGL.prototype.numDataIds = function () {
            return this.texData.numDataIds() - this.pendingDeletes;
          };
          MathBackendWebGL.prototype.write = function (values, shape, dtype) {
            if (tf.env().getBool('WEBGL_CHECK_NUMERICAL_PROBLEMS') || tf.env().getBool('DEBUG')) {
              this.checkNumericalProblems(values);
            }
            if (dtype === 'complex64' && values != null) {
              throw new Error(
                'Cannot write to a complex64 dtype. ' + 'Please use tf.complex(real, imag).',
              );
            }
            var dataId = { id: this.nextDataId() };
            this.texData.set(dataId, {
              shape: shape,
              dtype: dtype,
              values: values,
              usage: TextureUsage.UPLOAD,
              refCount: 1,
            });
            return dataId;
          };
          /** Return refCount of a `TensorData`. */
          MathBackendWebGL.prototype.refCount = function (dataId) {
            if (this.texData.has(dataId)) {
              var tensorData = this.texData.get(dataId);
              return tensorData.refCount;
            }
            return 0;
          };
          /** Increase refCount of a `TextureData`. */
          MathBackendWebGL.prototype.incRef = function (dataId) {
            var texData = this.texData.get(dataId);
            texData.refCount++;
          };
          /** Decrease refCount of a `TextureData`. */
          MathBackendWebGL.prototype.decRef = function (dataId) {
            if (this.texData.has(dataId)) {
              var texData = this.texData.get(dataId);
              texData.refCount--;
            }
          };
          MathBackendWebGL.prototype.move = function (dataId, values, shape, dtype, refCount) {
            if (tf.env().getBool('DEBUG')) {
              this.checkNumericalProblems(values);
            }
            if (dtype === 'complex64') {
              throw new Error(
                'Cannot write to a complex64 dtype. ' + 'Please use tf.complex(real, imag).',
              );
            }
            this.texData.set(dataId, {
              shape: shape,
              dtype: dtype,
              values: values,
              usage: TextureUsage.UPLOAD,
              refCount: refCount,
            });
          };
          MathBackendWebGL.prototype.disposeIntermediateTensorInfo = function (tensorInfo) {
            this.disposeData(tensorInfo.dataId);
          };
          MathBackendWebGL.prototype.readSync = function (dataId) {
            var texData = this.texData.get(dataId);
            var values = texData.values,
              dtype = texData.dtype,
              complexTensorInfos = texData.complexTensorInfos,
              slice = texData.slice,
              shape = texData.shape,
              isPacked = texData.isPacked;
            // The presence of `slice` indicates this tensor is a shallow slice of a
            // different tensor, and is using that original tensor's texture. Run
            // `clone` in order to copy that texture and read from it.
            if (slice != null) {
              var program = void 0;
              if (isPacked) {
                program = new UnaryOpPackedProgram(shape, CLONE);
              } else {
                program = new UnaryOpProgram(shape, CLONE);
              }
              var res = this.runWebGLProgram(
                program,
                [{ dataId: dataId, shape: shape, dtype: dtype }],
                dtype,
              );
              var data = this.readSync(res.dataId);
              this.disposeIntermediateTensorInfo(res);
              return data;
            }
            if (values != null) {
              return this.convertAndCacheOnCPU(dataId);
            }
            if (dtype === 'string') {
              return values;
            }
            var shouldTimeProgram = this.activeTimers != null;
            var start;
            if (shouldTimeProgram) {
              start = tf.util.now();
            }
            var result;
            if (dtype === 'complex64') {
              var realValues = this.readSync(complexTensorInfos.real.dataId);
              var imagValues = this.readSync(complexTensorInfos.imag.dataId);
              result = tf.backend_util.mergeRealAndImagArrays(realValues, imagValues);
            } else {
              result = this.getValuesFromTexture(dataId);
            }
            if (shouldTimeProgram) {
              this.downloadWaitMs += tf.util.now() - start;
            }
            return this.convertAndCacheOnCPU(dataId, result);
          };
          MathBackendWebGL.prototype.read = function (dataId) {
            return __awaiter(this, void 0, void 0, function () {
              var subscribers_1,
                texData,
                values,
                shape,
                slice,
                dtype,
                complexTensorInfos,
                isPacked,
                program,
                res,
                data,
                buffer,
                tmpDownloadTarget,
                tmpData,
                vals,
                ps,
                realValues,
                imagValues,
                size,
                dTypeVals,
                subscribers;
              var _a;
              return __generator(this, function (_b) {
                switch (_b.label) {
                  case 0:
                    if (this.pendingRead.has(dataId)) {
                      subscribers_1 = this.pendingRead.get(dataId);
                      return [
                        2 /*return*/,
                        new Promise(function (resolve) {
                          return subscribers_1.push(resolve);
                        }),
                      ];
                    }
                    texData = this.texData.get(dataId);
                    (values = texData.values),
                      (shape = texData.shape),
                      (slice = texData.slice),
                      (dtype = texData.dtype),
                      (complexTensorInfos = texData.complexTensorInfos),
                      (isPacked = texData.isPacked);
                    // The presence of `slice` indicates this tensor is a shallow slice of a
                    // different tensor, and is using that original tensor's texture. Run
                    // `clone` in order to copy that texture and read from it.
                    if (slice != null) {
                      program = void 0;
                      if (isPacked) {
                        program = new UnaryOpPackedProgram(shape, CLONE);
                      } else {
                        program = new UnaryOpProgram(shape, CLONE);
                      }
                      res = this.runWebGLProgram(
                        program,
                        [{ dataId: dataId, shape: shape, dtype: dtype }],
                        dtype,
                      );
                      data = this.read(res.dataId);
                      this.disposeIntermediateTensorInfo(res);
                      return [2 /*return*/, data];
                    }
                    if (values != null) {
                      return [2 /*return*/, this.convertAndCacheOnCPU(dataId)];
                    }
                    if (
                      !tf.env().getBool('WEBGL_DOWNLOAD_FLOAT_ENABLED') &&
                      tf.env().getNumber('WEBGL_VERSION') === 2
                    ) {
                      throw new Error(
                        'tensor.data() with WEBGL_DOWNLOAD_FLOAT_ENABLED=false and ' +
                          'WEBGL_VERSION=2 not yet supported.',
                      );
                    }
                    buffer = null;
                    if (dtype !== 'complex64' && tf.env().get('WEBGL_BUFFER_SUPPORTED')) {
                      // Possibly copy the texture into a buffer before inserting a fence.
                      tmpDownloadTarget = this.decode(dataId);
                      tmpData = this.texData.get(tmpDownloadTarget.dataId);
                      buffer = (_a = this.gpgpu).createBufferFromTexture.apply(
                        _a,
                        [tmpData.texture].concat(getDenseTexShape(shape)),
                      );
                    }
                    this.pendingRead.set(dataId, []);
                    if (!(dtype !== 'complex64')) return [3 /*break*/, 2];
                    // Create a fence and wait for it to resolve.
                    return [4 /*yield*/, this.gpgpu.createAndWaitForFence()];
                  case 1:
                    // Create a fence and wait for it to resolve.
                    _b.sent();
                    _b.label = 2;
                  case 2:
                    if (!(dtype === 'complex64')) return [3 /*break*/, 4];
                    return [
                      4 /*yield*/,
                      Promise.all([
                        this.read(complexTensorInfos.real.dataId),
                        this.read(complexTensorInfos.imag.dataId),
                      ]),
                    ];
                  case 3:
                    ps = _b.sent();
                    realValues = ps[0];
                    imagValues = ps[1];
                    vals = tf.backend_util.mergeRealAndImagArrays(realValues, imagValues);
                    return [3 /*break*/, 5];
                  case 4:
                    if (buffer == null) {
                      vals = this.getValuesFromTexture(dataId);
                    } else {
                      size = tf.util.sizeFromShape(shape);
                      vals = this.gpgpu.downloadFloat32MatrixFromBuffer(buffer, size);
                    }
                    _b.label = 5;
                  case 5:
                    if (tmpDownloadTarget != null) {
                      this.disposeIntermediateTensorInfo(tmpDownloadTarget);
                    }
                    dTypeVals = this.convertAndCacheOnCPU(dataId, vals);
                    subscribers = this.pendingRead.get(dataId);
                    this.pendingRead.delete(dataId);
                    // Notify all pending reads.
                    subscribers.forEach(function (resolve) {
                      return resolve(dTypeVals);
                    });
                    if (this.pendingDisposal.has(dataId)) {
                      this.pendingDisposal.delete(dataId);
                      if (this.disposeData(dataId)) {
                        tf.engine().removeDataId(dataId, this);
                      }
                      this.pendingDeletes--;
                    }
                    return [2 /*return*/, dTypeVals];
                }
              });
            });
          };
          MathBackendWebGL.prototype.bufferSync = function (t) {
            var data = this.readSync(t.dataId);
            var decodedData = data;
            if (t.dtype === 'string') {
              try {
                // Decode the bytes into string.
                decodedData = data.map(function (d) {
                  return tf.util.decodeString(d);
                });
              } catch (_a) {
                throw new Error('Failed to decode encoded string bytes into utf-8');
              }
            }
            return tf.buffer(t.shape, t.dtype, decodedData);
          };
          MathBackendWebGL.prototype.checkNumericalProblems = function (values) {
            if (values == null) {
              return;
            }
            for (var i = 0; i < values.length; i++) {
              var num = values[i];
              if (!canBeRepresented(num)) {
                if (tf.env().getBool('WEBGL_RENDER_FLOAT32_CAPABLE')) {
                  throw Error(
                    'The value ' +
                      num +
                      ' cannot be represented with your ' +
                      'current settings. Consider enabling float32 rendering: ' +
                      "'tf.env().set('WEBGL_RENDER_FLOAT32_ENABLED', true);'",
                  );
                }
                throw Error('The value ' + num + ' cannot be represented on this device.');
              }
            }
          };
          MathBackendWebGL.prototype.getValuesFromTexture = function (dataId) {
            var _a;
            var _b = this.texData.get(dataId),
              shape = _b.shape,
              dtype = _b.dtype,
              isPacked = _b.isPacked;
            var size = tf.util.sizeFromShape(shape);
            if (tf.env().getBool('WEBGL_DOWNLOAD_FLOAT_ENABLED')) {
              var tmpTarget = this.decode(dataId);
              var tmpData_1 = this.texData.get(tmpTarget.dataId);
              var vals_1 = (_a = this.gpgpu).downloadMatrixFromPackedTexture
                .apply(_a, [tmpData_1.texture].concat(getDenseTexShape(shape)))
                .subarray(0, size);
              this.disposeIntermediateTensorInfo(tmpTarget);
              return vals_1;
            }
            var shouldUsePackedProgram = tf.env().getBool('WEBGL_PACK') && isPacked === true;
            var outputShape = shouldUsePackedProgram ? getShapeAs3D(shape) : shape;
            var program = shouldUsePackedProgram
              ? new EncodeFloatPackedProgram(outputShape)
              : new EncodeFloatProgram(outputShape);
            var output = this.runWebGLProgram(
              program,
              [{ shape: outputShape, dtype: dtype, dataId: dataId }],
              'float32',
            );
            var tmpData = this.texData.get(output.dataId);
            var vals = this.gpgpu
              .downloadByteEncodedFloatMatrixFromOutputTexture(
                tmpData.texture,
                tmpData.texShape[0],
                tmpData.texShape[1],
              )
              .subarray(0, size);
            this.disposeIntermediateTensorInfo(output);
            return vals;
          };
          MathBackendWebGL.prototype.timerAvailable = function () {
            return tf.env().getNumber('WEBGL_DISJOINT_QUERY_TIMER_EXTENSION_RELIABLE') > 0;
          };
          MathBackendWebGL.prototype.time = function (f) {
            return __awaiter(this, void 0, void 0, function () {
              var oldActiveTimers,
                newActiveTimers,
                outerMostTime,
                flattenedActiveTimerQueries,
                flattenedActiveTimerNames,
                res,
                kernelMs_1;
              return __generator(this, function (_a) {
                switch (_a.label) {
                  case 0:
                    oldActiveTimers = this.activeTimers;
                    newActiveTimers = [];
                    outerMostTime = false;
                    if (this.programTimersStack == null) {
                      this.programTimersStack = newActiveTimers;
                      outerMostTime = true;
                    } else {
                      this.activeTimers.push(newActiveTimers);
                    }
                    this.activeTimers = newActiveTimers;
                    f();
                    flattenedActiveTimerQueries = tf.util
                      .flatten(
                        this.activeTimers.map(function (d) {
                          return d.query;
                        }),
                      )
                      .filter(function (d) {
                        return d != null;
                      });
                    flattenedActiveTimerNames = tf.util
                      .flatten(
                        this.activeTimers.map(function (d) {
                          return d.name;
                        }),
                      )
                      .filter(function (d) {
                        return d != null;
                      });
                    this.activeTimers = oldActiveTimers;
                    if (outerMostTime) {
                      this.programTimersStack = null;
                    }
                    res = {
                      uploadWaitMs: this.uploadWaitMs,
                      downloadWaitMs: this.downloadWaitMs,
                      kernelMs: null,
                      wallMs: null, // will be filled by the engine
                    };
                    if (!(tf.env().getNumber('WEBGL_DISJOINT_QUERY_TIMER_EXTENSION_RELIABLE') > 0))
                      return [3 /*break*/, 2];
                    return [4 /*yield*/, Promise.all(flattenedActiveTimerQueries)];
                  case 1:
                    kernelMs_1 = _a.sent();
                    res['kernelMs'] = tf.util.sum(kernelMs_1);
                    res['getExtraProfileInfo'] = function () {
                      return kernelMs_1
                        .map(function (d, i) {
                          return { name: flattenedActiveTimerNames[i], ms: d };
                        })
                        .map(function (d) {
                          return d.name + ': ' + d.ms;
                        })
                        .join(', ');
                    };
                    return [3 /*break*/, 3];
                  case 2:
                    res['kernelMs'] = {
                      error: 'WebGL query timers are not supported in this environment.',
                    };
                    _a.label = 3;
                  case 3:
                    this.uploadWaitMs = 0;
                    this.downloadWaitMs = 0;
                    return [2 /*return*/, res];
                }
              });
            });
          };
          MathBackendWebGL.prototype.memory = function () {
            return {
              unreliable: false,
              numBytesInGPU: this.numBytesInGPU,
              numBytesInGPUAllocated: this.textureManager.numBytesAllocated,
              numBytesInGPUFree: this.textureManager.numBytesFree,
            };
          };
          MathBackendWebGL.prototype.startTimer = function () {
            if (tf.env().getNumber('WEBGL_DISJOINT_QUERY_TIMER_EXTENSION_RELIABLE') > 0) {
              return this.gpgpu.beginQuery();
            }
            return { startMs: tf.util.now(), endMs: null };
          };
          MathBackendWebGL.prototype.endTimer = function (query) {
            if (tf.env().getNumber('WEBGL_DISJOINT_QUERY_TIMER_EXTENSION_RELIABLE') > 0) {
              this.gpgpu.endQuery();
              return query;
            }
            query.endMs = tf.util.now();
            return query;
          };
          MathBackendWebGL.prototype.getQueryTime = function (query) {
            return __awaiter(this, void 0, void 0, function () {
              var timerQuery;
              return __generator(this, function (_a) {
                if (tf.env().getNumber('WEBGL_DISJOINT_QUERY_TIMER_EXTENSION_RELIABLE') > 0) {
                  return [2 /*return*/, this.gpgpu.waitForQueryAndGetTime(query)];
                }
                timerQuery = query;
                return [2 /*return*/, timerQuery.endMs - timerQuery.startMs];
              });
            });
          };
          /**
           * Decrease the RefCount on the dataId and dispose the memory if the dataId
           * has 0 refCount. If there are pending read on the data, the disposal would
           * added to the pending delete queue. Return true if the dataId is removed
           * from backend or the backend does not contain the dataId, false if the
           * dataId is not removed. Memory may or may not be released even when dataId
           * is removed, which also depends on dataRefCount, see `releaseGPU`.
           * @param dataId
           * @oaram force Optional, remove the data regardless of refCount
           */
          MathBackendWebGL.prototype.disposeData = function (dataId, force) {
            if (force === void 0) {
              force = false;
            }
            if (this.pendingDisposal.has(dataId)) {
              return false;
            }
            // No-op if already disposed.
            if (!this.texData.has(dataId)) {
              return true;
            }
            // if force flag is set, change refCount to 0, this would ensure disposal
            // when added to the pendingDisposal queue. Memory may or may not be
            // released, which also depends on dataRefCount, see `releaseGPU`.
            if (force) {
              this.texData.get(dataId).refCount = 0;
            } else {
              this.texData.get(dataId).refCount--;
            }
            if (!force && this.texData.get(dataId).refCount > 0) {
              return false;
            }
            if (this.pendingRead.has(dataId)) {
              this.pendingDisposal.add(dataId);
              this.pendingDeletes++;
              return false;
            }
            this.releaseGPUData(dataId);
            var complexTensorInfos = this.texData.get(dataId).complexTensorInfos;
            if (complexTensorInfos != null) {
              this.disposeData(complexTensorInfos.real.dataId, force);
              this.disposeData(complexTensorInfos.imag.dataId, force);
            }
            this.texData.delete(dataId);
            return true;
          };
          MathBackendWebGL.prototype.releaseGPUData = function (dataId) {
            var _a = this.texData.get(dataId),
              texture = _a.texture,
              dtype = _a.dtype,
              texShape = _a.texShape,
              usage = _a.usage,
              isPacked = _a.isPacked,
              slice = _a.slice;
            var key = (slice && slice.origDataId) || dataId;
            var refCount = this.dataRefCount.get(key);
            if (refCount > 1) {
              this.dataRefCount.set(key, refCount - 1);
            } else {
              this.dataRefCount.delete(key);
              if (texture != null) {
                this.numBytesInGPU -= this.computeBytes(texShape, dtype);
                this.textureManager.releaseTexture(texture, texShape, usage, isPacked);
              }
            }
            var texData = this.texData.get(dataId);
            texData.texture = null;
            texData.texShape = null;
            texData.isPacked = false;
            texData.slice = null;
          };
          MathBackendWebGL.prototype.getTexture = function (dataId) {
            this.uploadToGPU(dataId);
            return this.texData.get(dataId).texture;
          };
          /**
           * Returns internal information for the specific data bucket. Used in unit
           * tests.
           */
          MathBackendWebGL.prototype.getDataInfo = function (dataId) {
            return this.texData.get(dataId);
          };
          /*
    Tests whether all the inputs to an op are small and on the CPU. This heuristic
    determines when it would be faster to execute a kernel on the CPU. WebGL
    kernels opt into running this check and forwarding when appropriate.
    TODO(https://github.com/tensorflow/tfjs/issues/872): Develop a more
    sustainable strategy for optimizing backend execution of ops.
     */
          MathBackendWebGL.prototype.shouldExecuteOnCPU = function (inputs, sizeThreshold) {
            var _this = this;
            if (sizeThreshold === void 0) {
              sizeThreshold = CPU_HANDOFF_SIZE_THRESHOLD;
            }
            return (
              tf.env().getBool('WEBGL_CPU_FORWARD') &&
              inputs.every(function (input) {
                return (
                  _this.texData.get(input.dataId).texture == null &&
                  tf.util.sizeFromShape(input.shape) < sizeThreshold
                );
              })
            );
          };
          MathBackendWebGL.prototype.getGPGPUContext = function () {
            return this.gpgpu;
          };
          MathBackendWebGL.prototype.where = function (condition) {
            tf.backend_util.warn(
              'tf.where() in webgl locks the UI thread. ' + 'Call tf.whereAsync() instead',
            );
            var condVals = condition.dataSync();
            return whereImpl(condition.shape, condVals);
          };
          MathBackendWebGL.prototype.packedUnaryOp = function (x, op, dtype) {
            var program = new UnaryOpPackedProgram(x.shape, op);
            var outInfo = this.compileAndRun(program, [x], dtype);
            return tf.engine().makeTensorFromDataId(outInfo.dataId, outInfo.shape, outInfo.dtype);
          };
          // TODO(msoulanille) remove this once the backend has been modularized
          // a copy is needed here to break a circular dependency.
          // Also remove the op from unary_op.
          MathBackendWebGL.prototype.abs = function (x) {
            // TODO: handle cases when x is complex.
            if (this.shouldExecuteOnCPU([x]) && x.dtype !== 'complex64') {
              var outValues = simpleAbsImplCPU(this.texData.get(x.dataId).values);
              return this.makeOutput(x.shape, x.dtype, outValues);
            }
            if (tf.env().getBool('WEBGL_PACK_UNARY_OPERATIONS')) {
              return this.packedUnaryOp(x, ABS, x.dtype);
            }
            var program = new UnaryOpProgram(x.shape, ABS);
            var outInfo = this.compileAndRun(program, [x]);
            return tf.engine().makeTensorFromDataId(outInfo.dataId, outInfo.shape, outInfo.dtype);
          };
          MathBackendWebGL.prototype.makeTensorInfo = function (shape, dtype, values) {
            var dataId;
            if (
              dtype === 'string' &&
              values != null &&
              values.length > 0 &&
              tf.util.isString(values[0])
            ) {
              var encodedValues = values.map(function (d) {
                return tf.util.encodeString(d);
              });
              dataId = this.write(encodedValues, shape, dtype);
            } else {
              dataId = this.write(values, shape, dtype);
            }
            this.texData.get(dataId).usage = null;
            return { dataId: dataId, shape: shape, dtype: dtype };
          };
          MathBackendWebGL.prototype.makeOutput = function (shape, dtype, values) {
            var dataId = this.makeTensorInfo(shape, dtype, values).dataId;
            return tf.engine().makeTensorFromDataId(dataId, shape, dtype, this);
          };
          MathBackendWebGL.prototype.unpackTensor = function (input) {
            var program = new UnpackProgram(input.shape);
            return this.runWebGLProgram(program, [input], input.dtype);
          };
          MathBackendWebGL.prototype.packTensor = function (input) {
            var program = new PackProgram(input.shape);
            var preventEagerUnpackingOutput = true;
            return this.runWebGLProgram(
              program,
              [input],
              input.dtype,
              null /* customSetup */,
              preventEagerUnpackingOutput,
            );
          };
          MathBackendWebGL.prototype.packedReshape = function (input, afterShape) {
            var input3DShape = [getBatchDim(input.shape)].concat(getRowsCols(input.shape));
            var input3D = {
              dtype: input.dtype,
              shape: input3DShape,
              dataId: input.dataId,
            };
            var afterShapeAs3D = [getBatchDim(afterShape)].concat(getRowsCols(afterShape));
            var program = new ReshapePackedProgram(afterShapeAs3D, input3DShape);
            var preventEagerUnpackingOfOutput = true;
            var output = this.runWebGLProgram(
              program,
              [input3D],
              input.dtype,
              null /* customSetup */,
              preventEagerUnpackingOfOutput,
            );
            return { dataId: output.dataId, shape: afterShape, dtype: output.dtype };
          };
          MathBackendWebGL.prototype.decode = function (dataId) {
            var texData = this.texData.get(dataId);
            var isPacked = texData.isPacked,
              shape = texData.shape,
              dtype = texData.dtype;
            var shapeAs3D = getShapeAs3D(shape);
            var program;
            if (isPacked) {
              program = new DecodeMatrixPackedProgram(shapeAs3D);
            } else {
              program = new DecodeMatrixProgram(shapeAs3D);
            }
            var preventEagerUnpackingOfOutput = true;
            var out = this.runWebGLProgram(
              program,
              [{ shape: shapeAs3D, dtype: dtype, dataId: dataId }],
              dtype,
              null /* customSetup */,
              preventEagerUnpackingOfOutput,
            );
            return { dtype: dtype, shape: shape, dataId: out.dataId };
          };
          MathBackendWebGL.prototype.runWebGLProgram = function (
            program,
            inputs,
            outputDtype,
            customSetup,
            preventEagerUnpackingOfOutput,
          ) {
            var _this = this;
            if (preventEagerUnpackingOfOutput === void 0) {
              preventEagerUnpackingOfOutput = false;
            }
            var output = this.makeTensorInfo(program.outputShape, outputDtype);
            var outData = this.texData.get(output.dataId);
            if (program.packedOutput) {
              outData.isPacked = true;
            }
            if (program.outPackingScheme === PackingScheme.DENSE) {
              var texelShape = getDenseTexShape(program.outputShape);
              // For a densely packed output, we explicitly set texShape
              // so it doesn't get assigned later according to our typical packing
              // scheme wherein a single texel can only contain values from adjacent
              // rows/cols.
              outData.texShape = texelShape.map(function (d) {
                return d * 2;
              });
            }
            if (program.outTexUsage != null) {
              outData.usage = program.outTexUsage;
            }
            if (tf.util.sizeFromShape(output.shape) === 0) {
              // Short-circuit the computation since the result is empty (has 0 in its
              // shape).
              outData.values = tf.util.getTypedArrayFromDType(output.dtype, 0);
              return output;
            }
            var dataToDispose = [];
            var inputsData = inputs.map(function (input) {
              if (input.dtype === 'complex64') {
                throw new Error(
                  'GPGPUProgram does not support complex64 input. For complex64 ' +
                    'dtypes, please separate the program into real and imaginary ' +
                    'parts.',
                );
              }
              var texData = _this.texData.get(input.dataId);
              if (texData.texture == null) {
                if (
                  !program.packedInputs &&
                  tf.util.sizeFromShape(input.shape) <=
                    tf.env().getNumber('WEBGL_SIZE_UPLOAD_UNIFORM')
                ) {
                  // Upload small tensors that live on the CPU as uniforms, not as
                  // textures. Do this only when the environment supports 32bit floats
                  // due to problems when comparing 16bit floats with 32bit floats.
                  // TODO(https://github.com/tensorflow/tfjs/issues/821): Make it
                  // possible for packed shaders to sample from uniforms.
                  return {
                    shape: input.shape,
                    texData: null,
                    isUniform: true,
                    uniformValues: texData.values,
                  };
                }
                // This ensures that if a packed program's inputs have not yet been
                // uploaded to the GPU, they get uploaded as packed right off the bat.
                if (program.packedInputs) {
                  texData.isPacked = true;
                  texData.shape = input.shape;
                }
              } else if (!!texData.isPacked !== !!program.packedInputs) {
                input = texData.isPacked ? _this.unpackTensor(input) : _this.packTensor(input);
                dataToDispose.push(input);
                texData = _this.texData.get(input.dataId);
              } else if (texData.isPacked && !isReshapeFree(texData.shape, input.shape)) {
                // This is a special case where a texture exists for a tensor
                // but the shapes are incompatible (due to packing constraints) because
                // the tensor did not have a chance to go through the packed reshape
                // shader. This only happens when we reshape the *same* tensor to form
                // *distinct* inputs to an op, e.g. dotting a vector with itself. This
                // case will disappear once packed uploading is the default.
                var savedInput = input;
                var targetShape = input.shape;
                input.shape = texData.shape;
                input = _this.packedReshape(input, targetShape);
                dataToDispose.push(input);
                texData = _this.texData.get(input.dataId);
                savedInput.shape = targetShape;
              }
              _this.uploadToGPU(input.dataId);
              return { shape: input.shape, texData: texData, isUniform: false };
            });
            this.uploadToGPU(output.dataId);
            var outputData = { shape: output.shape, texData: outData, isUniform: false };
            var key = makeShaderKey(program, inputsData, outputData);
            var binary = this.getAndSaveBinary(key, function () {
              return compileProgram(_this.gpgpu, program, inputsData, outputData);
            });
            var shouldTimeProgram = this.activeTimers != null;
            var query;
            if (shouldTimeProgram) {
              query = this.startTimer();
            }
            runProgram(this.gpgpu, binary, inputsData, outputData, customSetup);
            dataToDispose.forEach(function (info) {
              return _this.disposeIntermediateTensorInfo(info);
            });
            if (shouldTimeProgram) {
              query = this.endTimer(query);
              this.activeTimers.push({
                name: program.constructor.name,
                query: this.getQueryTime(query),
              });
            }
            var glFlushThreshold = tf.env().get('WEBGL_FLUSH_THRESHOLD');
            // Manually GL flush requested
            if (glFlushThreshold > 0) {
              var time = tf.util.now();
              if (time - this.lastGlFlushTime > glFlushThreshold) {
                this.gpgpu.gl.flush();
                this.lastGlFlushTime = time;
              }
            }
            if (
              !tf.env().getBool('WEBGL_LAZILY_UNPACK') &&
              outData.isPacked &&
              preventEagerUnpackingOfOutput === false
            ) {
              var unpacked = this.unpackTensor(output);
              this.disposeIntermediateTensorInfo(output);
              return unpacked;
            }
            return output;
          };
          MathBackendWebGL.prototype.compileAndRun = function (
            program,
            inputs,
            outputDtype,
            customSetup,
            preventEagerUnpackingOfOutput,
          ) {
            if (preventEagerUnpackingOfOutput === void 0) {
              preventEagerUnpackingOfOutput = false;
            }
            outputDtype = outputDtype || inputs[0].dtype;
            var outInfo = this.runWebGLProgram(
              program,
              inputs,
              outputDtype,
              customSetup,
              preventEagerUnpackingOfOutput,
            );
            return outInfo;
          };
          MathBackendWebGL.prototype.getAndSaveBinary = function (key, getBinary) {
            if (!(key in this.binaryCache)) {
              this.binaryCache[key] = getBinary();
            }
            return this.binaryCache[key];
          };
          MathBackendWebGL.prototype.getTextureManager = function () {
            return this.textureManager;
          };
          MathBackendWebGL.prototype.dispose = function () {
            var _this = this;
            if (this.disposed) {
              return;
            }
            // Avoid disposing the compiled webgl programs during unit testing because
            // it slows down test execution.
            if (!tf.env().getBool('IS_TEST')) {
              var allKeys = Object.keys(this.binaryCache);
              allKeys.forEach(function (key) {
                _this.gpgpu.deleteProgram(_this.binaryCache[key].webGLProgram);
                delete _this.binaryCache[key];
              });
            }
            this.textureManager.dispose();
            if (
              this.canvas != null &&
              typeof HTMLCanvasElement !== 'undefined' &&
              this.canvas instanceof HTMLCanvasElement
            ) {
              this.canvas.remove();
            } else {
              this.canvas = null;
            }
            if (this.gpgpuCreatedLocally) {
              this.gpgpu.program = null;
              this.gpgpu.dispose();
            }
            this.disposed = true;
          };
          MathBackendWebGL.prototype.floatPrecision = function () {
            var _this = this;
            if (this.floatPrecisionValue == null) {
              this.floatPrecisionValue = tf.tidy(function () {
                if (!tf.env().get('WEBGL_RENDER_FLOAT32_ENABLED')) {
                  // Momentarily switching DEBUG flag to false so we don't throw an
                  // error trying to upload a small value.
                  var debugFlag = tf.env().getBool('DEBUG');
                  tf.env().set('DEBUG', false);
                  var underflowCheckValue = _this.abs(tf.scalar(1e-8)).dataSync()[0];
                  tf.env().set('DEBUG', debugFlag);
                  if (underflowCheckValue > 0) {
                    return 32;
                  }
                }
                return 16;
              });
            }
            return this.floatPrecisionValue;
          };
          /** Returns the smallest representable number.  */
          MathBackendWebGL.prototype.epsilon = function () {
            return this.floatPrecision() === 32 ? EPSILON_FLOAT32 : EPSILON_FLOAT16;
          };
          MathBackendWebGL.prototype.uploadToGPU = function (dataId) {
            var _a;
            var texData = this.texData.get(dataId);
            var shape = texData.shape,
              dtype = texData.dtype,
              values = texData.values,
              texture = texData.texture,
              usage = texData.usage,
              isPacked = texData.isPacked;
            if (texture != null) {
              // Array is already on GPU. No-op.
              return;
            }
            var shouldTimeProgram = this.activeTimers != null;
            var start;
            if (shouldTimeProgram) {
              start = tf.util.now();
            }
            var texShape = texData.texShape;
            if (texShape == null) {
              texShape = getTextureShapeFromLogicalShape(shape, isPacked);
              texData.texShape = texShape;
            }
            if (values != null) {
              var shapeAs3D = getShapeAs3D(shape);
              var program = void 0;
              var width = texShape[1],
                height = texShape[0];
              var isByteArray = values instanceof Uint8Array;
              if (isPacked) {
                (_a = getPackedMatrixTextureShapeWidthHeight(texShape[0], texShape[1])),
                  (width = _a[0]),
                  (height = _a[1]);
                program = new EncodeMatrixPackedProgram(shapeAs3D, [height, width], isByteArray);
              } else {
                program = new EncodeMatrixProgram(shapeAs3D, [height, width], isByteArray);
              }
              var tempDenseInputHandle = this.makeTensorInfo([height, width], dtype);
              if (isByteArray) {
                this.texData.get(tempDenseInputHandle.dataId).usage = TextureUsage.PIXELS;
              } else {
                this.texData.get(tempDenseInputHandle.dataId).usage = TextureUsage.UPLOAD;
              }
              this.gpgpu.uploadDenseMatrixToTexture(
                this.getTexture(tempDenseInputHandle.dataId),
                width,
                height,
                values,
              );
              // We want the output to remain packed regardless of the value of
              // WEBGL_PACK.
              var preventEagerUnpacking = true;
              var encodedOutputTarget = this.runWebGLProgram(
                program,
                [tempDenseInputHandle],
                dtype,
                null,
                preventEagerUnpacking,
              );
              // Have the original texture assume the identity of the encoded output.
              var outputTexData = this.texData.get(encodedOutputTarget.dataId);
              texData.texture = outputTexData.texture;
              texData.texShape = outputTexData.texShape;
              texData.isPacked = outputTexData.isPacked;
              texData.usage = outputTexData.usage;
              this.disposeIntermediateTensorInfo(tempDenseInputHandle);
              this.texData.delete(encodedOutputTarget.dataId);
              // Once uploaded, don't store the values on cpu.
              texData.values = null;
              if (shouldTimeProgram) {
                this.uploadWaitMs += tf.util.now() - start;
              }
            } else {
              var newTexture = this.acquireTexture(texShape, usage, dtype, isPacked);
              texData.texture = newTexture;
            }
          };
          MathBackendWebGL.prototype.convertAndCacheOnCPU = function (dataId, float32Values) {
            var texData = this.texData.get(dataId);
            var dtype = texData.dtype;
            this.releaseGPUData(dataId);
            if (float32Values != null) {
              texData.values = float32ToTypedArray(float32Values, dtype);
            }
            return texData.values;
          };
          MathBackendWebGL.prototype.acquireTexture = function (
            texShape,
            texType,
            dtype,
            isPacked,
          ) {
            this.numBytesInGPU += this.computeBytes(texShape, dtype);
            if (
              !this.warnedAboutMemory &&
              this.numBytesInGPU > this.numMBBeforeWarning * 1024 * 1024
            ) {
              var mb = (this.numBytesInGPU / 1024 / 1024).toFixed(2);
              this.warnedAboutMemory = true;
              console.warn(
                'High memory usage in GPU: ' + mb + ' MB, ' + 'most likely due to a memory leak',
              );
            }
            return this.textureManager.acquireTexture(texShape, texType, isPacked);
          };
          MathBackendWebGL.prototype.computeBytes = function (shape, dtype) {
            return shape[0] * shape[1] * tf.util.bytesPerElement(dtype);
          };
          MathBackendWebGL.nextDataId = 0;
          return MathBackendWebGL;
        })(tf.KernelBackend);
        function float32ToTypedArray(a, dtype) {
          if (dtype === 'float32' || dtype === 'complex64') {
            return a;
          } else if (dtype === 'int32' || dtype === 'bool') {
            var result = dtype === 'int32' ? new Int32Array(a.length) : new Uint8Array(a.length);
            for (var i = 0; i < result.length; ++i) {
              result[i] = Math.round(a[i]);
            }
            return result;
          } else {
            throw new Error('Unknown dtype ' + dtype);
          }
        }

        /** @license See the LICENSE file. */
        // This code is auto-generated, do not modify this file!
        var version = '3.7.0';

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        /**
         * Enforce use of half precision textures if available on the platform.
         *
         * @doc {heading: 'Environment', namespace: 'webgl'}
         */
        function forceHalfFloat() {
          tf.env().set('WEBGL_FORCE_F16_TEXTURES', true);
        }

        /**
         * @license
         * Copyright 2020 Google Inc. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        if (tf.device_util.isBrowser()) {
          tf.registerBackend(
            'webgl',
            function () {
              return new MathBackendWebGL();
            },
            2 /* priority */,
          );
        }
        var webgl = { forceHalfFloat: forceHalfFloat };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var CHECK_NAN_SNIPPET$1 = '\n  if (isnan(a)) return a;\n  if (isnan(b)) return b;\n';
        var BinaryOpProgram = /** @class */ (function () {
          function BinaryOpProgram(op, aShape, bShape) {
            this.variableNames = ['A', 'B'];
            this.outputShape = tf.backend_util.assertAndGetBroadcastShape(aShape, bShape);
            this.userCode =
              '\n      float binaryOperation(float a, float b) {\n        ' +
              op +
              '\n      }\n\n      void main() {\n        float a = getAAtOutCoords();\n        float b = getBAtOutCoords();\n        setOutput(binaryOperation(a, b));\n      }\n    ';
          }
          return BinaryOpProgram;
        })();

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var CHECK_NAN_SNIPPET$2 =
          '\n  result.r = isNaN.r > 0. ? NAN : result.r;\n  result.g = isNaN.g > 0. ? NAN : result.g;\n  result.b = isNaN.b > 0. ? NAN : result.b;\n  result.a = isNaN.a > 0. ? NAN : result.a;\n';
        var BinaryOpPackedProgram = /** @class */ (function () {
          function BinaryOpPackedProgram(op, aShape, bShape, checkOutOfBounds) {
            if (checkOutOfBounds === void 0) {
              checkOutOfBounds = false;
            }
            this.variableNames = ['A', 'B'];
            this.supportsBroadcasting = true;
            this.packedInputs = true;
            this.packedOutput = true;
            this.outputShape = tf.backend_util.assertAndGetBroadcastShape(aShape, bShape);
            var rank = this.outputShape.length;
            var checkOutOfBoundsString = '';
            if (checkOutOfBounds) {
              if (rank === 0 || tf.util.sizeFromShape(this.outputShape) === 1) {
                checkOutOfBoundsString =
                  '\n          result.y = 0.;\n          result.z = 0.;\n          result.w = 0.;\n        ';
              } else {
                var dtype = getCoordsDataType(rank);
                checkOutOfBoundsString =
                  '\n          ' + dtype + ' coords = getOutputCoords();\n        ';
                if (rank === 1) {
                  checkOutOfBoundsString +=
                    '\n            result.y = (coords + 1) >= ' +
                    this.outputShape[0] +
                    ' ? 0. : result.y;\n            result.z = 0.;\n            result.w = 0.;\n          ';
                } else {
                  var channels = getChannels('coords', rank);
                  checkOutOfBoundsString +=
                    '\n            bool nextRowOutOfBounds =\n              (' +
                    channels[rank - 2] +
                    ' + 1) >= ' +
                    this.outputShape[rank - 2] +
                    ';\n            bool nextColOutOfBounds =\n              (' +
                    channels[rank - 1] +
                    ' + 1) >= ' +
                    this.outputShape[rank - 1] +
                    ';\n            result.y = nextColOutOfBounds ? 0. : result.y;\n            result.z = nextRowOutOfBounds ? 0. : result.z;\n            result.w = nextColOutOfBounds || nextRowOutOfBounds ? 0. : result.w;\n          ';
                }
              }
            }
            this.userCode =
              '\n      vec4 binaryOperation(vec4 a, vec4 b) {\n        ' +
              op +
              '\n      }\n\n      void main() {\n        vec4 a = getAAtOutCoords();\n        vec4 b = getBAtOutCoords();\n\n        vec4 result = binaryOperation(a, b);\n        ' +
              checkOutOfBoundsString +
              '\n\n        setOutput(result);\n      }\n    ';
          }
          return BinaryOpPackedProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function identity(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var x = inputs.x;
          backend.incRef(x.dataId);
          return { dataId: x.dataId, shape: x.shape, dtype: x.dtype };
        }
        var identityConfig = {
          kernelName: tf.Identity,
          backendName: 'webgl',
          kernelFunc: identity,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        /**
         * In WebGL data is stored in GPU textures which can't be efficiently copied, so
         * complex tensors share data with their real and imaginary components. Complex
         * tensors' reference to the components is tracked by refCount on the individual
         * component. The refCounts are increased by the identity call.
         *
         * When a complex tensor is disposed, it will reduce the refCount on the
         * components by calling disposeData on each.
         */
        function complex(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var real = inputs.real,
            imag = inputs.imag;
          var complexInfo = backend.makeTensorInfo(real.shape, 'complex64');
          var complex = backend.texData.get(complexInfo.dataId);
          var realTensorInfo = identity({ inputs: { x: real }, backend: backend });
          var imagTensorInfo = identity({ inputs: { x: imag }, backend: backend });
          complex.complexTensorInfos = { real: realTensorInfo, imag: imagTensorInfo };
          return complexInfo;
        }
        var complexConfig = {
          kernelName: tf.Complex,
          backendName: 'webgl',
          kernelFunc: complex,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var LEAKYRELU = 'return (a < 0.) ? b * a : a;';
        var LEAKYRELU_PACKED =
          '\n  vec4 aLessThanZero = vec4(lessThan(a, vec4(0.)));\n  return (aLessThanZero * (b * a)) + ((vec4(1.0) - aLessThanZero) * a);\n';
        function leakyRelu(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var alpha = attrs.alpha;
          var $alpha = backend.makeTensorInfo(
            [],
            'float32',
            tf.util.createScalarValue(alpha, 'float32'),
          );
          var program = tf.env().getBool('WEBGL_PACK_BINARY_OPERATIONS')
            ? new BinaryOpPackedProgram(LEAKYRELU_PACKED, x.shape, $alpha.shape)
            : new BinaryOpProgram(LEAKYRELU, x.shape, $alpha.shape);
          var result = backend.runWebGLProgram(program, [x, $alpha], x.dtype);
          backend.disposeIntermediateTensorInfo($alpha);
          return result;
        }
        var leakyReluConfig = {
          kernelName: tf.LeakyRelu,
          backendName: 'webgl',
          kernelFunc: leakyRelu,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var PRELU = 'return (a < 0.) ? b * a : a;';
        var PRELU_PACKED =
          '\n  vec4 aLessThanZero = vec4(lessThan(a, vec4(0.)));\n  return (aLessThanZero * (b * a)) + ((vec4(1.0) - aLessThanZero) * a);\n';
        function prelu(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var x = inputs.x,
            alpha = inputs.alpha;
          var program = tf.env().getBool('WEBGL_PACK_BINARY_OPERATIONS')
            ? new BinaryOpPackedProgram(PRELU_PACKED, x.shape, alpha.shape)
            : new BinaryOpProgram(PRELU, x.shape, alpha.shape);
          return backend.runWebGLProgram(program, [x, alpha], x.dtype);
        }
        var preluConfig = {
          kernelName: tf.Prelu,
          backendName: 'webgl',
          kernelFunc: prelu,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var CHECK_NAN_SNIPPET_UNARY = 'if (isnan(x)) return x;';
        var CHECK_NAN_SNIPPET_BINARY = '\n  if (isnan(a)) return a;\n  if (isnan(b)) return b;\n';
        var CHECK_NAN_SNIPPET_BINARY_PACKED =
          '\n  result.r = isNaN.r > 0. ? NAN : result.r;\n  result.g = isNaN.g > 0. ? NAN : result.g;\n  result.b = isNaN.b > 0. ? NAN : result.b;\n  result.a = isNaN.a > 0. ? NAN : result.a;\n';
        /**
         * Template that creates a `KernelFunc` for unary ops.
         * @param opSnippet Op snippet to create `UnaryOpProgram`.
         * @param packedOpSnippet Op snippet to create `UnaryOpPackedProgram`.
         * @param dtype Optional. If set, the result has this dtype. Otherwise, the
         *     result has the same dtype as the first input. This is mainly used in
         *     comparison kernels, such as Equal, Less, Greater, etc.
         */
        function unaryKernelFunc(_a) {
          var opSnippet = _a.opSnippet,
            packedOpSnippet = _a.packedOpSnippet,
            cpuKernelImpl = _a.cpuKernelImpl,
            dtype = _a.dtype;
          return function (_a) {
            var inputs = _a.inputs,
              backend = _a.backend;
            var x = inputs.x;
            var webglBackend = backend;
            var $dtype = dtype || x.dtype;
            if (webglBackend.shouldExecuteOnCPU([x]) && cpuKernelImpl != null) {
              var xData = webglBackend.texData.get(x.dataId);
              var outValues = cpuKernelImpl(xData.values, $dtype);
              return webglBackend.makeTensorInfo(x.shape, $dtype, outValues);
            }
            var shouldUsePackedProgram =
              tf.env().getBool('WEBGL_PACK_UNARY_OPERATIONS') && packedOpSnippet != null;
            var program;
            if (shouldUsePackedProgram) {
              program = new UnaryOpPackedProgram(x.shape, packedOpSnippet);
            } else {
              program = new UnaryOpProgram(x.shape, opSnippet);
            }
            return webglBackend.runWebGLProgram(program, [x], $dtype);
          };
        }
        /**
         * Template that creates a `KernelFunc` for binary ops.
         * @param opSnippet Op snippet to create `BinaryOpProgram`.
         * @param packedOpSnippet Op snippet to create `BinaryOpPackedProgram`.
         * @param checkOutOfBoundsForPackedProgram Whether to set checkOutOfBounds=true
         *     when creating BinaryOpPackedProgram.
         * @param dtype Optional. If set, the result has this dtype. Otherwise, the
         *     result has the same dtype as the first input. This is mainly used in
         *     comparison kernels, such as Equal, Less, Greater, etc.
         */
        function binaryKernelFunc(_a) {
          var opSnippet = _a.opSnippet,
            packedOpSnippet = _a.packedOpSnippet,
            _b = _a.checkOutOfBounds,
            checkOutOfBounds = _b === void 0 ? false : _b,
            _c = _a.supportsComplex,
            supportsComplex = _c === void 0 ? false : _c,
            cpuKernelImpl = _a.cpuKernelImpl,
            dtype = _a.dtype;
          return function (_a) {
            var inputs = _a.inputs,
              backend = _a.backend;
            var _b = inputs,
              a = _b.a,
              b = _b.b;
            var webglBackend = backend;
            if (supportsComplex && a.dtype === 'complex64') {
              var aData = webglBackend.texData.get(a.dataId);
              var bData = webglBackend.texData.get(b.dataId);
              var _c = [
                  [aData.complexTensorInfos.real, bData.complexTensorInfos.real],
                  [aData.complexTensorInfos.imag, bData.complexTensorInfos.imag],
                ].map(function (complexParts) {
                  var aPart = complexParts[0],
                    bPart = complexParts[1];
                  var aHandle = {
                    dataId: aPart.dataId,
                    dtype: aPart.dtype,
                    shape: a.shape,
                  };
                  var bHandle = {
                    dataId: bPart.dataId,
                    dtype: bPart.dtype,
                    shape: b.shape,
                  };
                  var program = new BinaryOpProgram(opSnippet, a.shape, b.shape);
                  return webglBackend.runWebGLProgram(
                    program,
                    [aHandle, bHandle],
                    tf.upcastType(aPart.dtype, bPart.dtype),
                  );
                }),
                real = _c[0],
                imag = _c[1];
              var complexOutput = complex({
                inputs: { real: real, imag: imag },
                backend: webglBackend,
              });
              webglBackend.disposeIntermediateTensorInfo(real);
              webglBackend.disposeIntermediateTensorInfo(imag);
              // TODO(annxingyuan): Implement CPU forwarding for complex inputs.
              return complexOutput;
            }
            var $dtype = dtype || tf.upcastType(a.dtype, b.dtype);
            if (
              (a.dtype === 'string' ||
                b.dtype === 'string' ||
                webglBackend.shouldExecuteOnCPU([a, b])) &&
              cpuKernelImpl != null
            ) {
              var aVals = webglBackend.texData.get(a.dataId).values;
              var bVals = webglBackend.texData.get(b.dataId).values;
              var decodedAVals =
                a.dtype === 'string'
                  ? // tslint:disable-next-line: no-any
                    tf.backend_util.fromUint8ToStringArray(aVals)
                  : aVals;
              var decodedBVals =
                a.dtype === 'string'
                  ? // tslint:disable-next-line: no-any
                    tf.backend_util.fromUint8ToStringArray(bVals)
                  : bVals;
              var _d = cpuKernelImpl(a.shape, b.shape, decodedAVals, decodedBVals, $dtype),
                outValues = _d[0],
                outShape = _d[1];
              var out = webglBackend.makeTensorInfo(outShape, $dtype);
              var outData = webglBackend.texData.get(out.dataId);
              outData.values = outValues;
              return out;
            }
            var shouldUsePackedProgram =
              tf.env().getBool('WEBGL_PACK_BINARY_OPERATIONS') && packedOpSnippet != null;
            var program;
            if (shouldUsePackedProgram) {
              program = new BinaryOpPackedProgram(
                packedOpSnippet,
                a.shape,
                b.shape,
                checkOutOfBounds,
              );
            } else {
              program = new BinaryOpProgram(opSnippet, a.shape, b.shape);
            }
            return webglBackend.runWebGLProgram(program, [a, b], $dtype);
          };
        }
        function mapActivationToShaderProgram(activation, packed) {
          if (packed === void 0) {
            packed = false;
          }
          if (activation === 'linear') {
            if (packed) {
              return LINEAR$1;
            }
            return LINEAR;
          } else if (activation === 'relu') {
            if (packed) {
              return RELU$1;
            }
            return RELU;
          } else if (activation === 'elu') {
            if (packed) {
              return ELU$1;
            }
            return ELU;
          } else if (activation === 'relu6') {
            if (packed) {
              return RELU6$1;
            }
            return RELU6;
          } else if (activation === 'prelu') {
            if (packed) {
              return PRELU_PACKED;
            }
            return PRELU;
          } else if (activation === 'leakyrelu') {
            if (packed) {
              return LEAKYRELU_PACKED;
            }
            return LEAKYRELU;
          } else if (activation === 'sigmoid') {
            if (packed) {
              return SIGMOID$1;
            }
            return SIGMOID;
          }
          throw new Error(
            'Activation ' + activation + ' has not been implemented for the WebGL backend.',
          );
        }

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var MatMulPackedProgram = /** @class */ (function () {
          function MatMulPackedProgram(
            aShape,
            bShape,
            outputShape,
            transposeA,
            transposeB,
            addBias,
            activation,
            hasPreluActivation,
            hasLeakyreluActivation,
          ) {
            if (transposeA === void 0) {
              transposeA = false;
            }
            if (transposeB === void 0) {
              transposeB = false;
            }
            if (addBias === void 0) {
              addBias = false;
            }
            if (activation === void 0) {
              activation = null;
            }
            if (hasPreluActivation === void 0) {
              hasPreluActivation = false;
            }
            if (hasLeakyreluActivation === void 0) {
              hasLeakyreluActivation = false;
            }
            this.variableNames = ['matrixA', 'matrixB'];
            this.packedInputs = true;
            this.packedOutput = true;
            this.outputShape = outputShape;
            var sharedDim = transposeA ? aShape[1] : aShape[2];
            var sharedDimensionPacked = Math.ceil(sharedDim / 2);
            var aSample = transposeA ? 'i * 2, rc.y' : 'rc.y, i * 2';
            var bSample = transposeB ? 'rc.z, i * 2' : 'i * 2, rc.z';
            var aSwizzle = transposeA ? ['a.xxyy', 'a.zzww'] : ['a.xxzz', 'a.yyww'];
            var bSwizzle = transposeB ? ['b.xzxz', 'b.ywyw'] : ['b.xyxy', 'b.zwzw'];
            var activationSnippet = '',
              applyActivationSnippet = '';
            if (activation) {
              if (hasPreluActivation) {
                activationSnippet =
                  'vec4 activation(vec4 a) {\n          vec4 b = getPreluActivationWeightsAtOutCoords();\n          ' +
                  activation +
                  '\n        }';
              } else if (hasLeakyreluActivation) {
                activationSnippet =
                  'vec4 activation(vec4 a) {\n          vec4 b = getLeakyreluAlphaAtOutCoords();\n          ' +
                  activation +
                  '\n        }';
              } else {
                activationSnippet =
                  'vec4 activation(vec4 x) {\n          ' + activation + '\n        }';
              }
              applyActivationSnippet = 'result = activation(result);';
            }
            var addBiasSnippet = addBias ? 'result += getBiasAtOutCoords();' : '';
            if (addBias) {
              this.variableNames.push('bias');
            }
            if (hasPreluActivation) {
              this.variableNames.push('preluActivationWeights');
            }
            if (hasLeakyreluActivation) {
              this.variableNames.push('leakyreluAlpha');
            }
            var batchASnippet = 'rc.x';
            var batchBSnippet = 'rc.x';
            if (aShape[0] < bShape[0]) {
              batchASnippet = 'int(min(float(rc.x), ' + (aShape[0] - 1) + '.))';
            } else if (bShape[0] < aShape[0]) {
              batchBSnippet = 'int(min(float(rc.x), ' + (bShape[0] - 1) + '.))';
            }
            this.userCode =
              '\n      ' +
              activationSnippet +
              '\n\n      const float sharedDimension = ' +
              sharedDimensionPacked +
              '.0;\n\n      vec4 dot2x2ARowBCol(ivec3 rc) {\n        vec4 result = vec4(0);\n        for (int i = 0; i < ' +
              sharedDimensionPacked +
              '; i++) {\n          int batchA = ' +
              batchASnippet +
              ';\n          int batchB = ' +
              batchBSnippet +
              ';\n          vec4 a = getMatrixA(batchA, ' +
              aSample +
              ');\n          vec4 b = getMatrixB(batchB, ' +
              bSample +
              ');\n\n          // These swizzled products need to be separately added.\n          // See: https://github.com/tensorflow/tfjs/issues/1735\n          result += (' +
              aSwizzle[0] +
              ' * ' +
              bSwizzle[0] +
              ');\n          result += (' +
              aSwizzle[1] +
              ' * ' +
              bSwizzle[1] +
              ');\n        }\n        return result;\n      }\n\n      void main() {\n        ivec3 rc = getOutputCoords();\n        vec4 result = dot2x2ARowBCol(rc);\n\n        ' +
              addBiasSnippet +
              '\n\n        ' +
              applyActivationSnippet +
              '\n\n        setOutput(result);\n      }\n    ';
          }
          return MatMulPackedProgram;
        })();

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        // (Ar + Ai)(Br + Bi) =
        // ArBr + ArBi + AiBr + AiBi = ArBr - AB + ArBi + AiBr
        // Yr = ArBr - AB
        // Yi = ArBi + AiBr
        var COMPLEX_MULTIPLY = {
          REAL: 'return areal * breal - aimag * bimag;',
          IMAG: 'return areal * bimag + aimag * breal;',
        };
        var BinaryOpComplexProgram = /** @class */ (function () {
          function BinaryOpComplexProgram(op, aShape, bShape) {
            this.variableNames = ['AReal', 'AImag', 'BReal', 'BImag'];
            this.outputShape = tf.backend_util.assertAndGetBroadcastShape(aShape, bShape);
            this.userCode =
              '\n      float binaryOpComplex(\n          float areal, float aimag, float breal, float bimag) {\n        ' +
              op +
              '\n      }\n\n      void main() {\n        float areal = getARealAtOutCoords();\n        float aimag = getAImagAtOutCoords();\n        float breal = getBRealAtOutCoords();\n        float bimag = getBImagAtOutCoords();\n        setOutput(binaryOpComplex(areal, aimag, breal, bimag));\n      }\n    ';
          }
          return BinaryOpComplexProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var MUL = 'return a * b;';
        function multiply(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var a = inputs.a,
            b = inputs.b;
          var dtype = tf.backend_util.upcastType(a.dtype, b.dtype);
          if (a.dtype === 'complex64') {
            var aData = backend.texData.get(a.dataId);
            var bData = backend.texData.get(b.dataId);
            var realProgram = new BinaryOpComplexProgram(COMPLEX_MULTIPLY.REAL, a.shape, b.shape);
            var imagProgram = new BinaryOpComplexProgram(COMPLEX_MULTIPLY.IMAG, a.shape, b.shape);
            var inputs_1 = [
              {
                dataId: aData.complexTensorInfos.real.dataId,
                dtype: aData.complexTensorInfos.real.dtype,
                shape: a.shape,
              },
              {
                dataId: aData.complexTensorInfos.imag.dataId,
                dtype: aData.complexTensorInfos.imag.dtype,
                shape: a.shape,
              },
              {
                dataId: bData.complexTensorInfos.real.dataId,
                dtype: bData.complexTensorInfos.real.dtype,
                shape: b.shape,
              },
              {
                dataId: bData.complexTensorInfos.imag.dataId,
                dtype: bData.complexTensorInfos.imag.dtype,
                shape: b.shape,
              },
            ];
            var realPart = backend.runWebGLProgram(realProgram, inputs_1, 'float32');
            var imagPart = backend.runWebGLProgram(imagProgram, inputs_1, 'float32');
            var complexOutput = complex({
              inputs: { real: realPart, imag: imagPart },
              backend: backend,
            });
            backend.disposeIntermediateTensorInfo(realPart);
            backend.disposeIntermediateTensorInfo(imagPart);
            // TODO(annxingyuan): CPU forwarding for complex inputs.
            return complexOutput;
          }
          if (backend.shouldExecuteOnCPU([a, b])) {
            var aData = backend.texData.get(a.dataId);
            var bData = backend.texData.get(b.dataId);
            var _a = multiplyImplCPU(a.shape, b.shape, aData.values, bData.values, dtype),
              outValues = _a[0],
              outShape = _a[1];
            var out = backend.makeTensorInfo(outShape, dtype);
            var outData = backend.texData.get(out.dataId);
            outData.values = outValues;
            return out;
          }
          var program;
          if (tf.env().getBool('WEBGL_PACK_BINARY_OPERATIONS')) {
            program = new BinaryOpPackedProgram(MUL, a.shape, b.shape);
          } else {
            program = new BinaryOpProgram(MUL, a.shape, b.shape);
          }
          return backend.runWebGLProgram(program, [a, b], dtype);
        }
        var multiplyConfig = {
          kernelName: tf.Multiply,
          backendName: 'webgl',
          kernelFunc: multiply,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function packedReshape(input, afterShape, backend) {
          var input3DShape = [getBatchDim(input.shape)].concat(getRowsCols(input.shape));
          var input3D = {
            dtype: input.dtype,
            shape: input3DShape,
            dataId: input.dataId,
          };
          var afterShapeAs3D = [getBatchDim(afterShape)].concat(getRowsCols(afterShape));
          var program = new ReshapePackedProgram(afterShapeAs3D, input3DShape);
          var preventEagerUnpackingOfOutput = true;
          var output = backend.runWebGLProgram(
            program,
            [input3D],
            input.dtype,
            null /* customSetup */,
            preventEagerUnpackingOfOutput,
          );
          return { dataId: output.dataId, shape: afterShape, dtype: output.dtype };
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function reshape(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var shape = attrs.shape;
          var webglBackend = backend;
          var xSize = tf.util.sizeFromShape(x.shape);
          var $shape = tf.util.inferFromImplicitShape(shape, xSize);
          var $xSize = tf.util.sizeFromShape($shape);
          tf.util.assert(xSize === $xSize, function () {
            return (
              'The new shape (' +
              $shape +
              ') has ' +
              $xSize +
              ' elements and the old ' +
              ('shape (' + x.shape + ') has ' + xSize + ' elements. The new shape and old ') +
              'shape must have the same number of elements.'
            );
          });
          var xTexData = webglBackend.texData.get(x.dataId);
          if (
            xTexData.isPacked &&
            !isReshapeFree(x.shape, $shape) &&
            !(xTexData.texture !== null && isReshapeFree(xTexData.shape, $shape))
          ) {
            return packedReshape(x, $shape, webglBackend);
          }
          webglBackend.incRef(x.dataId);
          return { dataId: x.dataId, shape: $shape, dtype: x.dtype };
        }
        var reshapeConfig = {
          kernelName: tf.Reshape,
          backendName: 'webgl',
          kernelFunc: reshape,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var MeanProgram = /** @class */ (function () {
          function MeanProgram(reduceInfo, divisor) {
            this.variableNames = ['x'];
            var windowSize = reduceInfo.windowSize,
              batchSize = reduceInfo.batchSize,
              inSize = reduceInfo.inSize,
              outSize = reduceInfo.outSize;
            this.outputShape = [batchSize, outSize];
            var windowSizeNearestVec4 = Math.floor(windowSize / 4) * 4;
            var windowSizeVec4Remainder = windowSize % 4;
            var updateSnippet = 'sumValue += dot(values, ones);';
            if (divisor != null) {
              var denominator = 1 / divisor;
              updateSnippet =
                'sumValue += dot(values * ' +
                (tf.util.isInt(denominator) ? denominator.toPrecision(2) : denominator) +
                ', ones);';
            }
            var checkOutOfBounds = '';
            if (inSize % windowSize > 0) {
              checkOutOfBounds =
                '\n        if (inIdx < 0 || inIdx >= ' +
                inSize +
                ') {\n          return 0.0;\n        }\n      ';
            }
            this.userCode =
              '\n      const vec4 ones = vec4(1.0, 1.0, 1.0, 1.0);\n\n      float getValue(int batch, int inIdx) {\n        ' +
              checkOutOfBounds +
              '\n        return getX(batch, inIdx);\n      }\n\n      void main() {\n        ivec2 coords = getOutputCoords();\n        int batch = coords[0];\n        int outIdx = coords[1];\n        int inOffset = outIdx * ' +
              windowSize +
              ';\n\n        float sumValue = 0.0;\n\n        for (int i = 0; i < ' +
              windowSizeNearestVec4 +
              '; i += 4) {\n          int inIdx = inOffset + i;\n          vec4 values = vec4(\n            getValue(batch, inIdx),\n            getValue(batch, inIdx + 1),\n            getValue(batch, inIdx + 2),\n            getValue(batch, inIdx + 3)\n          );\n\n          ' +
              updateSnippet +
              '\n        }\n\n        int inIdx = inOffset + ' +
              windowSizeNearestVec4 +
              ';\n        if (' +
              (windowSizeVec4Remainder === 1) +
              ') {\n          vec4 values = vec4(getValue(batch, inIdx), 0.0, 0.0, 0.0);\n\n          ' +
              updateSnippet +
              '\n        } else if (' +
              (windowSizeVec4Remainder === 2) +
              ') {\n          vec4 values = vec4(\n            getValue(batch, inIdx),\n            getValue(batch, inIdx + 1), 0.0, 0.0);\n\n          ' +
              updateSnippet +
              '\n        } else if (' +
              (windowSizeVec4Remainder === 3) +
              ') {\n          vec4 values = vec4(\n            getValue(batch, inIdx),\n            getValue(batch, inIdx + 1),\n            getValue(batch, inIdx + 2), 0.0);\n\n          ' +
              updateSnippet +
              '\n        }\n        setOutput(sumValue);\n      }\n    ';
          }
          return MeanProgram;
        })();

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ReduceProgram = /** @class */ (function () {
          function ReduceProgram(reduceInfo, reduceType) {
            this.variableNames = ['x'];
            var windowSize = reduceInfo.windowSize,
              batchSize = reduceInfo.batchSize,
              inSize = reduceInfo.inSize,
              outSize = reduceInfo.outSize;
            this.outputShape = [batchSize, outSize];
            var initializationValue = '0.0';
            var compareOp = '';
            if (reduceType === 'prod') {
              initializationValue = '1.0';
            } else if (reduceType === 'min') {
              // WebGL on Firefox Linux can't compile 1/0 so we do 1/eps.
              initializationValue = '1.0 / 1e-20';
              compareOp = 'min';
            } else if (reduceType === 'max') {
              // WebGL on Firefox Linux can't compile 1/0 so we do 1/eps.
              initializationValue = '-1.0 / 1e-20';
              compareOp = 'max';
            }
            var returnValue =
              reduceType +
              '(' +
              reduceType +
              '(' +
              reduceType +
              '(' +
              'minMaxValue[0], minMaxValue[1]), minMaxValue[2]), minMaxValue[3])';
            if (reduceType === 'sum') {
              returnValue = 'sumValue';
            } else if (reduceType === 'prod') {
              returnValue = 'prodValue';
            } else if (reduceType === 'all') {
              returnValue = 'allValue';
            } else if (reduceType === 'any') {
              returnValue = 'anyValue';
            }
            var windowSizeNearestVec4 = Math.floor(windowSize / 4) * 4;
            var windowSizeVec4Remainder = windowSize % 4;
            var updateSnippet =
              '\n      if (' +
              (reduceType === 'sum') +
              ') {\n        sumValue += dot(values, ones);\n      } else if (' +
              (reduceType === 'prod') +
              ') {\n        vec2 tmp = vec2(values[0], values[1]) * vec2(values[2], values[3]);\n        prodValue *= tmp[0] * tmp[1];\n      } else {\n        minMaxValue = ' +
              compareOp +
              '(values, minMaxValue);\n        if (' +
              (reduceType === 'min') +
              ' || ' +
              (reduceType === 'max') +
              ') {\n          minMaxValue = ' +
              compareOp +
              '(values, minMaxValue);\n          bvec4 isNaN = isnan(values);\n          if (isNaN.r || isNaN.g || isNaN.b || isNaN.a) {\n            minMaxValue = vec4(NAN);\n          }\n        }\n      }\n    ';
            var vecType = 'vec4';
            if (reduceType === 'all') {
              initializationValue = '1.0';
              updateSnippet =
                '\n        bool reducedAllValue = all(values);\n        float floatedReducedAllValue = float(reducedAllValue);\n        allValue = float(allValue >= 1.0 && floatedReducedAllValue >= 1.0);\n      ';
              vecType = 'bvec4';
            } else if (reduceType === 'any') {
              initializationValue = '0.0';
              updateSnippet =
                '\n        bool reducedAnyValue = any(values);\n        float floatedReducedAnyValue = float(reducedAnyValue);\n        anyValue = float(anyValue >= 1.0 || floatedReducedAnyValue >= 1.0);\n      ';
              vecType = 'bvec4';
            }
            var checkOutOfBounds = '';
            if (inSize % windowSize > 0) {
              checkOutOfBounds =
                '\n        if (inIdx < 0 || inIdx >= ' +
                inSize +
                ') {\n          return initializationValue;\n        }\n      ';
            }
            this.userCode =
              '\n      const float initializationValue = ' +
              initializationValue +
              ';\n      const vec4 ones = vec4(1.0, 1.0, 1.0, 1.0);\n\n      float getValue(int batch, int inIdx) {\n        ' +
              checkOutOfBounds +
              '\n        return getX(batch, inIdx);\n      }\n\n      void main() {\n        ivec2 coords = getOutputCoords();\n        int batch = coords[0];\n        int outIdx = coords[1];\n        int inOffset = outIdx * ' +
              windowSize +
              ';\n\n        vec4 minMaxValue = vec4(' +
              initializationValue +
              ');\n        float prodValue = 1.0;\n        float sumValue = 0.0;\n        float allValue = 1.0;\n        float anyValue = 0.0;\n\n        for (int i = 0; i < ' +
              windowSizeNearestVec4 +
              '; i += 4) {\n          int inIdx = inOffset + i;\n          ' +
              vecType +
              ' values = ' +
              vecType +
              '(\n            getValue(batch, inIdx),\n            getValue(batch, inIdx + 1),\n            getValue(batch, inIdx + 2),\n            getValue(batch, inIdx + 3)\n          );\n\n          ' +
              updateSnippet +
              '\n        }\n\n        int inIdx = inOffset + ' +
              windowSizeNearestVec4 +
              ';\n        if (' +
              (windowSizeVec4Remainder === 1) +
              ') {\n          ' +
              vecType +
              ' values = ' +
              vecType +
              '(\n            getValue(batch, inIdx),\n            initializationValue,\n            initializationValue,\n            initializationValue\n          );\n\n          ' +
              updateSnippet +
              '\n        } else if (' +
              (windowSizeVec4Remainder === 2) +
              ') {\n          ' +
              vecType +
              ' values = ' +
              vecType +
              '(\n            getValue(batch, inIdx),\n            getValue(batch, inIdx + 1),\n            initializationValue,\n            initializationValue\n          );\n\n          ' +
              updateSnippet +
              '\n        } else if (' +
              (windowSizeVec4Remainder === 3) +
              ') {\n          ' +
              vecType +
              ' values = ' +
              vecType +
              '(\n            getValue(batch, inIdx),\n            getValue(batch, inIdx + 1),\n            getValue(batch, inIdx + 2),\n            initializationValue\n          );\n\n          ' +
              updateSnippet +
              '\n        }\n        setOutput(' +
              returnValue +
              ');\n      }\n    ';
          }
          return ReduceProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        // Returns an array of configuration objects that describe each stage of the
        // reduction.
        function getReductionStages(inShape) {
          var stages = [];
          while (stages.length === 0 || stages[stages.length - 1].outSize !== 1) {
            var outSize = stages.length ? stages[stages.length - 1].outSize : inShape[1];
            var windowSize = tf.backend_util.computeOptimalWindowSize(outSize);
            stages.push({
              inSize: outSize,
              windowSize: windowSize,
              outSize: Math.ceil(outSize / windowSize),
            });
          }
          return stages;
        }
        function reduce(x, dtype, reductionType, backend) {
          var reductionStages = getReductionStages(x.shape);
          var result = x;
          for (var i = 0; i < reductionStages.length; i++) {
            var _a = reductionStages[i],
              inSize = _a.inSize,
              windowSize = _a.windowSize,
              outSize = _a.outSize;
            var program = void 0;
            var previousResult = void 0;
            if (reductionType === 'mean') {
              program =
                i === 0
                  ? new MeanProgram(
                      {
                        windowSize: windowSize,
                        inSize: inSize,
                        batchSize: x.shape[0],
                        outSize: outSize,
                      },
                      inSize,
                    )
                  : new MeanProgram({
                      windowSize: windowSize,
                      inSize: inSize,
                      batchSize: x.shape[0],
                      outSize: outSize,
                    });
            } else {
              program = new ReduceProgram(
                { windowSize: windowSize, inSize: inSize, batchSize: x.shape[0], outSize: outSize },
                reductionType,
              );
            }
            previousResult = result;
            result = backend.runWebGLProgram(program, [result], dtype);
            if (previousResult.dataId !== x.dataId) {
              backend.disposeIntermediateTensorInfo(previousResult);
            }
          }
          return result;
        }

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var TransposeProgram = /** @class */ (function () {
          function TransposeProgram(aShape, newDim) {
            this.variableNames = ['A'];
            var outputShape = new Array(aShape.length);
            for (var i = 0; i < outputShape.length; i++) {
              outputShape[i] = aShape[newDim[i]];
            }
            this.outputShape = outputShape;
            this.rank = outputShape.length;
            var dtype = getCoordsDataType(this.rank);
            var switched = getSwitchedCoords(newDim);
            this.userCode =
              '\n    void main() {\n      ' +
              dtype +
              ' resRC = getOutputCoords();\n      setOutput(getA(' +
              switched +
              '));\n    }\n    ';
          }
          return TransposeProgram;
        })();
        function getSwitchedCoords(newDim) {
          var rank = newDim.length;
          if (rank > 6) {
            throw Error('Transpose for rank ' + rank + ' is not yet supported');
          }
          var originalOrder = ['resRC.x', 'resRC.y', 'resRC.z', 'resRC.w', 'resRC.u', 'resRC.v'];
          var switchedCoords = new Array(rank);
          for (var i = 0; i < newDim.length; i++) {
            switchedCoords[newDim[i]] = originalOrder[i];
          }
          return switchedCoords.join();
        }

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var TransposePackedProgram = /** @class */ (function () {
          function TransposePackedProgram(aShape, newDim) {
            this.variableNames = ['A'];
            this.packedInputs = true;
            this.packedOutput = true;
            var outputShape = new Array(aShape.length);
            for (var i = 0; i < outputShape.length; i++) {
              outputShape[i] = aShape[newDim[i]];
            }
            this.outputShape = outputShape;
            this.rank = outputShape.length;
            if (this.rank > 6) {
              throw Error('Packed transpose for rank ' + this.rank + ' is not yet supported.');
            }
            var dtype = getCoordsDataType(this.rank);
            var outputOrder = getVecChannels('rc', this.rank);
            var switchedOrder = new Array(this.rank);
            for (var i = 0; i < newDim.length; i++) {
              switchedOrder[newDim[i]] = outputOrder[i];
            }
            var innerDims = 'vec2(' + switchedOrder.slice(-2).join() + ')';
            var nextColumn = '++' + outputOrder[this.rank - 1] + ' < ' + outputShape[this.rank - 1];
            var getc = 'getChannel(getA(' + switchedOrder.join() + '), ' + innerDims + ')';
            this.userCode =
              '\n    void main() {\n      ' +
              dtype +
              ' rc = getOutputCoords();\n      vec4 result = vec4(0.);\n      result[0] = ' +
              getc +
              ';\n      if(' +
              nextColumn +
              ') {\n        result[1] = ' +
              getc +
              ';\n      }\n      --' +
              outputOrder[this.rank - 1] +
              ';\n      if(++' +
              outputOrder[this.rank - 2] +
              ' < ' +
              outputShape[this.rank - 2] +
              ') {\n        result[2] = ' +
              getc +
              ';\n        if(' +
              nextColumn +
              ') {\n          result[3] = ' +
              getc +
              ';\n        }\n      }\n      setOutput(result);\n    }\n    ';
          }
          return TransposePackedProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function transposeImpl$1(x, perm, backend) {
          var program = tf.env().getBool('WEBGL_PACK_ARRAY_OPERATIONS')
            ? new TransposePackedProgram(x.shape, perm)
            : new TransposeProgram(x.shape, perm);
          return backend.runWebGLProgram(program, [x], x.dtype);
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sumImpl(x, axis, keepDims, backend) {
          var reductionIndices = axis;
          var xRank = x.shape.length;
          var origAxes = tf.util.parseAxisParam(reductionIndices, x.shape);
          var axes = origAxes;
          var permutedAxes = tf.backend_util.getAxesPermutation(axes, xRank);
          var sumInputIsTransposed = permutedAxes != null;
          var sumInput = x;
          if (sumInputIsTransposed) {
            sumInput = transposeImpl$1(x, permutedAxes, backend);
            axes = tf.backend_util.getInnerMostAxes(axes.length, xRank);
          }
          tf.backend_util.assertAxesAreInnerMostDims('sum', axes, xRank);
          var _a = tf.backend_util.computeOutAndReduceShapes(sumInput.shape, axes),
            sumOutShape = _a[0],
            reduceShape = _a[1];
          var outShape = sumOutShape;
          if (keepDims) {
            // rather than reshape at the end, set the target shape here.
            outShape = tf.backend_util.expandShapeToKeepDim(sumOutShape, origAxes);
          }
          var inSize = tf.util.sizeFromShape(reduceShape);
          var xSize = tf.util.sizeFromShape(x.shape);
          var batchSize = xSize / inSize;
          var reshapedInput = reshape({
            inputs: { x: sumInput },
            attrs: { shape: [batchSize, inSize] },
            backend: backend,
          });
          var outType = tf.sumOutType(x.dtype);
          var reduced = reduce(reshapedInput, outType, 'sum', backend);
          var out = reshape({
            inputs: { x: reduced },
            attrs: { shape: outShape },
            backend: backend,
          });
          backend.disposeIntermediateTensorInfo(reshapedInput);
          backend.disposeIntermediateTensorInfo(reduced);
          if (sumInputIsTransposed) {
            backend.disposeIntermediateTensorInfo(sumInput);
          }
          return out;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sum(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var axis = attrs.axis,
            keepDims = attrs.keepDims;
          return sumImpl(x, axis, keepDims, backend);
        }
        var sumConfig = {
          kernelName: tf.Sum,
          backendName: 'webgl',
          kernelFunc: sum,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function transpose(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var perm = attrs.perm;
          var webglBackend = backend;
          var xRank = x.shape.length;
          var newShape = new Array(xRank);
          for (var i = 0; i < newShape.length; i++) {
            newShape[i] = x.shape[perm[i]];
          }
          var out;
          if (webglBackend.shouldExecuteOnCPU([x])) {
            var xTexData = webglBackend.texData.get(x.dataId);
            var values = xTexData.values;
            var outValues = transposeImplCPU(values, x.shape, x.dtype, perm, newShape);
            out = webglBackend.makeTensorInfo(newShape, x.dtype);
            var outData = webglBackend.texData.get(out.dataId);
            outData.values = outValues;
          } else {
            out = transposeImpl$1(x, perm, webglBackend);
          }
          return out;
        }
        var transposeConfig = {
          kernelName: tf.Transpose,
          backendName: 'webgl',
          kernelFunc: transpose,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        // Empirically determined minimal shared dimension in matmul before we forward
        // to a.mul(b).sum() in order to take advantage of GPU parallelism. See
        // https://github.com/tensorflow/tfjs-core/pull/1379 for benchmarks.
        var MATMUL_SHARED_DIM_THRESHOLD = 1000;
        function batchMatMulImpl(_a) {
          var a = _a.a,
            b = _a.b,
            transposeA = _a.transposeA,
            transposeB = _a.transposeB,
            backend = _a.backend,
            _b = _a.bias,
            bias = _b === void 0 ? null : _b,
            _c = _a.preluActivationWeights,
            preluActivationWeights = _c === void 0 ? null : _c,
            _d = _a.leakyreluAlpha,
            leakyreluAlpha = _d === void 0 ? 0 : _d,
            _e = _a.activation,
            activation = _e === void 0 ? null : _e;
          var aRank = a.shape.length;
          var bRank = b.shape.length;
          var innerShapeA = transposeA ? a.shape[aRank - 2] : a.shape[aRank - 1];
          var innerShapeB = transposeB ? b.shape[bRank - 1] : b.shape[bRank - 2];
          var outerShapeA = transposeA ? a.shape[aRank - 1] : a.shape[aRank - 2];
          var outerShapeB = transposeB ? b.shape[bRank - 2] : b.shape[bRank - 1];
          var outerDimsA = a.shape.slice(0, -2);
          var outerDimsB = b.shape.slice(0, -2);
          var batchDimA = tf.util.sizeFromShape(outerDimsA);
          var batchDimB = tf.util.sizeFromShape(outerDimsB);
          var batchDimsCompatible = batchDimA === batchDimB || batchDimA === 1 || batchDimB === 1;
          tf.util.assert(aRank >= 2 && bRank >= 2 && batchDimsCompatible, function () {
            return (
              'Error in matMul: the input batch dimensions must either be the ' +
              'same or at least one input batch dimension must be 1. Got input ' +
              ('batch dimensions of (' + outerDimsA + ') and (' + outerDimsB + ').')
            );
          });
          var outShapeOuterDims =
            batchDimA > batchDimB ? a.shape.slice(0, -2) : b.shape.slice(0, -2);
          var outShape = outShapeOuterDims.concat([outerShapeA, outerShapeB]);
          tf.util.assert(innerShapeA === innerShapeB, function () {
            return (
              'Error in matMul: inner shapes (' +
              innerShapeA +
              ') and (' +
              (innerShapeB + ') of Tensors with shapes ' + a.shape + ' and ') +
              (b.shape + ' and transposeA=' + transposeA) +
              (' and transposeB=' + transposeB + ' must match.')
            );
          });
          var a3dShape = transposeA
            ? [batchDimA, innerShapeA, outerShapeA]
            : [batchDimA, outerShapeA, innerShapeA];
          var b3dShape = transposeB
            ? [batchDimB, outerShapeB, innerShapeB]
            : [batchDimB, innerShapeB, outerShapeB];
          // The rest of the implementation is designed to operate on rank-3 tensors
          var a3d = reshape({ inputs: { x: a }, backend: backend, attrs: { shape: a3dShape } });
          var b3d = reshape({ inputs: { x: b }, backend: backend, attrs: { shape: b3dShape } });
          var intermediates = [a3d, b3d];
          var batchDim = Math.max(batchDimA, batchDimB);
          var sharedDim = transposeA ? a3d.shape[1] : a3d.shape[2];
          var hasBias = bias != null;
          var hasPreluActivationWeights = preluActivationWeights != null;
          var hasLeakyreluAlpha = activation === 'leakyrelu';
          var fusedActivation =
            activation != null ? mapActivationToShaderProgram(activation, true) : null;
          var containsFusedOps =
            hasBias || hasPreluActivationWeights || hasLeakyreluAlpha || fusedActivation != null;
          var out;
          // Since the matrices are vectors, it is faster to call mul().sum()
          // because sum() is O(sqrt(N)) due to divide-and-conquer.
          if (
            (outerShapeA === 1 || outerShapeB === 1) &&
            sharedDim > MATMUL_SHARED_DIM_THRESHOLD &&
            containsFusedOps === false
          ) {
            var aVec = a3d;
            var bVec = b3d;
            if (transposeA) {
              aVec = transpose({
                inputs: { x: a3d },
                backend: backend,
                attrs: { perm: [0, 2, 1] },
              });
              intermediates.push(aVec);
            }
            if (transposeB) {
              bVec = transpose({
                inputs: { x: b3d },
                backend: backend,
                attrs: { perm: [0, 2, 1] },
              });
              intermediates.push(bVec);
            }
            var shouldReshapeA = outerShapeB !== 1;
            var shouldReshapeB = outerShapeB === 1;
            var aVec3d = aVec;
            if (shouldReshapeA) {
              aVec3d = reshape({
                inputs: { x: aVec },
                backend: backend,
                attrs: { shape: [batchDim, sharedDim, 1] },
              });
              intermediates.push(aVec3d);
            }
            var axis = outerShapeB === 1 ? 2 : 1;
            var bVec3d = bVec;
            if (shouldReshapeB) {
              bVec3d = reshape({
                inputs: { x: bVec },
                backend: backend,
                attrs: { shape: [batchDim, 1, sharedDim] },
              });
              intermediates.push(bVec3d);
            }
            var product = multiply({ inputs: { a: aVec3d, b: bVec3d }, backend: backend });
            out = sum({
              inputs: { x: product },
              backend: backend,
              attrs: { axis: axis, keepDims: true },
            });
            intermediates.push(product);
          } else {
            var dtype = tf.upcastType(a.dtype, b.dtype);
            var program = new MatMulPackedProgram(
              a3dShape,
              b3dShape,
              [batchDim, outerShapeA, outerShapeB],
              transposeA,
              transposeB,
              hasBias,
              fusedActivation,
              hasPreluActivationWeights,
              hasLeakyreluAlpha,
            );
            var inputs = [a3d, b3d];
            if (bias != null) {
              inputs.push(bias);
            }
            if (hasPreluActivationWeights) {
              inputs.push(preluActivationWeights);
            }
            if (hasLeakyreluAlpha) {
              var $leakyreluAlpha = backend.makeTensorInfo(
                [],
                'float32',
                tf.util.createScalarValue(leakyreluAlpha, 'float32'),
              );
              inputs.push($leakyreluAlpha);
              intermediates.push($leakyreluAlpha);
            }
            out = backend.runWebGLProgram(program, inputs, dtype);
          }
          var outReshaped = reshape({
            inputs: { x: out },
            backend: backend,
            attrs: { shape: outShape },
          });
          intermediates.push(out);
          for (var _i = 0, intermediates_1 = intermediates; _i < intermediates_1.length; _i++) {
            var i = intermediates_1[_i];
            backend.disposeIntermediateTensorInfo(i);
          }
          return outReshaped;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function _fusedMatMul(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var a = inputs.a,
            b = inputs.b,
            bias = inputs.bias,
            preluActivationWeights = inputs.preluActivationWeights;
          var transposeA = attrs.transposeA,
            transposeB = attrs.transposeB,
            activation = attrs.activation,
            leakyreluAlpha = attrs.leakyreluAlpha;
          return batchMatMulImpl({
            a: a,
            b: b,
            transposeA: transposeA,
            transposeB: transposeB,
            backend: backend,
            bias: bias,
            preluActivationWeights: preluActivationWeights,
            leakyreluAlpha: leakyreluAlpha,
            activation: activation,
          });
        }
        var _fusedMatMulConfig = {
          kernelName: tf._FusedMatMul,
          backendName: 'webgl',
          kernelFunc: _fusedMatMul,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ABS$1 = 'return abs(x);';
        function abs(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var x = inputs.x;
          // TODO: handle cases when x is complex. Once the cpu implementation
          // can handle complex values, refactor to use unaryKernelFunc.
          if (backend.shouldExecuteOnCPU([x]) && x.dtype !== 'complex64') {
            var xData = backend.texData.get(x.dataId);
            var outValues = simpleAbsImplCPU(xData.values);
            return backend.makeTensorInfo(x.shape, x.dtype, outValues);
          }
          var program;
          if (tf.env().getBool('WEBGL_PACK_UNARY_OPERATIONS')) {
            program = new UnaryOpPackedProgram(x.shape, ABS$1);
          } else {
            program = new UnaryOpProgram(x.shape, ABS$1);
          }
          return backend.runWebGLProgram(program, [x], x.dtype);
        }
        var absConfig = {
          kernelName: tf.Abs,
          backendName: 'webgl',
          kernelFunc: abs,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ACOS =
          CHECK_NAN_SNIPPET + '\n  if (abs(x) > 1.) {\n    return NAN;\n  }\n  return acos(x);\n';
        var acos = unaryKernelFunc({ opSnippet: ACOS });
        var acosConfig = {
          kernelName: tf.Acos,
          backendName: 'webgl',
          kernelFunc: acos,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ACOSH =
          CHECK_NAN_SNIPPET + '\n  if (x < 1.0) return NAN;\nreturn log(x + sqrt(x * x - 1.0));';
        var acosh = unaryKernelFunc({ opSnippet: ACOSH });
        var acoshConfig = {
          kernelName: tf.Acosh,
          backendName: 'webgl',
          kernelFunc: acosh,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ADD = 'return a + b;';
        var addKernelFunc = binaryKernelFunc({
          opSnippet: ADD,
          packedOpSnippet: ADD,
          supportsComplex: true,
          cpuKernelImpl: addImplCPU,
        });
        var addConfig = {
          kernelName: tf.Add,
          backendName: 'webgl',
          kernelFunc: addKernelFunc,
        };

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var AddNProgram = /** @class */ (function () {
          function AddNProgram(outputShape, shapes) {
            this.outputShape = [];
            this.outputShape = outputShape;
            this.variableNames = shapes.map(function (_, i) {
              return 'T' + i;
            });
            var snippets = [];
            // Get target elements from every input tensor.
            this.variableNames.forEach(function (variable) {
              snippets.push('float v' + variable + ' = get' + variable + 'AtOutCoords();');
            });
            // Calculate the sum of all elements.
            var operation = this.variableNames
              .map(function (variable) {
                return 'v' + variable;
              })
              .join(' + ');
            this.userCode =
              '\n      void main() {\n        ' +
              snippets.join('\n        ') +
              '\n\n        float result = ' +
              operation +
              ';\n        setOutput(result);\n      }\n    ';
          }
          return AddNProgram;
        })();

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var AddNPackedProgram = /** @class */ (function () {
          function AddNPackedProgram(outputShape, shapes) {
            this.outputShape = [];
            this.packedInputs = true;
            this.packedOutput = true;
            this.outputShape = outputShape;
            this.variableNames = shapes.map(function (_, i) {
              return 'T' + i;
            });
            var snippets = [];
            // Get target elements from every input tensor.
            this.variableNames.forEach(function (variable) {
              snippets.push('vec4 v' + variable + ' = get' + variable + 'AtOutCoords();');
            });
            // Calculate the sum of all elements.
            var operation = this.variableNames
              .map(function (variable) {
                return 'v' + variable;
              })
              .join(' + ');
            this.userCode =
              '\n      void main() {\n        ' +
              snippets.join('\n        ') +
              '\n\n        vec4 result = ' +
              operation +
              ';\n        setOutput(result);\n      }\n    ';
          }
          return AddNPackedProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function addN(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var tensors = inputs;
          if (tensors.length === 1) {
            return identity({ inputs: { x: tensors[0] }, backend: backend });
          }
          // Limit the number of uploaded textures for optimization.
          if (tensors.length > tf.env().get('WEBGL_MAX_TEXTURES_IN_SHADER')) {
            var midIndex = Math.floor(tensors.length / 2);
            var leftSide = addN({ inputs: tensors.slice(0, midIndex), backend: backend });
            var rightSide = addN({ inputs: tensors.slice(midIndex), backend: backend });
            return addN({ inputs: [leftSide, rightSide], backend: backend });
          }
          var dtype = tensors
            .map(function (t) {
              return t.dtype;
            })
            .reduce(function (d1, d2) {
              return tf.upcastType(d1, d2);
            });
          var shapes = tensors.map(function (t) {
            return t.shape;
          });
          // We can make sure shapes are identical in op level.
          var usePackedOp = tf.env().getBool('WEBGL_PACK');
          var program = usePackedOp
            ? new AddNPackedProgram(tensors[0].shape, shapes)
            : new AddNProgram(tensors[0].shape, shapes);
          return backend.runWebGLProgram(program, tensors, dtype);
        }
        var addNConfig = {
          kernelName: tf.AddN,
          backendName: 'webgl',
          kernelFunc: addN,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function all(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var axis = attrs.axis,
            keepDims = attrs.keepDims;
          var xRank = x.shape.length;
          var origAxes = tf.util.parseAxisParam(axis, x.shape);
          var axes = origAxes;
          var permutedAxes = tf.backend_util.getAxesPermutation(axes, xRank);
          var permutedX = x;
          if (permutedAxes != null) {
            permutedX = transpose({
              inputs: { x: x },
              backend: backend,
              attrs: { perm: permutedAxes },
            });
            axes = tf.backend_util.getInnerMostAxes(axes.length, xRank);
          }
          tf.backend_util.assertAxesAreInnerMostDims('all', axes, xRank);
          var _a = tf.backend_util.computeOutAndReduceShapes(permutedX.shape, axes),
            outShape = _a[0],
            reduceShape = _a[1];
          var inSize = tf.util.sizeFromShape(reduceShape);
          var a2D = reshape({
            inputs: { x: permutedX },
            backend: backend,
            attrs: { shape: [-1, inSize] },
          });
          var reduced = reduce(a2D, a2D.dtype, 'all', backend);
          var res;
          if (keepDims) {
            var newShape = tf.backend_util.expandShapeToKeepDim(outShape, origAxes);
            res = reshape({ inputs: { x: reduced }, backend: backend, attrs: { shape: newShape } });
          } else {
            res = reshape({ inputs: { x: reduced }, backend: backend, attrs: { shape: outShape } });
          }
          backend.disposeIntermediateTensorInfo(a2D);
          backend.disposeIntermediateTensorInfo(reduced);
          if (permutedAxes != null) {
            backend.disposeIntermediateTensorInfo(permutedX);
          }
          return res;
        }
        var allConfig = {
          kernelName: tf.All,
          backendName: 'webgl',
          kernelFunc: all,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function any(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var axis = attrs.axis,
            keepDims = attrs.keepDims;
          var xRank = x.shape.length;
          var origAxes = tf.util.parseAxisParam(axis, x.shape);
          var axes = origAxes;
          var permutedAxes = tf.backend_util.getAxesPermutation(axes, xRank);
          var permutedX = x;
          if (permutedAxes != null) {
            permutedX = transpose({
              inputs: { x: x },
              backend: backend,
              attrs: { perm: permutedAxes },
            });
            axes = tf.backend_util.getInnerMostAxes(axes.length, xRank);
          }
          tf.backend_util.assertAxesAreInnerMostDims('any', axes, xRank);
          var _a = tf.backend_util.computeOutAndReduceShapes(permutedX.shape, axes),
            outShape = _a[0],
            reduceShape = _a[1];
          var inSize = tf.util.sizeFromShape(reduceShape);
          var a2D = reshape({
            inputs: { x: permutedX },
            backend: backend,
            attrs: { shape: [-1, inSize] },
          });
          var reduced = reduce(a2D, a2D.dtype, 'any', backend);
          var res;
          if (keepDims) {
            var newShape = tf.backend_util.expandShapeToKeepDim(outShape, origAxes);
            res = reshape({ inputs: { x: reduced }, backend: backend, attrs: { shape: newShape } });
          } else {
            res = reshape({ inputs: { x: reduced }, backend: backend, attrs: { shape: outShape } });
          }
          backend.disposeIntermediateTensorInfo(a2D);
          backend.disposeIntermediateTensorInfo(reduced);
          if (permutedAxes != null) {
            backend.disposeIntermediateTensorInfo(permutedX);
          }
          return res;
        }
        var anyConfig = {
          kernelName: tf.Any,
          backendName: 'webgl',
          kernelFunc: any,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ArgMinMaxProgram = /** @class */ (function () {
          function ArgMinMaxProgram(reduceInfo, op, firstPass) {
            this.variableNames = ['A'];
            var windowSize = reduceInfo.windowSize,
              batchSize = reduceInfo.batchSize,
              outSize = reduceInfo.outSize;
            if (!firstPass) {
              this.variableNames.push('bestIndicesA');
            }
            this.outputShape = [batchSize, outSize];
            var compOp = op === 'max' ? '>' : '<';
            var indexSnippet = firstPass
              ? 'inOffset + i;'
              : 'round(getBestIndicesA(batch, inOffset + i));';
            this.userCode =
              '\n      void main() {\n        ivec2 coords = getOutputCoords();\n        int batch = coords[0];\n        int outIdx = coords[1];\n        int inOffset = outIdx * ' +
              windowSize +
              ';\n\n        int bestIndex = inOffset;\n        float bestValue = getA(batch, bestIndex);\n\n        for (int i = 0; i < ' +
              windowSize +
              '; i++) {\n          int inIdx = ' +
              indexSnippet +
              ';\n          float candidate = getA(batch, inIdx);\n          if (candidate ' +
              compOp +
              ' bestValue) {\n            bestValue = candidate;\n            bestIndex = inIdx;\n          }\n        }\n        setOutput(float(bestIndex));\n      }\n    ';
          }
          return ArgMinMaxProgram;
        })();

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ArgMinMaxPackedProgram = /** @class */ (function () {
          function ArgMinMaxPackedProgram(shape, windowSize, op, firstPass) {
            this.variableNames = ['A'];
            this.packedInputs = true;
            this.packedOutput = true;
            tf.util.assert(shape.length > 2, function () {
              return (
                'Packed arg' +
                (op.charAt(0).toUpperCase() + op.slice(1)) +
                ' supports only inputs with rank above 2.'
              );
            });
            var inSize = shape[shape.length - 1];
            var outSize = Math.ceil(inSize / windowSize);
            this.outputShape = shape.slice(0, -1);
            if (outSize > 1) {
              this.outputShape.push(outSize);
            }
            if (!firstPass) {
              this.variableNames.push('bestIndicesA');
            }
            var outShape = this.outputShape;
            var rank = outShape.length;
            var dtype = getCoordsDataType(rank);
            var coords = getChannels('coords', rank);
            var sourceLocSetup;
            var sourceRank;
            if (outSize === 1) {
              sourceRank = rank + 1;
              var sourceLocDType = getCoordsDataType(sourceRank);
              sourceLocSetup =
                '\n        ' +
                sourceLocDType +
                ' sourceLocR = ' +
                sourceLocDType +
                '(' +
                coords.join() +
                ', 0);\n        ++' +
                coords[rank - 1] +
                ';\n        ' +
                sourceLocDType +
                ' sourceLocG = ' +
                sourceLocDType +
                '(' +
                coords.join() +
                ', 0);\n        ++' +
                coords[rank - 2] +
                ';\n        ' +
                sourceLocDType +
                ' sourceLocA = ' +
                sourceLocDType +
                '(' +
                coords.join() +
                ', 0);\n        --' +
                coords[rank - 1] +
                ';\n        ' +
                sourceLocDType +
                ' sourceLocB = ' +
                sourceLocDType +
                '(' +
                coords.join() +
                ', 0);\n        --' +
                coords[rank - 2] +
                ';';
            } else {
              sourceRank = rank;
              sourceLocSetup =
                '\n        ' +
                dtype +
                ' sourceLocR = coords;\n        ++' +
                coords[rank - 1] +
                ';\n        ' +
                dtype +
                ' sourceLocG = coords;\n        ++' +
                coords[rank - 2] +
                ';\n        ' +
                dtype +
                ' sourceLocA = coords;\n        --' +
                coords[rank - 1] +
                ';\n        ' +
                dtype +
                ' sourceLocB = coords;\n        --' +
                coords[rank - 2] +
                ';';
            }
            var channels = ['x', 'y', 'z', 'w', 'u', 'v'].slice(0, sourceRank);
            var inChannel = '.' + channels[sourceRank - 1]; // e.g. ".b" for rank 3.
            var intChannels = channels.map(function (x) {
              return 'int ' + x;
            });
            var srcRCoords = getChannels('sourceLocR', sourceRank - 1).concat('inIdx.r');
            var srcGCoords = getChannels('sourceLocG', sourceRank - 1).concat('inIdx.g');
            var srcBCoords = getChannels('sourceLocB', sourceRank - 1).concat('inIdx.b');
            var srcACoords = getChannels('sourceLocA', sourceRank - 1).concat('inIdx.a');
            var compOp = op === 'max' ? 'greaterThan' : 'lessThan';
            var fetchCandidateIdx = firstPass
              ? ''
              : '\n          inIdx = round(vec4(getBestIndicesAChannel(' +
                srcRCoords.join() +
                '),\n                             getBestIndicesAChannel(' +
                srcGCoords.join() +
                '),\n                             getBestIndicesAChannel(' +
                srcBCoords.join() +
                '),\n                             getBestIndicesAChannel(' +
                srcACoords.join() +
                ')));';
            var fetchValue =
              'vec4(\n            getAChannel(' +
              srcRCoords.join() +
              '),\n            hasNextCol ? getAChannel(' +
              srcGCoords.join() +
              ') : 0.,\n            hasNextRow ? getAChannel(' +
              srcBCoords.join() +
              ') : 0.,\n            hasNextRow && hasNextCol ? getAChannel(' +
              srcACoords.join() +
              ') : 0.)';
            var getBestIndicesAChannelSnippet = firstPass
              ? ''
              : '\n      float getBestIndicesAChannel(' +
                intChannels.join() +
                ') {\n        return getChannel(getBestIndicesA(' +
                channels.join() +
                '),\n                                          vec2(' +
                channels.slice(-2).join() +
                '));\n      }';
            this.userCode =
              '\n      float getAChannel(' +
              intChannels.join() +
              ') {\n        return getChannel(getA(' +
              channels.join() +
              '),\n                               vec2(' +
              channels.slice(-2).join() +
              '));\n      }\n      ' +
              getBestIndicesAChannelSnippet +
              '\n      void main() {\n        ' +
              dtype +
              ' coords = getOutputCoords();\n        bool hasNextCol = ' +
              coords[rank - 1] +
              ' < ' +
              (outShape[rank - 1] - 1) +
              ';\n        bool hasNextRow = ' +
              coords[rank - 2] +
              ' < ' +
              (outShape[rank - 2] - 1) +
              ';\n        ' +
              sourceLocSetup +
              '\n        ivec4 srcIdx = ivec4(sourceLocR' +
              inChannel +
              ', sourceLocG' +
              inChannel +
              ',\n          sourceLocB' +
              inChannel +
              ', sourceLocA' +
              inChannel +
              ') * ' +
              windowSize +
              ';\n        ivec4 inIdx = srcIdx;\n        vec4 bestIndex = vec4(inIdx);\n        vec4 bestValue = ' +
              fetchValue +
              ';\n\n        for (int i = 0; i < ' +
              windowSize +
              '; i++) {\n          inIdx = srcIdx;\n          ' +
              fetchCandidateIdx +
              '\n          vec4 candidate = ' +
              fetchValue +
              ';\n          bvec4 nan = isnan(candidate);\n          bvec4 replace = bvec4(\n            vec4(' +
              compOp +
              '(candidate, bestValue)) * (vec4(1.0) - vec4(nan)));\n\n          bestValue = vec4(replace.x  ? candidate.x : bestValue.x,\n                           replace.y  ? candidate.y : bestValue.y,\n                           replace.z  ? candidate.z : bestValue.z,\n                           replace.w  ? candidate.w : bestValue.w);\n          bestIndex = mix(bestIndex, vec4(inIdx), vec4(replace));\n          srcIdx++;\n        }\n        setOutput(bestIndex);\n      }\n    ';
          }
          return ArgMinMaxPackedProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function argReduce(backend, x, reduceType, bestIndicesA) {
          if (bestIndicesA === void 0) {
            bestIndicesA = null;
          }
          var batchSize = x.shape[0];
          var inSize = x.shape[1];
          if (bestIndicesA != null) {
            batchSize = bestIndicesA.shape[0];
            inSize = bestIndicesA.shape[1];
          }
          var windowSize = tf.backend_util.computeOptimalWindowSize(inSize);
          var reduceInfo = {
            windowSize: windowSize,
            inSize: inSize,
            batchSize: batchSize,
            outSize: Math.ceil(inSize / windowSize),
          };
          var program = new ArgMinMaxProgram(reduceInfo, reduceType, bestIndicesA == null);
          var inputs = [x];
          if (bestIndicesA != null) {
            inputs.push(bestIndicesA);
          }
          var output = backend.runWebGLProgram(program, inputs, 'int32');
          // No need to run another GPGPU program.
          if (output.shape[1] === 1) {
            return output;
          }
          var result = argReduce(backend, x, reduceType, output);
          backend.disposeIntermediateTensorInfo(output);
          return result;
        }
        function argReducePacked(backend, x, reduceType, bestIndicesA) {
          if (bestIndicesA === void 0) {
            bestIndicesA = null;
          }
          var inShape = bestIndicesA != null ? bestIndicesA.shape : x.shape;
          var inSize = inShape[inShape.length - 1];
          var windowSize = tf.backend_util.computeOptimalWindowSize(inSize);
          var program = new ArgMinMaxPackedProgram(
            inShape,
            windowSize,
            reduceType,
            bestIndicesA == null,
          );
          var inputs = bestIndicesA == null ? [x] : [x, bestIndicesA];
          var output = backend.runWebGLProgram(program, inputs, 'int32');
          if (output.shape.length === x.shape.length) {
            var result = argReducePacked(backend, x, reduceType, output);
            backend.disposeIntermediateTensorInfo(output);
            return result;
          }
          return output;
        }
        function argMinMaxReduce(backend, x, axis, reduceType) {
          var axes = [axis];
          tf.backend_util.assertAxesAreInnerMostDims(
            'arg' + reduceType.charAt(0).toUpperCase() + reduceType.slice(1),
            axes,
            x.shape.length,
          );
          if (!tf.env().getBool('WEBGL_PACK_REDUCE') || x.shape.length <= 2) {
            var intermediateTensorInfos = [];
            var _a = tf.backend_util.computeOutAndReduceShapes(x.shape, axes),
              outShape = _a[0],
              reduceShape = _a[1];
            var inSize = tf.util.sizeFromShape(reduceShape);
            var a2D = reshape({
              inputs: { x: x },
              backend: backend,
              attrs: { shape: [-1, inSize] },
            });
            intermediateTensorInfos.push(a2D);
            var reduced = argReduce(backend, a2D, reduceType);
            intermediateTensorInfos.push(reduced);
            var reshaped = reshape({
              inputs: { x: reduced },
              backend: backend,
              attrs: { shape: outShape },
            });
            intermediateTensorInfos.forEach(function (t) {
              return backend.disposeIntermediateTensorInfo(t);
            });
            return reshaped;
          }
          return argReducePacked(backend, x, reduceType);
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function argMax(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var axis = attrs.axis;
          var axes = tf.util.parseAxisParam(axis, x.shape);
          var permutedAxes = tf.backend_util.getAxesPermutation(axes, x.shape.length);
          var $x = x;
          var intermediateTensorInfos = [];
          if (permutedAxes != null) {
            $x = transpose({ inputs: { x: x }, backend: backend, attrs: { perm: permutedAxes } });
            intermediateTensorInfos.push($x);
            axes = tf.backend_util.getInnerMostAxes(axes.length, $x.shape.length);
          }
          tf.backend_util.assertAxesAreInnerMostDims('argMax', [axes[0]], $x.shape.length);
          var out = argMinMaxReduce(backend, $x, axes[0], 'max');
          intermediateTensorInfos.forEach(function (t) {
            return backend.disposeIntermediateTensorInfo(t);
          });
          return out;
        }
        var argMaxConfig = {
          kernelName: tf.ArgMax,
          backendName: 'webgl',
          kernelFunc: argMax,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function argMin(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var axis = attrs.axis;
          var axes = tf.util.parseAxisParam(axis, x.shape);
          var permutedAxes = tf.backend_util.getAxesPermutation(axes, x.shape.length);
          var $x = x;
          var intermediateTensorInfos = [];
          if (permutedAxes != null) {
            $x = transpose({ inputs: { x: x }, backend: backend, attrs: { perm: permutedAxes } });
            intermediateTensorInfos.push($x);
            axes = tf.backend_util.getInnerMostAxes(axes.length, $x.shape.length);
          }
          tf.backend_util.assertAxesAreInnerMostDims('argMin', [axes[0]], $x.shape.length);
          var out = argMinMaxReduce(backend, $x, axes[0], 'min');
          intermediateTensorInfos.forEach(function (t) {
            return backend.disposeIntermediateTensorInfo(t);
          });
          return out;
        }
        var argMinConfig = {
          kernelName: tf.ArgMin,
          backendName: 'webgl',
          kernelFunc: argMin,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ASIN =
          CHECK_NAN_SNIPPET + '\n  if (abs(x) > 1.) {\n    return NAN;\n  }\n  return asin(x);\n';
        var asin = unaryKernelFunc({ opSnippet: ASIN });
        var asinConfig = {
          kernelName: tf.Asin,
          backendName: 'webgl',
          kernelFunc: asin,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ASINH = CHECK_NAN_SNIPPET + 'return log(x + sqrt(x * x + 1.0));';
        var asinh = unaryKernelFunc({ opSnippet: ASINH });
        var asinhConfig = {
          kernelName: tf.Asinh,
          backendName: 'webgl',
          kernelFunc: asinh,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ATAN = CHECK_NAN_SNIPPET + '\n  return atan(x);\n';
        var atan = unaryKernelFunc({ opSnippet: ATAN });
        var atanConfig = {
          kernelName: tf.Atan,
          backendName: 'webgl',
          kernelFunc: atan,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ATAN2 = CHECK_NAN_SNIPPET_BINARY + '\n  return atan(a, b);\n';
        var ATAN2_PACKED =
          '\n  vec4 result = atan(a, b);\n  vec4 isNaN = min(vec4(isnan(a)) + vec4(isnan(b)), vec4(1.0));\n  ' +
          CHECK_NAN_SNIPPET_BINARY_PACKED +
          '\n  return result;\n';
        var atan2 = binaryKernelFunc({ opSnippet: ATAN2, packedOpSnippet: ATAN2_PACKED });
        var atan2Config = {
          kernelName: tf.Atan2,
          backendName: 'webgl',
          kernelFunc: atan2,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ATANH =
          CHECK_NAN_SNIPPET +
          '\n  if ((x < -1.0) || (x > 1.0)) return NAN;\nreturn (log(1.0 + x) - log(1.0 - x)) / 2.0;';
        var atanh = unaryKernelFunc({ opSnippet: ATANH });
        var atanhConfig = {
          kernelName: tf.Atanh,
          backendName: 'webgl',
          kernelFunc: atanh,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var Pool2DProgram = /** @class */ (function () {
          function Pool2DProgram(
            convInfo,
            poolType,
            computePositions,
            flattenPositions,
            includeBatchInIndex,
          ) {
            if (flattenPositions === void 0) {
              flattenPositions = false;
            }
            if (includeBatchInIndex === void 0) {
              includeBatchInIndex = false;
            }
            this.variableNames = ['x'];
            if (poolType === 'avg' && computePositions) {
              throw new Error('Cannot compute positions for average pool.');
            }
            var filterWidth = convInfo.filterWidth;
            var strideHeight = convInfo.strideHeight;
            var strideWidth = convInfo.strideWidth;
            var dilationHeight = convInfo.dilationHeight;
            var dilationWidth = convInfo.dilationWidth;
            var effectiveFilterHeight = convInfo.effectiveFilterHeight;
            var effectiveFilterWidth = convInfo.effectiveFilterWidth;
            var padTop = convInfo.padInfo.top;
            var padLeft = convInfo.padInfo.left;
            this.outputShape = convInfo.outShape;
            var isAvgPool = poolType === 'avg';
            var batchFlattenPositionStr =
              '((batch  * ' +
              convInfo.inHeight +
              ' + xR) * ' +
              convInfo.inWidth +
              ' + xC) * ' +
              convInfo.inChannels +
              ' + d';
            var flattenPositionStr =
              '(xR * ' + convInfo.inWidth + ' + xC) * ' + convInfo.inChannels + ' + d';
            var initializationValue = '0.0';
            if (!isAvgPool) {
              // WebGL on Firefox Linux can't compile 1/0 so we do 1/eps.
              initializationValue = '-1.0 / 1e-20';
            }
            if (computePositions) {
              var compareOp_1 = '>=';
              this.userCode =
                '\n        const ivec2 strides = ivec2(' +
                strideHeight +
                ', ' +
                strideWidth +
                ');\n        const ivec2 pads = ivec2(' +
                padTop +
                ', ' +
                padLeft +
                ');\n\n        void main() {\n          ivec4 coords = getOutputCoords();\n          int batch = coords[0];\n          int d = coords[3];\n\n          ivec2 xRCCorner = coords.yz * strides - pads;\n          int xRCorner = xRCCorner.x;\n          int xCCorner = xRCCorner.y;\n\n          // max/min x(?, ?, d) to get y(yR, yC, d).\n          // ? = to be determined\n          float minMaxValue = 0.0;\n          float minMaxValueFound = 0.0;\n          int minMaxPosition = 0;\n          float avgValue = 0.0;\n\n          for (int wR = 0; wR < ' +
                effectiveFilterHeight +
                ';\n              wR += ' +
                dilationHeight +
                ') {\n            int xR = xRCorner + wR;\n\n            if (xR < 0 || xR >= ' +
                convInfo.inHeight +
                ') {\n              continue;\n            }\n\n            for (int wC = 0; wC < ' +
                effectiveFilterWidth +
                ';\n                wC += ' +
                dilationWidth +
                ') {\n              int xC = xCCorner + wC;\n\n              if (xC < 0 || xC >= ' +
                convInfo.inWidth +
                ') {\n                continue;\n              }\n\n              float value = getX(batch, xR, xC, d);\n\n              // If a min / max value has already been found, use it. If not,\n              // use the current value.\n              float currMinMaxValue = mix(\n                  value, minMaxValue, minMaxValueFound);\n              if (value ' +
                compareOp_1 +
                ' currMinMaxValue) {\n                minMaxValue = value;\n                minMaxValueFound = 1.0;\n                minMaxPosition = ' +
                (flattenPositions
                  ? includeBatchInIndex
                    ? batchFlattenPositionStr
                    : flattenPositionStr
                  : 'wR * ' + effectiveFilterWidth + ' + wC') +
                ';\n              }\n            }\n          }\n          setOutput(float(minMaxPosition));\n        }\n      ';
              return;
            }
            var compareOp = 'max';
            var returnValue =
              poolType +
              '(' +
              poolType +
              '(' +
              poolType +
              '(' +
              'minMaxValue[0], minMaxValue[1]), minMaxValue[2]), minMaxValue[3])';
            if (poolType === 'avg') {
              returnValue = 'avgValue / count';
            }
            var filterWidthNearestVec4 = Math.floor(filterWidth / 4) * 4;
            var filterWidthVec4Remainder = filterWidth % 4;
            var updateSnippet =
              '\n      if (' +
              isAvgPool +
              ') {\n        avgValue += dot(values, ones);\n      } else {\n        minMaxValue = ' +
              compareOp +
              '(values, minMaxValue);\n      }\n    ';
            this.userCode =
              '\n      const ivec2 strides = ivec2(' +
              strideHeight +
              ', ' +
              strideWidth +
              ');\n      const ivec2 pads = ivec2(' +
              padTop +
              ', ' +
              padLeft +
              ');\n      const float initializationValue = ' +
              initializationValue +
              ';\n      const vec4 ones = vec4(1.0, 1.0, 1.0, 1.0);\n\n      float count = 0.0;\n\n      float getValue(int batch, int xR, int xC, int d) {\n        if (xC < 0 || xC >= ' +
              convInfo.inWidth +
              ') {\n          return initializationValue;\n        }\n        count += 1.0;\n        return getX(batch, xR, xC, d);\n      }\n\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int batch = coords[0];\n        int d = coords[3];\n\n        ivec2 xRCCorner = coords.yz * strides - pads;\n        int xRCorner = xRCCorner.x;\n        int xCCorner = xRCCorner.y;\n\n        // max/min x(?, ?, d) to get y(yR, yC, d).\n        // ? = to be determined\n        vec4 minMaxValue = vec4(' +
              initializationValue +
              ');\n        float avgValue = 0.0;\n        count = 0.0;\n\n        for (int wR = 0; wR < ' +
              effectiveFilterHeight +
              ';\n            wR += ' +
              dilationHeight +
              ') {\n          int xR = xRCorner + wR;\n\n          if (xR < 0 || xR >= ' +
              convInfo.inHeight +
              ') {\n            continue;\n          }\n\n          for (int wC = 0; wC < ' +
              filterWidthNearestVec4 +
              '; wC += 4) {\n            int xC = xCCorner + wC * ' +
              dilationWidth +
              ';\n\n            vec4 values = vec4(\n              getValue(batch, xR, xC, d),\n              getValue(batch, xR, xC + ' +
              dilationWidth +
              ', d),\n              getValue(batch, xR, xC + 2 * ' +
              dilationWidth +
              ', d),\n              getValue(batch, xR, xC + 3 * ' +
              dilationWidth +
              ', d)\n            );\n\n            ' +
              updateSnippet +
              '\n          }\n\n          int xC = xCCorner + ' +
              filterWidthNearestVec4 +
              ';\n          if (' +
              (filterWidthVec4Remainder === 1) +
              ') {\n            vec4 values = vec4(\n              getValue(batch, xR, xC, d),\n              initializationValue,\n              initializationValue,\n              initializationValue\n            );\n\n            ' +
              updateSnippet +
              '\n          } else if (' +
              (filterWidthVec4Remainder === 2) +
              ') {\n            vec4 values = vec4(\n              getValue(batch, xR, xC, d),\n              getValue(batch, xR, xC + ' +
              dilationWidth +
              ', d),\n              initializationValue,\n              initializationValue\n            );\n\n            ' +
              updateSnippet +
              '\n          } else if (' +
              (filterWidthVec4Remainder === 3) +
              ') {\n            vec4 values = vec4(\n              getValue(batch, xR, xC, d),\n              getValue(batch, xR, xC + ' +
              dilationWidth +
              ', d),\n              getValue(batch, xR, xC + 2 * ' +
              dilationWidth +
              ', d),\n              initializationValue\n            );\n\n            ' +
              updateSnippet +
              '\n          }\n        }\n        setOutput(' +
              returnValue +
              ');\n      }\n    ';
          }
          return Pool2DProgram;
        })();
        var Pool3DProgram = /** @class */ (function () {
          function Pool3DProgram(
            convInfo,
            poolType,
            computePositions,
            flattenPositions,
            includeBatchInIndex,
          ) {
            if (flattenPositions === void 0) {
              flattenPositions = false;
            }
            if (includeBatchInIndex === void 0) {
              includeBatchInIndex = false;
            }
            this.variableNames = ['x'];
            if (poolType === 'avg' && computePositions) {
              throw new Error('Cannot compute positions for average pool.');
            }
            var filterWidth = convInfo.filterWidth;
            var strideDepth = convInfo.strideDepth;
            var strideHeight = convInfo.strideHeight;
            var strideWidth = convInfo.strideWidth;
            var dilationDepth = convInfo.dilationDepth;
            var dilationHeight = convInfo.dilationHeight;
            var dilationWidth = convInfo.dilationWidth;
            var effectiveFilterDepth = convInfo.effectiveFilterDepth;
            var effectiveFilterHeight = convInfo.effectiveFilterHeight;
            var effectiveFilterWidth = convInfo.effectiveFilterWidth;
            var padFront = convInfo.padInfo.front;
            var padTop = convInfo.padInfo.top;
            var padLeft = convInfo.padInfo.left;
            this.outputShape = convInfo.outShape;
            var isAvgPool = poolType === 'avg';
            var initializationValue = '0.0';
            if (!isAvgPool) {
              // WebGL on Firefox Linux can't compile 1/0 so we do 1/eps.
              initializationValue = '-1.0 / 1e-20';
            }
            if (computePositions) {
              var compareOp_2 = '>=';
              this.userCode =
                '\n        const ivec3 strides =\n            ivec3(' +
                strideDepth +
                ', ' +
                strideHeight +
                ', ' +
                strideWidth +
                ');\n        const ivec3 pads = ivec3(' +
                padFront +
                ', ' +
                padTop +
                ', ' +
                padLeft +
                ');\n\n        void main() {\n          ivec5 coords = getOutputCoords();\n          int batch = coords.x;\n          int ch = coords.u;\n\n          ivec3 xCorner = ivec3(coords.y, coords.z, coords.w) * strides - pads;\n          int xDCorner = xCorner.x;\n          int xRCorner = xCorner.y;\n          int xCCorner = xCorner.z;\n\n          // max/min x(?, ?, ?, ch) to get y(yD, yR, yC, ch).\n          // ? = to be determined\n          float minMaxValue = 0.0;\n          float minMaxValueFound = 0.0;\n          int minMaxPosition = 0;\n\n          for (int wD = 0; wD < ' +
                effectiveFilterDepth +
                ';\n              wD += ' +
                dilationDepth +
                ') {\n            int xD = xDCorner + wD;\n\n            if (xD < 0 || xD >= ' +
                convInfo.inDepth +
                ') {\n              continue;\n            }\n\n            for (int wR = 0; wR < ' +
                effectiveFilterHeight +
                ';\n                wR += ' +
                dilationHeight +
                ') {\n              int xR = xRCorner + wR;\n\n              if (xR < 0 || xR >= ' +
                convInfo.inHeight +
                ') {\n                continue;\n              }\n\n              for (int wC = 0; wC < ' +
                effectiveFilterWidth +
                ';\n                  wC += ' +
                dilationWidth +
                ') {\n                int xC = xCCorner + wC;\n\n                if (xC < 0 || xC >= ' +
                convInfo.inWidth +
                ') {\n                  continue;\n                }\n\n                float value = getX(batch, xD, xR, xC, ch);\n\n                // If a min / max value has already been found, use it. If not,\n                // use the current value.\n                float currMinMaxValue = mix(\n                    value, minMaxValue, minMaxValueFound);\n                if (value ' +
                compareOp_2 +
                ' currMinMaxValue) {\n                  minMaxValue = value;\n                  minMaxValueFound = 1.0;\n                  minMaxPosition = ' +
                (flattenPositions
                  ? includeBatchInIndex
                    ? '(((batch * ' +
                      convInfo.inDepth +
                      ' + xD) * ' +
                      convInfo.inHeight +
                      ' + xR) * ' +
                      convInfo.inWidth +
                      ' + xC) * ' +
                      convInfo.inChannels +
                      ' + ch'
                    : '((xD * ' +
                      convInfo.inHeight +
                      ' + xR) * ' +
                      convInfo.inWidth +
                      ' + xC) * ' +
                      convInfo.inChannels +
                      ' + ch'
                  : 'wD * ' +
                    effectiveFilterHeight +
                    ' * ' +
                    effectiveFilterWidth +
                    ' +\n                      wR * ' +
                    effectiveFilterWidth +
                    ' + wC') +
                ';\n                }\n              }\n            }\n          }\n          setOutput(float(minMaxPosition));\n        }\n      ';
              return;
            }
            var compareOp = 'max';
            var returnValue =
              poolType +
              '(' +
              poolType +
              '(' +
              poolType +
              '(' +
              'minMaxValue[0], minMaxValue[1]), minMaxValue[2]), minMaxValue[3])';
            if (poolType === 'avg') {
              returnValue = 'avgValue / count';
            }
            var filterWidthNearestVec4 = Math.floor(filterWidth / 4) * 4;
            var filterWidthVec4Remainder = filterWidth % 4;
            var updateSnippet =
              '\n      if (' +
              isAvgPool +
              ') {\n        avgValue += dot(values, ones);\n      } else {\n        minMaxValue = ' +
              compareOp +
              '(values, minMaxValue);\n      }\n    ';
            this.userCode =
              '\n      const ivec3 strides =\n        ivec3(' +
              strideDepth +
              ', ' +
              strideHeight +
              ', ' +
              strideWidth +
              ');\n      const ivec3 pads = ivec3(' +
              padFront +
              ', ' +
              padTop +
              ', ' +
              padLeft +
              ');\n      const float initializationValue = ' +
              initializationValue +
              ';\n      const vec4 ones = vec4(1.0, 1.0, 1.0, 1.0);\n\n      float count = 0.0;\n\n      float getValue(int batch, int xD, int xR, int xC, int ch) {\n        if (xC < 0 || xC >= ' +
              convInfo.inWidth +
              ') {\n          return initializationValue;\n        }\n        count += 1.0;\n        return getX(batch, xD, xR, xC, ch);\n      }\n\n      void main() {\n        ivec5 coords = getOutputCoords();\n        int batch = coords.x;\n        int ch = coords.u;\n\n        ivec3 xCorner = ivec3(coords.y, coords.z, coords.w) * strides - pads;\n        int xDCorner = xCorner.x;\n        int xRCorner = xCorner.y;\n        int xCCorner = xCorner.z;\n\n        // max/min x(?, ?, ?, d) to get y(yD, yR, yC, ch).\n        // ? = to be determined\n        vec4 minMaxValue = vec4(' +
              initializationValue +
              ');\n        float avgValue = 0.0;\n        count = 0.0;\n\n        for (int wD = 0; wD < ' +
              effectiveFilterDepth +
              ';\n            wD += ' +
              dilationDepth +
              ') {\n          int xD = xDCorner + wD;\n\n          if (xD < 0 || xD >= ' +
              convInfo.inDepth +
              ') {\n            continue;\n          }\n\n          for (int wR = 0; wR < ' +
              effectiveFilterHeight +
              ';\n            wR += ' +
              dilationHeight +
              ') {\n            int xR = xRCorner + wR;\n\n            if (xR < 0 || xR >= ' +
              convInfo.inHeight +
              ') {\n              continue;\n            }\n\n            for (int wC = 0; wC < ' +
              filterWidthNearestVec4 +
              '; wC += 4) {\n              int xC = xCCorner + wC * ' +
              dilationWidth +
              ';\n\n              vec4 values = vec4(\n                getValue(batch, xD, xR, xC, ch),\n                getValue(batch, xD, xR, xC + ' +
              dilationWidth +
              ', ch),\n                getValue(batch, xD, xR, xC + 2 * ' +
              dilationWidth +
              ', ch),\n                getValue(batch, xD, xR, xC + 3 * ' +
              dilationWidth +
              ', ch)\n              );\n\n              ' +
              updateSnippet +
              '\n            }\n\n            int xC = xCCorner + ' +
              filterWidthNearestVec4 +
              ';\n            if (' +
              (filterWidthVec4Remainder === 1) +
              ') {\n              vec4 values = vec4(\n                getValue(batch, xD, xR, xC, ch),\n                initializationValue,\n                initializationValue,\n                initializationValue\n              );\n\n              ' +
              updateSnippet +
              '\n            } else if (' +
              (filterWidthVec4Remainder === 2) +
              ') {\n              vec4 values = vec4(\n                getValue(batch, xD, xR, xC, ch),\n                getValue(batch, xD, xR, xC + ' +
              dilationWidth +
              ', ch),\n                initializationValue,\n                initializationValue\n              );\n\n              ' +
              updateSnippet +
              '\n            } else if (' +
              (filterWidthVec4Remainder === 3) +
              ') {\n              vec4 values = vec4(\n                getValue(batch, xD, xR, xC, ch),\n                getValue(batch, xD, xR, xC + ' +
              dilationWidth +
              ', ch),\n                getValue(batch, xD, xR, xC + 2 * ' +
              dilationWidth +
              ', ch),\n                initializationValue\n              );\n\n              ' +
              updateSnippet +
              '\n            }\n          }\n          setOutput(' +
              returnValue +
              ');\n        }\n      }\n    ';
          }
          return Pool3DProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function avgPool(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          assertNotComplex(x, 'avgPool');
          var filterSize = attrs.filterSize,
            strides = attrs.strides,
            pad = attrs.pad,
            dimRoundingMode = attrs.dimRoundingMode;
          var dilations = 1;
          tf.util.assert(
            tf.backend_util.eitherStridesOrDilationsAreOne(strides, dilations),
            function () {
              return (
                'Error in avgPool: Either strides or dilations must be 1. ' +
                ('Got strides ' + strides + " and dilations '" + dilations + "'")
              );
            },
          );
          var convInfo = tf.backend_util.computePool2DInfo(
            x.shape,
            filterSize,
            strides,
            dilations,
            pad,
            dimRoundingMode,
          );
          if (
            convInfo.filterWidth === 1 &&
            convInfo.filterHeight === 1 &&
            tf.util.arraysEqual(convInfo.inShape, convInfo.outShape)
          ) {
            return identity({ inputs: { x: x }, backend: backend });
          }
          var avgPoolProgram = new Pool2DProgram(convInfo, 'avg', false);
          return backend.runWebGLProgram(avgPoolProgram, [x], 'float32');
        }
        var avgPoolConfig = {
          kernelName: tf.AvgPool,
          backendName: 'webgl',
          kernelFunc: avgPool,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function avgPool3D(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var filterSize = attrs.filterSize,
            strides = attrs.strides,
            pad = attrs.pad,
            dimRoundingMode = attrs.dimRoundingMode,
            dataFormat = attrs.dataFormat;
          var dilations = [1, 1, 1];
          var convInfo = tf.backend_util.computePool3DInfo(
            x.shape,
            filterSize,
            strides,
            dilations,
            pad,
            dimRoundingMode,
            dataFormat,
          );
          var avgPoolProgram = new Pool3DProgram(convInfo, 'avg', false);
          return backend.runWebGLProgram(avgPoolProgram, [x], 'float32');
        }
        var avgPool3DConfig = {
          kernelName: tf.AvgPool3D,
          backendName: 'webgl',
          kernelFunc: avgPool3D,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var AvgPool2DBackpropProgram = /** @class */ (function () {
          function AvgPool2DBackpropProgram(convInfo) {
            this.variableNames = ['dy'];
            this.outputShape = convInfo.inShape;
            var filterHeight = convInfo.filterHeight;
            var filterWidth = convInfo.filterWidth;
            var strideHeight = convInfo.strideHeight;
            var strideWidth = convInfo.strideWidth;
            var dilationHeight = convInfo.dilationHeight;
            var dilationWidth = convInfo.dilationWidth;
            var effectiveFilterHeight = convInfo.effectiveFilterHeight;
            var effectiveFilterWidth = convInfo.effectiveFilterWidth;
            var padTop = effectiveFilterHeight - 1 - convInfo.padInfo.top;
            var padLeft = effectiveFilterWidth - 1 - convInfo.padInfo.left;
            var avgMultiplier = 1 / (filterHeight * filterWidth);
            this.userCode =
              '\n      const ivec2 pads = ivec2(' +
              padTop +
              ', ' +
              padLeft +
              ');\n      const float avgMultiplier = float(' +
              avgMultiplier +
              ');\n\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int b = coords[0];\n        int d = coords[3];\n\n        ivec2 dyRCCorner = coords.yz - pads;\n        int dyRCorner = dyRCCorner.x;\n        int dyCCorner = dyRCCorner.y;\n\n        // Convolve dy(?, ?, d) with pos mask(:, :, d) to get dx(xR, xC, d).\n        // ? = to be determined. : = across all values in that axis.\n        float dotProd = 0.0;\n        for (int wR = 0; wR < ' +
              effectiveFilterHeight +
              ';\n            wR += ' +
              dilationHeight +
              ') {\n          float dyR = float(dyRCorner + wR) / ' +
              strideHeight +
              '.0;\n\n          if (dyR < 0.0 || dyR >= ' +
              convInfo.outHeight +
              '.0 || fract(dyR) > 0.0) {\n            continue;\n          }\n          int idyR = int(dyR);\n\n          for (int wC = 0; wC < ' +
              effectiveFilterWidth +
              ';\n            wC+= ' +
              dilationWidth +
              ') {\n            float dyC = float(dyCCorner + wC) / ' +
              strideWidth +
              '.0;\n\n            if (dyC < 0.0 || dyC >= ' +
              convInfo.outWidth +
              '.0 ||\n                fract(dyC) > 0.0) {\n              continue;\n            }\n            int idyC = int(dyC);\n\n            float dyValue = getDy(b, idyR, idyC, d);\n\n            dotProd += dyValue * avgMultiplier;\n          }\n        }\n        setOutput(dotProd);\n      }\n    ';
          }
          return AvgPool2DBackpropProgram;
        })();
        var AvgPool3DBackpropProgram = /** @class */ (function () {
          function AvgPool3DBackpropProgram(convInfo) {
            this.variableNames = ['dy'];
            this.outputShape = convInfo.inShape;
            var filterDepth = convInfo.filterDepth;
            var filterHeight = convInfo.filterHeight;
            var filterWidth = convInfo.filterWidth;
            var strideDepth = convInfo.strideDepth;
            var strideHeight = convInfo.strideHeight;
            var strideWidth = convInfo.strideWidth;
            var dilationDepth = convInfo.dilationDepth;
            var dilationHeight = convInfo.dilationHeight;
            var dilationWidth = convInfo.dilationWidth;
            var effectiveFilterDepth = convInfo.effectiveFilterDepth;
            var effectiveFilterHeight = convInfo.effectiveFilterHeight;
            var effectiveFilterWidth = convInfo.effectiveFilterWidth;
            var padFront = effectiveFilterDepth - 1 - convInfo.padInfo.front;
            var padTop = effectiveFilterHeight - 1 - convInfo.padInfo.top;
            var padLeft = effectiveFilterWidth - 1 - convInfo.padInfo.left;
            var avgMultiplier = 1 / (filterDepth * filterHeight * filterWidth);
            this.userCode =
              '\n      const ivec3 pads = ivec3(' +
              padFront +
              ', ' +
              padTop +
              ', ' +
              padLeft +
              ');\n      const float avgMultiplier = float(' +
              avgMultiplier +
              ');\n\n      void main() {\n        ivec5 coords = getOutputCoords();\n        int batch = coords.x;\n        int ch = coords.u;\n\n        ivec3 dyCorner = ivec3(coords.y, coords.z, coords.w) - pads;\n        int dyDCorner = dyCorner.x;\n        int dyRCorner = dyCorner.y;\n        int dyCCorner = dyCorner.z;\n\n        // Convolve dy(?, ?, ?, d) with pos mask(:, :, :, ch) to get\n        // dx(xD, xR, xC, ch).\n        // ? = to be determined. : = across all values in that axis.\n        float dotProd = 0.0;\n\n        for (int wD = 0; wD < ' +
              effectiveFilterDepth +
              ';\n            wD += ' +
              dilationDepth +
              ') {\n          float dyD = float(dyDCorner + wD) / ' +
              strideDepth +
              '.0;\n\n          if (dyD < 0.0 || dyD >= ' +
              convInfo.outDepth +
              '.0 || fract(dyD) > 0.0) {\n            continue;\n          }\n          int idyD = int(dyD);\n\n          for (int wR = 0; wR < ' +
              effectiveFilterHeight +
              ';\n              wR += ' +
              dilationHeight +
              ') {\n            float dyR = float(dyRCorner + wR) / ' +
              strideHeight +
              '.0;\n\n            if (dyR < 0.0 || dyR >= ' +
              convInfo.outHeight +
              '.0 ||\n                fract(dyR) > 0.0) {\n              continue;\n            }\n            int idyR = int(dyR);\n\n            for (int wC = 0; wC < ' +
              effectiveFilterWidth +
              ';\n                wC += ' +
              dilationWidth +
              ') {\n              float dyC = float(dyCCorner + wC) / ' +
              strideWidth +
              '.0;\n\n              if (dyC < 0.0 || dyC >= ' +
              convInfo.outWidth +
              '.0 ||\n                  fract(dyC) > 0.0) {\n                continue;\n              }\n              int idyC = int(dyC);\n\n              float dyValue = getDy(batch, idyD, idyR, idyC, ch);\n\n              dotProd += dyValue * avgMultiplier;\n            }\n          }\n        }\n        setOutput(dotProd);\n      }\n    ';
          }
          return AvgPool3DBackpropProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function avgPool3DGrad(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var dy = inputs.dy,
            input = inputs.input;
          var x = input;
          var filterSize = attrs.filterSize,
            strides = attrs.strides,
            pad = attrs.pad,
            dimRoundingMode = attrs.dimRoundingMode;
          var dilations = [1, 1, 1];
          var convInfo = tf.backend_util.computePool3DInfo(
            x.shape,
            filterSize,
            strides,
            dilations,
            pad,
            dimRoundingMode,
          );
          var avgPoolBackpropProgram = new AvgPool3DBackpropProgram(convInfo);
          return backend.runWebGLProgram(avgPoolBackpropProgram, [dy], x.dtype);
        }
        var avgPoolGrad3DConfig = {
          kernelName: tf.AvgPool3DGrad,
          backendName: 'webgl',
          kernelFunc: avgPool3DGrad,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function avgPoolGrad(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var dy = inputs.dy,
            input = inputs.input;
          var x = input;
          assertNotComplex([dy, input], 'avgPoolGrad');
          var filterSize = attrs.filterSize,
            strides = attrs.strides,
            pad = attrs.pad;
          var convInfo = tf.backend_util.computePool2DInfo(
            x.shape,
            filterSize,
            strides,
            1 /* dilations */,
            pad,
          );
          var avgPoolBackpropProgram = new AvgPool2DBackpropProgram(convInfo);
          return backend.runWebGLProgram(avgPoolBackpropProgram, [dy], x.dtype);
        }
        var avgPoolGradConfig = {
          kernelName: tf.AvgPoolGrad,
          backendName: 'webgl',
          kernelFunc: avgPoolGrad,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function batchMatMul(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var a = inputs.a,
            b = inputs.b;
          var transposeA = attrs.transposeA,
            transposeB = attrs.transposeB;
          return batchMatMulImpl({
            a: a,
            b: b,
            transposeA: transposeA,
            transposeB: transposeB,
            backend: backend,
          });
        }
        var batchMatMulConfig = {
          kernelName: tf.BatchMatMul,
          backendName: 'webgl',
          kernelFunc: batchMatMul,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var BatchNormProgram = /** @class */ (function () {
          function BatchNormProgram(
            xShape,
            meanShape,
            varianceShape,
            offsetShape,
            scaleShape,
            varianceEpsilon,
          ) {
            this.outputShape = [];
            this.variableNames = ['x', 'mean', 'variance'];
            tf.backend_util.assertAndGetBroadcastShape(xShape, meanShape);
            tf.backend_util.assertAndGetBroadcastShape(xShape, varianceShape);
            var offsetSnippet = '0.0';
            if (offsetShape != null) {
              tf.backend_util.assertAndGetBroadcastShape(xShape, offsetShape);
              this.variableNames.push('offset');
              offsetSnippet = 'getOffsetAtOutCoords()';
            }
            var scaleSnippet = '1.0';
            if (scaleShape != null) {
              tf.backend_util.assertAndGetBroadcastShape(xShape, scaleShape);
              this.variableNames.push('scale');
              scaleSnippet = 'getScaleAtOutCoords()';
            }
            this.outputShape = xShape;
            this.userCode =
              '\n      void main() {\n        float x = getXAtOutCoords();\n        float mean = getMeanAtOutCoords();\n        float variance = getVarianceAtOutCoords();\n        float offset = ' +
              offsetSnippet +
              ';\n        float scale = ' +
              scaleSnippet +
              ';\n        float inv = scale * inversesqrt(variance + float(' +
              varianceEpsilon +
              '));\n        setOutput(dot(vec3(x, -mean, offset), vec3(inv, inv, 1)));\n      }\n    ';
          }
          return BatchNormProgram;
        })();

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var BatchNormPackedProgram = /** @class */ (function () {
          function BatchNormPackedProgram(
            xShape,
            meanShape,
            varianceShape,
            offsetShape,
            scaleShape,
            varianceEpsilon,
          ) {
            this.packedInputs = true;
            this.packedOutput = true;
            this.variableNames = ['x', 'mean', 'variance'];
            tf.backend_util.assertAndGetBroadcastShape(xShape, meanShape);
            tf.backend_util.assertAndGetBroadcastShape(xShape, varianceShape);
            var offsetSnippet = 'vec4(0.0)';
            if (offsetShape != null) {
              tf.backend_util.assertAndGetBroadcastShape(xShape, offsetShape);
              this.variableNames.push('offset');
              offsetSnippet = 'getOffsetAtOutCoords()';
            }
            var scaleSnippet = 'vec4(1.0)';
            if (scaleShape != null) {
              tf.backend_util.assertAndGetBroadcastShape(xShape, scaleShape);
              this.variableNames.push('scale');
              scaleSnippet = 'getScaleAtOutCoords()';
            }
            this.outputShape = xShape;
            this.userCode =
              '\n      void main() {\n        vec4 offset = ' +
              offsetSnippet +
              ';\n        vec4 scale = ' +
              scaleSnippet +
              ';\n\n        vec4 x = getXAtOutCoords();\n        vec4 mean = getMeanAtOutCoords();\n        vec4 variance = getVarianceAtOutCoords();\n\n        vec4 inv = scale * inversesqrt(variance + vec4(' +
              varianceEpsilon +
              '));\n\n        setOutput((x - mean) * inv + offset);\n      }\n    ';
          }
          return BatchNormPackedProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var batchNorm = function (_a) {
          var inputs = _a.inputs,
            backend = _a.backend,
            attrs = _a.attrs;
          var x = inputs.x,
            mean = inputs.mean,
            variance = inputs.variance,
            offset = inputs.offset,
            scale = inputs.scale;
          tf.util.assert(mean.shape.length === variance.shape.length, function () {
            return (
              'Batch normalization gradient requires mean and variance to have ' + 'equal ranks.'
            );
          });
          tf.util.assert(offset == null || mean.shape.length === offset.shape.length, function () {
            return (
              'Batch normalization gradient requires mean and offset to have ' + 'equal ranks.'
            );
          });
          tf.util.assert(scale == null || mean.shape.length === scale.shape.length, function () {
            return 'Batch normalization gradient requires mean and scale to have ' + 'equal ranks.';
          });
          var varianceEpsilon = attrs.varianceEpsilon;
          if (varianceEpsilon == null) {
            varianceEpsilon = 0.001;
          }
          var finalInputs = [x, mean, variance];
          var offsetShape = null;
          if (offset != null) {
            offsetShape = offset.shape;
            finalInputs.push(offset);
          }
          var scaleShape = null;
          if (scale != null) {
            scaleShape = scale.shape;
            finalInputs.push(scale);
          }
          var program = tf.env().getBool('WEBGL_PACK_NORMALIZATION')
            ? new BatchNormPackedProgram(
                x.shape,
                mean.shape,
                variance.shape,
                offsetShape,
                scaleShape,
                varianceEpsilon,
              )
            : new BatchNormProgram(
                x.shape,
                mean.shape,
                variance.shape,
                offsetShape,
                scaleShape,
                varianceEpsilon,
              );
          var output = backend.runWebGLProgram(program, finalInputs, finalInputs[0].dtype);
          return output;
        };
        var batchNormConfig = {
          kernelName: tf.FusedBatchNorm,
          backendName: 'webgl',
          kernelFunc: batchNorm,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var SliceProgram = /** @class */ (function () {
          function SliceProgram(destSize) {
            this.variableNames = ['source'];
            this.outputShape = destSize;
            this.rank = destSize.length;
            var dtype = getCoordsDataType(this.rank);
            var uniformPart = 'uniform int start[' + this.rank + '];';
            var sourceCoords = getCoords(this.rank);
            var body;
            var coordSum = destSize.map(function (_, i) {
              return 'sourceLoc.' + coords[i] + ' = start[' + i + '] + coords.' + coords[i] + ';';
            });
            body =
              '\n        ' +
              dtype +
              ' sourceLoc;\n        ' +
              dtype +
              ' coords = getOutputCoords();\n        ' +
              coordSum.join('\n') +
              '\n      ';
            this.userCode =
              '\n      ' +
              uniformPart +
              '\n      void main() {\n        ' +
              body +
              '\n        setOutput(getSource(' +
              sourceCoords +
              '));\n      }\n    ';
          }
          SliceProgram.prototype.getCustomSetupFunc = function (start) {
            var _this = this;
            if (start.length !== this.rank) {
              throw Error(
                'The rank (' +
                  this.rank +
                  ') of the program must match the ' +
                  ('length of start (' + start.length + ')'),
              );
            }
            return function (gpgpu, webGLProgram) {
              if (_this.startLoc == null) {
                _this.startLoc = gpgpu.getUniformLocationNoThrow(webGLProgram, 'start');
                if (_this.startLoc == null) {
                  // This means the compiler has optimized and realized it doesn't need
                  // the uniform.
                  return;
                }
              }
              gpgpu.gl.uniform1iv(_this.startLoc, start);
            };
          };
          return SliceProgram;
        })();
        var coords = ['x', 'y', 'z', 'w', 'u', 'v'];
        function getCoords(rank) {
          if (rank === 1) {
            return 'sourceLoc';
          } else if (rank <= 6) {
            return coords
              .slice(0, rank)
              .map(function (x) {
                return 'sourceLoc.' + x;
              })
              .join(',');
          } else {
            throw Error('Slicing for rank ' + rank + ' is not yet supported');
          }
        }

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var SlicePackedProgram = /** @class */ (function () {
          function SlicePackedProgram(destSize) {
            this.variableNames = ['source'];
            this.packedInputs = true;
            this.packedOutput = true;
            this.outputShape = destSize;
            this.rank = destSize.length;
            var dtype = getCoordsDataType(this.rank);
            var coords = getChannels('coords', this.rank);
            var sourceLoc = getChannels('sourceLoc', this.rank);
            var innerDims =
              this.rank === 1 ? 'sourceLoc' : 'vec2(' + sourceLoc.slice(-2).join() + ')';
            var getChannel = 'getChannel(getSource(' + sourceLoc.join() + '), ' + innerDims + ')';
            var upperRow =
              '\n      result.x = ' +
              getChannel +
              ';\n      if (++' +
              coords[this.rank - 1] +
              ' < ' +
              destSize[this.rank - 1] +
              ') {\n        ++' +
              sourceLoc[this.rank - 1] +
              ';\n        result.y = ' +
              getChannel +
              ';\n        --' +
              sourceLoc[this.rank - 1] +
              ';\n      }\n    ';
            var lowerRow =
              this.rank === 1
                ? ''
                : '\n      --' +
                  coords[this.rank - 1] +
                  ';\n      if (++' +
                  coords[this.rank - 2] +
                  ' < ' +
                  destSize[this.rank - 2] +
                  ') {\n        ++' +
                  sourceLoc[this.rank - 2] +
                  ';\n        result.z = ' +
                  getChannel +
                  ';\n        if (++' +
                  coords[this.rank - 1] +
                  ' < ' +
                  destSize[this.rank - 1] +
                  ') {\n          ++' +
                  sourceLoc[this.rank - 1] +
                  ';\n          result.w = ' +
                  getChannel +
                  ';\n        }\n      }\n    ';
            var sourceLocSetup =
              this.rank <= 4
                ? 'sourceLoc = coords +\n            ' +
                  dtype +
                  '(' +
                  destSize
                    .map(function (_, i) {
                      return 'start[' + i + ']';
                    })
                    .join() +
                  ');'
                : destSize
                    .map(function (_, i) {
                      return sourceLoc[i] + ' = ' + coords[i] + ' + start[' + i + '];';
                    })
                    .join('\n');
            this.userCode =
              '\n      uniform int start[' +
              this.rank +
              '];\n      void main() {\n        ' +
              dtype +
              ' coords = getOutputCoords();\n        ' +
              dtype +
              ' sourceLoc;\n        ' +
              sourceLocSetup +
              '\n        vec4 result = vec4(0.);\n        ' +
              upperRow +
              '\n        ' +
              lowerRow +
              '\n        setOutput(result);\n      }\n    ';
          }
          SlicePackedProgram.prototype.getCustomSetupFunc = function (start) {
            var _this = this;
            if (start.length !== this.rank) {
              throw Error(
                'The rank (' +
                  this.rank +
                  ') of the program must match the ' +
                  ('length of start (' + start.length + ')'),
              );
            }
            return function (gpgpu, webGLProgram) {
              if (_this.startLoc == null) {
                _this.startLoc = gpgpu.getUniformLocationNoThrow(webGLProgram, 'start');
                if (_this.startLoc == null) {
                  // This means the compiler has optimized and realized it doesn't need
                  // the uniform.
                  return;
                }
              }
              gpgpu.gl.uniform1iv(_this.startLoc, start);
            };
          };
          return SlicePackedProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function shallowSlice(x, begin, size, backend) {
          var xTexData = backend.texData.get(x.dataId);
          var t = backend.makeTensorInfo(size, x.dtype);
          var newTexData = backend.texData.get(t.dataId);
          // Copy texture data from the original tensor.
          Object.assign(newTexData, xTexData);
          newTexData.refCount = 1;
          newTexData.shape = size;
          newTexData.dtype = x.dtype;
          var flatOffset = tf.slice_util.computeFlatOffset(begin, tf.util.computeStrides(x.shape));
          if (xTexData.slice) {
            // We are slicing an already sliced tensor, so we have to accumulate
            // the offset.
            flatOffset += xTexData.slice.flatOffset;
          }
          newTexData.slice = {
            flatOffset: flatOffset,
            // Point to the original dataId, which is used to do ref counting.
            origDataId: (xTexData.slice && xTexData.slice.origDataId) || x.dataId,
          };
          // Increase the ref count for that data bucket.
          var refCount = backend.dataRefCount.get(newTexData.slice.origDataId) || 1;
          backend.dataRefCount.set(newTexData.slice.origDataId, refCount + 1);
          return t;
        }
        function slice(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var begin = attrs.begin,
            size = attrs.size;
          var _a = tf.slice_util.parseSliceParams(x, begin, size),
            $begin = _a[0],
            $size = _a[1];
          tf.slice_util.assertParamsValid(x, $begin, $size);
          if (tf.util.sizeFromShape($size) === 0) {
            return backend.makeTensorInfo($size, x.dtype, []);
          }
          // Run on cpu if dtype is string. For string, the backend represents it
          // as Uint8Array[], where each Uint8Array is a character. Given that the
          // computation is only on the outer array, uploading the whole data onto
          // gpu is wasteful. Also, currently webgl doesn't have a design to
          // upload and retrieve Uint8Array[] between cpu and gpu. Therefore, we
          // just run the kernel on cpu if dtype is string.
          if (backend.shouldExecuteOnCPU([x]) || x.dtype === 'string') {
            var xTexData = backend.texData.get(x.dataId);
            var outValues = sliceImplCPU(xTexData.values, $begin, $size, x.shape, x.dtype);
            return backend.makeTensorInfo($size, x.dtype, outValues);
          }
          var isPacked = backend.texData.get(x.dataId).isPacked;
          var isContinous = tf.slice_util.isSliceContinous(x.shape, $begin, $size);
          if (isPacked || !isContinous) {
            var program = tf.env().getBool('WEBGL_PACK_ARRAY_OPERATIONS')
              ? new SlicePackedProgram($size)
              : new SliceProgram($size);
            var customSetup = program.getCustomSetupFunc($begin);
            return backend.runWebGLProgram(program, [x], x.dtype, customSetup);
          }
          backend.uploadToGPU(x.dataId);
          return shallowSlice(x, $begin, $size, backend);
        }
        var sliceConfig = {
          kernelName: tf.Slice,
          backendName: 'webgl',
          kernelFunc: slice,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var batchToSpaceND = function (args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var blockShape = attrs.blockShape,
            crops = attrs.crops;
          tf.util.assert(x.shape.length <= 4, function () {
            return 'batchToSpaceND for rank > 4 with a WebGL backend not ' + 'implemented yet';
          });
          var prod = blockShape.reduce(function (a, b) {
            return a * b;
          });
          var reshaped = tf.backend_util.getReshaped(x.shape, blockShape, prod);
          var permuted = tf.backend_util.getPermuted(reshaped.length, blockShape.length);
          var reshapedPermuted = tf.backend_util.getReshapedPermuted(x.shape, blockShape, prod);
          var sliceBeginCoords = tf.backend_util.getSliceBeginCoords(crops, blockShape.length);
          var sliceSize = tf.backend_util.getSliceSize(reshapedPermuted, crops, blockShape.length);
          var toDispose = [];
          var reshapedIntermediate = reshape({
            inputs: { x: x },
            backend: backend,
            attrs: { shape: reshaped },
          });
          var transposedIntermediate = transpose({
            inputs: { x: reshapedIntermediate },
            backend: backend,
            attrs: { perm: permuted },
          });
          var reshapedIntermediate2 = reshape({
            inputs: { x: transposedIntermediate },
            backend: backend,
            attrs: { shape: reshapedPermuted },
          });
          var sliced = slice({
            inputs: { x: reshapedIntermediate2 },
            backend: backend,
            attrs: { begin: sliceBeginCoords, size: sliceSize },
          });
          toDispose.push(reshapedIntermediate);
          toDispose.push(transposedIntermediate);
          toDispose.push(reshapedIntermediate2);
          toDispose.forEach(function (t) {
            return backend.disposeIntermediateTensorInfo(t);
          });
          return sliced;
        };
        var batchToSpaceNDConfig = {
          kernelName: tf.BatchToSpaceND,
          backendName: 'webgl',
          kernelFunc: batchToSpaceND,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function bincount(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            weights = inputs.weights;
          var size = attrs.size;
          var xVals = backend.readSync(x.dataId);
          var weightsVals = backend.readSync(weights.dataId);
          var outVals = bincountImplCPU(xVals, weightsVals, weights.dtype, weights.shape, size);
          return backend.makeTensorInfo([size], weights.dtype, outVals);
        }
        var bincountConfig = {
          kernelName: tf.Bincount,
          backendName: 'webgl',
          kernelFunc: bincount,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var NOT_EQUAL = 'return float(a != b);';
        var notEqual = binaryKernelFunc({
          opSnippet: NOT_EQUAL,
          cpuKernelImpl: notEqualImplCPU,
          dtype: 'bool',
        });
        var notEqualConfig = {
          kernelName: tf.NotEqual,
          backendName: 'webgl',
          kernelFunc: notEqual,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function real(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var input = inputs.input;
          var inputData = backend.texData.get(input.dataId);
          return identity({ inputs: { x: inputData.complexTensorInfos.real }, backend: backend });
        }
        var realConfig = {
          kernelName: tf.Real,
          backendName: 'webgl',
          kernelFunc: real,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var TO_INT = 'return float(int(x));';
        function int(input, backend) {
          var program = new UnaryOpProgram(input.shape, TO_INT);
          var output = backend.runWebGLProgram(program, [input], 'int32');
          return { dataId: output.dataId, shape: output.shape, dtype: output.dtype };
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function cast(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var dtype = attrs.dtype;
          // Casting to complex64.
          if (dtype === 'complex64') {
            if (x.dtype === 'complex64') {
              return identity({ inputs: { x: x }, backend: backend });
            }
            // TODO(annxingyuan): Import kernel function once zeros is modularized.
            var zerosTensor = tf.zeros(x.shape);
            var floatX = cast({ inputs: { x: x }, backend: backend, attrs: { dtype: 'float32' } });
            var result = complex({ inputs: { real: floatX, imag: zerosTensor }, backend: backend });
            zerosTensor.dispose();
            backend.disposeIntermediateTensorInfo(floatX);
            return result;
          }
          // Casting from complex64
          if (x.dtype === 'complex64') {
            var realPart = real({ inputs: { input: x }, backend: backend });
            var result = cast({
              inputs: { x: realPart },
              backend: backend,
              attrs: { dtype: dtype },
            });
            backend.disposeIntermediateTensorInfo(realPart);
            return result;
          }
          if (!tf.util.hasEncodingLoss(x.dtype, dtype)) {
            // We don't change the underlying data, since we cast to higher
            // precision.
            var result = identity({ inputs: { x: x }, backend: backend });
            return { dataId: result.dataId, shape: result.shape, dtype: dtype };
          }
          if (dtype === 'int32') {
            return int(x, backend);
          }
          if (dtype === 'bool') {
            var zerosTensorInfo = backend.makeTensorInfo(
              [],
              'bool',
              tf.util.getTypedArrayFromDType('bool', 1),
            );
            var binaryInputs = { a: x, b: zerosTensorInfo };
            var result = notEqual({ inputs: binaryInputs, backend: backend });
            backend.disposeIntermediateTensorInfo(zerosTensorInfo);
            return result;
          }
          throw new Error('Error in Cast: failed to cast ' + x.dtype + ' to ' + dtype);
        }
        var castConfig = {
          kernelName: tf.Cast,
          backendName: 'webgl',
          kernelFunc: cast,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var CEIL = 'return ceil(x);';
        var ceil = unaryKernelFunc({
          opSnippet: CEIL,
          packedOpSnippet: CEIL,
          cpuKernelImpl: ceilImplCPU,
        });
        var ceilConfig = {
          kernelName: tf.Ceil,
          backendName: 'webgl',
          kernelFunc: ceil,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ClipProgram = /** @class */ (function () {
          function ClipProgram(aShape) {
            this.variableNames = ['A'];
            this.outputShape = aShape;
            this.userCode =
              '\n      uniform float minVal;\n      uniform float maxVal;\n\n      void main() {\n        float value = getAAtOutCoords();\n        if (isnan(value)) {\n          setOutput(value);\n          return;\n        }\n\n        setOutput(clamp(value, minVal, maxVal));\n      }\n    ';
          }
          ClipProgram.prototype.getCustomSetupFunc = function (min, max) {
            var _this = this;
            return function (gpgpu, webGLProgram) {
              if (_this.minLoc == null) {
                _this.minLoc = gpgpu.getUniformLocationNoThrow(webGLProgram, 'minVal');
                _this.maxLoc = gpgpu.getUniformLocationNoThrow(webGLProgram, 'maxVal');
              }
              gpgpu.gl.uniform1f(_this.minLoc, min);
              gpgpu.gl.uniform1f(_this.maxLoc, max);
            };
          };
          return ClipProgram;
        })();

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ClipPackedProgram = /** @class */ (function () {
          function ClipPackedProgram(aShape) {
            this.variableNames = ['A'];
            this.packedInputs = true;
            this.packedOutput = true;
            this.outputShape = aShape;
            this.userCode =
              '\n      uniform float minVal;\n      uniform float maxVal;\n\n      void main() {\n        vec4 value = getAAtOutCoords();\n\n        if (any(isnan(value))) {\n          setOutput(value);\n          return;\n        }\n\n        setOutput(clamp(value, vec4(minVal), vec4(maxVal)));\n      }\n    ';
          }
          ClipPackedProgram.prototype.getCustomSetupFunc = function (min, max) {
            var _this = this;
            return function (gpgpu, webGLProgram) {
              if (_this.minLoc == null) {
                _this.minLoc = gpgpu.getUniformLocationNoThrow(webGLProgram, 'minVal');
                _this.maxLoc = gpgpu.getUniformLocationNoThrow(webGLProgram, 'maxVal');
              }
              gpgpu.gl.uniform1f(_this.minLoc, min);
              gpgpu.gl.uniform1f(_this.maxLoc, max);
            };
          };
          return ClipPackedProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function clipByValue(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var clipValueMin = attrs.clipValueMin,
            clipValueMax = attrs.clipValueMax;
          var program;
          if (tf.env().getBool('WEBGL_PACK_CLIP')) {
            program = new ClipPackedProgram(x.shape);
          } else {
            program = new ClipProgram(x.shape);
          }
          var customSetup = program.getCustomSetupFunc(clipValueMin, clipValueMax);
          return backend.runWebGLProgram(program, [x], x.dtype, customSetup);
        }
        var clipByValueConfig = {
          kernelName: tf.ClipByValue,
          backendName: 'webgl',
          kernelFunc: clipByValue,
        };

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ComplexAbsProgram = /** @class */ (function () {
          function ComplexAbsProgram(shape) {
            this.variableNames = ['real', 'imag'];
            this.outputShape = shape;
            this.userCode =
              '\n      void main() {\n        float re = abs(getRealAtOutCoords());\n        float im = abs(getImagAtOutCoords());\n        float mx = max(re, im);\n\n        // sadly the length function in glsl is not underflow-safe\n        // (at least not on Intel GPUs). So the safe solution is\n        // to ensure underflow-safety in all cases.\n        setOutput(\n          mx == 0.0 ? 0.0 : mx * length(vec2(1, min(re, im)/mx))\n        );\n      }\n    ';
          }
          return ComplexAbsProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        // Returns a TensorInfo with the complex shape and the dataId of the
        // underlying part. We need to do this because a reshaped complex tensor is
        // not reflected in its parts.
        function makeComplexComponentTensorInfo(complexTensor, complexPart) {
          return {
            dataId: complexPart.dataId,
            dtype: complexPart.dtype,
            shape: complexTensor.shape,
          };
        }
        function complexAbs(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var x = inputs.x;
          var xData = backend.texData.get(x.dataId);
          var program = new ComplexAbsProgram(x.shape);
          var programInputs = [
            makeComplexComponentTensorInfo(x, xData.complexTensorInfos.real),
            makeComplexComponentTensorInfo(x, xData.complexTensorInfos.imag),
          ];
          return backend.runWebGLProgram(program, programInputs, programInputs[0].dtype);
        }
        var complexAbsConfig = {
          kernelName: tf.ComplexAbs,
          backendName: 'webgl',
          kernelFunc: complexAbs,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ConcatProgram = /** @class */ (function () {
          // Concats 2d tensors along axis=1. See comments in MathBackendWebGL.concat().
          function ConcatProgram(shapes) {
            this.outputShape = [];
            this.outputShape = tf.backend_util.computeOutShape(shapes, 1 /* axis */);
            this.variableNames = shapes.map(function (_, i) {
              return 'T' + i;
            });
            var offsets = new Array(shapes.length - 1);
            offsets[0] = shapes[0][1];
            for (var i = 1; i < offsets.length; i++) {
              offsets[i] = offsets[i - 1] + shapes[i][1];
            }
            var snippets = ['if (yC < ' + offsets[0] + ') setOutput(getT0(yR, yC));'];
            for (var i = 1; i < offsets.length; i++) {
              var shift = offsets[i - 1];
              snippets.push(
                'else if (yC < ' +
                  offsets[i] +
                  ') ' +
                  ('setOutput(getT' + i + '(yR, yC-' + shift + '));'),
              );
            }
            var lastIndex = offsets.length;
            var lastShift = offsets[offsets.length - 1];
            snippets.push('else setOutput(getT' + lastIndex + '(yR, yC-' + lastShift + '));');
            this.userCode =
              '\n      void main() {\n        ivec2 coords = getOutputCoords();\n        int yR = coords.x;\n        int yC = coords.y;\n\n        ' +
              snippets.join('\n        ') +
              '\n      }\n    ';
          }
          return ConcatProgram;
        })();

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ConcatPackedProgram = /** @class */ (function () {
          function ConcatPackedProgram(shapes, axis) {
            this.packedInputs = true;
            this.packedOutput = true;
            this.outputShape = [];
            this.outputShape = tf.backend_util.computeOutShape(shapes, axis);
            var shape = this.outputShape;
            var rank = shape.length;
            var dtype = getCoordsDataType(rank);
            var coords = getChannels('coords', rank);
            var channels = ['x', 'y', 'z', 'w', 'u', 'v'].slice(0, rank);
            this.variableNames = shapes.map(function (_, i) {
              return 'T' + i;
            });
            var offsets = new Array(shapes.length - 1);
            offsets[0] = shapes[0][axis];
            for (var i = 1; i < offsets.length; i++) {
              offsets[i] = offsets[i - 1] + shapes[i][axis];
            }
            var channel = channels[axis];
            var lastChannels = channels.slice(-2);
            var allChannels = channels.join();
            var getValueSnippet =
              'if (' +
              channel +
              ' < ' +
              offsets[0] +
              ') {\n        return getChannel(\n            getT0(' +
              allChannels +
              '), vec2(' +
              lastChannels.join() +
              '));\n        }';
            for (var i = 1; i < offsets.length; i++) {
              var shift_1 = offsets[i - 1];
              // Note: the >= comparison below may seem unnecessary given the check
              // above but is needed to workaround branch execution issues on some
              // devices. It makes all the conditions exclusive without relying on
              // execution order.
              getValueSnippet +=
                '\n        if (' +
                channel +
                ' < ' +
                offsets[i] +
                '  && ' +
                channel +
                ' >= ' +
                offsets[i - 1] +
                ') {\n          return getChannel(\n            getT' +
                i +
                '(' +
                shiftedChannels(channels, channel, shift_1) +
                '),\n            vec2(' +
                shiftedChannels(lastChannels, channel, shift_1) +
                '));\n        }';
            }
            var lastIndex = offsets.length;
            var shift = offsets[offsets.length - 1];
            getValueSnippet +=
              '\n        return getChannel(\n          getT' +
              lastIndex +
              '(' +
              shiftedChannels(channels, channel, shift) +
              '),\n          vec2(' +
              shiftedChannels(lastChannels, channel, shift) +
              '));';
            this.userCode =
              '\n      float getValue(' +
              channels.map(function (x) {
                return 'int ' + x;
              }) +
              ') {\n        ' +
              getValueSnippet +
              '\n      }\n\n      void main() {\n        ' +
              dtype +
              ' coords = getOutputCoords();\n        vec4 result = vec4(getValue(' +
              coords +
              '), 0., 0., 0.);\n\n        ' +
              coords[rank - 1] +
              ' = ' +
              coords[rank - 1] +
              ' + 1;\n        if (' +
              coords[rank - 1] +
              ' < ' +
              shape[rank - 1] +
              ') {\n          result.g = getValue(' +
              coords +
              ');\n        }\n\n        ' +
              coords[rank - 2] +
              ' = ' +
              coords[rank - 2] +
              ' + 1;\n        if (' +
              coords[rank - 2] +
              ' < ' +
              shape[rank - 2] +
              ') {\n          result.a = getValue(' +
              coords +
              ');\n        }\n\n        ' +
              coords[rank - 1] +
              ' = ' +
              coords[rank - 1] +
              ' - 1;\n        if (' +
              coords[rank - 2] +
              ' < ' +
              shape[rank - 2] +
              ' &&\n            ' +
              coords[rank - 1] +
              ' < ' +
              shape[rank - 1] +
              ') {\n          result.b = getValue(' +
              coords +
              ');\n        }\n        setOutput(result);\n      }\n    ';
          }
          return ConcatPackedProgram;
        })();
        /**
         * Return an expression for coordinates into a vector where a given channel
         * will be offset by [shift].
         *
         * @param channels the channels to consider
         * @param channel the channel we want shifted
         * @param shift  the amount to subtract from the channel.
         *
         * @returns a string of the form 'x, y-[shift], z' where any one channel can
         * have the shift applied.
         */
        function shiftedChannels(channels, channel, shift) {
          var channelIdx = channels.indexOf(channel);
          var res = channels.map(function (c, idx) {
            if (idx === channelIdx) {
              return c + ' - ' + shift;
            } else {
              return c;
            }
          });
          return res.join();
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function imag(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var input = inputs.input;
          var inputData = backend.texData.get(input.dataId);
          return identity({ inputs: { x: inputData.complexTensorInfos.imag }, backend: backend });
        }
        var imagConfig = {
          kernelName: tf.Imag,
          backendName: 'webgl',
          kernelFunc: imag,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function concatImpl$1(inputs, axis, backend) {
          var dtype = inputs[0].dtype;
          if (dtype === 'complex64') {
            var reals = inputs.map(function (t) {
              return real({ inputs: { input: t }, backend: backend });
            });
            var imags = inputs.map(function (t) {
              return imag({ inputs: { input: t }, backend: backend });
            });
            var realConcated = concatImpl$1(reals, axis, backend);
            var imagConcated = concatImpl$1(imags, axis, backend);
            var result_1 = complex({
              inputs: { real: realConcated, imag: imagConcated },
              backend: backend,
            });
            reals.forEach(function (r) {
              return backend.disposeIntermediateTensorInfo(r);
            });
            imags.forEach(function (i) {
              return backend.disposeIntermediateTensorInfo(i);
            });
            backend.disposeIntermediateTensorInfo(realConcated);
            backend.disposeIntermediateTensorInfo(imagConcated);
            return result_1;
          }
          var runOnCpu = backend.shouldExecuteOnCPU(inputs);
          // Run on cpu if dtype is string. For string, the backend represents it
          // as Uint8Array[], where each Uint8Array is a character. Given that the
          // computation is only on the outer array, uploading the whole data onto
          // gpu is wasteful. Also, currently webgl doesn't have a design to
          // upload and retrieve Uint8Array[] between cpu and gpu. Therefore, we
          // just run the kernel on cpu if dtype is string.
          if (dtype === 'string') {
            runOnCpu = true;
          }
          if (runOnCpu) {
            // Any concat of n-dimensional tensors across any axis can be reduced to
            // a concatenation of two-dimensional tensors across the axis 1 by first
            // partitioning the axes of the original tensors into those less than the
            // axis to be concatenated and the rest. Then reshape the tensors
            // into a two-dimensional tensor by collapsing these two sets of axes and
            // concatenate the resulting matrices across the axis 1, finally reshaping
            // the result to have the proper shape.
            var tensors2D_1 = inputs.map(function (t) {
              var innerSize = tf.util.sizeFromShape(t.shape.slice(axis));
              var shape = [-1, innerSize];
              return reshape({ inputs: { x: t }, backend: backend, attrs: { shape: shape } });
            });
            var inputsValShapes = tensors2D_1.map(function (t) {
              return { vals: backend.readSync(t.dataId), shape: t.shape };
            });
            // Concats 2d tensors along axis=1.
            var outShape_1 = tf.backend_util.computeOutShape(
              tensors2D_1.map(function (t) {
                return t.shape;
              }),
              1 /* axis */,
            );
            var simplyConcat = tensors2D_1[0].shape[0] === 1;
            var outVals = concatImplCPU(inputsValShapes, outShape_1, dtype, simplyConcat);
            var finalOutShape = tf.backend_util.computeOutShape(
              inputs.map(function (t) {
                return t.shape;
              }),
              axis,
            );
            var outInfo = backend.makeTensorInfo(finalOutShape, dtype, outVals);
            tensors2D_1.forEach(function (t) {
              return backend.disposeIntermediateTensorInfo(t);
            });
            return outInfo;
          }
          if (inputs.length > tf.env().getNumber('WEBGL_MAX_TEXTURES_IN_SHADER')) {
            var midIndex = Math.floor(inputs.length / 2);
            var leftSide = concatImpl$1(inputs.slice(0, midIndex), axis, backend);
            var rightSide = concatImpl$1(inputs.slice(midIndex), axis, backend);
            var result_2 = concatImpl$1([leftSide, rightSide], axis, backend);
            backend.disposeIntermediateTensorInfo(leftSide);
            backend.disposeIntermediateTensorInfo(rightSide);
            return result_2;
          }
          if (tf.env().getBool('WEBGL_PACK_ARRAY_OPERATIONS') && inputs[0].shape.length > 1) {
            var program_1 = new ConcatPackedProgram(
              inputs.map(function (t) {
                return t.shape;
              }),
              axis,
            );
            return backend.runWebGLProgram(program_1, inputs, dtype);
          }
          var _a = computeTensors2D(inputs, axis, backend),
            tensors2D = _a.tensors2D,
            outShape = _a.outShape;
          var program = new ConcatProgram(
            tensors2D.map(function (t) {
              return t.shape;
            }),
          );
          var result = backend.runWebGLProgram(program, tensors2D, dtype);
          tensors2D.forEach(function (r) {
            return backend.disposeIntermediateTensorInfo(r);
          });
          var reshapedResult = reshape({
            inputs: { x: result },
            attrs: { shape: outShape },
            backend: backend,
          });
          backend.disposeIntermediateTensorInfo(result);
          return reshapedResult;
        }
        function computeTensors2D(inputs, axis, backend) {
          // Any concat of n-dimensional tensors across any axis can be reduced to
          // a concatenation of two-dimensional tensors across the axis 1 by first
          // partitioning the axes of the original tensors into those less than the
          // axis to be concatenated and the rest. Then reshape the tensors
          // into a two-dimensional tensor by collapsing these two sets of axes and
          // concatenate the resulting matrices across the axis 1, finally reshaping
          // the result to have the proper shape.
          var outShape = tf.backend_util.computeOutShape(
            inputs.map(function (t) {
              return t.shape;
            }),
            axis,
          );
          var tensors2D = inputs.map(function (x) {
            return reshape({
              inputs: { x: x },
              attrs: { shape: [-1, tf.util.sizeFromShape(x.shape.slice(axis))] },
              backend: backend,
            });
          });
          return { tensors2D: tensors2D, outShape: outShape };
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function concat(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var axis = attrs.axis;
          var $axis = tf.util.parseAxisParam(axis, inputs[0].shape)[0];
          var outShape = tf.backend_util.computeOutShape(
            inputs.map(function (t) {
              return t.shape;
            }),
            $axis,
          );
          if (tf.util.sizeFromShape(outShape) === 0) {
            return backend.makeTensorInfo(outShape, inputs[0].dtype, []);
          }
          // Keep only non-empty tensors (ignore tensors with 0 in their shape).
          var $inputs = inputs.filter(function (t) {
            return tf.util.sizeFromShape(t.shape) > 0;
          });
          if ($inputs.length === 1) {
            return identity({ inputs: { x: $inputs[0] }, backend: backend });
          }
          var shapes = $inputs.map(function (t) {
            return t.shape;
          });
          tf.backend_util.assertParamsConsistent(shapes, $axis);
          return concatImpl$1($inputs, $axis, backend);
        }
        var concatConfig = {
          kernelName: tf.Concat,
          backendName: 'webgl',
          kernelFunc: concat,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var Conv2DProgram = /** @class */ (function () {
          function Conv2DProgram(
            convInfo,
            addBias,
            activation,
            hasPreluActivationWeights,
            hasLeakyreluAlpha,
          ) {
            if (addBias === void 0) {
              addBias = false;
            }
            if (activation === void 0) {
              activation = null;
            }
            if (hasPreluActivationWeights === void 0) {
              hasPreluActivationWeights = false;
            }
            if (hasLeakyreluAlpha === void 0) {
              hasLeakyreluAlpha = false;
            }
            this.variableNames = ['x', 'W'];
            this.outputShape = convInfo.outShape;
            var padTop = convInfo.padInfo.top;
            var padLeft = convInfo.padInfo.left;
            var strideHeight = convInfo.strideHeight;
            var strideWidth = convInfo.strideWidth;
            var dilationHeight = convInfo.dilationHeight;
            var dilationWidth = convInfo.dilationWidth;
            var filterHeight = convInfo.filterHeight;
            var filterWidth = convInfo.filterWidth;
            var inputDepthNearestVec4 = Math.floor(convInfo.inChannels / 4) * 4;
            var inputDepthVec4Remainder = convInfo.inChannels % 4;
            var isChannelsLast = convInfo.dataFormat === 'channelsLast';
            var rowDim = isChannelsLast ? 1 : 2;
            var colDim = isChannelsLast ? 2 : 3;
            var channelDim = isChannelsLast ? 3 : 1;
            var activationSnippet = '',
              applyActivationSnippet = '';
            if (activation) {
              if (hasPreluActivationWeights) {
                activationSnippet =
                  'float activation(float a) {\n          float b = getPreluActivationWeightsAtOutCoords();\n          ' +
                  activation +
                  '\n        }';
              } else if (hasLeakyreluAlpha) {
                activationSnippet =
                  'float activation(float a) {\n          float b = getLeakyreluAlphaAtOutCoords();\n          ' +
                  activation +
                  '\n        }';
              } else {
                activationSnippet =
                  '\n          float activation(float x) {\n            ' +
                  activation +
                  '\n          }\n        ';
              }
              applyActivationSnippet = 'result = activation(result);';
            }
            var addBiasSnippet = addBias ? 'result += getBiasAtOutCoords();' : '';
            if (addBias) {
              this.variableNames.push('bias');
            }
            if (hasPreluActivationWeights) {
              this.variableNames.push('preluActivationWeights');
            }
            if (hasLeakyreluAlpha) {
              this.variableNames.push('leakyreluAlpha');
            }
            this.userCode =
              '\n      ' +
              activationSnippet +
              '\n\n      const ivec2 strides = ivec2(' +
              strideHeight +
              ', ' +
              strideWidth +
              ');\n      const ivec2 pads = ivec2(' +
              padTop +
              ', ' +
              padLeft +
              ');\n\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int batch = coords[0];\n        int d2 = coords[' +
              channelDim +
              '];\n\n        ivec2 xRCCorner =\n            ivec2(coords[' +
              rowDim +
              '], coords[' +
              colDim +
              ']) * strides - pads;\n        int xRCorner = xRCCorner.x;\n        int xCCorner = xRCCorner.y;\n\n        // Convolve x(?, ?, d1) with w(:, :, d1, d2) to get y(yR, yC, d2).\n        // ? = to be determined. : = across all values in that axis.\n        float dotProd = 0.0;\n        for (int wR = 0; wR < ' +
              filterHeight +
              '; wR++) {\n          int xR = xRCorner + wR * ' +
              dilationHeight +
              ';\n\n          if (xR < 0 || xR >= ' +
              convInfo.inHeight +
              ') {\n            continue;\n          }\n\n          for (int wC = 0; wC < ' +
              filterWidth +
              '; wC++) {\n            int xC = xCCorner + wC * ' +
              dilationWidth +
              ';\n\n            if (xC < 0 || xC >= ' +
              convInfo.inWidth +
              ') {\n              continue;\n            }\n\n            for (int d1 = 0; d1 < ' +
              inputDepthNearestVec4 +
              '; d1 += 4) {\n              vec4 wValues = vec4(\n                getW(wR, wC, d1, d2),\n                getW(wR, wC, d1 + 1, d2),\n                getW(wR, wC, d1 + 2, d2),\n                getW(wR, wC, d1 + 3, d2)\n              );\n\n              if (' +
              isChannelsLast +
              ') {\n                vec4 xValues = vec4(\n                  getX(batch, xR, xC, d1),\n                  getX(batch, xR, xC, d1 + 1),\n                  getX(batch, xR, xC, d1 + 2),\n                  getX(batch, xR, xC, d1 + 3)\n                );\n                dotProd += dot(xValues, wValues);\n              } else {\n                vec4 xValues = vec4(\n                  getX(batch, d1, xR, xC),\n                  getX(batch, d1 + 1, xR, xC),\n                  getX(batch, d1 + 2, xR, xC),\n                  getX(batch, d1 + 3, xR, xC)\n                );\n                dotProd += dot(xValues, wValues);\n              }\n            }\n\n            if (' +
              (inputDepthVec4Remainder === 1) +
              ') {\n\n              if (' +
              isChannelsLast +
              ') {\n                dotProd +=\n                    getX(batch, xR, xC, ' +
              inputDepthNearestVec4 +
              ') *\n                    getW(wR, wC, ' +
              inputDepthNearestVec4 +
              ', d2);\n              } else {\n                dotProd +=\n                    getX(batch, ' +
              inputDepthNearestVec4 +
              ', xR, xC) *\n                    getW(wR, wC, ' +
              inputDepthNearestVec4 +
              ', d2);\n              }\n\n            } else if (' +
              (inputDepthVec4Remainder === 2) +
              ') {\n              vec2 wValues = vec2(\n                getW(wR, wC, ' +
              inputDepthNearestVec4 +
              ', d2),\n                getW(wR, wC, ' +
              inputDepthNearestVec4 +
              ' + 1, d2)\n              );\n\n              if (' +
              isChannelsLast +
              ') {\n                vec2 xValues = vec2(\n                  getX(batch, xR, xC, ' +
              inputDepthNearestVec4 +
              '),\n                  getX(batch, xR, xC, ' +
              inputDepthNearestVec4 +
              ' + 1)\n                );\n                dotProd += dot(xValues, wValues);\n              } else {\n                vec2 xValues = vec2(\n                  getX(batch, ' +
              inputDepthNearestVec4 +
              ', xR, xC),\n                  getX(batch, ' +
              inputDepthNearestVec4 +
              ' + 1, xR, xC)\n                );\n                dotProd += dot(xValues, wValues);\n              }\n\n            } else if (' +
              (inputDepthVec4Remainder === 3) +
              ') {\n              vec3 wValues = vec3(\n                getW(wR, wC, ' +
              inputDepthNearestVec4 +
              ', d2),\n                getW(wR, wC, ' +
              inputDepthNearestVec4 +
              ' + 1, d2),\n                getW(wR, wC, ' +
              inputDepthNearestVec4 +
              ' + 2, d2)\n              );\n\n              if (' +
              isChannelsLast +
              ') {\n                vec3 xValues = vec3(\n                  getX(batch, xR, xC, ' +
              inputDepthNearestVec4 +
              '),\n                  getX(batch, xR, xC, ' +
              inputDepthNearestVec4 +
              ' + 1),\n                  getX(batch, xR, xC, ' +
              inputDepthNearestVec4 +
              ' + 2)\n                );\n                dotProd += dot(xValues, wValues);\n              } else {\n                vec3 xValues = vec3(\n                  getX(batch, ' +
              inputDepthNearestVec4 +
              ', xR, xC),\n                  getX(batch, ' +
              inputDepthNearestVec4 +
              ' + 1, xR, xC),\n                  getX(batch, ' +
              inputDepthNearestVec4 +
              ' + 2, xR, xC)\n                );\n                dotProd += dot(xValues, wValues);\n              }\n\n            }\n          }\n        }\n\n        float result = dotProd;\n        ' +
              addBiasSnippet +
              '\n        ' +
              applyActivationSnippet +
              '\n        setOutput(result);\n      }\n    ';
          }
          return Conv2DProgram;
        })();
        var Conv3DProgram = /** @class */ (function () {
          function Conv3DProgram(convInfo) {
            this.variableNames = ['x', 'W'];
            this.outputShape = convInfo.outShape;
            var padFront = convInfo.padInfo.front;
            var padTop = convInfo.padInfo.top;
            var padLeft = convInfo.padInfo.left;
            var strideDepth = convInfo.strideDepth;
            var strideHeight = convInfo.strideHeight;
            var strideWidth = convInfo.strideWidth;
            var dilationDepth = convInfo.dilationDepth;
            var dilationHeight = convInfo.dilationHeight;
            var dilationWidth = convInfo.dilationWidth;
            var filterDepth = convInfo.filterDepth;
            var filterHeight = convInfo.filterHeight;
            var filterWidth = convInfo.filterWidth;
            var inputDepthNearestVec4 = Math.floor(convInfo.inChannels / 4) * 4;
            var inputDepthVec4Remainder = convInfo.inChannels % 4;
            this.userCode =
              '\n      const ivec3 strides = ivec3(' +
              strideDepth +
              ', ' +
              strideHeight +
              ', ' +
              strideWidth +
              ');\n      const ivec3 pads = ivec3(' +
              padFront +
              ', ' +
              padTop +
              ', ' +
              padLeft +
              ');\n\n      void main() {\n        ivec5 coords = getOutputCoords();\n        int batch = coords.x;\n        int d2 = coords.u;\n\n        ivec3 xFRCCorner = ivec3(coords.y, coords.z, coords.w) * strides - pads;\n        int xFCorner = xFRCCorner.x;\n        int xRCorner = xFRCCorner.y;\n        int xCCorner = xFRCCorner.z;\n\n        // Convolve x(?, ?, ?, d1) with w(:, :, :, d1, d2) to get\n        // y(yF, yR, yC, d2). ? = to be determined. : = across all\n        // values in that axis.\n        float dotProd = 0.0;\n        for (int wF = 0; wF < ' +
              filterDepth +
              '; wF++) {\n          int xF = xFCorner + wF * ' +
              dilationDepth +
              ';\n\n          if (xF < 0 || xF >= ' +
              convInfo.inDepth +
              ') {\n            continue;\n          }\n\n          for (int wR = 0; wR < ' +
              filterHeight +
              '; wR++) {\n            int xR = xRCorner + wR * ' +
              dilationHeight +
              ';\n\n            if (xR < 0 || xR >= ' +
              convInfo.inHeight +
              ') {\n              continue;\n            }\n\n            for (int wC = 0; wC < ' +
              filterWidth +
              '; wC++) {\n              int xC = xCCorner + wC * ' +
              dilationWidth +
              ';\n\n              if (xC < 0 || xC >= ' +
              convInfo.inWidth +
              ') {\n                continue;\n              }\n\n              for (int d1 = 0; d1 < ' +
              inputDepthNearestVec4 +
              '; d1 += 4) {\n                vec4 xValues = vec4(\n                  getX(batch, xF, xR, xC, d1),\n                  getX(batch, xF, xR, xC, d1 + 1),\n                  getX(batch, xF, xR, xC, d1 + 2),\n                  getX(batch, xF, xR, xC, d1 + 3)\n                );\n                vec4 wValues = vec4(\n                  getW(wF, wR, wC, d1, d2),\n                  getW(wF, wR, wC, d1 + 1, d2),\n                  getW(wF, wR, wC, d1 + 2, d2),\n                  getW(wF, wR, wC, d1 + 3, d2)\n                );\n\n                dotProd += dot(xValues, wValues);\n              }\n\n              if (' +
              (inputDepthVec4Remainder === 1) +
              ') {\n                dotProd +=\n                  getX(batch, xF, xR, xC, ' +
              inputDepthNearestVec4 +
              ') *\n                  getW(wF, wR, wC, ' +
              inputDepthNearestVec4 +
              ', d2);\n              } else if (' +
              (inputDepthVec4Remainder === 2) +
              ') {\n                vec2 xValues = vec2(\n                  getX(batch, xF, xR, xC, ' +
              inputDepthNearestVec4 +
              '),\n                  getX(batch, xF, xR, xC, ' +
              inputDepthNearestVec4 +
              ' + 1)\n                );\n                vec2 wValues = vec2(\n                  getW(wF, wR, wC, ' +
              inputDepthNearestVec4 +
              ', d2),\n                  getW(wF, wR, wC, ' +
              inputDepthNearestVec4 +
              ' + 1, d2)\n                );\n                dotProd += dot(xValues, wValues);\n              } else if (' +
              (inputDepthVec4Remainder === 3) +
              ') {\n                vec3 xValues = vec3(\n                  getX(batch, xF, xR, xC, ' +
              inputDepthNearestVec4 +
              '),\n                  getX(batch, xF, xR, xC, ' +
              inputDepthNearestVec4 +
              ' + 1),\n                  getX(batch, xF, xR, xC, ' +
              inputDepthNearestVec4 +
              ' + 2)\n                );\n                vec3 wValues = vec3(\n                  getW(wF, wR, wC, ' +
              inputDepthNearestVec4 +
              ', d2),\n                  getW(wF, wR, wC, ' +
              inputDepthNearestVec4 +
              ' + 1, d2),\n                  getW(wF, wR, wC, ' +
              inputDepthNearestVec4 +
              ' + 2, d2)\n                );\n                dotProd += dot(xValues, wValues);\n              }\n            }\n          }\n        }\n        setOutput(dotProd);\n      }\n    ';
          }
          return Conv3DProgram;
        })();

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var Im2ColPackedProgram = /** @class */ (function () {
          function Im2ColPackedProgram(outputShape, inputShape, convInfo) {
            this.variableNames = ['A'];
            this.packedInputs = true;
            this.packedOutput = true;
            this.outputShape = outputShape;
            var filterWidth = convInfo.filterWidth,
              inChannels = convInfo.inChannels,
              strideWidth = convInfo.strideWidth,
              strideHeight = convInfo.strideHeight,
              padInfo = convInfo.padInfo,
              outWidth = convInfo.outWidth,
              dilationWidth = convInfo.dilationWidth,
              dilationHeight = convInfo.dilationHeight,
              dataFormat = convInfo.dataFormat;
            var left = padInfo.left,
              top = padInfo.top;
            var itemsPerBlockRow = inChannels * filterWidth;
            var glsl = getGlslDifferences();
            var isChannelsLast = dataFormat === 'channelsLast';
            var rowDim = isChannelsLast ? 0 : 1;
            var colDim = isChannelsLast ? 1 : 2;
            var unrolled = '';
            for (var row = 0; row <= 1; row++) {
              for (var col = 0; col <= 1; col++) {
                unrolled +=
                  '\n          blockIndex = rc.y + ' +
                  col +
                  ';\n          pos = rc.x + ' +
                  row +
                  ';\n\n          if(blockIndex < ' +
                  outputShape[1] +
                  ' && pos < ' +
                  outputShape[0] +
                  ') {\n            offsetY = int(blockIndex / (' +
                  outWidth +
                  ')) * ' +
                  strideHeight +
                  ' - ' +
                  top +
                  ';\n            d0 = offsetY + ' +
                  dilationHeight +
                  ' * (pos / ' +
                  itemsPerBlockRow +
                  ');\n\n            if(d0 < ' +
                  inputShape[rowDim] +
                  ' && d0 >= 0) {\n\n              offsetX = int(mod(float(blockIndex), ' +
                  outWidth +
                  '.) * ' +
                  strideWidth +
                  '. - ' +
                  left +
                  '.);\n              d1 = offsetX + ' +
                  dilationWidth +
                  ' * (int(mod(float(pos), ' +
                  itemsPerBlockRow +
                  '.) / ' +
                  inChannels +
                  '.));\n\n              if(d1 < ' +
                  inputShape[colDim] +
                  ' && d1 >= 0) {\n\n                ch = int(mod(float(pos), ' +
                  inChannels +
                  '.));\n\n                if (' +
                  isChannelsLast +
                  ') {\n                  innerDims = vec2(d1, ch);\n                  result[' +
                  (row * 2 + col) +
                  '] = getChannel(\n                    getA(d0, int(innerDims.x),\n                    int(innerDims.y)), innerDims);\n                } else {\n                  innerDims = vec2(d0, d1);\n                  result[' +
                  (row * 2 + col) +
                  '] = getChannel(\n                    getA(ch, int(innerDims.x),\n                    int(innerDims.y)), innerDims);\n                }\n              }\n            }\n          }\n        ';
              }
            }
            this.userCode =
              '\n      void main() {\n        ivec2 rc = getOutputCoords();\n\n        vec4 result = vec4(0);\n\n        int blockIndex, pos, offsetY, d0, offsetX, d1, ch;\n        vec2 innerDims;\n\n        ' +
              unrolled +
              '\n\n        ' +
              glsl.output +
              ' = result;\n      }\n    ';
          }
          return Im2ColPackedProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        // For 1x1 kernels that iterate through every point in the input, convolution
        // can be expressed as matrix multiplication (without need for memory
        // remapping).
        function conv2dByMatMul(_a) {
          var x = _a.x,
            filter = _a.filter,
            convInfo = _a.convInfo,
            backend = _a.backend,
            _b = _a.bias,
            bias = _b === void 0 ? null : _b,
            _c = _a.preluActivationWeights,
            preluActivationWeights = _c === void 0 ? null : _c,
            _d = _a.leakyreluAlpha,
            leakyreluAlpha = _d === void 0 ? 0 : _d,
            _e = _a.activation,
            activation = _e === void 0 ? null : _e;
          // Reshapes conv2D input to 2D tensors, uses matMul and then reshape the
          // result from 2D to 4D.
          var xShape = x.shape;
          var xTexData = backend.texData.get(x.dataId);
          var sharedMatMulDim = convInfo.inChannels;
          var outerShapeX = xShape[0] * xShape[1] * xShape[2];
          var outerShapeFilter = convInfo.outChannels;
          var isChannelsLast = convInfo.dataFormat === 'channelsLast';
          var transposeA = false;
          var transposeB = false;
          var out;
          var intermediates = [];
          // TODO: Once reduction ops are packed, batchMatMul will always be packed
          // and we can remove this condition.
          var batchMatMulWillBeUnpacked =
            (outerShapeX === 1 || outerShapeFilter === 1) &&
            sharedMatMulDim > MATMUL_SHARED_DIM_THRESHOLD;
          var reshapeWillBeExpensive = xShape[2] % 2 !== 0 && !!xTexData.isPacked;
          if (
            batchMatMulWillBeUnpacked ||
            !tf.env().getBool('WEBGL_LAZILY_UNPACK') ||
            !tf.env().getBool('WEBGL_PACK_BINARY_OPERATIONS') ||
            !reshapeWillBeExpensive
          ) {
            var targetShape = isChannelsLast
              ? xShape[0] * xShape[1] * xShape[2]
              : xShape[0] * xShape[2] * xShape[3];
            var xReshaped = reshape({
              inputs: { x: x },
              backend: backend,
              attrs: { shape: [1, targetShape, convInfo.inChannels] },
            });
            var filterReshaped = reshape({
              inputs: { x: filter },
              backend: backend,
              attrs: { shape: [1, convInfo.inChannels, convInfo.outChannels] },
            });
            var result = batchMatMulImpl({
              a: xReshaped,
              b: filterReshaped,
              transposeA: transposeA,
              transposeB: transposeB,
              backend: backend,
              bias: bias,
              activation: activation,
              preluActivationWeights: preluActivationWeights,
              leakyreluAlpha: leakyreluAlpha,
            });
            out = reshape({
              inputs: { x: result },
              backend: backend,
              attrs: { shape: convInfo.outShape },
            });
            intermediates.push(xReshaped);
            intermediates.push(filterReshaped);
            intermediates.push(result);
          } else {
            // Following optimization is specific to packed |x| with odd row count
            // (For example, in channelLast mode, 'row count' refers to x.shape[2]):
            // we avoid expensive packed 2x2 reshape by padding row count to next,
            // even number. When x.shape[2] is odd, the result of packed batchMatMul is
            // the same (has the same texture layout and and values in the texture) as
            // it is for even x.shape[2] + 1. We make the odd-rows tensor to look like
            // even-rows tensor before the operation and, after the batchMatMul,
            // fix the even-rows result to have odd number of rows.
            var targetShape = isChannelsLast
              ? xShape[0] * xShape[1] * (xShape[2] + 1)
              : xShape[0] * xShape[2] * (xShape[3] + 1);
            var xReshaped_1 = {
              dataId: x.dataId,
              shape: [1, targetShape, convInfo.inChannels],
              dtype: x.dtype,
            };
            // xTexData.shape gets referenced from GPGPUBinary.inShapeInfos.
            // Decrementing row count, after batchMatMul->...->compileProgram leads to
            // invalid row count within the reference in GPGPUBinary.inShapeInfos.
            // Alternative fix would be to provide a copy to GPGPUBinary.inShapeInfos
            // in compileProgram method, but that would affect compilation of all
            // programs - instead, provide a copy here, with even row count, before
            // calling batchMatMul->...->compileProgram and after that, the original
            // xTexData.shape is restored.
            var originalXTexDataShape = xTexData.shape;
            xTexData.shape = xTexData.shape.slice();
            xTexData.shape[xTexData.shape.length - 2]++;
            tf.util.assert(isReshapeFree(xTexData.shape, xReshaped_1.shape), function () {
              return (
                'packed reshape ' + xTexData.shape + ' to ' + xReshaped_1.shape + " isn't free"
              );
            });
            var filterReshaped = reshape({
              inputs: { x: filter },
              backend: backend,
              attrs: { shape: [1, convInfo.inChannels, convInfo.outChannels] },
            });
            intermediates.push(filterReshaped);
            var pointwiseConv = batchMatMulImpl({
              a: xReshaped_1,
              b: filterReshaped,
              backend: backend,
              transposeA: transposeA,
              transposeB: transposeB,
              bias: bias,
              activation: activation,
              preluActivationWeights: preluActivationWeights,
              leakyreluAlpha: leakyreluAlpha,
            });
            var pointwiseConvTexData = backend.texData.get(pointwiseConv.dataId);
            tf.util.assert(pointwiseConvTexData.isPacked, function () {
              return 'batchMatMul result is expected to be packed';
            });
            // Restore the input shape to original.
            xTexData.shape = originalXTexDataShape;
            // Set the output shape - there is no need for expensive reshape as data
            // layout is already correct.
            pointwiseConvTexData.shape = convInfo.outShape;
            out = identity({ inputs: { x: pointwiseConv }, backend: backend });
            out.shape = convInfo.outShape;
            intermediates.push(pointwiseConv);
          }
          for (var _i = 0, intermediates_1 = intermediates; _i < intermediates_1.length; _i++) {
            var i = intermediates_1[_i];
            backend.disposeIntermediateTensorInfo(i);
          }
          return out;
        }
        // Implements the im2row algorithm as outlined in "High Performance
        // Convolutional Neural Networks for Document Processing" (Suvisoft, 2006)
        function conv2dWithIm2Row(_a) {
          var x = _a.x,
            filter = _a.filter,
            convInfo = _a.convInfo,
            backend = _a.backend,
            _b = _a.bias,
            bias = _b === void 0 ? null : _b,
            _c = _a.preluActivationWeights,
            preluActivationWeights = _c === void 0 ? null : _c,
            _d = _a.leakyreluAlpha,
            leakyreluAlpha = _d === void 0 ? 0 : _d,
            _e = _a.activation,
            activation = _e === void 0 ? null : _e;
          // Rearranges conv2d input so each block to be convolved over forms the
          // column of a new matrix with shape [filterWidth * filterHeight *
          // inChannels, outHeight * outWidth]. The filter is also rearranged so each
          // output channel forms a row of a new matrix with shape [outChannels,
          // filterWidth * filterHeight * inChannels]. The convolution is then
          // computed by multiplying these matrices and reshaping the result.
          var filterWidth = convInfo.filterWidth,
            filterHeight = convInfo.filterHeight,
            inChannels = convInfo.inChannels,
            outWidth = convInfo.outWidth,
            outHeight = convInfo.outHeight,
            dataFormat = convInfo.dataFormat;
          var isChannelsLast = dataFormat === 'channelsLast';
          var sharedDim = filterWidth * filterHeight * inChannels;
          var numCols = outHeight * outWidth;
          var x2ColShape = [sharedDim, numCols];
          var transposeA = true;
          var transposeB = false;
          var intermediates = [];
          var xSqueezed = reshape({
            inputs: { x: x },
            backend: backend,
            attrs: { shape: x.shape.slice(1) },
          });
          var w2Row = reshape({
            inputs: { x: filter },
            backend: backend,
            attrs: { shape: [1, sharedDim, tf.util.sizeFromShape(filter.shape) / sharedDim] },
          });
          intermediates.push(xSqueezed);
          intermediates.push(w2Row);
          var im2ColProgram = new Im2ColPackedProgram(x2ColShape, xSqueezed.shape, convInfo);
          var im2Col = backend.runWebGLProgram(im2ColProgram, [xSqueezed], 'float32');
          var im2ColReshaped = reshape({
            inputs: { x: im2Col },
            backend: backend,
            attrs: { shape: [1, x2ColShape[0], x2ColShape[1]] },
          });
          intermediates.push(im2Col);
          intermediates.push(im2ColReshaped);
          var hasBias = bias != null;
          var hasPreluActivationWeights = preluActivationWeights != null;
          var hasLeakyreluAlpha = activation === 'leakyrelu';
          var fusedActivation = activation ? mapActivationToShaderProgram(activation, true) : null;
          var matmulProgram = new MatMulPackedProgram(
            im2ColReshaped.shape,
            w2Row.shape,
            [1, numCols, convInfo.outChannels],
            transposeA,
            transposeB,
            hasBias,
            fusedActivation,
            hasPreluActivationWeights,
            hasLeakyreluAlpha,
          );
          var inputs = [im2ColReshaped, w2Row];
          if (bias) {
            inputs.push(bias);
          }
          if (hasPreluActivationWeights) {
            inputs.push(preluActivationWeights);
          }
          if (hasLeakyreluAlpha) {
            var $leakyreluAlpha = backend.makeTensorInfo(
              [],
              'float32',
              tf.util.createScalarValue(leakyreluAlpha, 'float32'),
            );
            inputs.push($leakyreluAlpha);
            intermediates.push($leakyreluAlpha);
          }
          var product = backend.runWebGLProgram(matmulProgram, inputs, 'float32');
          var outShape = isChannelsLast
            ? [1, outHeight, outWidth, convInfo.outChannels]
            : [1, convInfo.outChannels, outHeight, outWidth];
          var out = reshape({
            inputs: { x: product },
            backend: backend,
            attrs: { shape: outShape },
          });
          intermediates.push(product);
          for (var _i = 0, intermediates_2 = intermediates; _i < intermediates_2.length; _i++) {
            var i = intermediates_2[_i];
            backend.disposeIntermediateTensorInfo(i);
          }
          return out;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function conv2d(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            filter = inputs.filter;
          var strides = attrs.strides,
            pad = attrs.pad,
            dataFormat = attrs.dataFormat,
            dilations = attrs.dilations,
            dimRoundingMode = attrs.dimRoundingMode;
          var $dataFormat = tf.backend_util.convertConv2DDataFormat(dataFormat);
          var convInfo = tf.backend_util.computeConv2DInfo(
            x.shape,
            filter.shape,
            strides,
            dilations,
            pad,
            dimRoundingMode,
            false /* depthwise */,
            $dataFormat,
          );
          var out;
          if (
            convInfo.filterHeight === 1 &&
            convInfo.filterWidth === 1 &&
            convInfo.dilationHeight === 1 &&
            convInfo.dilationWidth === 1 &&
            convInfo.strideHeight === 1 &&
            convInfo.strideWidth === 1 &&
            (convInfo.padInfo.type === 'SAME' || convInfo.padInfo.type === 'VALID')
          ) {
            out = conv2dByMatMul({ x: x, filter: filter, convInfo: convInfo, backend: backend });
          } else if (tf.env().getBool('WEBGL_CONV_IM2COL') && x.shape[0] === 1) {
            out = conv2dWithIm2Row({ x: x, filter: filter, convInfo: convInfo, backend: backend });
          } else {
            var program = new Conv2DProgram(convInfo);
            out = backend.runWebGLProgram(program, [x, filter], 'float32');
          }
          var outReshaped = reshape({
            inputs: { x: out },
            backend: backend,
            attrs: { shape: convInfo.outShape },
          });
          backend.disposeIntermediateTensorInfo(out);
          return outReshaped;
        }
        var conv2DConfig = {
          kernelName: tf.Conv2D,
          backendName: 'webgl',
          kernelFunc: conv2d,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var Conv2DDerFilterProgram = /** @class */ (function () {
          function Conv2DDerFilterProgram(convInfo) {
            this.variableNames = ['x', 'dy'];
            this.outputShape = convInfo.filterShape;
            var strideHeight = convInfo.strideHeight;
            var strideWidth = convInfo.strideWidth;
            var padTop = convInfo.padInfo.top;
            var padLeft = convInfo.padInfo.left;
            var isChannelsLast = convInfo.dataFormat === 'channelsLast';
            this.userCode =
              '\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int wR = coords.x;\n        int wC = coords.y;\n        int d1 = coords.z;\n        int d2 = coords.w;\n\n        // Convolve x(?, ?, d1) with dy(:, :, d2) to get dw(wR, wC, d1, d2).\n        // ? = to be determined. : = across all values in that axis.\n        float dotProd = 0.0;\n\n        for (int b = 0; b < ' +
              convInfo.batchSize +
              '; b++) {\n          for (int yR = 0; yR < ' +
              convInfo.outHeight +
              '; yR++) {\n            int xR = wR + yR * ' +
              strideHeight +
              ' - ' +
              padTop +
              ';\n\n            if (xR < 0 || xR >= ' +
              convInfo.inHeight +
              ') {\n              continue;\n            }\n\n            for (int yC = 0; yC < ' +
              convInfo.outWidth +
              '; yC++) {\n              int xC = wC + yC * ' +
              strideWidth +
              ' - ' +
              padLeft +
              ';\n\n              if (xC < 0 || xC >= ' +
              convInfo.inWidth +
              ') {\n                continue;\n              }\n\n              if (' +
              isChannelsLast +
              ') {\n                float dyValue = getDy(b, yR, yC, d2);\n                float xValue = getX(b, xR, xC, d1);\n                dotProd += (xValue * dyValue);\n              } else {\n                float dyValue = getDy(b, d2, yR, yC);\n                float xValue = getX(b, d1, xR, xC);\n                dotProd += (xValue * dyValue);\n              }\n\n            }\n          }\n        }\n        setOutput(dotProd);\n      }\n    ';
          }
          return Conv2DDerFilterProgram;
        })();
        var Conv2DDerInputProgram = /** @class */ (function () {
          function Conv2DDerInputProgram(convInfo) {
            this.variableNames = ['dy', 'W'];
            this.outputShape = convInfo.inShape;
            var filterHeight = convInfo.filterHeight;
            var filterWidth = convInfo.filterWidth;
            var strideHeight = convInfo.strideHeight;
            var strideWidth = convInfo.strideWidth;
            var isChannelsLast = convInfo.dataFormat === 'channelsLast';
            var padTop = filterHeight - 1 - convInfo.padInfo.top;
            var padLeft = filterWidth - 1 - convInfo.padInfo.left;
            var rowDim = isChannelsLast ? 1 : 2;
            var colDim = isChannelsLast ? 2 : 3;
            var channelDim = isChannelsLast ? 3 : 1;
            this.userCode =
              '\n      const ivec2 pads = ivec2(' +
              padTop +
              ', ' +
              padLeft +
              ');\n\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int batch = coords[0];\n        int d1 = coords[' +
              channelDim +
              '];\n\n        ivec2 dyCorner = ivec2(coords[' +
              rowDim +
              '], coords[' +
              colDim +
              ']) - pads;\n        int dyRCorner = dyCorner.x;\n        int dyCCorner = dyCorner.y;\n\n        // Convolve dy(?, ?, d2) with w(:, :, d1, d2) to compute dx(xR, xC, d1).\n        // ? = to be determined. : = across all values in that axis.\n        float dotProd = 0.0;\n        for (int wR = 0; wR < ' +
              filterHeight +
              '; wR++) {\n          float dyR = float(dyRCorner + wR) / ' +
              strideHeight +
              '.0;\n\n          if (dyR < 0.0 || dyR >= ' +
              convInfo.outHeight +
              '.0 || fract(dyR) > 0.0) {\n            continue;\n          }\n          int idyR = int(dyR);\n\n          int wRPerm = ' +
              filterHeight +
              ' - 1 - wR;\n\n          for (int wC = 0; wC < ' +
              filterWidth +
              '; wC++) {\n            float dyC = float(dyCCorner + wC) / ' +
              strideWidth +
              '.0;\n\n            if (dyC < 0.0 || dyC >= ' +
              convInfo.outWidth +
              '.0 ||\n                fract(dyC) > 0.0) {\n              continue;\n            }\n            int idyC = int(dyC);\n\n            int wCPerm = ' +
              filterWidth +
              ' - 1 - wC;\n\n            for (int d2 = 0; d2 < ' +
              convInfo.outChannels +
              '; d2++) {\n\n              if (' +
              isChannelsLast +
              ') {\n                float xValue = getDy(batch, idyR, idyC, d2);\n                float wValue = getW(wRPerm, wCPerm, d1, d2);\n                dotProd += xValue * wValue;\n              } else {\n                float xValue = getDy(batch, d2, idyR, idyC);\n                float wValue = getW(wRPerm, wCPerm, d1, d2);\n                dotProd += xValue * wValue;\n              }\n\n            }\n          }\n        }\n        setOutput(dotProd);\n      }\n    ';
          }
          return Conv2DDerInputProgram;
        })();
        var Conv3DDerFilterProgram = /** @class */ (function () {
          function Conv3DDerFilterProgram(convInfo) {
            this.variableNames = ['x', 'dy'];
            this.outputShape = convInfo.filterShape;
            var strideDepth = convInfo.strideDepth;
            var strideHeight = convInfo.strideHeight;
            var strideWidth = convInfo.strideWidth;
            var padFront = convInfo.padInfo.front;
            var padTop = convInfo.padInfo.top;
            var padLeft = convInfo.padInfo.left;
            this.userCode =
              '\n      void main() {\n        ivec5 coords = getOutputCoords();\n        int wF = coords.x;\n        int wR = coords.y;\n        int wC = coords.z;\n        int d1 = coords.w;\n        int d2 = coords.u;\n\n        float dotProd = 0.0;\n\n        for (int b = 0; b < ' +
              convInfo.batchSize +
              '; b++) {\n          for (int yF = 0; yF < ' +
              convInfo.outDepth +
              '; yF++) {\n            int xF = wF + yF * ' +
              strideDepth +
              ' - ' +
              padFront +
              ';\n\n            if (xF < 0 || xF >= ' +
              convInfo.inDepth +
              ') {\n              continue;\n            }\n\n            for (int yR = 0; yR < ' +
              convInfo.outHeight +
              '; yR++) {\n              int xR = wR + yR * ' +
              strideHeight +
              ' - ' +
              padTop +
              ';\n\n              if (xR < 0 || xR >= ' +
              convInfo.inHeight +
              ') {\n                continue;\n              }\n\n              for (int yC = 0; yC < ' +
              convInfo.outWidth +
              '; yC++) {\n                int xC = wC + yC * ' +
              strideWidth +
              ' - ' +
              padLeft +
              ';\n\n                if (xC < 0 || xC >= ' +
              convInfo.inWidth +
              ') {\n                  continue;\n                }\n\n                float dyValue = getDy(b, yF, yR, yC, d2);\n                float xValue = getX(b, xF, xR, xC, d1);\n                dotProd += (xValue * dyValue);\n              }\n            }\n          }\n        }\n        setOutput(dotProd);\n      }\n    ';
          }
          return Conv3DDerFilterProgram;
        })();
        var Conv3DDerInputProgram = /** @class */ (function () {
          function Conv3DDerInputProgram(convInfo) {
            this.variableNames = ['dy', 'W'];
            this.outputShape = convInfo.inShape;
            var filterDepth = convInfo.filterDepth;
            var filterHeight = convInfo.filterHeight;
            var filterWidth = convInfo.filterWidth;
            var strideDepth = convInfo.strideDepth;
            var strideHeight = convInfo.strideHeight;
            var strideWidth = convInfo.strideWidth;
            var padFront = filterDepth - 1 - convInfo.padInfo.front;
            var padTop = filterHeight - 1 - convInfo.padInfo.top;
            var padLeft = filterWidth - 1 - convInfo.padInfo.left;
            this.userCode =
              '\n      const ivec3 pads = ivec3(' +
              padFront +
              ', ' +
              padTop +
              ', ' +
              padLeft +
              ');\n\n      void main() {\n        ivec5 coords = getOutputCoords();\n        int batch = coords.x;\n        int d1 = coords.u;\n\n\n        ivec3 dyCorner = ivec3(coords.y, coords.z, coords.w) - pads;\n        int dyFCorner = dyCorner.x;\n        int dyRCorner = dyCorner.y;\n        int dyCCorner = dyCorner.z;\n\n        float dotProd = 0.0;\n        for (int wF = 0; wF < ' +
              filterDepth +
              '; wF++) {\n          float dyF = float(dyFCorner + wF) / ' +
              strideDepth +
              '.0;\n\n          if (dyF < 0.0 || dyF >= ' +
              convInfo.outDepth +
              '.0 || fract(dyF) > 0.0) {\n            continue;\n          }\n          int idyF = int(dyF);\n\n          int wFPerm = ' +
              filterDepth +
              ' - 1 - wF;\n\n          for (int wR = 0; wR < ' +
              filterHeight +
              '; wR++) {\n            float dyR = float(dyRCorner + wR) / ' +
              strideHeight +
              '.0;\n\n            if (dyR < 0.0 || dyR >= ' +
              convInfo.outHeight +
              '.0 ||\n              fract(dyR) > 0.0) {\n              continue;\n            }\n            int idyR = int(dyR);\n\n            int wRPerm = ' +
              filterHeight +
              ' - 1 - wR;\n\n            for (int wC = 0; wC < ' +
              filterWidth +
              '; wC++) {\n              float dyC = float(dyCCorner + wC) / ' +
              strideWidth +
              '.0;\n\n              if (dyC < 0.0 || dyC >= ' +
              convInfo.outWidth +
              '.0 ||\n                  fract(dyC) > 0.0) {\n                continue;\n              }\n              int idyC = int(dyC);\n\n              int wCPerm = ' +
              filterWidth +
              ' - 1 - wC;\n\n              for (int d2 = 0; d2 < ' +
              convInfo.outChannels +
              '; d2++) {\n                float xValue = getDy(batch, idyF, idyR, idyC, d2);\n                float wValue = getW(wFPerm, wRPerm, wCPerm, d1, d2);\n                dotProd += xValue * wValue;\n              }\n            }\n          }\n        }\n        setOutput(dotProd);\n      }\n    ';
          }
          return Conv3DDerInputProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function conv2DBackpropFilter(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            dy = inputs.dy;
          var strides = attrs.strides,
            pad = attrs.pad,
            dataFormat = attrs.dataFormat,
            dimRoundingMode = attrs.dimRoundingMode,
            filterShape = attrs.filterShape;
          var $dataFormat = tf.backend_util.convertConv2DDataFormat(dataFormat);
          var convInfo = tf.backend_util.computeConv2DInfo(
            x.shape,
            filterShape,
            strides,
            1 /* dilations */,
            pad,
            dimRoundingMode,
            false /* depthwise */,
            $dataFormat,
          );
          var program = new Conv2DDerFilterProgram(convInfo);
          return backend.runWebGLProgram(program, [x, dy], 'float32');
        }
        var conv2DBackpropFilterConfig = {
          kernelName: tf.Conv2DBackpropFilter,
          backendName: 'webgl',
          kernelFunc: conv2DBackpropFilter,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function conv2DBackpropInput(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var dy = inputs.dy,
            filter = inputs.filter;
          var inputShape = attrs.inputShape,
            strides = attrs.strides,
            pad = attrs.pad,
            dataFormat = attrs.dataFormat,
            dimRoundingMode = attrs.dimRoundingMode;
          var $dataFormat = tf.backend_util.convertConv2DDataFormat(dataFormat);
          var convInfo = tf.backend_util.computeConv2DInfo(
            inputShape,
            filter.shape,
            strides,
            1 /* dilations */,
            pad,
            dimRoundingMode,
            false,
            $dataFormat,
          );
          var program = new Conv2DDerInputProgram(convInfo);
          return backend.runWebGLProgram(program, [dy, filter], 'float32');
        }
        var conv2DBackpropInputConfig = {
          kernelName: tf.Conv2DBackpropInput,
          backendName: 'webgl',
          kernelFunc: conv2DBackpropInput,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function conv3D(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            filter = inputs.filter;
          var strides = attrs.strides,
            pad = attrs.pad,
            dilations = attrs.dilations;
          var convInfo = tf.backend_util.computeConv3DInfo(
            x.shape,
            filter.shape,
            strides,
            dilations,
            pad,
          );
          var program = new Conv3DProgram(convInfo);
          return backend.runWebGLProgram(program, [x, filter], 'float32');
        }
        var conv3DConfig = {
          kernelName: tf.Conv3D,
          backendName: 'webgl',
          kernelFunc: conv3D,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function conv3DBackpropFilterV2(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            dy = inputs.dy;
          var strides = attrs.strides,
            pad = attrs.pad,
            filterShape = attrs.filterShape;
          var convInfo = tf.backend_util.computeConv3DInfo(
            x.shape,
            filterShape,
            strides,
            1 /* dilations */,
            pad,
          );
          var program = new Conv3DDerFilterProgram(convInfo);
          return backend.runWebGLProgram(program, [x, dy], 'float32');
        }
        var conv3DBackpropFilterV2Config = {
          kernelName: tf.Conv3DBackpropFilterV2,
          backendName: 'webgl',
          kernelFunc: conv3DBackpropFilterV2,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function conv3DBackpropInput(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var dy = inputs.dy,
            filter = inputs.filter;
          var pad = attrs.pad,
            strides = attrs.strides,
            inputShape = attrs.inputShape;
          var convInfo = tf.backend_util.computeConv3DInfo(
            inputShape,
            filter.shape,
            strides,
            1 /* dilations */,
            pad,
          );
          var program = new Conv3DDerInputProgram(convInfo);
          return backend.runWebGLProgram(program, [dy, filter], 'float32');
        }
        var conv3DBackpropInputConfig = {
          kernelName: tf.Conv3DBackpropInputV2,
          backendName: 'webgl',
          kernelFunc: conv3DBackpropInput,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var COS = CHECK_NAN_SNIPPET_UNARY + '\n  return cos(x);\n';
        var cos = unaryKernelFunc({ opSnippet: COS });
        var cosConfig = {
          kernelName: tf.Cos,
          backendName: 'webgl',
          kernelFunc: cos,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var COSH = '\n  float e2x = exp(-x);\n  return (e2x + 1.0 / e2x) / 2.0;\n';
        var cosh = unaryKernelFunc({ opSnippet: COSH });
        var coshConfig = {
          kernelName: tf.Cosh,
          backendName: 'webgl',
          kernelFunc: cosh,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var CropAndResizeProgram = /** @class */ (function () {
          function CropAndResizeProgram(
            imageShape,
            boxShape,
            cropSize,
            method,
            extrapolationValue,
          ) {
            this.variableNames = ['Image', 'Boxes', 'BoxInd'];
            this.outputShape = [];
            var batch = imageShape[0],
              imageHeight = imageShape[1],
              imageWidth = imageShape[2],
              depth = imageShape[3];
            var numBoxes = boxShape[0];
            var cropHeight = cropSize[0],
              cropWidth = cropSize[1];
            this.outputShape = [numBoxes, cropHeight, cropWidth, depth];
            var methodId = method === 'bilinear' ? 1 : 0;
            var _a = [imageHeight - 1 + '.0', imageWidth - 1 + '.0'],
              inputHeightFloat = _a[0],
              inputWidthFloat = _a[1];
            var _b =
                cropHeight > 1
                  ? [
                      '' + (imageHeight - 1) / (cropHeight - 1),
                      '(y2-y1) * height_ratio',
                      'y1*' + inputHeightFloat + ' + float(y)*(height_scale)',
                    ]
                  : ['0.0', '0.0', '0.5 * (y1+y2) * ' + inputHeightFloat],
              heightRatio = _b[0],
              heightScale = _b[1],
              inY = _b[2];
            var _c =
                cropWidth > 1
                  ? [
                      '' + (imageWidth - 1) / (cropWidth - 1),
                      '(x2-x1) * width_ratio',
                      'x1*' + inputWidthFloat + ' + float(x)*(width_scale)',
                    ]
                  : ['0.0', '0.0', '0.5 * (x1+x2) * ' + inputWidthFloat],
              widthRatio = _c[0],
              widthScale = _c[1],
              inX = _c[2];
            // Reference implementation
            // tslint:disable-next-line:max-line-length
            // https://github.com/tensorflow/tensorflow/blob/master/tensorflow/core/kernels/crop_and_resize_op_gpu.cu.cc
            this.userCode =
              '\n      const float height_ratio = float(' +
              heightRatio +
              ');\n      const float width_ratio = float(' +
              widthRatio +
              ');\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int b = coords[0];\n        int y = coords[1];\n        int x = coords[2];\n        int d = coords[3];\n\n        // get box vals\n        float y1 = getBoxes(b,0);\n        float x1 = getBoxes(b,1);\n        float y2 = getBoxes(b,2);\n        float x2 = getBoxes(b,3);\n\n        // get image in batch index\n        int bInd = round(getBoxInd(b));\n        if(bInd < 0 || bInd >= ' +
              batch +
              ') {\n          return;\n        }\n\n        float height_scale = ' +
              heightScale +
              ';\n        float width_scale = ' +
              widthScale +
              ';\n\n        float in_y = ' +
              inY +
              ';\n        if( in_y < 0.0 || in_y > ' +
              inputHeightFloat +
              ' ) {\n          setOutput(float(' +
              extrapolationValue +
              '));\n          return;\n        }\n        float in_x = ' +
              inX +
              ';\n        if( in_x < 0.0 || in_x > ' +
              inputWidthFloat +
              ' ) {\n          setOutput(float(' +
              extrapolationValue +
              '));\n          return;\n        }\n\n        vec2 sourceFracIndexCR = vec2(in_x,in_y);\n        if(' +
              methodId +
              ' == 1) {\n          // Compute the four integer indices.\n          ivec2 sourceFloorCR = ivec2(sourceFracIndexCR);\n          ivec2 sourceCeilCR = ivec2(ceil(sourceFracIndexCR));\n\n          float topLeft = getImage(b, sourceFloorCR.y, sourceFloorCR.x, d);\n          float bottomLeft = getImage(b, sourceCeilCR.y, sourceFloorCR.x, d);\n          float topRight = getImage(b, sourceFloorCR.y, sourceCeilCR.x, d);\n          float bottomRight = getImage(b, sourceCeilCR.y, sourceCeilCR.x, d);\n\n          vec2 fracCR = sourceFracIndexCR - vec2(sourceFloorCR);\n\n          float top = topLeft + (topRight - topLeft) * fracCR.x;\n          float bottom = bottomLeft + (bottomRight - bottomLeft) * fracCR.x;\n          float newValue = top + (bottom - top) * fracCR.y;\n          setOutput(newValue);\n        } else {\n          // Compute the coordinators of nearest neighbor point.\n          ivec2 sourceNearestCR = ivec2(floor(\n            sourceFracIndexCR + vec2(0.5,0.5)));\n          float newValue = getImage(b, sourceNearestCR.y, sourceNearestCR.x, d);\n          setOutput(newValue);\n        }\n      }\n    ';
          }
          return CropAndResizeProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var cropAndResize = function (args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var image = inputs.image,
            boxes = inputs.boxes,
            boxInd = inputs.boxInd;
          var cropSize = attrs.cropSize,
            method = attrs.method,
            extrapolationValue = attrs.extrapolationValue;
          var program = new CropAndResizeProgram(
            image.shape,
            boxes.shape,
            cropSize,
            method,
            extrapolationValue,
          );
          return backend.runWebGLProgram(program, [image, boxes, boxInd], 'float32');
        };
        var cropAndResizeConfig = {
          kernelName: tf.CropAndResize,
          backendName: 'webgl',
          kernelFunc: cropAndResize,
        };

        var CumSumProgram = /** @class */ (function () {
          function CumSumProgram(shape, exclusive, reverse) {
            this.variableNames = ['x'];
            this.outputShape = shape;
            var rank = shape.length;
            var val = exclusive ? '0.0' : 'getX(' + getCoords$1(rank, 'coords') + ')';
            var length = shape[shape.length - 1];
            var condition = '';
            var idxString = '';
            // When exclusive is set, the cumsum op becomes roll op that copies the
            // value from the previous index based on the direction specified by the
            // reverse flag.
            if (exclusive) {
              condition = reverse ? 'end != ' + (length - 1) : 'end != 0';
              idxString = reverse ? 'end + 1' : 'end - 1';
            } else {
              condition = reverse ? 'end + pow2 < ' + length : 'end >= pow2';
              idxString = reverse ? 'end + pow2' : 'end - pow2';
            }
            this.userCode =
              '\n      uniform float index;\n      void main() {\n        ' +
              getCoordsDataType(rank) +
              ' coords = getOutputCoords();\n        int end = ' +
              getFinalCoord(rank, 'coords') +
              ';\n        float val = ' +
              val +
              ';\n        int pow2 = int(pow(2.0, index));\n        if (' +
              condition +
              ') {\n          int idx = ' +
              idxString +
              ';\n          ' +
              getFinalCoord(rank, 'coords') +
              ' = idx;\n          val += getX(' +
              getCoords$1(rank, 'coords') +
              ');\n        }\n        setOutput(val);\n      }\n    ';
          }
          CumSumProgram.prototype.getCustomSetupFunc = function (index) {
            var _this = this;
            return function (gpgpu, webGLProgram) {
              if (_this.index == null) {
                _this.index = gpgpu.getUniformLocation(webGLProgram, 'index');
              }
              gpgpu.gl.uniform1f(_this.index, index);
            };
          };
          return CumSumProgram;
        })();
        function getCoords$1(rank, name) {
          if (rank === 1) {
            return '' + name;
          } else if (rank === 2) {
            return name + '.x, ' + name + '.y';
          } else if (rank === 3) {
            return name + '.x, ' + name + '.y, ' + name + '.z';
          } else if (rank === 4) {
            return name + '.x, ' + name + '.y, ' + name + '.z, ' + name + '.w';
          } else {
            throw Error('Cumulative sum for rank ' + rank + ' is not yet supported');
          }
        }
        function getFinalCoord(rank, name) {
          if (rank === 1) {
            return '' + name;
          } else if (rank === 2) {
            return name + '.y';
          } else if (rank === 3) {
            return name + '.z';
          } else if (rank === 4) {
            return name + '.w';
          } else {
            throw Error('Cumulative sum for rank ' + rank + ' is not yet supported');
          }
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function cumsum(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var axis = attrs.axis,
            exclusive = attrs.exclusive,
            reverse = attrs.reverse;
          var xRank = x.shape.length;
          var permutation = tf.backend_util.getAxesPermutation([axis], xRank);
          var permutedX = x;
          if (permutation != null) {
            permutedX = transpose({
              inputs: { x: x },
              backend: backend,
              attrs: { perm: permutation },
            });
          }
          var permutedAxis = tf.backend_util.getInnerMostAxes(1, xRank)[0];
          if (permutedAxis !== xRank - 1) {
            throw new Error(
              'WebGL cumsum shader expects an inner-most axis=' +
                (x.shape.length - 1) +
                ' ' +
                ('but got axis=' + axis),
            );
          }
          var size = permutedX.shape[permutedAxis];
          var result = identity({ inputs: { x: permutedX }, backend: backend });
          // Use cumsum parallel algorithm, ref:
          // https://developer.nvidia.com/gpugems/gpugems3/part-vi-gpu-computing/chapter-39-parallel-prefix-sum-scan-cuda
          for (var i = 0; i <= Math.ceil(Math.log2(size)) - 1; i++) {
            var program = new CumSumProgram(permutedX.shape, false, reverse);
            var customSetup = program.getCustomSetupFunc(i);
            var prevResult = result;
            result = backend.runWebGLProgram(program, [result], result.dtype, customSetup);
            backend.disposeIntermediateTensorInfo(prevResult);
          }
          // For exclusive cumsum, shift the end result in the direction of sum
          // and add 0 to the front index.
          if (exclusive) {
            var program = new CumSumProgram(permutedX.shape, exclusive, reverse);
            var prevResult = result;
            result = backend.runWebGLProgram(program, [result], result.dtype);
            backend.disposeIntermediateTensorInfo(prevResult);
          }
          if (permutation != null) {
            var reversePermutation = tf.backend_util.getUndoAxesPermutation(permutation);
            var reverseTransposedResult = transpose({
              inputs: { x: result },
              backend: backend,
              attrs: { perm: reversePermutation },
            });
            backend.disposeIntermediateTensorInfo(result);
            backend.disposeIntermediateTensorInfo(permutedX);
            return reverseTransposedResult;
          }
          return result;
        }
        var cumsumConfig = {
          kernelName: tf.Cumsum,
          backendName: 'webgl',
          kernelFunc: cumsum,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function denseBincount(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            weights = inputs.weights;
          var size = attrs.size,
            binaryOutput = attrs.binaryOutput;
          if (x.shape.length === 1) {
            var xVals = backend.readSync(x.dataId);
            var weightsVals = backend.readSync(weights.dataId);
            var outVals = bincountImplCPU(xVals, weightsVals, weights.dtype, weights.shape, size);
            return backend.makeTensorInfo([size], weights.dtype, outVals);
          } else if (x.shape.length === 2) {
            var xBuf = backend.bufferSync(x);
            var weightsBuf = backend.bufferSync(weights);
            var outBuf = bincountReduceImplCPU(xBuf, weightsBuf, size, binaryOutput);
            return backend.makeTensorInfo(outBuf.shape, weights.dtype, outBuf.values);
          }
          throw new Error(
            'Error in denseBincount: input must be at most rank 2, but got rank' +
              (x.shape.length + '.'),
          );
        }
        var denseBincountConfig = {
          kernelName: tf.DenseBincount,
          backendName: 'webgl',
          kernelFunc: denseBincount,
        };

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var DepthToSpaceProgram = /** @class */ (function () {
          function DepthToSpaceProgram(outputShape, blockSize, dataFormat) {
            this.variableNames = ['x'];
            this.outputShape = [];
            this.outputShape = outputShape;
            this.blockSize = blockSize;
            this.dataFormat = dataFormat;
            this.userCode =
              '\n    void main() {\n      ivec4 coords = getOutputCoords();\n      int b = coords[0];\n      int h = ' +
              this.getHeightCoordString() +
              ';\n      int w = ' +
              this.getWidthCoordString() +
              ';\n      int d = ' +
              this.getDepthCoordString() +
              ';\n\n      int in_h = h / ' +
              blockSize +
              ';\n      int offset_h = imod(h, ' +
              blockSize +
              ');\n      int in_w = w / ' +
              blockSize +
              ';\n      int offset_w = imod(w, ' +
              blockSize +
              ');\n      int offset_d = (offset_h * ' +
              blockSize +
              ' + offset_w) *\n        ' +
              this.getOutputDepthSize() +
              ';\n      int in_d = d + offset_d;\n\n      float result = ' +
              this.getInputSamplingString() +
              ';\n      setOutput(result);\n    }\n  ';
          }
          DepthToSpaceProgram.prototype.getHeightCoordString = function () {
            if (this.dataFormat === 'NHWC') {
              return 'coords[1]';
            } else {
              return 'coords[2]';
            }
          };
          DepthToSpaceProgram.prototype.getWidthCoordString = function () {
            if (this.dataFormat === 'NHWC') {
              return 'coords[2]';
            } else {
              return 'coords[3]';
            }
          };
          DepthToSpaceProgram.prototype.getDepthCoordString = function () {
            if (this.dataFormat === 'NHWC') {
              return 'coords[3]';
            } else {
              return 'coords[1]';
            }
          };
          DepthToSpaceProgram.prototype.getOutputDepthSize = function () {
            if (this.dataFormat === 'NHWC') {
              return this.outputShape[3];
            } else {
              return this.outputShape[1];
            }
          };
          DepthToSpaceProgram.prototype.getInputSamplingString = function () {
            if (this.dataFormat === 'NHWC') {
              return 'getX(b, in_h, in_w, in_d)';
            } else {
              return 'getX(b, in_d, in_h, in_w)';
            }
          };
          return DepthToSpaceProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function depthToSpace(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var blockSize = attrs.blockSize,
            dataFormat = attrs.dataFormat;
          tf.util.assert(blockSize > 1, function () {
            return 'blockSize should be > 1 for depthToSpace, but was: ' + blockSize;
          });
          var batchSize = x.shape[0];
          var inputHeight = dataFormat === 'NHWC' ? x.shape[1] : x.shape[2];
          var inputWidth = dataFormat === 'NHWC' ? x.shape[2] : x.shape[3];
          var inputDepth = dataFormat === 'NHWC' ? x.shape[3] : x.shape[1];
          var outputHeight = inputHeight * blockSize;
          var outputWidth = inputWidth * blockSize;
          var outputDepth = inputDepth / (blockSize * blockSize);
          var outputShape =
            dataFormat === 'NHWC'
              ? [batchSize, outputHeight, outputWidth, outputDepth]
              : [batchSize, outputDepth, outputHeight, outputWidth];
          var program = new DepthToSpaceProgram(outputShape, blockSize, dataFormat);
          return backend.runWebGLProgram(program, [x], x.dtype);
        }
        var depthToSpaceConfig = {
          kernelName: tf.DepthToSpace,
          backendName: 'webgl',
          kernelFunc: depthToSpace,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var DepthwiseConv2DProgram = /** @class */ (function () {
          function DepthwiseConv2DProgram(
            convInfo,
            addBias,
            activation,
            hasPreluActivation,
            hasLeakyReluAlpha,
          ) {
            if (addBias === void 0) {
              addBias = false;
            }
            if (activation === void 0) {
              activation = null;
            }
            if (hasPreluActivation === void 0) {
              hasPreluActivation = false;
            }
            if (hasLeakyReluAlpha === void 0) {
              hasLeakyReluAlpha = false;
            }
            this.variableNames = ['x', 'W'];
            this.outputShape = convInfo.outShape;
            var xNumRows = convInfo.inHeight;
            var xNumCols = convInfo.inWidth;
            var padTop = convInfo.padInfo.top;
            var padLeft = convInfo.padInfo.left;
            var strideHeight = convInfo.strideHeight;
            var strideWidth = convInfo.strideWidth;
            var dilationHeight = convInfo.dilationHeight;
            var dilationWidth = convInfo.dilationWidth;
            var filterHeight = convInfo.filterHeight;
            var filterWidth = convInfo.filterWidth;
            var channelMul = convInfo.outChannels / convInfo.inChannels;
            var activationSnippet = '',
              applyActivationSnippet = '';
            if (activation) {
              if (hasPreluActivation) {
                activationSnippet =
                  'float activation(float a) {\n          float b = getPreluActivationWeightsAtOutCoords();\n          ' +
                  activation +
                  '\n        }';
              } else if (hasLeakyReluAlpha) {
                activationSnippet =
                  'float activation(float a) {\n          float b = getLeakyreluAlphaAtOutCoords();\n          ' +
                  activation +
                  '\n        }';
              } else {
                activationSnippet =
                  '\n          float activation(float x) {\n            ' +
                  activation +
                  '\n          }\n        ';
              }
              applyActivationSnippet = 'result = activation(result);';
            }
            var addBiasSnippet = addBias ? 'result += getBiasAtOutCoords();' : '';
            if (addBias) {
              this.variableNames.push('bias');
            }
            if (hasPreluActivation) {
              this.variableNames.push('preluActivationWeights');
            }
            if (hasLeakyReluAlpha) {
              this.variableNames.push('leakyreluAlpha');
            }
            this.userCode =
              '\n      ' +
              activationSnippet +
              '\n\n      const ivec2 strides = ivec2(' +
              strideHeight +
              ', ' +
              strideWidth +
              ');\n      const ivec2 pads = ivec2(' +
              padTop +
              ', ' +
              padLeft +
              ');\n\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int batch = coords.x;\n        ivec2 xRCCorner = coords.yz * strides - pads;\n        int d2 = coords.w;\n        int d1 = d2 / ' +
              channelMul +
              ';\n        int q = d2 - d1 * ' +
              channelMul +
              ';\n\n        int xRCorner = xRCCorner.x;\n        int xCCorner = xRCCorner.y;\n\n        // Convolve x(?, ?, d1) with w(:, :, d1, q) to get y(yR, yC, d2).\n        // ? = to be determined. : = across all values in that axis.\n        float dotProd = 0.0;\n        // TO DO(dsmilkov): Flatten the two for loops and vec4 the operations.\n        for (int wR = 0; wR < ' +
              filterHeight +
              '; wR++) {\n          int xR = xRCorner + wR * ' +
              dilationHeight +
              ';\n\n          if (xR < 0 || xR >= ' +
              xNumRows +
              ') {\n            continue;\n          }\n\n          for (int wC = 0; wC < ' +
              filterWidth +
              '; wC++) {\n            int xC = xCCorner + wC * ' +
              dilationWidth +
              ';\n\n            if (xC < 0 || xC >= ' +
              xNumCols +
              ') {\n              continue;\n            }\n\n            float xVal = getX(batch, xR, xC, d1);\n            float wVal = getW(wR, wC, d1, q);\n            dotProd += xVal * wVal;\n          }\n        }\n\n        float result = dotProd;\n        ' +
              addBiasSnippet +
              '\n        ' +
              applyActivationSnippet +
              '\n        setOutput(result);\n      }\n    ';
          }
          return DepthwiseConv2DProgram;
        })();

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var DepthwiseConvPacked2DProgram = /** @class */ (function () {
          function DepthwiseConvPacked2DProgram(
            convInfo,
            addBias,
            activation,
            hasPreluActivation,
            hasLeakyReluAlpha,
          ) {
            if (addBias === void 0) {
              addBias = false;
            }
            if (activation === void 0) {
              activation = null;
            }
            if (hasPreluActivation === void 0) {
              hasPreluActivation = false;
            }
            if (hasLeakyReluAlpha === void 0) {
              hasLeakyReluAlpha = false;
            }
            this.variableNames = ['x', 'W'];
            this.packedInputs = true;
            this.packedOutput = true;
            this.outputShape = convInfo.outShape;
            var channelMul = convInfo.outChannels / convInfo.inChannels;
            var xNumRows = convInfo.inHeight;
            var xNumCols = convInfo.inWidth;
            var padTop = convInfo.padInfo.top;
            var padLeft = convInfo.padInfo.left;
            var strideHeight = convInfo.strideHeight;
            var strideWidth = convInfo.strideWidth;
            var dilationHeight = convInfo.dilationHeight;
            var dilationWidth = convInfo.dilationWidth;
            var filterHeight = convInfo.filterHeight;
            var filterWidth = convInfo.filterWidth;
            var texelsAcross = filterWidth;
            var mainLoop =
              '\n      int xR; int xC; int xCOffset;\n      vec4 wTexel; vec4 previous; vec4 final;';
            for (var c = 0; c < filterWidth; c++) {
              mainLoop +=
                '\n          vec4 xTexelC' +
                c * 2 +
                ';\n          int xTexelC' +
                c * 2 +
                'Ready;\n          vec4 xC' +
                c +
                ';';
            }
            /**
             * This vectorized implementation works by gathering the values needed for
             * each output channel's dot product into vec4's and then multiplying them
             * all together (this happens in the final double for-loop below). Most of
             * the main loop consists of constructing these vec4's with the minimum
             * number of texture2D calls, which means making use of all four returned
             * values from a texture2D call at once.
             */
            for (var r = 0; r < filterHeight; r++) {
              for (var c = 0; c < filterWidth; c++) {
                mainLoop +=
                  '\n          xTexelC' +
                  c * 2 +
                  ' = vec4(0.0);\n          xTexelC' +
                  c * 2 +
                  'Ready = 0;\n          xC' +
                  c +
                  ' = vec4(0.0);';
              }
              mainLoop +=
                '\n        xR = xRCorner + ' +
                r * dilationHeight +
                ';\n        if (xR >=0 && xR < ' +
                xNumRows +
                ') {\n      ';
              for (var texelC = 0; texelC < (texelsAcross + 1) / 2; texelC++) {
                var colIndex = texelC * 2;
                var c = colIndex * dilationWidth;
                mainLoop += '\n          xC = xCCorner + ' + c + ';\n          ';
                if (strideWidth === 1) {
                  if (colIndex < filterWidth) {
                    // If padding is odd, the outer texels have to be composed.
                    if (padLeft % 2 === 1) {
                      // TODO: Ensure vec4 previous does not result in redundant sample,
                      // and avoid setting xTexelRC's that exceed the boundary in the
                      // first place rather than resetting them to vec4(0)).
                      // To compute xCOffset:
                      // - If padding is odd, we must add 1 to ensure we ask for an
                      // even-numbered row.
                      // - We subtract 2 to access the previous texel.
                      mainLoop +=
                        '\n                xCOffset = xC + 1;\n                if (xCOffset >= 0 && xCOffset < ' +
                        xNumCols +
                        ' && xTexelC' +
                        c +
                        'Ready == 0) {\n                  xTexelC' +
                        c +
                        " = getX(batch, xR, xCOffset, d1);\n\n                  // Need to manually clear unused channels in case\n                  // we're reading from recycled texture.\n                  if (xCOffset + 1 >= " +
                        xNumCols +
                        ') {\n                    xTexelC' +
                        c +
                        '.zw = vec2(0.0);\n                  }\n                  xTexelC' +
                        c +
                        'Ready = 1;\n                }\n              ';
                      // This texel has been read in previous iteration if the dilation
                      // is 1.
                      if (dilationWidth === 1 && c > 0) {
                        mainLoop +=
                          '\n                xC' +
                          colIndex +
                          ' = vec4(xTexelC' +
                          (c - 2) +
                          '.zw, xTexelC' +
                          c +
                          '.xy);\n                ';
                      } else {
                        mainLoop +=
                          '\n                  xCOffset = xC + 1 - 2;\n\n                  if (xCOffset >= 0 && xCOffset < ' +
                          xNumCols +
                          ") {\n                    previous = getX(batch, xR, xCOffset, d1);\n\n                    // Need to manually clear unused channels in case\n                    // we're reading from recycled texture.\n                    if (xCOffset + 1 >= " +
                          xNumCols +
                          ') {\n                      previous.zw = vec2(0.0);\n                    }\n\n                    xC' +
                          colIndex +
                          ' = vec4(previous.zw, xTexelC' +
                          c +
                          '.xy);\n                  } else {\n                    xC' +
                          colIndex +
                          ' = vec4(0.0, 0.0, xTexelC' +
                          c +
                          '.xy);\n                  }\n                  ';
                      }
                    } else {
                      // Padding is even, so xRC corresponds to a single texel.
                      mainLoop +=
                        '\n                if (xC >= 0 && xC < ' +
                        xNumCols +
                        ' && xTexelC' +
                        c +
                        'Ready == 0) {\n                  xTexelC' +
                        c +
                        ' = getX(batch, xR, xC, d1);\n                  if (xC + 1 >= ' +
                        xNumCols +
                        ') {\n                    xTexelC' +
                        c +
                        '.zw = vec2(0.0);\n                  }\n                  xTexelC' +
                        c +
                        'Ready = 1;\n                }\n\n                xC' +
                        colIndex +
                        ' = xTexelC' +
                        c +
                        ';\n                ';
                    }
                    if (c + 1 < filterWidth) {
                      // If dilation is even, the second entry should match the first
                      // (either both are composed or both are single samples). But if
                      // dilation is odd, then the second entry should be the opposite
                      // of the first (if the first is composed, the second is a single
                      // sample, and vice versa.)
                      var nextTexelOffset =
                        padLeft % 2 === 0
                          ? tf.util.nearestLargerEven(dilationWidth)
                          : dilationWidth;
                      if (
                        (dilationWidth % 2 === 0 && padLeft % 2 === 1) ||
                        (dilationWidth % 2 !== 0 && padLeft % 2 !== 1)
                      ) {
                        mainLoop +=
                          '\n                  xCOffset = xC + ' +
                          (padLeft % 2) +
                          ' + ' +
                          nextTexelOffset +
                          ';\n\n                  if (xCOffset >= 0 && xCOffset < ' +
                          xNumCols +
                          ' && xTexelC' +
                          (c + 2) +
                          'Ready == 0) {\n                    xTexelC' +
                          (c + 2) +
                          " = getX(batch, xR, xCOffset, d1);\n\n                    // Need to manually clear unused channels in case\n                    // we're reading from recycled texture.\n                    if (xCOffset + 1 >= " +
                          xNumCols +
                          ') {\n                      xTexelC' +
                          (c + 2) +
                          '.zw = vec2(0.0);\n                    }\n                    xTexelC' +
                          (c + 2) +
                          'Ready = 1;\n                  }\n                  ';
                        // If dilation > 1 then the xRC's will not be able to share any
                        // values, so each xRC will require two unique calls to getX.
                        if (dilationWidth > 1) {
                          mainLoop +=
                            '\n                    xCOffset -= 2;\n                    if (xCOffset >= 0 && xCOffset < ' +
                            xNumCols +
                            ' && xTexelC' +
                            c +
                            'Ready == 0) {\n                      xTexelC' +
                            c +
                            ' = getX(batch, xR, xCOffset, d1);\n                      xTexelC' +
                            c +
                            'Ready = 1;\n                    }\n                    ';
                        }
                        mainLoop +=
                          '\n                  xC' +
                          (colIndex + 1) +
                          ' = vec4(xTexelC' +
                          c +
                          '.zw, xTexelC' +
                          (c + 2) +
                          '.xy);\n                  ';
                      } else {
                        // If dilation is 1 and padding is odd, we have already read the
                        // texel when constructing the previous x value. Here we can
                        // simply skip the texture read.
                        if (nextTexelOffset === 1) {
                          mainLoop +=
                            '\n                    xC' +
                            (colIndex + 1) +
                            ' = xTexelC' +
                            c +
                            ';\n                    ';
                        } else {
                          mainLoop +=
                            '\n                    xCOffset = xC + ' +
                            nextTexelOffset +
                            ';\n\n                    if (xCOffset >= 0 && xCOffset < ' +
                            xNumCols +
                            ' && xTexelC' +
                            (c + 2) +
                            'Ready == 0) {\n                      xTexelC' +
                            (c + 2) +
                            ' = getX(batch, xR, xCOffset, d1);\n                      if (xCOffset + 1 >= ' +
                            xNumCols +
                            ') {\n                        xTexelC' +
                            (c + 2) +
                            '.zw = vec2(0.0);\n                      }\n                      xTexelC' +
                            (c + 2) +
                            'Ready = 1;\n                    }\n\n                    xC' +
                            (colIndex + 1) +
                            ' = xTexelC' +
                            (c + 2) +
                            ';\n                    ';
                        }
                      }
                    }
                  }
                } else {
                  // stride === 2
                  if (c < filterWidth) {
                    // Depending on whether padLeft is even or odd, we want either the
                    // xy or zw channels from X texels for xC${colIndex}. If padLeft is
                    // even, xC${colIndex +1} is simply the zw channels of texels we've
                    // already sampled. But if padLeft is odd, xC{$c + 1}.zw will
                    // need to come from the xy channels of a new texel, hence the `
                    // vec4
                    // final` initialized below.
                    if (padLeft % 2 === 1) {
                      mainLoop +=
                        '\n                xCOffset = xC + 1 - ' +
                        strideWidth +
                        ';\n                if(xCOffset >= 0 && xCOffset < ' +
                        xNumCols +
                        ' && xTexelC' +
                        c +
                        'Ready == 0) {\n                  xTexelC' +
                        c +
                        " = getX(batch, xR, xCOffset, d1);\n                  // Need to manually clear unused channels in case\n                  // we're reading from recycled texture.\n                  if (xCOffset + 1 >= " +
                        xNumCols +
                        ') {\n                    xTexelC' +
                        c +
                        '.zw = vec2(0.0);\n                  }\n                  xTexelC' +
                        c +
                        'Ready = 1;\n                }\n\n                if(xC + 1 >= 0 && xC + 1 < ' +
                        xNumCols +
                        ' && xTexelC' +
                        (c + 2) +
                        'Ready == 0) {\n                  xTexelC' +
                        (c + 2) +
                        " = getX(batch, xR, xC + 1, d1);\n                  // Need to manually clear unused channels in case\n                  // we're reading from recycled texture.\n                  if (xC + 2 >= " +
                        xNumCols +
                        ') {\n                    xTexelC' +
                        (c + 2) +
                        '.zw = vec2(0.0);\n                  }\n                  xTexelC' +
                        (c + 2) +
                        'Ready = 1;\n                }\n\n                xC' +
                        colIndex +
                        ' = vec4(xTexelC' +
                        c +
                        '.zw, xTexelC' +
                        (c + 2) +
                        '.zw);\n              ';
                      if (c + 1 < filterWidth) {
                        mainLoop +=
                          '\n                  final = vec4(0.0);\n                  xCOffset = xC + 1 + ' +
                          strideWidth +
                          ';\n                  if(xCOffset >= 0 && xCOffset < ' +
                          xNumCols +
                          ') {\n                    final = getX(batch, xR, xCOffset, d1);\n                  }\n                  xC' +
                          (colIndex + 1) +
                          ' = vec4(xTexelC' +
                          (c + 2) +
                          '.xy, final.xy);\n                ';
                      }
                    } else {
                      mainLoop +=
                        '\n                if(xC >= 0 && xC < ' +
                        xNumCols +
                        ' && xTexelC' +
                        c +
                        'Ready == 0) {\n                  xTexelC' +
                        c +
                        ' = getX(batch, xR, xC, d1);\n                  if (xC + 1 >= ' +
                        xNumCols +
                        ') {\n                    xTexelC' +
                        c +
                        '.zw = vec2(0.0);\n                  }\n                  xTexelC' +
                        c +
                        'Ready = 1;\n                }\n\n                xCOffset = xC + ' +
                        strideWidth +
                        ';\n                if(xCOffset >= 0 && xCOffset < ' +
                        xNumCols +
                        ' && xTexelC' +
                        (c + 2) +
                        'Ready == 0) {\n                  xTexelC' +
                        (c + 2) +
                        ' = getX(batch, xR, xCOffset, d1);\n                  if (xCOffset + 1 >= ' +
                        xNumCols +
                        ') {\n                    xTexelC' +
                        (c + 2) +
                        '.zw = vec2(0.);\n                  }\n                  xTexelC' +
                        (c + 2) +
                        'Ready = 1;\n                }\n\n                xC' +
                        colIndex +
                        ' = vec4(\n                  xTexelC' +
                        c +
                        '.xy, xTexelC' +
                        (c + 2) +
                        '.xy);\n              ';
                      if (c + 1 < filterWidth) {
                        mainLoop +=
                          '\n                  xC' +
                          (colIndex + 1) +
                          ' = vec4(xTexelC' +
                          c +
                          '.zw, xTexelC' +
                          (c + 2) +
                          '.zw);\n                ';
                      }
                    }
                  }
                }
                // localize the dotProd accumulation within the loop, the theory is for
                // GPU with limited cache, accumulate sum across large amount of
                // veriables will cause lots of cache misses. (i.e. 5x5 filter will have
                // 50 variables)
                if (colIndex < filterWidth) {
                  mainLoop +=
                    '\n            wTexel = getW(' +
                    r +
                    ', ' +
                    c +
                    ', d1, q);\n            dotProd += xC' +
                    colIndex +
                    ' * vec4(wTexel.xz, wTexel.xz);\n          ';
                  if (c + 1 < filterWidth) {
                    mainLoop +=
                      '\n              wTexel = getW(' +
                      r +
                      ', ' +
                      (c + 1) +
                      ', d1, q);\n              dotProd += xC' +
                      (colIndex + 1) +
                      ' * vec4(wTexel.xz, wTexel.xz);\n            ';
                  }
                }
              }
              mainLoop += '\n        }\n      ';
            }
            var activationSnippet = '',
              applyActivationSnippet = '';
            if (activation) {
              if (hasPreluActivation) {
                activationSnippet =
                  'vec4 activation(vec4 a) {\n          vec4 b = getPreluActivationWeightsAtOutCoords();\n          ' +
                  activation +
                  '\n        }';
              } else if (hasLeakyReluAlpha) {
                activationSnippet =
                  'vec4 activation(vec4 a) {\n          vec4 b = getLeakyreluAlphaAtOutCoords();\n          ' +
                  activation +
                  '\n        }';
              } else {
                activationSnippet =
                  'vec4 activation(vec4 x) {\n          ' + activation + '\n        }';
              }
              applyActivationSnippet = 'result = activation(result);';
            }
            var addBiasSnippet = addBias ? 'result += getBiasAtOutCoords();' : '';
            if (addBias) {
              this.variableNames.push('bias');
            }
            if (hasPreluActivation) {
              this.variableNames.push('preluActivationWeights');
            }
            if (hasLeakyReluAlpha) {
              this.variableNames.push('leakyreluAlpha');
            }
            this.userCode =
              '\n      ' +
              activationSnippet +
              '\n\n      const ivec2 strides = ivec2(' +
              strideHeight +
              ', ' +
              strideWidth +
              ');\n      const ivec2 pads = ivec2(' +
              padTop +
              ', ' +
              padLeft +
              ');\n\n      void main() {\n\n        ivec4 coords = getOutputCoords();\n        int batch = coords.x;\n        ivec2 xRCCorner = coords.yz * strides - pads;\n        int d2 = coords.w;\n        int d1 = d2 / ' +
              channelMul +
              ';\n        int q = d2 - d1 * ' +
              channelMul +
              ';\n        int xRCorner = xRCCorner.x;\n        int xCCorner = xRCCorner.y;\n\n        //intialize dotProd with a small epsilon seems to reduce GPU accuracy loss.\n        vec4 dotProd = vec4(0.000000000000001);\n\n        ' +
              mainLoop +
              '\n\n        vec4 result = dotProd - vec4(0.000000000000001);\n        ' +
              addBiasSnippet +
              '\n        ' +
              applyActivationSnippet +
              '\n        setOutput(result);\n      }\n    ';
          }
          return DepthwiseConvPacked2DProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function depthwiseConv2dNative(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            filter = inputs.filter;
          var strides = attrs.strides,
            pad = attrs.pad,
            dilations = attrs.dilations,
            dimRoundingMode = attrs.dimRoundingMode;
          var $dilations = dilations;
          if ($dilations == null) {
            $dilations = [1, 1];
          }
          tf.util.assert(
            tf.backend_util.eitherStridesOrDilationsAreOne(strides, $dilations),
            function () {
              return (
                'Error in depthwiseConv2d: Either strides or dilations must be ' +
                ('1. Got strides ' + strides + " and dilations '" + $dilations + "'")
              );
            },
          );
          var convInfo = tf.backend_util.computeConv2DInfo(
            x.shape,
            filter.shape,
            strides,
            $dilations,
            pad,
            dimRoundingMode,
            true /* depthwise */,
          );
          var program;
          if (
            tf.env().getBool('WEBGL_PACK_DEPTHWISECONV') &&
            convInfo.strideWidth <= 2 &&
            convInfo.outChannels / convInfo.inChannels === 1
          ) {
            program = new DepthwiseConvPacked2DProgram(convInfo);
          } else {
            program = new DepthwiseConv2DProgram(convInfo);
          }
          return backend.runWebGLProgram(program, [x, filter], 'float32');
        }
        var depthwiseConv2dNativeConfig = {
          kernelName: tf.DepthwiseConv2dNative,
          backendName: 'webgl',
          kernelFunc: depthwiseConv2dNative,
        };

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var DepthwiseConv2DDerFilterProgram = /** @class */ (function () {
          function DepthwiseConv2DDerFilterProgram(convInfo) {
            this.variableNames = ['x', 'dy'];
            this.outputShape = convInfo.filterShape;
            var strideHeight = convInfo.strideHeight;
            var strideWidth = convInfo.strideWidth;
            var padTop = convInfo.padInfo.top;
            var padLeft = convInfo.padInfo.left;
            var channelMul = convInfo.outChannels / convInfo.inChannels;
            this.userCode =
              '\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int wR = coords.x;\n        int wC = coords.y;\n        int d1 = coords.z;\n        int dm = coords.w;\n        int d2 = d1 * ' +
              channelMul +
              ' + dm;\n\n        float dotProd = 0.0;\n\n        // TO DO: Vec4 over the batch size\n        for (int b = 0; b < ' +
              convInfo.batchSize +
              '; b++) {\n          for (int yR = 0; yR < ' +
              convInfo.outHeight +
              '; yR++) {\n            int xR = wR + yR * ' +
              strideHeight +
              ' - ' +
              padTop +
              ';\n\n            if (xR < 0 || xR >= ' +
              convInfo.inHeight +
              ') {\n              continue;\n            }\n\n            for (int yC = 0; yC < ' +
              convInfo.outWidth +
              '; yC++) {\n              int xC = wC + yC * ' +
              strideWidth +
              ' - ' +
              padLeft +
              ';\n\n              if (xC < 0 || xC >= ' +
              convInfo.inWidth +
              ') {\n                continue;\n              }\n\n              float dyValue = getDy(b, yR, yC, d2);\n              float xValue = getX(b, xR, xC, d1);\n              dotProd += (xValue * dyValue);\n            }\n          }\n        }\n        setOutput(dotProd);\n      }\n    ';
          }
          return DepthwiseConv2DDerFilterProgram;
        })();
        var DepthwiseConv2DDerInputProgram = /** @class */ (function () {
          function DepthwiseConv2DDerInputProgram(convInfo) {
            this.variableNames = ['dy', 'W'];
            this.outputShape = convInfo.inShape;
            var filterHeight = convInfo.filterHeight;
            var filterWidth = convInfo.filterWidth;
            var strideHeight = convInfo.strideHeight;
            var strideWidth = convInfo.strideWidth;
            var padTop = filterHeight - 1 - convInfo.padInfo.top;
            var padLeft = filterWidth - 1 - convInfo.padInfo.left;
            var channelMul = convInfo.outChannels / convInfo.inChannels;
            this.userCode =
              '\n      const ivec2 pads = ivec2(' +
              padTop +
              ', ' +
              padLeft +
              ');\n\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int batch = coords[0];\n        int d1 = coords[3];\n        ivec2 dyCorner = coords.yz - pads;\n        int dyRCorner = dyCorner.x;\n        int dyCCorner = dyCorner.y;\n\n        float dotProd = 0.0;\n\n        for (int wR = 0; wR < ' +
              filterHeight +
              '; wR++) {\n          float dyR = float(dyRCorner + wR) / ' +
              strideHeight +
              '.0;\n\n          if (dyR < 0.0 || dyR >= ' +
              convInfo.outHeight +
              '.0 || fract(dyR) > 0.0) {\n            continue;\n          }\n          int idyR = int(dyR);\n\n          int wRPerm = ' +
              filterHeight +
              ' - 1 - wR;\n\n          for (int wC = 0; wC < ' +
              filterWidth +
              '; wC++) {\n            float dyC = float(dyCCorner + wC) / ' +
              strideWidth +
              '.0;\n\n            if (dyC < 0.0 || dyC >= ' +
              convInfo.outWidth +
              '.0 ||\n                fract(dyC) > 0.0) {\n              continue;\n            }\n            int idyC = int(dyC);\n\n            int wCPerm = ' +
              filterWidth +
              ' - 1 - wC;\n\n            // TO DO: Vec4 over the channelMul\n            for (int dm = 0; dm < ' +
              channelMul +
              '; dm++) {\n              int d2 = d1 * ' +
              channelMul +
              ' + dm;\n              float xValue = getDy(batch, idyR, idyC, d2);\n              float wValue = getW(wRPerm, wCPerm, d1, dm);\n              dotProd += xValue * wValue;\n            }\n          }\n        }\n        setOutput(dotProd);\n      }\n    ';
          }
          return DepthwiseConv2DDerInputProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function depthwiseConv2dNativeBackpropFilter(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            dy = inputs.dy;
          var strides = attrs.strides,
            dilations = attrs.dilations,
            pad = attrs.pad,
            dimRoundingMode = attrs.dimRoundingMode,
            filterShape = attrs.filterShape;
          var convInfo = tf.backend_util.computeConv2DInfo(
            x.shape,
            filterShape,
            strides,
            dilations,
            pad,
            dimRoundingMode,
            true /* depthwise */,
          );
          var program = new DepthwiseConv2DDerFilterProgram(convInfo);
          return backend.runWebGLProgram(program, [x, dy], 'float32');
        }
        var depthwiseConv2dNativeBackpropFilterConfig = {
          kernelName: tf.DepthwiseConv2dNativeBackpropFilter,
          backendName: 'webgl',
          kernelFunc: depthwiseConv2dNativeBackpropFilter,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function depthwiseConv2dNativeBackpropInput(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var dy = inputs.dy,
            filter = inputs.filter;
          var strides = attrs.strides,
            dilations = attrs.dilations,
            pad = attrs.pad,
            dimRoundingMode = attrs.dimRoundingMode,
            inputShape = attrs.inputShape;
          var convInfo = tf.backend_util.computeConv2DInfo(
            inputShape,
            filter.shape,
            strides,
            dilations,
            pad,
            dimRoundingMode,
            true /* depthwise */,
          );
          var program = new DepthwiseConv2DDerInputProgram(convInfo);
          return backend.runWebGLProgram(program, [dy, filter], 'float32');
        }
        var depthwiseConv2dNativeBackpropInputConfig = {
          kernelName: tf.DepthwiseConv2dNativeBackpropInput,
          backendName: 'webgl',
          kernelFunc: depthwiseConv2dNativeBackpropInput,
        };

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var DiagProgram = /** @class */ (function () {
          function DiagProgram(size) {
            this.variableNames = ['X'];
            this.outputShape = [size, size];
            this.userCode =
              '\n      void main() {\n          ivec2 coords = getOutputCoords();\n          float val = coords[0] == coords[1] ? getX(coords[0]) : 0.0;\n          setOutput(val);\n      }\n    ';
          }
          return DiagProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function diag(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var x = inputs.x;
          var outShape = x.shape.concat(x.shape);
          var xSize = tf.util.sizeFromShape(x.shape);
          var flat = reshape({ inputs: { x: x }, backend: backend, attrs: { shape: [xSize] } });
          var program = new DiagProgram(xSize);
          var res = backend.runWebGLProgram(program, [flat], flat.dtype);
          var out = reshape({ inputs: { x: res }, backend: backend, attrs: { shape: outShape } });
          backend.disposeIntermediateTensorInfo(flat);
          backend.disposeIntermediateTensorInfo(res);
          return out;
        }
        var diagConfig = {
          kernelName: tf.Diag,
          backendName: 'webgl',
          kernelFunc: diag,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var Dilation2DProgram = /** @class */ (function () {
          function Dilation2DProgram(convInfo) {
            this.variableNames = ['x', 'W'];
            this.outputShape = convInfo.outShape;
            var inHeight = convInfo.inHeight,
              inWidth = convInfo.inWidth,
              padInfo = convInfo.padInfo,
              strideHeight = convInfo.strideHeight,
              strideWidth = convInfo.strideWidth,
              filterHeight = convInfo.filterHeight,
              filterWidth = convInfo.filterWidth,
              dilationHeight = convInfo.dilationHeight,
              dilationWidth = convInfo.dilationWidth;
            var padTop = padInfo.top,
              padLeft = padInfo.left;
            this.userCode =
              '\n      const ivec2 strides = ivec2(' +
              strideHeight +
              ', ' +
              strideWidth +
              ');\n      const ivec2 pads = ivec2(' +
              padTop +
              ', ' +
              padLeft +
              ');\n      const float neg_infinity = -3.4e38;\n\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int batch = coords.x;\n        int d1 = coords.w;\n        ivec2 outTopLeftCorner =\n            coords.yz * strides - pads;\n        int hBeg = outTopLeftCorner.x;\n        int wBeg = outTopLeftCorner.y;\n\n        float curVal = neg_infinity;\n        for (int h = 0; h < ' +
              filterHeight +
              '; h++) {\n          int hIn = hBeg + h * ' +
              dilationHeight +
              ';\n\n          if (hIn >= 0 && hIn < ' +
              inHeight +
              ') {\n            for (int w = 0; w < ' +
              filterWidth +
              '; w++) {\n              int wIn = wBeg + w * ' +
              dilationWidth +
              ';\n\n              if (wIn >= 0 && wIn < ' +
              inWidth +
              ') {\n                float xVal = getX(batch, hIn, wIn, d1);\n                float wVal = getW(h, w, d1);\n\n                float val = xVal + wVal;\n                if (val > curVal) {\n                  curVal = val;\n                }\n              }\n            }\n          }\n        }\n\n        float result = curVal;\n        setOutput(result);\n      }\n    ';
          }
          return Dilation2DProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function dilation2D(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            filter = inputs.filter;
          var strides = attrs.strides,
            pad = attrs.pad,
            dilations = attrs.dilations;
          var convInfo = tf.backend_util.computeDilation2DInfo(
            x.shape,
            filter.shape,
            strides,
            pad,
            'NHWC' /* dataFormat */,
            dilations,
          );
          var out;
          var program = new Dilation2DProgram(convInfo);
          out = backend.runWebGLProgram(program, [x, filter], 'float32');
          var outReshaped = reshape({
            inputs: { x: out },
            backend: backend,
            attrs: { shape: convInfo.outShape },
          });
          backend.disposeIntermediateTensorInfo(out);
          return outReshaped;
        }
        var dilation2DConfig = {
          kernelName: tf.Dilation2D,
          backendName: 'webgl',
          kernelFunc: dilation2D,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function einsum(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var equation = attrs.equation;
          var tensors = inputs;
          var _a = tf.backend_util.decodeEinsumEquation(equation, tensors.length),
            allDims = _a.allDims,
            summedDims = _a.summedDims,
            idDims = _a.idDims;
          tf.backend_util.checkEinsumDimSizes(allDims.length, idDims, tensors);
          var _b = tf.backend_util.getEinsumComputePath(summedDims, idDims),
            path = _b.path,
            steps = _b.steps;
          var nSteps = steps.length;
          var out = null;
          var numDimsRemaining = allDims.length;
          var tensorsToDispose = [];
          for (var i = 0; i < nSteps; ++i) {
            for (var _i = 0, _c = steps[i]; _i < _c.length; _i++) {
              var idTerm = _c[_i];
              var _d = tf.backend_util.getEinsumPermutation(numDimsRemaining, idDims[idTerm]),
                perm = _d.permutationIndices,
                dimsToExpand = _d.expandDims;
              var x = void 0;
              if (tf.backend_util.isIdentityPermutation(perm)) {
                x = tensors[idTerm];
              } else {
                x = transpose({
                  inputs: { x: tensors[idTerm] },
                  backend: backend,
                  attrs: { perm: perm },
                });
                tensorsToDispose.push(x);
              }
              var targetShape = x.shape.slice();
              for (var k = 0; k < dimsToExpand.length; ++k) {
                targetShape.splice(dimsToExpand[k], 0, 1);
              }
              if (!tf.util.arraysEqual(x.shape, targetShape)) {
                x = reshape({ inputs: { x: x }, backend: backend, attrs: { shape: targetShape } });
                tensorsToDispose.push(x);
              }
              if (out === null) {
                out = x;
              } else {
                // tslint:disable-next-line: no-unnecessary-type-assertion
                out = multiply({ inputs: { a: x, b: out }, backend: backend });
                tensorsToDispose.push(out);
              }
            }
            if (i < nSteps - 1) {
              if (path[i] >= 0) {
                out = sum({
                  inputs: { x: out },
                  backend: backend,
                  attrs: {
                    axis: path[i] - (allDims.length - numDimsRemaining),
                    keepDims: false,
                  },
                });
                tensorsToDispose.push(out);
              }
              numDimsRemaining--;
            }
          }
          // Clean up intermediate tensors.
          for (
            var _e = 0, tensorsToDispose_1 = tensorsToDispose;
            _e < tensorsToDispose_1.length;
            _e++
          ) {
            var tensorInfo = tensorsToDispose_1[_e];
            if (tensorInfo === out) {
              continue;
            }
            backend.disposeIntermediateTensorInfo(tensorInfo);
          }
          return out;
        }
        var einsumConfig = {
          kernelName: tf.Einsum,
          backendName: 'webgl',
          kernelFunc: einsum,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ELU$2 = 'return (x >= 0.0) ? x : (exp(x) - 1.0);';
        var ELU_PACKED =
          '\n  vec4 result;\n\n  result.r = (x.r >= 0.0) ? x.r : (exp(x.r) - 1.0);\n  result.g = (x.g >= 0.0) ? x.g : (exp(x.g) - 1.0);\n  result.b = (x.b >= 0.0) ? x.b : (exp(x.b) - 1.0);\n  result.a = (x.a >= 0.0) ? x.a : (exp(x.a) - 1.0);\n\n  return result;\n';
        var elu = unaryKernelFunc({ opSnippet: ELU$2, packedOpSnippet: ELU_PACKED });
        var eluConfig = {
          kernelName: tf.Elu,
          backendName: 'webgl',
          kernelFunc: elu,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ELU_DER = 'return (b >= 1.0) ? a : a * (b + 1.0);';
        var ELU_DER_PACKED =
          '\n  vec4 bGTEZero = vec4(greaterThanEqual(b, vec4(0.)));\n  return (bGTEZero * a) + ((vec4(1.0) - bGTEZero) * (a * (b + vec4(1.0))));\n';
        var eluGrad = function (args) {
          var inputs = args.inputs,
            backend = args.backend;
          var dy = inputs.dy,
            y = inputs.y;
          var program = tf.env().getBool('WEBGL_PACK_BINARY_OPERATIONS')
            ? new BinaryOpPackedProgram(ELU_DER_PACKED, dy.shape, y.shape)
            : new BinaryOpProgram(ELU_DER, dy.shape, y.shape);
          return backend.runWebGLProgram(program, [dy, y], dy.dtype);
        };
        var eluGradConfig = {
          kernelName: tf.EluGrad,
          backendName: 'webgl',
          kernelFunc: eluGrad,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var PACKED_EQUAL = '\n  return vec4(equal(a, b));\n';
        var EQUAL = 'return float(a == b);';
        var equal = binaryKernelFunc({
          opSnippet: EQUAL,
          packedOpSnippet: PACKED_EQUAL,
          dtype: 'bool',
          cpuKernelImpl: equalImplCPU,
        });
        var equalConfig = {
          kernelName: tf.Equal,
          backendName: 'webgl',
          kernelFunc: equal,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ERF =
          '\n  // Error function is calculated approximately with elementary function.\n  // See "Handbook of Mathematical Functions with Formulas,\n  // Graphs, and Mathematical Tables", Abramowitz and Stegun.\n  float p = ' +
          tf.backend_util.ERF_P +
          ';\n  float a1 = ' +
          tf.backend_util.ERF_A1 +
          ';\n  float a2 = ' +
          tf.backend_util.ERF_A2 +
          ';\n  float a3 = ' +
          tf.backend_util.ERF_A3 +
          ';\n  float a4 = ' +
          tf.backend_util.ERF_A4 +
          ';\n  float a5 = ' +
          tf.backend_util.ERF_A5 +
          ';\n\n  float sign = sign(x);\n  x = abs(x);\n  float t = 1.0 / (1.0 + p * x);\n  return sign * (1.0 - (((((a5*t + a4)*t) + a3)*t + a2)*t + a1)*t*exp(-x*x));\n';
        var erf = unaryKernelFunc({ opSnippet: ERF });
        var erfConfig = {
          kernelName: tf.Erf,
          backendName: 'webgl',
          kernelFunc: erf,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var EXP = 'return exp(x);';
        var exp = unaryKernelFunc({
          opSnippet: EXP,
          packedOpSnippet: EXP,
          cpuKernelImpl: expImplCPU,
        });
        var expConfig = {
          kernelName: tf.Exp,
          backendName: 'webgl',
          kernelFunc: exp,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function expandDims(args) {
          var inputs = args.inputs,
            attrs = args.attrs,
            backend = args.backend;
          var dim = attrs.dim;
          var input = inputs.input;
          var inputRank = input.shape.length;
          var newShape = input.shape.slice();
          var $dim = dim;
          if (dim < 0) {
            // Negative value is counted from the tail of rank.
            tf.util.assert(-(inputRank + 1) <= dim, function () {
              return 'Axis must be in the interval [' + -(inputRank + 1) + ', ' + inputRank + ']';
            });
            $dim = inputRank + dim + 1;
          }
          newShape.splice($dim, 0, 1);
          return reshape({ inputs: { x: input }, backend: backend, attrs: { shape: newShape } });
        }
        var expandDimsConfig = {
          kernelName: tf.ExpandDims,
          backendName: 'webgl',
          kernelFunc: expandDims,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var EXPM1 = 'return exp(x) - 1.0;';
        var expm1 = unaryKernelFunc({
          opSnippet: EXPM1,
          packedOpSnippet: EXPM1,
          cpuKernelImpl: expm1ImplCPU,
        });
        var expm1Config = {
          kernelName: tf.Expm1,
          backendName: 'webgl',
          kernelFunc: expm1,
        };

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var FFTProgram = /** @class */ (function () {
          function FFTProgram(component, inputShape, inverse) {
            this.variableNames = ['real', 'imag'];
            var innerDim = inputShape[1];
            this.outputShape = inputShape;
            var exponentMultiplierSnippet = inverse ? '2.0 * ' + Math.PI : '-2.0 * ' + Math.PI;
            var resultDenominator = inverse ? innerDim + '.0' : '1.0';
            var opString;
            if (component === 'real') {
              opString = 'return real * expR - imag * expI;';
            } else if (component === 'imag') {
              opString = 'return real * expI + imag * expR;';
            } else {
              throw new Error(
                'FFT component must be either "real" or "imag", got ' + component + '.',
              );
            }
            this.userCode =
              '\n      const float exponentMultiplier = ' +
              exponentMultiplierSnippet +
              ';\n\n      float unaryOpComplex(float real, float expR, float imag, float expI) {\n        ' +
              opString +
              '\n      }\n\n      float mulMatDFT(int batch, int index) {\n        float indexRatio = float(index) / float(' +
              innerDim +
              ');\n        float exponentMultiplierTimesIndexRatio =\n            exponentMultiplier * indexRatio;\n\n        float result = 0.0;\n\n        for (int i = 0; i < ' +
              innerDim +
              '; i++) {\n          // x = (-2|2 * PI / N) * index * i;\n          float x = exponentMultiplierTimesIndexRatio * float(i);\n          float expR = cos(x);\n          float expI = sin(x);\n          float real = getReal(batch, i);\n          float imag = getImag(batch, i);\n\n          result +=\n              unaryOpComplex(real, expR, imag, expI) / ' +
              resultDenominator +
              ';\n        }\n\n        return result;\n      }\n\n      void main() {\n        ivec2 coords = getOutputCoords();\n        setOutput(mulMatDFT(coords[0], coords[1]));\n      }\n    ';
          }
          return FFTProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function fftImpl(x, inverse, backend) {
          var xData = backend.texData.get(x.dataId);
          var inputSize = tf.util.sizeFromShape(x.shape);
          // Collapse all outer dimensions to a single batch dimension.
          var innerDimensionSize = x.shape[x.shape.length - 1];
          var batch = inputSize / innerDimensionSize;
          var input2D = reshape({
            inputs: { x: x },
            backend: backend,
            attrs: { shape: [batch, innerDimensionSize] },
          });
          var xShape = input2D.shape;
          var realProgram = new FFTProgram('real', xShape, inverse);
          var imagProgram = new FFTProgram('imag', xShape, inverse);
          var inputs = [
            {
              dataId: xData.complexTensorInfos.real.dataId,
              dtype: xData.complexTensorInfos.real.dtype,
              shape: xShape,
            },
            {
              dataId: xData.complexTensorInfos.imag.dataId,
              dtype: xData.complexTensorInfos.imag.dtype,
              shape: xShape,
            },
          ];
          var realPart = backend.runWebGLProgram(realProgram, inputs, 'float32');
          var imagPart = backend.runWebGLProgram(imagProgram, inputs, 'float32');
          var complexOutput = complex({
            inputs: { real: realPart, imag: imagPart },
            backend: backend,
          });
          backend.disposeIntermediateTensorInfo(realPart);
          backend.disposeIntermediateTensorInfo(imagPart);
          var complexOutputReshaped = reshape({
            inputs: { x: complexOutput },
            backend: backend,
            attrs: { shape: x.shape },
          });
          backend.disposeIntermediateTensorInfo(input2D);
          backend.disposeIntermediateTensorInfo(complexOutput);
          return complexOutputReshaped;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function fft(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var input = inputs.input;
          return fftImpl(input, false /* inverse */, backend);
        }
        var fftConfig = {
          kernelName: tf.FFT,
          backendName: 'webgl',
          kernelFunc: fft,
        };

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var FillProgram = /** @class */ (function () {
          function FillProgram(shape, value) {
            this.outputShape = [];
            this.variableNames = ['x'];
            this.outputShape = shape;
            this.userCode =
              '\n      uniform float value;\n      void main() {\n        // Input can be obtained from uniform value.\n        setOutput(value);\n      }\n    ';
          }
          FillProgram.prototype.getCustomSetupFunc = function (value) {
            var _this = this;
            return function (gpgpu, webGLProgram) {
              if (_this.valueLoc == null) {
                _this.valueLoc = gpgpu.getUniformLocationNoThrow(webGLProgram, 'value');
              }
              gpgpu.gl.uniform1f(_this.valueLoc, value);
            };
          };
          return FillProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function fill(args) {
          var backend = args.backend,
            attrs = args.attrs;
          var shape = attrs.shape,
            value = attrs.value;
          var dtype = attrs.dtype;
          dtype = dtype || tf.util.inferDtype(value);
          if (dtype === 'string') {
            // String type should be handled in CPU memory.
            var values = tf.util.getArrayFromDType(dtype, tf.util.sizeFromShape(shape));
            values.fill(value);
            return backend.makeTensorInfo(shape, dtype, values);
          } else {
            var program = new FillProgram(shape, value);
            var customSetup = program.getCustomSetupFunc(value);
            return backend.runWebGLProgram(program, [], dtype, customSetup);
          }
        }
        var fillConfig = {
          kernelName: tf.Fill,
          backendName: 'webgl',
          kernelFunc: fill,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var FlipLeftRightProgram = /** @class */ (function () {
          function FlipLeftRightProgram(imageShape) {
            this.variableNames = ['Image'];
            this.outputShape = [];
            var imageWidth = imageShape[2];
            this.outputShape = imageShape;
            this.userCode =
              '\n        void main() {\n          ivec4 coords = getOutputCoords();\n          int x = coords[2];\n\n          int coordX = ' +
              imageWidth +
              ' - x;\n          float outputValue;\n          if(coordX >= 0 && coordX < ' +
              imageWidth +
              ') {\n            outputValue = getImage(coords[0], coords[1], coordX, coords[3]);\n          } else {\n            outputValue = getImage(coords[0], coords[1], coords[2], coords[3]);\n          }\n          setOutput(outputValue);\n        }\n    ';
          }
          return FlipLeftRightProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var flipLeftRightConfig = {
          kernelName: tf.FlipLeftRight,
          backendName: 'webgl',
          kernelFunc: function (_a) {
            var inputs = _a.inputs,
              backend = _a.backend;
            var image = inputs.image;
            var webglBackend = backend;
            var program = new FlipLeftRightProgram(image.shape);
            var output = webglBackend.runWebGLProgram(program, [image], image.dtype);
            return output;
          },
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var FLOOR = 'return floor(x);';
        var floor = unaryKernelFunc({
          opSnippet: FLOOR,
          packedOpSnippet: FLOOR,
          cpuKernelImpl: floorImplCPU,
        });
        var floorConfig = {
          kernelName: tf.Floor,
          backendName: 'webgl',
          kernelFunc: floor,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        // We use native integer division to deal with floating point imprecision. Since
        // we implement floor division and glsl implements truncated division, we
        // correct for this by subtracting 1 from result when the result is negative and
        // there is a remainder.
        var INT_DIV =
          '\n  float s = sign(a) * sign(b);\n  int ia = round(a);\n  int ib = round(b);\n  if (ib != 0) {\n    // Windows (D3D) wants guaranteed non-zero int division at compile-time.\n    return float(idiv(ia, ib, s));\n  } else {\n    return NAN;\n  }\n';
        var INT_DIV_PACKED =
          '\n  ivec4 ia = round(a);\n  ivec4 ib = round(b);\n  bvec4 cond = notEqual(ib, ivec4(0));\n  ivec4 result = ivec4(0);\n  vec4 s = sign(a) * sign(b);\n\n  // Windows (D3D) wants guaranteed non-zero int division at compile-time.\n  if (cond[0]) {\n    result[0] = idiv(ia[0], ib[0], s[0]);\n  }\n  if (cond[1]) {\n    result[1] = idiv(ia[1], ib[1], s[1]);\n  }\n  if (cond[2]) {\n    result[2] = idiv(ia[2], ib[2], s[2]);\n  }\n  if (cond[3]) {\n    result[3] = idiv(ia[3], ib[3], s[3]);\n  }\n  return vec4(result);\n';
        var floorDiv = binaryKernelFunc({
          opSnippet: INT_DIV,
          packedOpSnippet: INT_DIV_PACKED,
          dtype: 'int32',
        });
        var floorDivConfig = {
          kernelName: tf.FloorDiv,
          backendName: 'webgl',
          kernelFunc: floorDiv,
        };

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var FromPixelsProgram = /** @class */ (function () {
          function FromPixelsProgram(outputShape) {
            this.variableNames = ['A'];
            var glsl = getGlslDifferences();
            var height = outputShape[0],
              width = outputShape[1];
            this.outputShape = outputShape;
            this.userCode =
              '\n      void main() {\n        ivec3 coords = getOutputCoords();\n        int texR = coords[0];\n        int texC = coords[1];\n        int depth = coords[2];\n        vec2 uv = (vec2(texC, texR) + halfCR) / vec2(' +
              width +
              '.0, ' +
              height +
              '.0);\n\n        vec4 values = ' +
              glsl.texture2D +
              '(A, uv);\n        float value;\n        if (depth == 0) {\n          value = values.r;\n        } else if (depth == 1) {\n          value = values.g;\n        } else if (depth == 2) {\n          value = values.b;\n        } else if (depth == 3) {\n          value = values.a;\n        }\n\n        setOutput(floor(value * 255.0 + 0.5));\n      }\n    ';
          }
          return FromPixelsProgram;
        })();

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var FromPixelsPackedProgram = /** @class */ (function () {
          function FromPixelsPackedProgram(outputShape) {
            this.variableNames = ['A'];
            this.packedInputs = false;
            this.packedOutput = true;
            var glsl = getGlslDifferences();
            var height = outputShape[0],
              width = outputShape[1];
            this.outputShape = outputShape;
            this.userCode =
              '\n      void main() {\n        ivec3 coords = getOutputCoords();\n        int texR = coords[0];\n        int texC = coords[1];\n        int depth = coords[2];\n\n        vec4 result = vec4(0.);\n\n        for(int row=0; row<=1; row++) {\n          for(int col=0; col<=1; col++) {\n            texC = coords[1] + row;\n            depth = coords[2] + col;\n\n            vec2 uv = (vec2(texC, texR) + halfCR) /\n                       vec2(' +
              width +
              '.0, ' +
              height +
              '.0);\n            vec4 values = ' +
              glsl.texture2D +
              '(A, uv);\n            float value;\n            if (depth == 0) {\n              value = values.r;\n            } else if (depth == 1) {\n              value = values.g;\n            } else if (depth == 2) {\n              value = values.b;\n            } else if (depth == 3) {\n              value = values.a;\n            }\n\n            result[row * 2 + col] = floor(value * 255.0 + 0.5);\n          }\n        }\n\n        ' +
              glsl.output +
              ' = result;\n      }\n    ';
          }
          return FromPixelsPackedProgram;
        })();

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var fromPixelsConfig = {
          kernelName: tf.FromPixels,
          backendName: 'webgl',
          kernelFunc: fromPixels,
        };
        var fromPixels2DContext;
        function fromPixels(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var pixels = inputs.pixels;
          var numChannels = attrs.numChannels;
          var isVideo =
            typeof HTMLVideoElement !== 'undefined' && pixels instanceof HTMLVideoElement;
          var isImage =
            typeof HTMLImageElement !== 'undefined' && pixels instanceof HTMLImageElement;
          var _a = isVideo
              ? [pixels.videoWidth, pixels.videoHeight]
              : [pixels.width, pixels.height],
            width = _a[0],
            height = _a[1];
          var texShape = [height, width];
          var outShape = [height, width, numChannels];
          if (isImage || isVideo) {
            if (fromPixels2DContext == null) {
              fromPixels2DContext = document.createElement('canvas').getContext('2d');
            }
            fromPixels2DContext.canvas.width = width;
            fromPixels2DContext.canvas.height = height;
            fromPixels2DContext.drawImage(pixels, 0, 0, width, height);
            pixels = fromPixels2DContext.canvas;
          }
          var tempPixelHandle = backend.makeTensorInfo(texShape, 'int32');
          // This is a byte texture with pixels.
          backend.texData.get(tempPixelHandle.dataId).usage = TextureUsage.PIXELS;
          backend.gpgpu.uploadPixelDataToTexture(
            backend.getTexture(tempPixelHandle.dataId),
            pixels,
          );
          var program = tf.env().getBool('WEBGL_PACK')
            ? new FromPixelsPackedProgram(outShape)
            : new FromPixelsProgram(outShape);
          var res = backend.runWebGLProgram(program, [tempPixelHandle], 'int32');
          backend.disposeData(tempPixelHandle.dataId);
          return res;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function fusedConv2d(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            filter = inputs.filter,
            bias = inputs.bias,
            preluActivationWeights = inputs.preluActivationWeights;
          var strides = attrs.strides,
            pad = attrs.pad,
            dataFormat = attrs.dataFormat,
            dilations = attrs.dilations,
            dimRoundingMode = attrs.dimRoundingMode,
            activation = attrs.activation,
            leakyreluAlpha = attrs.leakyreluAlpha;
          var $dataFormat = tf.backend_util.convertConv2DDataFormat(dataFormat);
          var convInfo = tf.backend_util.computeConv2DInfo(
            x.shape,
            filter.shape,
            strides,
            dilations,
            pad,
            dimRoundingMode,
            false /* depthwise */,
            $dataFormat,
          );
          var out;
          var intermediates = [];
          if (
            convInfo.filterHeight === 1 &&
            convInfo.filterWidth === 1 &&
            convInfo.dilationHeight === 1 &&
            convInfo.dilationWidth === 1 &&
            convInfo.strideHeight === 1 &&
            convInfo.strideWidth === 1 &&
            (convInfo.padInfo.type === 'SAME' || convInfo.padInfo.type === 'VALID')
          ) {
            out = conv2dByMatMul({
              x: x,
              filter: filter,
              convInfo: convInfo,
              backend: backend,
              bias: bias,
              activation: activation,
              preluActivationWeights: preluActivationWeights,
              leakyreluAlpha: leakyreluAlpha,
            });
          } else if (tf.env().getBool('WEBGL_CONV_IM2COL') && x.shape[0] === 1) {
            out = conv2dWithIm2Row({
              x: x,
              filter: filter,
              convInfo: convInfo,
              backend: backend,
              bias: bias,
              activation: activation,
              preluActivationWeights: preluActivationWeights,
              leakyreluAlpha: leakyreluAlpha,
            });
          } else {
            var hasBias = bias != null;
            var hasPreluActivationWeights = preluActivationWeights != null;
            var hasLeakyreluAlpha = activation === 'leakyrelu';
            var fusedActivation = activation
              ? mapActivationToShaderProgram(activation, false)
              : null;
            var program = new Conv2DProgram(
              convInfo,
              hasBias,
              fusedActivation,
              hasPreluActivationWeights,
              hasLeakyreluAlpha,
            );
            var inputs_1 = [x, filter];
            if (bias) {
              inputs_1.push(bias);
            }
            if (preluActivationWeights) {
              inputs_1.push(preluActivationWeights);
            }
            if (hasLeakyreluAlpha) {
              var $leakyreluAlpha = backend.makeTensorInfo(
                [],
                'float32',
                tf.util.createScalarValue(leakyreluAlpha, 'float32'),
              );
              inputs_1.push($leakyreluAlpha);
              intermediates.push($leakyreluAlpha);
            }
            out = backend.runWebGLProgram(program, inputs_1, 'float32');
          }
          var outReshaped = reshape({
            inputs: { x: out },
            backend: backend,
            attrs: { shape: convInfo.outShape },
          });
          intermediates.push(out);
          intermediates.forEach(function (t) {
            return backend.disposeIntermediateTensorInfo(t);
          });
          return outReshaped;
        }
        var fusedConv2DConfig = {
          kernelName: tf.FusedConv2D,
          backendName: 'webgl',
          kernelFunc: fusedConv2d,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function fusedDepthwiseConv2D(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            filter = inputs.filter,
            bias = inputs.bias,
            preluActivationWeights = inputs.preluActivationWeights;
          var strides = attrs.strides,
            pad = attrs.pad,
            dilations = attrs.dilations,
            dimRoundingMode = attrs.dimRoundingMode,
            activation = attrs.activation,
            leakyreluAlpha = attrs.leakyreluAlpha;
          var intermediates = [];
          var $dilations = dilations;
          if ($dilations == null) {
            $dilations = [1, 1];
          }
          tf.util.assert(
            tf.backend_util.eitherStridesOrDilationsAreOne(strides, $dilations),
            function () {
              return (
                'Error in depthwiseConv2d: Either strides or dilations must be ' +
                ('1. Got strides ' + strides + " and dilations '" + $dilations + "'")
              );
            },
          );
          var convInfo = tf.backend_util.computeConv2DInfo(
            x.shape,
            filter.shape,
            strides,
            $dilations,
            pad,
            dimRoundingMode,
            true /* depthwise */,
          );
          var shouldPackDepthwiseConv =
            tf.env().getBool('WEBGL_PACK_DEPTHWISECONV') &&
            convInfo.strideWidth <= 2 &&
            convInfo.outChannels / convInfo.inChannels === 1;
          var fusedActivation = activation
            ? mapActivationToShaderProgram(activation, shouldPackDepthwiseConv)
            : null;
          var programInputs = [x, filter];
          var hasBias = bias != null;
          var hasPreluActivationWeights = preluActivationWeights != null;
          var hasLeakyreluAlpha = activation === 'leakyrelu';
          if (hasBias) {
            programInputs.push(bias);
          }
          if (hasPreluActivationWeights) {
            programInputs.push(preluActivationWeights);
          }
          if (hasLeakyreluAlpha) {
            var $leakyreluAlpha = backend.makeTensorInfo(
              [],
              'float32',
              tf.util.createScalarValue(leakyreluAlpha, 'float32'),
            );
            programInputs.push($leakyreluAlpha);
            intermediates.push($leakyreluAlpha);
          }
          var program;
          if (shouldPackDepthwiseConv) {
            program = new DepthwiseConvPacked2DProgram(
              convInfo,
              hasBias,
              fusedActivation,
              hasPreluActivationWeights,
              hasLeakyreluAlpha,
            );
          } else {
            program = new DepthwiseConv2DProgram(
              convInfo,
              hasBias,
              fusedActivation,
              hasPreluActivationWeights,
              hasLeakyreluAlpha,
            );
          }
          var result = backend.runWebGLProgram(program, programInputs, 'float32');
          intermediates.forEach(function (t) {
            return backend.disposeIntermediateTensorInfo(t);
          });
          return result;
        }
        var fusedDepthwiseConv2DConfig = {
          kernelName: tf.FusedDepthwiseConv2D,
          backendName: 'webgl',
          kernelFunc: fusedDepthwiseConv2D,
        };

        var GatherNDProgram = /** @class */ (function () {
          function GatherNDProgram(sliceDim, strides, shape) {
            this.sliceDim = sliceDim;
            this.strides = strides;
            this.variableNames = ['x', 'indices'];
            this.outputShape = shape;
            var stridesType = getCoordsDataType(strides.length);
            var dtype = getCoordsDataType(shape.length);
            var strideString = this.sliceDim > 1 ? 'strides[j]' : 'strides';
            this.userCode =
              '\n        ' +
              stridesType +
              ' strides = ' +
              stridesType +
              '(' +
              this.strides +
              ');\n         void main() {\n          ' +
              dtype +
              ' coords = getOutputCoords();\n          int flattenIndex = 0;\n          for (int j = 0; j < ' +
              this.sliceDim +
              '; j++) {\n            int index = round(getIndices(coords[0], j));\n            flattenIndex += index * ' +
              strideString +
              ';\n          }\n          setOutput(getX(flattenIndex, coords[1]));\n        }\n      ';
          }
          return GatherNDProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function gatherNd(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var params = inputs.params,
            indices = inputs.indices;
          var indicesShape = indices.shape;
          var sliceRank = indicesShape[indicesShape.length - 1];
          var paramsSize = tf.util.sizeFromShape(params.shape);
          var _a = tf.backend_util.prepareAndValidate(params, indices),
            resultShape = _a[0],
            numSlices = _a[1],
            sliceSize = _a[2],
            strides = _a[3];
          var flattenIndices = reshape({
            inputs: { x: indices },
            backend: backend,
            attrs: { shape: [numSlices, sliceRank] },
          });
          var flattenX = reshape({
            inputs: { x: params },
            backend: backend,
            attrs: { shape: [tf.util.sizeFromShape(params.shape) / sliceSize, sliceSize] },
          });
          if (backend.shouldExecuteOnCPU([params, indices]) || params.dtype === 'string') {
            var indicesData = backend.readSync(indices.dataId);
            var paramsBuf = backend.bufferSync(params);
            var outValue = gatherNdImplCPU(
              indicesData,
              paramsBuf,
              params.dtype,
              numSlices,
              sliceRank,
              sliceSize,
              strides,
              params.shape,
              paramsSize,
            );
            return backend.makeTensorInfo(resultShape, params.dtype, outValue.values);
          }
          var program = new GatherNDProgram(sliceRank, strides, [numSlices, sliceSize]);
          var res = backend.runWebGLProgram(program, [flattenX, flattenIndices], flattenX.dtype);
          var reshaped = reshape({
            inputs: { x: res },
            backend: backend,
            attrs: { shape: resultShape },
          });
          backend.disposeIntermediateTensorInfo(flattenIndices);
          backend.disposeIntermediateTensorInfo(flattenX);
          backend.disposeIntermediateTensorInfo(res);
          return reshaped;
        }
        var gatherNdConfig = {
          kernelName: tf.GatherNd,
          backendName: 'webgl',
          kernelFunc: gatherNd,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var GatherProgram = /** @class */ (function () {
          function GatherProgram(aShape, outputShape) {
            this.variableNames = ['A', 'indices'];
            this.outputShape = outputShape;
            this.rank = outputShape.length;
            var dtype = getCoordsDataType(this.rank);
            var sourceCoords = getSourceCoords$1(aShape);
            this.userCode =
              '\n      void main() {\n        ' +
              dtype +
              ' resRC = getOutputCoords();\n        setOutput(getA(' +
              sourceCoords +
              '));\n      }\n    ';
          }
          return GatherProgram;
        })();
        // The input and output are always flattened into rank 4 tensors.
        function getSourceCoords$1(aShape, axis) {
          var currentCoords = ['resRC.x', 'resRC.y', 'resRC.z', 'resRC.w'];
          var sourceCoords = [];
          for (var i = 0; i < aShape.length; i++) {
            if (i === 2) {
              sourceCoords.push('int(getIndices(resRC.x, resRC.z))');
            } else {
              sourceCoords.push('' + currentCoords[i]);
            }
          }
          return sourceCoords.join();
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function gatherV2(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            indices = inputs.indices;
          var axis = attrs.axis,
            batchDims = attrs.batchDims;
          var parsedAxis = tf.util.parseAxisParam(axis, x.shape)[0];
          var shapeInfo = tf.backend_util.segment_util.collectGatherOpShapeInfo(
            x,
            indices,
            parsedAxis,
            batchDims,
          );
          var indicesSize = tf.util.sizeFromShape(indices.shape);
          var toDispose = [];
          var flattenX = reshape({
            inputs: { x: x },
            backend: backend,
            attrs: {
              shape: [
                shapeInfo.batchSize,
                shapeInfo.outerSize,
                shapeInfo.dimSize,
                shapeInfo.sliceSize,
              ],
            },
          });
          var flattenIndex = reshape({
            inputs: { x: indices },
            backend: backend,
            attrs: { shape: [shapeInfo.batchSize, indicesSize / shapeInfo.batchSize] },
          });
          toDispose.push(flattenX);
          toDispose.push(flattenIndex);
          var flattenOutputShape = [
            shapeInfo.batchSize,
            shapeInfo.outerSize,
            indicesSize / shapeInfo.batchSize,
            shapeInfo.sliceSize,
          ];
          if (backend.shouldExecuteOnCPU([x, indices]) || x.dtype === 'string') {
            var indicesBuf = backend.bufferSync(flattenIndex);
            var xBuf = backend.bufferSync(flattenX);
            var outBuf = gatherV2ImplCPU(xBuf, indicesBuf, flattenOutputShape);
            toDispose.forEach(function (t) {
              return backend.disposeIntermediateTensorInfo(t);
            });
            return backend.makeTensorInfo(shapeInfo.outputShape, outBuf.dtype, outBuf.values);
          }
          var program = new GatherProgram(flattenX.shape, flattenOutputShape);
          var res = backend.runWebGLProgram(program, [flattenX, flattenIndex], flattenX.dtype);
          toDispose.push(res);
          var reshaped = reshape({
            inputs: { x: res },
            backend: backend,
            attrs: { shape: shapeInfo.outputShape },
          });
          toDispose.forEach(function (t) {
            return backend.disposeIntermediateTensorInfo(t);
          });
          return reshaped;
        }
        var gatherV2Config = {
          kernelName: tf.GatherV2,
          backendName: 'webgl',
          kernelFunc: gatherV2,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var GREATER = 'return float(a > b);';
        var GREATER_PACKED = '\n  return vec4(greaterThan(a, b));\n';
        var greater = binaryKernelFunc({
          opSnippet: GREATER,
          packedOpSnippet: GREATER_PACKED,
          cpuKernelImpl: greaterImplCPU,
          dtype: 'bool',
        });
        var greaterConfig = {
          kernelName: tf.Greater,
          backendName: 'webgl',
          kernelFunc: greater,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var GREATER_EQUAL = 'return float(a >= b);';
        var GREATER_EQUAL_PACKED = '\n  return vec4(greaterThanEqual(a, b));\n';
        var greaterEqual = binaryKernelFunc({
          opSnippet: GREATER_EQUAL,
          packedOpSnippet: GREATER_EQUAL_PACKED,
          dtype: 'bool',
          cpuKernelImpl: greaterEqualImplCPU,
        });
        var greaterEqualConfig = {
          kernelName: tf.GreaterEqual,
          backendName: 'webgl',
          kernelFunc: greaterEqual,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function ifft(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var input = inputs.input;
          return fftImpl(input, true /* inverse */, backend);
        }
        var ifftConfig = {
          kernelName: tf.IFFT,
          backendName: 'webgl',
          kernelFunc: ifft,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var IS_FINITE = 'return float(!isnan(x) && !isinf(x));';
        var isFinite = unaryKernelFunc({ opSnippet: IS_FINITE, dtype: 'bool' });
        var isFiniteConfig = {
          kernelName: tf.IsFinite,
          backendName: 'webgl',
          kernelFunc: isFinite,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var IS_INF = 'return float(isinf(x));';
        var isInf = unaryKernelFunc({ opSnippet: IS_INF, dtype: 'bool' });
        var isInfConfig = {
          kernelName: tf.IsInf,
          backendName: 'webgl',
          kernelFunc: isInf,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var IS_NAN = 'return float(isnan(x));';
        var isNaN = unaryKernelFunc({ opSnippet: IS_NAN, dtype: 'bool' });
        var isNaNConfig = {
          kernelName: tf.IsNan,
          backendName: 'webgl',
          kernelFunc: isNaN,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var LESS = 'return float(a < b);';
        var LESS_PACKED = '\n  return vec4(lessThan(a, b));\n';
        var less = binaryKernelFunc({
          opSnippet: LESS,
          packedOpSnippet: LESS_PACKED,
          cpuKernelImpl: lessImplCPU,
          dtype: 'bool',
        });
        var lessConfig = {
          kernelName: tf.Less,
          backendName: 'webgl',
          kernelFunc: less,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var LESS_EQUAL = 'return float(a <= b);';
        var LESS_EQUAL_PACKED = '\n  return vec4(lessThanEqual(a, b));\n';
        var lessEqual = binaryKernelFunc({
          opSnippet: LESS_EQUAL,
          packedOpSnippet: LESS_EQUAL_PACKED,
          cpuKernelImpl: lessEqualImplCPU,
          dtype: 'bool',
        });
        var lessEqualConfig = {
          kernelName: tf.LessEqual,
          backendName: 'webgl',
          kernelFunc: lessEqual,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function linSpace(args) {
          var backend = args.backend,
            attrs = args.attrs;
          var start = attrs.start,
            stop = attrs.stop,
            num = attrs.num;
          // TODO: Use CPU implementation due to the precision problem in Safari.
          var outVals = linSpaceImplCPU(start, stop, num);
          return backend.makeTensorInfo([outVals.length], 'float32', outVals);
        }
        var linSpaceConfig = {
          kernelName: tf.LinSpace,
          backendName: 'webgl',
          kernelFunc: linSpace,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var LOG = 'if (x < 0.0) return NAN;\n  return log(x);';
        var LOG_PACKED =
          '\n  vec4 result = log(x);\n  vec4 isNaN = vec4(lessThan(x, vec4(0.0)));\n  result.r = isNaN.r == 1.0 ? NAN : result.r;\n  result.g = isNaN.g == 1.0 ? NAN : result.g;\n  result.b = isNaN.b == 1.0 ? NAN : result.b;\n  result.a = isNaN.a == 1.0 ? NAN : result.a;\n\n  return result;\n';
        var log = unaryKernelFunc({
          opSnippet: LOG,
          packedOpSnippet: LOG_PACKED,
          cpuKernelImpl: logImplCPU,
        });
        var logConfig = {
          kernelName: tf.Log,
          backendName: 'webgl',
          kernelFunc: log,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var LOG1P = 'return log(1.0 + x);';
        var log1p = unaryKernelFunc({ opSnippet: LOG1P });
        var log1pConfig = {
          kernelName: tf.Log1p,
          backendName: 'webgl',
          kernelFunc: log1p,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var LOGICAL_AND = 'return float(a >= 1.0 && b >= 1.0);';
        var LOGICAL_AND_PACKED =
          '\n  return vec4(\n    vec4(greaterThanEqual(a, vec4(1.0))) *\n    vec4(greaterThanEqual(b, vec4(1.0))));\n';
        var logicalAnd = binaryKernelFunc({
          opSnippet: LOGICAL_AND,
          packedOpSnippet: LOGICAL_AND_PACKED,
          dtype: 'bool',
        });
        var logicalAndConfig = {
          kernelName: tf.LogicalAnd,
          backendName: 'webgl',
          kernelFunc: logicalAnd,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var LOGICAL_NOT = 'return float(!(x >= 1.0));';
        var logicalNot = unaryKernelFunc({ opSnippet: LOGICAL_NOT });
        var logicalNotConfig = {
          kernelName: tf.LogicalNot,
          backendName: 'webgl',
          kernelFunc: logicalNot,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var LOGICAL_OR = 'return float(a >= 1.0 || b >= 1.0);';
        var LOGICAL_OR_PACKED =
          '\n  return min(\n    vec4(greaterThanEqual(a, vec4(1.0))) +\n    vec4(greaterThanEqual(b, vec4(1.0))),\n    vec4(1.0));\n';
        var logicalOr = binaryKernelFunc({
          opSnippet: LOGICAL_OR,
          packedOpSnippet: LOGICAL_OR_PACKED,
          dtype: 'bool',
        });
        var logicalOrConfig = {
          kernelName: tf.LogicalOr,
          backendName: 'webgl',
          kernelFunc: logicalOr,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var LRNProgram = /** @class */ (function () {
          function LRNProgram(xShape, radius, bias, alpha, beta) {
            this.variableNames = ['x'];
            this.outputShape = [];
            var rad = radius;
            var maxD = xShape[3] - 1;
            this.outputShape = xShape;
            // optimize pow(bias + alpha * sum, -beta)
            // src: https://github.com/tensorflow/tensorflow/..
            // blob/26033a1644a9c4a5fbe3170ab2e864b6a4ccd4ca/..
            // tensorflow/core/kernels/mkl_lrn_op.cc#L320
            var powOperator;
            var basis = 'float(' + bias + ') + float(' + alpha + ') * sum';
            if (beta === 0.5) {
              powOperator = 'inversesqrt(' + basis + ')';
            } else if (beta === 1.0) {
              powOperator = '1.0/(' + basis + ')';
            } else {
              powOperator = 'exp(log(' + basis + ') * float(-' + beta + '));';
            }
            this.userCode =
              '\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int b = coords[0];\n        int r = coords[1];\n        int c = coords[2];\n        int d = coords[3];\n        float x = getX(b, r, c, d);\n        float sum = 0.0;\n        for (int j = -' +
              rad +
              '; j <= ' +
              rad +
              '; j++) {\n          int idx = d + j;\n          if (idx >= 0 && idx <=  ' +
              maxD +
              ') {\n            float z = getX(b, r, c, idx);\n            sum += z * z;\n          }\n        }\n        float val = x * ' +
              powOperator +
              ';\n        setOutput(val);\n      }\n    ';
          }
          return LRNProgram;
        })();

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var LRNPackedProgram = /** @class */ (function () {
          function LRNPackedProgram(xShape, radius, bias, alpha, beta) {
            this.variableNames = ['x'];
            this.outputShape = [];
            this.packedInputs = true;
            this.packedOutput = true;
            var rad = radius;
            var maxD = xShape[3] - 1;
            this.outputShape = xShape;
            // optimize pow(bias + alpha * sum, -beta)
            // src: https://github.com/tensorflow/tensorflow/..
            // blob/26033a1644a9c4a5fbe3170ab2e864b6a4ccd4ca/..
            // tensorflow/core/kernels/mkl_lrn_op.cc#L320
            var powOperator;
            var basis = 'float(' + bias + ') + float(' + alpha + ') * sum';
            if (beta === 0.5) {
              powOperator = 'inversesqrt(' + basis + ')';
            } else if (beta === 1.0) {
              powOperator = '1.0/(' + basis + ')';
            } else {
              powOperator = 'exp(log(' + basis + ') * float(-' + beta + '));';
            }
            this.userCode =
              '\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int b = coords.x;\n        int r = coords.y;\n        int c = coords.z;\n        int d = coords.w;\n\n        bool hasNextCol = d < ' +
              this.outputShape[3] +
              ';\n        bool hasNextRow = c < ' +
              this.outputShape[2] +
              ';\n\n        vec4 sum = vec4(0.);\n        vec4 xFragAtOutputCoords = getX(b, r, c, d);\n\n        vec4 xAtOutputCoords = vec4(\n          getChannel(xFragAtOutputCoords, vec2(c, d)),\n          hasNextCol ?\n            getChannel(xFragAtOutputCoords, vec2(c, d + 1)) : 0.0,\n          hasNextRow ?\n            getChannel(xFragAtOutputCoords , vec2(c + 1, d)) : 0.0,\n          (hasNextRow && hasNextCol) ?\n            getChannel(xFragAtOutputCoords, vec2(c + 1, d + 1)) : 0.0\n        );\n\n        int firstChannel = d - ' +
              rad +
              ';\n        vec2 cache = vec2(0.);\n        if(firstChannel >= 0){\n          vec4 firstChannelFrag = getX(b, r, c, firstChannel);\n          cache.x = getChannel(firstChannelFrag, vec2(c, firstChannel));\n            if(hasNextRow){\n              cache.y = getChannel(firstChannelFrag, vec2(c + 1, firstChannel));\n            }\n        }\n\n        ivec2 depth = ivec2(d, d + 1);\n        for (int j = - ' +
              rad +
              '; j <= ' +
              rad +
              '; j++) {\n          ivec2 idx = depth + j;\n          bvec2 aboveLowerBound = greaterThanEqual(idx, ivec2(0));\n          bvec2 belowUpperBound = lessThanEqual(idx, ivec2(' +
              maxD +
              '));\n\n          bool depthInRange = aboveLowerBound.x && belowUpperBound.x;\n          bool depthPlusOneInRange = aboveLowerBound.y && belowUpperBound.y;\n\n          if(depthInRange || depthPlusOneInRange){\n            vec4 z = vec4(0.);\n            vec4 xFragAtCurrentDepth;\n            z.xz = cache.xy;\n            if(depthPlusOneInRange && hasNextCol){\n              xFragAtCurrentDepth = idx.y != d ?\n                getX(b, r, c, idx.y) : xFragAtOutputCoords;\n              z.y = getChannel(xFragAtCurrentDepth, vec2(c, idx.y));\n              if(hasNextRow){\n                z.w = getChannel(xFragAtCurrentDepth, vec2(c + 1, idx.y));\n              }\n            }\n            cache.xy = z.yw;\n            sum += z * z;\n          }\n        }\n        vec4 result = xAtOutputCoords * ' +
              powOperator +
              ';\n        setOutput(result);\n      }\n    ';
          }
          return LRNPackedProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var lrn = function (args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var depthRadius = attrs.depthRadius,
            bias = attrs.bias,
            alpha = attrs.alpha,
            beta = attrs.beta;
          var program = tf.env().getBool('WEBGL_PACK_NORMALIZATION')
            ? new LRNPackedProgram(x.shape, depthRadius, bias, alpha, beta)
            : new LRNProgram(x.shape, depthRadius, bias, alpha, beta);
          return backend.runWebGLProgram(program, [x], x.dtype);
        };
        // tslint:disable-next-line: variable-name
        var LRNConfig = {
          kernelName: tf.LRN,
          backendName: 'webgl',
          kernelFunc: lrn,
        };

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var LRNGradProgram = /** @class */ (function () {
          function LRNGradProgram(inputShape, depthRadius, bias, alpha, beta) {
            this.variableNames = ['inputImage', 'outputImage', 'dy'];
            this.outputShape = [];
            this.outputShape = inputShape;
            this.depth = inputShape[3];
            this.depthRadius = depthRadius;
            this.bias = bias;
            this.alpha = alpha;
            this.beta = beta;
            this.userCode =
              '\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int b = coords[0];\n        int r = coords[1];\n        int c = coords[2];\n\n        float result = 0.0;\n        for (int d = 0; d < ' +
              this.depth +
              '; ++d) {\n          int depthBegin = int(max(0.0, float(d - ' +
              depthRadius +
              ')));\n          int depthEnd = int(min(float(' +
              this.depth +
              '),\n              float(d + ' +
              depthRadius +
              ' + 1)));\n\n          const int MIN_DEPTH_BEGIN = 0;\n          const int MAX_DEPTH_END = ' +
              this.depth +
              ';\n\n          float norm = 0.0;\n          for (int k = MIN_DEPTH_BEGIN; k < MAX_DEPTH_END; ++k) {\n            if (k < depthBegin){\n              continue;\n            }\n            else if (k >= depthBegin && k < depthEnd) {\n              norm += getInputImage(b, r, c, k) * getInputImage(b, r, c, k);\n            }\n            else {\n              break;\n            }\n          }\n\n          norm = float(' +
              alpha +
              ') * norm + float(' +
              bias +
              ');\n\n          for(int k = MIN_DEPTH_BEGIN; k < MAX_DEPTH_END; ++k){\n            if (k < depthBegin){\n              continue;\n            }\n            else if (k >= depthBegin && k < depthEnd){\n              float dyi = -2.0 * float(' +
              alpha +
              ')\n                * float(' +
              beta +
              ')\n                * getInputImage(b ,r ,c, k) * getOutputImage(b, r, c, d)\n                / norm;\n              if (k == d) {\n                dyi += pow(norm, -1.0 * ' +
              beta +
              ');\n              }\n              if (k == coords[3]) {\n                dyi *= getDy(b, r, c, d);\n                result += dyi;\n              }\n            }\n            else {\n              break;\n            }\n          }\n      }\n      setOutput(result);\n      }\n    ';
          }
          return LRNGradProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var lrnGrad = function (args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            y = inputs.y,
            dy = inputs.dy;
          var depthRadius = attrs.depthRadius,
            bias = attrs.bias,
            alpha = attrs.alpha,
            beta = attrs.beta;
          var program = new LRNGradProgram(x.shape, depthRadius, bias, alpha, beta);
          return backend.runWebGLProgram(program, [x, y, dy], x.dtype);
        };
        // tslint:disable-next-line: variable-name
        var LRNGradConfig = {
          kernelName: tf.LRNGrad,
          backendName: 'webgl',
          kernelFunc: lrnGrad,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function maxImpl$1(x, reduceShape, outShape, backend) {
          var inSize = tf.util.sizeFromShape(reduceShape);
          var xSize = tf.util.sizeFromShape(x.shape);
          var batchSize = xSize / inSize;
          var reshapedInput = reshape({
            inputs: { x: x },
            attrs: { shape: [batchSize, inSize] },
            backend: backend,
          });
          var reduced = reduce(reshapedInput, x.dtype, 'max', backend);
          var reshapedOutput = reshape({
            inputs: { x: reduced },
            attrs: { shape: outShape },
            backend: backend,
          });
          backend.disposeIntermediateTensorInfo(reshapedInput);
          backend.disposeIntermediateTensorInfo(reduced);
          return reshapedOutput;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function max(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var reductionIndices = attrs.reductionIndices,
            keepDims = attrs.keepDims;
          var xRank = x.shape.length;
          var origAxes = tf.util.parseAxisParam(reductionIndices, x.shape);
          var axes = origAxes;
          var permutedAxes = tf.backend_util.getAxesPermutation(axes, xRank);
          var maxInputIsTransposed = permutedAxes != null;
          var shouldExecuteOnCPU = backend.shouldExecuteOnCPU([x]);
          var maxInput = x;
          if (maxInputIsTransposed) {
            if (shouldExecuteOnCPU) {
              var xTexData = backend.texData.get(maxInput.dataId);
              var values = xTexData.values;
              var newShape = new Array(xRank);
              for (var i = 0; i < newShape.length; i++) {
                newShape[i] = x.shape[permutedAxes[i]];
              }
              var maxInputValues = transposeImplCPU(
                values,
                x.shape,
                x.dtype,
                permutedAxes,
                newShape,
              );
              maxInput = backend.makeTensorInfo(newShape, x.dtype);
              var maxInputData = backend.texData.get(maxInput.dataId);
              maxInputData.values = maxInputValues;
            } else {
              maxInput = transposeImpl$1(x, permutedAxes, backend);
            }
            axes = tf.backend_util.getInnerMostAxes(axes.length, xRank);
          }
          tf.backend_util.assertAxesAreInnerMostDims('max', axes, xRank);
          var _a = tf.backend_util.computeOutAndReduceShapes(maxInput.shape, axes),
            maxOutShape = _a[0],
            reduceShape = _a[1];
          var outShape = maxOutShape;
          if (keepDims) {
            // rather than reshape at the end, set the target shape here.
            outShape = tf.backend_util.expandShapeToKeepDim(maxOutShape, origAxes);
          }
          var out;
          if (shouldExecuteOnCPU) {
            var xTexData = backend.texData.get(maxInput.dataId);
            var values = xTexData.values;
            var outValues = maxImplCPU(
              values,
              tf.util.sizeFromShape(reduceShape),
              outShape,
              x.dtype,
            );
            out = backend.makeTensorInfo(outShape, x.dtype);
            var outData = backend.texData.get(out.dataId);
            outData.values = outValues;
          } else {
            out = maxImpl$1(maxInput, reduceShape, outShape, backend);
          }
          if (maxInputIsTransposed) {
            backend.disposeIntermediateTensorInfo(maxInput);
          }
          return out;
        }
        var maxConfig = {
          kernelName: tf.Max,
          backendName: 'webgl',
          kernelFunc: max,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var MAXIMUM = CHECK_NAN_SNIPPET$1 + '\n  return max(a, b);\n';
        var MAXIMUM_PACKED =
          '\n  vec4 result = vec4(max(a, b));\n  vec4 isNaN = min(vec4(isnan(a)) + vec4(isnan(b)), vec4(1.0));\n  ' +
          CHECK_NAN_SNIPPET$2 +
          '\n  return result;\n';
        var maximum = binaryKernelFunc({
          opSnippet: MAXIMUM,
          packedOpSnippet: MAXIMUM_PACKED,
          cpuKernelImpl: maximumImplCPU,
        });
        var maximumConfig = {
          kernelName: tf.Maximum,
          backendName: 'webgl',
          kernelFunc: maximum,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function maxPool(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          assertNotComplex(x, 'maxPool');
          var filterSize = attrs.filterSize,
            strides = attrs.strides,
            pad = attrs.pad,
            dimRoundingMode = attrs.dimRoundingMode;
          var dilations = 1;
          tf.util.assert(
            tf.backend_util.eitherStridesOrDilationsAreOne(strides, dilations),
            function () {
              return (
                'Error in maxPool: Either strides or dilations must be 1. ' +
                ('Got strides ' + strides + " and dilations '" + dilations + "'")
              );
            },
          );
          var convInfo = tf.backend_util.computePool2DInfo(
            x.shape,
            filterSize,
            strides,
            dilations,
            pad,
            dimRoundingMode,
          );
          if (
            convInfo.filterWidth === 1 &&
            convInfo.filterHeight === 1 &&
            tf.util.arraysEqual(convInfo.inShape, convInfo.outShape)
          ) {
            return identity({ inputs: { x: x }, backend: backend });
          }
          var maxPoolProgram = new Pool2DProgram(convInfo, 'max', false);
          return backend.runWebGLProgram(maxPoolProgram, [x], x.dtype);
        }
        var maxPoolConfig = {
          kernelName: tf.MaxPool,
          backendName: 'webgl',
          kernelFunc: maxPool,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function maxPool3d(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var filterSize = attrs.filterSize,
            strides = attrs.strides,
            pad = attrs.pad,
            dataFormat = attrs.dataFormat,
            dimRoundingMode = attrs.dimRoundingMode;
          var dilations = [1, 1, 1];
          var convInfo = tf.backend_util.computePool3DInfo(
            x.shape,
            filterSize,
            strides,
            dilations,
            pad,
            dimRoundingMode,
            dataFormat,
          );
          var maxPoolProgram = new Pool3DProgram(convInfo, 'max', false);
          return backend.runWebGLProgram(maxPoolProgram, [x], x.dtype);
        }
        var maxPool3DConfig = {
          kernelName: tf.MaxPool3D,
          backendName: 'webgl',
          kernelFunc: maxPool3d,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var MaxPool2DBackpropProgram = /** @class */ (function () {
          function MaxPool2DBackpropProgram(convInfo) {
            this.variableNames = ['dy', 'maxPos'];
            this.outputShape = convInfo.inShape;
            var strideHeight = convInfo.strideHeight;
            var strideWidth = convInfo.strideWidth;
            var dilationHeight = convInfo.dilationHeight;
            var effectiveFilterHeight = convInfo.effectiveFilterHeight;
            var effectiveFilterWidth = convInfo.effectiveFilterWidth;
            var padTop = effectiveFilterHeight - 1 - convInfo.padInfo.top;
            var padLeft = effectiveFilterWidth - 1 - convInfo.padInfo.left;
            var lastIndex = effectiveFilterHeight * effectiveFilterWidth - 1;
            this.userCode =
              '\n      const ivec2 pads = ivec2(' +
              padTop +
              ', ' +
              padLeft +
              ');\n\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int b = coords[0];\n        int d = coords[3];\n\n        ivec2 dyRCCorner = coords.yz - pads;\n        int dyRCorner = dyRCCorner.x;\n        int dyCCorner = dyRCCorner.y;\n\n        // Convolve dy(?, ?, d) with pos mask(:, :, d) to get dx(xR, xC, d).\n        // ? = to be determined. : = across all values in that axis.\n        float dotProd = 0.0;\n        for (int wR = 0; wR < ' +
              effectiveFilterHeight +
              ';\n          wR += ' +
              dilationHeight +
              ') {\n          float dyR = float(dyRCorner + wR) / ' +
              strideHeight +
              '.0;\n\n          if (dyR < 0.0 || dyR >= ' +
              convInfo.outHeight +
              '.0 || fract(dyR) > 0.0) {\n            continue;\n          }\n          int idyR = int(dyR);\n\n          for (int wC = 0; wC < ' +
              effectiveFilterWidth +
              '; wC++) {\n            float dyC = float(dyCCorner + wC) / ' +
              strideWidth +
              '.0;\n\n            if (dyC < 0.0 || dyC >= ' +
              convInfo.outWidth +
              '.0 ||\n                fract(dyC) > 0.0) {\n              continue;\n            }\n            int idyC = int(dyC);\n\n            float dyValue = getDy(b, idyR, idyC, d);\n            int maxPosValue = ' +
              lastIndex +
              ' - int(getMaxPos(b, idyR, idyC, d));\n\n            // Get the current value, check it against the value from the\n            // position matrix.\n            int curPosValue = wR * ' +
              effectiveFilterWidth +
              ' + wC;\n            float mask = float(maxPosValue == curPosValue ? 1.0 : 0.0);\n\n            dotProd += dyValue * mask;\n          }\n        }\n        setOutput(dotProd);\n      }\n    ';
          }
          return MaxPool2DBackpropProgram;
        })();
        var MaxPool3DBackpropProgram = /** @class */ (function () {
          function MaxPool3DBackpropProgram(convInfo) {
            this.variableNames = ['dy', 'maxPos'];
            this.outputShape = convInfo.inShape;
            var strideDepth = convInfo.strideDepth;
            var strideHeight = convInfo.strideHeight;
            var strideWidth = convInfo.strideWidth;
            var dilationDepth = convInfo.dilationDepth;
            var dilationHeight = convInfo.dilationHeight;
            var dilationWidth = convInfo.dilationWidth;
            var effectiveFilterDepth = convInfo.effectiveFilterDepth;
            var effectiveFilterHeight = convInfo.effectiveFilterHeight;
            var effectiveFilterWidth = convInfo.effectiveFilterWidth;
            var padFront = effectiveFilterDepth - 1 - convInfo.padInfo.front;
            var padTop = effectiveFilterHeight - 1 - convInfo.padInfo.top;
            var padLeft = effectiveFilterWidth - 1 - convInfo.padInfo.left;
            var lastIndex = effectiveFilterDepth * effectiveFilterHeight * effectiveFilterWidth - 1;
            this.userCode =
              '\n      const ivec3 pads = ivec3(' +
              padFront +
              ', ' +
              padTop +
              ', ' +
              padLeft +
              ');\n\n      void main() {\n        ivec5 coords = getOutputCoords();\n        int batch = coords.x;\n        int ch = coords.u;\n\n        ivec3 dyCorner = ivec3(coords.y, coords.z, coords.w) - pads;\n        int dyDCorner = dyCorner.x;\n        int dyRCorner = dyCorner.y;\n        int dyCCorner = dyCorner.z;\n\n        // Convolve dy(?, ?, ?, ch) with pos mask(:, :, :, d) to get\n        // dx(xD, xR, xC, ch).\n        // ? = to be determined. : = across all values in that axis.\n        float dotProd = 0.0;\n\n        for (int wD = 0; wD < ' +
              effectiveFilterDepth +
              ';\n           wD += ' +
              dilationDepth +
              ') {\n          float dyD = float(dyDCorner + wD) / ' +
              strideDepth +
              '.0;\n\n          if (dyD < 0.0 || dyD >= ' +
              convInfo.outDepth +
              '.0 || fract(dyD) > 0.0) {\n            continue;\n          }\n          int idyD = int(dyD);\n\n          for (int wR = 0; wR < ' +
              effectiveFilterHeight +
              ';\n              wR += ' +
              dilationHeight +
              ') {\n            float dyR = float(dyRCorner + wR) / ' +
              strideHeight +
              '.0;\n\n            if (dyR < 0.0 || dyR >= ' +
              convInfo.outHeight +
              '.0 ||\n                fract(dyR) > 0.0) {\n              continue;\n            }\n            int idyR = int(dyR);\n\n            for (int wC = 0; wC < ' +
              effectiveFilterWidth +
              ';\n                wC += ' +
              dilationWidth +
              ') {\n              float dyC = float(dyCCorner + wC) / ' +
              strideWidth +
              '.0;\n\n              if (dyC < 0.0 || dyC >= ' +
              convInfo.outWidth +
              '.0 ||\n                  fract(dyC) > 0.0) {\n                continue;\n              }\n              int idyC = int(dyC);\n\n              float dyValue = getDy(batch, idyD, idyR, idyC, ch);\n              int maxPosValue = ' +
              lastIndex +
              ' -\n                  int(getMaxPos(batch, idyD, idyR, idyC, ch));\n\n              // Get the current value, check it against the value from the\n              // position matrix.\n              int curPosValue =\n                  wD * ' +
              effectiveFilterHeight +
              ' * ' +
              effectiveFilterWidth +
              ' +\n                  wR * ' +
              effectiveFilterWidth +
              ' + wC;\n              float mask = float(maxPosValue == curPosValue ? 1.0 : 0.0);\n\n              dotProd += dyValue * mask;\n            }\n          }\n        }\n        setOutput(dotProd);\n      }\n    ';
          }
          return MaxPool3DBackpropProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function maxPool3DGrad(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var dy = inputs.dy,
            input = inputs.input;
          var x = input;
          var filterSize = attrs.filterSize,
            strides = attrs.strides,
            pad = attrs.pad,
            dimRoundingMode = attrs.dimRoundingMode;
          var dilations = [1, 1, 1];
          var convInfo = tf.backend_util.computePool3DInfo(
            x.shape,
            filterSize,
            strides,
            dilations,
            pad,
            dimRoundingMode,
          );
          var maxPool3dPositionsProgram = new Pool3DProgram(
            convInfo,
            'max',
            true /* get positions */,
          );
          var maxPool3dPositions = backend.runWebGLProgram(maxPool3dPositionsProgram, [x], x.dtype);
          var maxPoolBackpropProgram = new MaxPool3DBackpropProgram(convInfo);
          var result = backend.runWebGLProgram(
            maxPoolBackpropProgram,
            [dy, maxPool3dPositions],
            x.dtype,
          );
          backend.disposeIntermediateTensorInfo(maxPool3dPositions);
          return result;
        }
        var maxPoolGrad3DConfig = {
          kernelName: tf.MaxPool3DGrad,
          backendName: 'webgl',
          kernelFunc: maxPool3DGrad,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function maxPoolGrad(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var dy = inputs.dy,
            input = inputs.input,
            output = inputs.output;
          var x = input;
          assertNotComplex([input, output], 'maxPoolGrad');
          var filterSize = attrs.filterSize,
            strides = attrs.strides,
            pad = attrs.pad,
            dimRoundingMode = attrs.dimRoundingMode;
          var convInfo = tf.backend_util.computePool2DInfo(
            x.shape,
            filterSize,
            strides,
            1 /* dilations */,
            pad,
            dimRoundingMode,
          );
          var getPositions = true;
          var maxPoolPositionsProgram = new Pool2DProgram(convInfo, 'max', getPositions);
          var maxPoolPositions = backend.runWebGLProgram(maxPoolPositionsProgram, [x], x.dtype);
          var maxPoolBackPropProgram = new MaxPool2DBackpropProgram(convInfo);
          var result = backend.runWebGLProgram(
            maxPoolBackPropProgram,
            [dy, maxPoolPositions],
            x.dtype,
          );
          backend.disposeIntermediateTensorInfo(maxPoolPositions);
          return result;
        }
        var maxPoolGradConfig = {
          kernelName: tf.MaxPoolGrad,
          backendName: 'webgl',
          kernelFunc: maxPoolGrad,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function maxPoolWithArgmaxImpl(x, includeBatchInIndex, convInfo, backend) {
          var program = new Pool2DProgram(convInfo, 'max', false);
          var poolOutput = backend.runWebGLProgram(program, [x], 'float32');
          program = new Pool2DProgram(convInfo, 'max', true, true, includeBatchInIndex);
          var indexOutput = backend.runWebGLProgram(program, [x], 'float32');
          return [poolOutput, indexOutput];
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var maxPoolWithArgmaxConfig = {
          kernelName: tf.MaxPoolWithArgmax,
          backendName: 'webgl',
          kernelFunc: function (_a) {
            var inputs = _a.inputs,
              attrs = _a.attrs,
              backend = _a.backend;
            var x = inputs.x;
            var _b = attrs,
              filterSize = _b.filterSize,
              strides = _b.strides,
              pad = _b.pad,
              includeBatchInIndex = _b.includeBatchInIndex;
            var webglBackend = backend;
            tf.util.assert(x.shape.length === 4, function () {
              return 'Error in maxPool: input must be rank 4 but got rank ' + x.shape.length + '.';
            });
            var dilations = [1, 1];
            tf.util.assert(
              tf.backend_util.eitherStridesOrDilationsAreOne(strides, dilations),
              function () {
                return (
                  'Error in maxPool: Either strides or dilations must be 1. ' +
                  ('Got strides ' + strides + " and dilations '" + dilations + "'")
                );
              },
            );
            var convInfo = tf.backend_util.computePool2DInfo(
              x.shape,
              filterSize,
              strides,
              dilations,
              pad,
            );
            var _c = maxPoolWithArgmaxImpl(x, includeBatchInIndex, convInfo, webglBackend),
              result = _c[0],
              indexes = _c[1];
            return [result, indexes];
          },
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function meanImpl(x, reduceShape, outShape, backend) {
          var inSize = tf.util.sizeFromShape(reduceShape);
          var xSize = tf.util.sizeFromShape(x.shape);
          var batchSize = xSize / inSize;
          var reshapedInput = reshape({
            inputs: { x: x },
            attrs: { shape: [batchSize, inSize] },
            backend: backend,
          });
          var reduced = reduce(reshapedInput, 'float32', 'mean', backend);
          var reshapedOutput = reshape({
            inputs: { x: reduced },
            attrs: { shape: outShape },
            backend: backend,
          });
          backend.disposeIntermediateTensorInfo(reshapedInput);
          backend.disposeIntermediateTensorInfo(reduced);
          return reshapedOutput;
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var meanConfig = {
          kernelName: tf.Mean,
          backendName: 'webgl',
          kernelFunc: function (_a) {
            var inputs = _a.inputs,
              attrs = _a.attrs,
              backend = _a.backend;
            var x = inputs.x;
            var _b = attrs,
              keepDims = _b.keepDims,
              axis = _b.axis;
            var webglBackend = backend;
            var xRank = x.shape.length;
            var origAxes = tf.util.parseAxisParam(axis, x.shape);
            var axes = origAxes;
            var permutedAxes = tf.backend_util.getAxesPermutation(axes, xRank);
            var meanInputIsTransposed = permutedAxes != null;
            var shouldExecuteOnCPU = webglBackend.shouldExecuteOnCPU([x]);
            var intermediates = [];
            var meanInput = x;
            if (meanInputIsTransposed) {
              if (shouldExecuteOnCPU) {
                var xTexData = webglBackend.texData.get(meanInput.dataId);
                var values = xTexData.values;
                var newShape = new Array(xRank);
                for (var i = 0; i < newShape.length; i++) {
                  newShape[i] = x.shape[permutedAxes[i]];
                }
                var meanInputValues = transposeImplCPU(
                  values,
                  x.shape,
                  x.dtype,
                  permutedAxes,
                  newShape,
                );
                meanInput = webglBackend.makeTensorInfo(newShape, x.dtype);
                var meanInputData = webglBackend.texData.get(meanInput.dataId);
                meanInputData.values = meanInputValues;
              } else {
                meanInput = transposeImpl$1(x, permutedAxes, webglBackend);
              }
              intermediates.push(meanInput);
              axes = tf.backend_util.getInnerMostAxes(axes.length, xRank);
            }
            tf.backend_util.assertAxesAreInnerMostDims('sum', axes, xRank);
            var _c = tf.backend_util.computeOutAndReduceShapes(meanInput.shape, axes),
              meanOutShape = _c[0],
              reduceShape = _c[1];
            var outShape = meanOutShape;
            if (keepDims) {
              // rather than reshape at the end, set the target shape here.
              outShape = tf.backend_util.expandShapeToKeepDim(meanOutShape, origAxes);
            }
            var out = meanImpl(meanInput, reduceShape, outShape, webglBackend);
            for (var _i = 0, intermediates_1 = intermediates; _i < intermediates_1.length; _i++) {
              var i = intermediates_1[_i];
              webglBackend.disposeIntermediateTensorInfo(i);
            }
            return out;
          },
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function min(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var axis = attrs.axis,
            keepDims = attrs.keepDims;
          var xRank = x.shape.length;
          var origAxes = tf.util.parseAxisParam(axis, x.shape);
          var axes = origAxes;
          var permutedAxes = tf.backend_util.getAxesPermutation(axes, xRank);
          var permutedX = x;
          if (permutedAxes != null) {
            permutedX = transpose({
              inputs: { x: x },
              backend: backend,
              attrs: { perm: permutedAxes },
            });
            axes = tf.backend_util.getInnerMostAxes(axes.length, x.shape.length);
          }
          tf.backend_util.assertAxesAreInnerMostDims('min', axes, xRank);
          var _a = tf.backend_util.computeOutAndReduceShapes(permutedX.shape, axes),
            outShape = _a[0],
            reduceShape = _a[1];
          var inSize = tf.util.sizeFromShape(reduceShape);
          var a2D = reshape({
            inputs: { x: permutedX },
            backend: backend,
            attrs: { shape: [-1, inSize] },
          });
          var reduced = reduce(a2D, a2D.dtype, 'min', backend);
          var res;
          if (keepDims) {
            var newShape = tf.backend_util.expandShapeToKeepDim(outShape, origAxes);
            res = reshape({ inputs: { x: reduced }, backend: backend, attrs: { shape: newShape } });
          } else {
            res = reshape({ inputs: { x: reduced }, backend: backend, attrs: { shape: outShape } });
          }
          backend.disposeIntermediateTensorInfo(a2D);
          backend.disposeIntermediateTensorInfo(reduced);
          if (permutedAxes != null) {
            backend.disposeIntermediateTensorInfo(permutedX);
          }
          return res;
        }
        var minConfig = {
          kernelName: tf.Min,
          backendName: 'webgl',
          kernelFunc: min,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var MINIMUM = CHECK_NAN_SNIPPET$1 + '\n  return min(a, b);\n';
        var MINIMUM_PACKED =
          '\n  vec4 result = vec4(min(a, b));\n  vec4 isNaN = min(vec4(isnan(a)) + vec4(isnan(b)), vec4(1.0));\n  ' +
          CHECK_NAN_SNIPPET$2 +
          '\n  return result;\n';
        var minimum = binaryKernelFunc({
          opSnippet: MINIMUM,
          packedOpSnippet: MINIMUM_PACKED,
          cpuKernelImpl: minimumImplCPU,
        });
        var minimumConfig = {
          kernelName: tf.Minimum,
          backendName: 'webgl',
          kernelFunc: minimum,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var MirrorPadProgram = /** @class */ (function () {
          function MirrorPadProgram(xShape, paddings, mode) {
            this.variableNames = ['x'];
            this.outputShape = paddings.map(
              function (p, i) {
                return p[0] /* beforePad */ + xShape[i] + p[1];
              } /* afterPad */,
            );
            var rank = xShape.length;
            var dtype = getCoordsDataType(rank);
            var start = paddings
              .map(function (p) {
                return p[0];
              })
              .join(',');
            var end = paddings
              .map(function (p, i) {
                return p[0] + xShape[i];
              })
              .join(',');
            var unpackedCoords = ['coords[0]', 'coords[1]', 'coords[2]', 'coords[3]'].slice(
              0,
              rank,
            );
            var offset = mode === 'reflect' ? 0 : 1;
            if (rank === 1) {
              this.userCode =
                '\n        int start = ' +
                start +
                ';\n        int end = ' +
                end +
                ';\n\n        void main() {\n          int outC = getOutputCoords();\n          if (outC < start) {\n            outC = start * 2 - outC - ' +
                offset +
                ';\n          } else if(outC >= end) {\n            outC = (end - 1) * 2 - outC + ' +
                offset +
                ';\n          }\n          setOutput(getX(outC - start));\n        }\n      ';
              return;
            }
            this.userCode =
              '\n      ' +
              dtype +
              ' start = ' +
              dtype +
              '(' +
              start +
              ');\n      ' +
              dtype +
              ' end = ' +
              dtype +
              '(' +
              end +
              ');\n\n      void main() {\n        ' +
              dtype +
              ' outC = getOutputCoords();\n        for (int i = 0; i < ' +
              rank +
              '; i++) {\n          if (outC[i] < start[i]) {\n            outC[i] = start[i] * 2 - outC[i] - ' +
              offset +
              ';\n          } else if(outC[i] >= end[i]) {\n            outC[i] = (end[i] - 1) * 2 - outC[i] + ' +
              offset +
              ';\n          }\n        }\n        ' +
              dtype +
              ' coords = outC - start;\n        setOutput(getX(' +
              unpackedCoords +
              '));\n      }\n    ';
          }
          return MirrorPadProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        /**
         * Example shader code for
         * `mirrorPad(tf.tensor1d([1, 2, 3], 'int32'), [[2, 2]], 'reflect')`
         * ```
         *    const int start = int(2);
         *    const int end = int(5);
         *
         *    void main() {
         *       int outputLoc = getOutputCoords();
         *       vec4 result = vec4(0.);
         *
         *       int rc = outputLoc;
         *
         *       int source = rc;
         *       if (source < start) {
         *         source = start * 2 - source - 0;
         *       } else if (source >= end) {
         *         source = (end - 1) * 2 - source + 0;
         *       }
         *       source -= start;
         *
         *       result[0] = getChannel(getX(source), source);
         *       rc += 1;
         *       if(rc < 6) {
         *          int source = rc;
         *          if (source < start) {
         *            source = start * 2 - source - 0;
         *          } else if (source >= end) {
         *            source = (end - 1) * 2 - source + 0;
         *          }
         *          source -= start;
         *
         *         result[1] = getChannel(getX(source), source);
         *       }
         *
         *       setOutput(result);
         *     }
         * ```
         */
        var MirrorPadPackedProgram = /** @class */ (function () {
          function MirrorPadPackedProgram(xShape, paddings, mode) {
            this.variableNames = ['x'];
            this.packedInputs = true;
            this.packedOutput = true;
            this.outputShape = paddings.map(
              function (p, i) {
                return p[0] /* beforePad */ + xShape[i] + p[1];
              } /* afterPad */,
            );
            var rank = xShape.length;
            var dtype = getCoordsDataType(rank);
            var start = paddings
              .map(function (p) {
                return p[0];
              })
              .join(',');
            var end = paddings
              .map(function (p, i) {
                return p[0] + xShape[i];
              })
              .join(',');
            var coords = getChannels('rc', rank);
            var source = getChannels('source', rank);
            var cLimit = coords[rank - 1] + ' < ' + this.outputShape[rank - 1];
            var innerDims = rank === 1 ? 'source' : 'vec2(' + source.slice(-2).join() + ')';
            var offset = mode === 'reflect' ? 0 : 1;
            var mainLoop = '';
            if (rank === 1) {
              var padSetup =
                '\n        ' +
                dtype +
                ' source = rc;\n        if (source < start) {\n          source = start * 2 - source - ' +
                offset +
                ';\n        } else if (source >= end) {\n          source = (end - 1) * 2 - source + ' +
                offset +
                ';\n        }\n        source -= start;\n      ';
              mainLoop =
                '\n        ' +
                dtype +
                ' rc = outputLoc;\n        ' +
                padSetup +
                '\n        result[0] = getChannel(getX(' +
                source.join() +
                '), ' +
                innerDims +
                ');\n        ' +
                coords[rank - 1] +
                ' += 1;\n        if(' +
                cLimit +
                ') {\n          ' +
                padSetup +
                '\n          result[1] = getChannel(getX(' +
                source.join() +
                '), ' +
                innerDims +
                ');\n        }\n      ';
            } else {
              var padSetup =
                '\n        ' +
                dtype +
                ' source = rc;\n        ' +
                dtype +
                ' lt = ' +
                dtype +
                '(lessThan(source, start));\n        ' +
                dtype +
                ' gte = ' +
                dtype +
                '(greaterThanEqual(source, end));\n        ' +
                dtype +
                ' orig = 1 - (lt + gte);\n        source = orig * source +\n                lt * (start * 2 - source - ' +
                offset +
                ') +\n                gte * ((end - 1) * 2 - source + ' +
                offset +
                ');\n        source -= start;\n      ';
              mainLoop =
                '\n        ' +
                dtype +
                ' rc = outputLoc;\n        ' +
                padSetup +
                '\n        result[0] = getChannel(getX(' +
                source.join() +
                '), ' +
                innerDims +
                ');\n        ' +
                coords[rank - 1] +
                ' += 1;\n        if(' +
                cLimit +
                ') {\n          ' +
                padSetup +
                '\n          result[1] = getChannel(getX(' +
                source.join() +
                '), ' +
                innerDims +
                ');\n        }\n        rc = outputLoc;\n        ' +
                coords[rank - 2] +
                ' += 1;\n        if(' +
                coords[rank - 2] +
                ' < ' +
                this.outputShape[rank - 2] +
                ') {\n          ' +
                padSetup +
                '\n          result[2] = getChannel(getX(' +
                source.join() +
                '), ' +
                innerDims +
                ');\n          ' +
                coords[rank - 1] +
                ' += 1;\n          if(' +
                cLimit +
                ') {\n            ' +
                padSetup +
                '\n            result[3] = getChannel(getX(' +
                source.join() +
                '), ' +
                innerDims +
                ');\n          }\n        }\n      ';
            }
            this.userCode =
              '\n      const ' +
              dtype +
              ' start = ' +
              dtype +
              '(' +
              start +
              ');\n      const ' +
              dtype +
              ' end = ' +
              dtype +
              '(' +
              end +
              ');\n\n      void main() {\n        ' +
              dtype +
              ' outputLoc = getOutputCoords();\n        vec4 result = vec4(0.);\n        ' +
              mainLoop +
              '\n        setOutput(result);\n      }\n    ';
          }
          return MirrorPadPackedProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var mirrorPadKernelFunc = function (_a) {
          var inputs = _a.inputs,
            backend = _a.backend,
            attrs = _a.attrs;
          var x = inputs.x;
          var paddings = attrs.paddings,
            mode = attrs.mode;
          var program = tf.env().getBool('WEBGL_PACK_ARRAY_OPERATIONS')
            ? new MirrorPadPackedProgram(x.shape, paddings, mode)
            : new MirrorPadProgram(x.shape, paddings, mode);
          var output = backend.runWebGLProgram(program, [x], x.dtype);
          return output;
        };
        var mirrorPadConfig = {
          kernelName: tf.MirrorPad,
          backendName: 'webgl',
          kernelFunc: mirrorPadKernelFunc,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var MOD = 'if (b == 0.0) return NAN;\n  return mod(a, b);';
        var MOD_PACKED =
          '\n  vec4 result = mod(a, b);\n  vec4 isNaN = vec4(equal(b, vec4(0.0)));\n  ' +
          CHECK_NAN_SNIPPET$2 +
          '\n  return result;\n';
        var mod = binaryKernelFunc({
          opSnippet: MOD,
          packedOpSnippet: MOD_PACKED,
        });
        var modConfig = {
          kernelName: tf.Mod,
          backendName: 'webgl',
          kernelFunc: mod,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var MultinomialProgram = /** @class */ (function () {
          function MultinomialProgram(batchSize, numOutcomes, numSamples) {
            this.variableNames = ['probs'];
            this.outputShape = [batchSize, numSamples];
            this.userCode =
              '\n      uniform float seed;\n\n      void main() {\n        ivec2 coords = getOutputCoords();\n        int batch = coords[0];\n\n        float r = random(seed);\n        float cdf = 0.0;\n\n        for (int i = 0; i < ' +
              (numOutcomes - 1) +
              '; i++) {\n          cdf += getProbs(batch, i);\n\n          if (r < cdf) {\n            setOutput(float(i));\n            return;\n          }\n        }\n\n        // If no other event happened, last event happened.\n        setOutput(float(' +
              (numOutcomes - 1) +
              '));\n      }\n    ';
          }
          MultinomialProgram.prototype.getCustomSetupFunc = function (seed) {
            var _this = this;
            return function (gpgpu, webGLProgram) {
              if (_this.seedLoc == null) {
                _this.seedLoc = gpgpu.getUniformLocation(webGLProgram, 'seed');
              }
              gpgpu.gl.uniform1f(_this.seedLoc, seed);
            };
          };
          return MultinomialProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        // Without the equality check div produces 0.9999 for a = b, which when
        // floored can cause errors.
        var DIV = '\nif (a == b) {\n  return 1.0;\n};\nreturn a / b;';
        // We do the same as in ./binaryop_gpu, with vec4 and ivec4.
        // On Linux, the vectorized implementation produces NaNs when a and b are 0.
        var DIV_PACKED =
          '\n  // vec4 one = vec4(equal(a, b));\n  // return one + (vec4(1.0) - one) * a / b;\n  vec4 result = a / b;\n  if(a.x == b.x) {\n    result.x = 1.;\n  }\n  if(a.y == b.y) {\n    result.y = 1.;\n  }\n  if(a.z == b.z) {\n    result.z = 1.;\n  }\n  if(a.w == b.w) {\n    result.w = 1.;\n  }\n\n  return result;\n';
        var realDiv = binaryKernelFunc({
          opSnippet: DIV,
          packedOpSnippet: DIV_PACKED,
          checkOutOfBounds: true,
        });
        var realDivConfig = {
          kernelName: tf.RealDiv,
          backendName: 'webgl',
          kernelFunc: realDiv,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var SUB = 'return a - b;';
        var sub = binaryKernelFunc({
          opSnippet: SUB,
          packedOpSnippet: SUB,
          supportsComplex: true,
          cpuKernelImpl: subImplCPU,
        });
        var subConfig = {
          kernelName: tf.Sub,
          backendName: 'webgl',
          kernelFunc: sub,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function softmax(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var logits = inputs.logits;
          var dim = attrs.dim;
          var axes = tf.util.parseAxisParam([dim], logits.shape);
          var maxLogit = max({
            inputs: { x: logits },
            backend: backend,
            attrs: { reductionIndices: axes, keepDims: false },
          });
          var expandedShape = tf.backend_util.expandShapeToKeepDim(maxLogit.shape, axes);
          var maxLogitsReshaped = reshape({
            inputs: { x: maxLogit },
            backend: backend,
            attrs: { shape: expandedShape },
          });
          var a = sub({ inputs: { a: logits, b: maxLogitsReshaped }, backend: backend });
          var b = exp({ inputs: { x: a }, backend: backend });
          var sumExp = sum({
            inputs: { x: b },
            backend: backend,
            attrs: { axis: axes, keepDims: false },
          });
          var sumExpReshaped = reshape({
            inputs: { x: sumExp },
            backend: backend,
            attrs: { shape: expandedShape },
          });
          var res = realDiv({ inputs: { a: b, b: sumExpReshaped }, backend: backend });
          backend.disposeIntermediateTensorInfo(maxLogit);
          backend.disposeIntermediateTensorInfo(maxLogitsReshaped);
          backend.disposeIntermediateTensorInfo(a);
          backend.disposeIntermediateTensorInfo(b);
          backend.disposeIntermediateTensorInfo(sumExp);
          backend.disposeIntermediateTensorInfo(sumExpReshaped);
          return res;
        }
        var softmaxConfig = {
          kernelName: tf.Softmax,
          backendName: 'webgl',
          kernelFunc: softmax,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function multinomial(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var logits = inputs.logits;
          var numSamples = attrs.numSamples,
            seed = attrs.seed,
            normalized = attrs.normalized;
          var probs = normalized
            ? logits
            : softmax({
                inputs: { logits: logits },
                backend: backend,
                attrs: { dim: logits.shape.length - 1 },
              });
          var batchSize = probs.shape[0];
          var numOutcomes = probs.shape[1];
          var program = new MultinomialProgram(batchSize, numOutcomes, numSamples);
          var customSetup = program.getCustomSetupFunc(seed);
          var res = backend.runWebGLProgram(program, [probs], 'int32', customSetup);
          if (!normalized) {
            backend.disposeIntermediateTensorInfo(probs);
          }
          return res;
        }
        var multinomialConfig = {
          kernelName: tf.Multinomial,
          backendName: 'webgl',
          kernelFunc: multinomial,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var NEG = 'return -x;';
        // This doesn't use unaryKernelFunc because negImplCPU is not of type
        // SimpleUnaryKernelImplCPU.
        function neg(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var x = inputs.x;
          if (backend.shouldExecuteOnCPU([x])) {
            var xData = backend.texData.get(x.dataId);
            var _a = negImplCPU(xData.values, x.shape, x.dtype),
              outValues = _a[0],
              newShape = _a[1];
            return backend.makeTensorInfo(newShape, x.dtype, outValues);
          }
          var program;
          if (tf.env().getBool('WEBGL_PACK_UNARY_OPERATIONS')) {
            program = new UnaryOpPackedProgram(x.shape, NEG);
          } else {
            program = new UnaryOpProgram(x.shape, NEG);
          }
          return backend.runWebGLProgram(program, [x], x.dtype);
        }
        var negConfig = {
          kernelName: tf.Neg,
          backendName: 'webgl',
          kernelFunc: neg,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var nonMaxSuppressionV3Impl = tf.kernel_impls.nonMaxSuppressionV3Impl;
        function nonMaxSuppressionV3(args) {
          tf.backend_util.warn(
            'tf.nonMaxSuppression() in webgl locks the UI thread. ' +
              'Call tf.nonMaxSuppressionAsync() instead',
          );
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var boxes = inputs.boxes,
            scores = inputs.scores;
          var maxOutputSize = attrs.maxOutputSize,
            iouThreshold = attrs.iouThreshold,
            scoreThreshold = attrs.scoreThreshold;
          var boxesVals = backend.readSync(boxes.dataId);
          var scoresVals = backend.readSync(scores.dataId);
          var selectedIndices = nonMaxSuppressionV3Impl(
            boxesVals,
            scoresVals,
            maxOutputSize,
            iouThreshold,
            scoreThreshold,
          ).selectedIndices;
          return backend.makeTensorInfo(
            [selectedIndices.length],
            'int32',
            new Int32Array(selectedIndices),
          );
        }
        var nonMaxSuppressionV3Config = {
          kernelName: tf.NonMaxSuppressionV3,
          backendName: 'webgl',
          kernelFunc: nonMaxSuppressionV3,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var nonMaxSuppressionV4Impl = tf.kernel_impls.nonMaxSuppressionV4Impl;
        function nonMaxSuppressionV4(args) {
          tf.backend_util.warn(
            'tf.nonMaxSuppression() in webgl locks the UI thread. ' +
              'Call tf.nonMaxSuppressionAsync() instead',
          );
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var boxes = inputs.boxes,
            scores = inputs.scores;
          var maxOutputSize = attrs.maxOutputSize,
            iouThreshold = attrs.iouThreshold,
            scoreThreshold = attrs.scoreThreshold,
            padToMaxOutputSize = attrs.padToMaxOutputSize;
          var boxesVals = backend.readSync(boxes.dataId);
          var scoresVals = backend.readSync(scores.dataId);
          var _a = nonMaxSuppressionV4Impl(
              boxesVals,
              scoresVals,
              maxOutputSize,
              iouThreshold,
              scoreThreshold,
              padToMaxOutputSize,
            ),
            selectedIndices = _a.selectedIndices,
            validOutputs = _a.validOutputs;
          return [
            backend.makeTensorInfo(
              [selectedIndices.length],
              'int32',
              new Int32Array(selectedIndices),
            ),
            backend.makeTensorInfo([], 'int32', new Int32Array([validOutputs])),
          ];
        }
        var nonMaxSuppressionV4Config = {
          kernelName: tf.NonMaxSuppressionV4,
          backendName: 'webgl',
          kernelFunc: nonMaxSuppressionV4,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var nonMaxSuppressionV5Impl = tf.kernel_impls.nonMaxSuppressionV5Impl;
        function nonMaxSuppressionV5(args) {
          tf.backend_util.warn(
            'tf.nonMaxSuppression() in webgl locks the UI thread. ' +
              'Call tf.nonMaxSuppressionAsync() instead',
          );
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var boxes = inputs.boxes,
            scores = inputs.scores;
          var maxOutputSize = attrs.maxOutputSize,
            iouThreshold = attrs.iouThreshold,
            scoreThreshold = attrs.scoreThreshold,
            softNmsSigma = attrs.softNmsSigma;
          var boxesVals = backend.readSync(boxes.dataId);
          var scoresVals = backend.readSync(scores.dataId);
          var maxOutputSizeVal = maxOutputSize;
          var iouThresholdVal = iouThreshold;
          var scoreThresholdVal = scoreThreshold;
          var softNmsSigmaVal = softNmsSigma;
          var _a = nonMaxSuppressionV5Impl(
              boxesVals,
              scoresVals,
              maxOutputSizeVal,
              iouThresholdVal,
              scoreThresholdVal,
              softNmsSigmaVal,
            ),
            selectedIndices = _a.selectedIndices,
            selectedScores = _a.selectedScores;
          return [
            backend.makeTensorInfo(
              [selectedIndices.length],
              'int32',
              new Int32Array(selectedIndices),
            ),
            backend.makeTensorInfo(
              [selectedScores.length],
              'float32',
              new Float32Array(selectedScores),
            ),
          ];
        }
        var nonMaxSuppressionV5Config = {
          kernelName: tf.NonMaxSuppressionV5,
          backendName: 'webgl',
          kernelFunc: nonMaxSuppressionV5,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var OneHotProgram = /** @class */ (function () {
          function OneHotProgram(numIndices, depth, onValue, offValue) {
            this.variableNames = ['indices'];
            this.outputShape = [numIndices, depth];
            this.userCode =
              '\n      void main() {\n        ivec2 coords = getOutputCoords();\n        int index = round(getIndices(coords.x));\n        setOutput(mix(float(' +
              offValue +
              '), float(' +
              onValue +
              '),\n                      float(index == coords.y)));\n      }\n    ';
          }
          return OneHotProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var oneHot = function (args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var indices = inputs.indices;
          var depth = attrs.depth,
            onValue = attrs.onValue,
            offValue = attrs.offValue;
          var indicesSize = tf.util.sizeFromShape(indices.shape);
          var program = new OneHotProgram(indicesSize, depth, onValue, offValue);
          var reshaped = reshape({
            inputs: { x: indices },
            backend: backend,
            attrs: { shape: [indicesSize] },
          });
          var result = backend.runWebGLProgram(program, [reshaped], indices.dtype);
          backend.disposeIntermediateTensorInfo(reshaped);
          var outShape = indices.shape.concat([depth]);
          var out = reshape({
            inputs: { x: result },
            backend: backend,
            attrs: { shape: outShape },
          });
          backend.disposeIntermediateTensorInfo(result);
          return out;
        };
        var oneHotConfig = {
          kernelName: tf.OneHot,
          backendName: 'webgl',
          kernelFunc: oneHot,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function zerosLike(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var x = inputs.x;
          if (x.dtype === 'complex64') {
            var realPart = real({ inputs: { input: x }, backend: backend });
            var r = zerosLike({ inputs: { x: realPart }, backend: backend });
            var imagPart = imag({ inputs: { input: x }, backend: backend });
            var i = zerosLike({ inputs: { x: imagPart }, backend: backend });
            var result = complex({ inputs: { real: r, imag: i }, backend: backend });
            backend.disposeIntermediateTensorInfo(realPart);
            backend.disposeIntermediateTensorInfo(r);
            backend.disposeIntermediateTensorInfo(imagPart);
            backend.disposeIntermediateTensorInfo(i);
            return result;
          } else {
            return fill({
              attrs: {
                shape: x.shape,
                dtype: x.dtype,
                value: x.dtype === 'string' ? '' : 0,
              },
              backend: backend,
            });
          }
        }
        var zerosLikeConfig = {
          kernelName: tf.ZerosLike,
          backendName: 'webgl',
          kernelFunc: zerosLike,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function onesLike(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var x = inputs.x;
          if (x.dtype === 'string') {
            throw new Error('onesLike is not supported under string dtype');
          } else if (x.dtype === 'complex64') {
            var realPart = real({ inputs: { input: x }, backend: backend });
            var r = onesLike({ inputs: { x: realPart }, backend: backend });
            var imagPart = imag({ inputs: { input: x }, backend: backend });
            var i = zerosLike({ inputs: { x: imagPart }, backend: backend });
            var result = complex({ inputs: { real: r, imag: i }, backend: backend });
            backend.disposeIntermediateTensorInfo(realPart);
            backend.disposeIntermediateTensorInfo(r);
            backend.disposeIntermediateTensorInfo(imagPart);
            backend.disposeIntermediateTensorInfo(i);
            return result;
          } else {
            // TODO(cais, smilkov): Add WebGL shader for onesLike:
            //   https://github.com/tensorflow/tfjs/issues/1293
            return fill({ attrs: { shape: x.shape, dtype: x.dtype, value: 1 }, backend: backend });
          }
        }
        var onesLikeConfig = {
          kernelName: tf.OnesLike,
          backendName: 'webgl',
          kernelFunc: onesLike,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function pack(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var axis = attrs.axis;
          if (inputs.length === 1) {
            return expandDims({
              inputs: { input: inputs[0] },
              backend: backend,
              attrs: { dim: axis },
            });
          }
          var shape = inputs[0].shape;
          var dtype = inputs[0].dtype;
          inputs.forEach(function (t) {
            tf.util.assertShapesMatch(
              shape,
              t.shape,
              'All tensors passed to stack must have matching shapes',
            );
            tf.util.assert(dtype === t.dtype, function () {
              return 'All tensors passed to stack must have matching dtypes';
            });
          });
          var intermediateTensorInfos = [];
          var expandedTensors = inputs.map(function (t) {
            var expandedT = expandDims({
              inputs: { input: t },
              backend: backend,
              attrs: { dim: axis },
            });
            intermediateTensorInfos.push(expandedT);
            return expandedT;
          });
          var result = concat({ inputs: expandedTensors, backend: backend, attrs: { axis: axis } });
          intermediateTensorInfos.forEach(function (t) {
            return backend.disposeIntermediateTensorInfo(t);
          });
          return result;
        }
        var packConfig = {
          kernelName: tf.Pack,
          backendName: 'webgl',
          kernelFunc: pack,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var PadProgram = /** @class */ (function () {
          function PadProgram(xShape, paddings, constantValue) {
            this.variableNames = ['x'];
            this.outputShape = paddings.map(
              function (p, i) {
                return p[0] /* beforePad */ + xShape[i] + p[1];
              } /* afterPad */,
            );
            var rank = xShape.length;
            var type = getCoordsDataType(rank);
            var start = paddings
              .map(function (p) {
                return p[0];
              })
              .join(',');
            var end = paddings
              .map(function (p, i) {
                return p[0] + xShape[i];
              })
              .join(',');
            var unpackedCoords = ['coords[0]', 'coords[1]', 'coords[2]', 'coords[3]'].slice(
              0,
              rank,
            );
            if (rank === 1) {
              this.userCode =
                '\n        int start = ' +
                start +
                ';\n        int end = ' +
                end +
                ';\n        uniform float value;\n\n        void main() {\n          int outC = getOutputCoords();\n          if (outC < start || outC >= end) {\n            setOutput(value);\n          } else {\n            setOutput(getX(outC - start));\n          }\n        }\n      ';
              return;
            }
            this.userCode =
              '\n      ' +
              type +
              ' start = ' +
              type +
              '(' +
              start +
              ');\n      ' +
              type +
              ' end = ' +
              type +
              '(' +
              end +
              ');\n      uniform float value;\n\n      void main() {\n        ' +
              type +
              ' outC = getOutputCoords();\n        if (any(lessThan(outC, start)) || any(greaterThanEqual(outC, end))) {\n          setOutput(value);\n        } else {\n          ' +
              type +
              ' coords = outC - start;\n          setOutput(getX(' +
              unpackedCoords +
              '));\n        }\n      }\n    ';
          }
          PadProgram.prototype.getCustomSetupFunc = function (value) {
            var _this = this;
            return function (gpgpu, webGLProgram) {
              if (_this.valueLoc == null) {
                _this.valueLoc = gpgpu.getUniformLocationNoThrow(webGLProgram, 'value');
              }
              gpgpu.gl.uniform1f(_this.valueLoc, value);
            };
          };
          return PadProgram;
        })();

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var PadPackedProgram = /** @class */ (function () {
          function PadPackedProgram(xShape, paddings, constantValue) {
            this.variableNames = ['x'];
            this.packedInputs = true;
            this.packedOutput = true;
            this.outputShape = paddings.map(
              function (p, i) {
                return p[0] /* beforePad */ + xShape[i] + p[1];
              } /* afterPad */,
            );
            var rank = xShape.length;
            var dtype = getCoordsDataType(rank);
            var start = paddings
              .map(function (p) {
                return p[0];
              })
              .join(',');
            var end = paddings
              .map(function (p, i) {
                return p[0] + xShape[i];
              })
              .join(',');
            var coords = getChannels('rc', rank);
            var source = getChannels('source', rank);
            var cLimit = coords[rank - 1] + ' < ' + this.outputShape[rank - 1];
            var innerDims = rank === 1 ? 'source' : 'vec2(' + source.slice(-2).join() + ')';
            var componentSetup = [
              dtype + ' rc = outputLoc;',
              coords[rank - 1] + ' += 1;\n       if(' + cLimit + ') {\n      ',
              rank === 1
                ? ''
                : '}\n       rc = outputLoc;\n       ' +
                  coords[rank - 2] +
                  ' += 1;\n       if(' +
                  coords[rank - 2] +
                  ' < ' +
                  this.outputShape[rank - 2] +
                  ') {',
              rank === 1 ? '' : '  ' + coords[rank - 1] + ' += 1;\n         if(' + cLimit + ') {',
            ];
            var paddingArea =
              rank === 1
                ? 'rc < start || rc >= end'
                : 'any(lessThan(rc, start)) || any(greaterThanEqual(rc, end))';
            var mainLoop = '';
            for (var i = 0, j = rank === 1 ? 2 : 4; i < j; i++) {
              mainLoop +=
                '\n        ' +
                componentSetup[i] +
                '\n        if (' +
                paddingArea +
                ') {\n          result[' +
                i +
                '] = float(value);\n        } else {\n          ' +
                dtype +
                ' source = rc - start;\n          result[' +
                i +
                '] = getChannel(getX(' +
                source.join() +
                '), ' +
                innerDims +
                ');\n        }\n      ';
            }
            mainLoop += rank === 1 ? '} ' : '}}';
            this.userCode =
              '\n      const ' +
              dtype +
              ' start = ' +
              dtype +
              '(' +
              start +
              ');\n      const ' +
              dtype +
              ' end = ' +
              dtype +
              '(' +
              end +
              ');\n      uniform float value;\n\n      void main() {\n        ' +
              dtype +
              ' outputLoc = getOutputCoords();\n        vec4 result = vec4(0.);\n        ' +
              mainLoop +
              '\n        setOutput(result);\n      }\n    ';
          }
          PadPackedProgram.prototype.getCustomSetupFunc = function (value) {
            var _this = this;
            return function (gpgpu, webGLProgram) {
              if (_this.valueLoc == null) {
                _this.valueLoc = gpgpu.getUniformLocationNoThrow(webGLProgram, 'value');
              }
              gpgpu.gl.uniform1f(_this.valueLoc, value);
            };
          };
          return PadPackedProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var padV2 = function (args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var paddings = attrs.paddings,
            constantValue = attrs.constantValue;
          var program = tf.env().getBool('WEBGL_PACK_ARRAY_OPERATIONS')
            ? new PadPackedProgram(x.shape, paddings, constantValue)
            : new PadProgram(x.shape, paddings, constantValue);
          var customSetup = program.getCustomSetupFunc(constantValue);
          return backend.runWebGLProgram(program, [x], x.dtype, customSetup);
        };
        var padV2Config = {
          kernelName: tf.PadV2,
          backendName: 'webgl',
          kernelFunc: padV2,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var POW =
          '\n  if(a < 0.0 && floor(b) < b){\n    return NAN;\n  }\n  if (b == 0.0) {\n    return 1.0;\n  }\n  return (round(mod(b, 2.0)) != 1) ?\n      pow(abs(a), b) : sign(a) * pow(abs(a), b);\n';
        var POW_PACKED =
          '\n  // isModRound1 has 1 for components with round(mod(b, 2.0)) == 1, 0 otherwise.\n  vec4 isModRound1 = vec4(equal(round(mod(b, 2.0)), ivec4(1)));\n  vec4 multiplier = sign(a) * isModRound1 + (vec4(1.0) - isModRound1);\n  vec4 result = multiplier * pow(abs(a), b);\n\n  // Ensure that a^0 = 1, including 0^0 = 1 as this correspond to TF and JS\n  bvec4 isExpZero = equal(b, vec4(0.0));\n  result.r = isExpZero.r ? 1.0 : result.r;\n  result.g = isExpZero.g ? 1.0 : result.g;\n  result.b = isExpZero.b ? 1.0 : result.b;\n  result.a = isExpZero.a ? 1.0 : result.a;\n\n  vec4 isNaN = vec4(lessThan(a, vec4(0.0))) * vec4(lessThan(floor(b), b));\n  ' +
          CHECK_NAN_SNIPPET$2 +
          '\n  return result;\n';
        var pow = binaryKernelFunc({ opSnippet: POW, packedOpSnippet: POW_PACKED });
        var powConfig = {
          kernelName: tf.Pow,
          backendName: 'webgl',
          kernelFunc: pow,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function prod(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var axis = attrs.axis,
            keepDims = attrs.keepDims;
          var xRank = x.shape.length;
          var toDispose = [];
          var origAxes = tf.util.parseAxisParam(axis, x.shape);
          var axes = origAxes;
          var permutedAxes = tf.backend_util.getAxesPermutation(axes, xRank);
          var permutedX = x;
          if (permutedAxes != null) {
            permutedX = transpose({
              inputs: { x: x },
              backend: backend,
              attrs: { perm: permutedAxes },
            });
            axes = tf.backend_util.getInnerMostAxes(axes.length, xRank);
            toDispose.push(permutedX);
          }
          tf.backend_util.assertAxesAreInnerMostDims('prod', axes, xRank);
          var res;
          if (backend.shouldExecuteOnCPU([permutedX])) {
            var xVals = backend.texData.get(permutedX.dataId).values;
            var _a = prodImplCPU(permutedX.shape, permutedX.dtype, xVals, axes),
              outVals = _a.outVals,
              outShape = _a.outShape,
              outDtype = _a.outDtype;
            res = backend.makeTensorInfo(outShape, outDtype, outVals);
          } else {
            var _b = tf.backend_util.computeOutAndReduceShapes(permutedX.shape, axes),
              outShape = _b[0],
              reduceShape = _b[1];
            var inSize = tf.util.sizeFromShape(reduceShape);
            var a2D = reshape({
              inputs: { x: permutedX },
              backend: backend,
              attrs: { shape: [-1, inSize] },
            });
            var outputDType = tf.sumOutType(x.dtype);
            var reduced = reduce(a2D, outputDType, 'prod', backend);
            res = reshape({ inputs: { x: reduced }, backend: backend, attrs: { shape: outShape } });
            toDispose.push(a2D);
            toDispose.push(reduced);
          }
          if (keepDims) {
            toDispose.push(res);
            var newShape = tf.backend_util.expandShapeToKeepDim(res.shape, origAxes);
            res = reshape({ inputs: { x: res }, backend: backend, attrs: { shape: newShape } });
          }
          toDispose.forEach(function (t) {
            return backend.disposeIntermediateTensorInfo(t);
          });
          return res;
        }
        var prodConfig = {
          kernelName: tf.Prod,
          backendName: 'webgl',
          kernelFunc: prod,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var range = function (args) {
          var backend = args.backend,
            attrs = args.attrs;
          var start = attrs.start,
            stop = attrs.stop,
            step = attrs.step,
            dtype = attrs.dtype;
          var values = rangeImplCPU(start, stop, step, dtype);
          return backend.makeTensorInfo([values.length], dtype, values);
        };
        var rangeConfig = {
          kernelName: tf.Range,
          backendName: 'webgl',
          kernelFunc: range,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var RECIPROCAL = 'return 1.0 / x;';
        var reciprocal = unaryKernelFunc({ opSnippet: RECIPROCAL });
        var reciprocalConfig = {
          kernelName: tf.Reciprocal,
          backendName: 'webgl',
          kernelFunc: reciprocal,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var RELU$2 = CHECK_NAN_SNIPPET + '\n  return (x < 0.0) ? 0.0 : x;\n';
        var RELU_PACKED =
          '\n  vec4 result = x * vec4(greaterThanEqual(x, vec4(0.0)));\n  bvec4 isNaN = isnan(x);\n\n  result.r = isNaN.r ? x.r : result.r;\n  result.g = isNaN.g ? x.g : result.g;\n  result.b = isNaN.b ? x.b : result.b;\n  result.a = isNaN.a ? x.a : result.a;\n\n  return result;\n';
        var relu = unaryKernelFunc({ opSnippet: RELU$2, packedOpSnippet: RELU_PACKED });
        var reluConfig = {
          kernelName: tf.Relu,
          backendName: 'webgl',
          kernelFunc: relu,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var RELU6$2 = CHECK_NAN_SNIPPET + '\n  return (x < 0.0) ? 0.0 : min(6.0, x);\n';
        var RELU6_PACKED =
          '\n  vec4 result = min(x, vec4(6.)) * vec4(greaterThanEqual(x, vec4(0.0)));\n  bvec4 isNaN = isnan(x);\n\n  result.r = isNaN.r ? x.r : result.r;\n  result.g = isNaN.g ? x.g : result.g;\n  result.b = isNaN.b ? x.b : result.b;\n  result.a = isNaN.a ? x.a : result.a;\n\n  return result;\n';
        var relu6 = unaryKernelFunc({ opSnippet: RELU6$2, packedOpSnippet: RELU6_PACKED });
        var relu6Config = {
          kernelName: tf.Relu6,
          backendName: 'webgl',
          kernelFunc: relu6,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ResizeBilinearProgram = /** @class */ (function () {
          function ResizeBilinearProgram(
            inputShape,
            newHeight,
            newWidth,
            alignCorners,
            halfPixelCenters,
          ) {
            this.variableNames = ['A'];
            this.outputShape = [];
            var batch = inputShape[0],
              oldHeight = inputShape[1],
              oldWidth = inputShape[2],
              depth = inputShape[3];
            this.outputShape = [batch, newHeight, newWidth, depth];
            var effectiveInSize = [
              alignCorners && newHeight > 1 ? oldHeight - 1 : oldHeight,
              alignCorners && newWidth > 1 ? oldWidth - 1 : oldWidth,
            ];
            var effectiveOutSize = [
              alignCorners && newHeight > 1 ? newHeight - 1 : newHeight,
              alignCorners && newWidth > 1 ? newWidth - 1 : newWidth,
            ];
            var sourceFracIndexRC;
            if (halfPixelCenters) {
              sourceFracIndexRC =
                '(vec2(yRC) + vec2(0.5)) * effectiveInputOverOutputRatioRC' + ' - vec2(0.5)';
            } else {
              sourceFracIndexRC = 'vec2(yRC) * effectiveInputOverOutputRatioRC';
            }
            this.userCode =
              '\n      const vec2 effectiveInputOverOutputRatioRC = vec2(\n          ' +
              effectiveInSize[0] / effectiveOutSize[0] +
              ',\n          ' +
              effectiveInSize[1] / effectiveOutSize[1] +
              ');\n      const vec2 inputShapeRC = vec2(' +
              oldHeight +
              '.0, ' +
              oldWidth +
              '.0);\n\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int b = coords[0];\n        int d = coords[3];\n        ivec2 yRC = coords.yz;\n\n        // Fractional source index.\n        vec2 sourceFracIndexRC = ' +
              sourceFracIndexRC +
              ';\n\n        // Compute the four integer indices.\n        ivec2 sourceFloorRC = ivec2(max(sourceFracIndexRC, vec2(0.0)));\n        ivec2 sourceCeilRC = ivec2(\n          min(inputShapeRC - 1.0, ceil(sourceFracIndexRC)));\n\n        float topLeft = getA(b, sourceFloorRC.x, sourceFloorRC.y, d);\n        float bottomLeft = getA(b, sourceCeilRC.x, sourceFloorRC.y, d);\n        float topRight = getA(b, sourceFloorRC.x, sourceCeilRC.y, d);\n        float bottomRight = getA(b, sourceCeilRC.x, sourceCeilRC.y, d);\n\n        vec2 fracRC = sourceFracIndexRC - vec2(sourceFloorRC);\n\n        float top = topLeft + (topRight - topLeft) * fracRC.y;\n        float bottom = bottomLeft + (bottomRight - bottomLeft) * fracRC.y;\n        float newValue = top + (bottom - top) * fracRC.x;\n\n        setOutput(newValue);\n      }\n    ';
          }
          return ResizeBilinearProgram;
        })();

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ResizeBilinearPackedProgram = /** @class */ (function () {
          function ResizeBilinearPackedProgram(
            inputShape,
            newHeight,
            newWidth,
            alignCorners,
            halfPixelCenters,
          ) {
            this.variableNames = ['A'];
            this.packedInputs = true;
            this.packedOutput = true;
            this.outputShape = [];
            var batch = inputShape[0],
              oldHeight = inputShape[1],
              oldWidth = inputShape[2],
              depth = inputShape[3];
            this.outputShape = [batch, newHeight, newWidth, depth];
            var effectiveInSize = [
              alignCorners && newHeight > 1 ? oldHeight - 1 : oldHeight,
              alignCorners && newWidth > 1 ? oldWidth - 1 : oldWidth,
            ];
            var effectiveOutSize = [
              alignCorners && newHeight > 1 ? newHeight - 1 : newHeight,
              alignCorners && newWidth > 1 ? newWidth - 1 : newWidth,
            ];
            var sourceFracIndexRC;
            if (halfPixelCenters) {
              sourceFracIndexRC =
                '(vec3(yRC) + vec3(0.5)) * ' + 'effectiveInputOverOutputRatioRC - vec3(0.5)';
            } else {
              sourceFracIndexRC = 'vec3(yRC) * effectiveInputOverOutputRatioRC';
            }
            this.userCode =
              '\n      const vec3 effectiveInputOverOutputRatioRC = vec3(\n          ' +
              effectiveInSize[0] / effectiveOutSize[0] +
              ',\n          ' +
              effectiveInSize[1] / effectiveOutSize[1] +
              ',\n          ' +
              effectiveInSize[1] / effectiveOutSize[1] +
              ');\n      const vec3 inputShapeRC = vec3(' +
              oldHeight +
              '.0, ' +
              oldWidth +
              '.0,\n                                     ' +
              oldWidth +
              '.0);\n\n      float getAValue(int b, int r, int c, int d) {\n        return getChannel(getA(b, r, c, d), vec2(c, d));\n      }\n\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int b = coords[0];\n        int d = coords[3];\n        // Calculate values for next column in yRC.z.\n        ivec3 yRC = coords.yzz + ivec3(0, 0, 1);\n\n        // Fractional source index.\n        vec3 sourceFracIndexRC = ' +
              sourceFracIndexRC +
              ';\n\n        // Compute the four integer indices.\n        ivec3 sourceFloorRC = ivec3(max(sourceFracIndexRC, vec3(0.0)));\n        ivec3 sourceCeilRC = ivec3(\n          min(inputShapeRC - 1.0, ceil(sourceFracIndexRC)));\n\n        // Should we calculate next column and row elements in 2x2 packed cell.\n        bool hasNextCol = d < ' +
              (depth - 1) +
              ';\n        bool hasNextRow = coords.z < ' +
              (newWidth - 1) +
              ';\n\n        // In parallel, construct four corners for all four components in\n        // packed 2x2 cell.\n        vec4 topLeft = vec4(\n          getAValue(b, sourceFloorRC.x, sourceFloorRC.y, d),\n          hasNextCol ? getAValue(b, sourceFloorRC.x, sourceFloorRC.y, d + 1)\n                     : 0.0,\n          hasNextRow ? getAValue(b, sourceFloorRC.x, sourceFloorRC.z, d)\n                     : 0.0,\n          (hasNextRow && hasNextCol) ?\n            getAValue(b, sourceFloorRC.x, sourceFloorRC.z, d + 1) : 0.0);\n\n        vec4 bottomLeft = vec4(\n          getAValue(b, sourceCeilRC.x, sourceFloorRC.y, d),\n          hasNextCol ? getAValue(b, sourceCeilRC.x, sourceFloorRC.y, d + 1)\n                     : 0.0,\n          hasNextRow ? getAValue(b, sourceCeilRC.x, sourceFloorRC.z, d)\n                     : 0.0,\n          (hasNextRow && hasNextCol) ?\n            getAValue(b, sourceCeilRC.x, sourceFloorRC.z, d + 1) : 0.0);\n\n        vec4 topRight = vec4(\n          getAValue(b, sourceFloorRC.x, sourceCeilRC.y, d),\n          hasNextCol ? getAValue(b, sourceFloorRC.x, sourceCeilRC.y, d + 1)\n                     : 0.0,\n          hasNextRow ? getAValue(b, sourceFloorRC.x, sourceCeilRC.z, d)\n                     : 0.0,\n          (hasNextRow && hasNextCol) ?\n            getAValue(b, sourceFloorRC.x, sourceCeilRC.z, d + 1) : 0.0);\n\n        vec4 bottomRight = vec4(\n          getAValue(b, sourceCeilRC.x, sourceCeilRC.y, d),\n          hasNextCol ? getAValue(b, sourceCeilRC.x, sourceCeilRC.y, d + 1)\n                     : 0.0,\n          hasNextRow ? getAValue(b, sourceCeilRC.x, sourceCeilRC.z, d)\n                     : 0.0,\n          (hasNextRow && hasNextCol) ?\n            getAValue(b, sourceCeilRC.x, sourceCeilRC.z, d + 1) : 0.0);\n\n        vec3 fracRC = sourceFracIndexRC - vec3(sourceFloorRC);\n\n        vec4 top = mix(topLeft, topRight, fracRC.yyzz);\n        vec4 bottom = mix(bottomLeft, bottomRight, fracRC.yyzz);\n        vec4 newValue = mix(top, bottom, fracRC.x);\n\n        setOutput(newValue);\n      }\n    ';
          }
          return ResizeBilinearPackedProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function resizeBilinear(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var images = inputs.images;
          var alignCorners = attrs.alignCorners,
            halfPixelCenters = attrs.halfPixelCenters,
            size = attrs.size;
          var newHeight = size[0],
            newWidth = size[1];
          var program = tf.env().getBool('WEBGL_PACK_IMAGE_OPERATIONS')
            ? new ResizeBilinearPackedProgram(
                images.shape,
                newHeight,
                newWidth,
                alignCorners,
                halfPixelCenters,
              )
            : new ResizeBilinearProgram(
                images.shape,
                newHeight,
                newWidth,
                alignCorners,
                halfPixelCenters,
              );
          return backend.runWebGLProgram(program, [images], 'float32');
        }
        var resizeBilinearConfig = {
          kernelName: tf.ResizeBilinear,
          backendName: 'webgl',
          kernelFunc: resizeBilinear,
        };

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ResizeBilinearBackpropProgram = /** @class */ (function () {
          function ResizeBilinearBackpropProgram(dyShape, inputShape, alignCorners) {
            this.variableNames = ['dy'];
            this.outputShape = [];
            this.outputShape = inputShape;
            var xHeight = inputShape[1],
              xWidth = inputShape[2];
            var yHeight = dyShape[1],
              yWidth = dyShape[2];
            // In the backwards pass, we want to find the pixels that were generated for
            // each pixel in the input image the forward pass and add the corresponding
            // coefficient from dy to the gradient (with some interpolation).
            var effectiveXSize = [
              alignCorners && yHeight > 1 ? xHeight - 1 : xHeight,
              alignCorners && yWidth > 1 ? xWidth - 1 : xWidth,
            ];
            var effectiveYSize = [
              alignCorners && yHeight > 1 ? yHeight - 1 : yHeight,
              alignCorners && yWidth > 1 ? yWidth - 1 : yWidth,
            ];
            var heightScale = effectiveXSize[0] / effectiveYSize[0];
            var widthScale = effectiveXSize[1] / effectiveYSize[1];
            var invHeightScale = 1 / heightScale;
            var invWidthScale = 1 / widthScale;
            // This defines the size of the window of values around a particular
            // index in dy that we want to search for contributions to dx.
            var winHeight = Math.ceil(invHeightScale) * 2 + 2;
            var winWidth = Math.ceil(invWidthScale) * 2 + 2;
            this.userCode =
              '\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int b = coords[0];\n        int d = coords[3];\n        int r = coords[1];\n        int c = coords[2];\n\n        float accumulator = 0.0;\n\n        const float heightScale = float(' +
              heightScale +
              ');\n        const float widthScale = float(' +
              widthScale +
              ');\n\n        const float invHeightScale = float(' +
              invHeightScale +
              ');\n        const float invWidthScale = float(' +
              invWidthScale +
              ');\n\n        const int winHeight = int(' +
              winHeight +
              ');\n        const int winWidth = int(' +
              winWidth +
              ');\n\n        // Compute bounds for where in dy we will look\n        float startRLerp = floor(float(r) * invHeightScale);\n        int startDyR = int(startRLerp - float(winHeight / 2));\n\n        float startCLerp = floor(float(c) * invWidthScale);\n        int startDyC = int(startCLerp - float(winWidth / 2));\n\n        // Loop over dy\n        for (int dyROffset = 0; dyROffset < winHeight; dyROffset++) {\n          int dyR = dyROffset + startDyR;\n\n          // Guard against the window exceeding the bounds of dy\n          if (dyR < 0 || dyR >= ' +
              yHeight +
              ') {\n            continue;\n          }\n\n          for (int dyCOffset = 0; dyCOffset < winWidth; dyCOffset++) {\n            int dyC = dyCOffset + startDyC;\n\n            // Guard against the window exceeding the bounds of dy\n            if (dyC < 0 || dyC >= ' +
              yWidth +
              ') {\n              continue;\n            }\n\n            float dxR = float(dyR) * heightScale;\n            int topDxRIndex = int(floor(dxR));\n            int bottomDxRIndex = int(min(ceil(dxR), ' +
              (xHeight - 1) +
              '.0));\n            float dxRLerp = dxR - float(topDxRIndex);\n            float inverseDxRLerp = 1.0 - dxRLerp;\n\n            float dxC = float(dyC) * widthScale;\n            int leftDxCIndex = int(floor(dxC));\n            int rightDxCIndex = int(min(ceil(dxC), ' +
              (xWidth - 1) +
              '.0));\n            float dxCLerp = dxC - float(leftDxCIndex);\n            float inverseDxCLerp = 1.0 - dxCLerp;\n\n            if (r == topDxRIndex && c == leftDxCIndex) {\n              // topLeft\n              accumulator +=\n                getDy(b, dyR, dyC, d) * inverseDxRLerp * inverseDxCLerp;\n            }\n\n            if (r == topDxRIndex && c == rightDxCIndex) {\n              // topRight\n              accumulator += getDy(b, dyR, dyC, d) * inverseDxRLerp * dxCLerp;\n            }\n\n            if (r == bottomDxRIndex && c == leftDxCIndex) {\n              // bottomLeft\n              accumulator += getDy(b, dyR, dyC, d) * dxRLerp * inverseDxCLerp;\n            }\n\n            if (r == bottomDxRIndex && c == rightDxCIndex) {\n              // bottomRight\n              accumulator += getDy(b, dyR, dyC, d) * dxRLerp * dxCLerp;\n            }\n          }\n        }\n        // End loop over dy\n\n        setOutput(accumulator);\n      }\n    ';
          }
          return ResizeBilinearBackpropProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function resizeBilinearGrad(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var images = inputs.images,
            dy = inputs.dy;
          var alignCorners = attrs.alignCorners;
          var program = new ResizeBilinearBackpropProgram(dy.shape, images.shape, alignCorners);
          return backend.runWebGLProgram(program, [dy], dy.dtype);
        }
        var resizeBilinearGradConfig = {
          kernelName: tf.ResizeBilinearGrad,
          backendName: 'webgl',
          kernelFunc: resizeBilinearGrad,
        };

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ResizeNearestNeighborProgram = /** @class */ (function () {
          function ResizeNearestNeighborProgram(
            inputShape,
            newHeight,
            newWidth,
            alignCorners,
            halfPixelCenters,
          ) {
            this.variableNames = ['A'];
            this.outputShape = [];
            var batch = inputShape[0],
              oldHeight = inputShape[1],
              oldWidth = inputShape[2],
              depth = inputShape[3];
            this.outputShape = [batch, newHeight, newWidth, depth];
            var effectiveInSize = [
              alignCorners && newHeight > 1 ? oldHeight - 1 : oldHeight,
              alignCorners && newWidth > 1 ? oldWidth - 1 : oldWidth,
            ];
            var effectiveOutSize = [
              alignCorners && newHeight > 1 ? newHeight - 1 : newHeight,
              alignCorners && newWidth > 1 ? newWidth - 1 : newWidth,
            ];
            // When align corners is false, we rounds the value with floor.
            var roundBase = alignCorners ? '0.5' : '0.0';
            var sourceFracIndexRC;
            if (halfPixelCenters) {
              sourceFracIndexRC =
                'max((vec2(yRC) + vec2(0.5)) * effectiveInputOverOutputRatioRC' + ', vec2(0.0))';
            } else {
              sourceFracIndexRC = 'vec2(yRC) * effectiveInputOverOutputRatioRC';
            }
            this.userCode =
              '\n      const vec2 effectiveInputOverOutputRatioRC = vec2(\n          ' +
              effectiveInSize[0] / effectiveOutSize[0] +
              ',\n          ' +
              effectiveInSize[1] / effectiveOutSize[1] +
              ');\n      const vec2 inputShapeRC = vec2(' +
              oldHeight +
              '.0, ' +
              oldWidth +
              '.0);\n\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int b = coords[0];\n        int d = coords[3];\n        ivec2 yRC = coords.yz;\n\n        // Fractional source index.\n        vec2 sourceFracIndexRC = ' +
              sourceFracIndexRC +
              ';\n\n        // Compute the coordinators of nearest neighbor point.\n        ivec2 sourceNearestRC = ivec2(\n          min(inputShapeRC - 1.0, floor(sourceFracIndexRC + ' +
              roundBase +
              ')));\n        float newValue = getA(b, sourceNearestRC.x, sourceNearestRC.y, d);\n\n        setOutput(newValue);\n      }\n    ';
          }
          return ResizeNearestNeighborProgram;
        })();

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ResizeNearestNeighborPackedProgram = /** @class */ (function () {
          function ResizeNearestNeighborPackedProgram(
            inputShape,
            newHeight,
            newWidth,
            alignCorners,
            halfPixelCenters,
          ) {
            this.variableNames = ['A'];
            this.packedInputs = true;
            this.packedOutput = true;
            this.outputShape = [];
            var batch = inputShape[0],
              oldHeight = inputShape[1],
              oldWidth = inputShape[2],
              depth = inputShape[3];
            this.outputShape = [batch, newHeight, newWidth, depth];
            var effectiveInSize = [
              alignCorners && newHeight > 1 ? oldHeight - 1 : oldHeight,
              alignCorners && newWidth > 1 ? oldWidth - 1 : oldWidth,
            ];
            var effectiveOutSize = [
              alignCorners && newHeight > 1 ? newHeight - 1 : newHeight,
              alignCorners && newWidth > 1 ? newWidth - 1 : newWidth,
            ];
            // When align corners is false, we rounds the value with floor.
            var roundBase = alignCorners ? '0.5' : '0.0';
            var sourceFracIndexRC;
            if (halfPixelCenters) {
              sourceFracIndexRC =
                'max((vec3(yRC) + vec3(0.5)) * ' + 'effectiveInputOverOutputRatioRC, vec3(0.0))';
            } else {
              sourceFracIndexRC = 'vec3(yRC) * effectiveInputOverOutputRatioRC';
            }
            this.userCode =
              '\n      const vec3 effectiveInputOverOutputRatioRC = vec3(\n          ' +
              effectiveInSize[0] / effectiveOutSize[0] +
              ',\n          ' +
              effectiveInSize[1] / effectiveOutSize[1] +
              ',\n          ' +
              effectiveInSize[1] / effectiveOutSize[1] +
              ');\n      const vec3 inputShapeRC = vec3(' +
              oldHeight +
              '.0, ' +
              oldWidth +
              '.0,\n                                     ' +
              oldWidth +
              '.0);\n\n      float getAValue(int b, int r, int c, int d) {\n        return getChannel(getA(b, r, c, d), vec2(c, d));\n      }\n\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int b = coords[0];\n        int d = coords[3];\n        // Calculate values for next column in yRC.z.\n        ivec3 yRC = coords.yzz + ivec3(0, 0, 1);\n\n        // Fractional source index.\n        vec3 sourceFracIndexRC = ' +
              sourceFracIndexRC +
              ';\n\n        // Compute the coordinators of nearest neighbor point.\n        ivec3 sourceNearestRC = ivec3(\n          min(inputShapeRC - 1.0, floor(sourceFracIndexRC + ' +
              roundBase +
              ')));\n\n        // Should we calculate next column and row elements in 2x2 packed cell.\n        bool hasNextCol = d < ' +
              (depth - 1) +
              ';\n        bool hasNextRow = coords.z < ' +
              (newWidth - 1) +
              ';\n\n        vec4 newValue = vec4(\n          getAValue(b, sourceNearestRC.x, sourceNearestRC.y, d),\n          hasNextCol ? getAValue(b, sourceNearestRC.x, sourceNearestRC.y, d + 1)\n                     : 0.0,\n          hasNextRow ? getAValue(b, sourceNearestRC.x, sourceNearestRC.z, d)\n                     : 0.0,\n          (hasNextRow && hasNextCol) ?\n            getAValue(b, sourceNearestRC.x, sourceNearestRC.z, d + 1) : 0.0);\n\n        setOutput(newValue);\n      }\n    ';
          }
          return ResizeNearestNeighborPackedProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function resizeNearestNeighbor(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var images = inputs.images;
          var alignCorners = attrs.alignCorners,
            halfPixelCenters = attrs.halfPixelCenters,
            size = attrs.size;
          var newHeight = size[0],
            newWidth = size[1];
          var program = tf.env().getBool('WEBGL_PACK_IMAGE_OPERATIONS')
            ? new ResizeNearestNeighborPackedProgram(
                images.shape,
                newHeight,
                newWidth,
                alignCorners,
                halfPixelCenters,
              )
            : new ResizeNearestNeighborProgram(
                images.shape,
                newHeight,
                newWidth,
                alignCorners,
                halfPixelCenters,
              );
          return backend.runWebGLProgram(program, [images], images.dtype);
        }
        var resizeNearestNeighborConfig = {
          kernelName: tf.ResizeNearestNeighbor,
          backendName: 'webgl',
          kernelFunc: resizeNearestNeighbor,
        };

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ResizeNearestNeigborBackpropProgram = /** @class */ (function () {
          function ResizeNearestNeigborBackpropProgram(dyShape, inputShape, alignCorners) {
            this.variableNames = ['dy'];
            this.outputShape = [];
            this.outputShape = inputShape;
            var xHeight = inputShape[1],
              xWidth = inputShape[2];
            var yHeight = dyShape[1],
              yWidth = dyShape[2];
            // In the backwards pass, we want to find the pixels that were generated for
            // each pixel in the input image the forward pass and add the corresponding
            // coefficient from dy to the gradient (with some interpolation).
            var effectiveXSize = [
              alignCorners && yHeight > 1 ? xHeight - 1 : xHeight,
              alignCorners && yWidth > 1 ? xWidth - 1 : xWidth,
            ];
            var effectiveYSize = [
              alignCorners && yHeight > 1 ? yHeight - 1 : yHeight,
              alignCorners && yWidth > 1 ? yWidth - 1 : yWidth,
            ];
            var heightScale = effectiveXSize[0] / effectiveYSize[0];
            var widthScale = effectiveXSize[1] / effectiveYSize[1];
            var invHeightScale = 1 / heightScale;
            var invWidthScale = 1 / widthScale;
            // This defines the size of the window of values around a particular
            // index in dy that we want to search for contributions to dx.
            var winHeight = Math.ceil(invHeightScale) * 2 + 2;
            var winWidth = Math.ceil(invWidthScale) * 2 + 2;
            this.userCode =
              '\n      void main() {\n        ivec4 coords = getOutputCoords();\n        int b = coords[0];\n        int d = coords[3];\n        int r = coords[1];\n        int c = coords[2];\n\n        float accumulator = 0.0;\n\n        const float heightScale = float(' +
              heightScale +
              ');\n        const float widthScale = float(' +
              widthScale +
              ');\n\n        const float invHeightScale = float(' +
              invHeightScale +
              ');\n        const float invWidthScale = float(' +
              invWidthScale +
              ');\n\n        const int winHeight = int(' +
              winHeight +
              ');\n        const int winWidth = int(' +
              winWidth +
              ');\n\n        // Compute bounds for where in dy we will look\n        float startRLerp = floor(float(r) * invHeightScale);\n        int startDyR = int(floor(startRLerp - float(winHeight / 2)));\n\n        float startCLerp = floor(float(c) * invWidthScale);\n        int startDyC = int(floor(startCLerp - float(winWidth / 2)));\n\n        // Loop over dy\n        for (int dyROffset = 0; dyROffset < winHeight; dyROffset++) {\n          int dyR = dyROffset + startDyR;\n\n          // Guard against the window exceeding the bounds of dy\n          if (dyR < 0 || dyR >= ' +
              yHeight +
              ') {\n            continue;\n          }\n\n          for (int dyCOffset = 0; dyCOffset < winWidth; dyCOffset++) {\n            int dyC = dyCOffset + startDyC;\n\n            // Guard against the window exceeding the bounds of dy\n            if (dyC < 0 || dyC >= ' +
              yWidth +
              ') {\n              continue;\n            }\n\n            float sourceFracRow =\n              float(' +
              effectiveXSize[0] +
              ') *\n                (float(dyR) / float(' +
              effectiveYSize[0] +
              '));\n\n            float sourceFracCol =\n                float(' +
              effectiveXSize[1] +
              ') *\n                  (float(dyC) / float(' +
              effectiveYSize[1] +
              '));\n\n            int sourceNearestRow = int(min(\n                float(int(' +
              xHeight +
              ') - 1),\n                ' +
              alignCorners +
              ' ? float(round(sourceFracRow)) :\n                                  float(floor(sourceFracRow))));\n\n            int sourceNearestCol = int(min(\n                float(int(' +
              xWidth +
              ') - 1),\n                ' +
              alignCorners +
              ' ? float(round(sourceFracCol)) :\n                                  float(floor(sourceFracCol))));\n\n            if (r == sourceNearestRow && c == sourceNearestCol) {\n              accumulator += getDy(b, dyR, dyC, d);\n            }\n          }\n        }\n        // End loop over dy\n\n        setOutput(accumulator);\n      }\n    ';
          }
          return ResizeNearestNeigborBackpropProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function resizeNearestNeighborGrad(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var images = inputs.images,
            dy = inputs.dy;
          var alignCorners = attrs.alignCorners;
          var program = new ResizeNearestNeigborBackpropProgram(
            dy.shape,
            images.shape,
            alignCorners,
          );
          return backend.runWebGLProgram(program, [dy], dy.dtype);
        }
        var resizeNearestNeighborGradConfig = {
          kernelName: tf.ResizeNearestNeighborGrad,
          backendName: 'webgl',
          kernelFunc: resizeNearestNeighborGrad,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ReverseProgram = /** @class */ (function () {
          function ReverseProgram(xShape, axis) {
            this.variableNames = ['x'];
            var rank = xShape.length;
            if (rank > 4) {
              throw new Error(
                'WebGL backend: Reverse of rank-' + rank + ' tensor is not yet supported',
              );
            }
            this.outputShape = xShape;
            if (rank === 1) {
              this.userCode =
                '\n        void main() {\n          int coord = getOutputCoords();\n          setOutput(getX(' +
                xShape[0] +
                ' - coord - 1));\n        }\n      ';
              return;
            }
            var getInCoord = function (i) {
              if (axis.indexOf(i) !== -1 && xShape[i] !== 1) {
                return xShape[i] + ' - coords[' + i + '] - 1';
              }
              return 'coords[' + i + ']';
            };
            var inCoords = xShape
              .map(function (_, i) {
                return getInCoord(i);
              })
              .join(',');
            var type = getCoordsDataType(rank);
            this.userCode =
              '\n      void main() {\n        ' +
              type +
              ' coords = getOutputCoords();\n        setOutput(getX(' +
              inCoords +
              '));\n      }\n    ';
          }
          return ReverseProgram;
        })();

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ReversePackedProgram = /** @class */ (function () {
          function ReversePackedProgram(xShape, axis) {
            this.variableNames = ['x'];
            this.packedInputs = true;
            this.packedOutput = true;
            var rank = xShape.length;
            if (rank > 4) {
              throw new Error(
                'WebGL backend: Reverse of rank-' + rank + ' tensor is not yet supported',
              );
            }
            this.outputShape = xShape;
            var channels = getChannels('rc', rank);
            var nextColumn = channels[rank - 1] + ' + 1 < ' + this.outputShape[rank - 1];
            var nextRow = channels[rank - 2] + ' + 1 < ' + this.outputShape[rank - 2];
            var type = getCoordsDataType(rank);
            if (rank === 1) {
              this.userCode =
                '\n        void main(){\n          int rc = getOutputCoords();\n          vec4 result = vec4(0.);\n          result.r = getChannel(getX(' +
                xShape[0] +
                ' - rc - 1),\n            ' +
                xShape[0] +
                ' - rc - 1);\n          if(' +
                nextColumn +
                '){\n              result.g = getChannel(getX(' +
                xShape[0] +
                ' - (rc  + 1) - 1),\n                ' +
                xShape[0] +
                ' - (rc  + 1) - 1);\n          }\n          setOutput(result);\n        }\n      ';
            } else {
              this.userCode =
                '\n        void main() {\n          ' +
                type +
                ' rc = getOutputCoords();\n          vec4 result = vec4(0.);\n          result.r = ' +
                getR(channels.slice()) +
                ';\n          if(' +
                nextColumn +
                '){\n            result.g = ' +
                getG(channels.slice()) +
                ';\n          }\n          if(' +
                nextRow +
                ') {\n            result.b = ' +
                getB(channels.slice()) +
                ';\n            if(' +
                nextColumn +
                ') {\n              result.a = ' +
                getA(channels.slice()) +
                ';\n            }\n          }\n          setOutput(result);\n        }\n    ';
            }
            function getR(channels) {
              return getChannel(channels);
            }
            function getG(channels) {
              channels[rank - 1] = '(' + channels[rank - 1] + ' + 1)';
              return getChannel(channels);
            }
            function getB(channels) {
              channels[rank - 2] = '(' + channels[rank - 2] + ' + 1)';
              return getChannel(channels);
            }
            function getA(channels) {
              channels[rank - 1] = '(' + channels[rank - 1] + ' + 1)';
              channels[rank - 2] = '(' + channels[rank - 2] + ' + 1)';
              return getChannel(channels);
            }
            function getChannel(channels) {
              var inCoordsArray = xShape.map(function (_, i) {
                return getInCoord(i, channels);
              });
              var inCoords = inCoordsArray.join(',');
              var innerDims = inCoordsArray.slice(-2).join(',');
              return 'getChannel(getX(' + inCoords + '), vec2(' + innerDims + '))';
            }
            function getInCoord(i, channels1) {
              if (axis.indexOf(i) !== -1 && xShape[i] !== 1) {
                return xShape[i] + ' - ' + channels1[i] + ' - 1';
              } else {
                return '' + channels1[i];
              }
            }
          }
          return ReversePackedProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function reverse(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var dims = attrs.dims;
          var xRank = x.shape.length;
          var $dims = tf.util.parseAxisParam(dims, x.shape);
          if (xRank === 0) {
            return identity({ inputs: { x: x }, backend: backend });
          }
          var program = tf.env().getBool('WEBGL_PACK_ARRAY_OPERATIONS')
            ? new ReversePackedProgram(x.shape, $dims)
            : new ReverseProgram(x.shape, $dims);
          return backend.runWebGLProgram(program, [x], x.dtype);
        }
        var reverseConfig = {
          kernelName: tf.Reverse,
          backendName: 'webgl',
          kernelFunc: reverse,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var RotateProgram = /** @class */ (function () {
          function RotateProgram(imageShape, fillValue) {
            this.variableNames = ['Image'];
            this.outputShape = [];
            var imageHeight = imageShape[1];
            var imageWidth = imageShape[2];
            this.outputShape = imageShape;
            var fillSnippet = '';
            if (typeof fillValue === 'number') {
              fillSnippet = 'float outputValue = ' + fillValue.toFixed(2) + ';';
            } else {
              fillSnippet =
                '\n        vec3 fill = vec3(' +
                fillValue.join(',') +
                ');\n        float outputValue = fill[coords[3]];';
            }
            this.userCode =
              '\n        uniform vec4 params;\n        void main() {\n          ivec4 coords = getOutputCoords();\n          int x = coords[2];\n          int y = coords[1];\n          float coordXFloat = (float(x) - params[0]) * params[3] -\n            (float(y) - params[1]) * params[2];\n          float coordYFloat = (float(x) - params[0]) * params[2] +\n            (float(y) - params[1]) * params[3];\n          int coordX = int(round(coordXFloat + params[0]));\n          int coordY = int(round(coordYFloat + params[1]));\n          ' +
              fillSnippet +
              '\n          if(coordX >= 0 && coordX < ' +
              imageWidth +
              ' && coordY >= 0 && coordY < ' +
              imageHeight +
              ') {\n            outputValue = getImage(coords[0], coordY, coordX, coords[3]);\n          }\n          setOutput(outputValue);\n        }\n    ';
          }
          RotateProgram.prototype.getCustomSetupFunc = function (
            centerX,
            centerY,
            sinFactor,
            cosFactor,
          ) {
            var _this = this;
            return function (gpgpu, webGLProgram) {
              if (_this.paramsLoc == null) {
                _this.paramsLoc = gpgpu.getUniformLocationNoThrow(webGLProgram, 'params');
              }
              gpgpu.gl.uniform4f(_this.paramsLoc, centerX, centerY, sinFactor, cosFactor);
            };
          };
          return RotateProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var rotateWithOffsetConfig = {
          kernelName: tf.RotateWithOffset,
          backendName: 'webgl',
          kernelFunc: function (_a) {
            var inputs = _a.inputs,
              attrs = _a.attrs,
              backend = _a.backend;
            var image = inputs.image;
            var _b = attrs,
              radians = _b.radians,
              fillValue = _b.fillValue,
              center = _b.center;
            var webglBackend = backend;
            var program = new RotateProgram(image.shape, fillValue);
            var _c = tf.backend_util.getImageCenter(center, image.shape[1], image.shape[2]),
              centerX = _c[0],
              centerY = _c[1];
            var customSetup = program.getCustomSetupFunc(
              centerX,
              centerY,
              Math.sin(radians),
              Math.cos(radians),
            );
            var output = webglBackend.runWebGLProgram(program, [image], image.dtype, customSetup);
            return output;
          },
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ROUND =
          "\n  // OpenGL ES does not support round function.\n  // The algorithm is based on banker's rounding.\n  float base = floor(x);\n  if ((x - base) < 0.5) {\n    return floor(x);\n  } else if ((x - base) > 0.5) {\n    return ceil(x);\n  } else {\n    if (mod(base, 2.0) == 0.0) {\n      return base;\n    } else {\n      return base + 1.0;\n    }\n  }\n";
        var round = unaryKernelFunc({ opSnippet: ROUND });
        var roundConfig = {
          kernelName: tf.Round,
          backendName: 'webgl',
          kernelFunc: round,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var RSQRT = 'return inversesqrt(x);';
        var rsqrt = unaryKernelFunc({ opSnippet: RSQRT, cpuKernelImpl: rsqrtImplCPU });
        var rsqrtConfig = {
          kernelName: tf.Rsqrt,
          backendName: 'webgl',
          kernelFunc: rsqrt,
        };

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var ScatterProgram = /** @class */ (function () {
          function ScatterProgram(
            updateSize,
            sliceDim,
            indicesRank,
            updatesRank,
            strides,
            shape,
            summingDupeIndex,
          ) {
            this.variableNames = ['updates', 'indices', 'defaultValue'];
            this.outputShape = shape;
            var stridesType = getCoordsDataType(strides.length);
            var dtype = getCoordsDataType(shape.length);
            var indicesString = '';
            if (indicesRank === 1) {
              indicesString = 'i';
            } else if (indicesRank === 2) {
              indicesString = 'i, j';
            }
            var indicesSnippet = 'getIndices(' + indicesString + ')';
            var updatesString = '';
            if (updatesRank === 1) {
              updatesString = 'i';
            } else if (updatesRank === 2) {
              updatesString = 'i, coords[1]';
            }
            var updatesSnippet = 'getUpdates(' + updatesString + ')';
            var strideString = sliceDim > 1 ? 'strides[j]' : 'strides';
            this.userCode =
              '\n        ' +
              stridesType +
              ' strides = ' +
              stridesType +
              '(' +
              strides +
              ');\n\n        void main() {\n          ' +
              dtype +
              ' coords = getOutputCoords();\n          float sum = 0.0;\n          bool found = false;\n          for (int i = 0; i < ' +
              updateSize +
              '; i++) {\n            int flattenedIndex = 0;\n            for (int j = 0; j < ' +
              sliceDim +
              '; j++) {\n              int index = round(' +
              indicesSnippet +
              ');\n              flattenedIndex += index * ' +
              strideString +
              ';\n            }\n            if (flattenedIndex == coords[0]) {\n              sum += ' +
              updatesSnippet +
              ';\n              found = true;\n            }\n          }\n          setOutput(mix(getDefaultValue(), sum, float(found)));\n        }\n      ';
          }
          return ScatterProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function scatterNd(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var indices = inputs.indices,
            updates = inputs.updates;
          var shape = attrs.shape;
          var _a = tf.backend_util.calculateShapes(updates, indices, shape),
            sliceRank = _a.sliceRank,
            numUpdates = _a.numUpdates,
            sliceSize = _a.sliceSize,
            strides = _a.strides,
            outputSize = _a.outputSize;
          var flattenShape = [outputSize / sliceSize, sliceSize];
          if (outputSize === 0) {
            return backend.makeTensorInfo(shape, indices.dtype);
          }
          var flattenIndices = reshape({
            inputs: { x: indices },
            backend: backend,
            attrs: { shape: [numUpdates, sliceRank] },
          });
          var flattenX = reshape({
            inputs: { x: updates },
            backend: backend,
            attrs: { shape: [numUpdates, sliceSize] },
          });
          var defaultValue = backend.makeTensorInfo([], 'float32', new Float32Array([0])); // scalar(0)
          var program = new ScatterProgram(
            numUpdates,
            sliceRank,
            flattenIndices.shape.length,
            flattenX.shape.length,
            strides,
            flattenShape,
          );
          var res = backend.runWebGLProgram(
            program,
            [flattenX, flattenIndices, defaultValue],
            flattenX.dtype,
          );
          var reshaped = reshape({ inputs: { x: res }, backend: backend, attrs: { shape: shape } });
          backend.disposeIntermediateTensorInfo(flattenIndices);
          backend.disposeIntermediateTensorInfo(flattenX);
          backend.disposeIntermediateTensorInfo(res);
          backend.disposeIntermediateTensorInfo(defaultValue);
          return reshaped;
        }
        var scatterNdConfig = {
          kernelName: tf.ScatterNd,
          backendName: 'webgl',
          kernelFunc: scatterNd,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var SelectProgram = /** @class */ (function () {
          function SelectProgram(cRank, shape, rank) {
            this.variableNames = ['c', 'a', 'b'];
            this.outputShape = shape;
            var cCoords;
            var abCoords;
            if (rank > 4) {
              throw Error('Where for rank ' + rank + ' is not yet supported');
            }
            if (rank === 1) {
              abCoords = 'resRC';
              cCoords = 'resRC';
            } else {
              var currentCoords = ['resRC.x', 'resRC.y', 'resRC.z', 'resRC.w'];
              var cCoordVars = [];
              var abCoordVars = [];
              for (var i = 0; i < shape.length; i++) {
                abCoordVars.push('' + currentCoords[i]);
                if (i < cRank) {
                  cCoordVars.push('' + currentCoords[i]);
                }
              }
              cCoords = cCoordVars.join();
              abCoords = abCoordVars.join();
            }
            var dtype = getCoordsDataType(rank);
            this.userCode =
              '\n      void main() {\n        ' +
              dtype +
              ' resRC = getOutputCoords();\n        float cVal = getC(' +
              cCoords +
              ');\n        if (cVal >= 1.0) {\n          setOutput(getA(' +
              abCoords +
              '));\n        } else {\n          setOutput(getB(' +
              abCoords +
              '));\n        }\n      }\n    ';
          }
          return SelectProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function select(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var condition = inputs.condition,
            t = inputs.t,
            e = inputs.e;
          var program = new SelectProgram(condition.shape.length, t.shape, t.shape.length);
          return backend.runWebGLProgram(
            program,
            [condition, t, e],
            tf.upcastType(t.dtype, e.dtype),
          );
        }
        var selectConfig = {
          kernelName: tf.Select,
          backendName: 'webgl',
          kernelFunc: select,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var SELU =
          '\n  // Stable and Attracting Fixed Point (0, 1) for Normalized Weights.\n  // see: https://arxiv.org/abs/1706.02515\n  float scaleAlpha = ' +
          tf.backend_util.SELU_SCALEALPHA +
          ';\n  float scale = ' +
          tf.backend_util.SELU_SCALE +
          ';\n  return (x >= 0.0) ? scale * x : scaleAlpha * (exp(x) - 1.0);\n';
        var selu = unaryKernelFunc({ opSnippet: SELU });
        var seluConfig = {
          kernelName: tf.Selu,
          backendName: 'webgl',
          kernelFunc: selu,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var SIGMOID$2 = 'return 1.0 / (1.0 + exp(-1.0 * x));';
        var sigmoid = unaryKernelFunc({ opSnippet: SIGMOID$2 });
        var sigmoidConfig = {
          kernelName: tf.Sigmoid,
          backendName: 'webgl',
          kernelFunc: sigmoid,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        // Sign does not propagate NANs.
        var SIGN = '\n  if (isnan(x)) { return 0.0; }\n  return sign(x);\n';
        var sign = unaryKernelFunc({ opSnippet: SIGN });
        var signConfig = {
          kernelName: tf.Sign,
          backendName: 'webgl',
          kernelFunc: sign,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var SIN = CHECK_NAN_SNIPPET_UNARY + '\n  return sin(x);\n';
        var sin = unaryKernelFunc({ opSnippet: SIN });
        var sinConfig = {
          kernelName: tf.Sin,
          backendName: 'webgl',
          kernelFunc: sin,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var SINH = '\n  float e2x = exp(x);\n  return (e2x - 1.0 / e2x) / 2.0;\n';
        var sinh = unaryKernelFunc({ opSnippet: SINH });
        var sinhConfig = {
          kernelName: tf.Sinh,
          backendName: 'webgl',
          kernelFunc: sinh,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var SOFTPLUS =
          '\n  float epsilon = 1.1920928955078125e-7;\n  float threshold = log(epsilon) + 2.0;\n\n  bool too_large = x > -threshold;\n  bool too_small = x < threshold;\n\n  float result;\n  float exp_x = exp(x);\n\n  if (too_large){\n    result = x;\n  }\n  else if (too_small){\n    result = exp_x;\n  }\n  else{\n    result = log(exp_x + 1.0);\n  }\n  return result;\n';
        var softplus = unaryKernelFunc({ opSnippet: SOFTPLUS });
        var softplusConfig = {
          kernelName: tf.Softplus,
          backendName: 'webgl',
          kernelFunc: softplus,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var spaceToBatchND = function (args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var blockShape = attrs.blockShape,
            paddings = attrs.paddings;
          tf.util.assert(x.shape.length <= 4, function () {
            return 'spaceToBatchND for rank > 4 with a WebGL backend not ' + 'implemented yet';
          });
          var prod = blockShape.reduce(function (a, b) {
            return a * b;
          });
          var completePaddings = [[0, 0]];
          completePaddings.push.apply(completePaddings, paddings);
          for (var i = 1 + blockShape.length; i < x.shape.length; ++i) {
            completePaddings.push([0, 0]);
          }
          var toDispose = [];
          var paddedX = padV2({
            inputs: { x: x },
            backend: backend,
            attrs: { paddings: completePaddings, constantValue: 0 },
          });
          var reshapedPaddedShape = tf.backend_util.getReshaped(
            paddedX.shape,
            blockShape,
            prod,
            false,
          );
          var permutedReshapedPaddedPermutation = tf.backend_util.getPermuted(
            reshapedPaddedShape.length,
            blockShape.length,
            false,
          );
          var flattenShape = tf.backend_util.getReshapedPermuted(
            paddedX.shape,
            blockShape,
            prod,
            false,
          );
          var reshapedPaddedX = reshape({
            inputs: { x: paddedX },
            backend: backend,
            attrs: { shape: reshapedPaddedShape },
          });
          var paddedXT = transpose({
            inputs: { x: reshapedPaddedX },
            backend: backend,
            attrs: { perm: permutedReshapedPaddedPermutation },
          });
          var result = reshape({
            inputs: { x: paddedXT },
            backend: backend,
            attrs: { shape: flattenShape },
          });
          toDispose.push(paddedX);
          toDispose.push(reshapedPaddedX);
          toDispose.push(paddedXT);
          toDispose.forEach(function (t) {
            return backend.disposeIntermediateTensorInfo(t);
          });
          return result;
        };
        var spaceToBatchNDConfig = {
          kernelName: tf.SpaceToBatchND,
          backendName: 'webgl',
          kernelFunc: spaceToBatchND,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sparseFillEmptyRows(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var indices = inputs.indices,
            values = inputs.values,
            denseShape = inputs.denseShape,
            defaultValue = inputs.defaultValue;
          if (denseShape.shape.length !== 1) {
            throw new Error('Dense shape must be a vector, saw:\n         ' + denseShape.shape);
          }
          if (indices.shape.length !== 2) {
            throw new Error('Indices must be a matrix, saw:\n         ' + indices.shape);
          }
          if (values.shape.length !== 1) {
            throw new Error('Values must be a vector, saw:\n         ' + values.shape);
          }
          if (defaultValue.shape.length !== 0) {
            throw new Error('Default value must be a scalar, saw:\n        ' + defaultValue.shape);
          }
          var $indices = backend.readSync(indices.dataId);
          var $values = backend.readSync(values.dataId);
          var $denseShape = backend.readSync(denseShape.dataId);
          var $defaultValue = backend.readSync(defaultValue.dataId)[0];
          var _a = sparseFillEmptyRowsImplCPU(
              $indices,
              indices.shape,
              indices.dtype,
              $values,
              values.dtype,
              $denseShape,
              $defaultValue,
            ),
            outputIndices = _a[0],
            outputIndicesShape = _a[1],
            outputValues = _a[2],
            emptyRowIndicator = _a[3],
            reverseIndexMap = _a[4];
          return [
            backend.makeTensorInfo(outputIndicesShape, indices.dtype, outputIndices),
            backend.makeTensorInfo([outputIndicesShape[0]], values.dtype, outputValues),
            backend.makeTensorInfo(
              [emptyRowIndicator.length],
              'bool',
              new Uint8Array(
                emptyRowIndicator.map(function (value) {
                  return Number(value);
                }),
              ),
            ),
            backend.makeTensorInfo(
              [reverseIndexMap.length],
              indices.dtype,
              new Int32Array(reverseIndexMap),
            ),
          ];
        }
        var sparseFillEmptyRowsConfig = {
          kernelName: tf.SparseFillEmptyRows,
          backendName: 'webgl',
          kernelFunc: sparseFillEmptyRows,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sparseReshape(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var inputIndices = inputs.inputIndices,
            inputShape = inputs.inputShape,
            newShape = inputs.newShape;
          if (inputIndices.shape.length !== 2) {
            throw new Error(
              'Input indices should be a matrix but received shape ' + inputIndices.shape,
            );
          }
          if (inputShape.shape.length !== 1) {
            throw new Error(
              'Input shape should be a vector but received shape ' + inputShape.shape,
            );
          }
          if (newShape.shape.length !== 1) {
            throw new Error('Target shape should be a vector but received shape ' + newShape.shape);
          }
          var $inputShape = Array.from(backend.readSync(inputShape.dataId));
          var $inputIndices = backend.readSync(inputIndices.dataId);
          var targetShape = Array.from(backend.readSync(newShape.dataId));
          var _a = sparseReshapeImplCPU(
              $inputIndices,
              inputIndices.shape,
              inputIndices.dtype,
              $inputShape,
              targetShape,
            ),
            newIndices = _a[0],
            indicesShape = _a[1],
            outputShape = _a[2];
          return [
            backend.makeTensorInfo(indicesShape, inputIndices.dtype, newIndices),
            backend.makeTensorInfo(
              [outputShape.length],
              newShape.dtype,
              new Int32Array(outputShape),
            ),
          ];
        }
        var sparseReshapeConfig = {
          kernelName: tf.SparseReshape,
          backendName: 'webgl',
          kernelFunc: sparseReshape,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sparseSegmentMean(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var data = inputs.data,
            indices = inputs.indices,
            segmentIds = inputs.segmentIds;
          if (data.shape.length < 1) {
            throw new Error('Data should be at least 1 dimensional but received scalar');
          }
          if (indices.shape.length !== 1) {
            throw new Error(
              'Indices should be a vector but received shape\n              ' + indices.shape,
            );
          }
          if (segmentIds.shape.length !== 1) {
            throw new Error(
              'Segment ids should be a vector but received shape\n              ' +
                segmentIds.shape,
            );
          }
          var $data = backend.readSync(data.dataId);
          var $indices = backend.readSync(indices.dataId);
          var $segmentIds = backend.readSync(segmentIds.dataId);
          var _a = sparseSegmentReductionImplCPU(
              $data,
              data.shape,
              data.dtype,
              $indices,
              $segmentIds,
              true,
            ),
            outputData = _a[0],
            outputDataShape = _a[1];
          return backend.makeTensorInfo(outputDataShape, data.dtype, outputData);
        }
        var sparseSegmentMeanConfig = {
          kernelName: tf.SparseSegmentMean,
          backendName: 'webgl',
          kernelFunc: sparseSegmentMean,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sparseSegmentSum(args) {
          var inputs = args.inputs,
            backend = args.backend;
          var data = inputs.data,
            indices = inputs.indices,
            segmentIds = inputs.segmentIds;
          if (data.shape.length < 1) {
            throw new Error('Data should be at least 1 dimensional but received scalar');
          }
          if (indices.shape.length !== 1) {
            throw new Error(
              'Indices should be a vector but received shape\n             ' + indices.shape,
            );
          }
          if (segmentIds.shape.length !== 1) {
            throw new Error(
              'Segment ids should be a vector but received shape\n             ' + segmentIds.shape,
            );
          }
          var $data = backend.readSync(data.dataId);
          var $indices = backend.readSync(indices.dataId);
          var $segmentIds = backend.readSync(segmentIds.dataId);
          var _a = sparseSegmentReductionImplCPU(
              $data,
              data.shape,
              data.dtype,
              $indices,
              $segmentIds,
            ),
            outputData = _a[0],
            outputDataShape = _a[1];
          return backend.makeTensorInfo(outputDataShape, data.dtype, outputData);
        }
        var sparseSegmentSumConfig = {
          kernelName: tf.SparseSegmentSum,
          backendName: 'webgl',
          kernelFunc: sparseSegmentSum,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function sparseToDense(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var sparseIndices = inputs.sparseIndices,
            sparseValues = inputs.sparseValues,
            defaultValue = inputs.defaultValue;
          var outputShape = attrs.outputShape;
          var _a = tf.backend_util.calculateShapes(sparseValues, sparseIndices, outputShape),
            sliceRank = _a.sliceRank,
            numUpdates = _a.numUpdates,
            strides = _a.strides,
            outputSize = _a.outputSize;
          var sumDupeIndices = false;
          var program = new ScatterProgram(
            numUpdates,
            sliceRank,
            sparseIndices.shape.length,
            sparseValues.shape.length,
            strides,
            [outputSize, 1],
            sumDupeIndices,
          );
          var res = backend.runWebGLProgram(
            program,
            [sparseValues, sparseIndices, defaultValue],
            sparseValues.dtype,
          );
          var reshaped = reshape({
            inputs: { x: res },
            backend: backend,
            attrs: { shape: outputShape },
          });
          backend.disposeIntermediateTensorInfo(res);
          return reshaped;
        }
        var sparseToDenseConfig = {
          kernelName: tf.SparseToDense,
          backendName: 'webgl',
          kernelFunc: sparseToDense,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function splitV(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var numOrSizeSplits = attrs.numOrSizeSplits,
            axis = attrs.axis;
          var $axis = tf.util.parseAxisParam(axis, x.shape)[0];
          var splitSizes = tf.backend_util.prepareSplitSize(x, numOrSizeSplits, $axis);
          var xRank = x.shape.length;
          var begin = new Array(xRank).fill(0);
          var size = x.shape.slice();
          return splitSizes.map(function (s) {
            var sliceSize = size.slice();
            sliceSize[$axis] = s;
            var sliceT = slice({
              inputs: { x: x },
              backend: backend,
              attrs: { begin: begin, size: sliceSize },
            });
            begin[$axis] += s;
            return sliceT;
          });
        }
        var splitVConfig = {
          kernelName: tf.SplitV,
          backendName: 'webgl',
          kernelFunc: splitV,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var SQRT = 'return sqrt(x);';
        var sqrt = unaryKernelFunc({ opSnippet: SQRT });
        var sqrtConfig = {
          kernelName: tf.Sqrt,
          backendName: 'webgl',
          kernelFunc: sqrt,
        };

        /**
         * @license
         * Copyright 2019 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var SQUARE = 'return x * x;';
        var square = unaryKernelFunc({ opSnippet: SQUARE });
        var squareConfig = {
          kernelName: tf.Square,
          backendName: 'webgl',
          kernelFunc: square,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var SQUARED_DIFFERENCE = 'return (a - b) * (a - b);';
        var squaredDifference = binaryKernelFunc({
          opSnippet: SQUARED_DIFFERENCE,
          packedOpSnippet: SQUARED_DIFFERENCE,
        });
        var squaredDifferenceConfig = {
          kernelName: tf.SquaredDifference,
          backendName: 'webgl',
          kernelFunc: squaredDifference,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function step(_a) {
          var inputs = _a.inputs,
            attrs = _a.attrs,
            backend = _a.backend;
          var x = inputs.x;
          var opSnippet =
            CHECK_NAN_SNIPPET + ('\n    return x > 0.0 ? 1.0 : float(' + attrs.alpha + ');\n  ');
          var program = new UnaryOpProgram(x.shape, opSnippet);
          return backend.runWebGLProgram(program, [x], x.dtype);
        }
        var stepConfig = {
          kernelName: tf.Step,
          backendName: 'webgl',
          kernelFunc: step,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var StridedSliceProgram = /** @class */ (function () {
          function StridedSliceProgram(begin, strides, size) {
            this.variableNames = ['x'];
            this.outputShape = size;
            var rank = size.length;
            var inputDtype = getCoordsDataType(size.length);
            var dtype = getCoordsDataType(size.length);
            var newCoords = '';
            if (rank === 1) {
              newCoords = 'coords * strides + begin';
            } else {
              var outputAxis_1 = 0;
              newCoords = size
                .map(function (_, i) {
                  outputAxis_1++;
                  return size.length === 1
                    ? 'coords * strides[' + i + '] + begin[' + i + ']'
                    : 'coords[' + (outputAxis_1 - 1) + '] * strides[' + i + '] + begin[' + i + ']';
                })
                .join(',');
            }
            this.userCode =
              '\n      ' +
              inputDtype +
              ' begin = ' +
              inputDtype +
              '(' +
              begin +
              ');\n      ' +
              inputDtype +
              ' strides = ' +
              inputDtype +
              '(' +
              strides +
              ');\n\n      void main() {\n        ' +
              dtype +
              ' coords = getOutputCoords();\n        setOutput(getX(' +
              newCoords +
              '));\n      }\n    ';
          }
          return StridedSliceProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function stridedSlice(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var begin = attrs.begin,
            end = attrs.end,
            strides = attrs.strides,
            beginMask = attrs.beginMask,
            endMask = attrs.endMask,
            ellipsisMask = attrs.ellipsisMask,
            newAxisMask = attrs.newAxisMask,
            shrinkAxisMask = attrs.shrinkAxisMask;
          var _a = tf.slice_util.sliceInfo(
              x.shape,
              begin,
              end,
              strides,
              beginMask,
              endMask,
              ellipsisMask,
              newAxisMask,
              shrinkAxisMask,
            ),
            nonStrided = _a.nonStrided,
            $begin = _a.$begin,
            $strides = _a.$strides,
            size = _a.size,
            newShape = _a.newShape,
            outShape = _a.outShape;
          var $x = reshape({ inputs: { x: x }, backend: backend, attrs: { shape: newShape } });
          var result;
          if (nonStrided) {
            var sliced = slice({
              inputs: { x: $x },
              backend: backend,
              attrs: { begin: $begin, size: size },
            });
            result = reshape({
              inputs: { x: sliced },
              backend: backend,
              attrs: { shape: outShape },
            });
            backend.disposeIntermediateTensorInfo(sliced);
          } else if (
            outShape.some(function (axis) {
              return axis === 0;
            })
          ) {
            result = backend.makeTensorInfo(outShape, x.dtype, []);
          } else {
            var shouldExecuteOnCPU = backend.shouldExecuteOnCPU([$x]);
            if (shouldExecuteOnCPU) {
              var xTexData = backend.texData.get($x.dataId);
              var values = xTexData.values;
              var xBuf = tf.buffer($x.shape, $x.dtype, values);
              var resultValues = stridedSliceImplCPU(outShape, xBuf, $strides, $begin);
              result = backend.makeTensorInfo(outShape, $x.dtype, resultValues.values);
            } else {
              var program = new StridedSliceProgram($begin, $strides, outShape);
              result = backend.runWebGLProgram(program, [$x], $x.dtype);
            }
          }
          var resultReshaped = reshape({
            inputs: { x: result },
            backend: backend,
            attrs: { shape: outShape },
          });
          backend.disposeIntermediateTensorInfo($x);
          backend.disposeIntermediateTensorInfo(result);
          return resultReshaped;
        }
        var stridedSliceConfig = {
          kernelName: tf.StridedSlice,
          backendName: 'webgl',
          kernelFunc: stridedSlice,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function stringNGrams(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var separator = attrs.separator,
            nGramWidths = attrs.nGramWidths,
            leftPad = attrs.leftPad,
            rightPad = attrs.rightPad,
            padWidth = attrs.padWidth,
            preserveShortSequences = attrs.preserveShortSequences;
          var data = inputs.data,
            dataSplits = inputs.dataSplits;
          var $data = backend.readSync(data.dataId);
          var $dataSplits = backend.readSync(dataSplits.dataId);
          var _a = stringNGramsImplCPU(
              $data,
              $dataSplits,
              separator,
              nGramWidths,
              leftPad,
              rightPad,
              padWidth,
              preserveShortSequences,
            ),
            nGrams = _a[0],
            nGramsSplits = _a[1];
          return [
            backend.makeTensorInfo([nGrams.length], 'string', nGrams),
            backend.makeTensorInfo(dataSplits.shape, 'int32', nGramsSplits),
          ];
        }
        var stringNGramsConfig = {
          kernelName: tf.StringNGrams,
          backendName: 'webgl',
          kernelFunc: stringNGrams,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function stringSplit(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var skipEmpty = attrs.skipEmpty;
          var input = inputs.input,
            delimiter = inputs.delimiter;
          if (input.dtype !== 'string') {
            throw new Error('Input must be of datatype string');
          }
          if (input.shape.length !== 1) {
            throw new Error('Input must be a vector, got shape: ' + input.shape);
          }
          if (delimiter.shape.length !== 0) {
            throw new Error('Delimiter must be a scalar, got shape: ' + delimiter.shape);
          }
          var $input = backend.readSync(input.dataId);
          var $delimiter = backend.readSync(delimiter.dataId)[0];
          var _a = stringSplitImplCPU($input, $delimiter, skipEmpty),
            indices = _a[0],
            values = _a[1],
            shape = _a[2];
          var outputSize = values.length;
          return [
            backend.makeTensorInfo([outputSize, 2], 'int32', indices),
            backend.makeTensorInfo([outputSize], 'string', values),
            backend.makeTensorInfo([2], 'int32', new Int32Array(shape)),
          ];
        }
        var stringSplitConfig = {
          kernelName: tf.StringSplit,
          backendName: 'webgl',
          kernelFunc: stringSplit,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function stringToHashBucketFast(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var numBuckets = attrs.numBuckets;
          var input = inputs.input;
          if (input.dtype !== 'string') {
            throw new Error('Input must be of datatype string');
          }
          if (numBuckets <= 0) {
            throw new Error('Number of buckets must be at least 1');
          }
          var $input = backend.readSync(input.dataId);
          var output = stringToHashBucketFastImplCPU($input, numBuckets);
          return backend.makeTensorInfo(input.shape, 'int32', output);
        }
        var stringToHashBucketFastConfig = {
          kernelName: tf.StringToHashBucketFast,
          backendName: 'webgl',
          kernelFunc: stringToHashBucketFast,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var TAN = 'return tan(x);';
        var tan = unaryKernelFunc({ opSnippet: TAN });
        var tanConfig = {
          kernelName: tf.Tan,
          backendName: 'webgl',
          kernelFunc: tan,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var TANH =
          '\n  float e2x = exp(-2.0 * abs(x));\n  return sign(x) * (1.0 - e2x) / (1.0 + e2x);\n';
        var tanh = unaryKernelFunc({ opSnippet: TANH });
        var tanhConfig = {
          kernelName: tf.Tanh,
          backendName: 'webgl',
          kernelFunc: tanh,
        };

        /**
         * @license
         * Copyright 2017 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var TileProgram = /** @class */ (function () {
          function TileProgram(aShape, reps) {
            this.variableNames = ['A'];
            var outputShape = new Array(aShape.length);
            for (var i = 0; i < outputShape.length; i++) {
              outputShape[i] = aShape[i] * reps[i];
            }
            this.outputShape = outputShape;
            this.rank = outputShape.length;
            var dtype = getCoordsDataType(this.rank);
            var sourceCoords = getSourceCoords$2(aShape);
            this.userCode =
              '\n      void main() {\n        ' +
              dtype +
              ' resRC = getOutputCoords();\n        setOutput(getA(' +
              sourceCoords +
              '));\n      }\n    ';
          }
          return TileProgram;
        })();
        function getSourceCoords$2(aShape) {
          var rank = aShape.length;
          if (rank > 5) {
            throw Error('Tile for rank ' + rank + ' is not yet supported');
          }
          if (rank === 1) {
            return 'imod(resRC, ' + aShape[0] + ')';
          }
          var currentCoords = ['resRC.x', 'resRC.y', 'resRC.z', 'resRC.w', 'resRC.u'];
          var sourceCoords = [];
          for (var i = 0; i < aShape.length; i++) {
            sourceCoords.push('imod(' + currentCoords[i] + ', ' + aShape[i] + ')');
          }
          return sourceCoords.join();
        }

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function tile(params) {
          var inputs = params.inputs,
            backend = params.backend,
            attrs = params.attrs;
          var x = inputs.x;
          var reps = attrs.reps;
          // tile gpu program cannot handle rank > 5 case.
          if (x.dtype === 'string' || x.shape.length > 5) {
            // Even thought string tensor is always on CPU, just to be consistent on how
            // to access tensor data.
            var data = backend.readSync(x.dataId);
            var value =
              x.dtype === 'string'
                ? data.map(function (d) {
                    return tf.util.decodeString(d);
                  })
                : data;
            var buf = tf.buffer(x.shape, x.dtype, value);
            var outBuf = tileImplCPU(buf, reps);
            return backend.makeTensorInfo(outBuf.shape, outBuf.dtype, outBuf.values);
          }
          var program = new TileProgram(x.shape, reps);
          var output = backend.runWebGLProgram(program, [x], x.dtype);
          return output;
        }
        var tileConfig = {
          kernelName: tf.Tile,
          backendName: 'webgl',
          kernelFunc: tile,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function topK(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x;
          var k = attrs.k,
            sorted = attrs.sorted;
          var xVals = backend.readSync(x.dataId);
          var _a = topKImplCPU(xVals, x.shape, x.dtype, k),
            allTopKVals = _a[0],
            allTopKIndices = _a[1];
          return [
            backend.makeTensorInfo(allTopKVals.shape, allTopKVals.dtype, allTopKVals.values),
            backend.makeTensorInfo(
              allTopKIndices.shape,
              allTopKIndices.dtype,
              allTopKIndices.values,
            ),
          ];
        }
        var topKConfig = {
          kernelName: tf.TopK,
          backendName: 'webgl',
          kernelFunc: topK,
        };

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var TransformProgram = /** @class */ (function () {
          function TransformProgram(
            imageHeight,
            imageWidth,
            interpolation,
            fillMode,
            fillValue,
            outShape,
          ) {
            this.variableNames = ['Image', 'Transforms'];
            this.outputShape = outShape;
            var interpolationModeId = interpolation === 'nearest' ? 1 : 2;
            var fillModeId;
            switch (fillMode) {
              case 'constant':
                fillModeId = 1;
                break;
              case 'reflect':
                fillModeId = 2;
                break;
              case 'wrap':
                fillModeId = 3;
                break;
              case 'nearest':
                fillModeId = 4;
                break;
              default:
                fillModeId = 1;
                break;
            }
            this.userCode =
              '\n            float mapCoord(float outCoord, float len) {\n              float inCoord = outCoord;\n              if(' +
              fillModeId +
              ' == 2) {\n                if (inCoord < 0.0) {\n                  if (len <= 1.0) {\n                    inCoord = 0.0;\n                  } else {\n                    float sz2 = 2.0 * len;\n                    if (inCoord < sz2) {\n                      inCoord = sz2 * float(int(float(-inCoord / sz2))) +\n                      inCoord;\n                    }\n                    inCoord = inCoord < -len ? inCoord + sz2 : -inCoord - 1.0;\n                  }\n                } else if (inCoord > len - 1.0) {\n                  if (len <= 1.0) {\n                    inCoord = 0.0;\n                  } else {\n                    float sz2 = 2.0 * len;\n                    inCoord -= sz2 * float(int(float(inCoord / sz2)));\n                    if (inCoord >= len) {\n                      inCoord = sz2 - inCoord - 1.0;\n                    }\n                  }\n                }\n                return clamp(inCoord, 0.0, len - 1.0);\n              } else if (' +
              fillModeId +
              ' == 3) {\n                if (inCoord < 0.0) {\n                  if (len <= 1.0) {\n                    inCoord = 0.0;\n                  } else {\n                    float sz = len - 1.0;\n                    inCoord += len * (float(int(float(-inCoord / sz))) + 1.0);\n                  }\n                } else if (inCoord > len - 1.0) {\n                  if (len <= 1.0) {\n                    inCoord = 0.0;\n                  } else {\n                    float sz = len - 1.0;\n                    inCoord -= len * float(int(float(inCoord / sz)));\n                  }\n                }\n                return clamp(inCoord, 0.0, len - 1.0);\n              } else if (' +
              fillModeId +
              ' == 4) {\n                return clamp(outCoord, 0.0, len - 1.0);\n              } else {\n                return outCoord;\n              }\n            }\n\n            float readWithFillValue(int batch, int coordY, int coordX,\n              int channel) {\n              float outputValue;\n              if (0 <= coordY && coordY < ' +
              imageHeight +
              ' && 0 <= coordX && coordX < ' +
              imageWidth +
              ') {\n                  outputValue = getImage(batch, coordY, coordX, channel);\n              } else {\n                outputValue = float(' +
              fillValue +
              ');\n              }\n              return outputValue;\n            }\n\n            void main() {\n              ivec4 coords = getOutputCoords();\n              float outputValue;\n              int batch = coords[0];\n              int x = coords[2];\n              int y = coords[1];\n              int channel = coords[3];\n              float xf = float(x);\n              float yf = float(y);\n              float a1 = getTransforms(batch, 0);\n              float a2 = getTransforms(batch, 1);\n              float a3 = getTransforms(batch, 2);\n              float b1 = getTransforms(batch, 3);\n              float b2 = getTransforms(batch, 4);\n              float b3 = getTransforms(batch, 5);\n              float c1 = getTransforms(batch, 6);\n              float c2 = getTransforms(batch, 7);\n              float projection = c1 * xf + c2 * yf + 1.0;\n              if (projection == 0.0) {\n                outputValue = float(' +
              fillValue +
              ');\n              } else {\n                float inX = (a1 * xf + a2 * yf + a3) / projection;\n                float inY = (b1 * xf + b2 * yf + b3) / projection;\n                float mapX = mapCoord(inX, float(' +
              imageWidth +
              '));\n                float mapY = mapCoord(inY, float(' +
              imageHeight +
              '));\n\n                if (' +
              interpolationModeId +
              ' == 1) {\n                  int coordY = int(round(mapY));\n                  int coordX = int(round(mapX));\n                  outputValue = readWithFillValue(batch, coordY, coordX,\n                    channel);\n                } else {\n                  float yFloor = floor(mapY);\n                  float xFloor = floor(mapX);\n                  float yCeil = yFloor + 1.0;\n                  float xCeil = xFloor + 1.0;\n                  float valueYFloor = (xCeil - mapX) *\n                  readWithFillValue(batch, int(yFloor), int(xFloor), channel) +\n                  (mapX - xFloor) *\n                  readWithFillValue(batch, int(yFloor), int(xCeil), channel);\n                  float valueYCeil = (xCeil - mapX) *\n                  readWithFillValue(batch, int(yCeil), int(xFloor), channel) +\n                  (mapX - xFloor) *\n                  readWithFillValue(batch, int(yCeil), int(xCeil), channel);\n                  outputValue = (yCeil - mapY) * valueYFloor +\n                  (mapY - yFloor) * valueYCeil;\n                }\n              }\n              setOutput(outputValue);\n            }\n        ';
          }
          return TransformProgram;
        })();

        /**
         * @license
         * Copyright 2021 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function transform(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var image = inputs.image,
            transforms = inputs.transforms;
          var interpolation = attrs.interpolation,
            fillMode = attrs.fillMode,
            fillValue = attrs.fillValue,
            outputShape = attrs.outputShape;
          var _a = image.shape,
            batch = _a[0],
            imageHeight = _a[1],
            imageWidth = _a[2],
            numChannels = _a[3];
          var _b = outputShape != null ? outputShape : [imageHeight, imageWidth],
            outHeight = _b[0],
            outWidth = _b[1];
          var outShape = [batch, outHeight, outWidth, numChannels];
          var program = new TransformProgram(
            imageHeight,
            imageWidth,
            interpolation,
            fillMode,
            fillValue,
            outShape,
          );
          return backend.runWebGLProgram(program, [image, transforms], 'float32');
        }
        var transformConfig = {
          kernelName: tf.Transform,
          backendName: 'webgl',
          kernelFunc: transform,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the License);
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an AS IS BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function unique(args) {
          var inputs = args.inputs,
            attrs = args.attrs,
            backend = args.backend;
          var axis = attrs.axis;
          var x = inputs.x;
          assertNotComplex(x, 'unique');
          // For now, always forward calculation to the CPU backend.
          console.warn('WARNING: ', 'UI might be locked temporarily as data is being downloaded');
          var values = backend.readSync(x.dataId);
          var _a = uniqueImplCPU(values, axis, x.shape, x.dtype),
            outputValues = _a.outputValues,
            outputShape = _a.outputShape,
            indices = _a.indices;
          return [
            backend.makeTensorInfo(outputShape, x.dtype, outputValues),
            backend.makeTensorInfo([indices.length], 'int32', indices),
          ];
        }
        var uniqueConfig = {
          kernelName: tf.Unique,
          backendName: 'webgl',
          kernelFunc: unique,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function unpack(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var value = inputs.value;
          var axis = attrs.axis;
          if (axis < 0) {
            axis += value.shape.length;
          }
          var x = value;
          var xRank = x.shape.length;
          var num = value.shape[axis];
          var outShape = new Array(xRank - 1);
          var outIndex = 0;
          for (var i = 0; i < xRank; i++) {
            if (i !== axis) {
              outShape[outIndex++] = x.shape[i];
            }
          }
          var toDispose = [];
          var begin = new Array(xRank).fill(0);
          var size = x.shape.slice();
          size[axis] = 1;
          var res = new Array(num);
          for (var i = 0; i < res.length; i++) {
            begin[axis] = i;
            var sliced = slice({
              inputs: { x: x },
              backend: backend,
              attrs: { begin: begin, size: size },
            });
            var reshaped = reshape({
              inputs: { x: sliced },
              backend: backend,
              attrs: { shape: outShape },
            });
            res[i] = reshaped;
            toDispose.push(sliced);
          }
          toDispose.forEach(function (t) {
            return backend.disposeIntermediateTensorInfo(t);
          });
          return res;
        }
        var unpackConfig = {
          kernelName: tf.Unpack,
          backendName: 'webgl',
          kernelFunc: unpack,
        };

        /**
         * @license
         * Copyright 2018 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        var SegmentOpProgram = /** @class */ (function () {
          function SegmentOpProgram(segOpInfo, segOpType) {
            this.variableNames = ['x', 'segmentIds'];
            var windowSize = segOpInfo.windowSize;
            var batchSize = segOpInfo.batchSize;
            var inSize = segOpInfo.inSize;
            var numSegments = segOpInfo.numSegments;
            var outSize = numSegments * Math.ceil(inSize / windowSize);
            this.outputShape = [batchSize, outSize];
            var initializationValue = '0.0';
            var returnValue = 'sumValue';
            var windowSizeNearestVec4 = Math.floor(windowSize / 4) * 4;
            var windowSizeVec4Remainder = windowSize % 4;
            var updateSnippet = '\n        sumValue += dot(values, segFilter);\n    ';
            var checkValueOutOfBounds = '';
            if (inSize % windowSize > 0) {
              checkValueOutOfBounds =
                '\n        if (inIdx < 0 || inIdx >= ' +
                inSize +
                ') {\n          return initializationValue;\n        }\n      ';
            }
            var checkSegmentIdOutOfBounds = '';
            if (inSize % windowSize > 0) {
              checkSegmentIdOutOfBounds =
                '\n        if (inIdx < 0 || inIdx >= ' +
                inSize +
                ') {\n          return -1.0;\n        }\n      ';
            }
            this.userCode =
              '\n      const float initializationValue = ' +
              initializationValue +
              ';\n\n      float getValue(int batch, int inIdx) {\n        ' +
              checkValueOutOfBounds +
              '\n        return getX(batch, inIdx);\n      }\n\n      float getSegmentIdAtIndex(int inIdx) {\n        ' +
              checkSegmentIdOutOfBounds +
              '\n        return getSegmentIds(inIdx);\n      }\n\n      void main() {\n        ivec2 coords = getOutputCoords();\n        int batch = coords[0];\n        int outIdx = coords[1];\n        int inOffset = int(floor(float(outIdx) / float(\n          ' +
              numSegments +
              ')) * float(' +
              windowSize +
              '));\n        int currentSeg = int(mod(float(outIdx), float(' +
              numSegments +
              ')));\n\n        float sumValue = 0.0;\n\n        for (int i = 0; i < ' +
              windowSizeNearestVec4 +
              '; i += 4) {\n          int inIdx = inOffset + i;\n          vec4 values = vec4(\n            getValue(batch, inIdx),\n            getValue(batch, inIdx + 1),\n            getValue(batch, inIdx + 2),\n            getValue(batch, inIdx + 3)\n          );\n\n          vec4 segFilter = vec4(\n            int(getSegmentIdAtIndex(inIdx)) == currentSeg ? 1 : 0,\n            int(getSegmentIdAtIndex(inIdx + 1)) == currentSeg ? 1 : 0,\n            int(getSegmentIdAtIndex(inIdx + 2)) == currentSeg ? 1 : 0,\n            int(getSegmentIdAtIndex(inIdx + 3)) == currentSeg ? 1 : 0\n          );\n\n          ' +
              updateSnippet +
              '\n        }\n\n        int inIdx = inOffset + ' +
              windowSizeNearestVec4 +
              ';\n        if (' +
              (windowSizeVec4Remainder === 1) +
              ') {\n          vec4 values = vec4(\n            getValue(batch, inIdx),\n            initializationValue,\n            initializationValue,\n            initializationValue\n          );\n\n          int inIdxSeg = int(getSegmentIdAtIndex(inIdx));\n\n          vec4 segFilter = vec4(\n            int(getSegmentIdAtIndex(inIdx)) == currentSeg ? 1 : 0,\n            0,\n            0,\n            0\n          );\n\n          ' +
              updateSnippet +
              '\n        } else if (' +
              (windowSizeVec4Remainder === 2) +
              ') {\n          vec4 values = vec4(\n            getValue(batch, inIdx),\n            getValue(batch, inIdx + 1),\n            initializationValue,\n            initializationValue\n          );\n\n          vec4 segFilter = vec4(\n            int(getSegmentIdAtIndex(inIdx)) == currentSeg ? 1 : 0,\n            int(getSegmentIdAtIndex(inIdx + 1)) == currentSeg ? 1 : 0,\n              0,\n              0\n          );\n\n          ' +
              updateSnippet +
              '\n        } else if (' +
              (windowSizeVec4Remainder === 3) +
              ') {\n          vec4 values = vec4(\n            getValue(batch, inIdx),\n            getValue(batch, inIdx + 1),\n            getValue(batch, inIdx + 2),\n            initializationValue\n          );\n\n          vec4 segFilter = vec4(\n            int(getSegmentIdAtIndex(inIdx)) == currentSeg ? 1 : 0,\n            int(getSegmentIdAtIndex(inIdx + 1)) == currentSeg ? 1 : 0,\n            int(getSegmentIdAtIndex(inIdx + 2)) == currentSeg ? 1 : 0,\n            0\n          );\n\n          ' +
              updateSnippet +
              '\n        }\n        setOutput(' +
              returnValue +
              ');\n      }\n    ';
          }
          return SegmentOpProgram;
        })();

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        function unsortedSegmentSum(args) {
          var inputs = args.inputs,
            backend = args.backend,
            attrs = args.attrs;
          var x = inputs.x,
            segmentIds = inputs.segmentIds;
          var numSegments = attrs.numSegments;
          var xRank = x.shape.length;
          var toDispose = [];
          var axis = 0;
          var permutation = tf.backend_util.getAxesPermutation([axis], xRank);
          var permutedX = x;
          if (permutation != null) {
            permutedX = transpose({
              inputs: { x: x },
              backend: backend,
              attrs: { perm: permutation },
            });
            toDispose.push(permutedX);
            axis = tf.backend_util.getInnerMostAxes(1, xRank)[0];
          }
          var outShape = tf.backend_util.segment_util.computeOutShape(
            permutedX.shape,
            axis,
            numSegments,
          );
          var inSize = tf.util.sizeFromShape([permutedX.shape[axis]]);
          var a2D = reshape({
            inputs: { x: permutedX },
            backend: backend,
            attrs: { shape: [-1, inSize] },
          });
          toDispose.push(a2D);
          var outputDType = tf.sumOutType(x.dtype);
          var segOpCompute = function (x, segOpType, segmentIds, dtype, numSegments) {
            var batchSize = x.shape[0];
            var inSize = x.shape[1];
            var windowSize = tf.backend_util.segment_util.segOpComputeOptimalWindowSize(
              inSize,
              numSegments,
            );
            var segOpInfo = {
              windowSize: windowSize,
              inSize: inSize,
              batchSize: batchSize,
              numSegments: numSegments,
            };
            var program = new SegmentOpProgram(segOpInfo, segOpType);
            var output = backend.compileAndRun(program, [x, segmentIds], dtype);
            toDispose.push(output);
            // No need to run another GPGPU program.
            if (output.shape[1] === numSegments) {
              return output;
            }
            var rangeInfo = range({
              backend: backend,
              attrs: { start: 0, stop: numSegments, step: 1, dtype: 'float32' },
            });
            var tileInfo = tile({
              inputs: { x: rangeInfo },
              backend: backend,
              attrs: { reps: [inSize / windowSize] },
            });
            toDispose.push(rangeInfo);
            toDispose.push(tileInfo);
            var result = segOpCompute(output, segOpType, tileInfo, dtype, numSegments);
            return result;
          };
          var segOpResult = segOpCompute(
            a2D,
            'unsortedSegmentSum',
            segmentIds,
            outputDType,
            numSegments,
          );
          var reshaped = reshape({
            inputs: { x: segOpResult },
            backend: backend,
            attrs: { shape: outShape },
          });
          var result = reshaped;
          if (permutation != null) {
            toDispose.push(reshaped);
            var perm = tf.backend_util.getUndoAxesPermutation(permutation);
            result = transpose({ inputs: { x: result }, backend: backend, attrs: { perm: perm } });
          }
          toDispose.forEach(function (t) {
            return backend.disposeIntermediateTensorInfo(t);
          });
          return result;
        }
        var unsortedSegmentSumConfig = {
          kernelName: tf.UnsortedSegmentSum,
          backendName: 'webgl',
          kernelFunc: unsortedSegmentSum,
        };

        /**
         * @license
         * Copyright 2020 Google LLC. All Rights Reserved.
         * Licensed under the Apache License, Version 2.0 (the "License");
         * you may not use this file except in compliance with the License.
         * You may obtain a copy of the License at
         *
         * http://www.apache.org/licenses/LICENSE-2.0
         *
         * Unless required by applicable law or agreed to in writing, software
         * distributed under the License is distributed on an "AS IS" BASIS,
         * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
         * See the License for the specific language governing permissions and
         * limitations under the License.
         * =============================================================================
         */
        // List all kernel configs here
        var kernelConfigs = [
          LRNConfig,
          LRNGradConfig,
          _fusedMatMulConfig,
          absConfig,
          acosConfig,
          acoshConfig,
          addConfig,
          addNConfig,
          allConfig,
          anyConfig,
          argMaxConfig,
          argMinConfig,
          asinConfig,
          asinhConfig,
          atan2Config,
          atanConfig,
          atanhConfig,
          avgPool3DConfig,
          avgPoolConfig,
          avgPoolGrad3DConfig,
          avgPoolGradConfig,
          batchMatMulConfig,
          batchNormConfig,
          batchToSpaceNDConfig,
          bincountConfig,
          castConfig,
          ceilConfig,
          clipByValueConfig,
          complexAbsConfig,
          complexConfig,
          concatConfig,
          conv2DBackpropFilterConfig,
          conv2DBackpropInputConfig,
          conv2DConfig,
          conv3DBackpropFilterV2Config,
          conv3DBackpropInputConfig,
          conv3DConfig,
          cosConfig,
          coshConfig,
          cropAndResizeConfig,
          cumsumConfig,
          denseBincountConfig,
          depthToSpaceConfig,
          depthwiseConv2dNativeBackpropFilterConfig,
          depthwiseConv2dNativeBackpropInputConfig,
          depthwiseConv2dNativeConfig,
          diagConfig,
          dilation2DConfig,
          einsumConfig,
          eluConfig,
          eluGradConfig,
          equalConfig,
          erfConfig,
          expConfig,
          expandDimsConfig,
          expm1Config,
          fftConfig,
          fillConfig,
          flipLeftRightConfig,
          floorConfig,
          floorDivConfig,
          fromPixelsConfig,
          fusedConv2DConfig,
          fusedDepthwiseConv2DConfig,
          gatherNdConfig,
          gatherV2Config,
          greaterConfig,
          greaterEqualConfig,
          identityConfig,
          ifftConfig,
          imagConfig,
          isFiniteConfig,
          isInfConfig,
          isNaNConfig,
          leakyReluConfig,
          lessConfig,
          lessEqualConfig,
          linSpaceConfig,
          log1pConfig,
          logConfig,
          logicalAndConfig,
          logicalNotConfig,
          logicalOrConfig,
          maxConfig,
          maxPool3DConfig,
          maxPoolConfig,
          maxPoolGrad3DConfig,
          maxPoolGradConfig,
          maxPoolWithArgmaxConfig,
          maximumConfig,
          meanConfig,
          minConfig,
          minimumConfig,
          mirrorPadConfig,
          modConfig,
          multinomialConfig,
          multiplyConfig,
          negConfig,
          nonMaxSuppressionV3Config,
          nonMaxSuppressionV4Config,
          nonMaxSuppressionV5Config,
          notEqualConfig,
          oneHotConfig,
          onesLikeConfig,
          packConfig,
          padV2Config,
          powConfig,
          preluConfig,
          prodConfig,
          rangeConfig,
          realConfig,
          realDivConfig,
          reciprocalConfig,
          relu6Config,
          reluConfig,
          reshapeConfig,
          resizeBilinearConfig,
          resizeBilinearGradConfig,
          resizeNearestNeighborConfig,
          resizeNearestNeighborGradConfig,
          reverseConfig,
          rotateWithOffsetConfig,
          roundConfig,
          rsqrtConfig,
          scatterNdConfig,
          selectConfig,
          seluConfig,
          sigmoidConfig,
          signConfig,
          sinConfig,
          sinhConfig,
          sliceConfig,
          softmaxConfig,
          softplusConfig,
          spaceToBatchNDConfig,
          sparseFillEmptyRowsConfig,
          sparseReshapeConfig,
          sparseSegmentMeanConfig,
          sparseSegmentSumConfig,
          sparseToDenseConfig,
          splitVConfig,
          sqrtConfig,
          squareConfig,
          squaredDifferenceConfig,
          stepConfig,
          stridedSliceConfig,
          stringNGramsConfig,
          stringSplitConfig,
          stringToHashBucketFastConfig,
          subConfig,
          sumConfig,
          tanConfig,
          tanhConfig,
          tileConfig,
          topKConfig,
          transformConfig,
          transposeConfig,
          uniqueConfig,
          unpackConfig,
          unsortedSegmentSumConfig,
          zerosLikeConfig,
        ];
        for (var _i = 0, kernelConfigs_1 = kernelConfigs; _i < kernelConfigs_1.length; _i++) {
          var kernelConfig = kernelConfigs_1[_i];
          tf.registerKernel(kernelConfig);
        }

        exports.GPGPUContext = GPGPUContext;
        exports.MathBackendWebGL = MathBackendWebGL;
        exports.forceHalfFloat = forceHalfFloat;
        exports.gpgpu_util = gpgpu_util;
        exports.setWebGLContext = setWebGLContext;
        exports.version_webgl = version;
        exports.webgl = webgl;
        exports.webgl_util = webgl_util;
      },
      { '@tensorflow/tfjs-core': 35 },
    ],
    34: [
      function (require, module, exports) {
        (function (Buffer) {
          (function () {
            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            'use strict';

            Object.defineProperty(exports, '__esModule', { value: true });

            var tfOps = require('@tensorflow/tfjs-core');

            /*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

            var __assign = function () {
              __assign =
                Object.assign ||
                function __assign(t) {
                  for (var s, i = 1, n = arguments.length; i < n; i++) {
                    s = arguments[i];
                    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
                  }
                  return t;
                };
              return __assign.apply(this, arguments);
            };

            function __awaiter(thisArg, _arguments, P, generator) {
              function adopt(value) {
                return value instanceof P
                  ? value
                  : new P(function (resolve) {
                      resolve(value);
                    });
              }
              return new (P || (P = Promise))(function (resolve, reject) {
                function fulfilled(value) {
                  try {
                    step(generator.next(value));
                  } catch (e) {
                    reject(e);
                  }
                }
                function rejected(value) {
                  try {
                    step(generator['throw'](value));
                  } catch (e) {
                    reject(e);
                  }
                }
                function step(result) {
                  result.done
                    ? resolve(result.value)
                    : adopt(result.value).then(fulfilled, rejected);
                }
                step((generator = generator.apply(thisArg, _arguments || [])).next());
              });
            }

            function __generator(thisArg, body) {
              var _ = {
                  label: 0,
                  sent: function () {
                    if (t[0] & 1) throw t[1];
                    return t[1];
                  },
                  trys: [],
                  ops: [],
                },
                f,
                y,
                t,
                g;
              return (
                (g = { next: verb(0), throw: verb(1), return: verb(2) }),
                typeof Symbol === 'function' &&
                  (g[Symbol.iterator] = function () {
                    return this;
                  }),
                g
              );
              function verb(n) {
                return function (v) {
                  return step([n, v]);
                };
              }
              function step(op) {
                if (f) throw new TypeError('Generator is already executing.');
                while (_)
                  try {
                    if (
                      ((f = 1),
                      y &&
                        (t =
                          op[0] & 2
                            ? y['return']
                            : op[0]
                            ? y['throw'] || ((t = y['return']) && t.call(y), 0)
                            : y.next) &&
                        !(t = t.call(y, op[1])).done)
                    )
                      return t;
                    if (((y = 0), t)) op = [op[0] & 2, t.value];
                    switch (op[0]) {
                      case 0:
                      case 1:
                        t = op;
                        break;
                      case 4:
                        _.label++;
                        return { value: op[1], done: false };
                      case 5:
                        _.label++;
                        y = op[1];
                        op = [0];
                        continue;
                      case 7:
                        op = _.ops.pop();
                        _.trys.pop();
                        continue;
                      default:
                        if (
                          !((t = _.trys), (t = t.length > 0 && t[t.length - 1])) &&
                          (op[0] === 6 || op[0] === 2)
                        ) {
                          _ = 0;
                          continue;
                        }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                          _.label = op[1];
                          break;
                        }
                        if (op[0] === 6 && _.label < t[1]) {
                          _.label = t[1];
                          t = op;
                          break;
                        }
                        if (t && _.label < t[2]) {
                          _.label = t[2];
                          _.ops.push(op);
                          break;
                        }
                        if (t[2]) _.ops.pop();
                        _.trys.pop();
                        continue;
                    }
                    op = body.call(thisArg, _);
                  } catch (e) {
                    op = [6, e];
                    y = 0;
                  } finally {
                    f = t = 0;
                  }
                if (op[0] & 5) throw op[1];
                return { value: op[0] ? op[1] : void 0, done: true };
              }
            }

            function __read(o, n) {
              var m = typeof Symbol === 'function' && o[Symbol.iterator];
              if (!m) return o;
              var i = m.call(o),
                r,
                ar = [],
                e;
              try {
                while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
              } catch (error) {
                e = { error: error };
              } finally {
                try {
                  if (r && !r.done && (m = i['return'])) m.call(i);
                } finally {
                  if (e) throw e.error;
                }
              }
              return ar;
            }

            function __spread() {
              for (var ar = [], i = 0; i < arguments.length; i++)
                ar = ar.concat(__read(arguments[i]));
              return ar;
            }

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             *
             * =============================================================================
             */
            /** DataType enum. */
            var DataType;
            (function (DataType) {
              DataType[(DataType['DT_INVALID'] = 0)] = 'DT_INVALID';
              DataType[(DataType['DT_FLOAT'] = 1)] = 'DT_FLOAT';
              DataType[(DataType['DT_DOUBLE'] = 2)] = 'DT_DOUBLE';
              DataType[(DataType['DT_INT32'] = 3)] = 'DT_INT32';
              DataType[(DataType['DT_UINT8'] = 4)] = 'DT_UINT8';
              DataType[(DataType['DT_INT16'] = 5)] = 'DT_INT16';
              DataType[(DataType['DT_INT8'] = 6)] = 'DT_INT8';
              DataType[(DataType['DT_STRING'] = 7)] = 'DT_STRING';
              DataType[(DataType['DT_COMPLEX64'] = 8)] = 'DT_COMPLEX64';
              DataType[(DataType['DT_INT64'] = 9)] = 'DT_INT64';
              DataType[(DataType['DT_BOOL'] = 10)] = 'DT_BOOL';
              DataType[(DataType['DT_QINT8'] = 11)] = 'DT_QINT8';
              DataType[(DataType['DT_QUINT8'] = 12)] = 'DT_QUINT8';
              DataType[(DataType['DT_QINT32'] = 13)] = 'DT_QINT32';
              DataType[(DataType['DT_BFLOAT16'] = 14)] = 'DT_BFLOAT16';
              DataType[(DataType['DT_FLOAT_REF'] = 101)] = 'DT_FLOAT_REF';
              DataType[(DataType['DT_DOUBLE_REF'] = 102)] = 'DT_DOUBLE_REF';
              DataType[(DataType['DT_INT32_REF'] = 103)] = 'DT_INT32_REF';
              DataType[(DataType['DT_UINT8_REF'] = 104)] = 'DT_UINT8_REF';
              DataType[(DataType['DT_INT16_REF'] = 105)] = 'DT_INT16_REF';
              DataType[(DataType['DT_INT8_REF'] = 106)] = 'DT_INT8_REF';
              DataType[(DataType['DT_STRING_REF'] = 107)] = 'DT_STRING_REF';
              DataType[(DataType['DT_COMPLEX64_REF'] = 108)] = 'DT_COMPLEX64_REF';
              DataType[(DataType['DT_INT64_REF'] = 109)] = 'DT_INT64_REF';
              DataType[(DataType['DT_BOOL_REF'] = 110)] = 'DT_BOOL_REF';
              DataType[(DataType['DT_QINT8_REF'] = 111)] = 'DT_QINT8_REF';
              DataType[(DataType['DT_QUINT8_REF'] = 112)] = 'DT_QUINT8_REF';
              DataType[(DataType['DT_QINT32_REF'] = 113)] = 'DT_QINT32_REF';
              DataType[(DataType['DT_BFLOAT16_REF'] = 114)] = 'DT_BFLOAT16_REF';
            })(DataType || (DataType = {}));
            var SaverDef;
            (function (SaverDef) {
              /** CheckpointFormatVersion enum. */
              var CheckpointFormatVersion;
              (function (CheckpointFormatVersion) {
                CheckpointFormatVersion[(CheckpointFormatVersion['LEGACY'] = 0)] = 'LEGACY';
                CheckpointFormatVersion[(CheckpointFormatVersion['V1'] = 1)] = 'V1';
                CheckpointFormatVersion[(CheckpointFormatVersion['V2'] = 2)] = 'V2';
              })(
                (CheckpointFormatVersion =
                  SaverDef.CheckpointFormatVersion || (SaverDef.CheckpointFormatVersion = {})),
              );
            })(SaverDef || (SaverDef = {}));

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var CUSTOM_OPS = {};
            /**
             * Register an Op for graph model executor. This allow you to register
             * TensorFlow custom op or override existing op.
             *
             * Here is an example of registering a new MatMul Op.
             * ```js
             * const customMatmul = (node) =>
             *    tf.matMul(
             *        node.inputs[0], node.inputs[1],
             *        node.attrs['transpose_a'], node.attrs['transpose_b']);
             *
             * tf.registerOp('MatMul', customMatmul);
             * ```
             * The inputs and attrs of the node object is based on the TensorFlow op
             * registry.
             *
             * @param name The Tensorflow Op name.
             * @param opFunc An op function which is called with the current graph node
             * during execution and needs to return a tensor or a list of tensors. The node
             * has the following attributes:
             *    - attr: A map from attribute name to its value
             *    - inputs: A list of input tensors
             *
             * @doc {heading: 'Models', subheading: 'Op Registry'}
             */
            function registerOp(name, opFunc) {
              var opMapper = {
                tfOpName: name,
                category: 'custom',
                inputs: [],
                attrs: [],
                customExecutor: opFunc,
              };
              CUSTOM_OPS[name] = opMapper;
            }
            /**
             * Retrieve the OpMapper object for the registered op.
             *
             * @param name The Tensorflow Op name.
             *
             * @doc {heading: 'Models', subheading: 'Op Registry'}
             */
            function getRegisteredOp(name) {
              return CUSTOM_OPS[name];
            }
            /**
             * Deregister the Op for graph model executor.
             *
             * @param name The Tensorflow Op name.
             *
             * @doc {heading: 'Models', subheading: 'Op Registry'}
             */
            function deregisterOp(name) {
              delete CUSTOM_OPS[name];
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            function getParamValue(paramName, node, tensorMap, context, resourceManager) {
              var inputParam = node.inputParams[paramName];
              if (inputParam && inputParam.inputIndexStart !== undefined) {
                var start = inputParam.inputIndexStart;
                var end =
                  inputParam.inputIndexEnd === 0
                    ? undefined
                    : inputParam.inputIndexEnd === undefined
                    ? start + 1
                    : inputParam.inputIndexEnd;
                if (inputParam.type === 'tensor') {
                  return getTensor(
                    node.inputNames[inputParam.inputIndexStart],
                    tensorMap,
                    context,
                    resourceManager,
                  );
                }
                if (inputParam.type === 'tensors') {
                  var inputs = node.inputNames.slice(start, end);
                  return inputs.map(function (name) {
                    return getTensor(name, tensorMap, context, resourceManager);
                  });
                }
                var tensor = getTensor(
                  node.inputNames.slice(start)[0],
                  tensorMap,
                  context,
                  resourceManager,
                );
                var data = tensor.dataSync();
                return inputParam.type === 'number'
                  ? data[0]
                  : tfOps.util.toNestedArray(tensor.shape, data);
              }
              var attrParam = node.attrParams[paramName];
              return attrParam && attrParam.value;
            }
            /**
             * Retrieve the tensor from tensorsMap based on input name.
             * @param name Node input name
             * @param tensorsMap Tensors map keyed by the node
             * @param context contains tensors and information for running the current node.
             * @param resourceManager Optional. Contains global resources of the model.
             */
            function getTensor(name, tensorsMap, context, resourceManager) {
              var _a = __read(parseNodeName(name), 2),
                nodeName = _a[0],
                index = _a[1];
              if (resourceManager != null) {
                var tensor = resourceManager.getHashTableHandleByName(nodeName);
                if (tensor != null) {
                  return tensor;
                }
              }
              var contextId = context.currentContextIds.find(function (contextId) {
                return !!tensorsMap[getNodeNameWithContextId(nodeName, contextId)];
              });
              return contextId !== undefined
                ? tensorsMap[getNodeNameWithContextId(nodeName, contextId)][index]
                : undefined;
            }
            /**
             * Retrieve the tensors based on input name for current context.
             * @param name Node input name
             * @param tensorsMap Tensors map keyed by the node
             */
            function getTensorsForCurrentContenxt(name, tensorsMap, context) {
              return tensorsMap[getNodeNameWithContextId(name, context.currentContextId)];
            }
            /**
             * Returns the node name, outputName and index from the Node input name.
             * @param inputName The input name of the node, in format of
             * node_name:output_index, i.e. MatMul:0, if the output_index is not set, it is
             * default to 0.
             * If the input name contains output name i.e. StringSplit:indices:0, it will
             * return ['StringSplit', 0, 'indices'].
             */
            function getNodeNameAndIndex(inputName, context) {
              var _a = __read(parseNodeName(inputName), 3),
                nodeName = _a[0],
                index = _a[1],
                outputName = _a[2];
              return [
                getNodeNameWithContextId(nodeName, context && context.currentContextId),
                index,
                outputName,
              ];
            }
            function getNodeNameWithContextId(name, contextId) {
              return !!contextId ? name + '-' + contextId : name;
            }
            function parseNodeName(name) {
              var parts = name.split(':');
              if (parts.length === 1) {
                return [name, 0, undefined];
              }
              var nodeName = parts[0];
              var outputName = parts.length === 3 ? parts[1] : undefined;
              var index = Number(parts[parts.length - 1]);
              return [nodeName, index, outputName];
            }
            function getPadding(node, tensorMap, context) {
              var pad = getParamValue('pad', node, tensorMap, context);
              if (pad === 'explicit') {
                // This is 1d array, we need to convert it to 2d array
                pad = getParamValue('explicitPaddings', node, tensorMap, context);
                var explicitPadding = [
                  [0, 0],
                  [0, 0],
                  [0, 0],
                  [0, 0],
                ];
                for (var i = 0; i < 4; i++) {
                  explicitPadding[i][0] = pad[i * 2];
                  explicitPadding[i][1] = pad[i * 2 + 1];
                }
                return explicitPadding;
              }
              return pad;
            }
            /**
             *  Reuse the tensor if it is marked as keep, otherwise clone the tensor to
             *  avoid disposal. This is important for TensorArray and TensorList ops, since
             *  internally they use a tensor as the id for TensorArray and TensorList, and
             * to simplify lookup, they also use Tensor.id as the key to the internal map.
             * These id tensors have been marked as kept in the backend, we need avoid clone
             * them in order to create new Tensor.id.
             * @param tensor
             */
            function cloneTensor(tensor) {
              return tensor.kept ? tensor : tfOps.clone(tensor);
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var json = [
              {
                tfOpName: 'Add',
                category: 'arithmetic',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'AddV2',
                category: 'arithmetic',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'AddN',
                category: 'arithmetic',
                inputs: [{ start: 0, end: 0, name: 'tensors', type: 'tensors' }],
              },
              {
                tfOpName: 'BiasAdd',
                category: 'arithmetic',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                  {
                    tfName: 'data_format',
                    name: 'dataFormat',
                    type: 'string',
                    notSupported: true,
                  },
                ],
              },
              {
                tfOpName: 'Sub',
                category: 'arithmetic',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'RealDiv',
                category: 'arithmetic',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Div',
                category: 'arithmetic',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'DivNoNan',
                category: 'arithmetic',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'FloorDiv',
                category: 'arithmetic',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Mul',
                category: 'arithmetic',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Maximum',
                category: 'arithmetic',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Minimum',
                category: 'arithmetic',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Pow',
                category: 'arithmetic',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'SquaredDifference',
                category: 'arithmetic',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Mod',
                category: 'arithmetic',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'FloorMod',
                category: 'arithmetic',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [
                  {
                    tfName: 'T',
                    name: 'dtype',
                    type: 'dtype',
                    notSupported: true,
                  },
                ],
              },
            ];

            var arithmetic = {
              __proto__: null,
              json: json,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var json$1 = [
              {
                tfOpName: 'Abs',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Acos',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Asin',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Atan',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Atan2',
                category: 'basic_math',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'y', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Ceil',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'ClipByValue',
                category: 'basic_math',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'clipValueMin', type: 'number' },
                  { start: 2, name: 'clipValueMax', type: 'number' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Complex',
                category: 'basic_math',
                inputs: [
                  { start: 0, name: 'real', type: 'tensor' },
                  { start: 1, name: 'imag', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'ComplexAbs',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Cos',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Cosh',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Elu',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Exp',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Floor',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Log',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Imag',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                  {
                    tfName: 'Tout',
                    name: 'outputType',
                    type: 'dtype',
                    notSupported: true,
                  },
                ],
              },
              {
                tfOpName: 'Neg',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Real',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                  {
                    tfName: 'Tout',
                    name: 'outputType',
                    type: 'dtype',
                    notSupported: true,
                  },
                ],
              },
              {
                tfOpName: 'Prelu',
                category: 'basic_math',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'alpha', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Relu',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Relu6',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Selu',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Sigmoid',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Sin',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Sinh',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Sqrt',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Rsqrt',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Square',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Tan',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Tanh',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Sign',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Round',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Expm1',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Log1p',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Reciprocal',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Softplus',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Asinh',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Acosh',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Atanh',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Erf',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Prod',
                category: 'basic_math',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'axes', type: 'number[]' },
                ],
                attrs: [
                  {
                    tfName: 'keep_dims',
                    name: 'keepDims',
                    type: 'bool',
                    notSupported: true,
                  },
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                ],
              },
              {
                tfOpName: 'LeakyRelu',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [
                  {
                    tfName: 'alpha',
                    name: 'alpha',
                    type: 'number',
                    defaultValue: 0.2,
                  },
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                ],
              },
              {
                tfOpName: 'IsNan',
                category: 'basic_math',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [
                  {
                    tfName: 'T',
                    name: 'dtype',
                    type: 'dtype',
                    notSupported: true,
                  },
                ],
              },
            ];

            var basicMath = {
              __proto__: null,
              json: json$1,
            };

            var json$2 = [
              {
                tfOpName: 'EmptyTensorList',
                category: 'control',
                inputs: [
                  { start: 0, name: 'elementShape', type: 'shape' },
                  { start: 1, name: 'maxNumElements', type: 'number' },
                ],
                attrs: [{ tfName: 'element_dtype', name: 'elementDType', type: 'dtype' }],
              },
              {
                tfOpName: 'LoopCond',
                category: 'control',
                inputs: [{ start: 0, name: 'pred', type: 'tensor' }],
              },
              {
                tfOpName: 'Switch',
                category: 'control',
                inputs: [
                  { start: 0, name: 'data', type: 'tensor' },
                  { start: 1, name: 'pred', type: 'tensor' },
                ],
              },
              {
                tfOpName: 'Merge',
                category: 'control',
                inputs: [{ start: 0, end: 0, name: 'tensors', type: 'tensors' }],
              },
              {
                tfOpName: 'Enter',
                category: 'control',
                inputs: [{ start: 0, name: 'tensor', type: 'tensor' }],
                attrs: [
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                  { tfName: 'frame_name', name: 'frameName', type: 'string' },
                  { tfName: 'is_constant', name: 'isConstant', type: 'bool' },
                ],
              },
              {
                tfOpName: 'Exit',
                category: 'control',
                inputs: [{ start: 0, name: 'tensor', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'NextIteration',
                category: 'control',
                inputs: [{ start: 0, name: 'tensor', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'TensorArrayV3',
                category: 'control',
                inputs: [{ start: 0, name: 'size', type: 'number' }],
                attrs: [
                  { tfName: 'dtype', name: 'dtype', type: 'dtype' },
                  { tfName: 'element_shape', name: 'elementShape', type: 'shape' },
                  { tfName: 'dynamic_size', name: 'dynamicSize', type: 'bool' },
                  { tfName: 'clear_after_read', name: 'clearAfterRead', type: 'bool' },
                  {
                    tfName: 'identical_element_shapes',
                    name: 'identicalElementShapes',
                    type: 'bool',
                  },
                  { tfName: 'tensor_array_name', name: 'name', type: 'string' },
                ],
              },
              {
                tfOpName: 'TensorArrayWriteV3',
                category: 'control',
                inputs: [
                  { start: 0, name: 'tensorArrayId', type: 'tensor' },
                  { start: 1, name: 'index', type: 'number' },
                  { start: 2, name: 'tensor', type: 'tensor' },
                  { start: 3, name: 'flowIn', type: 'number' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'TensorArrayReadV3',
                category: 'control',
                inputs: [
                  { start: 0, name: 'tensorArrayId', type: 'tensor' },
                  { start: 1, name: 'index', type: 'number' },
                  { start: 2, name: 'flowIn', type: 'number' },
                ],
                attrs: [
                  {
                    tfName: 'dtype',
                    name: 'dtype',
                    type: 'dtype',
                    notSupported: true,
                  },
                ],
              },
              {
                tfOpName: 'TensorArrayGatherV3',
                category: 'control',
                inputs: [
                  { start: 0, name: 'tensorArrayId', type: 'tensor' },
                  { start: 1, name: 'indices', type: 'number[]' },
                  { start: 2, name: 'flowIn', type: 'number' },
                ],
                attrs: [
                  { tfName: 'dtype', name: 'dtype', type: 'dtype' },
                  { tfName: 'element_shape', name: 'elementShape', type: 'shape' },
                ],
              },
              {
                tfOpName: 'TensorArrayScatterV3',
                category: 'control',
                inputs: [
                  { start: 0, name: 'tensorArrayId', type: 'tensor' },
                  { start: 1, name: 'indices', type: 'number[]' },
                  { start: 2, name: 'tensor', type: 'tensor' },
                  { start: 3, name: 'flowIn', type: 'number' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype' }],
              },
              {
                tfOpName: 'TensorArrayConcatV3',
                category: 'control',
                inputs: [
                  { start: 0, name: 'tensorArrayId', type: 'tensor' },
                  { start: 1, name: 'flowIn', type: 'number' },
                ],
                attrs: [
                  { tfName: 'dtype', name: 'dtype', type: 'dtype' },
                  {
                    tfName: 'element_shape_except0',
                    name: 'elementShapeExcept0',
                    type: 'shape',
                    notSupported: true,
                  },
                ],
              },
              {
                tfOpName: 'TensorArraySplitV3',
                category: 'control',
                inputs: [
                  { start: 0, name: 'tensorArrayId', type: 'tensor' },
                  { start: 1, name: 'tensor', type: 'tensor' },
                  { start: 2, name: 'lengths', type: 'number[]' },
                  { start: 3, name: 'flowIn', type: 'number' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype' }],
              },
              {
                tfOpName: 'TensorArraySizeV3',
                category: 'control',
                inputs: [
                  { start: 0, name: 'tensorArrayId', type: 'tensor' },
                  { start: 1, name: 'flowIn', type: 'number' },
                ],
              },
              {
                tfOpName: 'TensorArrayCloseV3',
                category: 'control',
                inputs: [{ start: 0, name: 'tensorArrayId', type: 'tensor' }],
              },
              {
                tfOpName: 'StatelessIf',
                category: 'control',
                inputs: [
                  { start: 0, name: 'cond', type: 'tensor' },
                  { start: 1, end: 0, name: 'args', type: 'tensors' },
                ],
                attrs: [
                  { tfName: 'then_branch', name: 'thenBranch', type: 'func' },
                  { tfName: 'else_branch', name: 'elseBranch', type: 'func' },
                ],
              },
              {
                tfOpName: 'If',
                category: 'control',
                inputs: [
                  { start: 0, name: 'cond', type: 'tensor' },
                  { start: 1, end: 0, name: 'args', type: 'tensors' },
                ],
                attrs: [
                  { tfName: 'then_branch', name: 'thenBranch', type: 'func' },
                  { tfName: 'else_branch', name: 'elseBranch', type: 'func' },
                ],
              },
              {
                tfOpName: 'StatelessWhile',
                category: 'control',
                inputs: [{ start: 0, end: 0, name: 'args', type: 'tensors' }],
                attrs: [
                  { tfName: 'cond', name: 'cond', type: 'func' },
                  { tfName: 'body', name: 'body', type: 'func' },
                ],
              },
              {
                tfOpName: 'While',
                category: 'control',
                inputs: [{ start: 0, end: 0, name: 'args', type: 'tensors' }],
                attrs: [
                  { tfName: 'cond', name: 'cond', type: 'func' },
                  { tfName: 'body', name: 'body', type: 'func' },
                ],
              },
              {
                tfOpName: 'TensorListScatter',
                category: 'control',
                inputs: [
                  { start: 0, name: 'tensor', type: 'tensor' },
                  { start: 1, name: 'indices', type: 'number[]' },
                  { start: 2, name: 'elementShape', type: 'shape' },
                ],
                attrs: [{ tfName: 'element_dtype', name: 'elementDType', type: 'dtype' }],
              },
              {
                tfOpName: 'TensorListScatterV2',
                category: 'control',
                inputs: [
                  { start: 0, name: 'tensor', type: 'tensor' },
                  { start: 1, name: 'indices', type: 'number[]' },
                  { start: 2, name: 'elementShape', type: 'shape' },
                  { start: 3, name: 'numElements', type: 'number' },
                ],
                attrs: [{ tfName: 'element_dtype', name: 'elementDType', type: 'dtype' }],
              },
              {
                tfOpName: 'TensorListGather',
                category: 'control',
                inputs: [
                  { start: 0, name: 'tensorListId', type: 'tensor' },
                  { start: 1, name: 'indices', type: 'number[]' },
                  { start: 2, name: 'elementShape', type: 'shape' },
                ],
                attrs: [{ tfName: 'element_dtype', name: 'elementDType', type: 'dtype' }],
              },
              {
                tfOpName: 'TensorListGetItem',
                category: 'control',
                inputs: [
                  { start: 0, name: 'tensorListId', type: 'tensor' },
                  { start: 1, name: 'index', type: 'number' },
                  { start: 2, name: 'elementShape', type: 'shape' },
                ],
                attrs: [{ tfName: 'element_dtype', name: 'elementDType', type: 'dtype' }],
              },
              {
                tfOpName: 'TensorListSetItem',
                category: 'control',
                inputs: [
                  { start: 0, name: 'tensorListId', type: 'tensor' },
                  { start: 1, name: 'index', type: 'number' },
                  { start: 2, name: 'tensor', type: 'tensor' },
                ],
                attrs: [{ tfName: 'element_dtype', name: 'elementDType', type: 'dtype' }],
              },
              {
                tfOpName: 'TensorListReserve',
                category: 'control',
                inputs: [
                  { start: 0, name: 'elementShape', type: 'shape' },
                  { start: 1, name: 'numElements', type: 'number' },
                ],
                attrs: [{ tfName: 'element_dtype', name: 'elementDType', type: 'dtype' }],
              },
              {
                tfOpName: 'TensorListFromTensor',
                category: 'control',
                inputs: [
                  { start: 0, name: 'tensor', type: 'tensor' },
                  { start: 1, name: 'elementShape', type: 'shape' },
                ],
                attrs: [{ tfName: 'element_dtype', name: 'elementDType', type: 'dtype' }],
              },
              {
                tfOpName: 'TensorListStack',
                category: 'control',
                inputs: [
                  { start: 0, name: 'tensorListId', type: 'tensor' },
                  { start: 1, name: 'elementShape', type: 'shape' },
                ],
                attrs: [
                  { tfName: 'element_dtype', name: 'elementDType', type: 'dtype' },
                  { tfName: 'num_elements', name: 'numElements', type: 'dtype' },
                ],
              },
              {
                tfOpName: 'TensorListSplit',
                category: 'control',
                inputs: [
                  { start: 0, name: 'tensor', type: 'tensor' },
                  { start: 1, name: 'elementShape', type: 'shape' },
                  { start: 2, name: 'lengths', type: 'number[]' },
                ],
                attrs: [{ tfName: 'element_dtype', name: 'elementDType', type: 'dtype' }],
              },
              {
                tfOpName: 'TensorListConcat',
                category: 'control',
                inputs: [{ start: 0, name: 'tensorListId', type: 'tensor' }],
                attrs: [
                  { tfName: 'element_shape', name: 'elementShape', type: 'shape' },
                  { tfName: 'element_dtype', name: 'elementDType', type: 'dtype' },
                ],
              },
              {
                tfOpName: 'TensorListPopBack',
                category: 'control',
                inputs: [
                  { start: 0, name: 'tensorListId', type: 'tensor' },
                  { start: 1, name: 'elementShape', type: 'shape' },
                ],
                attrs: [{ tfName: 'element_dtype', name: 'elementDType', type: 'dtype' }],
              },
              {
                tfOpName: 'TensorListPushBack',
                category: 'control',
                inputs: [
                  { start: 0, name: 'tensorListId', type: 'tensor' },
                  { start: 1, name: 'tensor', type: 'tensor' },
                ],
                attrs: [{ tfName: 'element_dtype', name: 'elementDType', type: 'dtype' }],
              },
            ];

            var control = {
              __proto__: null,
              json: json$2,
            };

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var json$3 = [
              {
                tfOpName: 'AvgPool',
                category: 'convolution',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [
                  { tfName: 'strides', name: 'strides', type: 'number[]' },
                  { tfName: 'padding', name: 'pad', type: 'string' },
                  {
                    tfName: 'data_format',
                    name: 'dataFormat',
                    type: 'string',
                    notSupported: true,
                  },
                  { tfName: 'ksize', name: 'kernelSize', type: 'number[]' },
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                ],
              },
              {
                tfOpName: 'MaxPool',
                category: 'convolution',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [
                  { tfName: 'strides', name: 'strides', type: 'number[]' },
                  { tfName: 'padding', name: 'pad', type: 'string' },
                  {
                    tfName: 'data_format',
                    name: 'dataFormat',
                    type: 'string',
                    notSupported: true,
                  },
                  { tfName: 'ksize', name: 'kernelSize', type: 'number[]' },
                  {
                    tfName: 'explicit_paddings',
                    name: 'explicitPaddings',
                    type: 'number[]',
                    defaultValue: [],
                    notSupported: true,
                  },
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                ],
              },
              {
                tfOpName: 'MaxPoolWithArgmax',
                category: 'convolution',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [
                  { tfName: 'strides', name: 'strides', type: 'number[]' },
                  { tfName: 'padding', name: 'pad', type: 'string' },
                  { tfName: 'ksize', name: 'kernelSize', type: 'number[]' },
                  {
                    tfName: 'include_batch_in_index',
                    name: 'includeBatchInIndex',
                    type: 'bool',
                  },
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                ],
              },
              {
                tfOpName: 'AvgPool3D',
                category: 'convolution',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [
                  { tfName: 'strides', name: 'strides', type: 'number[]' },
                  { tfName: 'padding', name: 'pad', type: 'string' },
                  {
                    tfName: 'data_format',
                    name: 'dataFormat',
                    type: 'string',
                    notSupported: true,
                  },
                  { tfName: 'ksize', name: 'kernelSize', type: 'number[]' },
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                ],
              },
              {
                tfOpName: 'MaxPool3D',
                category: 'convolution',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [
                  { tfName: 'strides', name: 'strides', type: 'number[]' },
                  { tfName: 'padding', name: 'pad', type: 'string' },
                  {
                    tfName: 'data_format',
                    name: 'dataFormat',
                    type: 'string',
                    notSupported: true,
                  },
                  { tfName: 'ksize', name: 'kernelSize', type: 'number[]' },
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                ],
              },
              {
                tfOpName: 'Conv1D',
                category: 'convolution',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'filter', type: 'tensor' },
                ],
                attrs: [
                  { tfName: 'stride', name: 'stride', type: 'number' },
                  { tfName: 'padding', name: 'pad', type: 'string' },
                  {
                    tfName: 'data_format',
                    name: 'dataFormat',
                    type: 'string',
                    defaultValue: 'NWC',
                  },
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                  {
                    tfName: 'dilation',
                    name: 'dilation',
                    type: 'number',
                    defaultValue: 1,
                  },
                ],
              },
              {
                tfOpName: 'Conv2D',
                category: 'convolution',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'filter', type: 'tensor' },
                ],
                attrs: [
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                  { tfName: 'strides', name: 'strides', type: 'number[]' },
                  { tfName: 'padding', name: 'pad', type: 'string' },
                  { tfName: 'useCudnnOnGpu', name: 'useCudnnOnGpu', type: 'bool' },
                  {
                    tfName: 'data_format',
                    name: 'dataFormat',
                    type: 'string',
                    defaultValue: 'NHWC',
                  },
                  {
                    tfName: 'explicit_paddings',
                    name: 'explicitPaddings',
                    type: 'number[]',
                    defaultValue: [],
                  },
                  { tfName: 'dilations', name: 'dilations', type: 'number[]' },
                ],
              },
              {
                tfOpName: '_FusedConv2D',
                category: 'convolution',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'filter', type: 'tensor' },
                  { start: 2, end: 0, name: 'args', type: 'tensors' },
                ],
                attrs: [
                  { tfName: 'num_args', name: 'numArgs', type: 'number' },
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                  { tfName: 'strides', name: 'strides', type: 'number[]' },
                  { tfName: 'padding', name: 'pad', type: 'string' },
                  {
                    tfName: 'explicit_paddings',
                    name: 'explicitPaddings',
                    type: 'number[]',
                    defaultValue: [],
                  },
                  {
                    tfName: 'use_cudnn_on_gpu',
                    name: 'useCudnnOnGpu',
                    type: 'bool',
                    defaultValue: true,
                  },
                  {
                    tfName: 'data_format',
                    name: 'dataFormat',
                    type: 'string',
                    defaultValue: 'NHWC',
                  },
                  {
                    tfName: 'dilations',
                    name: 'dilations',
                    type: 'number[]',
                    defaultValue: [1, 1, 1, 1],
                  },
                  {
                    tfName: 'fused_ops',
                    name: 'fusedOps',
                    type: 'string[]',
                    defaultValue: [],
                  },
                  {
                    tfName: 'epsilon',
                    name: 'epsilon',
                    type: 'number',
                    defaultValue: 0.0001,
                  },
                  {
                    tfName: 'leakyrelu_alpha',
                    name: 'leakyreluAlpha',
                    type: 'number',
                  },
                ],
              },
              {
                tfOpName: 'Conv2DBackpropInput',
                category: 'convolution',
                inputs: [
                  { start: 2, name: 'x', type: 'tensor' },
                  { start: 1, name: 'filter', type: 'tensor' },
                  { start: 0, name: 'outputShape', type: 'number[]' },
                ],
                attrs: [
                  { tfName: 'strides', name: 'strides', type: 'number[]' },
                  { tfName: 'padding', name: 'pad', type: 'string' },
                  {
                    tfName: 'data_format',
                    name: 'dataFormat',
                    type: 'string',
                    notSupported: true,
                  },
                  {
                    tfName: 'explicit_paddings',
                    name: 'explicitPaddings',
                    type: 'number[]',
                    defaultValue: [],
                  },
                  {
                    tfName: 'dilations',
                    name: 'dilations',
                    type: 'number[]',
                    notSupported: true,
                  },
                ],
              },
              {
                tfOpName: 'DepthwiseConv2d',
                category: 'convolution',
                inputs: [
                  { start: 0, name: 'input', type: 'tensor' },
                  { start: 1, name: 'filter', type: 'tensor' },
                ],
                attrs: [
                  { tfName: 'strides', name: 'strides', type: 'number[]' },
                  { tfName: 'padding', name: 'pad', type: 'string' },
                  {
                    tfName: 'data_format',
                    name: 'dataFormat',
                    type: 'string',
                    defaultValue: 'NHWC',
                  },
                  {
                    tfName: 'explicit_paddings',
                    name: 'explicitPaddings',
                    type: 'number[]',
                    defaultValue: [],
                  },
                  { tfName: 'dilations', name: 'dilations', type: 'number[]' },
                ],
              },
              {
                tfOpName: 'DepthwiseConv2dNative',
                category: 'convolution',
                inputs: [
                  { start: 0, name: 'input', type: 'tensor' },
                  { start: 1, name: 'filter', type: 'tensor' },
                ],
                attrs: [
                  { tfName: 'strides', name: 'strides', type: 'number[]' },
                  { tfName: 'padding', name: 'pad', type: 'string' },
                  {
                    tfName: 'data_format',
                    name: 'dataFormat',
                    type: 'string',
                    defaultValue: 'NHWC',
                  },
                  {
                    tfName: 'explicit_paddings',
                    name: 'explicitPaddings',
                    type: 'number[]',
                    defaultValue: [],
                  },
                  { tfName: 'dilations', name: 'dilations', type: 'number[]' },
                ],
              },
              {
                tfOpName: 'FusedDepthwiseConv2dNative',
                category: 'convolution',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'filter', type: 'tensor' },
                  { start: 2, end: 0, name: 'args', type: 'tensors' },
                ],
                attrs: [
                  { tfName: 'num_args', name: 'numArgs', type: 'number' },
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                  { tfName: 'strides', name: 'strides', type: 'number[]' },
                  { tfName: 'padding', name: 'pad', type: 'string' },
                  {
                    tfName: 'data_format',
                    name: 'dataFormat',
                    type: 'string',
                    defaultValue: 'NHWC',
                  },
                  {
                    tfName: 'dilations',
                    name: 'dilations',
                    type: 'number[]',
                    defaultValue: [1, 1, 1, 1],
                  },
                  {
                    tfName: 'fused_ops',
                    name: 'fusedOps',
                    type: 'string[]',
                    defaultValue: [],
                  },
                  {
                    tfName: 'explicit_paddings',
                    name: 'explicitPaddings',
                    type: 'number[]',
                    defaultValue: [],
                  },
                ],
              },
              {
                tfOpName: 'Conv3D',
                category: 'convolution',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'filter', type: 'tensor' },
                ],
                attrs: [
                  { tfName: 'strides', name: 'strides', type: 'number[]' },
                  { tfName: 'padding', name: 'pad', type: 'string' },
                  {
                    tfName: 'data_format',
                    name: 'dataFormat',
                    type: 'string',
                    defaultValue: 'NHWC',
                  },
                  { tfName: 'dilations', name: 'dilations', type: 'number[]' },
                ],
              },
              {
                tfOpName: 'Dilation2D',
                category: 'convolution',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'filter', type: 'tensor' },
                ],
                attrs: [
                  { tfName: 'strides', name: 'strides', type: 'number[]' },
                  { tfName: 'rates', name: 'dilations', type: 'number[]' },
                  { tfName: 'padding', name: 'pad', type: 'string' },
                ],
              },
            ];

            var convolution = {
              __proto__: null,
              json: json$3,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var json$4 = [
              {
                tfOpName: 'Fill',
                category: 'creation',
                inputs: [
                  { start: 0, name: 'shape', type: 'number[]' },
                  { start: 1, name: 'value', type: 'number' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype' }],
              },
              {
                tfOpName: 'LinSpace',
                category: 'creation',
                inputs: [
                  { start: 0, name: 'start', type: 'number' },
                  { start: 1, name: 'stop', type: 'number' },
                  { start: 2, name: 'num', type: 'number' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'OneHot',
                category: 'creation',
                inputs: [
                  { start: 0, name: 'indices', type: 'tensor' },
                  { start: 1, name: 'depth', type: 'number' },
                  { start: 2, name: 'onValue', type: 'number', defaultValue: 1 },
                  { start: 3, name: 'offValue', type: 'number', defaultValue: 0 },
                ],
                attrs: [
                  {
                    tfName: 'axis',
                    name: 'axis',
                    type: 'number',
                    notSupported: true,
                  },
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                ],
              },
              {
                tfOpName: 'Ones',
                category: 'creation',
                inputs: [{ start: 0, name: 'shape', type: 'number[]' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype' }],
              },
              {
                tfOpName: 'OnesLike',
                category: 'creation',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'dtype', name: 'dtype', type: 'dtype' }],
              },
              {
                tfOpName: 'RandomUniform',
                category: 'creation',
                inputs: [{ start: 0, name: 'shape', type: 'number[]' }],
                attrs: [
                  {
                    tfName: 'minval',
                    name: 'minval',
                    type: 'number',
                    defaultValue: 0,
                  },
                  {
                    tfName: 'maxval',
                    name: 'maxval',
                    type: 'number',
                    defaultValue: 1,
                  },
                  { tfName: 'dtype', name: 'dtype', type: 'dtype' },
                  { tfName: 'seed', name: 'seed', type: 'number', defaultValue: 0 },
                  {
                    tfName: 'seed2',
                    name: 'seed2',
                    type: 'number',
                    defaultValue: 0,
                    notSupported: true,
                  },
                  { tfName: 'T', name: 'T', type: 'number', notSupported: true },
                ],
              },
              {
                tfOpName: 'Range',
                category: 'creation',
                inputs: [
                  { start: 0, name: 'start', type: 'number' },
                  { start: 1, name: 'stop', type: 'number' },
                  { start: 2, name: 'step', type: 'number', defaultValue: 0 },
                ],
                attrs: [{ tfName: 'Tidx', name: 'dtype', type: 'dtype' }],
              },
              {
                tfOpName: 'TruncatedNormal',
                category: 'creation',
                inputs: [{ start: 0, name: 'shape', type: 'number[]' }],
                attrs: [
                  {
                    tfName: 'means',
                    name: 'mean',
                    type: 'number',
                    defaultValue: 0.0,
                  },
                  {
                    tfName: 'stddev',
                    name: 'stdDev',
                    type: 'number',
                    defaultValue: 1.0,
                  },
                  { tfName: 'seed', name: 'seed', type: 'number' },
                  {
                    tfName: 'seed2',
                    name: 'seed2',
                    type: 'number',
                    defaultValue: 0,
                    notSupported: true,
                  },
                  { tfName: 'dtype', name: 'dtype', type: 'dtype' },
                  { tfName: 'T', name: 'T', type: 'number', notSupported: true },
                ],
              },
              {
                tfOpName: 'Zeros',
                category: 'creation',
                inputs: [{ start: 0, name: 'shape', type: 'number[]' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype' }],
              },
              {
                tfOpName: 'ZerosLike',
                category: 'creation',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype' }],
              },
              {
                tfOpName: 'Multinomial',
                category: 'creation',
                inputs: [
                  { start: 0, name: 'logits', type: 'tensor' },
                  { start: 1, name: 'numSamples', type: 'number' },
                ],
                attrs: [
                  { tfName: 'seed', name: 'seed', type: 'number' },
                  { tfName: 'seed2', name: 'seed2', type: 'number' },
                  { tfName: 'T', name: 'dtype', type: 'dtype' },
                  { tfName: 'output_dtype', name: 'output_dtype', type: 'dtype' },
                ],
              },
            ];

            var creation = {
              __proto__: null,
              json: json$4,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var json$5 = [
              {
                tfOpName: 'NonMaxSuppressionV2',
                category: 'dynamic',
                inputs: [
                  { start: 0, name: 'boxes', type: 'tensor' },
                  { start: 1, name: 'scores', type: 'tensor' },
                  { start: 2, name: 'maxOutputSize', type: 'number' },
                  { start: 3, name: 'iouThreshold', type: 'number' },
                ],
              },
              {
                tfOpName: 'NonMaxSuppressionV3',
                category: 'dynamic',
                inputs: [
                  { start: 0, name: 'boxes', type: 'tensor' },
                  { start: 1, name: 'scores', type: 'tensor' },
                  { start: 2, name: 'maxOutputSize', type: 'number' },
                  { start: 3, name: 'iouThreshold', type: 'number' },
                  { start: 4, name: 'scoreThreshold', type: 'number' },
                ],
              },
              {
                tfOpName: 'NonMaxSuppressionV4',
                category: 'dynamic',
                inputs: [
                  { start: 0, name: 'boxes', type: 'tensor' },
                  { start: 1, name: 'scores', type: 'tensor' },
                  { start: 2, name: 'maxOutputSize', type: 'number' },
                  { start: 3, name: 'iouThreshold', type: 'number' },
                  { start: 4, name: 'scoreThreshold', type: 'number' },
                ],
                attrs: [
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                  {
                    tfName: 'T_threshold',
                    name: 'threshold',
                    type: 'dtype',
                    notSupported: true,
                  },
                  {
                    tfName: 'pad_to_max_output_size',
                    name: 'padToMaxOutputSize',
                    type: 'bool',
                  },
                ],
              },
              {
                tfOpName: 'NonMaxSuppressionV5',
                category: 'dynamic',
                inputs: [
                  { start: 0, name: 'boxes', type: 'tensor' },
                  { start: 1, name: 'scores', type: 'tensor' },
                  { start: 2, name: 'maxOutputSize', type: 'number' },
                  { start: 3, name: 'iouThreshold', type: 'number' },
                  { start: 4, name: 'scoreThreshold', type: 'number' },
                  { start: 5, name: 'softNmsSigma', type: 'number' },
                ],
              },
              {
                tfOpName: 'Where',
                category: 'dynamic',
                inputs: [{ start: 0, name: 'condition', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'ListDiff',
                category: 'dynamic',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'y', type: 'tensor' },
                ],
                attrs: [
                  {
                    tfName: 'T',
                    name: 'dtype',
                    type: 'dtype',
                    notSupported: true,
                  },
                ],
              },
            ];

            var dynamic = {
              __proto__: null,
              json: json$5,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var json$6 = [
              {
                tfOpName: 'TopKV2',
                category: 'evaluation',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'k', type: 'number' },
                ],
                attrs: [{ tfName: 'sorted', name: 'sorted', type: 'bool' }],
              },
              {
                tfOpName: 'Unique',
                category: 'evaluation',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
              },
              {
                tfOpName: 'UniqueV2',
                category: 'evaluation',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'axis', type: 'number' },
                ],
              },
            ];

            var evaluation = {
              __proto__: null,
              json: json$6,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var json$7 = [
              {
                tfOpName: 'PlaceholderWithDefault',
                category: 'graph',
                inputs: [{ start: 0, name: 'default', type: 'tensor' }],
                attrs: [
                  { tfName: 'shape', name: 'shape', type: 'shape' },
                  { tfName: 'dtype', name: 'dtype', type: 'dtype' },
                ],
              },
              {
                tfOpName: 'Placeholder',
                category: 'graph',
                attrs: [
                  { tfName: 'shape', name: 'shape', type: 'shape' },
                  { tfName: 'dtype', name: 'dtype', type: 'dtype' },
                ],
              },
              { tfOpName: 'Const', category: 'graph' },
              {
                tfOpName: 'Identity',
                category: 'graph',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
              },
              {
                tfOpName: 'IdentityN',
                category: 'graph',
                inputs: [{ start: 0, end: 0, name: 'x', type: 'tensors' }],
              },
              {
                tfOpName: 'Snapshot',
                category: 'graph',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
              },
              {
                tfOpName: 'Rank',
                category: 'graph',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
              },
              {
                tfOpName: 'Size',
                category: 'graph',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
              },
              {
                tfOpName: 'Shape',
                category: 'graph',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
              },
              {
                tfOpName: 'ShapeN',
                category: 'graph',
                inputs: [{ start: 0, end: 0, name: 'x', type: 'tensors' }],
              },
              {
                tfOpName: 'Print',
                category: 'graph',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'data', type: 'tensors' },
                ],
                attrs: [
                  { tfName: 'message', name: 'message', type: 'string' },
                  {
                    tfName: 'first_n',
                    name: 'firstN',
                    type: 'number',
                    notSupported: true,
                  },
                  {
                    tfName: 'summarize',
                    name: 'summarize',
                    type: 'number',
                    defaultValue: 3,
                  },
                ],
              },
              { tfOpName: 'NoOp', category: 'graph', inputs: [] },
              {
                tfOpName: 'StopGradient',
                category: 'graph',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
              },
              {
                tfOpName: 'FakeQuantWithMinMaxVars',
                category: 'graph',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [
                  { tfName: 'min', name: 'min', type: 'number' },
                  { tfName: 'max', name: 'max', type: 'number' },
                ],
              },
            ];

            var graph = {
              __proto__: null,
              json: json$7,
            };

            var json$8 = [
              {
                tfOpName: 'HashTable',
                category: 'hash_table',
                inputs: [],
                attrs: [
                  { tfName: 'shared_name', name: 'sharedName', type: 'string' },
                  {
                    tfName: 'use_node_name_sharing',
                    name: 'useNodeNameSharing',
                    type: 'bool',
                  },
                  { tfName: 'key_dtype', name: 'keyDType', type: 'dtype' },
                  { tfName: 'value_dtype', name: 'valueDType', type: 'dtype' },
                ],
              },
              {
                tfOpName: 'HashTableV2',
                category: 'hash_table',
                inputs: [],
                attrs: [
                  { tfName: 'shared_name', name: 'sharedName', type: 'string' },
                  {
                    tfName: 'use_node_name_sharing',
                    name: 'useNodeNameSharing',
                    type: 'bool',
                  },
                  { tfName: 'key_dtype', name: 'keyDType', type: 'dtype' },
                  { tfName: 'value_dtype', name: 'valueDType', type: 'dtype' },
                ],
              },
              {
                tfOpName: 'LookupTableImport',
                category: 'hash_table',
                inputs: [
                  { start: 0, name: 'tableHandle', type: 'tensor' },
                  { start: 1, name: 'keys', type: 'tensor' },
                  { start: 2, name: 'values', type: 'tensor' },
                ],
                attrs: [
                  { tfName: 'Tin', name: 'tIn', type: 'dtype', notSupported: true },
                  {
                    tfName: 'Tout',
                    name: 'tOut',
                    type: 'dtype',
                    notSupported: true,
                  },
                ],
              },
              {
                tfOpName: 'LookupTableImportV2',
                category: 'hash_table',
                inputs: [
                  { start: 0, name: 'tableHandle', type: 'tensor' },
                  { start: 1, name: 'keys', type: 'tensor' },
                  { start: 2, name: 'values', type: 'tensor' },
                ],
                attrs: [
                  { tfName: 'Tin', name: 'tIn', type: 'dtype', notSupported: true },
                  {
                    tfName: 'Tout',
                    name: 'tOut',
                    type: 'dtype',
                    notSupported: true,
                  },
                ],
              },
              {
                tfOpName: 'LookupTableFind',
                category: 'hash_table',
                inputs: [
                  { start: 0, name: 'tableHandle', type: 'tensor' },
                  { start: 1, name: 'keys', type: 'tensor' },
                  { start: 2, name: 'defaultValue', type: 'tensor' },
                ],
                attrs: [
                  { tfName: 'Tin', name: 'tIn', type: 'dtype', notSupported: true },
                  {
                    tfName: 'Tout',
                    name: 'tOut',
                    type: 'dtype',
                    notSupported: true,
                  },
                ],
              },
              {
                tfOpName: 'LookupTableFindV2',
                category: 'hash_table',
                inputs: [
                  { start: 0, name: 'tableHandle', type: 'tensor' },
                  { start: 1, name: 'keys', type: 'tensor' },
                  { start: 2, name: 'defaultValue', type: 'tensor' },
                ],
                attrs: [
                  { tfName: 'Tin', name: 'tIn', type: 'dtype', notSupported: true },
                  {
                    tfName: 'Tout',
                    name: 'tOut',
                    type: 'dtype',
                    notSupported: true,
                  },
                ],
              },
              {
                tfOpName: 'LookupTableSize',
                category: 'hash_table',
                inputs: [{ start: 0, name: 'tableHandle', type: 'tensor' }],
              },
              {
                tfOpName: 'LookupTableSizeV2',
                category: 'hash_table',
                inputs: [{ start: 0, name: 'tableHandle', type: 'tensor' }],
              },
            ];

            var hashTable = {
              __proto__: null,
              json: json$8,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var json$9 = [
              {
                tfOpName: 'ResizeBilinear',
                category: 'image',
                inputs: [
                  { start: 0, name: 'images', type: 'tensor' },
                  { start: 1, name: 'size', type: 'number[]' },
                ],
                attrs: [
                  { tfName: 'align_corners', name: 'alignCorners', type: 'bool' },
                  {
                    tfName: 'half_pixel_centers',
                    name: 'halfPixelCenters',
                    type: 'bool',
                  },
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                ],
              },
              {
                tfOpName: 'ResizeNearestNeighbor',
                category: 'image',
                inputs: [
                  { start: 0, name: 'images', type: 'tensor' },
                  { start: 1, name: 'size', type: 'number[]' },
                ],
                attrs: [
                  { tfName: 'align_corners', name: 'alignCorners', type: 'bool' },
                  {
                    tfName: 'half_pixel_centers',
                    name: 'halfPixelCenters',
                    type: 'bool',
                  },
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                ],
              },
              {
                tfOpName: 'CropAndResize',
                category: 'image',
                inputs: [
                  { start: 0, name: 'image', type: 'tensor' },
                  { start: 1, name: 'boxes', type: 'tensor' },
                  { start: 2, name: 'boxInd', type: 'tensor' },
                  { start: 3, name: 'cropSize', type: 'number[]' },
                ],
                attrs: [
                  { tfName: 'method', name: 'method', type: 'string' },
                  {
                    tfName: 'extrapolation_value',
                    name: 'extrapolationValue',
                    type: 'number',
                  },
                ],
              },
            ];

            var image = {
              __proto__: null,
              json: json$9,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var json$a = [
              {
                tfOpName: 'Equal',
                category: 'logical',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'NotEqual',
                category: 'logical',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Greater',
                category: 'logical',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'GreaterEqual',
                category: 'logical',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Less',
                category: 'logical',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'LessEqual',
                category: 'logical',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'LogicalAnd',
                category: 'logical',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'LogicalNot',
                category: 'logical',
                inputs: [{ start: 0, name: 'a', type: 'tensor' }],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'LogicalOr',
                category: 'logical',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Select',
                category: 'logical',
                inputs: [
                  { start: 0, name: 'condition', type: 'tensor' },
                  { start: 1, name: 'a', type: 'tensor' },
                  { start: 2, name: 'b', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'SelectV2',
                category: 'logical',
                inputs: [
                  { start: 0, name: 'condition', type: 'tensor' },
                  { start: 1, name: 'a', type: 'tensor' },
                  { start: 2, name: 'b', type: 'tensor' },
                ],
                attrs: [
                  {
                    tfName: 'T',
                    name: 'dtype',
                    type: 'dtype',
                    notSupported: true,
                  },
                ],
              },
            ];

            var logical = {
              __proto__: null,
              json: json$a,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var json$b = [
              {
                tfOpName: '_FusedMatMul',
                category: 'matrices',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                  { start: 2, end: 0, name: 'args', type: 'tensors' },
                ],
                attrs: [
                  { tfName: 'num_args', name: 'numArgs', type: 'number' },
                  {
                    tfName: 'fused_ops',
                    name: 'fusedOps',
                    type: 'string[]',
                    defaultValue: [],
                  },
                  {
                    tfName: 'epsilon',
                    name: 'epsilon',
                    type: 'number',
                    defaultValue: 0.0001,
                  },
                  {
                    tfName: 'transpose_a',
                    name: 'transposeA',
                    type: 'bool',
                    defaultValue: false,
                  },
                  {
                    tfName: 'transpose_b',
                    name: 'transposeB',
                    type: 'bool',
                    defaultValue: false,
                  },
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                ],
              },
              {
                tfOpName: 'MatMul',
                category: 'matrices',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [
                  {
                    tfName: 'transpose_a',
                    name: 'transposeA',
                    type: 'bool',
                    defaultValue: false,
                  },
                  {
                    tfName: 'transpose_b',
                    name: 'transposeB',
                    type: 'bool',
                    defaultValue: false,
                  },
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                ],
              },
              {
                tfOpName: 'BatchMatMul',
                category: 'matrices',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [
                  {
                    tfName: 'adj_x',
                    name: 'transposeA',
                    type: 'bool',
                    defaultValue: false,
                  },
                  {
                    tfName: 'adj_y',
                    name: 'transposeB',
                    type: 'bool',
                    defaultValue: false,
                  },
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                ],
              },
              {
                tfOpName: 'BatchMatMulV2',
                category: 'matrices',
                inputs: [
                  { start: 0, name: 'a', type: 'tensor' },
                  { start: 1, name: 'b', type: 'tensor' },
                ],
                attrs: [
                  {
                    tfName: 'adj_x',
                    name: 'transposeA',
                    type: 'bool',
                    defaultValue: false,
                  },
                  {
                    tfName: 'adj_y',
                    name: 'transposeB',
                    type: 'bool',
                    defaultValue: false,
                  },
                  { tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true },
                ],
              },
              {
                tfOpName: 'Transpose',
                category: 'matrices',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'perm', type: 'number[]' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'Einsum',
                category: 'matrices',
                inputs: [{ start: 0, end: 0, name: 'tensors', type: 'tensors' }],
                attrs: [
                  { tfName: 'equation', name: 'equation', type: 'string' },
                  { tfName: 'N', name: 'n', type: 'number', defaultValue: 2 },
                  { tfName: 'T', name: 'dtype', type: 'dtype' },
                ],
              },
            ];

            var matrices = {
              __proto__: null,
              json: json$b,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var json$c = [
              {
                tfOpName: 'FusedBatchNorm',
                category: 'normalization',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'scale', type: 'tensor' },
                  { start: 2, name: 'offset', type: 'tensor' },
                  { start: 3, name: 'mean', type: 'tensor' },
                  { start: 4, name: 'variance', type: 'tensor' },
                ],
                attrs: [
                  {
                    tfName: 'epsilon',
                    name: 'epsilon',
                    type: 'number',
                    defaultValue: 0.001,
                  },
                  {
                    tfName: 'data_format',
                    name: 'dataFormat',
                    type: 'string',
                    notSupported: true,
                  },
                ],
              },
              {
                tfOpName: 'FusedBatchNormV2',
                category: 'normalization',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'scale', type: 'tensor' },
                  { start: 2, name: 'offset', type: 'tensor' },
                  { start: 3, name: 'mean', type: 'tensor' },
                  { start: 4, name: 'variance', type: 'tensor' },
                ],
                attrs: [
                  {
                    tfName: 'epsilon',
                    name: 'epsilon',
                    type: 'number',
                    defaultValue: 0.001,
                  },
                  {
                    tfName: 'data_format',
                    name: 'dataFormat',
                    type: 'string',
                    notSupported: true,
                  },
                ],
              },
              {
                tfOpName: 'FusedBatchNormV3',
                category: 'normalization',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'scale', type: 'tensor' },
                  { start: 2, name: 'offset', type: 'tensor' },
                  { start: 3, name: 'mean', type: 'tensor' },
                  { start: 4, name: 'variance', type: 'tensor' },
                ],
                attrs: [
                  {
                    tfName: 'epsilon',
                    name: 'epsilon',
                    type: 'number',
                    defaultValue: 0.001,
                  },
                  {
                    tfName: 'data_format',
                    name: 'dataFormat',
                    type: 'string',
                    notSupported: true,
                  },
                ],
              },
              {
                tfOpName: 'LRN',
                category: 'normalization',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [
                  {
                    tfName: 'depth_radius',
                    name: 'radius',
                    type: 'number',
                    defaultValue: 5,
                  },
                  { tfName: 'bias', name: 'bias', type: 'number', defaultValue: 1.0 },
                  {
                    tfName: 'alpha',
                    name: 'alpha',
                    type: 'number',
                    defaultValue: 1.0,
                  },
                  {
                    tfName: 'beta',
                    name: 'beta',
                    type: 'number',
                    defaultValue: 0.5,
                  },
                ],
              },
              {
                tfOpName: 'Softmax',
                category: 'normalization',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
              },
              {
                tfOpName: 'LogSoftmax',
                category: 'normalization',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
              },
              {
                tfOpName: 'SparseToDense',
                category: 'normalization',
                inputs: [
                  { start: 0, name: 'sparseIndices', type: 'tensor' },
                  { start: 1, name: 'outputShape', type: 'number[]' },
                  { start: 2, name: 'sparseValues', type: 'tensor' },
                  { start: 3, name: 'defaultValue', type: 'tensor' },
                ],
                attrs: [
                  {
                    tfName: 'validate_indices',
                    name: 'validateIndices',
                    type: 'bool',
                    defaultValue: true,
                    notSupported: true,
                  },
                ],
              },
            ];

            var normalization = {
              __proto__: null,
              json: json$c,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var json$d = [
              {
                tfOpName: 'Bincount',
                category: 'reduction',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'size', type: 'number' },
                  { start: 2, name: 'weights', type: 'tensor' },
                ],
              },
              {
                tfOpName: 'DenseBincount',
                category: 'reduction',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'size', type: 'number' },
                  { start: 2, name: 'weights', type: 'tensor' },
                ],
                attrs: [{ tfName: 'binary_output', name: 'binaryOutput', type: 'bool' }],
              },
              {
                tfOpName: 'Max',
                category: 'reduction',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'axis', type: 'number[]' },
                ],
                attrs: [{ tfName: 'keep_dims', name: 'keepDims', type: 'bool' }],
              },
              {
                tfOpName: 'Mean',
                category: 'reduction',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'axis', type: 'number[]' },
                ],
                attrs: [{ tfName: 'keep_dims', name: 'keepDims', type: 'bool' }],
              },
              {
                tfOpName: 'Min',
                category: 'reduction',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'axis', type: 'number[]' },
                ],
                attrs: [{ tfName: 'keep_dims', name: 'keepDims', type: 'bool' }],
              },
              {
                tfOpName: 'Sum',
                category: 'reduction',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'axis', type: 'number[]' },
                ],
                attrs: [{ tfName: 'keep_dims', name: 'keepDims', type: 'bool' }],
              },
              {
                tfOpName: 'All',
                category: 'reduction',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'axis', type: 'number[]' },
                ],
                attrs: [{ tfName: 'keep_dims', name: 'keepDims', type: 'bool' }],
              },
              {
                tfOpName: 'Any',
                category: 'reduction',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'axis', type: 'number[]' },
                ],
                attrs: [{ tfName: 'keep_dims', name: 'keepDims', type: 'bool' }],
              },
              {
                tfOpName: 'ArgMax',
                category: 'reduction',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'axis', type: 'number' },
                ],
              },
              {
                tfOpName: 'ArgMin',
                category: 'reduction',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'axis', type: 'number' },
                ],
              },
              {
                tfOpName: 'Prod',
                category: 'reduction',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'axis', type: 'number[]' },
                ],
                attrs: [{ tfName: 'keep_dims', name: 'keepDims', type: 'bool' }],
              },
              {
                tfOpName: 'Cumsum',
                category: 'reduction',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'axis', type: 'number' },
                ],
                attrs: [
                  { tfName: 'exclusive', name: 'exclusive', type: 'bool' },
                  { tfName: 'reverse', name: 'reverse', type: 'bool' },
                ],
              },
            ];

            var reduction = {
              __proto__: null,
              json: json$d,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var json$e = [
              {
                tfOpName: 'ConcatV2',
                category: 'slice_join',
                inputs: [
                  { start: 0, end: -1, name: 'tensors', type: 'tensors' },
                  { start: -1, name: 'axis', type: 'number' },
                ],
                attrs: [{ tfName: 'N', name: 'n', type: 'number', defaultValue: 2 }],
              },
              {
                tfOpName: 'Concat',
                category: 'slice_join',
                inputs: [
                  { start: 1, end: 0, name: 'tensors', type: 'tensors' },
                  { start: 0, name: 'axis', type: 'number' },
                ],
                attrs: [{ tfName: 'N', name: 'n', type: 'number', defaultValue: 2 }],
              },
              {
                tfOpName: 'GatherV2',
                category: 'slice_join',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'indices', type: 'tensor' },
                  { start: 2, name: 'axis', type: 'number', defaultValue: 0 },
                ],
                attrs: [
                  {
                    tfName: 'batch_dims',
                    name: 'batchDims',
                    type: 'number',
                    defaultValue: 0,
                  },
                ],
              },
              {
                tfOpName: 'Gather',
                category: 'slice_join',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'indices', type: 'tensor' },
                ],
                attrs: [
                  {
                    tfName: 'validate_indices',
                    name: 'validateIndices',
                    type: 'bool',
                    notSupported: true,
                  },
                ],
              },
              {
                tfOpName: 'Reverse',
                category: 'slice_join',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'dims', type: 'bool[]' },
                ],
              },
              {
                tfOpName: 'ReverseV2',
                category: 'slice_join',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'axis', type: 'number[]' },
                ],
              },
              {
                tfOpName: 'Slice',
                category: 'slice_join',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'begin', type: 'number[]' },
                  { start: 2, name: 'size', type: 'number[]' },
                ],
              },
              {
                tfOpName: 'StridedSlice',
                category: 'slice_join',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'begin', type: 'number[]' },
                  { start: 2, name: 'end', type: 'number[]' },
                  { start: 3, name: 'strides', type: 'number[]' },
                ],
                attrs: [
                  {
                    tfName: 'begin_mask',
                    name: 'beginMask',
                    type: 'number',
                    defaultValue: 0,
                  },
                  {
                    tfName: 'end_mask',
                    name: 'endMask',
                    type: 'number',
                    defaultValue: 0,
                  },
                  {
                    tfName: 'new_axis_mask',
                    name: 'newAxisMask',
                    type: 'number',
                    defaultValue: 0,
                  },
                  {
                    tfName: 'ellipsis_mask',
                    name: 'ellipsisMask',
                    type: 'number',
                    defaultValue: 0,
                  },
                  {
                    tfName: 'shrink_axis_mask',
                    name: 'shrinkAxisMask',
                    type: 'number',
                    defaultValue: 0,
                  },
                ],
              },
              {
                tfOpName: 'Pack',
                category: 'slice_join',
                inputs: [{ start: 0, end: 0, name: 'tensors', type: 'tensors' }],
                attrs: [{ tfName: 'axis', name: 'axis', type: 'number', defaultValue: 0 }],
              },
              {
                tfOpName: 'Unpack',
                category: 'slice_join',
                inputs: [{ start: 0, name: 'tensor', type: 'tensor' }],
                attrs: [
                  { tfName: 'axis', name: 'axis', type: 'number', defaultValue: 0 },
                  {
                    tfName: 'num',
                    name: 'num',
                    type: 'number',
                    defaultValue: 0,
                    notSupported: true,
                  },
                ],
              },
              {
                tfOpName: 'Tile',
                category: 'slice_join',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'reps', type: 'number[]' },
                ],
              },
              {
                tfOpName: 'Split',
                category: 'slice_join',
                inputs: [
                  { start: 0, name: 'axis', type: 'number', defaultValue: 0 },
                  { start: 1, name: 'x', type: 'tensor' },
                ],
                attrs: [
                  {
                    tfName: 'num_split',
                    name: 'numOrSizeSplits',
                    type: 'number',
                    defaultValue: 1,
                  },
                ],
              },
              {
                tfOpName: 'SplitV',
                category: 'slice_join',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'numOrSizeSplits', type: 'number[]' },
                  { start: 2, name: 'axis', type: 'number', defaultValue: 0 },
                ],
              },
              {
                tfOpName: 'ScatterNd',
                category: 'slice_join',
                inputs: [
                  { start: 0, name: 'indices', type: 'tensor' },
                  { start: 1, name: 'values', type: 'tensor' },
                  { start: 2, name: 'shape', type: 'number[]' },
                ],
              },
              {
                tfOpName: 'GatherNd',
                category: 'slice_join',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'indices', type: 'tensor' },
                ],
              },
              {
                tfOpName: 'SparseToDense',
                category: 'slice_join',
                inputs: [
                  { start: 0, name: 'sparseIndices', type: 'tensor' },
                  { start: 1, name: 'outputShape', type: 'number[]' },
                  { start: 2, name: 'sparseValues', type: 'tensor' },
                  { start: 3, name: 'defaultValue', type: 'tensor' },
                ],
                attrs: [
                  {
                    tfName: 'validate_indices',
                    name: 'validateIndices',
                    type: 'bool',
                    defaultValue: false,
                    notSupported: true,
                  },
                ],
              },
            ];

            var sliceJoin = {
              __proto__: null,
              json: json$e,
            };

            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var json$f = [
              {
                tfOpName: 'SparseFillEmptyRows',
                category: 'sparse',
                inputs: [
                  { start: 0, name: 'indices', type: 'tensor' },
                  { start: 1, name: 'values', type: 'tensor' },
                  { start: 2, name: 'denseShape', type: 'tensor' },
                  { start: 3, name: 'defaultValue', type: 'tensor' },
                ],
              },
              {
                tfOpName: 'SparseReshape',
                category: 'sparse',
                inputs: [
                  { start: 0, name: 'inputIndices', type: 'tensor' },
                  { start: 1, name: 'inputShape', type: 'tensor' },
                  { start: 2, name: 'newShape', type: 'tensor' },
                ],
                attrs: [{ tfName: 'T', name: 'dtype', type: 'dtype', notSupported: true }],
              },
              {
                tfOpName: 'SparseSegmentMean',
                category: 'sparse',
                inputs: [
                  { start: 0, name: 'data', type: 'tensor' },
                  { start: 1, name: 'indices', type: 'tensor' },
                  { start: 2, name: 'segmentIds', type: 'tensor' },
                ],
              },
              {
                tfOpName: 'SparseSegmentSum',
                category: 'sparse',
                inputs: [
                  { start: 0, name: 'data', type: 'tensor' },
                  { start: 1, name: 'indices', type: 'tensor' },
                  { start: 2, name: 'segmentIds', type: 'tensor' },
                ],
              },
            ];

            var sparse = {
              __proto__: null,
              json: json$f,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var json$g = [
              {
                tfOpName: 'FFT',
                category: 'spectral',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
              },
              {
                tfOpName: 'IFFT',
                category: 'spectral',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
              },
              {
                tfOpName: 'RFFT',
                category: 'spectral',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  {
                    start: 1,
                    name: 'fft_length',
                    type: 'number',
                    notSupported: true,
                  },
                ],
              },
              {
                tfOpName: 'IRFFT',
                category: 'spectral',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  {
                    start: 1,
                    name: 'fft_length',
                    type: 'number',
                    notSupported: true,
                  },
                ],
              },
            ];

            var spectral = {
              __proto__: null,
              json: json$g,
            };

            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var json$h = [
              {
                tfOpName: 'StringNGrams',
                category: 'string',
                inputs: [
                  { start: 0, name: 'data', type: 'tensor' },
                  { start: 1, name: 'dataSplits', type: 'tensor' },
                ],
                attrs: [
                  { tfName: 'separator', name: 'separator', type: 'string' },
                  { tfName: 'ngram_widths', name: 'nGramWidths', type: 'number[]' },
                  { tfName: 'left_pad', name: 'leftPad', type: 'string' },
                  { tfName: 'right_pad', name: 'rightPad', type: 'string' },
                  { tfName: 'pad_width', name: 'padWidth', type: 'number' },
                  {
                    tfName: 'preserve_short_sequences',
                    name: 'preserveShortSequences',
                    type: 'bool',
                  },
                ],
                outputs: ['ngrams', 'ngrams_splits'],
              },
              {
                tfOpName: 'StringSplit',
                category: 'string',
                inputs: [
                  { start: 0, name: 'input', type: 'tensor' },
                  { start: 1, name: 'delimiter', type: 'tensor' },
                ],
                attrs: [{ tfName: 'skip_empty', name: 'skipEmpty', type: 'bool' }],
                outputs: ['indices', 'values', 'shape'],
              },
              {
                tfOpName: 'StringToHashBucketFast',
                category: 'string',
                inputs: [{ start: 0, name: 'input', type: 'tensor' }],
                attrs: [{ tfName: 'num_buckets', name: 'numBuckets', type: 'number' }],
              },
            ];

            var string = {
              __proto__: null,
              json: json$h,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var json$i = [
              {
                tfOpName: 'Cast',
                category: 'transformation',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [
                  {
                    tfName: 'SrcT',
                    name: 'sdtype',
                    type: 'dtype',
                    notSupported: true,
                  },
                  { tfName: 'DstT', name: 'dtype', type: 'dtype' },
                ],
              },
              {
                tfOpName: 'ExpandDims',
                category: 'transformation',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'axis', type: 'number' },
                ],
              },
              {
                tfOpName: 'MirrorPad',
                category: 'transformation',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'padding', type: 'number[]' },
                ],
                attrs: [{ tfName: 'mode', name: 'mode', type: 'string' }],
              },
              {
                tfOpName: 'Pad',
                category: 'transformation',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'padding', type: 'number[]' },
                ],
                attrs: [
                  {
                    tfName: 'constant_value',
                    name: 'constantValue',
                    type: 'number',
                    defaultValue: 0,
                  },
                ],
              },
              {
                tfOpName: 'PadV2',
                category: 'transformation',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'padding', type: 'number[]' },
                  {
                    start: 2,
                    name: 'constantValue',
                    type: 'number',
                    defaultValue: 0,
                  },
                ],
              },
              {
                tfOpName: 'Reshape',
                category: 'transformation',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'shape', type: 'number[]' },
                ],
              },
              {
                tfOpName: 'Squeeze',
                category: 'transformation',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [
                  {
                    tfName: 'axis',
                    tfDeprecatedName: 'squeeze_dims',
                    name: 'axis',
                    type: 'number[]',
                  },
                ],
              },
              {
                tfOpName: 'SpaceToBatchND',
                category: 'transformation',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'blockShape', type: 'number[]' },
                  { start: 2, name: 'paddings', type: 'number[]' },
                ],
              },
              {
                tfOpName: 'BatchToSpaceND',
                category: 'transformation',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'blockShape', type: 'number[]' },
                  { start: 2, name: 'crops', type: 'number[]' },
                ],
              },
              {
                tfOpName: 'DepthToSpace',
                category: 'transformation',
                inputs: [{ start: 0, name: 'x', type: 'tensor' }],
                attrs: [
                  { tfName: 'block_size', name: 'blockSize', type: 'number' },
                  { tfName: 'data_format', name: 'dataFormat', type: 'string' },
                ],
              },
              {
                tfOpName: 'BroadcastTo',
                category: 'transformation',
                inputs: [
                  { start: 0, name: 'x', type: 'tensor' },
                  { start: 1, name: 'shape', type: 'number[]' },
                ],
                attrs: [],
              },
            ];

            var transformation = {
              __proto__: null,
              json: json$i,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var OperationMapper = /** @class */ (function () {
              // Loads the op mapping from the JSON file.
              function OperationMapper() {
                var ops = [
                  arithmetic,
                  basicMath,
                  control,
                  convolution,
                  creation,
                  dynamic,
                  evaluation,
                  graph,
                  hashTable,
                  image,
                  logical,
                  matrices,
                  normalization,
                  reduction,
                  sliceJoin,
                  sparse,
                  spectral,
                  string,
                  transformation,
                ];
                var mappersJson = [].concat.apply(
                  [],
                  __spread(
                    ops.map(function (op) {
                      return op.json;
                    }),
                  ),
                );
                this.opMappers = mappersJson.reduce(function (map, mapper) {
                  map[mapper.tfOpName] = mapper;
                  return map;
                }, {});
              }
              Object.defineProperty(OperationMapper, 'Instance', {
                // Singleton instance for the mapper
                get: function () {
                  return this._instance || (this._instance = new this());
                },
                enumerable: true,
                configurable: true,
              });
              // Converts the model inference graph from Tensorflow GraphDef to local
              // representation for TensorFlow.js API
              OperationMapper.prototype.transformGraph = function (graph, signature) {
                var _this = this;
                if (signature === void 0) {
                  signature = {};
                }
                var tfNodes = graph.node;
                var placeholders = [];
                var weights = [];
                var initNodes = [];
                var nodes = tfNodes.reduce(function (map, node) {
                  map[node.name] = _this.mapNode(node);
                  if (node.op.startsWith('Placeholder')) {
                    placeholders.push(map[node.name]);
                  } else if (node.op === 'Const') {
                    weights.push(map[node.name]);
                  } else if (node.input == null || node.input.length === 0) {
                    initNodes.push(map[node.name]);
                  }
                  return map;
                }, {});
                var inputs = [];
                var outputs = [];
                var inputNodeNameToKey = {};
                var outputNodeNameToKey = {};
                if (signature != null) {
                  inputNodeNameToKey = this.mapSignatureEntries(signature.inputs);
                  outputNodeNameToKey = this.mapSignatureEntries(signature.outputs);
                }
                var allNodes = Object.keys(nodes);
                allNodes.forEach(function (key) {
                  var node = nodes[key];
                  node.inputNames.forEach(function (name, index) {
                    var _a = __read(getNodeNameAndIndex(name), 3),
                      nodeName = _a[0],
                      outputName = _a[2];
                    var inputNode = nodes[nodeName];
                    if (inputNode.outputs != null) {
                      var outputIndex = inputNode.outputs.indexOf(outputName);
                      if (outputIndex !== -1) {
                        var inputName = nodeName + ':' + outputIndex;
                        // update the input name to use the mapped output index directly.
                        node.inputNames[index] = inputName;
                      }
                    }
                    node.inputs.push(inputNode);
                    inputNode.children.push(node);
                  });
                });
                // if signature has not outputs set, add any node that does not have
                // outputs.
                if (Object.keys(outputNodeNameToKey).length === 0) {
                  allNodes.forEach(function (key) {
                    var node = nodes[key];
                    if (node.children.length === 0) {
                      outputs.push(node);
                    }
                  });
                } else {
                  Object.keys(outputNodeNameToKey).forEach(function (name) {
                    var _a = __read(getNodeNameAndIndex(name), 1),
                      nodeName = _a[0];
                    var node = nodes[nodeName];
                    if (node != null) {
                      node.signatureKey = outputNodeNameToKey[name];
                      outputs.push(node);
                    }
                  });
                }
                if (Object.keys(inputNodeNameToKey).length > 0) {
                  Object.keys(inputNodeNameToKey).forEach(function (name) {
                    var _a = __read(getNodeNameAndIndex(name), 1),
                      nodeName = _a[0];
                    var node = nodes[nodeName];
                    if (node) {
                      node.signatureKey = inputNodeNameToKey[name];
                      inputs.push(node);
                    }
                  });
                } else {
                  inputs = placeholders;
                }
                var functions = {};
                if (graph.library != null && graph.library.function != null) {
                  functions = graph.library.function.reduce(function (functions, func) {
                    functions[func.signature.name] = _this.mapFunction(func);
                    return functions;
                  }, {});
                }
                var result = {
                  nodes: nodes,
                  inputs: inputs,
                  outputs: outputs,
                  weights: weights,
                  placeholders: placeholders,
                  signature: signature,
                  functions: functions,
                };
                if (initNodes.length > 0) {
                  result.initNodes = initNodes;
                }
                return result;
              };
              OperationMapper.prototype.mapSignatureEntries = function (entries) {
                return Object.keys(entries || {}).reduce(function (prev, curr) {
                  prev[entries[curr].name] = curr;
                  return prev;
                }, {});
              };
              OperationMapper.prototype.mapNode = function (node) {
                // Unsupported ops will cause an error at run-time (not parse time), since
                // they may not be used by the actual execution subgraph.
                var mapper = getRegisteredOp(node.op) || this.opMappers[node.op] || {};
                if (node.attr == null) {
                  node.attr = {};
                }
                var newNode = {
                  name: node.name,
                  op: node.op,
                  category: mapper.category,
                  inputNames: (node.input || []).map(function (input) {
                    return input.startsWith('^') ? input.substr(1) : input;
                  }),
                  inputs: [],
                  children: [],
                  inputParams: {},
                  attrParams: {},
                  rawAttrs: node.attr,
                  outputs: mapper.outputs,
                };
                if (mapper.inputs != null) {
                  newNode.inputParams = mapper.inputs.reduce(function (map, param) {
                    map[param.name] = {
                      type: param.type,
                      inputIndexStart: param.start,
                      inputIndexEnd: param.end,
                    };
                    return map;
                  }, {});
                }
                if (mapper.attrs != null) {
                  newNode.attrParams = mapper.attrs.reduce(function (map, param) {
                    var type = param.type;
                    var value = undefined;
                    switch (param.type) {
                      case 'string':
                        value = getStringParam(node.attr, param.tfName, param.defaultValue);
                        if (value === undefined && !!param.tfDeprecatedName) {
                          value = getStringParam(
                            node.attr,
                            param.tfDeprecatedName,
                            param.defaultValue,
                          );
                        }
                        break;
                      case 'string[]':
                        value = getStringArrayParam(node.attr, param.tfName, param.defaultValue);
                        if (value === undefined && !!param.tfDeprecatedName) {
                          value = getStringArrayParam(
                            node.attr,
                            param.tfDeprecatedName,
                            param.defaultValue,
                          );
                        }
                        break;
                      case 'number':
                        value = getNumberParam(node.attr, param.tfName, param.defaultValue || 0);
                        if (value === undefined && !!param.tfDeprecatedName) {
                          value = getNumberParam(
                            node.attr,
                            param.tfDeprecatedName,
                            param.defaultValue,
                          );
                        }
                        break;
                      case 'number[]':
                        value = getNumericArrayParam(node.attr, param.tfName, param.defaultValue);
                        if (value === undefined && !!param.tfDeprecatedName) {
                          value = getNumericArrayParam(
                            node.attr,
                            param.tfDeprecatedName,
                            param.defaultValue,
                          );
                        }
                        break;
                      case 'bool':
                        value = getBoolParam(node.attr, param.tfName, param.defaultValue);
                        if (value === undefined && !!param.tfDeprecatedName) {
                          value = getBoolParam(
                            node.attr,
                            param.tfDeprecatedName,
                            param.defaultValue,
                          );
                        }
                        break;
                      case 'bool[]':
                        value = getBoolArrayParam(node.attr, param.tfName, param.defaultValue);
                        if (value === undefined && !!param.tfDeprecatedName) {
                          value = getBoolArrayParam(
                            node.attr,
                            param.tfDeprecatedName,
                            param.defaultValue,
                          );
                        }
                        break;
                      case 'shape':
                        value = getTensorShapeParam(node.attr, param.tfName, param.defaultValue);
                        if (value === undefined && !!param.tfDeprecatedName) {
                          value = getTensorShapeParam(
                            node.attr,
                            param.tfDeprecatedName,
                            param.defaultValue,
                          );
                        }
                        break;
                      case 'shape[]':
                        value = getTensorShapeArrayParam(
                          node.attr,
                          param.tfName,
                          param.defaultValue,
                        );
                        if (value === undefined && !!param.tfDeprecatedName) {
                          value = getTensorShapeArrayParam(
                            node.attr,
                            param.tfDeprecatedName,
                            param.defaultValue,
                          );
                        }
                        break;
                      case 'dtype':
                        value = getDtypeParam(node.attr, param.tfName, param.defaultValue);
                        if (value === undefined && !!param.tfDeprecatedName) {
                          value = getDtypeParam(
                            node.attr,
                            param.tfDeprecatedName,
                            param.defaultValue,
                          );
                        }
                        break;
                      case 'dtype[]':
                        value = getDtypeArrayParam(node.attr, param.tfName, param.defaultValue);
                        if (value === undefined && !!param.tfDeprecatedName) {
                          value = getDtypeArrayParam(
                            node.attr,
                            param.tfDeprecatedName,
                            param.defaultValue,
                          );
                        }
                        break;
                      case 'func':
                        value = getFuncParam(node.attr, param.tfName, param.defaultValue);
                        if (value === undefined && !!param.tfDeprecatedName) {
                          value = getFuncParam(
                            node.attr,
                            param.tfDeprecatedName,
                            param.defaultValue,
                          );
                        }
                        break;
                      case 'tensor':
                      case 'tensors':
                        break;
                      default:
                        throw new Error(
                          'Unsupported param type: ' + param.type + ' for op: ' + node.op,
                        );
                    }
                    map[param.name] = { value: value, type: type };
                    return map;
                  }, {});
                }
                return newNode;
              };
              // map the TFunctionDef to TFJS graph object
              OperationMapper.prototype.mapFunction = function (functionDef) {
                var _this = this;
                var tfNodes = functionDef.nodeDef;
                var placeholders = [];
                var weights = [];
                var nodes = {};
                if (tfNodes != null) {
                  nodes = tfNodes.reduce(function (map, node) {
                    map[node.name] = _this.mapNode(node);
                    if (node.op === 'Const') {
                      weights.push(map[node.name]);
                    }
                    return map;
                  }, {});
                }
                var inputs = [];
                var outputs = [];
                functionDef.signature.inputArg.forEach(function (arg) {
                  var _a = __read(getNodeNameAndIndex(arg.name), 1),
                    nodeName = _a[0];
                  var node = {
                    name: nodeName,
                    op: 'Placeholder',
                    inputs: [],
                    inputNames: [],
                    category: 'graph',
                    inputParams: {},
                    attrParams: { dtype: { value: parseDtypeParam(arg.type), type: 'dtype' } },
                    children: [],
                  };
                  node.signatureKey = arg.name;
                  inputs.push(node);
                  nodes[nodeName] = node;
                });
                var allNodes = Object.keys(nodes);
                allNodes.forEach(function (key) {
                  var node = nodes[key];
                  node.inputNames.forEach(function (name, index) {
                    var _a = __read(getNodeNameAndIndex(name), 3),
                      nodeName = _a[0],
                      outputName = _a[2];
                    var inputNode = nodes[nodeName];
                    if (inputNode.outputs != null) {
                      var outputIndex = inputNode.outputs.indexOf(outputName);
                      if (outputIndex !== -1) {
                        var inputName = nodeName + ':' + outputIndex;
                        // update the input name to use the mapped output index directly.
                        node.inputNames[index] = inputName;
                      }
                    }
                    node.inputs.push(inputNode);
                    inputNode.children.push(node);
                  });
                });
                var returnNodeMap = functionDef.ret;
                functionDef.signature.outputArg.forEach(function (output) {
                  var _a = __read(getNodeNameAndIndex(returnNodeMap[output.name]), 2),
                    nodeName = _a[0],
                    index = _a[1];
                  var node = nodes[nodeName];
                  if (node != null) {
                    node.defaultOutput = index;
                    outputs.push(node);
                  }
                });
                var signature = this.mapArgsToSignature(functionDef);
                return {
                  nodes: nodes,
                  inputs: inputs,
                  outputs: outputs,
                  weights: weights,
                  placeholders: placeholders,
                  signature: signature,
                };
              };
              OperationMapper.prototype.mapArgsToSignature = function (functionDef) {
                var _this = this;
                return {
                  methodName: functionDef.signature.name,
                  inputs: functionDef.signature.inputArg.reduce(function (map, arg) {
                    map[arg.name] = _this.mapArgToTensorInfo(arg);
                    return map;
                  }, {}),
                  outputs: functionDef.signature.outputArg.reduce(function (map, arg) {
                    map[arg.name] = _this.mapArgToTensorInfo(arg, functionDef.ret);
                    return map;
                  }, {}),
                };
              };
              OperationMapper.prototype.mapArgToTensorInfo = function (arg, nameMap) {
                var name = arg.name;
                if (nameMap != null) {
                  name = nameMap[name];
                }
                return { name: name, dtype: arg.type };
              };
              return OperationMapper;
            })();
            function decodeBase64(text) {
              var global = tfOps.env().global;
              if (typeof global.atob !== 'undefined') {
                return global.atob(text);
              } else if (typeof Buffer !== 'undefined') {
                return new Buffer(text, 'base64').toString();
              } else {
                throw new Error(
                  'Unable to decode base64 in this environment. ' +
                    'Missing built-in atob() or Buffer()',
                );
              }
            }
            function parseStringParam(s, keepCase) {
              var value = Array.isArray(s) ? String.fromCharCode.apply(null, s) : decodeBase64(s);
              return keepCase ? value : value.toLowerCase();
            }
            function getStringParam(attrs, name, def, keepCase) {
              if (keepCase === void 0) {
                keepCase = false;
              }
              var param = attrs[name];
              if (param != null) {
                return parseStringParam(param.s, keepCase);
              }
              return def;
            }
            function getBoolParam(attrs, name, def) {
              var param = attrs[name];
              return param ? param.b : def;
            }
            function getNumberParam(attrs, name, def) {
              var param = attrs[name] || {};
              var value = param['i'] != null ? param['i'] : param['f'] != null ? param['f'] : def;
              return typeof value === 'number' ? value : parseInt(value, 10);
            }
            function parseDtypeParam(value) {
              if (typeof value === 'string') {
                // tslint:disable-next-line:no-any
                value = DataType[value];
              }
              switch (value) {
                case DataType.DT_FLOAT:
                  return 'float32';
                case DataType.DT_INT32:
                case DataType.DT_INT64:
                case DataType.DT_INT8:
                case DataType.DT_UINT8:
                  return 'int32';
                case DataType.DT_BOOL:
                  return 'bool';
                case DataType.DT_DOUBLE:
                  return 'float32';
                case DataType.DT_STRING:
                  return 'string';
                default:
                  // Unknown dtype error will happen at runtime (instead of parse time),
                  // since these nodes might not be used by the actual subgraph execution.
                  return null;
              }
            }
            function getFuncParam(attrs, name, def) {
              var param = attrs[name];
              if (param && param.func) {
                return param.func.name;
              }
              return def;
            }
            function getDtypeParam(attrs, name, def) {
              var param = attrs[name];
              if (param && param.type) {
                return parseDtypeParam(param.type);
              }
              return def;
            }
            function getDtypeArrayParam(attrs, name, def) {
              var param = attrs[name];
              if (param && param.list && param.list.type) {
                return param.list.type.map(function (v) {
                  return parseDtypeParam(v);
                });
              }
              return def;
            }
            function parseTensorShapeParam(shape) {
              if (shape.unknownRank) {
                return undefined;
              }
              if (shape.dim != null) {
                return shape.dim.map(function (dim) {
                  return typeof dim.size === 'number' ? dim.size : parseInt(dim.size, 10);
                });
              }
              return [];
            }
            function getTensorShapeParam(attrs, name, def) {
              var param = attrs[name];
              if (param && param.shape) {
                return parseTensorShapeParam(param.shape);
              }
              return def;
            }
            function getNumericArrayParam(attrs, name, def) {
              var param = attrs[name];
              if (param) {
                return (
                  (param.list.f && param.list.f.length ? param.list.f : param.list.i) || []
                ).map(function (v) {
                  return typeof v === 'number' ? v : parseInt(v, 10);
                });
              }
              return def;
            }
            function getStringArrayParam(attrs, name, def, keepCase) {
              if (keepCase === void 0) {
                keepCase = false;
              }
              var param = attrs[name];
              if (param && param.list && param.list.s) {
                return param.list.s.map(function (v) {
                  return parseStringParam(v, keepCase);
                });
              }
              return def;
            }
            function getTensorShapeArrayParam(attrs, name, def) {
              var param = attrs[name];
              if (param && param.list && param.list.shape) {
                return param.list.shape.map(function (v) {
                  return parseTensorShapeParam(v);
                });
              }
              return def;
            }
            function getBoolArrayParam(attrs, name, def) {
              var param = attrs[name];
              if (param && param.list && param.list.b) {
                return param.list.b;
              }
              return def;
            }

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Helper class for lookup inputs and params for nodes in the model graph.
             */
            var NodeValueImpl = /** @class */ (function () {
              function NodeValueImpl(node, tensorMap, context) {
                var _this = this;
                this.node = node;
                this.tensorMap = tensorMap;
                this.context = context;
                this.inputs = [];
                this.attrs = {};
                this.inputs = node.inputNames.map(function (name) {
                  return _this.getInput(name);
                });
                if (node.rawAttrs != null) {
                  this.attrs = Object.keys(node.rawAttrs).reduce(function (attrs, key) {
                    attrs[key] = _this.getAttr(key);
                    return attrs;
                  }, {});
                }
              }
              /**
               * Return the value of the attribute or input param.
               * @param name String: name of attribute or input param.
               */
              NodeValueImpl.prototype.getInput = function (name) {
                return getTensor(name, this.tensorMap, this.context);
              };
              /**
               * Return the value of the attribute or input param.
               * @param name String: name of attribute or input param.
               */
              NodeValueImpl.prototype.getAttr = function (name, defaultValue) {
                var value = this.node.rawAttrs[name];
                if (value.tensor != null) {
                  return getTensor(name, this.tensorMap, this.context);
                }
                if (value.i != null || value.f != null) {
                  return getNumberParam(this.node.rawAttrs, name, defaultValue);
                }
                if (value.s != null) {
                  return getStringParam(this.node.rawAttrs, name, defaultValue);
                }
                if (value.b != null) {
                  return getBoolParam(this.node.rawAttrs, name, defaultValue);
                }
                if (value.shape != null) {
                  return getTensorShapeParam(this.node.rawAttrs, name, defaultValue);
                }
                if (value.type != null) {
                  return getDtypeParam(this.node.rawAttrs, name, defaultValue);
                }
                if (value.list != null) {
                  if (value.list.i != null || value.list.f != null) {
                    return getNumericArrayParam(this.node.rawAttrs, name, defaultValue);
                  }
                  if (value.list.s != null) {
                    return getStringArrayParam(this.node.rawAttrs, name, defaultValue);
                  }
                  if (value.list.shape != null) {
                    return getTensorShapeArrayParam(this.node.rawAttrs, name, defaultValue);
                  }
                  if (value.list.b != null) {
                    return getBoolArrayParam(this.node.rawAttrs, name, defaultValue);
                  }
                  if (value.list.type != null) {
                    return getDtypeArrayParam(this.node.rawAttrs, name, defaultValue);
                  }
                }
                return defaultValue;
              };
              return NodeValueImpl;
            })();

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var executeOp = function (node, tensorMap, context) {
              switch (node.op) {
                case 'BiasAdd':
                case 'AddV2':
                case 'Add': {
                  return [
                    tfOps.add(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                }
                case 'AddN': {
                  return [tfOps.addN(getParamValue('tensors', node, tensorMap, context))];
                }
                case 'FloorMod':
                case 'Mod':
                  return [
                    tfOps.mod(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                case 'Mul':
                  return [
                    tfOps.mul(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                case 'RealDiv':
                case 'Div': {
                  return [
                    tfOps.div(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                }
                case 'DivNoNan': {
                  return [
                    tfOps.divNoNan(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                }
                case 'FloorDiv': {
                  return [
                    tfOps.floorDiv(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                }
                case 'Sub': {
                  return [
                    tfOps.sub(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                }
                case 'Minimum': {
                  return [
                    tfOps.minimum(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                }
                case 'Maximum': {
                  return [
                    tfOps.maximum(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                }
                case 'Pow': {
                  return [
                    tfOps.pow(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                }
                case 'SquaredDifference': {
                  return [
                    tfOps.squaredDifference(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                }
                default:
                  throw TypeError('Node type ' + node.op + ' is not implemented');
              }
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var executeOp$1 = function (node, tensorMap, context) {
              switch (node.op) {
                case 'Abs':
                case 'ComplexAbs':
                  return [tfOps.abs(getParamValue('x', node, tensorMap, context))];
                case 'Acos':
                  return [tfOps.acos(getParamValue('x', node, tensorMap, context))];
                case 'Acosh':
                  return [tfOps.acosh(getParamValue('x', node, tensorMap, context))];
                case 'Asin':
                  return [tfOps.asin(getParamValue('x', node, tensorMap, context))];
                case 'Asinh':
                  return [tfOps.asinh(getParamValue('x', node, tensorMap, context))];
                case 'Atan':
                  return [tfOps.atan(getParamValue('x', node, tensorMap, context))];
                case 'Atan2':
                  return [
                    tfOps.atan2(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('y', node, tensorMap, context),
                    ),
                  ];
                case 'Atanh':
                  return [tfOps.atanh(getParamValue('x', node, tensorMap, context))];
                case 'Ceil':
                  return [tfOps.ceil(getParamValue('x', node, tensorMap, context))];
                case 'Complex':
                  return [
                    tfOps.complex(
                      getParamValue('real', node, tensorMap, context),
                      getParamValue('imag', node, tensorMap, context),
                    ),
                  ];
                case 'Cos':
                  return [tfOps.cos(getParamValue('x', node, tensorMap, context))];
                case 'Cosh':
                  return [tfOps.cosh(getParamValue('x', node, tensorMap, context))];
                case 'Elu':
                  return [tfOps.elu(getParamValue('x', node, tensorMap, context))];
                case 'Erf':
                  return [tfOps.erf(getParamValue('x', node, tensorMap, context))];
                case 'Exp':
                  return [tfOps.exp(getParamValue('x', node, tensorMap, context))];
                case 'Expm1': {
                  return [tfOps.expm1(getParamValue('x', node, tensorMap, context))];
                }
                case 'Floor':
                  return [tfOps.floor(getParamValue('x', node, tensorMap, context))];
                case 'Log':
                  return [tfOps.log(getParamValue('x', node, tensorMap, context))];
                case 'Log1p': {
                  return [tfOps.log1p(getParamValue('x', node, tensorMap, context))];
                }
                case 'Imag':
                  return [tfOps.imag(getParamValue('x', node, tensorMap, context))];
                case 'Neg':
                  return [tfOps.neg(getParamValue('x', node, tensorMap, context))];
                case 'Reciprocal': {
                  return [tfOps.reciprocal(getParamValue('x', node, tensorMap, context))];
                }
                case 'Real':
                  return [tfOps.real(getParamValue('x', node, tensorMap, context))];
                case 'Relu':
                  return [tfOps.relu(getParamValue('x', node, tensorMap, context))];
                case 'Round': {
                  return [tfOps.round(getParamValue('x', node, tensorMap, context))];
                }
                case 'Selu':
                  return [tfOps.selu(getParamValue('x', node, tensorMap, context))];
                case 'Sigmoid':
                  return [tfOps.sigmoid(getParamValue('x', node, tensorMap, context))];
                case 'Sin':
                  return [tfOps.sin(getParamValue('x', node, tensorMap, context))];
                case 'Sign': {
                  return [tfOps.sign(getParamValue('x', node, tensorMap, context))];
                }
                case 'Sinh': {
                  return [tfOps.sinh(getParamValue('x', node, tensorMap, context))];
                }
                case 'Softplus': {
                  return [tfOps.softplus(getParamValue('x', node, tensorMap, context))];
                }
                case 'Sqrt': {
                  return [tfOps.sqrt(getParamValue('x', node, tensorMap, context))];
                }
                case 'Square': {
                  return [tfOps.square(getParamValue('x', node, tensorMap, context))];
                }
                case 'Tanh': {
                  return [tfOps.tanh(getParamValue('x', node, tensorMap, context))];
                }
                case 'Tan':
                  return [tfOps.tan(getParamValue('x', node, tensorMap, context))];
                case 'ClipByValue':
                  return [
                    tfOps.clipByValue(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('clipValueMin', node, tensorMap, context),
                      getParamValue('clipValueMax', node, tensorMap, context),
                    ),
                  ];
                case 'Relu6':
                  return [tfOps.relu6(getParamValue('x', node, tensorMap, context))];
                case 'Rsqrt':
                  return [tfOps.rsqrt(getTensor(node.inputNames[0], tensorMap, context))];
                case 'Prod':
                  return [
                    tfOps.prod(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('axes', node, tensorMap, context),
                    ),
                  ];
                case 'LeakyRelu':
                  return [
                    tfOps.leakyRelu(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('alpha', node, tensorMap, context),
                    ),
                  ];
                case 'Prelu':
                  return [
                    tfOps.prelu(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('alpha', node, tensorMap, context),
                    ),
                  ];
                case 'IsNan':
                  return [tfOps.isNaN(getTensor(node.inputNames[0], tensorMap, context))];
                default:
                  throw TypeError('Node type ' + node.op + ' is not implemented');
              }
            };

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Used by TensorList and TensorArray to verify if elementShape matches, support
             * negative value as the dim shape.
             * @param shapeA
             * @param shapeB
             * @param errorMessagePrefix
             */
            function assertShapesMatchAllowUndefinedSize(shapeA, shapeB, errorMessagePrefix) {
              if (errorMessagePrefix === void 0) {
                errorMessagePrefix = '';
              }
              // constant shape means unknown rank
              if (typeof shapeA === 'number' || typeof shapeB === 'number') {
                return;
              }
              tfOps.util.assert(shapeA.length === shapeB.length, function () {
                return (
                  errorMessagePrefix + (' Shapes ' + shapeA + ' and ' + shapeB + ' must match')
                );
              });
              for (var i = 0; i < shapeA.length; i++) {
                var dim0 = shapeA[i];
                var dim1 = shapeB[i];
                tfOps.util.assert(dim0 < 0 || dim1 < 0 || dim0 === dim1, function () {
                  return (
                    errorMessagePrefix + (' Shapes ' + shapeA + ' and ' + shapeB + ' must match')
                  );
                });
              }
            }
            function fullDefinedShape(elementShape) {
              if (
                typeof elementShape === 'number' ||
                elementShape.some(function (dim) {
                  return dim < 0;
                })
              ) {
                return false;
              }
              return true;
            }
            /**
             * Generate the output element shape from the list elementShape, list tensors
             * and input param.
             * @param listElementShape
             * @param tensors
             * @param elementShape
             */
            function inferElementShape(listElementShape, tensors, elementShape) {
              var partialShape = mergeElementShape(listElementShape, elementShape);
              var notfullDefinedShape = !fullDefinedShape(partialShape);
              if (notfullDefinedShape && tensors.length === 0) {
                throw new Error(
                  'Tried to calculate elements of an empty list' +
                    (' with non-fully-defined elementShape: ' + partialShape),
                );
              }
              if (notfullDefinedShape) {
                tensors.forEach(function (tensor) {
                  partialShape = mergeElementShape(tensor.shape, partialShape);
                });
              }
              if (!fullDefinedShape(partialShape)) {
                throw new Error('Non-fully-defined elementShape: ' + partialShape);
              }
              return partialShape;
            }
            function mergeElementShape(elementShapeA, elementShapeB) {
              if (typeof elementShapeA === 'number') {
                return elementShapeB;
              }
              if (typeof elementShapeB === 'number') {
                return elementShapeA;
              }
              if (elementShapeA.length !== elementShapeB.length) {
                throw new Error(
                  'Incompatible ranks during merge: ' + elementShapeA + ' vs. ' + elementShapeB,
                );
              }
              var result = [];
              for (var i = 0; i < elementShapeA.length; ++i) {
                var dim0 = elementShapeA[i];
                var dim1 = elementShapeB[i];
                if (dim0 >= 0 && dim1 >= 0 && dim0 !== dim1) {
                  throw new Error(
                    'Incompatible shape during merge: ' + elementShapeA + ' vs. ' + elementShapeB,
                  );
                }
                result[i] = dim0 >= 0 ? dim0 : dim1;
              }
              return result;
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * The TensorArray object keeps an array of Tensors.  It
             * allows reading from the array and writing to the array.
             */
            var TensorArray = /** @class */ (function () {
              function TensorArray(
                name,
                dtype,
                maxSize,
                elementShape,
                identicalElementShapes,
                dynamicSize,
                clearAfterRead,
              ) {
                this.name = name;
                this.dtype = dtype;
                this.maxSize = maxSize;
                this.elementShape = elementShape;
                this.identicalElementShapes = identicalElementShapes;
                this.dynamicSize = dynamicSize;
                this.clearAfterRead = clearAfterRead;
                this.tensors = [];
                this.closed_ = false;
                this.idTensor = tfOps.scalar(0);
                tfOps.keep(this.idTensor);
              }
              Object.defineProperty(TensorArray.prototype, 'id', {
                get: function () {
                  return this.idTensor.id;
                },
                enumerable: true,
                configurable: true,
              });
              Object.defineProperty(TensorArray.prototype, 'closed', {
                get: function () {
                  return this.closed_;
                },
                enumerable: true,
                configurable: true,
              });
              /**
               * Dispose the tensors and idTensor and mark the TensoryArray as closed.
               */
              TensorArray.prototype.clearAndClose = function (keepIds) {
                this.tensors.forEach(function (tensor) {
                  if (keepIds == null || !keepIds.has(tensor.tensor.id)) {
                    tensor.tensor.dispose();
                  }
                });
                this.tensors = [];
                this.closed_ = true;
                this.idTensor.dispose();
              };
              TensorArray.prototype.size = function () {
                return this.tensors.length;
              };
              /**
               * Read the value at location index in the TensorArray.
               * @param index Number the index to read from.
               */
              TensorArray.prototype.read = function (index) {
                if (this.closed_) {
                  throw new Error('TensorArray ' + this.name + ' has already been closed.');
                }
                if (index < 0 || index >= this.size()) {
                  throw new Error(
                    'Tried to read from index ' + index + ', but array size is: ' + this.size(),
                  );
                }
                var tensorWithState = this.tensors[index];
                if (tensorWithState.cleared) {
                  throw new Error(
                    'TensorArray ' +
                      this.name +
                      ': Could not read index ' +
                      index +
                      ' twice because it was cleared after a previous read ' +
                      '(perhaps try setting clear_after_read = false?).',
                  );
                }
                if (this.clearAfterRead) {
                  tensorWithState.cleared = true;
                }
                tensorWithState.read = true;
                return tensorWithState.tensor;
              };
              /**
               * Helper method to read multiple tensors from the specified indices.
               */
              TensorArray.prototype.readMany = function (indices) {
                var _this = this;
                return indices.map(function (index) {
                  return _this.read(index);
                });
              };
              /**
               * Write value into the index of the TensorArray.
               * @param index number the index to write to.
               * @param tensor
               */
              TensorArray.prototype.write = function (index, tensor) {
                if (this.closed_) {
                  throw new Error('TensorArray ' + this.name + ' has already been closed.');
                }
                if (index < 0 || (!this.dynamicSize && index >= this.maxSize)) {
                  throw new Error(
                    'Tried to write to index ' +
                      index +
                      ', but array is not resizeable and size is: ' +
                      this.maxSize,
                  );
                }
                var t = this.tensors[index] || {};
                if (tensor.dtype !== this.dtype) {
                  throw new Error(
                    'TensorArray ' +
                      this.name +
                      ': Could not write to TensorArray index ' +
                      index +
                      ',\n          because the value dtype is ' +
                      tensor.dtype +
                      ', but TensorArray dtype is ' +
                      this.dtype +
                      '.',
                  );
                }
                // Set the shape for the first time write to unknow shape tensor array
                if (
                  this.size() === 0 &&
                  (this.elementShape == null || this.elementShape.length === 0)
                ) {
                  this.elementShape = tensor.shape;
                }
                assertShapesMatchAllowUndefinedSize(
                  this.elementShape,
                  tensor.shape,
                  'TensorArray ' +
                    this.name +
                    ': Could not write to TensorArray index ' +
                    index +
                    '.',
                );
                if (t.read) {
                  throw new Error(
                    'TensorArray ' +
                      this.name +
                      ': Could not write to TensorArray index ' +
                      index +
                      ', because it has already been read.',
                  );
                }
                if (t.written) {
                  throw new Error(
                    'TensorArray ' +
                      this.name +
                      ': Could not write to TensorArray index ' +
                      index +
                      ', because it has already been written.',
                  );
                }
                t.tensor = tensor;
                tfOps.keep(tensor);
                t.written = true;
                this.tensors[index] = t;
              };
              /**
               * Helper method to write multiple tensors to the specified indices.
               */
              TensorArray.prototype.writeMany = function (indices, tensors) {
                var _this = this;
                if (indices.length !== tensors.length) {
                  throw new Error(
                    'TensorArray ' +
                      this.name +
                      ': could not write multiple tensors,' +
                      ('because the index size: ' +
                        indices.length +
                        ' is not the same as tensors size: ' +
                        tensors.length +
                        '.'),
                  );
                }
                indices.forEach(function (i, index) {
                  return _this.write(i, tensors[index]);
                });
              };
              /**
               * Return selected values in the TensorArray as a packed Tensor. All of
               * selected values must have been written and their shapes must all match.
               * @param [indices] number[] Optional. Taking values in [0, max_value). If the
               *    TensorArray is not dynamic, max_value=size(). If not specified returns
               *    all tensors in the original order.
               * @param [dtype]
               */
              TensorArray.prototype.gather = function (indices, dtype) {
                if (!!dtype && dtype !== this.dtype) {
                  throw new Error(
                    'TensorArray dtype is ' + this.dtype + ' but gather requested dtype ' + dtype,
                  );
                }
                if (!indices) {
                  indices = [];
                  for (var i = 0; i < this.size(); i++) {
                    indices.push(i);
                  }
                } else {
                  indices = indices.slice(0, this.size());
                }
                if (indices.length === 0) {
                  return tfOps.tensor([], [0].concat(this.elementShape));
                }
                // Read all the PersistentTensors into a vector to keep track of
                // their memory.
                var tensors = this.readMany(indices);
                assertShapesMatchAllowUndefinedSize(
                  this.elementShape,
                  tensors[0].shape,
                  'TensorArray shape mismatch: ',
                );
                return tfOps.stack(tensors, 0);
              };
              /**
               * Return the values in the TensorArray as a concatenated Tensor.
               */
              TensorArray.prototype.concat = function (dtype) {
                if (!!dtype && dtype !== this.dtype) {
                  throw new Error(
                    'TensorArray dtype is ' + this.dtype + ' but concat requested dtype ' + dtype,
                  );
                }
                if (this.size() === 0) {
                  return tfOps.tensor([], [0].concat(this.elementShape));
                }
                var indices = [];
                for (var i = 0; i < this.size(); i++) {
                  indices.push(i);
                }
                // Collect all the tensors from the tensors array.
                var tensors = this.readMany(indices);
                assertShapesMatchAllowUndefinedSize(
                  this.elementShape,
                  tensors[0].shape,
                  'TensorArray shape mismatch: tensor array shape (' +
                    this.elementShape +
                    ') vs first tensor shape (' +
                    tensors[0].shape +
                    ')',
                );
                return tfOps.concat(tensors, 0);
              };
              /**
               * Scatter the values of a Tensor in specific indices of a TensorArray.
               * @param indices nummber[] values in [0, max_value). If the
               *    TensorArray is not dynamic, max_value=size().
               * @param tensor Tensor input tensor.
               */
              TensorArray.prototype.scatter = function (indices, tensor) {
                if (tensor.dtype !== this.dtype) {
                  throw new Error(
                    'TensorArray dtype is ' + this.dtype + ' but tensor has dtype ' + tensor.dtype,
                  );
                }
                if (indices.length !== tensor.shape[0]) {
                  throw new Error(
                    'Expected len(indices) == tensor.shape[0], but saw: ' +
                      indices.length +
                      ' vs. ' +
                      tensor.shape[0],
                  );
                }
                var maxIndex = Math.max.apply(Math, __spread(indices));
                if (!this.dynamicSize && maxIndex >= this.maxSize) {
                  throw new Error(
                    'Max index must be < array size (' + maxIndex + '  vs. ' + this.maxSize + ')',
                  );
                }
                this.writeMany(indices, tfOps.unstack(tensor, 0));
              };
              /**
               * Split the values of a Tensor into the TensorArray.
               * @param length number[] with the lengths to use when splitting value along
               *    its first dimension.
               * @param tensor Tensor, the tensor to split.
               */
              TensorArray.prototype.split = function (length, tensor) {
                var _this = this;
                if (tensor.dtype !== this.dtype) {
                  throw new Error(
                    'TensorArray dtype is ' + this.dtype + ' but tensor has dtype ' + tensor.dtype,
                  );
                }
                var totalLength = 0;
                var cumulativeLengths = length.map(function (len) {
                  totalLength += len;
                  return totalLength;
                });
                if (totalLength !== tensor.shape[0]) {
                  throw new Error(
                    'Expected sum of lengths to be equal to\n          tensor.shape[0], but sum of lengths is\n        ' +
                      totalLength +
                      ", and tensor's shape is: " +
                      tensor.shape,
                  );
                }
                if (!this.dynamicSize && length.length !== this.maxSize) {
                  throw new Error(
                    "TensorArray's size is not equal to the size of lengths (" +
                      this.maxSize +
                      ' vs. ' +
                      length.length +
                      '), ' +
                      'and the TensorArray is not marked as dynamically resizeable',
                  );
                }
                var elementPerRow = totalLength === 0 ? 0 : tensor.size / totalLength;
                var tensors = [];
                tfOps.tidy(function () {
                  tensor = tfOps.reshape(tensor, [1, totalLength, elementPerRow]);
                  for (var i = 0; i < length.length; ++i) {
                    var previousLength = i === 0 ? 0 : cumulativeLengths[i - 1];
                    var indices_1 = [0, previousLength, 0];
                    var sizes = [1, length[i], elementPerRow];
                    tensors[i] = tfOps.reshape(
                      tfOps.slice(tensor, indices_1, sizes),
                      _this.elementShape,
                    );
                  }
                  return tensors;
                });
                var indices = [];
                for (var i = 0; i < length.length; i++) {
                  indices[i] = i;
                }
                this.writeMany(indices, tensors);
              };
              return TensorArray;
            })();

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * TensorList stores a container of `tf.Tensor` objects, which are accessible
             * via tensors field.
             *
             * In order to get a copy of the underlying list, use the copy method:
             * ```
             *    TensorList b = a.copy();
             *    b.tensors().pushBack(t);  // This does not modify a.tensors().
             * ```
             *
             * Note that this is not a deep copy: the memory locations of the underlying
             * tensors will still point to the same locations of the corresponding tensors
             * in the original.
             */
            var TensorList = /** @class */ (function () {
              /**
               *
               * @param tensors list of tensors
               * @param elementShape shape of each tensor, this can be a single number (any
               * shape is allowed) or partial shape (dim = -1).
               * @param elementDtype data type of each tensor
               * @param maxNumElements The maximum allowed size of `tensors`. Defaults to -1
               *   meaning that the size of `tensors` is unbounded.
               */
              function TensorList(tensors, elementShape, elementDtype, maxNumElements) {
                if (maxNumElements === void 0) {
                  maxNumElements = -1;
                }
                this.tensors = tensors;
                this.elementShape = elementShape;
                this.elementDtype = elementDtype;
                if (tensors != null) {
                  tensors.forEach(function (tensor) {
                    if (elementDtype !== tensor.dtype) {
                      throw new Error(
                        'Invalid data types; op elements ' +
                          elementDtype +
                          ', but list elements ' +
                          tensor.dtype,
                      );
                    }
                    assertShapesMatchAllowUndefinedSize(
                      elementShape,
                      tensor.shape,
                      'TensorList shape mismatch: ',
                    );
                    tfOps.keep(tensor);
                  });
                }
                this.idTensor = tfOps.scalar(0);
                this.maxNumElements = maxNumElements;
                tfOps.keep(this.idTensor);
              }
              Object.defineProperty(TensorList.prototype, 'id', {
                get: function () {
                  return this.idTensor.id;
                },
                enumerable: true,
                configurable: true,
              });
              /**
               * Get a new TensorList containing a copy of the underlying tensor container.
               */
              TensorList.prototype.copy = function () {
                return new TensorList(__spread(this.tensors), this.elementShape, this.elementDtype);
              };
              /**
               * Dispose the tensors and idTensor and clear the tensor list.
               */
              TensorList.prototype.clearAndClose = function (keepIds) {
                this.tensors.forEach(function (tensor) {
                  if (keepIds == null || !keepIds.has(tensor.id)) {
                    tensor.dispose();
                  }
                });
                this.tensors.length = 0;
                this.idTensor.dispose();
              };
              /**
               * The size of the tensors in the tensor list.
               */
              TensorList.prototype.size = function () {
                return this.tensors.length;
              };
              /**
               * Return a tensor that stacks a list of rank-R tf.Tensors into one rank-(R+1)
               * tf.Tensor.
               * @param elementShape shape of each tensor
               * @param elementDtype data type of each tensor
               * @param numElements the number of elements to stack
               */
              TensorList.prototype.stack = function (elementShape, elementDtype, numElements) {
                var _this = this;
                if (numElements === void 0) {
                  numElements = -1;
                }
                if (elementDtype !== this.elementDtype) {
                  throw new Error(
                    'Invalid data types; op elements ' +
                      elementDtype +
                      ', but list elements ' +
                      this.elementDtype,
                  );
                }
                if (numElements !== -1 && this.tensors.length !== numElements) {
                  throw new Error(
                    'Operation expected a list with ' +
                      numElements +
                      ' elements but got a list with ' +
                      this.tensors.length +
                      ' elements.',
                  );
                }
                assertShapesMatchAllowUndefinedSize(
                  elementShape,
                  this.elementShape,
                  'TensorList shape mismatch: ',
                );
                var outputElementShape = inferElementShape(
                  this.elementShape,
                  this.tensors,
                  elementShape,
                );
                return tfOps.tidy(function () {
                  var reshapedTensors = _this.tensors.map(function (tensor) {
                    return tfOps.reshape(tensor, outputElementShape);
                  });
                  return tfOps.stack(reshapedTensors, 0);
                });
              };
              /**
               * Pop a tensor from the end of the list.
               * @param elementShape shape of the tensor
               * @param elementDtype data type of the tensor
               */
              TensorList.prototype.popBack = function (elementShape, elementDtype) {
                if (elementDtype !== this.elementDtype) {
                  throw new Error(
                    'Invalid data types; op elements ' +
                      elementDtype +
                      ', but list elements ' +
                      this.elementDtype,
                  );
                }
                if (this.size() === 0) {
                  throw new Error('Trying to pop from an empty list.');
                }
                var outputElementShape = inferElementShape(
                  this.elementShape,
                  this.tensors,
                  elementShape,
                );
                var tensor = this.tensors.pop();
                assertShapesMatchAllowUndefinedSize(
                  tensor.shape,
                  elementShape,
                  'TensorList shape mismatch: ',
                );
                return tfOps.reshape(tensor, outputElementShape);
              };
              /**
               * Push a tensor to the end of the list.
               * @param tensor Tensor to be pushed.
               */
              TensorList.prototype.pushBack = function (tensor) {
                if (tensor.dtype !== this.elementDtype) {
                  throw new Error(
                    'Invalid data types; op elements ' +
                      tensor.dtype +
                      ', but list elements ' +
                      this.elementDtype,
                  );
                }
                assertShapesMatchAllowUndefinedSize(
                  tensor.shape,
                  this.elementShape,
                  'TensorList shape mismatch: ',
                );
                if (this.maxNumElements === this.size()) {
                  throw new Error('Trying to push element into a full list.');
                }
                tfOps.keep(tensor);
                this.tensors.push(tensor);
              };
              /**
               * Update the size of the list.
               * @param size the new size of the list.
               */
              TensorList.prototype.resize = function (size) {
                if (size < 0) {
                  throw new Error('TensorListResize expects size to be non-negative. Got: ' + size);
                }
                if (this.maxNumElements !== -1 && size > this.maxNumElements) {
                  throw new Error(
                    'TensorListResize input size ' +
                      size +
                      ' is greater maxNumElement ' +
                      this.maxNumElements +
                      '.',
                  );
                }
                this.tensors.length = size;
              };
              /**
               * Retrieve the element at the provided index
               * @param elementShape shape of the tensor
               * @param elementDtype dtype of the tensor
               * @param elementIndex index of the tensor
               */
              TensorList.prototype.getItem = function (elementIndex, elementShape, elementDtype) {
                if (elementDtype !== this.elementDtype) {
                  throw new Error(
                    'Invalid data types; op elements ' +
                      elementDtype +
                      ', but list elements ' +
                      this.elementDtype,
                  );
                }
                if (elementIndex < 0 || elementIndex > this.tensors.length) {
                  throw new Error(
                    'Trying to access element ' +
                      elementIndex +
                      ' in a list with ' +
                      this.tensors.length +
                      ' elements.',
                  );
                }
                if (this.tensors[elementIndex] == null) {
                  throw new Error('element at index ' + elementIndex + ' is null.');
                }
                assertShapesMatchAllowUndefinedSize(
                  this.tensors[elementIndex].shape,
                  elementShape,
                  'TensorList shape mismatch: ',
                );
                var outputElementShape = inferElementShape(
                  this.elementShape,
                  this.tensors,
                  elementShape,
                );
                return tfOps.reshape(this.tensors[elementIndex], outputElementShape);
              };
              /**
               * Set the tensor at the index
               * @param elementIndex index of the tensor
               * @param tensor the tensor to be inserted into the list
               */
              TensorList.prototype.setItem = function (elementIndex, tensor) {
                if (tensor.dtype !== this.elementDtype) {
                  throw new Error(
                    'Invalid data types; op elements ' +
                      tensor.dtype +
                      ', but list elements ' +
                      this.elementDtype,
                  );
                }
                if (
                  elementIndex < 0 ||
                  (this.maxNumElements !== -1 && elementIndex >= this.maxNumElements)
                ) {
                  throw new Error(
                    'Trying to set element ' +
                      elementIndex +
                      ' in a list with max ' +
                      this.maxNumElements +
                      ' elements.',
                  );
                }
                assertShapesMatchAllowUndefinedSize(
                  this.elementShape,
                  tensor.shape,
                  'TensorList shape mismatch: ',
                );
                tfOps.keep(tensor);
                this.tensors[elementIndex] = tensor;
              };
              /**
               * Return selected values in the TensorList as a stacked Tensor. All of
               * selected values must have been written and their shapes must all match.
               * @param indices indices of tensors to gather
               * @param elementDtype output tensor dtype
               * @param elementShape output tensor element shape
               */
              TensorList.prototype.gather = function (indices, elementDtype, elementShape) {
                var _this = this;
                if (elementDtype !== this.elementDtype) {
                  throw new Error(
                    'Invalid data types; op elements ' +
                      elementDtype +
                      ', but list elements ' +
                      this.elementDtype,
                  );
                }
                assertShapesMatchAllowUndefinedSize(
                  this.elementShape,
                  elementShape,
                  'TensorList shape mismatch: ',
                );
                // When indices is greater than the size of the list, indices beyond the
                // size of the list are ignored.
                indices = indices.slice(0, this.size());
                var outputElementShape = inferElementShape(
                  this.elementShape,
                  this.tensors,
                  elementShape,
                );
                if (indices.length === 0) {
                  return tfOps.tensor([], [0].concat(outputElementShape));
                }
                return tfOps.tidy(function () {
                  var tensors = indices.map(function (i) {
                    return tfOps.reshape(_this.tensors[i], outputElementShape);
                  });
                  return tfOps.stack(tensors, 0);
                });
              };
              /**
               * Return the values in the TensorList as a concatenated Tensor.
               * @param elementDtype output tensor dtype
               * @param elementShape output tensor element shape
               */
              TensorList.prototype.concat = function (elementDtype, elementShape) {
                var _this = this;
                if (!!elementDtype && elementDtype !== this.elementDtype) {
                  throw new Error(
                    'TensorList dtype is ' +
                      this.elementDtype +
                      ' but concat requested dtype ' +
                      elementDtype,
                  );
                }
                assertShapesMatchAllowUndefinedSize(
                  this.elementShape,
                  elementShape,
                  'TensorList shape mismatch: ',
                );
                var outputElementShape = inferElementShape(
                  this.elementShape,
                  this.tensors,
                  elementShape,
                );
                if (this.size() === 0) {
                  return tfOps.tensor([], [0].concat(outputElementShape));
                }
                return tfOps.tidy(function () {
                  var tensors = _this.tensors.map(function (t) {
                    return tfOps.reshape(t, outputElementShape);
                  });
                  return tfOps.concat(tensors, 0);
                });
              };
              return TensorList;
            })();
            /**
             * Creates a TensorList which, when stacked, has the value of tensor.
             * @param tensor from tensor
             * @param elementShape output tensor element shape
             */
            function fromTensor(tensor, elementShape, elementDtype) {
              var dtype = tensor.dtype;
              if (tensor.shape.length < 1) {
                throw new Error('Tensor must be at least a vector, but saw shape: ' + tensor.shape);
              }
              if (tensor.dtype !== elementDtype) {
                throw new Error(
                  'Invalid data types; op elements ' +
                    tensor.dtype +
                    ', but list elements ' +
                    elementDtype,
                );
              }
              var tensorElementShape = tensor.shape.slice(1);
              assertShapesMatchAllowUndefinedSize(
                tensorElementShape,
                elementShape,
                'TensorList shape mismatch: ',
              );
              var tensorList = tfOps.unstack(tensor);
              return new TensorList(tensorList, elementShape, dtype);
            }
            /**
             * Return a TensorList of the given size with empty elements.
             * @param elementShape the shape of the future elements of the list
             * @param elementDtype the desired type of elements in the list
             * @param numElements the number of elements to reserve
             */
            function reserve(elementShape, elementDtype, numElements) {
              return new TensorList([], elementShape, elementDtype, numElements);
            }
            /**
             * Put tensors at specific indices of a stacked tensor into a TensorList.
             * @param indices list of indices on how to scatter the tensor.
             * @param tensor input tensor.
             * @param elementShape the shape of the future elements of the list
             * @param numElements the number of elements to scatter
             */
            function scatter(tensor, indices, elementShape, numElements) {
              if (indices.length !== tensor.shape[0]) {
                throw new Error(
                  'Expected len(indices) == tensor.shape[0], but saw: ' +
                    indices.length +
                    ' vs. ' +
                    tensor.shape[0],
                );
              }
              var maxIndex = Math.max.apply(Math, __spread(indices));
              if (numElements != null && numElements !== -1 && maxIndex >= numElements) {
                throw new Error(
                  'Max index must be < array size (' + maxIndex + '  vs. ' + numElements + ')',
                );
              }
              var list = new TensorList([], elementShape, tensor.dtype, numElements);
              var tensors = tfOps.unstack(tensor, 0);
              indices.forEach(function (value, index) {
                list.setItem(value, tensors[index]);
              });
              return list;
            }
            /**
             * Split the values of a Tensor into a TensorList.
             * @param length the lengths to use when splitting value along
             *    its first dimension.
             * @param tensor the tensor to split.
             * @param elementShape the shape of the future elements of the list
             */
            function split(tensor, length, elementShape) {
              var totalLength = 0;
              var cumulativeLengths = length.map(function (len) {
                totalLength += len;
                return totalLength;
              });
              if (totalLength !== tensor.shape[0]) {
                throw new Error(
                  'Expected sum of lengths to be equal to\n          tensor.shape[0], but sum of lengths is\n        ' +
                    totalLength +
                    ", and tensor's shape is: " +
                    tensor.shape,
                );
              }
              var shapeWithoutFirstDim = tensor.shape.slice(1);
              var outputElementShape = mergeElementShape(shapeWithoutFirstDim, elementShape);
              var elementPerRow = totalLength === 0 ? 0 : tensor.size / totalLength;
              var tensors = tfOps.tidy(function () {
                var tensors = [];
                tensor = tfOps.reshape(tensor, [1, totalLength, elementPerRow]);
                for (var i = 0; i < length.length; ++i) {
                  var previousLength = i === 0 ? 0 : cumulativeLengths[i - 1];
                  var indices = [0, previousLength, 0];
                  var sizes = [1, length[i], elementPerRow];
                  tensors[i] = tfOps.reshape(
                    tfOps.slice(tensor, indices, sizes),
                    outputElementShape,
                  );
                }
                tensor.dispose();
                return tensors;
              });
              var list = new TensorList([], elementShape, tensor.dtype, length.length);
              for (var i = 0; i < tensors.length; i++) {
                list.setItem(i, tensors[i]);
              }
              return list;
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var _this = undefined;
            var executeOp$2 = function (node, tensorMap, context) {
              return __awaiter(_this, void 0, void 0, function () {
                var _a,
                  thenFunc,
                  elseFunc,
                  cond,
                  args,
                  condValue,
                  bodyFunc,
                  condFunc,
                  args,
                  condResult,
                  argIds_1,
                  condValue,
                  result,
                  _loop_1,
                  pred,
                  pred,
                  data,
                  inputName,
                  data,
                  frameId,
                  data,
                  data,
                  data,
                  size,
                  dtype,
                  elementShape,
                  dynamicSize,
                  clearAfterRead,
                  identicalElementShapes,
                  name_1,
                  tensorArray,
                  id,
                  index,
                  writeTensor,
                  writeTensorArray,
                  readId,
                  readIndex,
                  readTensorArray,
                  gatherId,
                  gatherIndices,
                  gatherDtype,
                  gatherTensorArray,
                  scatterId,
                  scatterIndices,
                  scatterTensor,
                  scatterTensorArray,
                  concatId,
                  concatTensorArray,
                  concatDtype,
                  splitId,
                  splitTensor,
                  lengths,
                  splitTensorArray,
                  sizeId,
                  sizeTensorArray,
                  closeId,
                  closeTensorArray,
                  idTensor,
                  index,
                  writeTensor,
                  tensorList,
                  idTensor,
                  readIndex,
                  elementShape,
                  elementDType,
                  tensorList,
                  scatterIndices,
                  scatterTensor,
                  elementShape,
                  numElements,
                  tensorList,
                  elementShape,
                  elementDtype,
                  numElementsParam,
                  numElements,
                  tensorList,
                  gatherId,
                  gatherIndices,
                  elementShape,
                  elementDtype,
                  tensorList,
                  idTensor,
                  elementShape,
                  elementDtype,
                  numElements,
                  tensorList,
                  tensor,
                  elementShape,
                  elementDtype,
                  tensorList,
                  concatId,
                  tensorList,
                  concatDtype,
                  elementShape,
                  idTensor,
                  writeTensor,
                  tensorList,
                  idTensor,
                  elementShape,
                  elementDType,
                  tensorList,
                  splitTensor,
                  elementShape,
                  lengths,
                  tensorList;
                return __generator(this, function (_b) {
                  switch (_b.label) {
                    case 0:
                      _a = node.op;
                      switch (_a) {
                        case 'If':
                          return [3 /*break*/, 1];
                        case 'StatelessIf':
                          return [3 /*break*/, 1];
                        case 'While':
                          return [3 /*break*/, 3];
                        case 'StatelessWhile':
                          return [3 /*break*/, 3];
                        case 'LoopCond':
                          return [3 /*break*/, 9];
                        case 'Switch':
                          return [3 /*break*/, 10];
                        case 'Merge':
                          return [3 /*break*/, 12];
                        case 'Enter':
                          return [3 /*break*/, 13];
                        case 'Exit':
                          return [3 /*break*/, 14];
                        case 'NextIteration':
                          return [3 /*break*/, 15];
                        case 'TensorArrayV3':
                          return [3 /*break*/, 16];
                        case 'TensorArrayWriteV3':
                          return [3 /*break*/, 17];
                        case 'TensorArrayReadV3':
                          return [3 /*break*/, 18];
                        case 'TensorArrayGatherV3':
                          return [3 /*break*/, 19];
                        case 'TensorArrayScatterV3':
                          return [3 /*break*/, 20];
                        case 'TensorArrayConcatV3':
                          return [3 /*break*/, 21];
                        case 'TensorArraySplitV3':
                          return [3 /*break*/, 22];
                        case 'TensorArraySizeV3':
                          return [3 /*break*/, 23];
                        case 'TensorArrayCloseV3':
                          return [3 /*break*/, 24];
                        case 'TensorListSetItem':
                          return [3 /*break*/, 25];
                        case 'TensorListGetItem':
                          return [3 /*break*/, 26];
                        case 'TensorListScatterV2':
                          return [3 /*break*/, 27];
                        case 'TensorListScatter':
                          return [3 /*break*/, 27];
                        case 'TensorListReserve':
                          return [3 /*break*/, 28];
                        case 'EmptyTensorList':
                          return [3 /*break*/, 28];
                        case 'TensorListGather':
                          return [3 /*break*/, 29];
                        case 'TensorListStack':
                          return [3 /*break*/, 30];
                        case 'TensorListFromTensor':
                          return [3 /*break*/, 31];
                        case 'TensorListConcat':
                          return [3 /*break*/, 32];
                        case 'TensorListPushBack':
                          return [3 /*break*/, 33];
                        case 'TensorListPopBack':
                          return [3 /*break*/, 34];
                        case 'TensorListSplit':
                          return [3 /*break*/, 35];
                      }
                      return [3 /*break*/, 36];
                    case 1:
                      thenFunc = getParamValue('thenBranch', node, tensorMap, context);
                      elseFunc = getParamValue('elseBranch', node, tensorMap, context);
                      cond = getParamValue('cond', node, tensorMap, context);
                      args = getParamValue('args', node, tensorMap, context);
                      return [4 /*yield*/, cond.data()];
                    case 2:
                      condValue = _b.sent();
                      if (condValue[0]) {
                        return [
                          2 /*return*/,
                          context.functionMap[thenFunc].executeFunctionAsync(
                            args,
                            context.tensorArrayMap,
                            context.tensorListMap,
                          ),
                        ];
                      } else {
                        return [
                          2 /*return*/,
                          context.functionMap[elseFunc].executeFunctionAsync(
                            args,
                            context.tensorArrayMap,
                            context.tensorListMap,
                          ),
                        ];
                      }
                    case 3:
                      bodyFunc = getParamValue('body', node, tensorMap, context);
                      condFunc = getParamValue('cond', node, tensorMap, context);
                      args = getParamValue('args', node, tensorMap, context);
                      return [
                        4 /*yield*/,
                        context.functionMap[condFunc].executeFunctionAsync(
                          args,
                          context.tensorArrayMap,
                          context.tensorListMap,
                        ),
                      ];
                    case 4:
                      condResult = _b.sent();
                      argIds_1 = args.map(function (tensor) {
                        return tensor.id;
                      });
                      return [4 /*yield*/, condResult[0].data()];
                    case 5:
                      condValue = _b.sent();
                      // Dispose the intermediate tensors for condition function
                      condResult.forEach(function (tensor) {
                        if (!tensor.kept && argIds_1.indexOf(tensor.id) === -1) {
                          tensor.dispose();
                        }
                      });
                      result = args;
                      _loop_1 = function () {
                        var origResult, resultIds, condResult_1;
                        return __generator(this, function (_a) {
                          switch (_a.label) {
                            case 0:
                              origResult = result;
                              return [
                                4 /*yield*/,
                                context.functionMap[bodyFunc].executeFunctionAsync(
                                  result,
                                  context.tensorArrayMap,
                                  context.tensorListMap,
                                ),
                              ];
                            case 1:
                              // Execution the body of the loop
                              result = _a.sent();
                              resultIds = result.map(function (tensor) {
                                return tensor.id;
                              });
                              // Dispose the intermediate tensor for body function that is not global
                              // kept, not input/output of the body function
                              origResult.forEach(function (tensor) {
                                if (
                                  !tensor.kept &&
                                  argIds_1.indexOf(tensor.id) === -1 &&
                                  resultIds.indexOf(tensor.id) === -1
                                ) {
                                  tensor.dispose();
                                }
                              });
                              return [
                                4 /*yield*/,
                                context.functionMap[condFunc].executeFunctionAsync(
                                  result,
                                  context.tensorArrayMap,
                                  context.tensorListMap,
                                ),
                              ];
                            case 2:
                              condResult_1 = _a.sent();
                              return [4 /*yield*/, condResult_1[0].data()];
                            case 3:
                              condValue = _a.sent();
                              // Dispose the intermediate tensors for condition function
                              condResult_1.forEach(function (tensor) {
                                if (
                                  !tensor.kept &&
                                  argIds_1.indexOf(tensor.id) === -1 &&
                                  resultIds.indexOf(tensor.id) === -1
                                ) {
                                  tensor.dispose();
                                }
                              });
                              return [2 /*return*/];
                          }
                        });
                      };
                      _b.label = 6;
                    case 6:
                      if (!condValue[0]) return [3 /*break*/, 8];
                      return [5 /*yield**/, _loop_1()];
                    case 7:
                      _b.sent();
                      return [3 /*break*/, 6];
                    case 8:
                      return [2 /*return*/, result];
                    case 9: {
                      pred = getParamValue('pred', node, tensorMap, context);
                      return [2 /*return*/, [cloneTensor(pred)]];
                    }
                    case 10:
                      pred = getParamValue('pred', node, tensorMap, context);
                      data = getParamValue('data', node, tensorMap, context);
                      if (!data.kept) {
                        data = cloneTensor(data);
                      }
                      return [4 /*yield*/, pred.data()];
                    case 11:
                      // Outputs nodes :0 => false, :1 => true
                      return [2 /*return*/, _b.sent()[0] ? [undefined, data] : [data, undefined]];
                    case 12: {
                      inputName = node.inputNames.find(function (name) {
                        return getTensor(name, tensorMap, context) !== undefined;
                      });
                      if (inputName) {
                        data = getTensor(inputName, tensorMap, context);
                        return [2 /*return*/, [cloneTensor(data)]];
                      }
                      return [2 /*return*/, undefined];
                    }
                    case 13: {
                      frameId = getParamValue('frameName', node, tensorMap, context);
                      data = getParamValue('tensor', node, tensorMap, context);
                      context.enterFrame(frameId);
                      return [2 /*return*/, [cloneTensor(data)]];
                    }
                    case 14: {
                      data = getParamValue('tensor', node, tensorMap, context);
                      context.exitFrame();
                      return [2 /*return*/, [cloneTensor(data)]];
                    }
                    case 15: {
                      data = getParamValue('tensor', node, tensorMap, context);
                      context.nextIteration();
                      return [2 /*return*/, [cloneTensor(data)]];
                    }
                    case 16: {
                      size = getParamValue('size', node, tensorMap, context);
                      dtype = getParamValue('dtype', node, tensorMap, context);
                      elementShape = getParamValue('elementShape', node, tensorMap, context);
                      dynamicSize = getParamValue('dynamicSize', node, tensorMap, context);
                      clearAfterRead = getParamValue('clearAfterRead', node, tensorMap, context);
                      identicalElementShapes = getParamValue(
                        'identicalElementShapes',
                        node,
                        tensorMap,
                        context,
                      );
                      name_1 = getParamValue('name', node, tensorMap, context);
                      tensorArray = new TensorArray(
                        name_1,
                        dtype,
                        size,
                        elementShape,
                        identicalElementShapes,
                        dynamicSize,
                        clearAfterRead,
                      );
                      context.addTensorArray(tensorArray);
                      return [2 /*return*/, [tensorArray.idTensor, tfOps.scalar(1.0)]];
                    }
                    case 17: {
                      id = getParamValue('tensorArrayId', node, tensorMap, context);
                      index = getParamValue('index', node, tensorMap, context);
                      writeTensor = getParamValue('tensor', node, tensorMap, context);
                      writeTensorArray = context.getTensorArray(id.id);
                      writeTensorArray.write(index, writeTensor);
                      return [2 /*return*/, [writeTensorArray.idTensor]];
                    }
                    case 18: {
                      readId = getParamValue('tensorArrayId', node, tensorMap, context);
                      readIndex = getParamValue('index', node, tensorMap, context);
                      readTensorArray = context.getTensorArray(readId.id);
                      return [2 /*return*/, [readTensorArray.read(readIndex)]];
                    }
                    case 19: {
                      gatherId = getParamValue('tensorArrayId', node, tensorMap, context);
                      gatherIndices = getParamValue('indices', node, tensorMap, context);
                      gatherDtype = getParamValue('dtype', node, tensorMap, context);
                      gatherTensorArray = context.getTensorArray(gatherId.id);
                      return [2 /*return*/, [gatherTensorArray.gather(gatherIndices, gatherDtype)]];
                    }
                    case 20: {
                      scatterId = getParamValue('tensorArrayId', node, tensorMap, context);
                      scatterIndices = getParamValue('indices', node, tensorMap, context);
                      scatterTensor = getParamValue('tensor', node, tensorMap, context);
                      scatterTensorArray = context.getTensorArray(scatterId.id);
                      scatterTensorArray.scatter(scatterIndices, scatterTensor);
                      return [2 /*return*/, [scatterTensorArray.idTensor]];
                    }
                    case 21: {
                      concatId = getParamValue('tensorArrayId', node, tensorMap, context);
                      concatTensorArray = context.getTensorArray(concatId.id);
                      concatDtype = getParamValue('dtype', node, tensorMap, context);
                      return [2 /*return*/, [concatTensorArray.concat(concatDtype)]];
                    }
                    case 22: {
                      splitId = getParamValue('tensorArrayId', node, tensorMap, context);
                      splitTensor = getParamValue('tensor', node, tensorMap, context);
                      lengths = getParamValue('lengths', node, tensorMap, context);
                      splitTensorArray = context.getTensorArray(splitId.id);
                      splitTensorArray.split(lengths, splitTensor);
                      return [2 /*return*/, [splitTensorArray.idTensor]];
                    }
                    case 23: {
                      sizeId = getParamValue('tensorArrayId', node, tensorMap, context);
                      sizeTensorArray = context.getTensorArray(sizeId.id);
                      return [2 /*return*/, [tfOps.scalar(sizeTensorArray.size(), 'int32')]];
                    }
                    case 24: {
                      closeId = getParamValue('tensorArrayId', node, tensorMap, context);
                      closeTensorArray = context.getTensorArray(closeId.id);
                      closeTensorArray.clearAndClose();
                      return [2 /*return*/, [closeTensorArray.idTensor]];
                    }
                    case 25: {
                      idTensor = getParamValue('tensorListId', node, tensorMap, context);
                      index = getParamValue('index', node, tensorMap, context);
                      writeTensor = getParamValue('tensor', node, tensorMap, context);
                      tensorList = context.getTensorList(idTensor.id);
                      tensorList.setItem(index, writeTensor);
                      return [2 /*return*/, [tensorList.idTensor]];
                    }
                    case 26: {
                      idTensor = getParamValue('tensorListId', node, tensorMap, context);
                      readIndex = getParamValue('index', node, tensorMap, context);
                      elementShape = getParamValue('elementShape', node, tensorMap, context);
                      elementDType = getParamValue('elementDType', node, tensorMap, context);
                      tensorList = context.getTensorList(idTensor.id);
                      return [
                        2 /*return*/,
                        [tensorList.getItem(readIndex, elementShape, elementDType)],
                      ];
                    }
                    case 27: {
                      scatterIndices = getParamValue('indices', node, tensorMap, context);
                      scatterTensor = getParamValue('tensor', node, tensorMap, context);
                      elementShape = getParamValue('elementShape', node, tensorMap, context);
                      numElements = getParamValue('numElements', node, tensorMap, context);
                      tensorList = scatter(
                        scatterTensor,
                        scatterIndices,
                        elementShape,
                        numElements,
                      );
                      context.addTensorList(tensorList);
                      return [2 /*return*/, [tensorList.idTensor]];
                    }
                    case 28: {
                      elementShape = getParamValue('elementShape', node, tensorMap, context);
                      elementDtype = getParamValue('elementDType', node, tensorMap, context);
                      numElementsParam = void 0;
                      if (node.op === 'TensorListReserve') {
                        numElementsParam = 'numElements';
                      } else {
                        numElementsParam = 'maxNumElements';
                      }
                      numElements = getParamValue(numElementsParam, node, tensorMap, context);
                      tensorList = reserve(elementShape, elementDtype, numElements);
                      context.addTensorList(tensorList);
                      return [2 /*return*/, [tensorList.idTensor]];
                    }
                    case 29: {
                      gatherId = getParamValue('tensorListId', node, tensorMap, context);
                      gatherIndices = getParamValue('indices', node, tensorMap, context);
                      elementShape = getParamValue('elementShape', node, tensorMap, context);
                      elementDtype = getParamValue('elementDType', node, tensorMap, context);
                      tensorList = context.getTensorList(gatherId.id);
                      return [
                        2 /*return*/,
                        [tensorList.gather(gatherIndices, elementDtype, elementShape)],
                      ];
                    }
                    case 30: {
                      idTensor = getParamValue('tensorListId', node, tensorMap, context);
                      elementShape = getParamValue('elementShape', node, tensorMap, context);
                      elementDtype = getParamValue('elementDType', node, tensorMap, context);
                      numElements = getParamValue('numElements', node, tensorMap, context);
                      tensorList = context.getTensorList(idTensor.id);
                      return [
                        2 /*return*/,
                        [tensorList.stack(elementShape, elementDtype, numElements)],
                      ];
                    }
                    case 31: {
                      tensor = getParamValue('tensor', node, tensorMap, context);
                      elementShape = getParamValue('elementShape', node, tensorMap, context);
                      elementDtype = getParamValue('elementDType', node, tensorMap, context);
                      tensorList = fromTensor(tensor, elementShape, elementDtype);
                      context.addTensorList(tensorList);
                      return [2 /*return*/, [tensorList.idTensor]];
                    }
                    case 32: {
                      concatId = getParamValue('tensorListId', node, tensorMap, context);
                      tensorList = context.getTensorList(concatId.id);
                      concatDtype = getParamValue('dtype', node, tensorMap, context);
                      elementShape = getParamValue('elementShape', node, tensorMap, context);
                      return [2 /*return*/, [tensorList.concat(concatDtype, elementShape)]];
                    }
                    case 33: {
                      idTensor = getParamValue('tensorListId', node, tensorMap, context);
                      writeTensor = getParamValue('tensor', node, tensorMap, context);
                      tensorList = context.getTensorList(idTensor.id);
                      tensorList.pushBack(writeTensor);
                      return [2 /*return*/, [tensorList.idTensor]];
                    }
                    case 34: {
                      idTensor = getParamValue('tensorListId', node, tensorMap, context);
                      elementShape = getParamValue('elementShape', node, tensorMap, context);
                      elementDType = getParamValue('elementDType', node, tensorMap, context);
                      tensorList = context.getTensorList(idTensor.id);
                      return [2 /*return*/, [tensorList.popBack(elementShape, elementDType)]];
                    }
                    case 35: {
                      splitTensor = getParamValue('tensor', node, tensorMap, context);
                      elementShape = getParamValue('elementShape', node, tensorMap, context);
                      lengths = getParamValue('lengths', node, tensorMap, context);
                      tensorList = split(splitTensor, lengths, elementShape);
                      context.addTensorList(tensorList);
                      return [2 /*return*/, [tensorList.idTensor]];
                    }
                    case 36:
                      throw TypeError('Node type ' + node.op + ' is not implemented');
                  }
                });
              });
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            function fusedConvAndDepthWiseParams(node, tensorMap, context) {
              var _a = __read(getParamValue('fusedOps', node, tensorMap, context), 2),
                extraOp = _a[0],
                activationFunc = _a[1];
              var isBiasAdd = extraOp === 'biasadd';
              var noBiasAdd = !isBiasAdd;
              var isPrelu = activationFunc === 'prelu';
              var isBatchNorm = extraOp === 'fusedbatchnorm';
              var numArgs = getParamValue('numArgs', node, tensorMap, context);
              if (isBiasAdd) {
                if (isPrelu && numArgs !== 2) {
                  throw new Error(
                    'FusedConv2d and DepthwiseConv2d with BiasAdd and Prelu ' +
                      'must have two extra arguments: bias and alpha.',
                  );
                }
                if (!isPrelu && isBiasAdd && numArgs !== 1) {
                  throw new Error(
                    'FusedConv2d and DepthwiseConv2d with BiasAdd must have ' +
                      'one extra argument: bias.',
                  );
                }
              }
              if (isBatchNorm) {
                throw new Error(
                  'FusedConv2d and DepthwiseConv2d with FusedBatchNorm is not supported',
                );
              }
              var stride = getParamValue('strides', node, tensorMap, context);
              var pad = getPadding(node, tensorMap, context);
              var dataFormat = getParamValue('dataFormat', node, tensorMap, context).toUpperCase();
              var dilations = getParamValue('dilations', node, tensorMap, context);
              var _b = __read(getParamValue('args', node, tensorMap, context), 2),
                biasArg = _b[0],
                preluArg = _b[1];
              if (noBiasAdd) {
                preluArg = biasArg;
                biasArg = undefined;
              }
              var leakyreluAlpha = getParamValue('leakyreluAlpha', node, tensorMap, context);
              return {
                stride: stride,
                pad: pad,
                dataFormat: dataFormat,
                dilations: dilations,
                biasArg: biasArg,
                preluArg: preluArg,
                activationFunc: activationFunc,
                leakyreluAlpha: leakyreluAlpha,
              };
            }
            var executeOp$3 = function (node, tensorMap, context) {
              switch (node.op) {
                case 'Conv1D': {
                  var stride = getParamValue('stride', node, tensorMap, context);
                  var pad = getParamValue('pad', node, tensorMap, context);
                  var dataFormat = getParamValue(
                    'dataFormat',
                    node,
                    tensorMap,
                    context,
                  ).toUpperCase();
                  var dilation = getParamValue('dilation', node, tensorMap, context);
                  return [
                    tfOps.conv1d(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('filter', node, tensorMap, context),
                      stride,
                      pad,
                      dataFormat,
                      dilation,
                    ),
                  ];
                }
                case 'Conv2D': {
                  var stride = getParamValue('strides', node, tensorMap, context);
                  var pad = getPadding(node, tensorMap, context);
                  var dataFormat = getParamValue(
                    'dataFormat',
                    node,
                    tensorMap,
                    context,
                  ).toUpperCase();
                  var dilations = getParamValue('dilations', node, tensorMap, context);
                  return [
                    tfOps.conv2d(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('filter', node, tensorMap, context),
                      [stride[1], stride[2]],
                      pad,
                      dataFormat,
                      [dilations[1], dilations[2]],
                    ),
                  ];
                }
                case '_FusedConv2D': {
                  var _a = fusedConvAndDepthWiseParams(node, tensorMap, context),
                    stride = _a.stride,
                    pad = _a.pad,
                    dataFormat = _a.dataFormat,
                    dilations = _a.dilations,
                    biasArg = _a.biasArg,
                    preluArg = _a.preluArg,
                    activationFunc = _a.activationFunc,
                    leakyreluAlpha = _a.leakyreluAlpha;
                  return [
                    tfOps.fused.conv2d({
                      x: getParamValue('x', node, tensorMap, context),
                      filter: getParamValue('filter', node, tensorMap, context),
                      strides: [stride[1], stride[2]],
                      pad: pad,
                      dataFormat: dataFormat,
                      dilations: [dilations[1], dilations[2]],
                      bias: biasArg,
                      activation: activationFunc,
                      preluActivationWeights: preluArg,
                      leakyreluAlpha: leakyreluAlpha,
                    }),
                  ];
                }
                case 'FusedDepthwiseConv2dNative': {
                  var _b = fusedConvAndDepthWiseParams(node, tensorMap, context),
                    stride = _b.stride,
                    pad = _b.pad,
                    dataFormat = _b.dataFormat,
                    dilations = _b.dilations,
                    biasArg = _b.biasArg,
                    preluArg = _b.preluArg,
                    activationFunc = _b.activationFunc,
                    leakyreluAlpha = _b.leakyreluAlpha;
                  return [
                    tfOps.fused.depthwiseConv2d({
                      x: getParamValue('x', node, tensorMap, context),
                      filter: getParamValue('filter', node, tensorMap, context),
                      strides: [stride[1], stride[2]],
                      pad: pad,
                      dataFormat: dataFormat,
                      dilations: [dilations[1], dilations[2]],
                      bias: biasArg,
                      activation: activationFunc,
                      preluActivationWeights: preluArg,
                      leakyreluAlpha: leakyreluAlpha,
                    }),
                  ];
                }
                case 'Conv2DBackpropInput':
                case 'Conv2dTranspose': {
                  var shape = getParamValue('outputShape', node, tensorMap, context);
                  var stride = getParamValue('strides', node, tensorMap, context);
                  var pad = getPadding(node, tensorMap, context);
                  return [
                    tfOps.conv2dTranspose(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('filter', node, tensorMap, context),
                      shape,
                      [stride[1], stride[2]],
                      pad,
                    ),
                  ];
                }
                case 'DepthwiseConv2dNative':
                case 'DepthwiseConv2d': {
                  var stride = getParamValue('strides', node, tensorMap, context);
                  var pad = getPadding(node, tensorMap, context);
                  var dilations = getParamValue('dilations', node, tensorMap, context);
                  var dataFormat = getParamValue(
                    'dataFormat',
                    node,
                    tensorMap,
                    context,
                  ).toUpperCase();
                  return [
                    tfOps.depthwiseConv2d(
                      getParamValue('input', node, tensorMap, context),
                      getParamValue('filter', node, tensorMap, context),
                      [stride[1], stride[2]],
                      pad,
                      dataFormat,
                      [dilations[1], dilations[2]],
                    ),
                  ];
                }
                case 'Conv3D': {
                  var stride = getParamValue('strides', node, tensorMap, context);
                  var pad = getParamValue('pad', node, tensorMap, context);
                  var dataFormat = getParamValue(
                    'dataFormat',
                    node,
                    tensorMap,
                    context,
                  ).toUpperCase();
                  var dilations = getParamValue('dilations', node, tensorMap, context);
                  return [
                    tfOps.conv3d(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('filter', node, tensorMap, context),
                      [stride[1], stride[2], stride[3]],
                      pad,
                      dataFormat,
                      [dilations[1], dilations[2], dilations[3]],
                    ),
                  ];
                }
                case 'AvgPool': {
                  var stride = getParamValue('strides', node, tensorMap, context);
                  var pad = getParamValue('pad', node, tensorMap, context);
                  var kernelSize = getParamValue('kernelSize', node, tensorMap, context);
                  return [
                    tfOps.avgPool(
                      getParamValue('x', node, tensorMap, context),
                      [kernelSize[1], kernelSize[2]],
                      [stride[1], stride[2]],
                      pad,
                    ),
                  ];
                }
                case 'MaxPool': {
                  var stride = getParamValue('strides', node, tensorMap, context);
                  var pad = getParamValue('pad', node, tensorMap, context);
                  var kernelSize = getParamValue('kernelSize', node, tensorMap, context);
                  return [
                    tfOps.maxPool(
                      getParamValue('x', node, tensorMap, context),
                      [kernelSize[1], kernelSize[2]],
                      [stride[1], stride[2]],
                      pad,
                    ),
                  ];
                }
                case 'MaxPoolWithArgmax': {
                  var stride = getParamValue('strides', node, tensorMap, context);
                  var pad = getParamValue('pad', node, tensorMap, context);
                  var kernelSize = getParamValue('kernelSize', node, tensorMap, context);
                  var includeBatchInIndex = getParamValue(
                    'includeBatchInIndex',
                    node,
                    tensorMap,
                    context,
                  );
                  var _c = tfOps.maxPoolWithArgmax(
                      getParamValue('x', node, tensorMap, context),
                      [kernelSize[1], kernelSize[2]],
                      [stride[1], stride[2]],
                      pad,
                      includeBatchInIndex,
                    ),
                    result = _c.result,
                    indexes = _c.indexes;
                  return [result, indexes];
                }
                case 'AvgPool3D': {
                  var stride = getParamValue('strides', node, tensorMap, context);
                  var pad = getParamValue('pad', node, tensorMap, context);
                  var kernelSize = getParamValue('kernelSize', node, tensorMap, context);
                  return [
                    tfOps.avgPool3d(
                      getParamValue('x', node, tensorMap, context),
                      [kernelSize[1], kernelSize[2], kernelSize[3]],
                      [stride[1], stride[2], stride[3]],
                      pad,
                    ),
                  ];
                }
                case 'MaxPool3D': {
                  var stride = getParamValue('strides', node, tensorMap, context);
                  var pad = getParamValue('pad', node, tensorMap, context);
                  var kernelSize = getParamValue('kernelSize', node, tensorMap, context);
                  return [
                    tfOps.maxPool3d(
                      getParamValue('x', node, tensorMap, context),
                      [kernelSize[1], kernelSize[2], kernelSize[3]],
                      [stride[1], stride[2], stride[3]],
                      pad,
                    ),
                  ];
                }
                case 'Dilation2D': {
                  var strides = getParamValue('strides', node, tensorMap, context);
                  var pad = getParamValue('pad', node, tensorMap, context);
                  var dilations = getParamValue('dilations', node, tensorMap, context);
                  // strides: [1, stride_height, stride_width, 1].
                  var strideHeight = strides[1];
                  var strideWidth = strides[2];
                  // dilations: [1, dilation_height, dilation_width, 1].
                  var dilationHeight = dilations[1];
                  var dilationWidth = dilations[2];
                  return [
                    tfOps.dilation2d(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('filter', node, tensorMap, context),
                      [strideHeight, strideWidth],
                      pad,
                      [dilationHeight, dilationWidth],
                      'NHWC' /* dataFormat */,
                    ),
                  ];
                }
                default:
                  throw TypeError('Node type ' + node.op + ' is not implemented');
              }
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var executeOp$4 = function (node, tensorMap, context) {
              switch (node.op) {
                case 'Fill': {
                  var shape = getParamValue('shape', node, tensorMap, context);
                  var dtype = getParamValue('dtype', node, tensorMap, context);
                  var value = getParamValue('value', node, tensorMap, context);
                  return [tfOps.fill(shape, value, dtype)];
                }
                case 'LinSpace': {
                  var start = getParamValue('start', node, tensorMap, context);
                  var stop_1 = getParamValue('stop', node, tensorMap, context);
                  var num = getParamValue('num', node, tensorMap, context);
                  return [tfOps.linspace(start, stop_1, num)];
                }
                case 'Multinomial': {
                  var logits = getParamValue('logits', node, tensorMap, context);
                  var numSamples = getParamValue('numSamples', node, tensorMap, context);
                  var seed = getParamValue('seed', node, tensorMap, context);
                  return [tfOps.multinomial(logits, numSamples, seed)];
                }
                case 'OneHot': {
                  var indices = getParamValue('indices', node, tensorMap, context);
                  var depth = getParamValue('depth', node, tensorMap, context);
                  var onValue = getParamValue('onValue', node, tensorMap, context);
                  var offValue = getParamValue('offValue', node, tensorMap, context);
                  return [tfOps.oneHot(indices, depth, onValue, offValue)];
                }
                case 'Ones': {
                  return [
                    tfOps.ones(
                      getParamValue('shape', node, tensorMap, context),
                      getParamValue('dtype', node, tensorMap, context),
                    ),
                  ];
                }
                case 'OnesLike': {
                  return [tfOps.onesLike(getParamValue('x', node, tensorMap, context))];
                }
                case 'RandomUniform': {
                  return [
                    tfOps.randomUniform(
                      // tslint:disable-next-line:no-any
                      getParamValue('shape', node, tensorMap, context),
                      getParamValue('minval', node, tensorMap, context),
                      getParamValue('maxval', node, tensorMap, context),
                      getParamValue('dtype', node, tensorMap, context),
                    ),
                  ];
                }
                case 'Range': {
                  var start = getParamValue('start', node, tensorMap, context);
                  var stop_2 = getParamValue('stop', node, tensorMap, context);
                  var step = getParamValue('step', node, tensorMap, context);
                  return [
                    tfOps.range(
                      start,
                      stop_2,
                      step,
                      getParamValue('dtype', node, tensorMap, context),
                    ),
                  ];
                }
                case 'TruncatedNormal': {
                  var shape = getParamValue('shape', node, tensorMap, context);
                  var mean = getParamValue('mean', node, tensorMap, context);
                  var stdDev = getParamValue('stdDev', node, tensorMap, context);
                  var seed = getParamValue('seed', node, tensorMap, context);
                  return [
                    tfOps.truncatedNormal(
                      shape,
                      mean,
                      stdDev,
                      getParamValue('dtype', node, tensorMap, context),
                      seed,
                    ),
                  ];
                }
                case 'Zeros': {
                  return [
                    tfOps.zeros(
                      getParamValue('shape', node, tensorMap, context),
                      getParamValue('dtype', node, tensorMap, context),
                    ),
                  ];
                }
                case 'ZerosLike': {
                  return [tfOps.zerosLike(getParamValue('x', node, tensorMap, context))];
                }
                default:
                  throw TypeError('Node type ' + node.op + ' is not implemented');
              }
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var _this$1 = undefined;
            function nmsParams(node, tensorMap, context) {
              var boxes = getParamValue('boxes', node, tensorMap, context);
              var scores = getParamValue('scores', node, tensorMap, context);
              var maxOutputSize = getParamValue('maxOutputSize', node, tensorMap, context);
              var iouThreshold = getParamValue('iouThreshold', node, tensorMap, context);
              var scoreThreshold = getParamValue('scoreThreshold', node, tensorMap, context);
              var softNmsSigma = getParamValue('softNmsSigma', node, tensorMap, context);
              return {
                boxes: boxes,
                scores: scores,
                maxOutputSize: maxOutputSize,
                iouThreshold: iouThreshold,
                scoreThreshold: scoreThreshold,
                softNmsSigma: softNmsSigma,
              };
            }
            var executeOp$5 = function (node, tensorMap, context) {
              return __awaiter(_this$1, void 0, void 0, function () {
                var _a,
                  _b,
                  boxes,
                  scores,
                  maxOutputSize,
                  iouThreshold,
                  scoreThreshold,
                  softNmsSigma,
                  result,
                  _c,
                  boxes,
                  scores,
                  maxOutputSize,
                  iouThreshold,
                  scoreThreshold,
                  padToMaxOutputSize,
                  result,
                  _d,
                  boxes,
                  scores,
                  maxOutputSize,
                  iouThreshold,
                  scoreThreshold,
                  condition,
                  result;
                return __generator(this, function (_e) {
                  switch (_e.label) {
                    case 0:
                      _a = node.op;
                      switch (_a) {
                        case 'NonMaxSuppressionV5':
                          return [3 /*break*/, 1];
                        case 'NonMaxSuppressionV4':
                          return [3 /*break*/, 3];
                        case 'NonMaxSuppressionV3':
                          return [3 /*break*/, 5];
                        case 'NonMaxSuppressionV2':
                          return [3 /*break*/, 5];
                        case 'Where':
                          return [3 /*break*/, 7];
                        case 'ListDiff':
                          return [3 /*break*/, 9];
                      }
                      return [3 /*break*/, 10];
                    case 1:
                      (_b = nmsParams(node, tensorMap, context)),
                        (boxes = _b.boxes),
                        (scores = _b.scores),
                        (maxOutputSize = _b.maxOutputSize),
                        (iouThreshold = _b.iouThreshold),
                        (scoreThreshold = _b.scoreThreshold),
                        (softNmsSigma = _b.softNmsSigma);
                      return [
                        4 /*yield*/,
                        tfOps.image.nonMaxSuppressionWithScoreAsync(
                          boxes,
                          scores,
                          maxOutputSize,
                          iouThreshold,
                          scoreThreshold,
                          softNmsSigma,
                        ),
                      ];
                    case 2:
                      result = _e.sent();
                      return [2 /*return*/, [result.selectedIndices, result.selectedScores]];
                    case 3:
                      (_c = nmsParams(node, tensorMap, context)),
                        (boxes = _c.boxes),
                        (scores = _c.scores),
                        (maxOutputSize = _c.maxOutputSize),
                        (iouThreshold = _c.iouThreshold),
                        (scoreThreshold = _c.scoreThreshold);
                      padToMaxOutputSize = getParamValue(
                        'padToMaxOutputSize',
                        node,
                        tensorMap,
                        context,
                      );
                      return [
                        4 /*yield*/,
                        tfOps.image.nonMaxSuppressionPaddedAsync(
                          boxes,
                          scores,
                          maxOutputSize,
                          iouThreshold,
                          scoreThreshold,
                          padToMaxOutputSize,
                        ),
                      ];
                    case 4:
                      result = _e.sent();
                      return [2 /*return*/, [result.selectedIndices, result.validOutputs]];
                    case 5:
                      (_d = nmsParams(node, tensorMap, context)),
                        (boxes = _d.boxes),
                        (scores = _d.scores),
                        (maxOutputSize = _d.maxOutputSize),
                        (iouThreshold = _d.iouThreshold),
                        (scoreThreshold = _d.scoreThreshold);
                      return [
                        4 /*yield*/,
                        tfOps.image.nonMaxSuppressionAsync(
                          boxes,
                          scores,
                          maxOutputSize,
                          iouThreshold,
                          scoreThreshold,
                        ),
                      ];
                    case 6:
                      return [2 /*return*/, [_e.sent()]];
                    case 7:
                      condition = tfOps.cast(
                        getParamValue('condition', node, tensorMap, context),
                        'bool',
                      );
                      return [4 /*yield*/, tfOps.whereAsync(condition)];
                    case 8:
                      result = [_e.sent()];
                      condition.dispose();
                      return [2 /*return*/, result];
                    case 9: {
                      return [
                        2 /*return*/,
                        tfOps.setdiff1dAsync(
                          getParamValue('x', node, tensorMap, context),
                          getParamValue('y', node, tensorMap, context),
                        ),
                      ];
                    }
                    case 10:
                      throw TypeError('Node type ' + node.op + ' is not implemented');
                  }
                });
              });
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var executeOp$6 = function (node, tensorMap, context) {
              switch (node.op) {
                case 'TopKV2': {
                  var x = getParamValue('x', node, tensorMap, context);
                  var k = getParamValue('k', node, tensorMap, context);
                  var sorted = getParamValue('sorted', node, tensorMap, context);
                  var result = tfOps.topk(x, k, sorted);
                  return [result.values, result.indices];
                }
                case 'Unique': {
                  var x = getParamValue('x', node, tensorMap, context);
                  var result = tfOps.unique(x);
                  return [result.values, result.indices];
                }
                case 'UniqueV2': {
                  var x = getParamValue('x', node, tensorMap, context);
                  var axis = getParamValue('axis', node, tensorMap, context);
                  var result = tfOps.unique(x, axis);
                  return [result.values, result.indices];
                }
                default:
                  throw TypeError('Node type ' + node.op + ' is not implemented');
              }
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var executeOp$7 = function (node, tensorMap, context) {
              switch (node.op) {
                case 'Const': {
                  return tensorMap[node.name];
                }
                case 'PlaceholderWithDefault':
                  var def = getParamValue('default', node, tensorMap, context);
                  return [getTensor(node.name, tensorMap, context) || def];
                case 'Placeholder':
                  return [getTensor(node.name, tensorMap, context)];
                case 'Identity':
                case 'StopGradient':
                case 'FakeQuantWithMinMaxVars': {
                  // This op is currently ignored.
                  var data_1 = getParamValue('x', node, tensorMap, context);
                  return [cloneTensor(data_1)];
                }
                case 'IdentityN':
                  return getParamValue('x', node, tensorMap, context).map(function (t) {
                    return cloneTensor(t);
                  });
                case 'Snapshot':
                  var snapshot = getParamValue('x', node, tensorMap, context);
                  return [cloneTensor(snapshot)];
                case 'Shape':
                  return [
                    tfOps.tensor1d(getParamValue('x', node, tensorMap, context).shape, 'int32'),
                  ];
                case 'ShapeN':
                  return getParamValue('x', node, tensorMap, context).map(function (t) {
                    return tfOps.tensor1d(t.shape);
                  });
                case 'Size':
                  return [tfOps.scalar(getParamValue('x', node, tensorMap, context).size, 'int32')];
                case 'Rank':
                  return [tfOps.scalar(getParamValue('x', node, tensorMap, context).rank, 'int32')];
                case 'NoOp':
                  return [tfOps.scalar(1)];
                case 'Print':
                  var input = getParamValue('x', node, tensorMap, context);
                  var data = getParamValue('data', node, tensorMap, context);
                  var message = getParamValue('message', node, tensorMap, context);
                  var summarize = getParamValue('summarize', node, tensorMap, context);
                  console.warn(
                    'The graph has a tf.print() operation,' +
                      'usually used for debugging, which slows down performance.',
                  );
                  console.log(message);
                  for (var i = 0; i < data.length; i++) {
                    console.log(Array.prototype.slice.call(data[i].dataSync()).slice(0, summarize));
                  }
                  return [input];
                default:
                  throw TypeError('Node type ' + node.op + ' is not implemented');
              }
            };

            /**
             * Hashtable contains a set of tensors, which can be accessed by key.
             */
            var HashTable = /** @class */ (function () {
              /**
               * Constructor of HashTable. Creates a hash table.
               *
               * @param keyDType `dtype` of the table keys.
               * @param valueDType `dtype` of the table values.
               */
              function HashTable(keyDType, valueDType) {
                this.keyDType = keyDType;
                this.valueDType = valueDType;
                this.handle = tfOps.scalar(0);
                // tslint:disable-next-line: no-any
                this.tensorMap = new Map();
                tfOps.keep(this.handle);
              }
              Object.defineProperty(HashTable.prototype, 'id', {
                get: function () {
                  return this.handle.id;
                },
                enumerable: true,
                configurable: true,
              });
              /**
               * Dispose the tensors and handle and clear the hashtable.
               */
              HashTable.prototype.clearAndClose = function () {
                this.tensorMap.forEach(function (value) {
                  return value.dispose();
                });
                this.tensorMap.clear();
                this.handle.dispose();
              };
              /**
               * The number of items in the hash table.
               */
              HashTable.prototype.size = function () {
                return this.tensorMap.size;
              };
              /**
               * The number of items in the hash table as a rank-0 tensor.
               */
              HashTable.prototype.tensorSize = function () {
                return tfOps.scalar(this.size(), 'int32');
              };
              /**
               * Replaces the contents of the table with the specified keys and values.
               * @param keys Keys to store in the hashtable.
               * @param values Values to store in the hashtable.
               */
              HashTable.prototype.import = function (keys, values) {
                return __awaiter(this, void 0, void 0, function () {
                  var $keys;
                  var _this = this;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        this.checkKeyAndValueTensor(keys, values);
                        return [4 /*yield*/, keys.data()];
                      case 1:
                        $keys = _a.sent();
                        // Clear the hashTable before inserting new values.
                        this.tensorMap.forEach(function (value) {
                          return value.dispose();
                        });
                        this.tensorMap.clear();
                        return [
                          2 /*return*/,
                          tfOps.tidy(function () {
                            var $values = tfOps.unstack(values);
                            var keysLength = $keys.length;
                            var valuesLength = $values.length;
                            tfOps.util.assert(keysLength === valuesLength, function () {
                              return (
                                "The number of elements doesn't match, keys has " +
                                (keysLength + ' elements, the values has ' + valuesLength + ' ') +
                                'elements.'
                              );
                            });
                            for (var i = 0; i < keysLength; i++) {
                              var key = $keys[i];
                              var value = $values[i];
                              tfOps.keep(value);
                              _this.tensorMap.set(key, value);
                            }
                            return _this.handle;
                          }),
                        ];
                    }
                  });
                });
              };
              /**
               * Looks up keys in a hash table, outputs the corresponding values.
               *
               * Performs batch lookups, for every element in the key tensor, `find`
               * stacks the corresponding value into the return tensor.
               *
               * If an element is not present in the table, the given `defaultValue` is
               * used.
               *
               * @param keys Keys to look up. Must have the same type as the keys of the
               *     table.
               * @param defaultValue The scalar `defaultValue` is the value output for keys
               *     not present in the table. It must also be of the same type as the
               *     table values.
               */
              HashTable.prototype.find = function (keys, defaultValue) {
                return __awaiter(this, void 0, void 0, function () {
                  var $keys;
                  var _this = this;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        this.checkKeyAndValueTensor(keys, defaultValue);
                        return [4 /*yield*/, keys.data()];
                      case 1:
                        $keys = _a.sent();
                        return [
                          2 /*return*/,
                          tfOps.tidy(function () {
                            var result = [];
                            for (var i = 0; i < $keys.length; i++) {
                              var key = $keys[i];
                              var value = _this.findWithDefault(key, defaultValue);
                              result.push(value);
                            }
                            return tfOps.stack(result);
                          }),
                        ];
                    }
                  });
                });
              };
              // tslint:disable-next-line: no-any
              HashTable.prototype.findWithDefault = function (key, defaultValue) {
                var result = this.tensorMap.get(key);
                return result != null ? result : defaultValue;
              };
              HashTable.prototype.checkKeyAndValueTensor = function (key, value) {
                if (key.dtype !== this.keyDType) {
                  throw new Error(
                    'Expect key dtype ' + this.keyDType + ', but got ' + ('' + key.dtype),
                  );
                }
                if (value.dtype !== this.valueDType) {
                  throw new Error(
                    'Expect value dtype ' + this.valueDType + ', but got ' + ('' + value.dtype),
                  );
                }
              };
              return HashTable;
            })();

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var _this$2 = undefined;
            var executeOp$8 = function (node, tensorMap, context, resourceManager) {
              return __awaiter(_this$2, void 0, void 0, function () {
                var _a,
                  keyDType,
                  valueDType,
                  hashTable,
                  handle,
                  keys,
                  values,
                  hashTable,
                  handle,
                  keys,
                  defaultValue,
                  hashTable,
                  handle,
                  hashTable;
                return __generator(this, function (_b) {
                  switch (_b.label) {
                    case 0:
                      _a = node.op;
                      switch (_a) {
                        case 'HashTable':
                          return [3 /*break*/, 1];
                        case 'HashTableV2':
                          return [3 /*break*/, 1];
                        case 'LookupTableImport':
                          return [3 /*break*/, 2];
                        case 'LookupTableImportV2':
                          return [3 /*break*/, 2];
                        case 'LookupTableFind':
                          return [3 /*break*/, 4];
                        case 'LookupTableFindV2':
                          return [3 /*break*/, 4];
                        case 'LookupTableSize':
                          return [3 /*break*/, 6];
                        case 'LookupTableSizeV2':
                          return [3 /*break*/, 6];
                      }
                      return [3 /*break*/, 7];
                    case 1: {
                      keyDType = getParamValue('keyDType', node, tensorMap, context);
                      valueDType = getParamValue('valueDType', node, tensorMap, context);
                      hashTable = new HashTable(keyDType, valueDType);
                      resourceManager.addHashTable(node.name, hashTable);
                      return [2 /*return*/, [hashTable.handle]];
                    }
                    case 2:
                      handle = getParamValue(
                        'tableHandle',
                        node,
                        tensorMap,
                        context,
                        resourceManager,
                      );
                      keys = getParamValue('keys', node, tensorMap, context);
                      values = getParamValue('values', node, tensorMap, context);
                      hashTable = resourceManager.getHashTableById(handle.id);
                      return [4 /*yield*/, hashTable.import(keys, values)];
                    case 3:
                      return [2 /*return*/, [_b.sent()]];
                    case 4:
                      handle = getParamValue(
                        'tableHandle',
                        node,
                        tensorMap,
                        context,
                        resourceManager,
                      );
                      keys = getParamValue('keys', node, tensorMap, context);
                      defaultValue = getParamValue('defaultValue', node, tensorMap, context);
                      hashTable = resourceManager.getHashTableById(handle.id);
                      return [4 /*yield*/, hashTable.find(keys, defaultValue)];
                    case 5:
                      return [2 /*return*/, [_b.sent()]];
                    case 6: {
                      handle = getParamValue(
                        'tableHandle',
                        node,
                        tensorMap,
                        context,
                        resourceManager,
                      );
                      hashTable = resourceManager.getHashTableById(handle.id);
                      return [2 /*return*/, [hashTable.tensorSize()]];
                    }
                    case 7:
                      throw TypeError('Node type ' + node.op + ' is not implemented');
                  }
                });
              });
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var executeOp$9 = function (node, tensorMap, context) {
              switch (node.op) {
                case 'ResizeBilinear': {
                  var images = getParamValue('images', node, tensorMap, context);
                  var size = getParamValue('size', node, tensorMap, context);
                  var alignCorners = getParamValue('alignCorners', node, tensorMap, context);
                  var halfPixelCenters = getParamValue(
                    'halfPixelCenters',
                    node,
                    tensorMap,
                    context,
                  );
                  return [
                    tfOps.image.resizeBilinear(
                      images,
                      [size[0], size[1]],
                      alignCorners,
                      halfPixelCenters,
                    ),
                  ];
                }
                case 'ResizeNearestNeighbor': {
                  var images = getParamValue('images', node, tensorMap, context);
                  var size = getParamValue('size', node, tensorMap, context);
                  var alignCorners = getParamValue('alignCorners', node, tensorMap, context);
                  var halfPixelCenters = getParamValue(
                    'halfPixelCenters',
                    node,
                    tensorMap,
                    context,
                  );
                  return [
                    tfOps.image.resizeNearestNeighbor(
                      images,
                      [size[0], size[1]],
                      alignCorners,
                      halfPixelCenters,
                    ),
                  ];
                }
                case 'CropAndResize': {
                  var image = getParamValue('image', node, tensorMap, context);
                  var boxes = getParamValue('boxes', node, tensorMap, context);
                  var boxInd = getParamValue('boxInd', node, tensorMap, context);
                  var cropSize = getParamValue('cropSize', node, tensorMap, context);
                  var method = getParamValue('method', node, tensorMap, context);
                  var extrapolationValue = getParamValue(
                    'extrapolationValue',
                    node,
                    tensorMap,
                    context,
                  );
                  return [
                    tfOps.image.cropAndResize(
                      image,
                      boxes,
                      boxInd,
                      cropSize,
                      method,
                      extrapolationValue,
                    ),
                  ];
                }
                default:
                  throw TypeError('Node type ' + node.op + ' is not implemented');
              }
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var executeOp$a = function (node, tensorMap, context) {
              switch (node.op) {
                case 'Equal': {
                  return [
                    tfOps.equal(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                }
                case 'NotEqual': {
                  return [
                    tfOps.notEqual(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                }
                case 'Greater': {
                  return [
                    tfOps.greater(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                }
                case 'GreaterEqual': {
                  return [
                    tfOps.greaterEqual(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                }
                case 'Less': {
                  return [
                    tfOps.less(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                }
                case 'LessEqual': {
                  return [
                    tfOps.lessEqual(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                }
                case 'LogicalAnd': {
                  return [
                    tfOps.logicalAnd(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                }
                case 'LogicalNot': {
                  return [tfOps.logicalNot(getParamValue('a', node, tensorMap, context))];
                }
                case 'LogicalOr': {
                  return [
                    tfOps.logicalOr(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                }
                case 'Select':
                case 'SelectV2': {
                  return [
                    tfOps.where(
                      getParamValue('condition', node, tensorMap, context),
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                    ),
                  ];
                }
                default:
                  throw TypeError('Node type ' + node.op + ' is not implemented');
              }
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var executeOp$b = function (node, tensorMap, context) {
              switch (node.op) {
                case 'BatchMatMul':
                case 'BatchMatMulV2':
                case 'MatMul':
                  return [
                    tfOps.matMul(
                      getParamValue('a', node, tensorMap, context),
                      getParamValue('b', node, tensorMap, context),
                      getParamValue('transposeA', node, tensorMap, context),
                      getParamValue('transposeB', node, tensorMap, context),
                    ),
                  ];
                case 'Einsum':
                  return [
                    tfOps.einsum.apply(
                      tfOps,
                      __spread(
                        [getParamValue('equation', node, tensorMap, context)],
                        getParamValue('tensors', node, tensorMap, context),
                      ),
                    ),
                  ];
                case 'Transpose':
                  return [
                    tfOps.transpose(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('perm', node, tensorMap, context),
                    ),
                  ];
                case '_FusedMatMul':
                  var _a = __read(getParamValue('fusedOps', node, tensorMap, context), 2),
                    extraOp = _a[0],
                    activationFunc = _a[1];
                  var isBiasAdd = extraOp === 'biasadd';
                  var isPrelu = activationFunc === 'prelu';
                  var numArgs = getParamValue('numArgs', node, tensorMap, context);
                  var leakyreluAlpha = getParamValue('leakyreluAlpha', node, tensorMap, context);
                  if (isBiasAdd) {
                    if (isPrelu && numArgs !== 2) {
                      throw new Error(
                        'Fused MatMul with BiasAdd and Prelu must have two ' +
                          'extra arguments: bias and alpha.',
                      );
                    }
                    if (!isPrelu && numArgs !== 1) {
                      throw new Error(
                        'Fused MatMul with BiasAdd must have one extra argument: bias.',
                      );
                    }
                  }
                  var _b = __read(getParamValue('args', node, tensorMap, context), 2),
                    biasArg = _b[0],
                    preluArg = _b[1];
                  return [
                    tfOps.fused.matMul({
                      a: getParamValue('a', node, tensorMap, context),
                      b: getParamValue('b', node, tensorMap, context),
                      transposeA: getParamValue('transposeA', node, tensorMap, context),
                      transposeB: getParamValue('transposeB', node, tensorMap, context),
                      bias: biasArg,
                      activation: activationFunc,
                      preluActivationWeights: preluArg,
                      leakyreluAlpha: leakyreluAlpha,
                    }),
                  ];
                default:
                  throw TypeError('Node type ' + node.op + ' is not implemented');
              }
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var executeOp$c = function (node, tensorMap, context) {
              switch (node.op) {
                case 'FusedBatchNorm':
                case 'FusedBatchNormV2': {
                  return [
                    tfOps.batchNorm(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('mean', node, tensorMap, context),
                      getParamValue('variance', node, tensorMap, context),
                      getParamValue('offset', node, tensorMap, context),
                      getParamValue('scale', node, tensorMap, context),
                      getParamValue('epsilon', node, tensorMap, context),
                    ),
                  ];
                }
                case 'FusedBatchNormV3': {
                  return [
                    tfOps.batchNorm(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('mean', node, tensorMap, context),
                      getParamValue('variance', node, tensorMap, context),
                      getParamValue('offset', node, tensorMap, context),
                      getParamValue('scale', node, tensorMap, context),
                      getParamValue('epsilon', node, tensorMap, context),
                    ),
                  ];
                }
                case 'LRN': {
                  return [
                    tfOps.localResponseNormalization(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('radius', node, tensorMap, context),
                      getParamValue('bias', node, tensorMap, context),
                      getParamValue('alpha', node, tensorMap, context),
                      getParamValue('beta', node, tensorMap, context),
                    ),
                  ];
                }
                case 'Softmax': {
                  return [tfOps.softmax(getParamValue('x', node, tensorMap, context))];
                }
                case 'LogSoftmax': {
                  return [tfOps.logSoftmax(getParamValue('x', node, tensorMap, context))];
                }
                case 'SparseToDense': {
                  return [
                    tfOps.sparseToDense(
                      getParamValue('sparseIndices', node, tensorMap, context),
                      getParamValue('outputShape', node, tensorMap, context),
                      getParamValue('sparseValues', node, tensorMap, context),
                      getParamValue('defaultValue', node, tensorMap, context),
                    ),
                  ];
                }
                default:
                  throw TypeError('Node type ' + node.op + ' is not implemented');
              }
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var executeOp$d = function (node, tensorMap, context) {
              switch (node.op) {
                case 'Max': {
                  var axis = getParamValue('axis', node, tensorMap, context);
                  var keepDims = getParamValue('keepDims', node, tensorMap, context);
                  return [tfOps.max(getParamValue('x', node, tensorMap, context), axis, keepDims)];
                }
                case 'Mean': {
                  var axis = getParamValue('axis', node, tensorMap, context);
                  var keepDims = getParamValue('keepDims', node, tensorMap, context);
                  return [tfOps.mean(getParamValue('x', node, tensorMap, context), axis, keepDims)];
                }
                case 'Min': {
                  var axis = getParamValue('axis', node, tensorMap, context);
                  var keepDims = getParamValue('keepDims', node, tensorMap, context);
                  return [tfOps.min(getParamValue('x', node, tensorMap, context), axis, keepDims)];
                }
                case 'Sum': {
                  var axis = getParamValue('axis', node, tensorMap, context);
                  var keepDims = getParamValue('keepDims', node, tensorMap, context);
                  return [tfOps.sum(getParamValue('x', node, tensorMap, context), axis, keepDims)];
                }
                case 'All': {
                  var axis = getParamValue('axis', node, tensorMap, context);
                  var keepDims = getParamValue('keepDims', node, tensorMap, context);
                  return [tfOps.all(getParamValue('x', node, tensorMap, context), axis, keepDims)];
                }
                case 'Any': {
                  var axis = getParamValue('axis', node, tensorMap, context);
                  var keepDims = getParamValue('keepDims', node, tensorMap, context);
                  return [tfOps.any(getParamValue('x', node, tensorMap, context), axis, keepDims)];
                }
                case 'ArgMax': {
                  var axis = getParamValue('axis', node, tensorMap, context);
                  return [tfOps.argMax(getParamValue('x', node, tensorMap, context), axis)];
                }
                case 'ArgMin': {
                  var axis = getParamValue('axis', node, tensorMap, context);
                  return [tfOps.argMin(getParamValue('x', node, tensorMap, context), axis)];
                }
                case 'Prod': {
                  var axis = getParamValue('axis', node, tensorMap, context);
                  var keepDims = getParamValue('keepDims', node, tensorMap, context);
                  return [tfOps.prod(getParamValue('x', node, tensorMap, context), axis, keepDims)];
                }
                case 'Cumsum': {
                  var axis = getParamValue('axis', node, tensorMap, context);
                  var exclusive = getParamValue('exclusive', node, tensorMap, context);
                  var reverse = getParamValue('reverse', node, tensorMap, context);
                  return [
                    tfOps.cumsum(
                      getParamValue('x', node, tensorMap, context),
                      axis,
                      exclusive,
                      reverse,
                    ),
                  ];
                }
                case 'Bincount':
                  var x = getParamValue('x', node, tensorMap, context);
                  var weights = getParamValue('weights', node, tensorMap, context);
                  var size = getParamValue('size', node, tensorMap, context);
                  return [tfOps.bincount(x, weights, size)];
                case 'DenseBincount': {
                  var x_1 = getParamValue('x', node, tensorMap, context);
                  var weights_1 = getParamValue('weights', node, tensorMap, context);
                  var size_1 = getParamValue('size', node, tensorMap, context);
                  var binaryOutput = getParamValue('binaryOutput', node, tensorMap, context);
                  return [tfOps.denseBincount(x_1, weights_1, size_1, binaryOutput)];
                }
                default:
                  throw TypeError('Node type ' + node.op + ' is not implemented');
              }
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var executeOp$e = function (node, tensorMap, context) {
              switch (node.op) {
                case 'ConcatV2':
                case 'Concat': {
                  var n = getParamValue('n', node, tensorMap, context);
                  var axis = getParamValue('axis', node, tensorMap, context);
                  var inputs = getParamValue('tensors', node, tensorMap, context);
                  inputs = inputs.slice(0, n);
                  return [tfOps.concat(inputs, axis)];
                }
                case 'Gather': {
                  var input = getParamValue('x', node, tensorMap, context);
                  var indices = getParamValue('indices', node, tensorMap, context);
                  return [tfOps.gather(input, tfOps.cast(indices, 'int32'), 0)];
                }
                case 'GatherV2': {
                  var axis = getParamValue('axis', node, tensorMap, context);
                  var batchDims = getParamValue('batchDims', node, tensorMap, context);
                  var input = getParamValue('x', node, tensorMap, context);
                  var indices = getParamValue('indices', node, tensorMap, context);
                  return [tfOps.gather(input, tfOps.cast(indices, 'int32'), axis, batchDims)];
                }
                case 'Reverse': {
                  var dims = getParamValue('dims', node, tensorMap, context);
                  var axis = [];
                  for (var i = 0; i < dims.length; i++) {
                    if (dims[i]) {
                      axis.push(i);
                    }
                  }
                  var input = getParamValue('x', node, tensorMap, context);
                  return [tfOps.reverse(input, axis)];
                }
                case 'ReverseV2': {
                  var axis = getParamValue('axis', node, tensorMap, context);
                  var input = getParamValue('x', node, tensorMap, context);
                  return [tfOps.reverse(input, axis)];
                }
                case 'Slice': {
                  // tslint:disable-next-line:no-any
                  var begin = getParamValue('begin', node, tensorMap, context);
                  // tslint:disable-next-line:no-any
                  var size = getParamValue('size', node, tensorMap, context);
                  return [tfOps.slice(getParamValue('x', node, tensorMap, context), begin, size)];
                }
                case 'StridedSlice': {
                  var begin = getParamValue('begin', node, tensorMap, context);
                  var end = getParamValue('end', node, tensorMap, context);
                  var strides = getParamValue('strides', node, tensorMap, context);
                  var beginMask = getParamValue('beginMask', node, tensorMap, context);
                  var endMask = getParamValue('endMask', node, tensorMap, context);
                  var ellipsisMask = getParamValue('ellipsisMask', node, tensorMap, context);
                  var newAxisMask = getParamValue('newAxisMask', node, tensorMap, context);
                  var shrinkAxisMask = getParamValue('shrinkAxisMask', node, tensorMap, context);
                  var tensor = getParamValue('x', node, tensorMap, context);
                  return [
                    tfOps.stridedSlice(
                      tensor,
                      begin,
                      end,
                      strides,
                      beginMask,
                      endMask,
                      ellipsisMask,
                      newAxisMask,
                      shrinkAxisMask,
                    ),
                  ];
                }
                case 'Pack': {
                  return tfOps.tidy(function () {
                    var axis = getParamValue('axis', node, tensorMap, context);
                    var tensors = getParamValue('tensors', node, tensorMap, context);
                    // Reshape the tensors to the first tensor's shape if they don't
                    // match.
                    var shape = tensors[0].shape;
                    var squeezedShape = tfOps.squeeze(tensors[0]).shape;
                    var mapped = tensors.map(function (tensor) {
                      var sameShape = tfOps.util.arraysEqual(tensor.shape, shape);
                      if (
                        !sameShape &&
                        !tfOps.util.arraysEqual(tfOps.squeeze(tensor).shape, squeezedShape)
                      ) {
                        throw new Error('the input tensors shape does not match');
                      }
                      return sameShape ? tensor : tfOps.reshape(tensor, shape);
                    });
                    return [tfOps.stack(mapped, axis)];
                  });
                }
                case 'Unpack': {
                  var axis = getParamValue('axis', node, tensorMap, context);
                  var tensor = getParamValue('tensor', node, tensorMap, context);
                  return tfOps.unstack(tensor, axis);
                }
                case 'Tile': {
                  var reps = getParamValue('reps', node, tensorMap, context);
                  return [tfOps.tile(getParamValue('x', node, tensorMap, context), reps)];
                }
                case 'Split':
                case 'SplitV': {
                  var axis = getParamValue('axis', node, tensorMap, context);
                  var numOrSizeSplits = getParamValue('numOrSizeSplits', node, tensorMap, context);
                  var tensor = getParamValue('x', node, tensorMap, context);
                  return tfOps.split(tensor, numOrSizeSplits, axis);
                }
                case 'ScatterNd': {
                  var indices = getParamValue('indices', node, tensorMap, context);
                  var values = getParamValue('values', node, tensorMap, context);
                  var shape = getParamValue('shape', node, tensorMap, context);
                  return [tfOps.scatterND(indices, values, shape)];
                }
                case 'GatherNd': {
                  var x = getParamValue('x', node, tensorMap, context);
                  var indices = getParamValue('indices', node, tensorMap, context);
                  return [tfOps.gatherND(x, indices)];
                }
                case 'SparseToDense': {
                  var indices = getParamValue('sparseIndices', node, tensorMap, context);
                  var shape = getParamValue('outputShape', node, tensorMap, context);
                  var sparseValues = getParamValue('sparseValues', node, tensorMap, context);
                  var defaultValue = getParamValue('defaultValue', node, tensorMap, context);
                  return [
                    tfOps.sparseToDense(
                      indices,
                      sparseValues,
                      shape,
                      sparseValues.dtype === defaultValue.dtype
                        ? defaultValue
                        : tfOps.cast(defaultValue, sparseValues.dtype),
                    ),
                  ];
                }
                default:
                  throw TypeError('Node type ' + node.op + ' is not implemented');
              }
            };

            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var executeOp$f = function (node, tensorMap, context) {
              switch (node.op) {
                case 'SparseFillEmptyRows': {
                  var _a = tfOps.sparse.sparseFillEmptyRows(
                      getParamValue('indices', node, tensorMap, context),
                      getParamValue('values', node, tensorMap, context),
                      getParamValue('denseShape', node, tensorMap, context),
                      getParamValue('defaultValue', node, tensorMap, context),
                    ),
                    outputIndices = _a.outputIndices,
                    outputValues = _a.outputValues,
                    emptyRowIndicator = _a.emptyRowIndicator,
                    reverseIndexMap = _a.reverseIndexMap;
                  return [outputIndices, outputValues, emptyRowIndicator, reverseIndexMap];
                }
                case 'SparseReshape': {
                  var _b = tfOps.sparse.sparseReshape(
                      getParamValue('inputIndices', node, tensorMap, context),
                      getParamValue('inputShape', node, tensorMap, context),
                      getParamValue('newShape', node, tensorMap, context),
                    ),
                    outputIndices = _b.outputIndices,
                    outputShape = _b.outputShape;
                  return [outputIndices, outputShape];
                }
                case 'SparseSegmentMean': {
                  var outputData = tfOps.sparse.sparseSegmentMean(
                    getParamValue('data', node, tensorMap, context),
                    getParamValue('indices', node, tensorMap, context),
                    getParamValue('segmentIds', node, tensorMap, context),
                  );
                  return [outputData];
                }
                case 'SparseSegmentSum': {
                  var outputData = tfOps.sparse.sparseSegmentSum(
                    getParamValue('data', node, tensorMap, context),
                    getParamValue('indices', node, tensorMap, context),
                    getParamValue('segmentIds', node, tensorMap, context),
                  );
                  return [outputData];
                }
                default:
                  throw TypeError('Node type ' + node.op + ' is not implemented');
              }
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var executeOp$g = function (node, tensorMap, context) {
              switch (node.op) {
                case 'FFT': {
                  return [tfOps.fft(getParamValue('x', node, tensorMap, context))];
                }
                case 'IFFT': {
                  return [tfOps.ifft(getParamValue('x', node, tensorMap, context))];
                }
                case 'RFFT': {
                  return [tfOps.rfft(getParamValue('x', node, tensorMap, context))];
                }
                case 'IRFFT': {
                  return [tfOps.irfft(getParamValue('x', node, tensorMap, context))];
                }
                default:
                  throw TypeError('Node type ' + node.op + ' is not implemented');
              }
            };

            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var executeOp$h = function (node, tensorMap, context) {
              switch (node.op) {
                case 'StringNGrams': {
                  var _a = tfOps.string.stringNGrams(
                      getParamValue('data', node, tensorMap, context),
                      getParamValue('dataSplits', node, tensorMap, context),
                      getParamValue('separator', node, tensorMap, context),
                      getParamValue('nGramWidths', node, tensorMap, context),
                      getParamValue('leftPad', node, tensorMap, context),
                      getParamValue('rightPad', node, tensorMap, context),
                      getParamValue('padWidth', node, tensorMap, context),
                      getParamValue('preserveShortSequences', node, tensorMap, context),
                    ),
                    nGrams = _a.nGrams,
                    nGramsSplits = _a.nGramsSplits;
                  return [nGrams, nGramsSplits];
                }
                case 'StringSplit': {
                  var _b = tfOps.string.stringSplit(
                      getParamValue('input', node, tensorMap, context),
                      getParamValue('delimiter', node, tensorMap, context),
                      getParamValue('skipEmpty', node, tensorMap, context),
                    ),
                    indices = _b.indices,
                    values = _b.values,
                    shape = _b.shape;
                  return [indices, values, shape];
                }
                case 'StringToHashBucketFast': {
                  var output = tfOps.string.stringToHashBucketFast(
                    getParamValue('input', node, tensorMap, context),
                    getParamValue('numBuckets', node, tensorMap, context),
                  );
                  return [output];
                }
                default:
                  throw TypeError('Node type ' + node.op + ' is not implemented');
              }
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var executeOp$i = function (node, tensorMap, context) {
              switch (node.op) {
                case 'Cast': {
                  return [
                    tfOps.cast(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('dtype', node, tensorMap, context),
                    ),
                  ];
                }
                case 'ExpandDims': {
                  var axis = getParamValue('axis', node, tensorMap, context);
                  return [tfOps.expandDims(getParamValue('x', node, tensorMap, context), axis)];
                }
                case 'Squeeze': {
                  var axis = getParamValue('axis', node, tensorMap, context);
                  return [tfOps.squeeze(getParamValue('x', node, tensorMap, context), axis)];
                }
                case 'Reshape': {
                  return [
                    tfOps.reshape(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('shape', node, tensorMap, context),
                    ),
                  ];
                }
                case 'MirrorPad': {
                  return [
                    tfOps.mirrorPad(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('padding', node, tensorMap, context),
                      getParamValue('mode', node, tensorMap, context),
                    ),
                  ];
                }
                case 'PadV2':
                case 'Pad': {
                  return [
                    tfOps.pad(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('padding', node, tensorMap, context),
                      getParamValue('constantValue', node, tensorMap, context),
                    ),
                  ];
                }
                case 'SpaceToBatchND': {
                  var blockShape = getParamValue('blockShape', node, tensorMap, context);
                  var paddings = getParamValue('paddings', node, tensorMap, context);
                  return [
                    tfOps.spaceToBatchND(
                      getParamValue('x', node, tensorMap, context),
                      blockShape,
                      paddings,
                    ),
                  ];
                }
                case 'BatchToSpaceND': {
                  var blockShape = getParamValue('blockShape', node, tensorMap, context);
                  var crops = getParamValue('crops', node, tensorMap, context);
                  return [
                    tfOps.batchToSpaceND(
                      getParamValue('x', node, tensorMap, context),
                      blockShape,
                      crops,
                    ),
                  ];
                }
                case 'DepthToSpace': {
                  var blockSize = getParamValue('blockSize', node, tensorMap, context);
                  var dataFormat = getParamValue(
                    'dataFormat',
                    node,
                    tensorMap,
                    context,
                  ).toUpperCase();
                  return [
                    tfOps.depthToSpace(
                      getParamValue('x', node, tensorMap, context),
                      blockSize,
                      dataFormat,
                    ),
                  ];
                }
                case 'BroadcastTo': {
                  return [
                    tfOps.broadcastTo(
                      getParamValue('x', node, tensorMap, context),
                      getParamValue('shape', node, tensorMap, context),
                    ),
                  ];
                }
                default:
                  throw TypeError('Node type ' + node.op + ' is not implemented');
              }
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Executes the op defined by the node object.
             * @param node
             * @param tensorMap contains tensors for executed nodes and weights
             * @param context contains tensors and information for running the current node.
             * @param resourceManager Optional. Contains global resources of the model.
             */
            function executeOp$j(node, tensorMap, context, resourceManager) {
              var value = (function (node, tensorMap, context) {
                switch (node.category) {
                  case 'arithmetic':
                    return tfOps.tidy(function () {
                      return executeOp(node, tensorMap, context);
                    });
                  case 'basic_math':
                    return tfOps.tidy(function () {
                      return executeOp$1(node, tensorMap, context);
                    });
                  case 'control':
                    return executeOp$2(node, tensorMap, context);
                  case 'convolution':
                    return tfOps.tidy(function () {
                      return executeOp$3(node, tensorMap, context);
                    });
                  case 'creation':
                    return tfOps.tidy(function () {
                      return executeOp$4(node, tensorMap, context);
                    });
                  case 'dynamic':
                    return executeOp$5(node, tensorMap, context);
                  case 'evaluation':
                    return tfOps.tidy(function () {
                      return executeOp$6(node, tensorMap, context);
                    });
                  case 'image':
                    return tfOps.tidy(function () {
                      return executeOp$9(node, tensorMap, context);
                    });
                  case 'graph':
                    return tfOps.tidy(function () {
                      return executeOp$7(node, tensorMap, context);
                    });
                  case 'logical':
                    return tfOps.tidy(function () {
                      return executeOp$a(node, tensorMap, context);
                    });
                  case 'matrices':
                    return tfOps.tidy(function () {
                      return executeOp$b(node, tensorMap, context);
                    });
                  case 'normalization':
                    return tfOps.tidy(function () {
                      return executeOp$c(node, tensorMap, context);
                    });
                  case 'reduction':
                    return tfOps.tidy(function () {
                      return executeOp$d(node, tensorMap, context);
                    });
                  case 'slice_join':
                    return tfOps.tidy(function () {
                      return executeOp$e(node, tensorMap, context);
                    });
                  case 'sparse':
                    return tfOps.tidy(function () {
                      return executeOp$f(node, tensorMap, context);
                    });
                  case 'spectral':
                    return tfOps.tidy(function () {
                      return executeOp$g(node, tensorMap, context);
                    });
                  case 'string':
                    return tfOps.tidy(function () {
                      return executeOp$h(node, tensorMap, context);
                    });
                  case 'transformation':
                    return tfOps.tidy(function () {
                      return executeOp$i(node, tensorMap, context);
                    });
                  case 'hash_table':
                    return executeOp$8(node, tensorMap, context, resourceManager);
                  case 'custom':
                    var opMapper = getRegisteredOp(node.op);
                    if (opMapper && opMapper.customExecutor) {
                      return opMapper.customExecutor(new NodeValueImpl(node, tensorMap, context));
                    } else {
                      throw TypeError('Custom op ' + node.op + ' is not registered.');
                    }
                  default:
                    throw TypeError(
                      "Unknown op '" +
                        node.op +
                        "'. File an issue at " +
                        'https://github.com/tensorflow/tfjs/issues so we can add it' +
                        ', or register a custom execution with tf.registerOp()',
                    );
                }
              })(node, tensorMap, context);
              if (tfOps.util.isPromise(value)) {
                return value.then(function (data) {
                  return [].concat(data);
                });
              }
              return [].concat(value);
            }

            /**
             * ExecutionContext captures the runtime environment of the node. It keeps
             * track of the current frame and iteration for the control flow ops.
             *
             * For example, typical Dynamic RNN model may contain loops, for which
             * TensorFlow will generate graphs with Enter/Exit nodes to control the
             * current execution frame, and NextIteration Nodes for iteration id increment.
             * For model with branch logic, TensorFLow will generate Switch/Merge ops.
             */
            var ExecutionContext = /** @class */ (function () {
              function ExecutionContext(weightMap, tensorArrayMap, tensorListMap, functionMap) {
                if (weightMap === void 0) {
                  weightMap = {};
                }
                if (tensorArrayMap === void 0) {
                  tensorArrayMap = {};
                }
                if (tensorListMap === void 0) {
                  tensorListMap = {};
                }
                if (functionMap === void 0) {
                  functionMap = {};
                }
                this.weightMap = weightMap;
                this.tensorArrayMap = tensorArrayMap;
                this.tensorListMap = tensorListMap;
                this.functionMap = functionMap;
                this.rootContext = { id: 0, frameName: '', iterationId: 0 };
                this.contexts = [this.rootContext];
                this.lastId = 0;
                this.generateCurrentContextIds();
              }
              ExecutionContext.prototype.newFrame = function (id, frameName) {
                return { id: id, frameName: frameName, iterationId: 0 };
              };
              Object.defineProperty(ExecutionContext.prototype, 'currentContext', {
                get: function () {
                  return this.contexts;
                },
                /**
                 * Set the current context
                 * @param contexts: ExecutionContextInfo[] the current path of execution
                 * frames
                 */
                set: function (contexts) {
                  if (this.contexts !== contexts) {
                    this.contexts = contexts;
                    this.generateCurrentContextIds();
                  }
                },
                enumerable: true,
                configurable: true,
              });
              Object.defineProperty(ExecutionContext.prototype, 'currentContextId', {
                /**
                 * Returns the current context in string format.
                 */
                get: function () {
                  return this._currentContextIds[0];
                },
                enumerable: true,
                configurable: true,
              });
              Object.defineProperty(ExecutionContext.prototype, 'currentContextIds', {
                /**
                 * Returns the current context and all parent contexts in string format.
                 * This allow access to the nodes in the current and parent frames.
                 */
                get: function () {
                  return this._currentContextIds;
                },
                enumerable: true,
                configurable: true,
              });
              ExecutionContext.prototype.generateCurrentContextIds = function () {
                var names = [];
                for (var i = 0; i < this.contexts.length - 1; i++) {
                  var contexts = this.contexts.slice(0, this.contexts.length - i);
                  names.push(this.contextIdforContexts(contexts));
                }
                names.push('');
                this._currentContextIds = names;
              };
              ExecutionContext.prototype.contextIdforContexts = function (contexts) {
                return contexts
                  ? contexts
                      .map(function (context) {
                        return context.id === 0 && context.iterationId === 0
                          ? ''
                          : context.frameName + '-' + context.iterationId;
                      })
                      .join('/')
                  : '';
              };
              /**
               * Enter a new frame, a new context is pushed on the current context list.
               * @param frameId new frame id
               */
              ExecutionContext.prototype.enterFrame = function (frameId) {
                if (this.contexts) {
                  this.lastId++;
                  this.contexts = this.contexts.slice();
                  this.contexts.push(this.newFrame(this.lastId, frameId));
                  this._currentContextIds.unshift(this.contextIdforContexts(this.contexts));
                }
              };
              /**
               * Exit the current frame, the last context is removed from the current
               * context list.
               */
              ExecutionContext.prototype.exitFrame = function () {
                if (this.contexts && this.contexts.length > 1) {
                  this.contexts = this.contexts.slice();
                  this.contexts.splice(-1);
                  this.currentContextIds.shift();
                } else {
                  throw new Error('Cannot exit frame, the context is empty');
                }
              };
              /**
               * Enter the next iteration of a loop, the iteration id of last context is
               * increased.
               */
              ExecutionContext.prototype.nextIteration = function () {
                if (this.contexts && this.contexts.length > 0) {
                  this.contexts = this.contexts.slice();
                  this.lastId++;
                  var context = Object.assign({}, this.contexts[this.contexts.length - 1]);
                  context.iterationId += 1;
                  context.id = this.lastId;
                  this.contexts.splice(-1, 1, context);
                  this._currentContextIds.splice(0, 1, this.contextIdforContexts(this.contexts));
                } else {
                  throw new Error('Cannot increase frame iteration, the context is empty');
                }
              };
              ExecutionContext.prototype.getWeight = function (name) {
                return this.weightMap[name];
              };
              ExecutionContext.prototype.addTensorArray = function (tensorArray) {
                this.tensorArrayMap[tensorArray.id] = tensorArray;
              };
              ExecutionContext.prototype.getTensorArray = function (id) {
                return this.tensorArrayMap[id];
              };
              ExecutionContext.prototype.addTensorList = function (tensorList) {
                this.tensorListMap[tensorList.id] = tensorList;
              };
              ExecutionContext.prototype.getTensorList = function (id) {
                return this.tensorListMap[id];
              };
              ExecutionContext.prototype.dispose = function (keepIds) {
                for (var key in this.tensorArrayMap) {
                  this.tensorArrayMap[key].clearAndClose(keepIds);
                }
                for (var key in this.tensorListMap) {
                  this.tensorListMap[key].clearAndClose(keepIds);
                }
              };
              return ExecutionContext;
            })();

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Given graph inputs and desired outputs, find the minimal set of nodes
             * to execute in order to compute the outputs. In addition return other useful
             * info such:
             * - Missing inputs needed to compute the output.
             * - Whether the subgraph contains dynamic ops (control flow, dynamic shape).
             * - Alternative inputs in order to avoid async (dynamic op) execution.
             */
            function getExecutionSubgraph(inputs, outputs, weightMap, initNodes) {
              var usedNodes = new Set();
              var missingInputs = [];
              var dynamicNode = null;
              var syncInputs = null;
              // Start with the outputs, going backwards and find all the nodes that are
              // needed to compute those outputs.
              var seen = new Set();
              var inputNodeNames = Object.keys(inputs).map(function (name) {
                return parseNodeName(name)[0];
              });
              var initNodeNames = [];
              if (initNodes != null) {
                initNodeNames = initNodes.map(function (node) {
                  return parseNodeName(node.name)[0];
                });
              }
              var frontier = __spread(outputs);
              while (frontier.length > 0) {
                var node = frontier.pop();
                if (isControlFlow(node) || isDynamicShape(node) || isHashTable(node)) {
                  if (dynamicNode == null) {
                    dynamicNode = node;
                    syncInputs = dynamicNode.children
                      .map(function (child) {
                        return child.name;
                      })
                      .filter(function (name) {
                        return usedNodes.has(name);
                      });
                  }
                }
                usedNodes.add(node.name);
                // Weights are dead end since we already have their values.
                if (weightMap[node.name] != null) {
                  continue;
                }
                // This node is a dead end since it's one of the user-provided inputs.
                if (inputNodeNames.indexOf(node.name) !== -1) {
                  continue;
                }
                // This node is a dead end since it doesn't have any inputs.
                if (initNodeNames.indexOf(node.name) !== -1) {
                  continue;
                }
                if (node.inputs.length === 0) {
                  missingInputs.push(node.name);
                  continue;
                }
                node.inputs.forEach(function (input) {
                  // Don't add to the frontier if it is already there.
                  if (seen.has(input.name)) {
                    return;
                  }
                  seen.add(input.name);
                  frontier.push(input);
                });
              }
              return {
                inputs: inputs,
                outputs: outputs,
                usedNodes: usedNodes,
                missingInputs: missingInputs,
                dynamicNode: dynamicNode,
                syncInputs: syncInputs,
              };
            }
            /**
             * Given the execution info, return a list of nodes in topological order that
             * need to be executed to compute the output.
             */
            function getNodesInTopologicalOrder(graph, weightMap, executionInfo) {
              var usedNodes = executionInfo.usedNodes,
                inputs = executionInfo.inputs;
              var frontier = [];
              var inputNodes = Object.keys(inputs)
                .map(function (name) {
                  return parseNodeName(name)[0];
                })
                .map(function (name) {
                  return graph.nodes[name];
                });
              var initNodes = graph.initNodes;
              inputNodes.forEach(function (input) {
                if (usedNodes.has(input.name)) {
                  frontier.push(input);
                }
              });
              graph.weights.forEach(function (weight) {
                if (usedNodes.has(weight.name)) {
                  frontier.push(weight);
                }
              });
              if (initNodes != null) {
                initNodes.forEach(function (node) {
                  if (usedNodes.has(node.name)) {
                    frontier.push(node);
                  }
                });
              }
              var seen = new Set();
              var orderedNodes = [];
              while (frontier.length > 0) {
                var node = frontier.pop();
                seen.add(node.name);
                if (!weightMap[node.name]) {
                  orderedNodes.push(node);
                }
                node.children.forEach(function (child) {
                  if (
                    !seen.has(child.name) &&
                    usedNodes.has(child.name) &&
                    child.inputs.every(function (input) {
                      return seen.has(input.name);
                    })
                  ) {
                    frontier.push(child);
                  }
                });
              }
              return orderedNodes;
            }
            var CONTROL_FLOW_OPS = [
              'Switch',
              'Merge',
              'Enter',
              'Exit',
              'NextIteration',
              'StatelessIf',
              'StatelessWhile',
              'if',
              'While',
            ];
            var DYNAMIC_SHAPE_OPS = [
              'NonMaxSuppressionV2',
              'NonMaxSuppressionV3',
              'NonMaxSuppressionV5',
              'Where',
            ];
            var HASH_TABLE_OPS = [
              'HashTable',
              'HashTableV2',
              'LookupTableImport',
              'LookupTableImportV2',
              'LookupTableFind',
              'LookupTableFindV2',
              'LookupTableSize',
              'LookupTableSizeV2',
            ];
            function isControlFlow(node) {
              return CONTROL_FLOW_OPS.indexOf(node.op) >= 0;
            }
            function isDynamicShape(node) {
              return DYNAMIC_SHAPE_OPS.indexOf(node.op) >= 0;
            }
            function isHashTable(node) {
              return HASH_TABLE_OPS.indexOf(node.op) >= 0;
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var GraphExecutor = /** @class */ (function () {
              /**
               *
               * @param graph Graph the model or function graph to be executed.
               * @param parent When building function exector you need to set the parent
               * executor. Since the weights and function executor maps are set at parant
               * level, that function executor can access the function maps and weight maps
               * through the parent.
               */
              function GraphExecutor(graph, parent) {
                var _this = this;
                this.graph = graph;
                this.parent = parent;
                this.compiledMap = new Map();
                this._weightMap = {};
                this.SEPERATOR = ',';
                this._functions = {};
                this._functionExecutorMap = {};
                this._outputs = graph.outputs;
                this._inputs = graph.inputs;
                this._initNodes = graph.initNodes;
                this._signature = graph.signature;
                this._functions = graph.functions;
                // create sub-graph executors
                if (graph.functions != null) {
                  Object.keys(graph.functions).forEach(function (name) {
                    _this._functionExecutorMap[name] = new GraphExecutor(
                      graph.functions[name],
                      _this,
                    );
                  });
                }
              }
              Object.defineProperty(GraphExecutor.prototype, 'weightIds', {
                get: function () {
                  return this.parent ? this.parent.weightIds : this._weightIds;
                },
                enumerable: true,
                configurable: true,
              });
              Object.defineProperty(GraphExecutor.prototype, 'functionExecutorMap', {
                get: function () {
                  return this.parent ? this.parent.functionExecutorMap : this._functionExecutorMap;
                },
                enumerable: true,
                configurable: true,
              });
              Object.defineProperty(GraphExecutor.prototype, 'weightMap', {
                get: function () {
                  return this.parent ? this.parent.weightMap : this._weightMap;
                },
                set: function (weightMap) {
                  var weightIds = Object.keys(weightMap).map(function (key) {
                    return weightMap[key].map(function (tensor) {
                      return tensor.id;
                    });
                  });
                  this._weightIds = [].concat.apply([], __spread(weightIds));
                  this._weightMap = weightMap;
                },
                enumerable: true,
                configurable: true,
              });
              Object.defineProperty(GraphExecutor.prototype, 'resourceManager', {
                /**
                 * Set `ResourceManager` shared by executors of a model.
                 * @param resourceManager: `ResourceManager` of the `GraphModel`.
                 */
                set: function (resourceManager) {
                  this._resourceManager = resourceManager;
                },
                enumerable: true,
                configurable: true,
              });
              Object.defineProperty(GraphExecutor.prototype, 'inputs', {
                get: function () {
                  return this._inputs.map(function (node) {
                    return {
                      name: node.name,
                      shape: node.attrParams['shape'] ? node.attrParams['shape'].value : undefined,
                      dtype: node.attrParams['dtype'] ? node.attrParams['dtype'].value : undefined,
                    };
                  });
                },
                enumerable: true,
                configurable: true,
              });
              Object.defineProperty(GraphExecutor.prototype, 'outputs', {
                get: function () {
                  return this._outputs.map(function (node) {
                    return {
                      name: node.name,
                      shape: node.attrParams['shape'] ? node.attrParams['shape'].value : undefined,
                      dtype: node.attrParams['dtype'] ? node.attrParams['dtype'].value : undefined,
                    };
                  });
                },
                enumerable: true,
                configurable: true,
              });
              Object.defineProperty(GraphExecutor.prototype, 'inputNodes', {
                get: function () {
                  return this._inputs.map(function (node) {
                    return node.signatureKey || node.name;
                  });
                },
                enumerable: true,
                configurable: true,
              });
              Object.defineProperty(GraphExecutor.prototype, 'outputNodes', {
                get: function () {
                  return this._outputs.map(function (node) {
                    var name = node.signatureKey || node.name;
                    return node.defaultOutput ? name + ':' + node.defaultOutput : name;
                  });
                },
                enumerable: true,
                configurable: true,
              });
              Object.defineProperty(GraphExecutor.prototype, 'functions', {
                get: function () {
                  var _this = this;
                  return Object.keys(this._functions).reduce(function (map, key) {
                    map[key] = _this._functions[key].signature;
                    return map;
                  }, {});
                },
                enumerable: true,
                configurable: true,
              });
              GraphExecutor.prototype.getCompilationKey = function (inputs, outputs) {
                var sortedInputs = inputs
                  .map(function (node) {
                    return node.name;
                  })
                  .sort();
                var sortedOutputs = outputs
                  .map(function (node) {
                    return node.name;
                  })
                  .sort();
                return (
                  sortedInputs.join(this.SEPERATOR) + '--' + sortedOutputs.join(this.SEPERATOR)
                );
              };
              /**
               * Compiles the inference graph and returns the minimal set of nodes that are
               * required for execution, in the correct execution order.
               */
              GraphExecutor.prototype.compile = function (inputs, outputs) {
                var executionInfo = getExecutionSubgraph(
                  inputs,
                  outputs,
                  this.weightMap,
                  this._initNodes,
                );
                var missingInputs = executionInfo.missingInputs,
                  dynamicNode = executionInfo.dynamicNode,
                  syncInputs = executionInfo.syncInputs;
                if (dynamicNode != null) {
                  throw new Error(
                    "This execution contains the node '" +
                      dynamicNode.name +
                      "', which has " +
                      ("the dynamic op '" + dynamicNode.op + "'. Please use ") +
                      'model.executeAsync() instead. Alternatively, to avoid the ' +
                      ('dynamic ops, specify the inputs [' + syncInputs + ']'),
                  );
                }
                if (missingInputs.length > 0) {
                  var outNames = outputs.map(function (n) {
                    return n.name;
                  });
                  var inNames = Object.keys(inputs);
                  throw new Error(
                    'Cannot compute the outputs [' +
                      outNames +
                      '] from the provided inputs ' +
                      ('[' + inNames + ']. Missing the following inputs: [' + missingInputs + ']'),
                  );
                }
                return getNodesInTopologicalOrder(this.graph, this.weightMap, executionInfo);
              };
              /**
               * Executes the inference for given input tensors.
               * @param inputs Tensor map for the model inputs, keyed by the input node
               * names.
               * @param outputs Optional. output node name from the Tensorflow model, if
               * no outputs are specified, the default outputs of the model would be used.
               * You can inspect intermediate nodes of the model by adding them to the
               * outputs array.
               */
              GraphExecutor.prototype.execute = function (inputs, outputs) {
                var _this = this;
                inputs = this.mapInputs(inputs);
                var names = Object.keys(inputs).sort();
                this.checkInputs(inputs);
                this.checkInputShapeAndType(inputs);
                outputs = this.mapOutputs(outputs);
                this.checkOutputs(outputs);
                var inputNodes = names.map(function (name) {
                  return _this.graph.nodes[parseNodeName(name)[0]];
                });
                var outputNodeNames = outputs.map(function (name) {
                  return parseNodeName(name)[0];
                });
                var outputNodes = outputNodeNames.map(function (name) {
                  return _this.graph.nodes[name];
                });
                // If no outputs are specified, then use the default outputs of the model.
                if (outputNodes.length === 0) {
                  outputNodes = this._outputs;
                }
                var compilationKey = this.getCompilationKey(inputNodes, outputNodes);
                // Do nothing if the compiled graph cache contains the input.
                var orderedNodes = this.compiledMap.get(compilationKey);
                if (orderedNodes == null) {
                  orderedNodes = this.compile(inputs, outputNodes);
                  this.compiledMap.set(compilationKey, orderedNodes);
                }
                var tensorArrayMap = {};
                var tensorListMap = {};
                return tfOps.tidy(function () {
                  var context = new ExecutionContext(
                    _this.weightMap,
                    tensorArrayMap,
                    tensorListMap,
                    _this.functionExecutorMap,
                  );
                  var tensorsMap = __assign({}, _this.weightMap);
                  Object.keys(inputs).forEach(function (name) {
                    var _a = __read(parseNodeName(name), 2),
                      nodeName = _a[0],
                      index = _a[1];
                    var tensors = [];
                    tensors[index] = inputs[name];
                    tensorsMap[nodeName] = tensors;
                  });
                  var tensorsToKeep = _this.getFrozenTensorIds(tensorsMap);
                  var intermediateTensorConsumerCount = {};
                  for (var i = 0; i < orderedNodes.length; i++) {
                    var node = orderedNodes[i];
                    if (!tensorsMap[node.name]) {
                      var tensors = executeOp$j(node, tensorsMap, context, _this._resourceManager);
                      if (tfOps.util.isPromise(tensors)) {
                        throw new Error(
                          "The execution of the op '" +
                            node.op +
                            "' returned a promise. " +
                            'Please use model.executeAsync() instead.',
                        );
                      }
                      tensorsMap[node.name] = tensors;
                      _this.checkTensorForDisposal(
                        node.name,
                        node,
                        tensorsMap,
                        context,
                        tensorsToKeep,
                        outputNodeNames,
                        intermediateTensorConsumerCount,
                      );
                    }
                  }
                  // dispose the context for the root executor
                  if (_this.parent == null) {
                    context.dispose(tensorsToKeep);
                  }
                  return outputs.map(function (name) {
                    return getTensor(name, tensorsMap, context);
                  });
                });
              };
              GraphExecutor.prototype.getFrozenTensorIds = function (tensorMap) {
                var ids = [].concat.apply(
                  [],
                  Object.keys(tensorMap)
                    .map(function (key) {
                      return tensorMap[key];
                    })
                    .map(function (tensors) {
                      return tensors.map(function (tensor) {
                        return tensor.id;
                      });
                    }),
                );
                return new Set(ids);
              };
              GraphExecutor.prototype.checkTensorForDisposal = function (
                nodeName,
                node,
                tensorMap,
                context,
                tensorsToKeep,
                outputNames,
                intermediateTensorConsumerCount,
              ) {
                // Skip output nodes and any control flow nodes, since its dependency is
                // tricky to track correctly.
                if (node.category === 'control' || outputNames.indexOf(nodeName) !== -1) {
                  return;
                }
                tensorMap[nodeName].forEach(function (tensor) {
                  if (tensor != null) {
                    intermediateTensorConsumerCount[tensor.id] =
                      (intermediateTensorConsumerCount[tensor.id] || 0) + node.children.length;
                  }
                });
                node.inputs.forEach(function (input) {
                  // Skip any control flow nodes, since its dependency is tricky to track
                  // correctly.
                  if (input.category !== 'control') {
                    var tensors = getTensorsForCurrentContenxt(input.name, tensorMap, context);
                    if (tensors != null) {
                      tensors.forEach(function (tensor) {
                        if (tensor && !tensor.kept && !tensorsToKeep.has(tensor.id)) {
                          var count = intermediateTensorConsumerCount[tensor.id];
                          if (count === 1) {
                            tensor.dispose();
                            delete intermediateTensorConsumerCount[tensor.id];
                          } else if (count != null) {
                            // only intermediate nodes has count set, inputs and weights are
                            // not.
                            intermediateTensorConsumerCount[tensor.id]--;
                          }
                        }
                      });
                    }
                  }
                });
              };
              /**
               * Executes the inference for given input tensors in Async fashion.
               * @param inputs Tensor map for the model inputs, keyed by the input node
               * names.
               * @param outputs output node name from the Tensorflow model, if no outputs
               * are specified, the default outputs of the model would be used. You can
               * inspect intermediate nodes of the model by adding them to the outputs
               * array.
               */
              GraphExecutor.prototype.executeAsync = function (inputs, outputs) {
                return __awaiter(this, void 0, void 0, function () {
                  return __generator(this, function (_a) {
                    return [2 /*return*/, this._executeAsync(inputs, outputs)];
                  });
                });
              };
              /**
               * Executes the inference for given input tensors in Async fashion.
               * @param inputs Tensor map for the model inputs, keyed by the input node
               * names.
               * @param outputs Optional. output node name from the Tensorflow model,
               * if no outputs are specified, the default outputs of the model would be
               * used. You can inspect intermediate nodes of the model by adding them to the
               * outputs array.
               * @param isFunctionExecution Optional. Flag for executing a function.
               * @param tensorArrayMap Optional, global TensorArray map by id. Used for
               * function execution.
               * @param tensorArrayMap Optinal global TensorList map by id. Used for
               * function execution.
               */
              GraphExecutor.prototype._executeAsync = function (
                inputs,
                outputs,
                isFunctionExecution,
                tensorArrayMap,
                tensorListMap,
              ) {
                if (isFunctionExecution === void 0) {
                  isFunctionExecution = false;
                }
                if (tensorArrayMap === void 0) {
                  tensorArrayMap = {};
                }
                if (tensorListMap === void 0) {
                  tensorListMap = {};
                }
                return __awaiter(this, void 0, void 0, function () {
                  var context, tensorMap, results, outputIds, inputIds, keepIds;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        if (!isFunctionExecution) {
                          inputs = this.mapInputs(inputs);
                          this.checkInputs(inputs);
                          this.checkInputShapeAndType(inputs);
                          outputs = this.mapOutputs(outputs);
                          this.checkOutputs(outputs);
                        }
                        context = new ExecutionContext(
                          this.weightMap,
                          tensorArrayMap,
                          tensorListMap,
                          this.functionExecutorMap,
                        );
                        return [
                          4 /*yield*/,
                          this.executeWithControlFlow(
                            inputs,
                            context,
                            outputs,
                            isFunctionExecution,
                          ),
                        ];
                      case 1:
                        tensorMap = _a.sent();
                        results = outputs.map(function (name) {
                          return getTensor(name, tensorMap, context);
                        });
                        outputIds = results.map(function (t) {
                          return t.id;
                        });
                        inputIds = Object.keys(inputs).map(function (name) {
                          return inputs[name].id;
                        });
                        keepIds = new Set(__spread(outputIds, inputIds, this.weightIds));
                        Object.keys(tensorMap).forEach(function (key) {
                          var tensorArray = tensorMap[key];
                          tensorArray.forEach(function (tensor) {
                            if (
                              tensor &&
                              !tensor.kept &&
                              !tensor.isDisposed &&
                              !keepIds.has(tensor.id)
                            ) {
                              tensor.dispose();
                            }
                          });
                        });
                        // dispose the context for the root executor
                        if (this.parent == null) {
                          context.dispose(keepIds);
                        }
                        return [2 /*return*/, results];
                    }
                  });
                });
              };
              GraphExecutor.prototype.executeFunctionAsync = function (
                inputs,
                tensorArrayMap,
                tensorListMap,
              ) {
                return __awaiter(this, void 0, void 0, function () {
                  var mappedInputs;
                  var _this = this;
                  return __generator(this, function (_a) {
                    mappedInputs = inputs.reduce(function (map, tensor, index) {
                      map[_this.inputs[index].name] = tensor;
                      return map;
                    }, {});
                    return [
                      2 /*return*/,
                      this._executeAsync(
                        mappedInputs,
                        this.outputNodes,
                        true,
                        tensorArrayMap,
                        tensorListMap,
                      ),
                    ];
                  });
                });
              };
              /**
               * When there are control flow nodes in the graph, the graph execution use
               * ExecutionContext to keep track of the frames and loop iterators.
               * @param inputs placeholder tensors for the graph.
               * @param context the execution context object for current execution.
               * @param outputNames Optional. output node name from the Tensorflow model,
               * if no outputs are specified, the default outputs of the model would be
               * used. You can inspect intermediate nodes of the model by adding them to the
               * outputs array.
               * @param isFunctionExecution Flag for executing a function.
               */
              GraphExecutor.prototype.executeWithControlFlow = function (
                inputs,
                context,
                outputNames,
                isFunctionExecution,
              ) {
                return __awaiter(this, void 0, void 0, function () {
                  var names,
                    inputNodes,
                    outputNodeNames,
                    outputNodes,
                    _a,
                    usedNodes,
                    missingInputs,
                    dynamicNode,
                    syncInputs,
                    stack,
                    tensorsMap,
                    intermediateTensorConsumerCount,
                    tensorsToKeep,
                    added,
                    promises,
                    missingOutputs,
                    alternativeMsg;
                  var _this = this;
                  return __generator(this, function (_b) {
                    switch (_b.label) {
                      case 0:
                        names = Object.keys(inputs);
                        inputNodes = names.map(function (name) {
                          return _this.graph.nodes[parseNodeName(name)[0]];
                        });
                        outputNodeNames = outputNames.map(function (name) {
                          return parseNodeName(name)[0];
                        });
                        outputNodes = outputNodeNames.map(function (name) {
                          return _this.graph.nodes[name];
                        });
                        // If no outputs are specified, then use the default outputs of the model.
                        if (outputNodes.length === 0) {
                          outputNodes = this._outputs;
                        }
                        (_a = getExecutionSubgraph(
                          inputs,
                          outputNodes,
                          this.weightMap,
                          this._initNodes,
                        )),
                          (usedNodes = _a.usedNodes),
                          (missingInputs = _a.missingInputs),
                          (dynamicNode = _a.dynamicNode),
                          (syncInputs = _a.syncInputs);
                        stack = __spread(inputNodes, this.graph.weights, this._initNodes || []).map(
                          function (node) {
                            return { node: node, contexts: context.currentContext };
                          },
                        );
                        tensorsMap = __assign({}, this.weightMap);
                        Object.keys(inputs).forEach(function (name) {
                          var _a = __read(parseNodeName(name), 2),
                            nodeName = _a[0],
                            index = _a[1];
                          var tensors = [];
                          tensors[index] = inputs[name];
                          tensorsMap[nodeName] = tensors;
                        });
                        intermediateTensorConsumerCount = {};
                        tensorsToKeep = this.getFrozenTensorIds(tensorsMap);
                        added = {};
                        _b.label = 1;
                      case 1:
                        if (!(stack.length > 0)) return [3 /*break*/, 3];
                        promises = this.processStack(
                          inputNodes,
                          stack,
                          context,
                          tensorsMap,
                          added,
                          tensorsToKeep,
                          outputNodeNames,
                          intermediateTensorConsumerCount,
                          usedNodes,
                        );
                        return [4 /*yield*/, Promise.all(promises)];
                      case 2:
                        _b.sent();
                        return [3 /*break*/, 1];
                      case 3:
                        if (dynamicNode == null && !isFunctionExecution) {
                          console.warn(
                            'This model execution did not contain any nodes with control flow ' +
                              'or dynamic output shapes. You can use model.execute() instead.',
                          );
                        }
                        missingOutputs = outputNodes
                          .filter(function (node) {
                            return (
                              !isControlFlow(node) && !getTensor(node.name, tensorsMap, context)
                            );
                          })
                          .map(function (node) {
                            return node.name;
                          });
                        if (missingOutputs.length > 0) {
                          alternativeMsg = '';
                          if (dynamicNode != null) {
                            alternativeMsg =
                              'Alternatively, to avoid the dynamic ops, use model.execute() ' +
                              ('and specify the inputs [' + syncInputs + ']');
                          }
                          throw new Error(
                            'Cannot compute the outputs [' +
                              missingOutputs +
                              '] from the provided ' +
                              ('inputs [' +
                                names +
                                ']. Consider providing the following inputs: ') +
                              ('[' + missingInputs + ']. ' + alternativeMsg),
                          );
                        }
                        return [2 /*return*/, tensorsMap];
                    }
                  });
                });
              };
              GraphExecutor.prototype.processStack = function (
                inputNodes,
                stack,
                context,
                tensorMap,
                added,
                tensorsToKeep,
                outputNames,
                intermediateTensorConsumerCount,
                usedNodes,
              ) {
                var _this = this;
                var promises = [];
                var _loop_1 = function () {
                  var _a, _b;
                  var item = stack.pop();
                  context.currentContext = item.contexts;
                  var nodeName = '';
                  // The tensor of the Enter op with isConstant set should be set
                  // in the parent scope, so it will be available as constant for the
                  // whole loop.
                  if (
                    item.node.op === 'Enter' &&
                    getParamValue('isConstant', item.node, tensorMap, context)
                  ) {
                    (_a = __read(getNodeNameAndIndex(item.node.name, context), 1)),
                      (nodeName = _a[0]);
                  }
                  // only process nodes that are not in the tensorMap yet, this include
                  // inputNodes and internal initNodes.
                  if (tensorMap[item.node.name] == null) {
                    var tensors = executeOp$j(
                      item.node,
                      tensorMap,
                      context,
                      this_1._resourceManager,
                    );
                    if (!nodeName) {
                      (_b = __read(getNodeNameAndIndex(item.node.name, context), 1)),
                        (nodeName = _b[0]);
                    }
                    var currentContext_1 = context.currentContext;
                    if (tfOps.util.isPromise(tensors)) {
                      promises.push(
                        tensors.then(function (t) {
                          tensorMap[nodeName] = t;
                          context.currentContext = currentContext_1;
                          _this.checkTensorForDisposal(
                            nodeName,
                            item.node,
                            tensorMap,
                            context,
                            tensorsToKeep,
                            outputNames,
                            intermediateTensorConsumerCount,
                          );
                          _this.processChildNodes(
                            item.node,
                            stack,
                            context,
                            tensorMap,
                            added,
                            usedNodes,
                          );
                          return t;
                        }),
                      );
                    } else {
                      tensorMap[nodeName] = tensors;
                      this_1.checkTensorForDisposal(
                        nodeName,
                        item.node,
                        tensorMap,
                        context,
                        tensorsToKeep,
                        outputNames,
                        intermediateTensorConsumerCount,
                      );
                      this_1.processChildNodes(
                        item.node,
                        stack,
                        context,
                        tensorMap,
                        added,
                        usedNodes,
                      );
                    }
                  } else {
                    this_1.processChildNodes(
                      item.node,
                      stack,
                      context,
                      tensorMap,
                      added,
                      usedNodes,
                    );
                  }
                };
                var this_1 = this;
                while (stack.length > 0) {
                  _loop_1();
                }
                return promises;
              };
              GraphExecutor.prototype.processChildNodes = function (
                node,
                stack,
                context,
                tensorMap,
                added,
                usedNodes,
              ) {
                node.children.forEach(function (childNode) {
                  var _a = __read(getNodeNameAndIndex(childNode.name, context), 1),
                    nodeName = _a[0];
                  if (added[nodeName] || !usedNodes.has(childNode.name)) {
                    return;
                  }
                  // Merge op can be pushed if any of its inputs has value.
                  if (childNode.op === 'Merge') {
                    if (
                      childNode.inputNames.some(function (name) {
                        return !!getTensor(name, tensorMap, context);
                      })
                    ) {
                      added[nodeName] = true;
                      stack.push({ contexts: context.currentContext, node: childNode });
                    }
                  } // Otherwise all inputs must to have value.
                  else if (
                    childNode.inputNames.every(function (name) {
                      return !!getTensor(name, tensorMap, context);
                    })
                  ) {
                    added[nodeName] = true;
                    stack.push({ contexts: context.currentContext, node: childNode });
                  }
                });
              };
              /**
               * Releases the memory used by the weight tensors.
               */
              GraphExecutor.prototype.dispose = function () {
                var _this = this;
                Object.keys(this.weightMap).forEach(function (key) {
                  return _this.weightMap[key].forEach(function (tensor) {
                    return tensor.dispose();
                  });
                });
              };
              GraphExecutor.prototype.checkInputShapeAndType = function (inputs) {
                var _this = this;
                Object.keys(inputs).forEach(function (name) {
                  var input = inputs[name];
                  var _a = __read(parseNodeName(name), 1),
                    nodeName = _a[0];
                  var node = _this.graph.nodes[nodeName];
                  if (node.attrParams['shape'] && node.attrParams['shape'].value) {
                    var shape_1 = node.attrParams['shape'].value;
                    var match =
                      shape_1.length === input.shape.length &&
                      input.shape.every(function (dim, index) {
                        return shape_1[index] === -1 || shape_1[index] === dim;
                      });
                    tfOps.util.assert(match, function () {
                      return (
                        "The shape of dict['" +
                        node.name +
                        "'] provided in " +
                        ('model.execute(dict) must be [' + shape_1 + '], but was ') +
                        ('[' + input.shape + ']')
                      );
                    });
                  }
                  if (node.attrParams['dtype'] && node.attrParams['dtype'].value) {
                    tfOps.util.assert(input.dtype === node.attrParams['dtype'].value, function () {
                      return (
                        "The dtype of dict['" +
                        node.name +
                        "'] provided in " +
                        'model.execute(dict) must be ' +
                        (node.attrParams['dtype'].value + ', but was ' + input.dtype)
                      );
                    });
                  }
                });
              };
              GraphExecutor.prototype.mapInputs = function (inputs) {
                var result = {};
                for (var inputName in inputs) {
                  if (
                    this._signature != null &&
                    this._signature.inputs != null &&
                    this._signature.inputs[inputName] != null
                  ) {
                    var tensor = this._signature.inputs[inputName];
                    result[tensor.name] = inputs[inputName];
                  } else {
                    result[inputName] = inputs[inputName];
                  }
                }
                return result;
              };
              GraphExecutor.prototype.checkInputs = function (inputs) {
                var _this = this;
                var notInGraph = Object.keys(inputs).filter(function (name) {
                  var _a = __read(parseNodeName(name), 1),
                    nodeName = _a[0];
                  return _this.graph.nodes[nodeName] == null;
                });
                if (notInGraph.length > 0) {
                  throw new Error(
                    'The dict provided in model.execute(dict) has ' +
                      ('keys: [' + notInGraph + '] that are not part of graph'),
                  );
                }
              };
              GraphExecutor.prototype.mapOutputs = function (outputs) {
                var _this = this;
                return outputs.map(function (name) {
                  if (
                    _this._signature != null &&
                    _this._signature.outputs != null &&
                    _this._signature.outputs[name] != null
                  ) {
                    var tensor = _this._signature.outputs[name];
                    return tensor.name;
                  }
                  return name;
                }, {});
              };
              GraphExecutor.prototype.checkOutputs = function (outputs) {
                var _this = this;
                outputs.forEach(function (name) {
                  var _a = __read(parseNodeName(name), 1),
                    normalizedName = _a[0];
                  if (!_this.graph.nodes[normalizedName]) {
                    throw new Error("The output '" + name + "' is not found in the graph");
                  }
                });
              };
              return GraphExecutor;
            })();

            /**
             * Contains global resources of a model.
             */
            var ResourceManager = /** @class */ (function () {
              function ResourceManager(hashTableNameToHandle, hashTableMap) {
                if (hashTableNameToHandle === void 0) {
                  hashTableNameToHandle = {};
                }
                if (hashTableMap === void 0) {
                  hashTableMap = {};
                }
                this.hashTableNameToHandle = hashTableNameToHandle;
                this.hashTableMap = hashTableMap;
              }
              /**
               * Register a `HashTable` in the resource manager.
               *
               * The `HashTable` can be retrieved by `resourceManager.getHashTableById`,
               * where id is the table handle tensor's id.
               *
               * @param name Op node name that creates the `HashTable`.
               * @param hashTable The `HashTable` to be added to resource manager.
               */
              ResourceManager.prototype.addHashTable = function (name, hashTable) {
                this.hashTableNameToHandle[name] = hashTable.handle;
                this.hashTableMap[hashTable.id] = hashTable;
              };
              /**
               * Get the table handle by node name.
               * @param name Op node name that creates the `HashTable`. This name is also
               *     used in the inputs list of lookup and import `HashTable` ops.
               */
              ResourceManager.prototype.getHashTableHandleByName = function (name) {
                return this.hashTableNameToHandle[name];
              };
              /**
               * Get the actual `HashTable` by its handle tensor's id.
               * @param id The id of the handle tensor.
               */
              ResourceManager.prototype.getHashTableById = function (id) {
                return this.hashTableMap[id];
              };
              /**
               * Dispose `ResourceManager`, including its hashTables and tensors in them.
               */
              ResourceManager.prototype.dispose = function () {
                for (var key in this.hashTableMap) {
                  this.hashTableMap[key].clearAndClose();
                  delete this.hashTableMap[key];
                }
                for (var name_1 in this.hashTableNameToHandle) {
                  this.hashTableNameToHandle[name_1].dispose();
                  delete this.hashTableNameToHandle[name_1];
                }
              };
              return ResourceManager;
            })();

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var TFHUB_SEARCH_PARAM = '?tfjs-format=file';
            var DEFAULT_MODEL_NAME = 'model.json';
            /**
             * A `tf.GraphModel` is a directed, acyclic graph built from a
             * SavedModel GraphDef and allows inference execution.
             *
             * A `tf.GraphModel` can only be created by loading from a model converted from
             * a [TensorFlow SavedModel](https://www.tensorflow.org/guide/saved_model) using
             * the command line converter tool and loaded via `tf.loadGraphModel`.
             *
             * @doc {heading: 'Models', subheading: 'Classes'}
             */
            var GraphModel = /** @class */ (function () {
              /**
               * @param modelUrl url for the model, or an `io.IOHandler`.
               * @param weightManifestUrl url for the weight file generated by
               * scripts/convert.py script.
               * @param requestOption options for Request, which allows to send credentials
               * and custom headers.
               * @param onProgress Optional, progress callback function, fired periodically
               * before the load is completed.
               */
              function GraphModel(modelUrl, loadOptions) {
                if (loadOptions === void 0) {
                  loadOptions = {};
                }
                this.modelUrl = modelUrl;
                this.loadOptions = loadOptions;
                this.version = 'n/a';
                if (loadOptions == null) {
                  this.loadOptions = {};
                }
                this.resourceManager = new ResourceManager();
              }
              Object.defineProperty(GraphModel.prototype, 'modelVersion', {
                // Returns the version information for the tensorflow model GraphDef.
                get: function () {
                  return this.version;
                },
                enumerable: true,
                configurable: true,
              });
              Object.defineProperty(GraphModel.prototype, 'inputNodes', {
                get: function () {
                  return this.executor.inputNodes;
                },
                enumerable: true,
                configurable: true,
              });
              Object.defineProperty(GraphModel.prototype, 'outputNodes', {
                get: function () {
                  return this.executor.outputNodes;
                },
                enumerable: true,
                configurable: true,
              });
              Object.defineProperty(GraphModel.prototype, 'inputs', {
                get: function () {
                  return this.executor.inputs;
                },
                enumerable: true,
                configurable: true,
              });
              Object.defineProperty(GraphModel.prototype, 'outputs', {
                get: function () {
                  return this.executor.outputs;
                },
                enumerable: true,
                configurable: true,
              });
              Object.defineProperty(GraphModel.prototype, 'weights', {
                get: function () {
                  return this.executor.weightMap;
                },
                enumerable: true,
                configurable: true,
              });
              Object.defineProperty(GraphModel.prototype, 'metadata', {
                get: function () {
                  return this.artifacts.userDefinedMetadata;
                },
                enumerable: true,
                configurable: true,
              });
              Object.defineProperty(GraphModel.prototype, 'modelSignature', {
                get: function () {
                  return this.signature;
                },
                enumerable: true,
                configurable: true,
              });
              GraphModel.prototype.findIOHandler = function () {
                var path = this.modelUrl;
                if (path.load != null) {
                  // Path is an IO Handler.
                  this.handler = path;
                } else if (this.loadOptions.requestInit != null) {
                  this.handler = tfOps.io.browserHTTPRequest(path, this.loadOptions);
                } else {
                  var handlers = tfOps.io.getLoadHandlers(path, this.loadOptions);
                  if (handlers.length === 0) {
                    // For backward compatibility: if no load handler can be found,
                    // assume it is a relative http path.
                    handlers.push(tfOps.io.browserHTTPRequest(path, this.loadOptions));
                  } else if (handlers.length > 1) {
                    throw new Error(
                      'Found more than one (' +
                        handlers.length +
                        ') load handlers for ' +
                        ("URL '" + [path] + "'"),
                    );
                  }
                  this.handler = handlers[0];
                }
              };
              /**
               * Loads the model and weight files, construct the in memory weight map and
               * compile the inference graph.
               */
              GraphModel.prototype.load = function () {
                return __awaiter(this, void 0, void 0, function () {
                  var artifacts;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        this.findIOHandler();
                        if (this.handler.load == null) {
                          throw new Error(
                            'Cannot proceed with model loading because the IOHandler provided ' +
                              'does not have the `load` method implemented.',
                          );
                        }
                        return [4 /*yield*/, this.handler.load()];
                      case 1:
                        artifacts = _a.sent();
                        return [2 /*return*/, this.loadSync(artifacts)];
                    }
                  });
                });
              };
              /**
               * Synchronously construct the in memory weight map and
               * compile the inference graph. Also initialize hashtable if any.
               *
               * @doc {heading: 'Models', subheading: 'Classes', ignoreCI: true}
               */
              GraphModel.prototype.loadSync = function (artifacts) {
                this.artifacts = artifacts;
                var graph = this.artifacts.modelTopology;
                var signature;
                if (
                  this.artifacts.userDefinedMetadata != null &&
                  this.artifacts.userDefinedMetadata.signature != null
                ) {
                  signature = this.artifacts.userDefinedMetadata.signature; // tslint:disable-next-line:no-any
                } else {
                  signature = this.artifacts.signature;
                }
                this.signature = signature;
                this.version = graph.versions.producer + '.' + graph.versions.minConsumer;
                var weightMap = tfOps.io.decodeWeights(
                  this.artifacts.weightData,
                  this.artifacts.weightSpecs,
                );
                this.executor = new GraphExecutor(
                  OperationMapper.Instance.transformGraph(graph, this.signature),
                );
                this.executor.weightMap = this.convertTensorMapToTensorsMap(weightMap);
                // Attach a model-level resourceManager to each executor to share resources,
                // such as `HashTable`.
                this.executor.resourceManager = this.resourceManager;
                if (artifacts.modelInitializer != null && artifacts.modelInitializer.node != null) {
                  var initializer = OperationMapper.Instance.transformGraph(
                    artifacts.modelInitializer,
                  );
                  this.initializer = new GraphExecutor(initializer);
                  this.initializer.weightMap = this.executor.weightMap;
                  // Attach a model-level resourceManager to the initializer, the
                  // hashTables created from when executing the initializer will be stored
                  // in the resourceManager.
                  this.initializer.resourceManager = this.resourceManager;
                  this.initializer.executeAsync({}, []);
                }
                return true;
              };
              /**
               * Save the configuration and/or weights of the GraphModel.
               *
               * An `IOHandler` is an object that has a `save` method of the proper
               * signature defined. The `save` method manages the storing or
               * transmission of serialized data ("artifacts") that represent the
               * model's topology and weights onto or via a specific medium, such as
               * file downloads, local storage, IndexedDB in the web browser and HTTP
               * requests to a server. TensorFlow.js provides `IOHandler`
               * implementations for a number of frequently used saving mediums, such as
               * `tf.io.browserDownloads` and `tf.io.browserLocalStorage`. See `tf.io`
               * for more details.
               *
               * This method also allows you to refer to certain types of `IOHandler`s
               * as URL-like string shortcuts, such as 'localstorage://' and
               * 'indexeddb://'.
               *
               * Example 1: Save `model`'s topology and weights to browser [local
               * storage](https://developer.mozilla.org/en-US/docs/Web/API/Window/localStorage);
               * then load it back.
               *
               * ```js
               * const modelUrl =
               *    'https://storage.googleapis.com/tfjs-models/savedmodel/mobilenet_v2_1.0_224/model.json';
               * const model = await tf.loadGraphModel(modelUrl);
               * const zeros = tf.zeros([1, 224, 224, 3]);
               * model.predict(zeros).print();
               *
               * const saveResults = await model.save('localstorage://my-model-1');
               *
               * const loadedModel = await tf.loadGraphModel('localstorage://my-model-1');
               * console.log('Prediction from loaded model:');
               * model.predict(zeros).print();
               * ```
               *
               * @param handlerOrURL An instance of `IOHandler` or a URL-like,
               * scheme-based string shortcut for `IOHandler`.
               * @param config Options for saving the model.
               * @returns A `Promise` of `SaveResult`, which summarizes the result of
               * the saving, such as byte sizes of the saved artifacts for the model's
               *   topology and weight values.
               *
               * @doc {heading: 'Models', subheading: 'Classes', ignoreCI: true}
               */
              GraphModel.prototype.save = function (handlerOrURL, config) {
                return __awaiter(this, void 0, void 0, function () {
                  var handlers;
                  return __generator(this, function (_a) {
                    if (typeof handlerOrURL === 'string') {
                      handlers = tfOps.io.getSaveHandlers(handlerOrURL);
                      if (handlers.length === 0) {
                        throw new Error(
                          "Cannot find any save handlers for URL '" + handlerOrURL + "'",
                        );
                      } else if (handlers.length > 1) {
                        throw new Error(
                          'Found more than one (' +
                            handlers.length +
                            ') save handlers for ' +
                            ("URL '" + handlerOrURL + "'"),
                        );
                      }
                      handlerOrURL = handlers[0];
                    }
                    if (handlerOrURL.save == null) {
                      throw new Error(
                        'GraphModel.save() cannot proceed because the IOHandler ' +
                          'provided does not have the `save` attribute defined.',
                      );
                    }
                    return [2 /*return*/, handlerOrURL.save(this.artifacts)];
                  });
                });
              };
              /**
               * Execute the inference for the input tensors.
               *
               * @param input The input tensors, when there is single input for the model,
               * inputs param should be a `tf.Tensor`. For models with mutliple inputs,
               * inputs params should be in either `tf.Tensor`[] if the input order is
               * fixed, or otherwise NamedTensorMap format.
               *
               * For model with multiple inputs, we recommend you use NamedTensorMap as the
               * input type, if you use `tf.Tensor`[], the order of the array needs to
               * follow the
               * order of inputNodes array. @see {@link GraphModel.inputNodes}
               *
               * You can also feed any intermediate nodes using the NamedTensorMap as the
               * input type. For example, given the graph
               *    InputNode => Intermediate => OutputNode,
               * you can execute the subgraph Intermediate => OutputNode by calling
               *    model.execute('IntermediateNode' : tf.tensor(...));
               *
               * This is useful for models that uses tf.dynamic_rnn, where the intermediate
               * state needs to be fed manually.
               *
               * For batch inference execution, the tensors for each input need to be
               * concatenated together. For example with mobilenet, the required input shape
               * is [1, 244, 244, 3], which represents the [batch, height, width, channel].
               * If we are provide a batched data of 100 images, the input tensor should be
               * in the shape of [100, 244, 244, 3].
               *
               * @param config Prediction configuration for specifying the batch size and
               * output node names. Currently the batch size option is ignored for graph
               * model.
               *
               * @returns Inference result tensors. The output would be single `tf.Tensor`
               * if model has single output node, otherwise Tensor[] or NamedTensorMap[]
               * will be returned for model with multiple outputs.
               *
               * @doc {heading: 'Models', subheading: 'Classes'}
               */
              GraphModel.prototype.predict = function (inputs, config) {
                return this.execute(inputs, this.outputNodes);
              };
              GraphModel.prototype.normalizeInputs = function (inputs) {
                if (!(inputs instanceof tfOps.Tensor) && !Array.isArray(inputs)) {
                  // The input is already a NamedTensorMap.
                  return inputs;
                }
                inputs = Array.isArray(inputs) ? inputs : [inputs];
                if (inputs.length !== this.inputNodes.length) {
                  throw new Error(
                    'Input tensor count mismatch,' +
                      ('the graph model has ' + this.inputNodes.length + ' placeholders, ') +
                      ('while there are ' + inputs.length + ' input tensors.'),
                  );
                }
                return this.inputNodes.reduce(function (map, inputName, i) {
                  map[inputName] = inputs[i];
                  return map;
                }, {});
              };
              GraphModel.prototype.normalizeOutputs = function (outputs) {
                outputs = outputs || this.outputNodes;
                return !Array.isArray(outputs) ? [outputs] : outputs;
              };
              /**
               * Executes inference for the model for given input tensors.
               * @param inputs tensor, tensor array or tensor map of the inputs for the
               * model, keyed by the input node names.
               * @param outputs output node name from the Tensorflow model, if no
               * outputs are specified, the default outputs of the model would be used.
               * You can inspect intermediate nodes of the model by adding them to the
               * outputs array.
               *
               * @returns A single tensor if provided with a single output or no outputs
               * are provided and there is only one default output, otherwise return a
               * tensor array. The order of the tensor array is the same as the outputs
               * if provided, otherwise the order of outputNodes attribute of the model.
               *
               * @doc {heading: 'Models', subheading: 'Classes'}
               */
              GraphModel.prototype.execute = function (inputs, outputs) {
                inputs = this.normalizeInputs(inputs);
                outputs = this.normalizeOutputs(outputs);
                var result = this.executor.execute(inputs, outputs);
                return result.length > 1 ? result : result[0];
              };
              /**
               * Executes inference for the model for given input tensors in async
               * fashion, use this method when your model contains control flow ops.
               * @param inputs tensor, tensor array or tensor map of the inputs for the
               * model, keyed by the input node names.
               * @param outputs output node name from the Tensorflow model, if no outputs
               * are specified, the default outputs of the model would be used. You can
               * inspect intermediate nodes of the model by adding them to the outputs
               * array.
               *
               * @returns A Promise of single tensor if provided with a single output or
               * no outputs are provided and there is only one default output, otherwise
               * return a tensor map.
               *
               * @doc {heading: 'Models', subheading: 'Classes'}
               */
              GraphModel.prototype.executeAsync = function (inputs, outputs) {
                return __awaiter(this, void 0, void 0, function () {
                  var result;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        inputs = this.normalizeInputs(inputs);
                        outputs = this.normalizeOutputs(outputs);
                        return [4 /*yield*/, this.executor.executeAsync(inputs, outputs)];
                      case 1:
                        result = _a.sent();
                        return [2 /*return*/, result.length > 1 ? result : result[0]];
                    }
                  });
                });
              };
              GraphModel.prototype.convertTensorMapToTensorsMap = function (map) {
                return Object.keys(map).reduce(function (newMap, key) {
                  newMap[key] = [map[key]];
                  return newMap;
                }, {});
              };
              /**
               * Releases the memory used by the weight tensors and resourceManager.
               *
               * @doc {heading: 'Models', subheading: 'Classes'}
               */
              GraphModel.prototype.dispose = function () {
                this.executor.dispose();
                if (this.initializer) {
                  this.initializer.dispose();
                }
                this.resourceManager.dispose();
              };
              return GraphModel;
            })();
            /**
             * Load a graph model given a URL to the model definition.
             *
             * Example of loading MobileNetV2 from a URL and making a prediction with a
             * zeros input:
             *
             * ```js
             * const modelUrl =
             *    'https://storage.googleapis.com/tfjs-models/savedmodel/mobilenet_v2_1.0_224/model.json';
             * const model = await tf.loadGraphModel(modelUrl);
             * const zeros = tf.zeros([1, 224, 224, 3]);
             * model.predict(zeros).print();
             * ```
             *
             * Example of loading MobileNetV2 from a TF Hub URL and making a prediction with
             * a zeros input:
             *
             * ```js
             * const modelUrl =
             *    'https://tfhub.dev/google/imagenet/mobilenet_v2_140_224/classification/2';
             * const model = await tf.loadGraphModel(modelUrl, {fromTFHub: true});
             * const zeros = tf.zeros([1, 224, 224, 3]);
             * model.predict(zeros).print();
             * ```
             * @param modelUrl The url or an `io.IOHandler` that loads the model.
             * @param options Options for the HTTP request, which allows to send credentials
             *    and custom headers.
             *
             * @doc {heading: 'Models', subheading: 'Loading'}
             */
            function loadGraphModel(modelUrl, options) {
              if (options === void 0) {
                options = {};
              }
              return __awaiter(this, void 0, void 0, function () {
                var model;
                return __generator(this, function (_a) {
                  switch (_a.label) {
                    case 0:
                      if (modelUrl == null) {
                        throw new Error(
                          'modelUrl in loadGraphModel() cannot be null. Please provide a url ' +
                            'or an IOHandler that loads the model',
                        );
                      }
                      if (options == null) {
                        options = {};
                      }
                      if (options.fromTFHub) {
                        if (modelUrl.load == null) {
                          if (!modelUrl.endsWith('/')) {
                            modelUrl = modelUrl + '/';
                          }
                          modelUrl = '' + modelUrl + DEFAULT_MODEL_NAME + TFHUB_SEARCH_PARAM;
                        }
                      }
                      model = new GraphModel(modelUrl, options);
                      return [4 /*yield*/, model.load()];
                    case 1:
                      _a.sent();
                      return [2 /*return*/, model];
                  }
                });
              });
            }

            /** @license See the LICENSE file. */
            // This code is auto-generated, do not modify this file!
            var version = '3.7.0';

            exports.GraphModel = GraphModel;
            exports.deregisterOp = deregisterOp;
            exports.loadGraphModel = loadGraphModel;
            exports.registerOp = registerOp;
            exports.version_converter = version;
          }.call(this));
        }.call(this, require('buffer').Buffer));
      },
      { '@tensorflow/tfjs-core': 35, 'buffer': 38 },
    ],
    35: [
      function (require, module, exports) {
        (function (
          process,
          global,
          Buffer,
          __argument0,
          __argument1,
          __argument2,
          __argument3,
          setImmediate,
        ) {
          (function () {
            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            'use strict';

            Object.defineProperty(exports, '__esModule', { value: true });

            /*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */
            /* global Reflect, Promise */

            var extendStatics = function (d, b) {
              extendStatics =
                Object.setPrototypeOf ||
                ({ __proto__: [] } instanceof Array &&
                  function (d, b) {
                    d.__proto__ = b;
                  }) ||
                function (d, b) {
                  for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
                };
              return extendStatics(d, b);
            };

            function __extends(d, b) {
              extendStatics(d, b);
              function __() {
                this.constructor = d;
              }
              d.prototype =
                b === null ? Object.create(b) : ((__.prototype = b.prototype), new __());
            }

            function __awaiter(thisArg, _arguments, P, generator) {
              function adopt(value) {
                return value instanceof P
                  ? value
                  : new P(function (resolve) {
                      resolve(value);
                    });
              }
              return new (P || (P = Promise))(function (resolve, reject) {
                function fulfilled(value) {
                  try {
                    step(generator.next(value));
                  } catch (e) {
                    reject(e);
                  }
                }
                function rejected(value) {
                  try {
                    step(generator['throw'](value));
                  } catch (e) {
                    reject(e);
                  }
                }
                function step(result) {
                  result.done
                    ? resolve(result.value)
                    : adopt(result.value).then(fulfilled, rejected);
                }
                step((generator = generator.apply(thisArg, _arguments || [])).next());
              });
            }

            function __generator(thisArg, body) {
              var _ = {
                  label: 0,
                  sent: function () {
                    if (t[0] & 1) throw t[1];
                    return t[1];
                  },
                  trys: [],
                  ops: [],
                },
                f,
                y,
                t,
                g;
              return (
                (g = { next: verb(0), throw: verb(1), return: verb(2) }),
                typeof Symbol === 'function' &&
                  (g[Symbol.iterator] = function () {
                    return this;
                  }),
                g
              );
              function verb(n) {
                return function (v) {
                  return step([n, v]);
                };
              }
              function step(op) {
                if (f) throw new TypeError('Generator is already executing.');
                while (_)
                  try {
                    if (
                      ((f = 1),
                      y &&
                        (t =
                          op[0] & 2
                            ? y['return']
                            : op[0]
                            ? y['throw'] || ((t = y['return']) && t.call(y), 0)
                            : y.next) &&
                        !(t = t.call(y, op[1])).done)
                    )
                      return t;
                    if (((y = 0), t)) op = [op[0] & 2, t.value];
                    switch (op[0]) {
                      case 0:
                      case 1:
                        t = op;
                        break;
                      case 4:
                        _.label++;
                        return { value: op[1], done: false };
                      case 5:
                        _.label++;
                        y = op[1];
                        op = [0];
                        continue;
                      case 7:
                        op = _.ops.pop();
                        _.trys.pop();
                        continue;
                      default:
                        if (
                          !((t = _.trys), (t = t.length > 0 && t[t.length - 1])) &&
                          (op[0] === 6 || op[0] === 2)
                        ) {
                          _ = 0;
                          continue;
                        }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                          _.label = op[1];
                          break;
                        }
                        if (op[0] === 6 && _.label < t[1]) {
                          _.label = t[1];
                          t = op;
                          break;
                        }
                        if (t && _.label < t[2]) {
                          _.label = t[2];
                          _.ops.push(op);
                          break;
                        }
                        if (t[2]) _.ops.pop();
                        _.trys.pop();
                        continue;
                    }
                    op = body.call(thisArg, _);
                  } catch (e) {
                    op = [6, e];
                    y = 0;
                  } finally {
                    f = t = 0;
                  }
                if (op[0] & 5) throw op[1];
                return { value: op[0] ? op[1] : void 0, done: true };
              }
            }

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var EPSILON_FLOAT32 = 1e-7;
            var EPSILON_FLOAT16 = 1e-4;
            /** Convenient class for storing tensor-related data. */
            var DataStorage = /** @class */ (function () {
              function DataStorage(backend, dataMover) {
                this.backend = backend;
                this.dataMover = dataMover;
                this.data = new WeakMap();
                this.dataIdsCount = 0;
              }
              DataStorage.prototype.get = function (dataId) {
                if (!this.data.has(dataId)) {
                  this.dataMover.moveData(this.backend, dataId);
                }
                return this.data.get(dataId);
              };
              DataStorage.prototype.set = function (dataId, value) {
                this.dataIdsCount++;
                this.data.set(dataId, value);
              };
              DataStorage.prototype.has = function (dataId) {
                return this.data.has(dataId);
              };
              DataStorage.prototype.delete = function (dataId) {
                this.dataIdsCount--;
                return this.data.delete(dataId);
              };
              DataStorage.prototype.numDataIds = function () {
                return this.dataIdsCount;
              };
              return DataStorage;
            })();
            /**
             * The interface that defines the kernels that should be implemented when
             * adding a new backend. New backends don't need to implement every one of the
             * methods, this can be done gradually (throw an error for unimplemented
             * methods).
             */
            var KernelBackend = /** @class */ (function () {
              function KernelBackend() {}
              KernelBackend.prototype.refCount = function (dataId) {
                return notYetImplemented('refCount');
              };
              KernelBackend.prototype.incRef = function (dataId) {
                return notYetImplemented('incRef');
              };
              KernelBackend.prototype.timerAvailable = function () {
                return true;
              };
              KernelBackend.prototype.time = function (f) {
                return notYetImplemented('time');
              };
              KernelBackend.prototype.read = function (dataId) {
                return notYetImplemented('read');
              };
              KernelBackend.prototype.readSync = function (dataId) {
                return notYetImplemented('readSync');
              };
              KernelBackend.prototype.numDataIds = function () {
                return notYetImplemented('numDataIds');
              };
              KernelBackend.prototype.disposeData = function (dataId, force) {
                return notYetImplemented('disposeData');
              };
              KernelBackend.prototype.write = function (values, shape, dtype) {
                return notYetImplemented('write');
              };
              KernelBackend.prototype.move = function (dataId, values, shape, dtype, refCount) {
                return notYetImplemented('move');
              };
              KernelBackend.prototype.memory = function () {
                return notYetImplemented('memory');
              };
              /** Returns the highest precision for floats in bits (e.g. 16 or 32) */
              KernelBackend.prototype.floatPrecision = function () {
                return notYetImplemented('floatPrecision');
              };
              /** Returns the smallest representable number.  */
              KernelBackend.prototype.epsilon = function () {
                return this.floatPrecision() === 32 ? EPSILON_FLOAT32 : EPSILON_FLOAT16;
              };
              KernelBackend.prototype.dispose = function () {
                return notYetImplemented('dispose');
              };
              return KernelBackend;
            })();
            function notYetImplemented(kernelName) {
              throw new Error(
                "'" +
                  kernelName +
                  "' not yet implemented or not found in the registry. " +
                  'This kernel may not be supported by the tfjs backend you have chosen',
              );
            }

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Shuffles the array in-place using Fisher-Yates algorithm.
             *
             * ```js
             * const a = [1, 2, 3, 4, 5];
             * tf.util.shuffle(a);
             * console.log(a);
             * ```
             *
             * @param array The array to shuffle in-place.
             *
             * @doc {heading: 'Util', namespace: 'util'}
             */
            // tslint:disable-next-line:no-any
            function shuffle(array) {
              var counter = array.length;
              var temp = 0;
              var index = 0;
              // While there are elements in the array
              while (counter > 0) {
                // Pick a random index
                index = (Math.random() * counter) | 0;
                // Decrease counter by 1
                counter--;
                // And swap the last element with it
                temp = array[counter];
                array[counter] = array[index];
                array[index] = temp;
              }
            }
            /**
             * Shuffles two arrays in-place the same way using Fisher-Yates algorithm.
             *
             * ```js
             * const a = [1,2,3,4,5];
             * const b = [11,22,33,44,55];
             * tf.util.shuffleCombo(a, b);
             * console.log(a, b);
             * ```
             *
             * @param array The first array to shuffle in-place.
             * @param array2 The second array to shuffle in-place with the same permutation
             *     as the first array.
             *
             * @doc {heading: 'Util', namespace: 'util'}
             */
            function shuffleCombo(
              // tslint:disable-next-line:no-any
              array,
              // tslint:disable-next-line:no-any
              array2,
            ) {
              if (array.length !== array2.length) {
                throw new Error(
                  'Array sizes must match to be shuffled together ' +
                    ('First array length was ' + array.length) +
                    ('Second array length was ' + array2.length),
                );
              }
              var counter = array.length;
              var temp, temp2;
              var index = 0;
              // While there are elements in the array
              while (counter > 0) {
                // Pick a random index
                index = (Math.random() * counter) | 0;
                // Decrease counter by 1
                counter--;
                // And swap the last element of each array with it
                temp = array[counter];
                temp2 = array2[counter];
                array[counter] = array[index];
                array2[counter] = array2[index];
                array[index] = temp;
                array2[index] = temp2;
              }
            }
            /** Clamps a value to a specified range. */
            function clamp(min, x, max) {
              return Math.max(min, Math.min(x, max));
            }
            function nearestLargerEven(val) {
              return val % 2 === 0 ? val : val + 1;
            }
            function sum(arr) {
              var sum = 0;
              for (var i = 0; i < arr.length; i++) {
                sum += arr[i];
              }
              return sum;
            }
            /**
             * Returns a sample from a uniform [a, b) distribution.
             *
             * @param a The minimum support (inclusive).
             * @param b The maximum support (exclusive).
             * @return A pseudorandom number on the half-open interval [a,b).
             */
            function randUniform(a, b) {
              var r = Math.random();
              return b * r + (1 - r) * a;
            }
            /** Returns the squared Euclidean distance between two vectors. */
            function distSquared(a, b) {
              var result = 0;
              for (var i = 0; i < a.length; i++) {
                var diff = Number(a[i]) - Number(b[i]);
                result += diff * diff;
              }
              return result;
            }
            /**
             * Asserts that the expression is true. Otherwise throws an error with the
             * provided message.
             *
             * ```js
             * const x = 2;
             * tf.util.assert(x === 2, 'x is not 2');
             * ```
             *
             * @param expr The expression to assert (as a boolean).
             * @param msg A function that returns the message to report when throwing an
             *     error. We use a function for performance reasons.
             *
             * @doc {heading: 'Util', namespace: 'util'}
             */
            function assert(expr, msg) {
              if (!expr) {
                throw new Error(typeof msg === 'string' ? msg : msg());
              }
            }
            function assertShapesMatch(shapeA, shapeB, errorMessagePrefix) {
              if (errorMessagePrefix === void 0) {
                errorMessagePrefix = '';
              }
              assert(arraysEqual(shapeA, shapeB), function () {
                return (
                  errorMessagePrefix + (' Shapes ' + shapeA + ' and ' + shapeB + ' must match')
                );
              });
            }
            function assertNonNull(a) {
              assert(a != null, function () {
                return 'The input to the tensor constructor must be a non-null value.';
              });
            }
            // NOTE: We explicitly type out what T extends instead of any so that
            // util.flatten on a nested array of number doesn't try to infer T as a
            // number[][], causing us to explicitly type util.flatten<number>().
            /**
             *  Flattens an arbitrarily nested array.
             *
             * ```js
             * const a = [[1, 2], [3, 4], [5, [6, [7]]]];
             * const flat = tf.util.flatten(a);
             * console.log(flat);
             * ```
             *
             *  @param arr The nested array to flatten.
             *  @param result The destination array which holds the elements.
             *  @param skipTypedArray If true, avoids flattening the typed arrays. Defaults
             *      to false.
             *
             * @doc {heading: 'Util', namespace: 'util'}
             */
            function flatten(arr, result, skipTypedArray) {
              if (result === void 0) {
                result = [];
              }
              if (skipTypedArray === void 0) {
                skipTypedArray = false;
              }
              if (result == null) {
                result = [];
              }
              if (Array.isArray(arr) || (isTypedArray(arr) && !skipTypedArray)) {
                for (var i = 0; i < arr.length; ++i) {
                  flatten(arr[i], result, skipTypedArray);
                }
              } else {
                result.push(arr);
              }
              return result;
            }
            /**
             * Returns the size (number of elements) of the tensor given its shape.
             *
             * ```js
             * const shape = [3, 4, 2];
             * const size = tf.util.sizeFromShape(shape);
             * console.log(size);
             * ```
             *
             * @doc {heading: 'Util', namespace: 'util'}
             */
            function sizeFromShape(shape) {
              if (shape.length === 0) {
                // Scalar.
                return 1;
              }
              var size = shape[0];
              for (var i = 1; i < shape.length; i++) {
                size *= shape[i];
              }
              return size;
            }
            function isScalarShape(shape) {
              return shape.length === 0;
            }
            function arraysEqual(n1, n2) {
              if (n1 === n2) {
                return true;
              }
              if (n1 == null || n2 == null) {
                return false;
              }
              if (n1.length !== n2.length) {
                return false;
              }
              for (var i = 0; i < n1.length; i++) {
                if (n1[i] !== n2[i]) {
                  return false;
                }
              }
              return true;
            }
            function isInt(a) {
              return a % 1 === 0;
            }
            function tanh(x) {
              // tslint:disable-next-line:no-any
              if (Math.tanh != null) {
                // tslint:disable-next-line:no-any
                return Math.tanh(x);
              }
              if (x === Infinity) {
                return 1;
              } else if (x === -Infinity) {
                return -1;
              } else {
                var e2x = Math.exp(2 * x);
                return (e2x - 1) / (e2x + 1);
              }
            }
            function sizeToSquarishShape(size) {
              var width = Math.ceil(Math.sqrt(size));
              return [width, Math.ceil(size / width)];
            }
            /**
             * Creates a new array with randomized indicies to a given quantity.
             *
             * ```js
             * const randomTen = tf.util.createShuffledIndices(10);
             * console.log(randomTen);
             * ```
             *
             * @param number Quantity of how many shuffled indicies to create.
             *
             * @doc {heading: 'Util', namespace: 'util'}
             */
            function createShuffledIndices(n) {
              var shuffledIndices = new Uint32Array(n);
              for (var i = 0; i < n; ++i) {
                shuffledIndices[i] = i;
              }
              shuffle(shuffledIndices);
              return shuffledIndices;
            }
            function rightPad(a, size) {
              if (size <= a.length) {
                return a;
              }
              return a + ' '.repeat(size - a.length);
            }
            function repeatedTry(checkFn, delayFn, maxCounter) {
              if (delayFn === void 0) {
                delayFn = function (counter) {
                  return 0;
                };
              }
              return new Promise(function (resolve, reject) {
                var tryCount = 0;
                var tryFn = function () {
                  if (checkFn()) {
                    resolve();
                    return;
                  }
                  tryCount++;
                  var nextBackoff = delayFn(tryCount);
                  if (maxCounter != null && tryCount >= maxCounter) {
                    reject();
                    return;
                  }
                  setTimeout(tryFn, nextBackoff);
                };
                tryFn();
              });
            }
            /**
             * Given the full size of the array and a shape that may contain -1 as the
             * implicit dimension, returns the inferred shape where -1 is replaced.
             * E.g. For shape=[2, -1, 3] and size=24, it will return [2, 4, 3].
             *
             * @param shape The shape, which may contain -1 in some dimension.
             * @param size The full size (number of elements) of the array.
             * @return The inferred shape where -1 is replaced with the inferred size.
             */
            function inferFromImplicitShape(shape, size) {
              var shapeProd = 1;
              var implicitIdx = -1;
              for (var i = 0; i < shape.length; ++i) {
                if (shape[i] >= 0) {
                  shapeProd *= shape[i];
                } else if (shape[i] === -1) {
                  if (implicitIdx !== -1) {
                    throw Error(
                      'Shapes can only have 1 implicit size. ' +
                        ('Found -1 at dim ' + implicitIdx + ' and dim ' + i),
                    );
                  }
                  implicitIdx = i;
                } else if (shape[i] < 0) {
                  throw Error('Shapes can not be < 0. Found ' + shape[i] + ' at dim ' + i);
                }
              }
              if (implicitIdx === -1) {
                if (size > 0 && size !== shapeProd) {
                  throw Error('Size(' + size + ') must match the product of shape ' + shape);
                }
                return shape;
              }
              if (shapeProd === 0) {
                throw Error(
                  'Cannot infer the missing size in [' + shape + '] when ' + 'there are 0 elements',
                );
              }
              if (size % shapeProd !== 0) {
                throw Error(
                  "The implicit shape can't be a fractional number. " +
                    ('Got ' + size + ' / ' + shapeProd),
                );
              }
              var newShape = shape.slice();
              newShape[implicitIdx] = size / shapeProd;
              return newShape;
            }
            function parseAxisParam(axis, shape) {
              var rank = shape.length;
              // Normalize input
              axis =
                axis == null
                  ? shape.map(function (s, i) {
                      return i;
                    })
                  : [].concat(axis);
              // Check for valid range
              assert(
                axis.every(function (ax) {
                  return ax >= -rank && ax < rank;
                }),
                function () {
                  return (
                    'All values in axis param must be in range [-' +
                    rank +
                    ', ' +
                    rank +
                    ') but ' +
                    ('got axis ' + axis)
                  );
                },
              );
              // Check for only integers
              assert(
                axis.every(function (ax) {
                  return isInt(ax);
                }),
                function () {
                  return 'All values in axis param must be integers but ' + ('got axis ' + axis);
                },
              );
              // Handle negative axis.
              return axis.map(function (a) {
                return a < 0 ? rank + a : a;
              });
            }
            /** Reduces the shape by removing all dimensions of shape 1. */
            function squeezeShape(shape, axis) {
              var newShape = [];
              var keptDims = [];
              var isEmptyArray = axis != null && Array.isArray(axis) && axis.length === 0;
              var axes = axis == null || isEmptyArray ? null : parseAxisParam(axis, shape).sort();
              var j = 0;
              for (var i = 0; i < shape.length; ++i) {
                if (axes != null) {
                  if (axes[j] === i && shape[i] !== 1) {
                    throw new Error(
                      "Can't squeeze axis " + i + " since its dim '" + shape[i] + "' is not 1",
                    );
                  }
                  if ((axes[j] == null || axes[j] > i) && shape[i] === 1) {
                    newShape.push(shape[i]);
                    keptDims.push(i);
                  }
                  if (axes[j] <= i) {
                    j++;
                  }
                }
                if (shape[i] !== 1) {
                  newShape.push(shape[i]);
                  keptDims.push(i);
                }
              }
              return { newShape: newShape, keptDims: keptDims };
            }
            function getTypedArrayFromDType(dtype, size) {
              var values = null;
              if (dtype == null || dtype === 'float32') {
                values = new Float32Array(size);
              } else if (dtype === 'int32') {
                values = new Int32Array(size);
              } else if (dtype === 'bool') {
                values = new Uint8Array(size);
              } else {
                throw new Error('Unknown data type ' + dtype);
              }
              return values;
            }
            function getArrayFromDType(dtype, size) {
              var values = null;
              if (dtype == null || dtype === 'float32') {
                values = new Float32Array(size);
              } else if (dtype === 'int32') {
                values = new Int32Array(size);
              } else if (dtype === 'bool') {
                values = new Uint8Array(size);
              } else if (dtype === 'string') {
                values = new Array(size);
              } else {
                throw new Error('Unknown data type ' + dtype);
              }
              return values;
            }
            function checkConversionForErrors(vals, dtype) {
              for (var i = 0; i < vals.length; i++) {
                var num = vals[i];
                if (isNaN(num) || !isFinite(num)) {
                  throw Error(
                    'A tensor of type ' + dtype + ' being uploaded contains ' + num + '.',
                  );
                }
              }
            }
            /** Returns true if the dtype is valid. */
            function isValidDtype(dtype) {
              return (
                dtype === 'bool' ||
                dtype === 'complex64' ||
                dtype === 'float32' ||
                dtype === 'int32' ||
                dtype === 'string'
              );
            }
            /**
             * Returns true if the new type can't encode the old type without loss of
             * precision.
             */
            function hasEncodingLoss(oldType, newType) {
              if (newType === 'complex64') {
                return false;
              }
              if (newType === 'float32' && oldType !== 'complex64') {
                return false;
              }
              if (newType === 'int32' && oldType !== 'float32' && oldType !== 'complex64') {
                return false;
              }
              if (newType === 'bool' && oldType === 'bool') {
                return false;
              }
              return true;
            }
            function isTypedArray(a) {
              return (
                a instanceof Float32Array || a instanceof Int32Array || a instanceof Uint8Array
              );
            }
            function bytesPerElement(dtype) {
              if (dtype === 'float32' || dtype === 'int32') {
                return 4;
              } else if (dtype === 'complex64') {
                return 8;
              } else if (dtype === 'bool') {
                return 1;
              } else {
                throw new Error('Unknown dtype ' + dtype);
              }
            }
            /**
             * Returns the approximate number of bytes allocated in the string array - 2
             * bytes per character. Computing the exact bytes for a native string in JS is
             * not possible since it depends on the encoding of the html page that serves
             * the website.
             */
            function bytesFromStringArray(arr) {
              if (arr == null) {
                return 0;
              }
              var bytes = 0;
              arr.forEach(function (x) {
                return (bytes += x.length);
              });
              return bytes;
            }
            /** Returns true if the value is a string. */
            function isString(value) {
              return typeof value === 'string' || value instanceof String;
            }
            function isBoolean(value) {
              return typeof value === 'boolean';
            }
            function isNumber(value) {
              return typeof value === 'number';
            }
            function inferDtype(values) {
              if (Array.isArray(values)) {
                return inferDtype(values[0]);
              }
              if (values instanceof Float32Array) {
                return 'float32';
              } else if (values instanceof Int32Array || values instanceof Uint8Array) {
                return 'int32';
              } else if (isNumber(values)) {
                return 'float32';
              } else if (isString(values)) {
                return 'string';
              } else if (isBoolean(values)) {
                return 'bool';
              }
              return 'float32';
            }
            function isFunction(f) {
              return !!(f && f.constructor && f.call && f.apply);
            }
            function nearestDivisor(size, start) {
              for (var i = start; i < size; ++i) {
                if (size % i === 0) {
                  return i;
                }
              }
              return size;
            }
            function computeStrides(shape) {
              var rank = shape.length;
              if (rank < 2) {
                return [];
              }
              // Last dimension has implicit stride of 1, thus having D-1 (instead of D)
              // strides.
              var strides = new Array(rank - 1);
              strides[rank - 2] = shape[rank - 1];
              for (var i = rank - 3; i >= 0; --i) {
                strides[i] = strides[i + 1] * shape[i + 1];
              }
              return strides;
            }
            function createNestedArray(offset, shape, a, isComplex) {
              if (isComplex === void 0) {
                isComplex = false;
              }
              var ret = new Array();
              if (shape.length === 1) {
                var d = shape[0] * (isComplex ? 2 : 1);
                for (var i = 0; i < d; i++) {
                  ret[i] = a[offset + i];
                }
              } else {
                var d = shape[0];
                var rest = shape.slice(1);
                var len =
                  rest.reduce(function (acc, c) {
                    return acc * c;
                  }) * (isComplex ? 2 : 1);
                for (var i = 0; i < d; i++) {
                  ret[i] = createNestedArray(offset + i * len, rest, a, isComplex);
                }
              }
              return ret;
            }
            // Provide a nested array of TypedArray in given shape.
            function toNestedArray(shape, a, isComplex) {
              if (isComplex === void 0) {
                isComplex = false;
              }
              if (shape.length === 0) {
                // Scalar type should return a single number.
                return a[0];
              }
              var size =
                shape.reduce(function (acc, c) {
                  return acc * c;
                }) * (isComplex ? 2 : 1);
              if (size === 0) {
                // A tensor with shape zero should be turned into empty list.
                return [];
              }
              if (size !== a.length) {
                throw new Error(
                  '[' +
                    shape +
                    '] does not match the input size ' +
                    a.length +
                    (isComplex ? ' for a complex tensor' : '') +
                    '.',
                );
              }
              return createNestedArray(0, shape, a, isComplex);
            }
            function makeOnesTypedArray(size, dtype) {
              var array = makeZerosTypedArray(size, dtype);
              for (var i = 0; i < array.length; i++) {
                array[i] = 1;
              }
              return array;
            }
            function makeZerosTypedArray(size, dtype) {
              if (dtype == null || dtype === 'float32' || dtype === 'complex64') {
                return new Float32Array(size);
              } else if (dtype === 'int32') {
                return new Int32Array(size);
              } else if (dtype === 'bool') {
                return new Uint8Array(size);
              } else {
                throw new Error('Unknown data type ' + dtype);
              }
            }
            /**
             * Make nested `TypedArray` filled with zeros.
             * @param shape The shape information for the nested array.
             * @param dtype dtype of the array element.
             */
            function makeZerosNestedTypedArray(shape, dtype) {
              var size = shape.reduce(function (prev, curr) {
                return prev * curr;
              }, 1);
              if (dtype == null || dtype === 'float32') {
                return toNestedArray(shape, new Float32Array(size));
              } else if (dtype === 'int32') {
                return toNestedArray(shape, new Int32Array(size));
              } else if (dtype === 'bool') {
                return toNestedArray(shape, new Uint8Array(size));
              } else {
                throw new Error('Unknown data type ' + dtype);
              }
            }
            function assertNonNegativeIntegerDimensions(shape) {
              shape.forEach(function (dimSize) {
                assert(Number.isInteger(dimSize) && dimSize >= 0, function () {
                  return (
                    'Tensor must have a shape comprised of positive integers but got ' +
                    ('shape [' + shape + '].')
                  );
                });
              });
            }
            /**
             * Computes flat index for a given location (multidimentionsal index) in a
             * Tensor/multidimensional array.
             *
             * @param locs Location in the tensor.
             * @param rank Rank of the tensor.
             * @param strides Tensor strides.
             */
            function locToIndex(locs, rank, strides) {
              if (rank === 0) {
                return 0;
              } else if (rank === 1) {
                return locs[0];
              }
              var index = locs[locs.length - 1];
              for (var i = 0; i < locs.length - 1; ++i) {
                index += strides[i] * locs[i];
              }
              return index;
            }
            /**
             * Computes the location (multidimensional index) in a tensor/multidimentional
             * array for a given flat index.
             *
             * @param index Index in flat array.
             * @param rank Rank of tensor.
             * @param strides Strides of tensor.
             */
            function indexToLoc(index, rank, strides) {
              if (rank === 0) {
                return [];
              } else if (rank === 1) {
                return [index];
              }
              var locs = new Array(rank);
              for (var i = 0; i < locs.length - 1; ++i) {
                locs[i] = Math.floor(index / strides[i]);
                index -= locs[i] * strides[i];
              }
              locs[locs.length - 1] = index;
              return locs;
            }
            /**
             * This method asserts whether an object is a Promise instance.
             * @param object
             */
            // tslint:disable-next-line: no-any
            function isPromise(object) {
              //  We chose to not use 'obj instanceOf Promise' for two reasons:
              //  1. It only reliably works for es6 Promise, not other Promise
              //  implementations.
              //  2. It doesn't work with framework that uses zone.js. zone.js monkey patch
              //  the async calls, so it is possible the obj (patched) is comparing to a
              //  pre-patched Promise.
              return object && object.then && typeof object.then === 'function';
            }

            /**
             * @license
             * Copyright 2017 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            // Expects flags from URL in the format ?tfjsflags=FLAG1:1,FLAG2:true.
            var TENSORFLOWJS_FLAGS_PREFIX = 'tfjsflags';
            /**
             * The environment contains evaluated flags as well as the registered platform.
             * This is always used as a global singleton and can be retrieved with
             * `tf.env()`.
             *
             * @doc {heading: 'Environment'}
             */
            var Environment = /** @class */ (function () {
              // tslint:disable-next-line: no-any
              function Environment(global) {
                this.global = global;
                this.flags = {};
                this.flagRegistry = {};
                this.urlFlags = {};
                // Jasmine spies on this in 'environment_test.ts'
                this.getQueryParams = getQueryParams;
                this.populateURLFlags();
              }
              Environment.prototype.setPlatform = function (platformName, platform) {
                if (this.platform != null) {
                  console.warn(
                    'Platform ' +
                      this.platformName +
                      ' has already been set. ' +
                      ('Overwriting the platform with ' + platform + '.'),
                  );
                }
                this.platformName = platformName;
                this.platform = platform;
              };
              Environment.prototype.registerFlag = function (flagName, evaluationFn, setHook) {
                this.flagRegistry[flagName] = { evaluationFn: evaluationFn, setHook: setHook };
                // Override the flag value from the URL. This has to happen here because the
                // environment is initialized before flags get registered.
                if (this.urlFlags[flagName] != null) {
                  var flagValue = this.urlFlags[flagName];
                  console.warn(
                    'Setting feature override from URL ' + flagName + ': ' + flagValue + '.',
                  );
                  this.set(flagName, flagValue);
                }
              };
              Environment.prototype.getAsync = function (flagName) {
                return __awaiter(this, void 0, void 0, function () {
                  var _a, _b;
                  return __generator(this, function (_c) {
                    switch (_c.label) {
                      case 0:
                        if (flagName in this.flags) {
                          return [2 /*return*/, this.flags[flagName]];
                        }
                        _a = this.flags;
                        _b = flagName;
                        return [4 /*yield*/, this.evaluateFlag(flagName)];
                      case 1:
                        _a[_b] = _c.sent();
                        return [2 /*return*/, this.flags[flagName]];
                    }
                  });
                });
              };
              Environment.prototype.get = function (flagName) {
                if (flagName in this.flags) {
                  return this.flags[flagName];
                }
                var flagValue = this.evaluateFlag(flagName);
                if (isPromise(flagValue)) {
                  throw new Error(
                    'Flag ' +
                      flagName +
                      ' cannot be synchronously evaluated. ' +
                      'Please use getAsync() instead.',
                  );
                }
                this.flags[flagName] = flagValue;
                return this.flags[flagName];
              };
              Environment.prototype.getNumber = function (flagName) {
                return this.get(flagName);
              };
              Environment.prototype.getBool = function (flagName) {
                return this.get(flagName);
              };
              Environment.prototype.getFlags = function () {
                return this.flags;
              };
              Object.defineProperty(Environment.prototype, 'features', {
                // For backwards compatibility.
                get: function () {
                  return this.flags;
                },
                enumerable: true,
                configurable: true,
              });
              Environment.prototype.set = function (flagName, value) {
                if (this.flagRegistry[flagName] == null) {
                  throw new Error(
                    'Cannot set flag ' + flagName + ' as it has not been registered.',
                  );
                }
                this.flags[flagName] = value;
                if (this.flagRegistry[flagName].setHook != null) {
                  this.flagRegistry[flagName].setHook(value);
                }
              };
              Environment.prototype.evaluateFlag = function (flagName) {
                if (this.flagRegistry[flagName] == null) {
                  throw new Error(
                    "Cannot evaluate flag '" + flagName + "': no evaluation function found.",
                  );
                }
                return this.flagRegistry[flagName].evaluationFn();
              };
              Environment.prototype.setFlags = function (flags) {
                this.flags = Object.assign({}, flags);
              };
              Environment.prototype.reset = function () {
                this.flags = {};
                this.urlFlags = {};
                this.populateURLFlags();
              };
              Environment.prototype.populateURLFlags = function () {
                var _this = this;
                if (
                  typeof this.global === 'undefined' ||
                  typeof this.global.location === 'undefined' ||
                  typeof this.global.location.search === 'undefined'
                ) {
                  return;
                }
                var urlParams = this.getQueryParams(this.global.location.search);
                if (TENSORFLOWJS_FLAGS_PREFIX in urlParams) {
                  var keyValues = urlParams[TENSORFLOWJS_FLAGS_PREFIX].split(',');
                  keyValues.forEach(function (keyValue) {
                    var _a = keyValue.split(':'),
                      key = _a[0],
                      value = _a[1];
                    _this.urlFlags[key] = parseValue(key, value);
                  });
                }
              };
              return Environment;
            })();
            function getQueryParams(queryString) {
              var params = {};
              queryString.replace(/[?&]([^=?&]+)(?:=([^&]*))?/g, function (s) {
                var t = [];
                for (var _i = 1; _i < arguments.length; _i++) {
                  t[_i - 1] = arguments[_i];
                }
                decodeParam(params, t[0], t[1]);
                return t.join('=');
              });
              return params;
            }
            function decodeParam(params, name, value) {
              params[decodeURIComponent(name)] = decodeURIComponent(value || '');
            }
            function parseValue(flagName, value) {
              value = value.toLowerCase();
              if (value === 'true' || value === 'false') {
                return value === 'true';
              } else if ('' + +value === value) {
                return +value;
              }
              throw new Error(
                'Could not parse value flag value ' + value + ' for flag ' + flagName + '.',
              );
            }
            /**
             * Returns the current environment (a global singleton).
             *
             * The environment object contains the evaluated feature values as well as the
             * active platform.
             *
             * @doc {heading: 'Environment'}
             */
            function env() {
              return exports.ENV;
            }
            exports.ENV = null;
            function setEnvironmentGlobal(environment) {
              exports.ENV = environment;
            }

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            // Note that the identifier globalNameSpace is scoped to this module, but will
            // always resolve to the same global object regardless of how the module is
            // resolved.
            // tslint:disable-next-line:no-any
            var globalNameSpace;
            // tslint:disable-next-line:no-any
            function getGlobalNamespace() {
              if (globalNameSpace == null) {
                // tslint:disable-next-line:no-any
                var ns = void 0;
                if (typeof window !== 'undefined') {
                  ns = window;
                } else if (typeof global !== 'undefined') {
                  ns = global;
                } else if (typeof process !== 'undefined') {
                  ns = process;
                } else if (typeof self !== 'undefined') {
                  ns = self;
                } else {
                  throw new Error('Could not find a global object');
                }
                globalNameSpace = ns;
              }
              return globalNameSpace;
            }
            // tslint:disable-next-line:no-any
            function getGlobalMap() {
              var ns = getGlobalNamespace();
              if (ns._tfGlobals == null) {
                ns._tfGlobals = new Map();
              }
              return ns._tfGlobals;
            }
            /**
             * Returns a globally accessible 'singleton' object.
             *
             * @param key the name of the object
             * @param init a function to initialize to initialize this object
             *             the first time it is fetched.
             */
            function getGlobal(key, init) {
              var globalMap = getGlobalMap();
              if (globalMap.has(key)) {
                return globalMap.get(key);
              } else {
                var singleton = init();
                globalMap.set(key, singleton);
                return globalMap.get(key);
              }
            }

            var Abs = 'Abs';
            var Acos = 'Acos';
            var Acosh = 'Acosh';
            var Add = 'Add';
            var AddN = 'AddN';
            var All = 'All';
            var Any = 'Any';
            var ArgMax = 'ArgMax';
            var ArgMin = 'ArgMin';
            var Asin = 'Asin';
            var Asinh = 'Asinh';
            var Atan = 'Atan';
            var Atanh = 'Atanh';
            var Atan2 = 'Atan2';
            var AvgPool = 'AvgPool';
            var AvgPoolGrad = 'AvgPoolGrad';
            var AvgPool3D = 'AvgPool3D';
            var AvgPool3DGrad = 'AvgPool3DGrad';
            var BatchMatMul = 'BatchMatMul';
            var BatchToSpaceND = 'BatchToSpaceND';
            var Bincount = 'Bincount';
            var BroadcastTo = 'BroadcastTo';
            var Cast = 'Cast';
            var Ceil = 'Ceil';
            var ClipByValue = 'ClipByValue';
            var Complex = 'Complex';
            var ComplexAbs = 'ComplexAbs';
            var Concat = 'Concat';
            var Conv2D = 'Conv2D';
            var Conv2DBackpropFilter = 'Conv2DBackpropFilter';
            var Conv2DBackpropInput = 'Conv2DBackpropInput';
            var Conv3D = 'Conv3D';
            var Conv3DBackpropFilterV2 = 'Conv3DBackpropFilterV2';
            var Conv3DBackpropInputV2 = 'Conv3DBackpropInputV2';
            var Cos = 'Cos';
            var Cosh = 'Cosh';
            var Cumsum = 'Cumsum';
            var CropAndResize = 'CropAndResize';
            var DenseBincount = 'DenseBincount';
            var DepthToSpace = 'DepthToSpace';
            var DepthwiseConv2dNative = 'DepthwiseConv2dNative';
            var DepthwiseConv2dNativeBackpropFilter = 'DepthwiseConv2dNativeBackpropFilter';
            var DepthwiseConv2dNativeBackpropInput = 'DepthwiseConv2dNativeBackpropInput';
            var Diag = 'Diag';
            var Dilation2D = 'Dilation2D';
            var Dilation2DBackpropInput = 'Dilation2DBackpropInput';
            var Dilation2DBackpropFilter = 'Dilation2DBackpropFilter';
            var RealDiv = 'RealDiv';
            var Einsum = 'Einsum';
            var Elu = 'Elu';
            var EluGrad = 'EluGrad';
            var Erf = 'Erf';
            var Equal = 'Equal';
            var Exp = 'Exp';
            var ExpandDims = 'ExpandDims';
            var Expm1 = 'Expm1';
            var FFT = 'FFT';
            var Fill = 'Fill';
            var FlipLeftRight = 'FlipLeftRight';
            var Floor = 'Floor';
            var FloorDiv = 'FloorDiv';
            var FusedBatchNorm = 'FusedBatchNorm';
            var GatherV2 = 'GatherV2';
            var GatherNd = 'GatherNd';
            var Greater = 'Greater';
            var GreaterEqual = 'GreaterEqual';
            var Identity = 'Identity';
            var IFFT = 'IFFT';
            var Imag = 'Imag';
            var IsFinite = 'IsFinite';
            var IsInf = 'IsInf';
            var IsNan = 'IsNan';
            var LeakyRelu = 'LeakyRelu';
            var Less = 'Less';
            var LessEqual = 'LessEqual';
            var LinSpace = 'LinSpace';
            var Log = 'Log';
            var Log1p = 'Log1p';
            var LogicalAnd = 'LogicalAnd';
            var LogicalNot = 'LogicalNot';
            var LogicalOr = 'LogicalOr';
            var LogSoftmax = 'LogSoftmax';
            var LRN = 'LRN';
            var LRNGrad = 'LRNGrad';
            var Max = 'Max';
            var Maximum = 'Maximum';
            var MaxPool = 'MaxPool';
            var MaxPoolGrad = 'MaxPoolGrad';
            var MaxPool3D = 'MaxPool3D';
            var MaxPool3DGrad = 'MaxPool3DGrad';
            var MaxPoolWithArgmax = 'MaxPoolWithArgmax';
            var Mean = 'Mean';
            var Min = 'Min';
            var Minimum = 'Minimum';
            var MirrorPad = 'MirrorPad';
            var Mod = 'Mod';
            var Multinomial = 'Multinomial';
            var Multiply = 'Multiply';
            var Neg = 'Neg';
            var NotEqual = 'NotEqual';
            var NonMaxSuppressionV3 = 'NonMaxSuppressionV3';
            var NonMaxSuppressionV4 = 'NonMaxSuppressionV4';
            var NonMaxSuppressionV5 = 'NonMaxSuppressionV5';
            var OnesLike = 'OnesLike';
            var OneHot = 'OneHot';
            var Pack = 'Pack';
            var PadV2 = 'PadV2';
            var Pool = 'Pool';
            var Pow = 'Pow';
            var Prelu = 'Prelu';
            var Prod = 'Prod';
            var Range = 'Range';
            var Real = 'Real';
            var Reciprocal = 'Reciprocal';
            var Relu = 'Relu';
            var Reshape = 'Reshape';
            var ResizeNearestNeighbor = 'ResizeNearestNeighbor';
            var ResizeNearestNeighborGrad = 'ResizeNearestNeighborGrad';
            var ResizeBilinear = 'ResizeBilinear';
            var ResizeBilinearGrad = 'ResizeBilinearGrad';
            var Relu6 = 'Relu6';
            var Reverse = 'Reverse';
            var Round = 'Round';
            var Rsqrt = 'Rsqrt';
            var ScatterNd = 'ScatterNd';
            var Select = 'Select';
            var Selu = 'Selu';
            var Slice = 'Slice';
            var Sin = 'Sin';
            var Sinh = 'Sinh';
            var Sign = 'Sign';
            var Sigmoid = 'Sigmoid';
            var Softplus = 'Softplus';
            var Sqrt = 'Sqrt';
            var Sum = 'Sum';
            var SpaceToBatchND = 'SpaceToBatchND';
            var SplitV = 'SplitV';
            var Softmax = 'Softmax';
            var SparseFillEmptyRows = 'SparseFillEmptyRows';
            var SparseReshape = 'SparseReshape';
            var SparseSegmentMean = 'SparseSegmentMean';
            var SparseSegmentSum = 'SparseSegmentSum';
            var SparseToDense = 'SparseToDense';
            var SquaredDifference = 'SquaredDifference';
            var Square = 'Square';
            var StridedSlice = 'StridedSlice';
            var StringNGrams = 'StringNGrams';
            var StringSplit = 'StringSplit';
            var StringToHashBucketFast = 'StringToHashBucketFast';
            var Sub = 'Sub';
            var Tan = 'Tan';
            var Tanh = 'Tanh';
            var Tile = 'Tile';
            var TopK = 'TopK';
            var Transform = 'Transform';
            var Transpose = 'Transpose';
            var Unique = 'Unique';
            var Unpack = 'Unpack';
            var UnsortedSegmentSum = 'UnsortedSegmentSum';
            var ZerosLike = 'ZerosLike';
            /**
             * TensorFlow.js-only kernels
             */
            var Step = 'Step';
            var FromPixels = 'FromPixels';
            var RotateWithOffset = 'RotateWithOffset';
            var _FusedMatMul = '_FusedMatMul';
            var FusedConv2D = 'FusedConv2D';
            var FusedDepthwiseConv2D = 'FusedDepthwiseConv2D';

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var kernelRegistry = getGlobal('kernelRegistry', function () {
              return new Map();
            });
            var gradRegistry = getGlobal('gradRegistry', function () {
              return new Map();
            });
            /**
             * Returns the kernel function (code) associated with the provided names.
             *
             * @param kernelName The official name of the kernel.
             * @param backendName The official name of the backend.
             */
            function getKernel(kernelName, backendName) {
              var key = makeKey(kernelName, backendName);
              return kernelRegistry.get(key);
            }
            /**
             * Returns the registered gradient info associated with the provided kernel.
             * @param kernelName The official TF kernel name.
             */
            function getGradient(kernelName) {
              return gradRegistry.get(kernelName);
            }
            function getKernelsForBackend(backendName) {
              var it = kernelRegistry.entries();
              var result = [];
              while (true) {
                var _a = it.next(),
                  done = _a.done,
                  value = _a.value;
                if (done) {
                  break;
                }
                var key = value[0],
                  config = value[1];
                var backend = key.split('_')[0];
                if (backend === backendName) {
                  result.push(config);
                }
              }
              return result;
            }
            /**
             * Registers the function (forward pass) for the kernel in a global registry.
             *
             * @param config A config object with the following properties:
             * - `kernelName` The official name of the kernel.
             * - `backendName` The official name of the backend.
             * - `kernelFunc` The function to run during the forward pass of the kernel.
             * - `setupFunc` Optional. Gets called once, after the backend initializes.
             * - `disposeFunc` Optional. Gets called once, right before the backend is
             * disposed.
             */
            function registerKernel(config) {
              var kernelName = config.kernelName,
                backendName = config.backendName;
              var key = makeKey(kernelName, backendName);
              if (kernelRegistry.has(key)) {
                console.warn(
                  "The kernel '" +
                    kernelName +
                    "' for backend " +
                    ("'" + backendName + "' is already registered"),
                );
              }
              kernelRegistry.set(key, config);
            }
            /**
             * Registers a gradient function for a given kernel in the global registry,
             * to be used during the back-propagation of that kernel.
             *
             * @param config An object with the following properties:
             * - `kernelName` The name of the kernel that the gradient function is for.
             * - `gradFunc` The function to run during back-propagation.
             */
            function registerGradient(config) {
              var kernelName = config.kernelName;
              if (gradRegistry.has(kernelName)) {
                // TODO (yassogba) after 3.0 assess whether we need to keep this gated
                // to debug mode.
                if (env().getBool('DEBUG')) {
                  console.warn("Overriding the gradient for '" + kernelName + "'");
                }
              }
              gradRegistry.set(kernelName, config);
            }
            /**
             * Removes the kernel function from the registry.
             *
             * @param kernelName The official name of the kernel.
             * @param backendName The official name of the backend.
             *
             */
            function unregisterKernel(kernelName, backendName) {
              var key = makeKey(kernelName, backendName);
              if (!kernelRegistry.has(key)) {
                throw new Error(
                  "The kernel '" +
                    kernelName +
                    "' for backend " +
                    ("'" + backendName + "' is not registered"),
                );
              }
              kernelRegistry.delete(key);
            }
            /** Removes the registered gradient from the global registry. */
            function unregisterGradient(kernelName) {
              if (!gradRegistry.has(kernelName)) {
                throw new Error("The gradient '" + kernelName + "' for backend is not registered");
              }
              gradRegistry.delete(kernelName);
            }
            /**
             * Finds kernels that have already been registered to a backend and re-registers
             * them for a new backend. Useful for registering custom backends.
             * @param registeredBackendName Already registered backend.
             * @param newBackendName New backend.
             */
            function copyRegisteredKernels(registeredBackendName, newBackendName) {
              var kernels = getKernelsForBackend(registeredBackendName);
              kernels.forEach(function (kernelConfig) {
                var newKernelConfig = Object.assign({}, kernelConfig, {
                  backendName: newBackendName,
                });
                registerKernel(newKernelConfig);
              });
            }
            function makeKey(kernelName, backendName) {
              return backendName + '_' + kernelName;
            }

            var long_1 = Long;

            /**
             * wasm optimizations, to do native i64 multiplication and divide
             */
            var wasm = null;

            try {
              wasm = new WebAssembly.Instance(
                new WebAssembly.Module(
                  new Uint8Array([
                    0,
                    97,
                    115,
                    109,
                    1,
                    0,
                    0,
                    0,
                    1,
                    13,
                    2,
                    96,
                    0,
                    1,
                    127,
                    96,
                    4,
                    127,
                    127,
                    127,
                    127,
                    1,
                    127,
                    3,
                    7,
                    6,
                    0,
                    1,
                    1,
                    1,
                    1,
                    1,
                    6,
                    6,
                    1,
                    127,
                    1,
                    65,
                    0,
                    11,
                    7,
                    50,
                    6,
                    3,
                    109,
                    117,
                    108,
                    0,
                    1,
                    5,
                    100,
                    105,
                    118,
                    95,
                    115,
                    0,
                    2,
                    5,
                    100,
                    105,
                    118,
                    95,
                    117,
                    0,
                    3,
                    5,
                    114,
                    101,
                    109,
                    95,
                    115,
                    0,
                    4,
                    5,
                    114,
                    101,
                    109,
                    95,
                    117,
                    0,
                    5,
                    8,
                    103,
                    101,
                    116,
                    95,
                    104,
                    105,
                    103,
                    104,
                    0,
                    0,
                    10,
                    191,
                    1,
                    6,
                    4,
                    0,
                    35,
                    0,
                    11,
                    36,
                    1,
                    1,
                    126,
                    32,
                    0,
                    173,
                    32,
                    1,
                    173,
                    66,
                    32,
                    134,
                    132,
                    32,
                    2,
                    173,
                    32,
                    3,
                    173,
                    66,
                    32,
                    134,
                    132,
                    126,
                    34,
                    4,
                    66,
                    32,
                    135,
                    167,
                    36,
                    0,
                    32,
                    4,
                    167,
                    11,
                    36,
                    1,
                    1,
                    126,
                    32,
                    0,
                    173,
                    32,
                    1,
                    173,
                    66,
                    32,
                    134,
                    132,
                    32,
                    2,
                    173,
                    32,
                    3,
                    173,
                    66,
                    32,
                    134,
                    132,
                    127,
                    34,
                    4,
                    66,
                    32,
                    135,
                    167,
                    36,
                    0,
                    32,
                    4,
                    167,
                    11,
                    36,
                    1,
                    1,
                    126,
                    32,
                    0,
                    173,
                    32,
                    1,
                    173,
                    66,
                    32,
                    134,
                    132,
                    32,
                    2,
                    173,
                    32,
                    3,
                    173,
                    66,
                    32,
                    134,
                    132,
                    128,
                    34,
                    4,
                    66,
                    32,
                    135,
                    167,
                    36,
                    0,
                    32,
                    4,
                    167,
                    11,
                    36,
                    1,
                    1,
                    126,
                    32,
                    0,
                    173,
                    32,
                    1,
                    173,
                    66,
                    32,
                    134,
                    132,
                    32,
                    2,
                    173,
                    32,
                    3,
                    173,
                    66,
                    32,
                    134,
                    132,
                    129,
                    34,
                    4,
                    66,
                    32,
                    135,
                    167,
                    36,
                    0,
                    32,
                    4,
                    167,
                    11,
                    36,
                    1,
                    1,
                    126,
                    32,
                    0,
                    173,
                    32,
                    1,
                    173,
                    66,
                    32,
                    134,
                    132,
                    32,
                    2,
                    173,
                    32,
                    3,
                    173,
                    66,
                    32,
                    134,
                    132,
                    130,
                    34,
                    4,
                    66,
                    32,
                    135,
                    167,
                    36,
                    0,
                    32,
                    4,
                    167,
                    11,
                  ]),
                ),
                {},
              ).exports;
            } catch (e) {
              // no wasm support :(
            }

            /**
             * Constructs a 64 bit two's-complement integer, given its low and high 32 bit values as *signed* integers.
             *  See the from* functions below for more convenient ways of constructing Longs.
             * @exports Long
             * @class A Long class for representing a 64 bit two's-complement integer value.
             * @param {number} low The low (signed) 32 bits of the long
             * @param {number} high The high (signed) 32 bits of the long
             * @param {boolean=} unsigned Whether unsigned or not, defaults to signed
             * @constructor
             */
            function Long(low, high, unsigned) {
              /**
               * The low 32 bits as a signed value.
               * @type {number}
               */
              this.low = low | 0;

              /**
               * The high 32 bits as a signed value.
               * @type {number}
               */
              this.high = high | 0;

              /**
               * Whether unsigned or not.
               * @type {boolean}
               */
              this.unsigned = !!unsigned;
            }

            // The internal representation of a long is the two given signed, 32-bit values.
            // We use 32-bit pieces because these are the size of integers on which
            // Javascript performs bit-operations.  For operations like addition and
            // multiplication, we split each number into 16 bit pieces, which can easily be
            // multiplied within Javascript's floating-point representation without overflow
            // or change in sign.
            //
            // In the algorithms below, we frequently reduce the negative case to the
            // positive case by negating the input(s) and then post-processing the result.
            // Note that we must ALWAYS check specially whether those values are MIN_VALUE
            // (-2^63) because -MIN_VALUE == MIN_VALUE (since 2^63 cannot be represented as
            // a positive number, it overflows back into a negative).  Not handling this
            // case would often result in infinite recursion.
            //
            // Common constant values ZERO, ONE, NEG_ONE, etc. are defined below the from*
            // methods on which they depend.

            /**
             * An indicator used to reliably determine if an object is a Long or not.
             * @type {boolean}
             * @const
             * @private
             */
            Long.prototype.__isLong__;

            Object.defineProperty(Long.prototype, '__isLong__', { value: true });

            /**
             * @function
             * @param {*} obj Object
             * @returns {boolean}
             * @inner
             */
            function isLong(obj) {
              return (obj && obj['__isLong__']) === true;
            }

            /**
             * Tests if the specified object is a Long.
             * @function
             * @param {*} obj Object
             * @returns {boolean}
             */
            Long.isLong = isLong;

            /**
             * A cache of the Long representations of small integer values.
             * @type {!Object}
             * @inner
             */
            var INT_CACHE = {};

            /**
             * A cache of the Long representations of small unsigned integer values.
             * @type {!Object}
             * @inner
             */
            var UINT_CACHE = {};

            /**
             * @param {number} value
             * @param {boolean=} unsigned
             * @returns {!Long}
             * @inner
             */
            function fromInt(value, unsigned) {
              var obj, cachedObj, cache;
              if (unsigned) {
                value >>>= 0;
                if ((cache = 0 <= value && value < 256)) {
                  cachedObj = UINT_CACHE[value];
                  if (cachedObj) return cachedObj;
                }
                obj = fromBits(value, (value | 0) < 0 ? -1 : 0, true);
                if (cache) UINT_CACHE[value] = obj;
                return obj;
              } else {
                value |= 0;
                if ((cache = -128 <= value && value < 128)) {
                  cachedObj = INT_CACHE[value];
                  if (cachedObj) return cachedObj;
                }
                obj = fromBits(value, value < 0 ? -1 : 0, false);
                if (cache) INT_CACHE[value] = obj;
                return obj;
              }
            }

            /**
             * Returns a Long representing the given 32 bit integer value.
             * @function
             * @param {number} value The 32 bit integer in question
             * @param {boolean=} unsigned Whether unsigned or not, defaults to signed
             * @returns {!Long} The corresponding Long value
             */
            Long.fromInt = fromInt;

            /**
             * @param {number} value
             * @param {boolean=} unsigned
             * @returns {!Long}
             * @inner
             */
            function fromNumber(value, unsigned) {
              if (isNaN(value)) return unsigned ? UZERO : ZERO;
              if (unsigned) {
                if (value < 0) return UZERO;
                if (value >= TWO_PWR_64_DBL) return MAX_UNSIGNED_VALUE;
              } else {
                if (value <= -TWO_PWR_63_DBL) return MIN_VALUE;
                if (value + 1 >= TWO_PWR_63_DBL) return MAX_VALUE;
              }
              if (value < 0) return fromNumber(-value, unsigned).neg();
              return fromBits(value % TWO_PWR_32_DBL | 0, (value / TWO_PWR_32_DBL) | 0, unsigned);
            }

            /**
             * Returns a Long representing the given value, provided that it is a finite number. Otherwise, zero is returned.
             * @function
             * @param {number} value The number in question
             * @param {boolean=} unsigned Whether unsigned or not, defaults to signed
             * @returns {!Long} The corresponding Long value
             */
            Long.fromNumber = fromNumber;

            /**
             * @param {number} lowBits
             * @param {number} highBits
             * @param {boolean=} unsigned
             * @returns {!Long}
             * @inner
             */
            function fromBits(lowBits, highBits, unsigned) {
              return new Long(lowBits, highBits, unsigned);
            }

            /**
             * Returns a Long representing the 64 bit integer that comes by concatenating the given low and high bits. Each is
             *  assumed to use 32 bits.
             * @function
             * @param {number} lowBits The low 32 bits
             * @param {number} highBits The high 32 bits
             * @param {boolean=} unsigned Whether unsigned or not, defaults to signed
             * @returns {!Long} The corresponding Long value
             */
            Long.fromBits = fromBits;

            /**
             * @function
             * @param {number} base
             * @param {number} exponent
             * @returns {number}
             * @inner
             */
            var pow_dbl = Math.pow; // Used 4 times (4*8 to 15+4)

            /**
             * @param {string} str
             * @param {(boolean|number)=} unsigned
             * @param {number=} radix
             * @returns {!Long}
             * @inner
             */
            function fromString(str, unsigned, radix) {
              if (str.length === 0) throw Error('empty string');
              if (str === 'NaN' || str === 'Infinity' || str === '+Infinity' || str === '-Infinity')
                return ZERO;
              if (typeof unsigned === 'number') {
                // For goog.math.long compatibility
                (radix = unsigned), (unsigned = false);
              } else {
                unsigned = !!unsigned;
              }
              radix = radix || 10;
              if (radix < 2 || 36 < radix) throw RangeError('radix');

              var p;
              if ((p = str.indexOf('-')) > 0) throw Error('interior hyphen');
              else if (p === 0) {
                return fromString(str.substring(1), unsigned, radix).neg();
              }

              // Do several (8) digits each time through the loop, so as to
              // minimize the calls to the very expensive emulated div.
              var radixToPower = fromNumber(pow_dbl(radix, 8));

              var result = ZERO;
              for (var i = 0; i < str.length; i += 8) {
                var size = Math.min(8, str.length - i),
                  value = parseInt(str.substring(i, i + size), radix);
                if (size < 8) {
                  var power = fromNumber(pow_dbl(radix, size));
                  result = result.mul(power).add(fromNumber(value));
                } else {
                  result = result.mul(radixToPower);
                  result = result.add(fromNumber(value));
                }
              }
              result.unsigned = unsigned;
              return result;
            }

            /**
             * Returns a Long representation of the given string, written using the specified radix.
             * @function
             * @param {string} str The textual representation of the Long
             * @param {(boolean|number)=} unsigned Whether unsigned or not, defaults to signed
             * @param {number=} radix The radix in which the text is written (2-36), defaults to 10
             * @returns {!Long} The corresponding Long value
             */
            Long.fromString = fromString;

            /**
             * @function
             * @param {!Long|number|string|!{low: number, high: number, unsigned: boolean}} val
             * @param {boolean=} unsigned
             * @returns {!Long}
             * @inner
             */
            function fromValue(val, unsigned) {
              if (typeof val === 'number') return fromNumber(val, unsigned);
              if (typeof val === 'string') return fromString(val, unsigned);
              // Throws for non-objects, converts non-instanceof Long:
              return fromBits(
                val.low,
                val.high,
                typeof unsigned === 'boolean' ? unsigned : val.unsigned,
              );
            }

            /**
             * Converts the specified value to a Long using the appropriate from* function for its type.
             * @function
             * @param {!Long|number|string|!{low: number, high: number, unsigned: boolean}} val Value
             * @param {boolean=} unsigned Whether unsigned or not, defaults to signed
             * @returns {!Long}
             */
            Long.fromValue = fromValue;

            // NOTE: the compiler should inline these constant values below and then remove these variables, so there should be
            // no runtime penalty for these.

            /**
             * @type {number}
             * @const
             * @inner
             */
            var TWO_PWR_16_DBL = 1 << 16;

            /**
             * @type {number}
             * @const
             * @inner
             */
            var TWO_PWR_24_DBL = 1 << 24;

            /**
             * @type {number}
             * @const
             * @inner
             */
            var TWO_PWR_32_DBL = TWO_PWR_16_DBL * TWO_PWR_16_DBL;

            /**
             * @type {number}
             * @const
             * @inner
             */
            var TWO_PWR_64_DBL = TWO_PWR_32_DBL * TWO_PWR_32_DBL;

            /**
             * @type {number}
             * @const
             * @inner
             */
            var TWO_PWR_63_DBL = TWO_PWR_64_DBL / 2;

            /**
             * @type {!Long}
             * @const
             * @inner
             */
            var TWO_PWR_24 = fromInt(TWO_PWR_24_DBL);

            /**
             * @type {!Long}
             * @inner
             */
            var ZERO = fromInt(0);

            /**
             * Signed zero.
             * @type {!Long}
             */
            Long.ZERO = ZERO;

            /**
             * @type {!Long}
             * @inner
             */
            var UZERO = fromInt(0, true);

            /**
             * Unsigned zero.
             * @type {!Long}
             */
            Long.UZERO = UZERO;

            /**
             * @type {!Long}
             * @inner
             */
            var ONE = fromInt(1);

            /**
             * Signed one.
             * @type {!Long}
             */
            Long.ONE = ONE;

            /**
             * @type {!Long}
             * @inner
             */
            var UONE = fromInt(1, true);

            /**
             * Unsigned one.
             * @type {!Long}
             */
            Long.UONE = UONE;

            /**
             * @type {!Long}
             * @inner
             */
            var NEG_ONE = fromInt(-1);

            /**
             * Signed negative one.
             * @type {!Long}
             */
            Long.NEG_ONE = NEG_ONE;

            /**
             * @type {!Long}
             * @inner
             */
            var MAX_VALUE = fromBits(0xffffffff | 0, 0x7fffffff | 0, false);

            /**
             * Maximum signed value.
             * @type {!Long}
             */
            Long.MAX_VALUE = MAX_VALUE;

            /**
             * @type {!Long}
             * @inner
             */
            var MAX_UNSIGNED_VALUE = fromBits(0xffffffff | 0, 0xffffffff | 0, true);

            /**
             * Maximum unsigned value.
             * @type {!Long}
             */
            Long.MAX_UNSIGNED_VALUE = MAX_UNSIGNED_VALUE;

            /**
             * @type {!Long}
             * @inner
             */
            var MIN_VALUE = fromBits(0, 0x80000000 | 0, false);

            /**
             * Minimum signed value.
             * @type {!Long}
             */
            Long.MIN_VALUE = MIN_VALUE;

            /**
             * @alias Long.prototype
             * @inner
             */
            var LongPrototype = Long.prototype;

            /**
             * Converts the Long to a 32 bit integer, assuming it is a 32 bit integer.
             * @returns {number}
             */
            LongPrototype.toInt = function toInt() {
              return this.unsigned ? this.low >>> 0 : this.low;
            };

            /**
             * Converts the Long to a the nearest floating-point representation of this value (double, 53 bit mantissa).
             * @returns {number}
             */
            LongPrototype.toNumber = function toNumber() {
              if (this.unsigned) return (this.high >>> 0) * TWO_PWR_32_DBL + (this.low >>> 0);
              return this.high * TWO_PWR_32_DBL + (this.low >>> 0);
            };

            /**
             * Converts the Long to a string written in the specified radix.
             * @param {number=} radix Radix (2-36), defaults to 10
             * @returns {string}
             * @override
             * @throws {RangeError} If `radix` is out of range
             */
            LongPrototype.toString = function toString(radix) {
              radix = radix || 10;
              if (radix < 2 || 36 < radix) throw RangeError('radix');
              if (this.isZero()) return '0';
              if (this.isNegative()) {
                // Unsigned Longs are never negative
                if (this.eq(MIN_VALUE)) {
                  // We need to change the Long value before it can be negated, so we remove
                  // the bottom-most digit in this base and then recurse to do the rest.
                  var radixLong = fromNumber(radix),
                    div = this.div(radixLong),
                    rem1 = div.mul(radixLong).sub(this);
                  return div.toString(radix) + rem1.toInt().toString(radix);
                } else return '-' + this.neg().toString(radix);
              }

              // Do several (6) digits each time through the loop, so as to
              // minimize the calls to the very expensive emulated div.
              var radixToPower = fromNumber(pow_dbl(radix, 6), this.unsigned),
                rem = this;
              var result = '';
              while (true) {
                var remDiv = rem.div(radixToPower),
                  intval = rem.sub(remDiv.mul(radixToPower)).toInt() >>> 0,
                  digits = intval.toString(radix);
                rem = remDiv;
                if (rem.isZero()) return digits + result;
                else {
                  while (digits.length < 6) digits = '0' + digits;
                  result = '' + digits + result;
                }
              }
            };

            /**
             * Gets the high 32 bits as a signed integer.
             * @returns {number} Signed high bits
             */
            LongPrototype.getHighBits = function getHighBits() {
              return this.high;
            };

            /**
             * Gets the high 32 bits as an unsigned integer.
             * @returns {number} Unsigned high bits
             */
            LongPrototype.getHighBitsUnsigned = function getHighBitsUnsigned() {
              return this.high >>> 0;
            };

            /**
             * Gets the low 32 bits as a signed integer.
             * @returns {number} Signed low bits
             */
            LongPrototype.getLowBits = function getLowBits() {
              return this.low;
            };

            /**
             * Gets the low 32 bits as an unsigned integer.
             * @returns {number} Unsigned low bits
             */
            LongPrototype.getLowBitsUnsigned = function getLowBitsUnsigned() {
              return this.low >>> 0;
            };

            /**
             * Gets the number of bits needed to represent the absolute value of this Long.
             * @returns {number}
             */
            LongPrototype.getNumBitsAbs = function getNumBitsAbs() {
              if (this.isNegative())
                // Unsigned Longs are never negative
                return this.eq(MIN_VALUE) ? 64 : this.neg().getNumBitsAbs();
              var val = this.high != 0 ? this.high : this.low;
              for (var bit = 31; bit > 0; bit--) if ((val & (1 << bit)) != 0) break;
              return this.high != 0 ? bit + 33 : bit + 1;
            };

            /**
             * Tests if this Long's value equals zero.
             * @returns {boolean}
             */
            LongPrototype.isZero = function isZero() {
              return this.high === 0 && this.low === 0;
            };

            /**
             * Tests if this Long's value equals zero. This is an alias of {@link Long#isZero}.
             * @returns {boolean}
             */
            LongPrototype.eqz = LongPrototype.isZero;

            /**
             * Tests if this Long's value is negative.
             * @returns {boolean}
             */
            LongPrototype.isNegative = function isNegative() {
              return !this.unsigned && this.high < 0;
            };

            /**
             * Tests if this Long's value is positive.
             * @returns {boolean}
             */
            LongPrototype.isPositive = function isPositive() {
              return this.unsigned || this.high >= 0;
            };

            /**
             * Tests if this Long's value is odd.
             * @returns {boolean}
             */
            LongPrototype.isOdd = function isOdd() {
              return (this.low & 1) === 1;
            };

            /**
             * Tests if this Long's value is even.
             * @returns {boolean}
             */
            LongPrototype.isEven = function isEven() {
              return (this.low & 1) === 0;
            };

            /**
             * Tests if this Long's value equals the specified's.
             * @param {!Long|number|string} other Other value
             * @returns {boolean}
             */
            LongPrototype.equals = function equals(other) {
              if (!isLong(other)) other = fromValue(other);
              if (
                this.unsigned !== other.unsigned &&
                this.high >>> 31 === 1 &&
                other.high >>> 31 === 1
              )
                return false;
              return this.high === other.high && this.low === other.low;
            };

            /**
             * Tests if this Long's value equals the specified's. This is an alias of {@link Long#equals}.
             * @function
             * @param {!Long|number|string} other Other value
             * @returns {boolean}
             */
            LongPrototype.eq = LongPrototype.equals;

            /**
             * Tests if this Long's value differs from the specified's.
             * @param {!Long|number|string} other Other value
             * @returns {boolean}
             */
            LongPrototype.notEquals = function notEquals(other) {
              return !this.eq(/* validates */ other);
            };

            /**
             * Tests if this Long's value differs from the specified's. This is an alias of {@link Long#notEquals}.
             * @function
             * @param {!Long|number|string} other Other value
             * @returns {boolean}
             */
            LongPrototype.neq = LongPrototype.notEquals;

            /**
             * Tests if this Long's value differs from the specified's. This is an alias of {@link Long#notEquals}.
             * @function
             * @param {!Long|number|string} other Other value
             * @returns {boolean}
             */
            LongPrototype.ne = LongPrototype.notEquals;

            /**
             * Tests if this Long's value is less than the specified's.
             * @param {!Long|number|string} other Other value
             * @returns {boolean}
             */
            LongPrototype.lessThan = function lessThan(other) {
              return this.comp(/* validates */ other) < 0;
            };

            /**
             * Tests if this Long's value is less than the specified's. This is an alias of {@link Long#lessThan}.
             * @function
             * @param {!Long|number|string} other Other value
             * @returns {boolean}
             */
            LongPrototype.lt = LongPrototype.lessThan;

            /**
             * Tests if this Long's value is less than or equal the specified's.
             * @param {!Long|number|string} other Other value
             * @returns {boolean}
             */
            LongPrototype.lessThanOrEqual = function lessThanOrEqual(other) {
              return this.comp(/* validates */ other) <= 0;
            };

            /**
             * Tests if this Long's value is less than or equal the specified's. This is an alias of {@link Long#lessThanOrEqual}.
             * @function
             * @param {!Long|number|string} other Other value
             * @returns {boolean}
             */
            LongPrototype.lte = LongPrototype.lessThanOrEqual;

            /**
             * Tests if this Long's value is less than or equal the specified's. This is an alias of {@link Long#lessThanOrEqual}.
             * @function
             * @param {!Long|number|string} other Other value
             * @returns {boolean}
             */
            LongPrototype.le = LongPrototype.lessThanOrEqual;

            /**
             * Tests if this Long's value is greater than the specified's.
             * @param {!Long|number|string} other Other value
             * @returns {boolean}
             */
            LongPrototype.greaterThan = function greaterThan(other) {
              return this.comp(/* validates */ other) > 0;
            };

            /**
             * Tests if this Long's value is greater than the specified's. This is an alias of {@link Long#greaterThan}.
             * @function
             * @param {!Long|number|string} other Other value
             * @returns {boolean}
             */
            LongPrototype.gt = LongPrototype.greaterThan;

            /**
             * Tests if this Long's value is greater than or equal the specified's.
             * @param {!Long|number|string} other Other value
             * @returns {boolean}
             */
            LongPrototype.greaterThanOrEqual = function greaterThanOrEqual(other) {
              return this.comp(/* validates */ other) >= 0;
            };

            /**
             * Tests if this Long's value is greater than or equal the specified's. This is an alias of {@link Long#greaterThanOrEqual}.
             * @function
             * @param {!Long|number|string} other Other value
             * @returns {boolean}
             */
            LongPrototype.gte = LongPrototype.greaterThanOrEqual;

            /**
             * Tests if this Long's value is greater than or equal the specified's. This is an alias of {@link Long#greaterThanOrEqual}.
             * @function
             * @param {!Long|number|string} other Other value
             * @returns {boolean}
             */
            LongPrototype.ge = LongPrototype.greaterThanOrEqual;

            /**
             * Compares this Long's value with the specified's.
             * @param {!Long|number|string} other Other value
             * @returns {number} 0 if they are the same, 1 if the this is greater and -1
             *  if the given one is greater
             */
            LongPrototype.compare = function compare(other) {
              if (!isLong(other)) other = fromValue(other);
              if (this.eq(other)) return 0;
              var thisNeg = this.isNegative(),
                otherNeg = other.isNegative();
              if (thisNeg && !otherNeg) return -1;
              if (!thisNeg && otherNeg) return 1;
              // At this point the sign bits are the same
              if (!this.unsigned) return this.sub(other).isNegative() ? -1 : 1;
              // Both are positive if at least one is unsigned
              return other.high >>> 0 > this.high >>> 0 ||
                (other.high === this.high && other.low >>> 0 > this.low >>> 0)
                ? -1
                : 1;
            };

            /**
             * Compares this Long's value with the specified's. This is an alias of {@link Long#compare}.
             * @function
             * @param {!Long|number|string} other Other value
             * @returns {number} 0 if they are the same, 1 if the this is greater and -1
             *  if the given one is greater
             */
            LongPrototype.comp = LongPrototype.compare;

            /**
             * Negates this Long's value.
             * @returns {!Long} Negated Long
             */
            LongPrototype.negate = function negate() {
              if (!this.unsigned && this.eq(MIN_VALUE)) return MIN_VALUE;
              return this.not().add(ONE);
            };

            /**
             * Negates this Long's value. This is an alias of {@link Long#negate}.
             * @function
             * @returns {!Long} Negated Long
             */
            LongPrototype.neg = LongPrototype.negate;

            /**
             * Returns the sum of this and the specified Long.
             * @param {!Long|number|string} addend Addend
             * @returns {!Long} Sum
             */
            LongPrototype.add = function add(addend) {
              if (!isLong(addend)) addend = fromValue(addend);

              // Divide each number into 4 chunks of 16 bits, and then sum the chunks.

              var a48 = this.high >>> 16;
              var a32 = this.high & 0xffff;
              var a16 = this.low >>> 16;
              var a00 = this.low & 0xffff;

              var b48 = addend.high >>> 16;
              var b32 = addend.high & 0xffff;
              var b16 = addend.low >>> 16;
              var b00 = addend.low & 0xffff;

              var c48 = 0,
                c32 = 0,
                c16 = 0,
                c00 = 0;
              c00 += a00 + b00;
              c16 += c00 >>> 16;
              c00 &= 0xffff;
              c16 += a16 + b16;
              c32 += c16 >>> 16;
              c16 &= 0xffff;
              c32 += a32 + b32;
              c48 += c32 >>> 16;
              c32 &= 0xffff;
              c48 += a48 + b48;
              c48 &= 0xffff;
              return fromBits((c16 << 16) | c00, (c48 << 16) | c32, this.unsigned);
            };

            /**
             * Returns the difference of this and the specified Long.
             * @param {!Long|number|string} subtrahend Subtrahend
             * @returns {!Long} Difference
             */
            LongPrototype.subtract = function subtract(subtrahend) {
              if (!isLong(subtrahend)) subtrahend = fromValue(subtrahend);
              return this.add(subtrahend.neg());
            };

            /**
             * Returns the difference of this and the specified Long. This is an alias of {@link Long#subtract}.
             * @function
             * @param {!Long|number|string} subtrahend Subtrahend
             * @returns {!Long} Difference
             */
            LongPrototype.sub = LongPrototype.subtract;

            /**
             * Returns the product of this and the specified Long.
             * @param {!Long|number|string} multiplier Multiplier
             * @returns {!Long} Product
             */
            LongPrototype.multiply = function multiply(multiplier) {
              if (this.isZero()) return ZERO;
              if (!isLong(multiplier)) multiplier = fromValue(multiplier);

              // use wasm support if present
              if (wasm) {
                var low = wasm.mul(this.low, this.high, multiplier.low, multiplier.high);
                return fromBits(low, wasm.get_high(), this.unsigned);
              }

              if (multiplier.isZero()) return ZERO;
              if (this.eq(MIN_VALUE)) return multiplier.isOdd() ? MIN_VALUE : ZERO;
              if (multiplier.eq(MIN_VALUE)) return this.isOdd() ? MIN_VALUE : ZERO;

              if (this.isNegative()) {
                if (multiplier.isNegative()) return this.neg().mul(multiplier.neg());
                else return this.neg().mul(multiplier).neg();
              } else if (multiplier.isNegative()) return this.mul(multiplier.neg()).neg();

              // If both longs are small, use float multiplication
              if (this.lt(TWO_PWR_24) && multiplier.lt(TWO_PWR_24))
                return fromNumber(this.toNumber() * multiplier.toNumber(), this.unsigned);

              // Divide each long into 4 chunks of 16 bits, and then add up 4x4 products.
              // We can skip products that would overflow.

              var a48 = this.high >>> 16;
              var a32 = this.high & 0xffff;
              var a16 = this.low >>> 16;
              var a00 = this.low & 0xffff;

              var b48 = multiplier.high >>> 16;
              var b32 = multiplier.high & 0xffff;
              var b16 = multiplier.low >>> 16;
              var b00 = multiplier.low & 0xffff;

              var c48 = 0,
                c32 = 0,
                c16 = 0,
                c00 = 0;
              c00 += a00 * b00;
              c16 += c00 >>> 16;
              c00 &= 0xffff;
              c16 += a16 * b00;
              c32 += c16 >>> 16;
              c16 &= 0xffff;
              c16 += a00 * b16;
              c32 += c16 >>> 16;
              c16 &= 0xffff;
              c32 += a32 * b00;
              c48 += c32 >>> 16;
              c32 &= 0xffff;
              c32 += a16 * b16;
              c48 += c32 >>> 16;
              c32 &= 0xffff;
              c32 += a00 * b32;
              c48 += c32 >>> 16;
              c32 &= 0xffff;
              c48 += a48 * b00 + a32 * b16 + a16 * b32 + a00 * b48;
              c48 &= 0xffff;
              return fromBits((c16 << 16) | c00, (c48 << 16) | c32, this.unsigned);
            };

            /**
             * Returns the product of this and the specified Long. This is an alias of {@link Long#multiply}.
             * @function
             * @param {!Long|number|string} multiplier Multiplier
             * @returns {!Long} Product
             */
            LongPrototype.mul = LongPrototype.multiply;

            /**
             * Returns this Long divided by the specified. The result is signed if this Long is signed or
             *  unsigned if this Long is unsigned.
             * @param {!Long|number|string} divisor Divisor
             * @returns {!Long} Quotient
             */
            LongPrototype.divide = function divide(divisor) {
              if (!isLong(divisor)) divisor = fromValue(divisor);
              if (divisor.isZero()) throw Error('division by zero');

              // use wasm support if present
              if (wasm) {
                // guard against signed division overflow: the largest
                // negative number / -1 would be 1 larger than the largest
                // positive number, due to two's complement.
                if (
                  !this.unsigned &&
                  this.high === -0x80000000 &&
                  divisor.low === -1 &&
                  divisor.high === -1
                ) {
                  // be consistent with non-wasm code path
                  return this;
                }
                var low = (this.unsigned ? wasm.div_u : wasm.div_s)(
                  this.low,
                  this.high,
                  divisor.low,
                  divisor.high,
                );
                return fromBits(low, wasm.get_high(), this.unsigned);
              }

              if (this.isZero()) return this.unsigned ? UZERO : ZERO;
              var approx, rem, res;
              if (!this.unsigned) {
                // This section is only relevant for signed longs and is derived from the
                // closure library as a whole.
                if (this.eq(MIN_VALUE)) {
                  if (divisor.eq(ONE) || divisor.eq(NEG_ONE)) return MIN_VALUE;
                  // recall that -MIN_VALUE == MIN_VALUE
                  else if (divisor.eq(MIN_VALUE)) return ONE;
                  else {
                    // At this point, we have |other| >= 2, so |this/other| < |MIN_VALUE|.
                    var halfThis = this.shr(1);
                    approx = halfThis.div(divisor).shl(1);
                    if (approx.eq(ZERO)) {
                      return divisor.isNegative() ? ONE : NEG_ONE;
                    } else {
                      rem = this.sub(divisor.mul(approx));
                      res = approx.add(rem.div(divisor));
                      return res;
                    }
                  }
                } else if (divisor.eq(MIN_VALUE)) return this.unsigned ? UZERO : ZERO;
                if (this.isNegative()) {
                  if (divisor.isNegative()) return this.neg().div(divisor.neg());
                  return this.neg().div(divisor).neg();
                } else if (divisor.isNegative()) return this.div(divisor.neg()).neg();
                res = ZERO;
              } else {
                // The algorithm below has not been made for unsigned longs. It's therefore
                // required to take special care of the MSB prior to running it.
                if (!divisor.unsigned) divisor = divisor.toUnsigned();
                if (divisor.gt(this)) return UZERO;
                if (divisor.gt(this.shru(1)))
                  // 15 >>> 1 = 7 ; with divisor = 8 ; true
                  return UONE;
                res = UZERO;
              }

              // Repeat the following until the remainder is less than other:  find a
              // floating-point that approximates remainder / other *from below*, add this
              // into the result, and subtract it from the remainder.  It is critical that
              // the approximate value is less than or equal to the real value so that the
              // remainder never becomes negative.
              rem = this;
              while (rem.gte(divisor)) {
                // Approximate the result of division. This may be a little greater or
                // smaller than the actual value.
                approx = Math.max(1, Math.floor(rem.toNumber() / divisor.toNumber()));

                // We will tweak the approximate result by changing it in the 48-th digit or
                // the smallest non-fractional digit, whichever is larger.
                var log2 = Math.ceil(Math.log(approx) / Math.LN2),
                  delta = log2 <= 48 ? 1 : pow_dbl(2, log2 - 48),
                  // Decrease the approximation until it is smaller than the remainder.  Note
                  // that if it is too large, the product overflows and is negative.
                  approxRes = fromNumber(approx),
                  approxRem = approxRes.mul(divisor);
                while (approxRem.isNegative() || approxRem.gt(rem)) {
                  approx -= delta;
                  approxRes = fromNumber(approx, this.unsigned);
                  approxRem = approxRes.mul(divisor);
                }

                // We know the answer can't be zero... and actually, zero would cause
                // infinite recursion since we would make no progress.
                if (approxRes.isZero()) approxRes = ONE;

                res = res.add(approxRes);
                rem = rem.sub(approxRem);
              }
              return res;
            };

            /**
             * Returns this Long divided by the specified. This is an alias of {@link Long#divide}.
             * @function
             * @param {!Long|number|string} divisor Divisor
             * @returns {!Long} Quotient
             */
            LongPrototype.div = LongPrototype.divide;

            /**
             * Returns this Long modulo the specified.
             * @param {!Long|number|string} divisor Divisor
             * @returns {!Long} Remainder
             */
            LongPrototype.modulo = function modulo(divisor) {
              if (!isLong(divisor)) divisor = fromValue(divisor);

              // use wasm support if present
              if (wasm) {
                var low = (this.unsigned ? wasm.rem_u : wasm.rem_s)(
                  this.low,
                  this.high,
                  divisor.low,
                  divisor.high,
                );
                return fromBits(low, wasm.get_high(), this.unsigned);
              }

              return this.sub(this.div(divisor).mul(divisor));
            };

            /**
             * Returns this Long modulo the specified. This is an alias of {@link Long#modulo}.
             * @function
             * @param {!Long|number|string} divisor Divisor
             * @returns {!Long} Remainder
             */
            LongPrototype.mod = LongPrototype.modulo;

            /**
             * Returns this Long modulo the specified. This is an alias of {@link Long#modulo}.
             * @function
             * @param {!Long|number|string} divisor Divisor
             * @returns {!Long} Remainder
             */
            LongPrototype.rem = LongPrototype.modulo;

            /**
             * Returns the bitwise NOT of this Long.
             * @returns {!Long}
             */
            LongPrototype.not = function not() {
              return fromBits(~this.low, ~this.high, this.unsigned);
            };

            /**
             * Returns the bitwise AND of this Long and the specified.
             * @param {!Long|number|string} other Other Long
             * @returns {!Long}
             */
            LongPrototype.and = function and(other) {
              if (!isLong(other)) other = fromValue(other);
              return fromBits(this.low & other.low, this.high & other.high, this.unsigned);
            };

            /**
             * Returns the bitwise OR of this Long and the specified.
             * @param {!Long|number|string} other Other Long
             * @returns {!Long}
             */
            LongPrototype.or = function or(other) {
              if (!isLong(other)) other = fromValue(other);
              return fromBits(this.low | other.low, this.high | other.high, this.unsigned);
            };

            /**
             * Returns the bitwise XOR of this Long and the given one.
             * @param {!Long|number|string} other Other Long
             * @returns {!Long}
             */
            LongPrototype.xor = function xor(other) {
              if (!isLong(other)) other = fromValue(other);
              return fromBits(this.low ^ other.low, this.high ^ other.high, this.unsigned);
            };

            /**
             * Returns this Long with bits shifted to the left by the given amount.
             * @param {number|!Long} numBits Number of bits
             * @returns {!Long} Shifted Long
             */
            LongPrototype.shiftLeft = function shiftLeft(numBits) {
              if (isLong(numBits)) numBits = numBits.toInt();
              if ((numBits &= 63) === 0) return this;
              else if (numBits < 32)
                return fromBits(
                  this.low << numBits,
                  (this.high << numBits) | (this.low >>> (32 - numBits)),
                  this.unsigned,
                );
              else return fromBits(0, this.low << (numBits - 32), this.unsigned);
            };

            /**
             * Returns this Long with bits shifted to the left by the given amount. This is an alias of {@link Long#shiftLeft}.
             * @function
             * @param {number|!Long} numBits Number of bits
             * @returns {!Long} Shifted Long
             */
            LongPrototype.shl = LongPrototype.shiftLeft;

            /**
             * Returns this Long with bits arithmetically shifted to the right by the given amount.
             * @param {number|!Long} numBits Number of bits
             * @returns {!Long} Shifted Long
             */
            LongPrototype.shiftRight = function shiftRight(numBits) {
              if (isLong(numBits)) numBits = numBits.toInt();
              if ((numBits &= 63) === 0) return this;
              else if (numBits < 32)
                return fromBits(
                  (this.low >>> numBits) | (this.high << (32 - numBits)),
                  this.high >> numBits,
                  this.unsigned,
                );
              else
                return fromBits(
                  this.high >> (numBits - 32),
                  this.high >= 0 ? 0 : -1,
                  this.unsigned,
                );
            };

            /**
             * Returns this Long with bits arithmetically shifted to the right by the given amount. This is an alias of {@link Long#shiftRight}.
             * @function
             * @param {number|!Long} numBits Number of bits
             * @returns {!Long} Shifted Long
             */
            LongPrototype.shr = LongPrototype.shiftRight;

            /**
             * Returns this Long with bits logically shifted to the right by the given amount.
             * @param {number|!Long} numBits Number of bits
             * @returns {!Long} Shifted Long
             */
            LongPrototype.shiftRightUnsigned = function shiftRightUnsigned(numBits) {
              if (isLong(numBits)) numBits = numBits.toInt();
              numBits &= 63;
              if (numBits === 0) return this;
              else {
                var high = this.high;
                if (numBits < 32) {
                  var low = this.low;
                  return fromBits(
                    (low >>> numBits) | (high << (32 - numBits)),
                    high >>> numBits,
                    this.unsigned,
                  );
                } else if (numBits === 32) return fromBits(high, 0, this.unsigned);
                else return fromBits(high >>> (numBits - 32), 0, this.unsigned);
              }
            };

            /**
             * Returns this Long with bits logically shifted to the right by the given amount. This is an alias of {@link Long#shiftRightUnsigned}.
             * @function
             * @param {number|!Long} numBits Number of bits
             * @returns {!Long} Shifted Long
             */
            LongPrototype.shru = LongPrototype.shiftRightUnsigned;

            /**
             * Returns this Long with bits logically shifted to the right by the given amount. This is an alias of {@link Long#shiftRightUnsigned}.
             * @function
             * @param {number|!Long} numBits Number of bits
             * @returns {!Long} Shifted Long
             */
            LongPrototype.shr_u = LongPrototype.shiftRightUnsigned;

            /**
             * Converts this Long to signed.
             * @returns {!Long} Signed long
             */
            LongPrototype.toSigned = function toSigned() {
              if (!this.unsigned) return this;
              return fromBits(this.low, this.high, false);
            };

            /**
             * Converts this Long to unsigned.
             * @returns {!Long} Unsigned long
             */
            LongPrototype.toUnsigned = function toUnsigned() {
              if (this.unsigned) return this;
              return fromBits(this.low, this.high, true);
            };

            /**
             * Converts this Long to its byte representation.
             * @param {boolean=} le Whether little or big endian, defaults to big endian
             * @returns {!Array.<number>} Byte representation
             */
            LongPrototype.toBytes = function toBytes(le) {
              return le ? this.toBytesLE() : this.toBytesBE();
            };

            /**
             * Converts this Long to its little endian byte representation.
             * @returns {!Array.<number>} Little endian byte representation
             */
            LongPrototype.toBytesLE = function toBytesLE() {
              var hi = this.high,
                lo = this.low;
              return [
                lo & 0xff,
                (lo >>> 8) & 0xff,
                (lo >>> 16) & 0xff,
                lo >>> 24,
                hi & 0xff,
                (hi >>> 8) & 0xff,
                (hi >>> 16) & 0xff,
                hi >>> 24,
              ];
            };

            /**
             * Converts this Long to its big endian byte representation.
             * @returns {!Array.<number>} Big endian byte representation
             */
            LongPrototype.toBytesBE = function toBytesBE() {
              var hi = this.high,
                lo = this.low;
              return [
                hi >>> 24,
                (hi >>> 16) & 0xff,
                (hi >>> 8) & 0xff,
                hi & 0xff,
                lo >>> 24,
                (lo >>> 16) & 0xff,
                (lo >>> 8) & 0xff,
                lo & 0xff,
              ];
            };

            /**
             * Creates a Long from its byte representation.
             * @param {!Array.<number>} bytes Byte representation
             * @param {boolean=} unsigned Whether unsigned or not, defaults to signed
             * @param {boolean=} le Whether little or big endian, defaults to big endian
             * @returns {Long} The corresponding Long value
             */
            Long.fromBytes = function fromBytes(bytes, unsigned, le) {
              return le ? Long.fromBytesLE(bytes, unsigned) : Long.fromBytesBE(bytes, unsigned);
            };

            /**
             * Creates a Long from its little endian byte representation.
             * @param {!Array.<number>} bytes Little endian byte representation
             * @param {boolean=} unsigned Whether unsigned or not, defaults to signed
             * @returns {Long} The corresponding Long value
             */
            Long.fromBytesLE = function fromBytesLE(bytes, unsigned) {
              return new Long(
                bytes[0] | (bytes[1] << 8) | (bytes[2] << 16) | (bytes[3] << 24),
                bytes[4] | (bytes[5] << 8) | (bytes[6] << 16) | (bytes[7] << 24),
                unsigned,
              );
            };

            /**
             * Creates a Long from its big endian byte representation.
             * @param {!Array.<number>} bytes Big endian byte representation
             * @param {boolean=} unsigned Whether unsigned or not, defaults to signed
             * @returns {Long} The corresponding Long value
             */
            Long.fromBytesBE = function fromBytesBE(bytes, unsigned) {
              return new Long(
                (bytes[4] << 24) | (bytes[5] << 16) | (bytes[6] << 8) | bytes[7],
                (bytes[0] << 24) | (bytes[1] << 16) | (bytes[2] << 8) | bytes[3],
                unsigned,
              );
            };

            var LongExports = {
              __proto__: null,
              default: long_1,
              __moduleExports: long_1,
            };

            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            // tslint:disable-next-line
            var Long$1 =
              // tslint:disable-next-line
              long_1 || LongExports;
            function hexToLong(hex) {
              return Long$1.fromString(hex, true, 16);
            }
            // Some primes between 2^63 and 2^64 for various uses.
            // Hex 0xc3a5c85c97cb3127
            var k0 = hexToLong('c3a5c85c97cb3127');
            // Hex 0xb492b66fbe98f273
            var k1 = hexToLong('b492b66fbe98f273');
            // Hex 0x9ae16a3b2f90404f
            var k2 = hexToLong('9ae16a3b2f90404f');
            function shiftMix(val) {
              return val.xor(val.shru(47));
            }
            function fetch$1(s, offset, numBytes) {
              var bytes = s.slice(offset, offset + numBytes);
              return Long$1.fromBytes(Array.from(bytes), true, true);
            }
            function fetch64(s, offset) {
              return fetch$1(s, offset, 8);
            }
            function fetch32(s, offset) {
              return fetch$1(s, offset, 4);
            }
            function rotate64(val, shift) {
              // Avoid shifting by 64: doing so yields an undefined result.
              return shift === 0 ? val : val.shru(shift).or(val.shl(64 - shift));
            }
            function hashLen16(u, v, mul) {
              if (mul === void 0) {
                mul = hexToLong('9ddfea08eb382d69');
              }
              // Murmur-inspired hashing.
              var a = u.xor(v).mul(mul);
              a = a.xor(a.shru(47));
              var b = v.xor(a).mul(mul);
              b = b.xor(b.shru(47));
              b = b.mul(mul);
              return b;
            }
            // Return a 16-byte hash for 48 bytes.  Quick and dirty.
            // Callers do best to use "random-looking" values for a and b.
            function weakHashLen32WithSeeds(w, x, y, z, a, b) {
              a = a.add(w);
              b = rotate64(b.add(a).add(z), 21);
              var c = a;
              a = a.add(x);
              a = a.add(y);
              b = b.add(rotate64(a, 44));
              return [a.add(z), b.add(c)];
            }
            function weakHashLen32WithSeedsStr(s, offset, a, b) {
              return weakHashLen32WithSeeds(
                fetch64(s, offset),
                fetch64(s, offset + 8),
                fetch64(s, offset + 16),
                fetch64(s, offset + 24),
                a,
                b,
              );
            }
            function hashLen0to16(s, len) {
              if (len === void 0) {
                len = s.length;
              }
              if (len >= 8) {
                var mul = k2.add(len * 2);
                var a = fetch64(s, 0).add(k2);
                var b = fetch64(s, len - 8);
                var c = rotate64(b, 37).mul(mul).add(a);
                var d = rotate64(a, 25).add(b).mul(mul);
                return hashLen16(c, d, mul);
              }
              if (len >= 4) {
                var mul = k2.add(len * 2);
                var a = fetch32(s, 0);
                return hashLen16(a.shl(3).add(len), fetch32(s, len - 4), mul);
              }
              if (len > 0) {
                var a = s[0];
                var b = s[len >> 1];
                var c = s[len - 1];
                var y = a + (b << 8);
                var z = len + (c << 2);
                return shiftMix(k2.mul(y).xor(k0.mul(z))).mul(k2);
              }
              return k2;
            }
            function hashLen17to32(s, len) {
              if (len === void 0) {
                len = s.length;
              }
              var mul = k2.add(len * 2);
              var a = fetch64(s, 0).mul(k1);
              var b = fetch64(s, 8);
              var c = fetch64(s, len - 8).mul(mul);
              var d = fetch64(s, len - 16).mul(k2);
              return hashLen16(
                rotate64(a.add(b), 43).add(rotate64(c, 30)).add(d),
                a.add(rotate64(b.add(k2), 18)).add(c),
                mul,
              );
            }
            function hashLen33to64(s, len) {
              if (len === void 0) {
                len = s.length;
              }
              var mul = k2.add(len * 2);
              var a = fetch64(s, 0).mul(k2);
              var b = fetch64(s, 8);
              var c = fetch64(s, len - 8).mul(mul);
              var d = fetch64(s, len - 16).mul(k2);
              var y = rotate64(a.add(b), 43).add(rotate64(c, 30)).add(d);
              var z = hashLen16(y, a.add(rotate64(b.add(k2), 18)).add(c), mul);
              var e = fetch64(s, 16).mul(mul);
              var f = fetch64(s, 24);
              var g = y.add(fetch64(s, len - 32)).mul(mul);
              var h = z.add(fetch64(s, len - 24)).mul(mul);
              return hashLen16(
                rotate64(e.add(f), 43).add(rotate64(g, 30)).add(h),
                e.add(rotate64(f.add(a), 18)).add(g),
                mul,
              );
            }
            function fingerPrint64(s, len) {
              var _a, _b;
              if (len === void 0) {
                len = s.length;
              }
              var seed = Long$1.fromNumber(81, true);
              if (len <= 32) {
                if (len <= 16) {
                  return hashLen0to16(s, len);
                } else {
                  return hashLen17to32(s, len);
                }
              } else if (len <= 64) {
                return hashLen33to64(s, len);
              }
              // For strings over 64 bytes we loop.  Internal state consists of
              // 56 bytes: v, w, x, y, and z.
              var x = seed;
              var y = seed.mul(k1).add(113);
              var z = shiftMix(y.mul(k2).add(113)).mul(k2);
              var v = [Long$1.UZERO, Long$1.UZERO];
              var w = [Long$1.UZERO, Long$1.UZERO];
              x = x.mul(k2).add(fetch64(s, 0));
              var offset = 0;
              // Set end so that after the loop we have 1 to 64 bytes left to process.
              var end = ((len - 1) >> 6) * 64;
              var last64 = end + ((len - 1) & 63) - 63;
              do {
                x = rotate64(
                  x
                    .add(y)
                    .add(v[0])
                    .add(fetch64(s, offset + 8)),
                  37,
                ).mul(k1);
                y = rotate64(y.add(v[1]).add(fetch64(s, offset + 48)), 42).mul(k1);
                x = x.xor(w[1]);
                y = y.add(v[0]).add(fetch64(s, offset + 40));
                z = rotate64(z.add(w[0]), 33).mul(k1);
                v = weakHashLen32WithSeedsStr(s, offset, v[1].mul(k1), x.add(w[0]));
                w = weakHashLen32WithSeedsStr(
                  s,
                  offset + 32,
                  z.add(w[1]),
                  y.add(fetch64(s, offset + 16)),
                );
                (_a = [x, z]), (z = _a[0]), (x = _a[1]);
                offset += 64;
              } while (offset !== end);
              var mul = k1.add(z.and(0xff).shl(1));
              // Point to the last 64 bytes of input.
              offset = last64;
              w[0] = w[0].add((len - 1) & 63);
              v[0] = v[0].add(w[0]);
              w[0] = w[0].add(v[0]);
              x = rotate64(
                x
                  .add(y)
                  .add(v[0])
                  .add(fetch64(s, offset + 8)),
                37,
              ).mul(mul);
              y = rotate64(y.add(v[1]).add(fetch64(s, offset + 48)), 42).mul(mul);
              x = x.xor(w[1].mul(9));
              y = y.add(v[0].mul(9).add(fetch64(s, offset + 40)));
              z = rotate64(z.add(w[0]), 33).mul(mul);
              v = weakHashLen32WithSeedsStr(s, offset, v[1].mul(mul), x.add(w[0]));
              w = weakHashLen32WithSeedsStr(
                s,
                offset + 32,
                z.add(w[1]),
                y.add(fetch64(s, offset + 16)),
              );
              (_b = [x, z]), (z = _b[0]), (x = _b[1]);
              return hashLen16(
                hashLen16(v[0], w[0], mul).add(shiftMix(y).mul(k0)).add(z),
                hashLen16(v[1], w[1], mul).add(x),
                mul,
              );
            }

            /**
             * @license
             * Copyright 2017 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Create typed array for scalar value. Used for storing in `DataStorage`.
             */
            function createScalarValue(value, dtype) {
              if (dtype === 'string') {
                return encodeString(value);
              }
              return toTypedArray([value], dtype);
            }
            function noConversionNeeded(a, dtype) {
              return (
                (a instanceof Float32Array && dtype === 'float32') ||
                (a instanceof Int32Array && dtype === 'int32') ||
                (a instanceof Uint8Array && dtype === 'bool')
              );
            }
            function toTypedArray(a, dtype) {
              if (dtype === 'string') {
                throw new Error('Cannot convert a string[] to a TypedArray');
              }
              if (Array.isArray(a)) {
                a = flatten(a);
              }
              if (env().getBool('DEBUG')) {
                checkConversionForErrors(a, dtype);
              }
              if (noConversionNeeded(a, dtype)) {
                return a;
              }
              if (dtype == null || dtype === 'float32' || dtype === 'complex64') {
                return new Float32Array(a);
              } else if (dtype === 'int32') {
                return new Int32Array(a);
              } else if (dtype === 'bool') {
                var bool = new Uint8Array(a.length);
                for (var i = 0; i < bool.length; ++i) {
                  if (Math.round(a[i]) !== 0) {
                    bool[i] = 1;
                  }
                }
                return bool;
              } else {
                throw new Error('Unknown data type ' + dtype);
              }
            }
            /**
             * Returns the current high-resolution time in milliseconds relative to an
             * arbitrary time in the past. It works across different platforms (node.js,
             * browsers).
             *
             * ```js
             * console.log(tf.util.now());
             * ```
             *
             * @doc {heading: 'Util', namespace: 'util'}
             */
            function now() {
              return env().platform.now();
            }
            /**
             * Returns a platform-specific implementation of
             * [`fetch`](https://developer.mozilla.org/en-US/docs/Web/API/Fetch_API).
             *
             * If `fetch` is defined on the global object (`window`, `process`, etc.),
             * `tf.util.fetch` returns that function.
             *
             * If not, `tf.util.fetch` returns a platform-specific solution.
             *
             * ```js
             * const resource = await tf.util.fetch('https://unpkg.com/@tensorflow/tfjs');
             * // handle response
             * ```
             *
             * @doc {heading: 'Util'}
             */
            function fetch$2(path, requestInits) {
              return env().platform.fetch(path, requestInits);
            }
            /**
             * Encodes the provided string into bytes using the provided encoding scheme.
             *
             * @param s The string to encode.
             * @param encoding The encoding scheme. Defaults to utf-8.
             *
             * @doc {heading: 'Util'}
             */
            function encodeString(s, encoding) {
              if (encoding === void 0) {
                encoding = 'utf-8';
              }
              encoding = encoding || 'utf-8';
              return env().platform.encode(s, encoding);
            }
            /**
             * Decodes the provided bytes into a string using the provided encoding scheme.
             * @param bytes The bytes to decode.
             *
             * @param encoding The encoding scheme. Defaults to utf-8.
             *
             * @doc {heading: 'Util'}
             */
            function decodeString(bytes, encoding) {
              if (encoding === void 0) {
                encoding = 'utf-8';
              }
              encoding = encoding || 'utf-8';
              return env().platform.decode(bytes, encoding);
            }

            var util = {
              __proto__: null,
              createScalarValue: createScalarValue,
              toTypedArray: toTypedArray,
              now: now,
              fetch: fetch$2,
              encodeString: encodeString,
              decodeString: decodeString,
              shuffle: shuffle,
              shuffleCombo: shuffleCombo,
              clamp: clamp,
              nearestLargerEven: nearestLargerEven,
              sum: sum,
              randUniform: randUniform,
              distSquared: distSquared,
              assert: assert,
              assertShapesMatch: assertShapesMatch,
              assertNonNull: assertNonNull,
              flatten: flatten,
              sizeFromShape: sizeFromShape,
              isScalarShape: isScalarShape,
              arraysEqual: arraysEqual,
              isInt: isInt,
              tanh: tanh,
              sizeToSquarishShape: sizeToSquarishShape,
              createShuffledIndices: createShuffledIndices,
              rightPad: rightPad,
              repeatedTry: repeatedTry,
              inferFromImplicitShape: inferFromImplicitShape,
              parseAxisParam: parseAxisParam,
              squeezeShape: squeezeShape,
              getTypedArrayFromDType: getTypedArrayFromDType,
              getArrayFromDType: getArrayFromDType,
              checkConversionForErrors: checkConversionForErrors,
              isValidDtype: isValidDtype,
              hasEncodingLoss: hasEncodingLoss,
              isTypedArray: isTypedArray,
              bytesPerElement: bytesPerElement,
              bytesFromStringArray: bytesFromStringArray,
              isString: isString,
              isBoolean: isBoolean,
              isNumber: isNumber,
              inferDtype: inferDtype,
              isFunction: isFunction,
              nearestDivisor: nearestDivisor,
              computeStrides: computeStrides,
              toNestedArray: toNestedArray,
              makeOnesTypedArray: makeOnesTypedArray,
              makeZerosTypedArray: makeZerosTypedArray,
              makeZerosNestedTypedArray: makeZerosNestedTypedArray,
              assertNonNegativeIntegerDimensions: assertNonNegativeIntegerDimensions,
              locToIndex: locToIndex,
              indexToLoc: indexToLoc,
              isPromise: isPromise,
              hexToLong: hexToLong,
              fingerPrint64: fingerPrint64,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var Profiler = /** @class */ (function () {
              function Profiler(backendTimer, logger) {
                this.backendTimer = backendTimer;
                this.logger = logger;
                if (logger == null) {
                  this.logger = new Logger();
                }
              }
              Profiler.prototype.profileKernel = function (kernelName, inputs, f) {
                var outputs;
                var holdResultWrapperFn = function () {
                  outputs = f();
                };
                var timer;
                var start = now();
                if (this.backendTimer.timerAvailable()) {
                  timer = this.backendTimer.time(holdResultWrapperFn);
                } else {
                  holdResultWrapperFn();
                  for (var _i = 0, outputs_1 = outputs; _i < outputs_1.length; _i++) {
                    var output = outputs_1[_i];
                    output.dataSync();
                  }
                  timer = Promise.resolve({ kernelMs: now() - start });
                }
                if (env().getBool('CHECK_COMPUTATION_FOR_ERRORS')) {
                  var _loop_1 = function (i) {
                    var output = outputs[i];
                    // Dangling promise here because we don't want to propagate up
                    // asynchronicity.
                    output.data().then(function (tensorVals) {
                      checkComputationForErrors(tensorVals, output.dtype, kernelName);
                    });
                  };
                  for (var i = 0; i < outputs.length; i++) {
                    _loop_1(i);
                  }
                }
                var kernelProfile = {
                  kernelName: kernelName,
                  outputs: outputs,
                  inputs: inputs,
                  timeMs: timer.then(function (timing) {
                    return timing.kernelMs;
                  }),
                  extraInfo: timer.then(function (timing) {
                    return timing.getExtraProfileInfo != null ? timing.getExtraProfileInfo() : '';
                  }),
                };
                return kernelProfile;
              };
              Profiler.prototype.logKernelProfile = function (kernelProfile) {
                var _this = this;
                var kernelName = kernelProfile.kernelName,
                  outputs = kernelProfile.outputs,
                  timeMs = kernelProfile.timeMs,
                  inputs = kernelProfile.inputs,
                  extraInfo = kernelProfile.extraInfo;
                outputs.forEach(function (result) {
                  Promise.all([result.data(), timeMs, extraInfo]).then(function (valueContainer) {
                    _this.logger.logKernelProfile(
                      kernelName,
                      result,
                      valueContainer[0],
                      valueContainer[1],
                      inputs,
                      valueContainer[2],
                    );
                  });
                });
              };
              return Profiler;
            })();
            function checkComputationForErrors(vals, dtype, kernelName) {
              if (dtype !== 'float32') {
                // Only floating point computations will generate NaN values
                return false;
              }
              for (var i = 0; i < vals.length; i++) {
                var num = vals[i];
                if (isNaN(num) || !isFinite(num)) {
                  // Throwing custom exception so behavior is testable.
                  console.warn('Found ' + num + " in the result of '" + kernelName + "'");
                  return true;
                }
              }
              return false;
            }
            var Logger = /** @class */ (function () {
              function Logger() {}
              Logger.prototype.logKernelProfile = function (
                name,
                result,
                vals,
                timeMs,
                inputs,
                extraInfo,
              ) {
                var time =
                  typeof timeMs === 'number' ? rightPad(timeMs + 'ms', 9) : timeMs['error'];
                var paddedName = rightPad(name, 25);
                var rank = result.rank;
                var size = result.size;
                var shape = rightPad(result.shape.toString(), 14);
                var inputShapesDescription = '';
                for (var name_1 in inputs) {
                  var input = inputs[name_1];
                  if (input != null) {
                    // The input might be a non-tensor (e.g HTMLImageElement), in which case
                    // we claim the output shape as input shape.
                    var inputShape = input.shape || result.shape;
                    var inputRank = inputShape.length;
                    inputShapesDescription +=
                      name_1 + ': ' + inputRank + 'D ' + (inputRank > 0 ? inputShape : '') + ' ';
                  }
                }
                console.log(
                  '%c' +
                    paddedName +
                    '\t%c' +
                    time +
                    '\t%c' +
                    rank +
                    'D ' +
                    shape +
                    '\t%c' +
                    size +
                    '\t%c' +
                    inputShapesDescription +
                    '\t%c' +
                    extraInfo,
                  'font-weight:bold',
                  'color:red',
                  'color:blue',
                  'color: orange',
                  'color: green',
                  'color: steelblue',
                );
              };
              return Logger;
            })();

            /**
             * @license
             * Copyright 2017 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes a list of TapeNodes that connect x to y, filtering everything else
             * out and preserving the order of the original tape elements.
             *
             * @param tape The tape elements to filter.
             * @param xs The input Tensors.
             * @param y The output Tensor.
             */
            function getFilteredNodesXToY(tape, xs, y) {
              // Forward pass to compute all the nodes and Tensors that are transitively a
              // function of x.
              var tensorsFromX = {};
              var nodesFromX = {};
              for (var i = 0; i < xs.length; i++) {
                tensorsFromX[xs[i].id] = true;
              }
              for (var i = 0; i < tape.length; i++) {
                var node = tape[i];
                var nodeInputs = node.inputs;
                for (var inputName in nodeInputs) {
                  var input = nodeInputs[inputName];
                  var anyInputFromX = false;
                  for (var j = 0; j < xs.length; j++) {
                    if (tensorsFromX[input.id]) {
                      node.outputs.forEach(function (output) {
                        return (tensorsFromX[output.id] = true);
                      });
                      anyInputFromX = true;
                      nodesFromX[node.id] = true;
                      break;
                    }
                  }
                  if (anyInputFromX) {
                    break;
                  }
                }
              }
              // Backward pass to find all of the nodes and Tensors that lead to y.
              var tensorsLeadToY = {};
              tensorsLeadToY[y.id] = true;
              var nodesToY = {};
              for (var i = tape.length - 1; i >= 0; i--) {
                var node = tape[i];
                var nodeInputs = node.inputs;
                // If any of the outputs lead to y, mark all of the inputs as leading to y.
                for (var j = 0; j < node.outputs.length; j++) {
                  if (tensorsLeadToY[node.outputs[j].id]) {
                    for (var inputName in nodeInputs) {
                      tensorsLeadToY[nodeInputs[inputName].id] = true;
                      nodesToY[node.id] = true;
                    }
                    break;
                  }
                }
              }
              // Return the paths that come from x and lead to y.
              var filteredTape = [];
              for (var i = 0; i < tape.length; i++) {
                var node = tape[i];
                if (nodesFromX[node.id] && nodesToY[node.id]) {
                  // Prune the inputs from the node that aren't a function of x.
                  var prunedInputs = {};
                  for (var inputName in node.inputs) {
                    var nodeInput = node.inputs[inputName];
                    if (tensorsFromX[nodeInput.id]) {
                      prunedInputs[inputName] = nodeInput;
                    }
                  }
                  // Copy the node and overwrite inputsAndArgs to the pruned version.
                  var prunedNode = Object.assign({}, node);
                  prunedNode.inputs = prunedInputs;
                  prunedNode.outputs = node.outputs;
                  filteredTape.push(prunedNode);
                }
              }
              return filteredTape;
            }
            /**
             * Backpropagate gradients through the filtered TapeNodes.
             *
             * @param tensorAccumulatedGradientMap A map of Tensor to its gradient. This map
             * is mutated by this method.
             * @param filteredTape The filtered TapeNodes to backprop through.
             */
            function backpropagateGradients(tensorAccumulatedGradientMap, filteredTape, tidy, add) {
              var _loop_1 = function (i) {
                var node = filteredTape[i];
                var dys = [];
                node.outputs.forEach(function (o) {
                  var gradTensor = tensorAccumulatedGradientMap[o.id];
                  if (gradTensor != null) {
                    dys.push(gradTensor);
                  } else {
                    // This particular output is not in the back-propagation subgraph, so it
                    // does not affect the final output, thus we put null for its dy.
                    dys.push(null);
                  }
                });
                if (node.gradient == null) {
                  throw new Error(
                    'Cannot compute gradient: gradient function not found ' +
                      ('for ' + node.kernelName + '.'),
                  );
                }
                // Backprop dy through this node and accumulate gradients over the inputs.
                var inputGradients = node.gradient(dys);
                var _loop_2 = function (inputName) {
                  if (!(inputName in inputGradients)) {
                    throw new Error(
                      'Cannot backprop through input ' +
                        inputName +
                        '. ' +
                        ('Available gradients found: ' + Object.keys(inputGradients) + '.'),
                    );
                  }
                  // Call the gradient function.
                  var dx = tidy(function () {
                    return inputGradients[inputName]();
                  });
                  if (dx.dtype !== 'float32') {
                    throw new Error(
                      'Error in gradient for op ' +
                        node.kernelName +
                        '. The gradient of input ' +
                        (inputName + " must have 'float32' dtype, but has '" + dx.dtype + "'"),
                    );
                  }
                  var x = node.inputs[inputName];
                  if (!arraysEqual(dx.shape, x.shape)) {
                    throw new Error(
                      'Error in gradient for op ' +
                        node.kernelName +
                        '. The gradient of input ' +
                        ("'" +
                          inputName +
                          "' has shape '" +
                          dx.shape +
                          "', which does not match ") +
                        ("the shape of the input '" + x.shape + "'"),
                    );
                  }
                  if (tensorAccumulatedGradientMap[x.id] == null) {
                    tensorAccumulatedGradientMap[x.id] = dx;
                  } else {
                    var curGradient = tensorAccumulatedGradientMap[x.id];
                    tensorAccumulatedGradientMap[x.id] = add(curGradient, dx);
                    curGradient.dispose();
                  }
                };
                for (var inputName in node.inputs) {
                  _loop_2(inputName);
                }
              };
              // Walk the tape backward and keep a map of Tensor to its gradient.
              for (var i = filteredTape.length - 1; i >= 0; i--) {
                _loop_1(i);
              }
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            // Maximum number of values before we decide to show ellipsis.
            var FORMAT_LIMIT_NUM_VALS = 20;
            // Number of first and last values to show when displaying a, b,...,y, z.
            var FORMAT_NUM_FIRST_LAST_VALS = 3;
            // Number of significant digits to show.
            var FORMAT_NUM_SIG_DIGITS = 7;
            function tensorToString(vals, shape, dtype, verbose) {
              var strides = computeStrides(shape);
              var padPerCol = computeMaxSizePerColumn(vals, shape, dtype, strides);
              var rank = shape.length;
              var valsLines = subTensorToString(vals, shape, dtype, strides, padPerCol);
              var lines = ['Tensor'];
              if (verbose) {
                lines.push('  dtype: ' + dtype);
                lines.push('  rank: ' + rank);
                lines.push('  shape: [' + shape + ']');
                lines.push('  values:');
              }
              lines.push(
                valsLines
                  .map(function (l) {
                    return '    ' + l;
                  })
                  .join('\n'),
              );
              return lines.join('\n');
            }
            function computeMaxSizePerColumn(vals, shape, dtype, strides) {
              var n = sizeFromShape(shape);
              var numCols = strides[strides.length - 1];
              var padPerCol = new Array(numCols).fill(0);
              var rank = shape.length;
              var valuesOrTuples = dtype === 'complex64' ? createComplexTuples(vals) : vals;
              if (rank > 1) {
                for (var row = 0; row < n / numCols; row++) {
                  var offset = row * numCols;
                  for (var j = 0; j < numCols; j++) {
                    padPerCol[j] = Math.max(
                      padPerCol[j],
                      valToString(valuesOrTuples[offset + j], 0, dtype).length,
                    );
                  }
                }
              }
              return padPerCol;
            }
            function valToString(val, pad, dtype) {
              var valStr;
              if (Array.isArray(val)) {
                valStr =
                  parseFloat(val[0].toFixed(FORMAT_NUM_SIG_DIGITS)) +
                  ' + ' +
                  (parseFloat(val[1].toFixed(FORMAT_NUM_SIG_DIGITS)) + 'j');
              } else if (isString(val)) {
                valStr = "'" + val + "'";
              } else if (dtype === 'bool') {
                valStr = boolNumToString(val);
              } else {
                valStr = parseFloat(val.toFixed(FORMAT_NUM_SIG_DIGITS)).toString();
              }
              return rightPad(valStr, pad);
            }
            function boolNumToString(v) {
              return v === 0 ? 'false' : 'true';
            }
            function subTensorToString(vals, shape, dtype, strides, padPerCol, isLast) {
              if (isLast === void 0) {
                isLast = true;
              }
              var storagePerElement = dtype === 'complex64' ? 2 : 1;
              var size = shape[0];
              var rank = shape.length;
              if (rank === 0) {
                if (dtype === 'complex64') {
                  var complexTuple = createComplexTuples(vals);
                  return [valToString(complexTuple[0], 0, dtype)];
                }
                if (dtype === 'bool') {
                  return [boolNumToString(vals[0])];
                }
                return [vals[0].toString()];
              }
              if (rank === 1) {
                if (size > FORMAT_LIMIT_NUM_VALS) {
                  var firstValsSize = FORMAT_NUM_FIRST_LAST_VALS * storagePerElement;
                  var firstVals = Array.from(vals.slice(0, firstValsSize));
                  var lastVals = Array.from(
                    vals.slice(
                      (size - FORMAT_NUM_FIRST_LAST_VALS) * storagePerElement,
                      size * storagePerElement,
                    ),
                  );
                  if (dtype === 'complex64') {
                    firstVals = createComplexTuples(firstVals);
                    lastVals = createComplexTuples(lastVals);
                  }
                  return [
                    '[' +
                      firstVals
                        .map(function (x, i) {
                          return valToString(x, padPerCol[i], dtype);
                        })
                        .join(', ') +
                      ', ..., ' +
                      lastVals
                        .map(function (x, i) {
                          return valToString(
                            x,
                            padPerCol[size - FORMAT_NUM_FIRST_LAST_VALS + i],
                            dtype,
                          );
                        })
                        .join(', ') +
                      ']',
                  ];
                }
                var displayVals =
                  dtype === 'complex64' ? createComplexTuples(vals) : Array.from(vals);
                return [
                  '[' +
                    displayVals
                      .map(function (x, i) {
                        return valToString(x, padPerCol[i], dtype);
                      })
                      .join(', ') +
                    ']',
                ];
              }
              // The array is rank 2 or more.
              var subshape = shape.slice(1);
              var substrides = strides.slice(1);
              var stride = strides[0] * storagePerElement;
              var lines = [];
              if (size > FORMAT_LIMIT_NUM_VALS) {
                for (var i = 0; i < FORMAT_NUM_FIRST_LAST_VALS; i++) {
                  var start = i * stride;
                  var end = start + stride;
                  lines.push.apply(
                    lines,
                    subTensorToString(
                      vals.slice(start, end),
                      subshape,
                      dtype,
                      substrides,
                      padPerCol,
                      false /* isLast */,
                    ),
                  );
                }
                lines.push('...');
                for (var i = size - FORMAT_NUM_FIRST_LAST_VALS; i < size; i++) {
                  var start = i * stride;
                  var end = start + stride;
                  lines.push.apply(
                    lines,
                    subTensorToString(
                      vals.slice(start, end),
                      subshape,
                      dtype,
                      substrides,
                      padPerCol,
                      i === size - 1 /* isLast */,
                    ),
                  );
                }
              } else {
                for (var i = 0; i < size; i++) {
                  var start = i * stride;
                  var end = start + stride;
                  lines.push.apply(
                    lines,
                    subTensorToString(
                      vals.slice(start, end),
                      subshape,
                      dtype,
                      substrides,
                      padPerCol,
                      i === size - 1 /* isLast */,
                    ),
                  );
                }
              }
              var sep = rank === 2 ? ',' : '';
              lines[0] = '[' + lines[0] + sep;
              for (var i = 1; i < lines.length - 1; i++) {
                lines[i] = ' ' + lines[i] + sep;
              }
              var newLineSep = ',\n';
              for (var i = 2; i < rank; i++) {
                newLineSep += '\n';
              }
              lines[lines.length - 1] =
                ' ' + lines[lines.length - 1] + ']' + (isLast ? '' : newLineSep);
              return lines;
            }
            function createComplexTuples(vals) {
              var complexTuples = [];
              for (var i = 0; i < vals.length; i += 2) {
                complexTuples.push([vals[i], vals[i + 1]]);
              }
              return complexTuples;
            }

            /**
             * @license
             * Copyright 2017 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * A mutable object, similar to `tf.Tensor`, that allows users to set values
             * at locations before converting to an immutable `tf.Tensor`.
             *
             * See `tf.buffer` for creating a tensor buffer.
             *
             * @doc {heading: 'Tensors', subheading: 'Classes'}
             */
            var TensorBuffer = /** @class */ (function () {
              function TensorBuffer(shape, dtype, values) {
                var _this = this;
                this.dtype = dtype;
                this.shape = shape.slice();
                this.size = sizeFromShape(shape);
                if (values != null) {
                  var n_1 = values.length;
                  assert(n_1 === this.size, function () {
                    return (
                      "Length of values '" +
                      n_1 +
                      "' does not match the size " +
                      ("inferred by the shape '" + _this.size + "'.")
                    );
                  });
                }
                if (dtype === 'complex64') {
                  throw new Error(
                    'complex64 dtype TensorBuffers are not supported. Please create ' +
                      'a TensorBuffer for the real and imaginary parts separately and ' +
                      'call tf.complex(real, imag).',
                  );
                }
                this.values = values || getArrayFromDType(dtype, this.size);
                this.strides = computeStrides(shape);
              }
              /**
               * Sets a value in the buffer at a given location.
               *
               * @param value The value to set.
               * @param locs  The location indices.
               *
               * @doc {heading: 'Tensors', subheading: 'Creation'}
               */
              TensorBuffer.prototype.set = function (value) {
                var _this = this;
                var locs = [];
                for (var _i = 1; _i < arguments.length; _i++) {
                  locs[_i - 1] = arguments[_i];
                }
                if (locs.length === 0) {
                  locs = [0];
                }
                assert(locs.length === this.rank, function () {
                  return (
                    'The number of provided coordinates (' +
                    locs.length +
                    ') must ' +
                    ('match the rank (' + _this.rank + ')')
                  );
                });
                var index = this.locToIndex(locs);
                this.values[index] = value;
              };
              /**
               * Returns the value in the buffer at the provided location.
               *
               * @param locs The location indices.
               *
               * @doc {heading: 'Tensors', subheading: 'Creation'}
               */
              TensorBuffer.prototype.get = function () {
                var locs = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                  locs[_i] = arguments[_i];
                }
                if (locs.length === 0) {
                  locs = [0];
                }
                var i = 0;
                for (var _a = 0, locs_1 = locs; _a < locs_1.length; _a++) {
                  var loc = locs_1[_a];
                  if (loc < 0 || loc >= this.shape[i]) {
                    var msg =
                      'Requested out of range element at ' +
                      locs +
                      '. ' +
                      ('  Buffer shape=' + this.shape);
                    throw new Error(msg);
                  }
                  i++;
                }
                var index = locs[locs.length - 1];
                for (var i_1 = 0; i_1 < locs.length - 1; ++i_1) {
                  index += this.strides[i_1] * locs[i_1];
                }
                return this.values[index];
              };
              TensorBuffer.prototype.locToIndex = function (locs) {
                if (this.rank === 0) {
                  return 0;
                } else if (this.rank === 1) {
                  return locs[0];
                }
                var index = locs[locs.length - 1];
                for (var i = 0; i < locs.length - 1; ++i) {
                  index += this.strides[i] * locs[i];
                }
                return index;
              };
              TensorBuffer.prototype.indexToLoc = function (index) {
                if (this.rank === 0) {
                  return [];
                } else if (this.rank === 1) {
                  return [index];
                }
                var locs = new Array(this.shape.length);
                for (var i = 0; i < locs.length - 1; ++i) {
                  locs[i] = Math.floor(index / this.strides[i]);
                  index -= locs[i] * this.strides[i];
                }
                locs[locs.length - 1] = index;
                return locs;
              };
              Object.defineProperty(TensorBuffer.prototype, 'rank', {
                get: function () {
                  return this.shape.length;
                },
                enumerable: true,
                configurable: true,
              });
              /**
               * Creates an immutable `tf.Tensor` object from the buffer.
               *
               * @doc {heading: 'Tensors', subheading: 'Creation'}
               */
              TensorBuffer.prototype.toTensor = function () {
                return trackerFn().makeTensor(this.values, this.shape, this.dtype);
              };
              return TensorBuffer;
            })();
            // For tracking tensor creation and disposal.
            var trackerFn = null;
            // Used by chaining methods to call into ops.
            var opHandler = null;
            /**
             * An external consumer can register itself as the tensor tracker. This way
             * the Tensor class can notify the tracker for every tensor created and
             * disposed.
             */
            function setTensorTracker(fn) {
              trackerFn = fn;
            }
            /**
             * An external consumer can register itself as the op handler. This way the
             * Tensor class can have chaining methods that call into ops via the op
             * handler.
             */
            function setOpHandler(handler) {
              opHandler = handler;
            }
            /**
             * A `tf.Tensor` object represents an immutable, multidimensional array of
             * numbers that has a shape and a data type.
             *
             * For performance reasons, functions that create tensors do not necessarily
             * perform a copy of the data passed to them (e.g. if the data is passed as a
             * `Float32Array`), and changes to the data will change the tensor. This is not
             * a feature and is not supported. To avoid this behavior, use the tensor before
             * changing the input data or create a copy with `copy = tf.add(yourTensor, 0)`.
             *
             * See `tf.tensor` for details on how to create a `tf.Tensor`.
             *
             * @doc {heading: 'Tensors', subheading: 'Classes'}
             */
            var Tensor = /** @class */ (function () {
              function Tensor(shape, dtype, dataId, id) {
                /** Whether this tensor has been globally kept. */
                this.kept = false;
                this.isDisposedInternal = false;
                this.shape = shape.slice();
                this.dtype = dtype || 'float32';
                this.size = sizeFromShape(shape);
                this.strides = computeStrides(shape);
                this.dataId = dataId;
                this.id = id;
                this.rankType = this.rank < 5 ? this.rank.toString() : 'higher';
              }
              Object.defineProperty(Tensor.prototype, 'rank', {
                get: function () {
                  return this.shape.length;
                },
                enumerable: true,
                configurable: true,
              });
              /**
               * Returns a promise of `tf.TensorBuffer` that holds the underlying data.
               *
               * @doc {heading: 'Tensors', subheading: 'Classes'}
               */
              Tensor.prototype.buffer = function () {
                return __awaiter(this, void 0, void 0, function () {
                  var vals;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        return [4 /*yield*/, this.data()];
                      case 1:
                        vals = _a.sent();
                        return [2 /*return*/, opHandler.buffer(this.shape, this.dtype, vals)];
                    }
                  });
                });
              };
              /**
               * Returns a `tf.TensorBuffer` that holds the underlying data.
               * @doc {heading: 'Tensors', subheading: 'Classes'}
               */
              Tensor.prototype.bufferSync = function () {
                return opHandler.buffer(this.shape, this.dtype, this.dataSync());
              };
              /**
               * Returns the tensor data as a nested array. The transfer of data is done
               * asynchronously.
               *
               * @doc {heading: 'Tensors', subheading: 'Classes'}
               */
              Tensor.prototype.array = function () {
                return __awaiter(this, void 0, void 0, function () {
                  var vals;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        return [4 /*yield*/, this.data()];
                      case 1:
                        vals = _a.sent();
                        return [
                          2 /*return*/,
                          toNestedArray(this.shape, vals, this.dtype === 'complex64'),
                        ];
                    }
                  });
                });
              };
              /**
               * Returns the tensor data as a nested array. The transfer of data is done
               * synchronously.
               *
               * @doc {heading: 'Tensors', subheading: 'Classes'}
               */
              Tensor.prototype.arraySync = function () {
                return toNestedArray(this.shape, this.dataSync(), this.dtype === 'complex64');
              };
              /**
               * Asynchronously downloads the values from the `tf.Tensor`. Returns a
               * promise of `TypedArray` that resolves when the computation has finished.
               *
               * @doc {heading: 'Tensors', subheading: 'Classes'}
               */
              Tensor.prototype.data = function () {
                return __awaiter(this, void 0, void 0, function () {
                  var data, bytes;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        this.throwIfDisposed();
                        data = trackerFn().read(this.dataId);
                        if (!(this.dtype === 'string')) return [3 /*break*/, 2];
                        return [4 /*yield*/, data];
                      case 1:
                        bytes = _a.sent();
                        try {
                          return [
                            2 /*return*/,
                            bytes.map(function (b) {
                              return decodeString(b);
                            }),
                          ];
                        } catch (_b) {
                          throw new Error(
                            'Failed to decode the string bytes into utf-8. ' +
                              'To get the original bytes, call tensor.bytes().',
                          );
                        }
                        _a.label = 2;
                      case 2:
                        return [2 /*return*/, data];
                    }
                  });
                });
              };
              /**
               * Synchronously downloads the values from the `tf.Tensor`. This blocks the
               * UI thread until the values are ready, which can cause performance issues.
               *
               * @doc {heading: 'Tensors', subheading: 'Classes'}
               */
              Tensor.prototype.dataSync = function () {
                this.throwIfDisposed();
                var data = trackerFn().readSync(this.dataId);
                if (this.dtype === 'string') {
                  try {
                    return data.map(function (b) {
                      return decodeString(b);
                    });
                  } catch (_a) {
                    throw new Error(
                      'Failed to decode the string bytes into utf-8. ' +
                        'To get the original bytes, call tensor.bytes().',
                    );
                  }
                }
                return data;
              };
              /** Returns the underlying bytes of the tensor's data. */
              Tensor.prototype.bytes = function () {
                return __awaiter(this, void 0, void 0, function () {
                  var data;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        this.throwIfDisposed();
                        return [4 /*yield*/, trackerFn().read(this.dataId)];
                      case 1:
                        data = _a.sent();
                        if (this.dtype === 'string') {
                          return [2 /*return*/, data];
                        } else {
                          return [2 /*return*/, new Uint8Array(data.buffer)];
                        }
                    }
                  });
                });
              };
              /**
               * Disposes `tf.Tensor` from memory.
               *
               * @doc {heading: 'Tensors', subheading: 'Classes'}
               */
              Tensor.prototype.dispose = function () {
                if (this.isDisposed) {
                  return;
                }
                trackerFn().disposeTensor(this);
                this.isDisposedInternal = true;
              };
              Object.defineProperty(Tensor.prototype, 'isDisposed', {
                get: function () {
                  return this.isDisposedInternal;
                },
                enumerable: true,
                configurable: true,
              });
              Tensor.prototype.throwIfDisposed = function () {
                if (this.isDisposed) {
                  throw new Error('Tensor is disposed.');
                }
              };
              /**
               * Prints the `tf.Tensor`. See `tf.print` for details.
               *
               * @param verbose Whether to print verbose information about the tensor,
               *    including dtype and size.
               *
               * @doc {heading: 'Tensors', subheading: 'Classes'}
               */
              Tensor.prototype.print = function (verbose) {
                if (verbose === void 0) {
                  verbose = false;
                }
                return opHandler.print(this, verbose);
              };
              /**
               * Returns a copy of the tensor. See `tf.clone` for details.
               * @doc {heading: 'Tensors', subheading: 'Classes'}
               */
              Tensor.prototype.clone = function () {
                this.throwIfDisposed();
                return opHandler.clone(this);
              };
              /**
               * Returns a human-readable description of the tensor. Useful for logging.
               *
               * @doc {heading: 'Tensors', subheading: 'Classes'}
               */
              Tensor.prototype.toString = function (verbose) {
                if (verbose === void 0) {
                  verbose = false;
                }
                var vals = this.dataSync();
                return tensorToString(vals, this.shape, this.dtype, verbose);
              };
              Tensor.prototype.cast = function (dtype) {
                this.throwIfDisposed();
                return opHandler.cast(this, dtype);
              };
              Tensor.prototype.variable = function (trainable, name, dtype) {
                if (trainable === void 0) {
                  trainable = true;
                }
                this.throwIfDisposed();
                return trackerFn().makeVariable(this, trainable, name, dtype);
              };
              return Tensor;
            })();
            Object.defineProperty(Tensor, Symbol.hasInstance, {
              value: function (instance) {
                // Implementation note: we should use properties of the object that will be
                // defined before the constructor body has finished executing (methods).
                // This is because when this code is transpiled by babel, babel will call
                // classCallCheck before the constructor body is run.
                // See https://github.com/tensorflow/tfjs/issues/3384 for backstory.
                return (
                  !!instance &&
                  instance.data != null &&
                  instance.dataSync != null &&
                  instance.throwIfDisposed != null
                );
              },
            });
            function getGlobalTensorClass() {
              // Use getGlobal so that we can augment the Tensor class across package
              // boundaries becase the node resolution alg may result in different modules
              // being returned for this file depending on the path they are loaded from.
              return getGlobal('Tensor', function () {
                return Tensor;
              });
            }
            // Global side effect. Cache global reference to Tensor class
            getGlobalTensorClass();
            /**
             * A mutable `tf.Tensor`, useful for persisting state, e.g. for training.
             *
             * @doc {heading: 'Tensors', subheading: 'Classes'}
             */
            var Variable = /** @class */ (function (_super) {
              __extends(Variable, _super);
              function Variable(initialValue, trainable, name, tensorId) {
                var _this =
                  _super.call(
                    this,
                    initialValue.shape,
                    initialValue.dtype,
                    initialValue.dataId,
                    tensorId,
                  ) || this;
                _this.trainable = trainable;
                _this.name = name;
                return _this;
              }
              /**
               * Assign a new `tf.Tensor` to this variable. The new `tf.Tensor` must have
               * the same shape and dtype as the old `tf.Tensor`.
               *
               * @param newValue New tensor to be assigned to this variable.
               *
               * @doc {heading: 'Tensors', subheading: 'Classes'}
               */
              Variable.prototype.assign = function (newValue) {
                if (newValue.dtype !== this.dtype) {
                  throw new Error(
                    'dtype of the new value (' +
                      newValue.dtype +
                      ') and ' +
                      ('previous value (' + this.dtype + ') must match'),
                  );
                }
                if (!arraysEqual(newValue.shape, this.shape)) {
                  throw new Error(
                    'shape of the new value (' +
                      newValue.shape +
                      ') and ' +
                      ('previous value (' + this.shape + ') must match'),
                  );
                }
                trackerFn().disposeTensor(this);
                this.dataId = newValue.dataId;
                trackerFn().incRef(this, null /* backend */);
              };
              Variable.prototype.dispose = function () {
                trackerFn().disposeVariable(this);
                this.isDisposedInternal = true;
              };
              return Variable;
            })(Tensor);
            Object.defineProperty(Variable, Symbol.hasInstance, {
              value: function (instance) {
                return (
                  instance instanceof Tensor &&
                  instance.assign != null &&
                  instance.assign instanceof Function
                );
              },
            });

            /**
             * @license
             * Copyright 2017 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            (function (Rank) {
              Rank['R0'] = 'R0';
              Rank['R1'] = 'R1';
              Rank['R2'] = 'R2';
              Rank['R3'] = 'R3';
              Rank['R4'] = 'R4';
              Rank['R5'] = 'R5';
              Rank['R6'] = 'R6';
            })(exports.Rank || (exports.Rank = {}));
            // Looks for upcasting types. Used, for example, in operations with mixed dtype
            // inputs.
            var UpcastInt32AndMap;
            (function (UpcastInt32AndMap) {
              UpcastInt32AndMap['float32'] = 'float32';
              UpcastInt32AndMap['int32'] = 'int32';
              UpcastInt32AndMap['bool'] = 'int32';
              UpcastInt32AndMap['complex64'] = 'complex64';
            })(UpcastInt32AndMap || (UpcastInt32AndMap = {}));
            var UpcastBoolAndMap;
            (function (UpcastBoolAndMap) {
              UpcastBoolAndMap['float32'] = 'float32';
              UpcastBoolAndMap['int32'] = 'int32';
              UpcastBoolAndMap['bool'] = 'bool';
              UpcastBoolAndMap['complex64'] = 'complex64';
            })(UpcastBoolAndMap || (UpcastBoolAndMap = {}));
            var UpcastFloat32AndMap;
            (function (UpcastFloat32AndMap) {
              UpcastFloat32AndMap['float32'] = 'float32';
              UpcastFloat32AndMap['int32'] = 'float32';
              UpcastFloat32AndMap['bool'] = 'float32';
              UpcastFloat32AndMap['complex64'] = 'complex64';
            })(UpcastFloat32AndMap || (UpcastFloat32AndMap = {}));
            var UpcastComplex64AndMap;
            (function (UpcastComplex64AndMap) {
              UpcastComplex64AndMap['float32'] = 'complex64';
              UpcastComplex64AndMap['int32'] = 'complex64';
              UpcastComplex64AndMap['bool'] = 'complex64';
              UpcastComplex64AndMap['complex64'] = 'complex64';
            })(UpcastComplex64AndMap || (UpcastComplex64AndMap = {}));
            var upcastTypeMap = {
              float32: UpcastFloat32AndMap,
              int32: UpcastInt32AndMap,
              bool: UpcastBoolAndMap,
              complex64: UpcastComplex64AndMap,
            };
            function upcastType(typeA, typeB) {
              if (typeA === 'string' || typeB === 'string') {
                if (typeA === 'string' && typeB === 'string') {
                  return 'string';
                }
                throw new Error('Can not upcast ' + typeA + ' with ' + typeB);
              }
              return upcastTypeMap[typeA][typeB];
            }
            /** Returns the output type after summation. */
            function sumOutType(type) {
              return upcastType(type, 'int32');
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            function makeTypesMatch(a, b) {
              if (a.dtype === b.dtype) {
                return [a, b];
              }
              var dtype = upcastType(a.dtype, b.dtype);
              return [a.cast(dtype), b.cast(dtype)];
            }
            function assertTypesMatch(a, b) {
              assert(a.dtype === b.dtype, function () {
                return (
                  'The dtypes of the first(' +
                  a.dtype +
                  ') and' +
                  (' second(' + b.dtype + ') input must match')
                );
              });
            }
            function isTensorInList(tensor, tensorList) {
              return tensorList.some(function (x) {
                return x.id === tensor.id;
              });
            }
            /**
             * Extracts any `Tensor`s found within the provided object.
             *
             * @param container an object that may be a `Tensor` or may directly contain
             *   `Tensor`s, such as a `Tensor[]` or `{key: Tensor, ...}`. In general it
             *   is safe to pass any object here, except that `Promise`s are not
             *   supported.
             * @returns An array of `Tensors` found within the passed object. If the
             *   argument is simply a `Tensor', a list containing that `Tensor` is
             *   returned. If the object is not a `Tensor` or does not
             *   contain `Tensors`, an empty list is returned.
             */
            function getTensorsInContainer(result) {
              var list = [];
              var seen = new Set();
              walkTensorContainer(result, list, seen);
              return list;
            }
            function walkTensorContainer(container, list, seen) {
              if (container == null) {
                return;
              }
              if (container instanceof Tensor) {
                list.push(container);
                return;
              }
              if (!isIterable(container)) {
                return;
              }
              // Iteration over keys works also for arrays.
              var iterable = container;
              for (var k in iterable) {
                var val = iterable[k];
                if (!seen.has(val)) {
                  seen.add(val);
                  walkTensorContainer(val, list, seen);
                }
              }
            }
            // tslint:disable-next-line:no-any
            function isIterable(obj) {
              return Array.isArray(obj) || typeof obj === 'object';
            }

            var tensor_util = {
              __proto__: null,
              makeTypesMatch: makeTypesMatch,
              assertTypesMatch: assertTypesMatch,
              isTensorInList: isTensorInList,
              getTensorsInContainer: getTensorsInContainer,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            function isRegisteredKernelInvocation(kernelInvocation) {
              return kernelInvocation.kernelName != null;
            }
            var EngineState = /** @class */ (function () {
              function EngineState() {
                // Public since optimizers will use it.
                this.registeredVariables = {};
                this.nextTapeNodeId = 0;
                this.numBytes = 0;
                this.numTensors = 0;
                this.numStringTensors = 0;
                this.numDataBuffers = 0;
                // Number of nested tf.grad() statements when computing higher-order
                // gradients. E.g. `1` for first-order gradients and `2` for second-order
                // gradients. Used to track if the tape should be removed after a backprop.
                this.gradientDepth = 0;
                // Number of nested kernel calls. When kernel depth is greater than 1, we turn
                // off the tape.
                this.kernelDepth = 0;
                this.scopeStack = [];
                /**
                 * Keeps track of the number of data moves during a kernel execution. We
                 * maintain a stack since kernels can call other kernels, recursively.
                 */
                this.numDataMovesStack = [];
                this.nextScopeId = 0;
                this.tensorInfo = new WeakMap();
                this.profiling = false;
                this.activeProfile = {
                  newBytes: 0,
                  newTensors: 0,
                  peakBytes: 0,
                  kernels: [],
                  result: null,
                  get kernelNames() {
                    return Array.from(
                      new Set(
                        this.kernels.map(function (k) {
                          return k.name;
                        }),
                      ),
                    );
                  },
                };
              }
              EngineState.prototype.dispose = function () {
                for (var variableName in this.registeredVariables) {
                  this.registeredVariables[variableName].dispose();
                }
              };
              return EngineState;
            })();
            var Engine = /** @class */ (function () {
              function Engine(ENV) {
                this.ENV = ENV;
                this.registry = {};
                this.registryFactory = {};
                this.pendingBackendInitId = 0;
                this.state = new EngineState();
              }
              Engine.prototype.ready = function () {
                return __awaiter(this, void 0, void 0, function () {
                  var sortedBackends, i, backendName, success;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        if (this.pendingBackendInit != null) {
                          return [2 /*return*/, this.pendingBackendInit.then(function () {})];
                        }
                        if (this.backendInstance != null) {
                          return [2 /*return*/];
                        }
                        sortedBackends = this.getSortedBackends();
                        i = 0;
                        _a.label = 1;
                      case 1:
                        if (!(i < sortedBackends.length)) return [3 /*break*/, 5];
                        backendName = sortedBackends[i];
                        return [4 /*yield*/, this.initializeBackend(backendName).success];
                      case 2:
                        success = _a.sent();
                        if (!success) return [3 /*break*/, 4];
                        return [4 /*yield*/, this.setBackend(backendName)];
                      case 3:
                        _a.sent();
                        return [2 /*return*/];
                      case 4:
                        i++;
                        return [3 /*break*/, 1];
                      case 5:
                        throw new Error(
                          'Could not initialize any backends, all backend initializations ' +
                            'failed.',
                        );
                    }
                  });
                });
              };
              Object.defineProperty(Engine.prototype, 'backend', {
                get: function () {
                  if (this.pendingBackendInit != null) {
                    throw new Error(
                      "Backend '" +
                        this.backendName +
                        "' has not yet been initialized. Make " +
                        'sure to await tf.ready() or await tf.setBackend() before calling ' +
                        'other methods',
                    );
                  }
                  if (this.backendInstance == null) {
                    var _a = this.initializeBackendsAndReturnBest(),
                      name_1 = _a.name,
                      asyncInit = _a.asyncInit;
                    if (asyncInit) {
                      throw new Error(
                        "The highest priority backend '" +
                          name_1 +
                          "' has not yet been " +
                          'initialized. Make sure to await tf.ready() or ' +
                          'await tf.setBackend() before calling other methods',
                      );
                    }
                    this.setBackend(name_1);
                  }
                  return this.backendInstance;
                },
                enumerable: true,
                configurable: true,
              });
              Engine.prototype.backendNames = function () {
                return Object.keys(this.registryFactory);
              };
              Engine.prototype.findBackend = function (backendName) {
                if (!(backendName in this.registry)) {
                  // If the backend hasn't been initialized but we have a registry entry for
                  // it, initialize it and return it.
                  if (backendName in this.registryFactory) {
                    var asyncInit = this.initializeBackend(backendName).asyncInit;
                    if (asyncInit) {
                      // Backend is not ready yet.
                      return null;
                    }
                  } else {
                    return null;
                  }
                }
                return this.registry[backendName];
              };
              Engine.prototype.findBackendFactory = function (backendName) {
                if (!(backendName in this.registryFactory)) {
                  return null;
                }
                return this.registryFactory[backendName].factory;
              };
              Engine.prototype.registerBackend = function (backendName, factory, priority) {
                if (priority === void 0) {
                  priority = 1;
                }
                if (backendName in this.registryFactory) {
                  console.warn(
                    backendName +
                      ' backend was already registered. ' +
                      'Reusing existing backend factory.',
                  );
                  return false;
                }
                this.registryFactory[backendName] = { factory: factory, priority: priority };
                return true;
              };
              Engine.prototype.setBackend = function (backendName) {
                return __awaiter(this, void 0, void 0, function () {
                  var _a, success, asyncInit, result, _b;
                  return __generator(this, function (_c) {
                    switch (_c.label) {
                      case 0:
                        if (this.registryFactory[backendName] == null) {
                          throw new Error(
                            "Backend name '" + backendName + "' not found in registry",
                          );
                        }
                        this.backendName = backendName;
                        if (!(this.registry[backendName] == null)) return [3 /*break*/, 4];
                        this.backendInstance = null;
                        (_a = this.initializeBackend(backendName)),
                          (success = _a.success),
                          (asyncInit = _a.asyncInit);
                        if (!asyncInit) return [3 /*break*/, 2];
                        return [4 /*yield*/, success];
                      case 1:
                        _b = _c.sent();
                        return [3 /*break*/, 3];
                      case 2:
                        _b = success;
                        _c.label = 3;
                      case 3:
                        result = _b;
                        if (!result) {
                          return [2 /*return*/, false];
                        }
                        _c.label = 4;
                      case 4:
                        this.backendInstance = this.registry[backendName];
                        this.setupRegisteredKernels();
                        // Reset the profiler.
                        this.profiler = new Profiler(this.backendInstance);
                        return [2 /*return*/, true];
                    }
                  });
                });
              };
              Engine.prototype.setupRegisteredKernels = function () {
                var _this = this;
                var kernels = getKernelsForBackend(this.backendName);
                kernels.forEach(function (kernel) {
                  if (kernel.setupFunc != null) {
                    kernel.setupFunc(_this.backendInstance);
                  }
                });
              };
              Engine.prototype.disposeRegisteredKernels = function (backendName) {
                var _this = this;
                var kernels = getKernelsForBackend(backendName);
                kernels.forEach(function (kernel) {
                  if (kernel.disposeFunc != null) {
                    kernel.disposeFunc(_this.registry[backendName]);
                  }
                });
              };
              /**
               * Initializes a backend by looking up the backend name in the factory
               * registry and calling the factory method. Returns a boolean representing
               * whether the initialization of the backend suceeded. Throws an error if
               * there is no backend in the factory registry.
               */
              Engine.prototype.initializeBackend = function (backendName) {
                var _this = this;
                var registryFactoryEntry = this.registryFactory[backendName];
                if (registryFactoryEntry == null) {
                  throw new Error(
                    'Cannot initialize backend ' + backendName + ', no registration found.',
                  );
                }
                try {
                  var backend = registryFactoryEntry.factory();
                  /* Test if the factory returns a promise.
            Done in a more liberal way than
            previous 'Promise.resolve(backend)===backend'
            as we needed to account for custom Promise
            implementations (e.g. Angular) */
                  if (
                    backend &&
                    !(backend instanceof KernelBackend) &&
                    typeof backend.then === 'function'
                  ) {
                    var promiseId_1 = ++this.pendingBackendInitId;
                    var success = backend
                      .then(function (backendInstance) {
                        // Outdated promise. Another backend was set in the meantime.
                        if (promiseId_1 < _this.pendingBackendInitId) {
                          return false;
                        }
                        _this.registry[backendName] = backendInstance;
                        _this.pendingBackendInit = null;
                        return true;
                      })
                      .catch(function (err) {
                        // Outdated promise. Another backend was set in the meantime.
                        if (promiseId_1 < _this.pendingBackendInitId) {
                          return false;
                        }
                        _this.pendingBackendInit = null;
                        console.warn('Initialization of backend ' + backendName + ' failed');
                        console.warn(err.stack || err.message);
                        return false;
                      });
                    this.pendingBackendInit = success;
                    return { success: success, asyncInit: true };
                  } else {
                    this.registry[backendName] = backend;
                    return { success: true, asyncInit: false };
                  }
                } catch (err) {
                  console.warn('Initialization of backend ' + backendName + ' failed');
                  console.warn(err.stack || err.message);
                  return { success: false, asyncInit: false };
                }
              };
              Engine.prototype.removeBackend = function (backendName) {
                if (!(backendName in this.registryFactory)) {
                  throw new Error(backendName + ' backend not found in registry');
                }
                if (this.backendName === backendName && this.pendingBackendInit != null) {
                  // There is a pending promise of the backend we want to remove. Make it
                  // obsolete.
                  this.pendingBackendInitId++;
                }
                if (backendName in this.registry) {
                  this.disposeRegisteredKernels(backendName);
                  this.registry[backendName].dispose();
                  delete this.registry[backendName];
                }
                delete this.registryFactory[backendName];
                // Unset the backend if it is active.
                if (this.backendName === backendName) {
                  this.pendingBackendInit = null;
                  this.backendName = null;
                  this.backendInstance = null;
                }
              };
              Engine.prototype.getSortedBackends = function () {
                var _this = this;
                if (Object.keys(this.registryFactory).length === 0) {
                  throw new Error('No backend found in registry.');
                }
                return Object.keys(this.registryFactory).sort(function (a, b) {
                  // Highest priority comes first.
                  return _this.registryFactory[b].priority - _this.registryFactory[a].priority;
                });
              };
              Engine.prototype.initializeBackendsAndReturnBest = function () {
                var sortedBackends = this.getSortedBackends();
                for (var i = 0; i < sortedBackends.length; i++) {
                  var backendName = sortedBackends[i];
                  var _a = this.initializeBackend(backendName),
                    success = _a.success,
                    asyncInit = _a.asyncInit;
                  if (asyncInit || success) {
                    return { name: backendName, asyncInit: asyncInit };
                  }
                }
                throw new Error(
                  'Could not initialize any backends, all backend initializations ' + 'failed.',
                );
              };
              Engine.prototype.moveData = function (backend, dataId) {
                var info = this.state.tensorInfo.get(dataId);
                var srcBackend = info.backend;
                var values = this.readSync(dataId);
                var refCount = srcBackend.refCount(dataId);
                // Delete the tensor from the old backend and move it to the new
                // backend.
                srcBackend.disposeData(dataId, true);
                info.backend = backend;
                backend.move(dataId, values, info.shape, info.dtype, refCount);
                if (this.shouldCheckForMemLeaks()) {
                  // Track the number of moves during a kernel execution to correctly
                  // detect memory leaks.
                  this.state.numDataMovesStack[this.state.numDataMovesStack.length - 1]++;
                }
              };
              Engine.prototype.tidy = function (nameOrFn, fn) {
                var _this = this;
                var name = null;
                if (fn == null) {
                  // Called with only 1 argument.
                  if (typeof nameOrFn !== 'function') {
                    throw new Error('Please provide a function to tidy()');
                  }
                  fn = nameOrFn;
                } else {
                  // Called with 2 arguments.
                  if (typeof nameOrFn !== 'string' && !(nameOrFn instanceof String)) {
                    throw new Error(
                      'When calling with two arguments, the first argument ' +
                        'to tidy() must be a string',
                    );
                  }
                  if (typeof fn !== 'function') {
                    throw new Error(
                      'When calling with two arguments, the 2nd argument ' +
                        'to tidy() must be a function',
                    );
                  }
                  name = nameOrFn;
                  // TODO(nsthorat,smilkov): Do operation logging and performance
                  // profiling.
                }
                var result;
                return this.scopedRun(
                  function () {
                    return _this.startScope(name);
                  },
                  function () {
                    return _this.endScope(result);
                  },
                  function () {
                    result = fn();
                    if (result instanceof Promise) {
                      console.error('Cannot return a Promise inside of tidy.');
                    }
                    return result;
                  },
                );
              };
              Engine.prototype.scopedRun = function (start, end, f) {
                start();
                try {
                  var res = f();
                  end();
                  return res;
                } catch (ex) {
                  end();
                  throw ex;
                }
              };
              Engine.prototype.nextTensorId = function () {
                return Engine.nextTensorId++;
              };
              Engine.prototype.nextVariableId = function () {
                return Engine.nextVariableId++;
              };
              /**
               * This method is called instead of the public-facing tensor.clone() when
               * saving a tensor for backwards pass. It makes sure to add the clone
               * operation to the tape regardless of being called inside a kernel
               * execution.
               */
              Engine.prototype.clone = function (x) {
                var y = ENGINE.runKernel(Identity, { x: x });
                var inputs = { x: x };
                var grad = function (dy) {
                  return {
                    x: function () {
                      var dtype = 'float32';
                      var gradInputs = { x: dy };
                      var attrs = { dtype: dtype };
                      return ENGINE.runKernel(
                        Cast,
                        gradInputs,
                        // tslint:disable-next-line: no-unnecessary-type-assertion
                        attrs,
                      );
                    },
                  };
                };
                var saved = [];
                this.addTapeNode(this.state.activeScope.name, inputs, [y], grad, saved, {});
                return y;
              };
              /**
               * Execute a kernel with the given name and return the output tensor.
               *
               * @param kernelName The name of the kernel to execute.
               * @param inputs A map of input names to tensors.
               * @param attrs A map of attribute names to their values. An attribute is a
               *     primitive (non-tensor) input to the kernel.
               * @param inputsToSave A list of tensors, inputs to save for the backprop
               *     computation.
               * @param outputsToSave A list of booleans, specifying which output to save
               *     for the backprop computation. These are booleans since the output
               * tensors are not visible to the user.
               */
              Engine.prototype.runKernel = function (kernelName, inputs, attrs) {
                var hasKernel = getKernel(kernelName, this.backendName) != null;
                if (!hasKernel) {
                  throw new Error(
                    "Kernel '" +
                      kernelName +
                      "' not registered for backend '" +
                      this.backendName +
                      "'",
                  );
                }
                return this.runKernelFunc({ kernelName: kernelName, inputs: inputs, attrs: attrs });
              };
              Engine.prototype.shouldCheckForMemLeaks = function () {
                return this.ENV.getBool('IS_TEST');
              };
              Engine.prototype.checkKernelForMemLeak = function (
                kernelName,
                numDataIdsBefore,
                outInfos,
              ) {
                var numDataIdsAfter = this.backend.numDataIds();
                // Count the number of data ids associated with the result of the kernel.
                var numOutputDataIds = 0;
                outInfos.forEach(function (info) {
                  // Complex numbers allocate 3 data ids, one for 'real', one for
                  // 'imaginary', and one for the container that holds the former two.
                  numOutputDataIds += info.dtype === 'complex64' ? 3 : 1;
                });
                // Account for the number of moves during kernel execution. A "data move"
                // can happen in the middle of a kernel execution, placing a new (key,value)
                // pair in the data storage. Since data moves have net zero effect (we
                // always remove the data from the old backend), we have to cancel them out
                // when detecting memory leaks.
                var numMoves = this.state.numDataMovesStack[
                  this.state.numDataMovesStack.length - 1
                ];
                var dataIdsLeaked =
                  numDataIdsAfter - numDataIdsBefore - numOutputDataIds - numMoves;
                if (dataIdsLeaked > 0) {
                  throw new Error(
                    "Backend '" +
                      this.backendName +
                      "' has an internal memory leak " +
                      ('(' + dataIdsLeaked + " data ids) after running '" + kernelName + "'"),
                  );
                }
              };
              /**
               * Internal helper method to execute a kernel Func
               *
               * Use `runKernel` to execute kernels from outside of engine.
               */
              Engine.prototype.runKernelFunc = function (kernelParams) {
                var _this = this;
                var outputs;
                var saved = [];
                var isTapeOn = this.isTapeOn();
                var startingBytecount = this.state.numBytes;
                var startingNumTensors = this.state.numTensors;
                if (this.shouldCheckForMemLeaks()) {
                  this.state.numDataMovesStack.push(0);
                }
                var kernelFunc;
                if (this.backendName == null) {
                  // backend has not been initialized yet (backend initialization is lazy
                  // can be deferred until an op/ kernel is run).
                  // The below getter has side effects that will try to initialize the
                  // backend and set properties like this.backendName
                  // tslint:disable-next-line: no-unused-expression
                  this.backend;
                }
                var out;
                var kernelOrScopeName = isRegisteredKernelInvocation(kernelParams)
                  ? kernelParams.kernelName
                  : this.state.activeScope != null
                  ? this.state.activeScope.name
                  : '';
                // Create the kernelFunc from either a registered kernel OR passed in
                // forward/backward functions (used by custom grad). In this context a
                // kernelFunc wraps a kernel implementation with some bookkeeping.
                if (isRegisteredKernelInvocation(kernelParams)) {
                  var kernelName_1 = kernelParams.kernelName,
                    inputs_1 = kernelParams.inputs,
                    attrs_1 = kernelParams.attrs;
                  if (this.backendName == null) {
                    // backend has not been initialized yet (backend initialization is lazy
                    // can be deferred until an op/ kernel is run).
                    // The below getter has side effects that will try to initialize the
                    // backend and set properties like this.backendName
                    // tslint:disable-next-line: no-unused-expression
                    this.backend;
                  }
                  var kernel_1 = getKernel(kernelName_1, this.backendName);
                  assert(kernel_1 != null, function () {
                    return (
                      "Cannot find registered kernel '" +
                      kernelName_1 +
                      "' for backend '" +
                      _this.backendName +
                      "'"
                    );
                  });
                  kernelFunc = function () {
                    var numDataIdsBefore = _this.backend.numDataIds();
                    out = kernel_1.kernelFunc({
                      inputs: inputs_1,
                      attrs: attrs_1,
                      backend: _this.backend,
                    });
                    var outInfos = Array.isArray(out) ? out : [out];
                    if (_this.shouldCheckForMemLeaks()) {
                      _this.checkKernelForMemLeak(kernelName_1, numDataIdsBefore, outInfos);
                    }
                    var outTensors = outInfos.map(function (outInfo) {
                      // todo (yassogba) remove this option (Tensor) when node backend
                      // methods have been modularized and they all return tensorInfo.
                      // TensorInfos do not have a rank attribute.
                      if (outInfo.rank != null) {
                        return outInfo;
                      }
                      var _a = outInfo,
                        dataId = _a.dataId,
                        shape = _a.shape,
                        dtype = _a.dtype;
                      return _this.makeTensorFromDataId(dataId, shape, dtype);
                    });
                    // Save any required inputs and outputs.
                    // Do not save unless we are recording to the tape. Otherwise it would
                    // cause a mem leak since there would be no backprop for these tensors
                    // (which would otherwise dispose them).
                    if (isTapeOn) {
                      var tensorsToSave = _this.getTensorsForGradient(
                        kernelName_1,
                        inputs_1,
                        outTensors,
                      );
                      saved = _this.saveTensorsForBackwardMode(tensorsToSave);
                    }
                    return outTensors;
                  };
                } else {
                  var forwardFunc_1 = kernelParams.forwardFunc;
                  // Running a customGrad op.
                  var saveFunc_1 = function (tensors) {
                    // Do not save unless we are recording to the tape. Otherwise it would
                    // cause a mem leak since we would never run backprop, which disposes
                    // the kept tensors.
                    if (!isTapeOn) {
                      return;
                    }
                    saved = tensors.map(function (tensor) {
                      return _this.keep(_this.clone(tensor));
                    });
                  };
                  kernelFunc = function () {
                    var numDataIdsBefore = _this.backend.numDataIds();
                    out = _this.tidy(function () {
                      return forwardFunc_1(_this.backend, saveFunc_1);
                    });
                    var outs = Array.isArray(out) ? out : [out];
                    if (_this.shouldCheckForMemLeaks()) {
                      // Scope name is used to print a more helpful error message if needed.
                      _this.checkKernelForMemLeak(kernelOrScopeName, numDataIdsBefore, outs);
                    }
                    return outs;
                  };
                }
                //
                // Run the kernelFunc. Optionally profiling it.
                //
                var inputs = kernelParams.inputs,
                  attrs = kernelParams.attrs;
                var backwardsFunc = isRegisteredKernelInvocation(kernelParams)
                  ? null
                  : kernelParams.backwardsFunc;
                var kernelProfile;
                this.scopedRun(
                  // Stop recording to a tape when running a kernel.
                  function () {
                    return _this.state.kernelDepth++;
                  },
                  function () {
                    return _this.state.kernelDepth--;
                  },
                  function () {
                    if (!_this.ENV.getBool('DEBUG') && !_this.state.profiling) {
                      outputs = kernelFunc();
                    } else {
                      kernelProfile = _this.profiler.profileKernel(
                        kernelOrScopeName,
                        inputs,
                        function () {
                          return kernelFunc();
                        },
                      );
                      if (_this.ENV.getBool('DEBUG')) {
                        _this.profiler.logKernelProfile(kernelProfile);
                      }
                      outputs = kernelProfile.outputs;
                    }
                  },
                );
                if (isTapeOn) {
                  this.addTapeNode(kernelOrScopeName, inputs, outputs, backwardsFunc, saved, attrs);
                }
                if (this.state.profiling) {
                  this.state.activeProfile.kernels.push({
                    name: kernelOrScopeName,
                    bytesAdded: this.state.numBytes - startingBytecount,
                    totalBytesSnapshot: this.state.numBytes,
                    tensorsAdded: this.state.numTensors - startingNumTensors,
                    totalTensorsSnapshot: this.state.numTensors,
                    inputShapes: Object.keys(inputs).map(function (key) {
                      return inputs[key] != null ? inputs[key].shape : null;
                    }),
                    outputShapes: outputs.map(function (item) {
                      return item.shape;
                    }),
                    kernelTimeMs: kernelProfile.timeMs,
                    extraInfo: kernelProfile.extraInfo,
                  });
                }
                return Array.isArray(out) ? outputs : outputs[0];
              };
              /**
               * Saves tensors used in forward mode for use in backward mode.
               *
               * @param tensors the list of tensors to save.
               */
              Engine.prototype.saveTensorsForBackwardMode = function (tensors) {
                var _this = this;
                var saved = tensors.map(function (tensor) {
                  return _this.keep(_this.clone(tensor));
                });
                return saved;
              };
              /**
               * Returns a list of tensors to save for a given gradient calculation.
               *
               * @param kernelName name of kernel to look up gradient for.
               * @param inputs a map of input tensors.
               * @param outputs an array of output tensors from forward mode of kernel.
               */
              Engine.prototype.getTensorsForGradient = function (kernelName, inputs, outputs) {
                var gradConfig = getGradient(kernelName);
                if (gradConfig != null) {
                  var inputsToSave = gradConfig.inputsToSave || [];
                  var outputsToSave_1 = gradConfig.outputsToSave || [];
                  // If saveAllInputs is true, all inputs will be saved. Otherwise, inputs
                  // specified in inputsToSave will be saved.
                  var inputTensorsToSave = void 0;
                  if (gradConfig.saveAllInputs) {
                    assert(Array.isArray(inputs), function () {
                      return 'saveAllInputs is true, expected inputs to be an array.';
                    });
                    inputTensorsToSave = Object.keys(inputs).map(function (key) {
                      return inputs[key];
                    });
                  } else {
                    inputTensorsToSave = inputsToSave.map(function (inputName) {
                      return inputs[inputName];
                    });
                  }
                  var outputTensorsToSave = outputs.filter(function (_, i) {
                    return outputsToSave_1[i];
                  });
                  return inputTensorsToSave.concat(outputTensorsToSave);
                }
                // We return an empty list rather than throw an error because the kernel we
                // are looking up may not actually be relevant to backproping through the
                // overall function
                //
                // See 'does not error if irrelevant (pruned) ops are missing grads' test
                // in gradients_test.ts for an example.
                return [];
              };
              /**
               * Internal method used by public APIs for tensor creation. Makes a new
               * tensor with the provided shape, dtype and values. It always
               * creates a new data id and writes the values to the underlying backend.
               */
              Engine.prototype.makeTensor = function (values, shape, dtype, backend) {
                if (values == null) {
                  throw new Error('Values passed to engine.makeTensor() are null');
                }
                dtype = dtype || 'float32';
                backend = backend || this.backend;
                var backendVals = values;
                if (dtype === 'string' && isString(values[0])) {
                  backendVals = values.map(function (d) {
                    return encodeString(d);
                  });
                }
                var dataId = backend.write(backendVals, shape, dtype);
                var t = new Tensor(shape, dtype, dataId, this.nextTensorId());
                this.trackTensor(t, backend);
                // Count bytes for string tensors.
                if (dtype === 'string') {
                  var info = this.state.tensorInfo.get(dataId);
                  var newBytes = bytesFromStringArray(backendVals);
                  this.state.numBytes += newBytes - info.bytes;
                  info.bytes = newBytes;
                }
                return t;
              };
              /**
               * Internal method used by backends. Makes a new tensor
               * that is a wrapper around an existing data id. It doesn't create
               * a new data id, only increments the ref count used in memory tracking.
               */
              Engine.prototype.makeTensorFromDataId = function (dataId, shape, dtype, backend) {
                dtype = dtype || 'float32';
                var t = new Tensor(shape, dtype, dataId, this.nextTensorId());
                this.trackTensor(t, backend);
                return t;
              };
              Engine.prototype.makeVariable = function (initialValue, trainable, name, dtype) {
                if (trainable === void 0) {
                  trainable = true;
                }
                name = name || this.nextVariableId().toString();
                if (dtype != null && dtype !== initialValue.dtype) {
                  initialValue = initialValue.cast(dtype);
                }
                var v = new Variable(initialValue, trainable, name, this.nextTensorId());
                if (this.state.registeredVariables[v.name] != null) {
                  throw new Error('Variable with name ' + v.name + ' was already registered');
                }
                this.state.registeredVariables[v.name] = v;
                this.incRef(v, this.backend);
                return v;
              };
              Engine.prototype.trackTensor = function (a, backend) {
                this.state.numTensors++;
                if (a.dtype === 'string') {
                  this.state.numStringTensors++;
                }
                // Bytes for complex numbers are counted by their components. Bytes for
                // string tensors are counted when writing values.
                var bytes = 0;
                if (a.dtype !== 'complex64' && a.dtype !== 'string') {
                  bytes = a.size * bytesPerElement(a.dtype);
                }
                this.state.numBytes += bytes;
                if (!this.state.tensorInfo.has(a.dataId)) {
                  this.state.numDataBuffers++;
                  this.state.tensorInfo.set(a.dataId, {
                    backend: backend || this.backend,
                    dtype: a.dtype,
                    shape: a.shape,
                    bytes: bytes,
                  });
                }
                if (!(a instanceof Variable)) {
                  this.track(a);
                }
              };
              // Track the tensor by dataId and increase the refCount for the dataId in the
              // backend.
              // TODO(pyu10055): This is currently used by makeVariable method, to increase
              // refCount on the backend for the dataId. It can potentially be replaced with
              // Identity op indead of calling backend directly.
              Engine.prototype.incRef = function (a, backend) {
                this.trackTensor(a, backend);
                this.backend.incRef(a.dataId);
              };
              Engine.prototype.removeDataId = function (dataId, backend) {
                if (
                  this.state.tensorInfo.has(dataId) &&
                  this.state.tensorInfo.get(dataId).backend === backend
                ) {
                  this.state.tensorInfo.delete(dataId);
                  this.state.numDataBuffers--;
                }
              };
              Engine.prototype.disposeTensor = function (a) {
                if (!this.state.tensorInfo.has(a.dataId)) {
                  return;
                }
                var info = this.state.tensorInfo.get(a.dataId);
                this.state.numTensors--;
                if (a.dtype === 'string') {
                  this.state.numStringTensors--;
                  this.state.numBytes -= info.bytes;
                }
                // Don't count bytes for complex numbers as they are counted by their
                // components.
                if (a.dtype !== 'complex64' && a.dtype !== 'string') {
                  var bytes = a.size * bytesPerElement(a.dtype);
                  this.state.numBytes -= bytes;
                }
                // Remove the reference to dataId if backend dispose the data successfully
                if (info.backend.disposeData(a.dataId)) {
                  this.removeDataId(a.dataId, info.backend);
                }
                // TODO(nsthorat): Construct an error and save the stack trace for
                // debugging when in debug mode. Creating a stack trace is too expensive
                // to do unconditionally.
              };
              Engine.prototype.disposeVariables = function () {
                for (var varName in this.state.registeredVariables) {
                  var v = this.state.registeredVariables[varName];
                  this.disposeVariable(v);
                }
              };
              Engine.prototype.disposeVariable = function (v) {
                this.disposeTensor(v);
                if (this.state.registeredVariables[v.name] != null) {
                  delete this.state.registeredVariables[v.name];
                }
              };
              Engine.prototype.memory = function () {
                var info = this.backend.memory();
                info.numTensors = this.state.numTensors;
                info.numDataBuffers = this.state.numDataBuffers;
                info.numBytes = this.state.numBytes;
                if (this.state.numStringTensors > 0) {
                  info.unreliable = true;
                  if (info.reasons == null) {
                    info.reasons = [];
                  }
                  info.reasons.push(
                    'Memory usage by string tensors is approximate ' + '(2 bytes per character)',
                  );
                }
                return info;
              };
              Engine.prototype.profile = function (query) {
                return __awaiter(this, void 0, void 0, function () {
                  var startBytes, startNumTensors, _a, _i, _b, kernel, _c, _d;
                  return __generator(this, function (_e) {
                    switch (_e.label) {
                      case 0:
                        this.state.profiling = true;
                        startBytes = this.state.numBytes;
                        startNumTensors = this.state.numTensors;
                        this.state.activeProfile.kernels = [];
                        _a = this.state.activeProfile;
                        return [4 /*yield*/, query()];
                      case 1:
                        _a.result = _e.sent();
                        this.state.profiling = false;
                        this.state.activeProfile.peakBytes = Math.max.apply(
                          Math,
                          this.state.activeProfile.kernels.map(function (d) {
                            return d.totalBytesSnapshot;
                          }),
                        );
                        this.state.activeProfile.newBytes = this.state.numBytes - startBytes;
                        this.state.activeProfile.newTensors =
                          this.state.numTensors - startNumTensors;
                        (_i = 0), (_b = this.state.activeProfile.kernels);
                        _e.label = 2;
                      case 2:
                        if (!(_i < _b.length)) return [3 /*break*/, 6];
                        kernel = _b[_i];
                        _c = kernel;
                        return [4 /*yield*/, kernel.kernelTimeMs];
                      case 3:
                        _c.kernelTimeMs = _e.sent();
                        _d = kernel;
                        return [4 /*yield*/, kernel.extraInfo];
                      case 4:
                        _d.extraInfo = _e.sent();
                        _e.label = 5;
                      case 5:
                        _i++;
                        return [3 /*break*/, 2];
                      case 6:
                        return [2 /*return*/, this.state.activeProfile];
                    }
                  });
                });
              };
              Engine.prototype.isTapeOn = function () {
                return this.state.gradientDepth > 0 && this.state.kernelDepth === 0;
              };
              Engine.prototype.addTapeNode = function (
                kernelName,
                inputs,
                outputs,
                gradientsFunc,
                saved,
                attrs,
              ) {
                var _this = this;
                var tapeNode = {
                  id: this.state.nextTapeNodeId++,
                  kernelName: kernelName,
                  inputs: inputs,
                  outputs: outputs,
                  saved: saved,
                };
                var gradConfig = getGradient(kernelName);
                if (gradConfig != null) {
                  gradientsFunc = gradConfig.gradFunc;
                }
                if (gradientsFunc != null) {
                  tapeNode.gradient = function (dys) {
                    // TODO(smilkov): To optimize back-prop, pass dys that are not used in
                    // the backprop graph to the user as null instead of zeros
                    dys = dys.map(function (dy, i) {
                      if (dy == null) {
                        var output = outputs[i];
                        var vals = makeZerosTypedArray(output.size, output.dtype);
                        return _this.makeTensor(vals, output.shape, output.dtype);
                      }
                      return dy;
                    });
                    // Grad functions of ops with single outputs expect a dy, while ops
                    // with multiple outputs expect dys (array of dy).
                    return gradientsFunc(dys.length > 1 ? dys : dys[0], saved, attrs);
                  };
                }
                this.state.activeTape.push(tapeNode);
              };
              Engine.prototype.keep = function (result) {
                result.kept = true;
                return result;
              };
              Engine.prototype.startTape = function () {
                if (this.state.gradientDepth === 0) {
                  this.state.activeTape = [];
                }
                this.state.gradientDepth++;
              };
              Engine.prototype.endTape = function () {
                this.state.gradientDepth--;
              };
              /**
               * Start a scope. Use this with endScope() to achieve the same functionality
               * as scope() without the need for a function closure.
               */
              Engine.prototype.startScope = function (name) {
                var scopeInfo = {
                  track: [],
                  name: 'unnamed scope',
                  id: this.state.nextScopeId++,
                };
                if (name) {
                  scopeInfo.name = name;
                }
                this.state.scopeStack.push(scopeInfo);
                this.state.activeScope = scopeInfo;
              };
              /**
               * End a scope. Use this with startScope() to achieve the same functionality
               * as scope() without the need for a function closure.
               */
              Engine.prototype.endScope = function (result) {
                var _this = this;
                var tensorsToTrackInParent = getTensorsInContainer(result);
                var tensorsToTrackInParentSet = new Set(
                  tensorsToTrackInParent.map(function (t) {
                    return t.id;
                  }),
                );
                // Dispose the arrays tracked in this scope.
                for (var i = 0; i < this.state.activeScope.track.length; i++) {
                  var tensor = this.state.activeScope.track[i];
                  if (!tensor.kept && !tensorsToTrackInParentSet.has(tensor.id)) {
                    tensor.dispose();
                  }
                }
                var oldScope = this.state.scopeStack.pop();
                this.state.activeScope =
                  this.state.scopeStack.length === 0
                    ? null
                    : this.state.scopeStack[this.state.scopeStack.length - 1];
                // Track the current result in the parent scope.
                tensorsToTrackInParent.forEach(function (tensor) {
                  // Only track the tensor if was allocated in the inner scope and is not
                  // globally kept.
                  if (!tensor.kept && tensor.scopeId === oldScope.id) {
                    _this.track(tensor);
                  }
                });
              };
              /**
               * Returns gradients of `f` with respect to each of the `xs`. The gradients
               * returned are of the same length as `xs`, but some might be null if `f`
               * was not a function of that `x`. It also takes optional dy to multiply the
               * gradient, which defaults to `1`.
               */
              Engine.prototype.gradients = function (f, xs, dy, allowNoGradients) {
                var _this = this;
                if (allowNoGradients === void 0) {
                  allowNoGradients = false;
                }
                assert(xs.length > 0, function () {
                  return 'gradients() received an empty list of xs.';
                });
                if (dy != null && dy.dtype !== 'float32') {
                  throw new Error("dy must have 'float32' dtype, but has '" + dy.dtype + "'");
                }
                var y = this.scopedRun(
                  function () {
                    return _this.startTape();
                  },
                  function () {
                    return _this.endTape();
                  },
                  function () {
                    return _this.tidy('forward', f);
                  },
                );
                assert(y instanceof Tensor, function () {
                  return 'The result y returned by f() must be a tensor.';
                });
                // Filter out the nodes that don't connect x => y.
                var filteredTape = getFilteredNodesXToY(this.state.activeTape, xs, y);
                if (!allowNoGradients && filteredTape.length === 0 && xs.length > 0) {
                  throw new Error(
                    'Cannot compute gradient of y=f(x) with respect to x. Make sure ' +
                      'that the f you passed encloses all operations that lead from x ' +
                      'to y.',
                  );
                }
                return this.tidy('backward', function () {
                  var accumulatedGradientMap = {};
                  accumulatedGradientMap[y.id] = dy == null ? ones(y.shape) : dy;
                  // Backprop gradients through the filtered nodes.
                  backpropagateGradients(
                    accumulatedGradientMap,
                    filteredTape,
                    // Pass the tidy function to avoid circular dep with `tape.ts`.
                    function (f) {
                      return _this.tidy(f);
                    },
                    // Pass an add function to avoide a circular dep with `tape.ts`.
                    add,
                  );
                  var grads = xs.map(function (x) {
                    return accumulatedGradientMap[x.id];
                  });
                  if (_this.state.gradientDepth === 0) {
                    // This means that we are not computing higher-order gradients
                    // and can clean up the tape.
                    _this.state.activeTape.forEach(function (node) {
                      for (var _i = 0, _a = node.saved; _i < _a.length; _i++) {
                        var tensor = _a[_i];
                        tensor.dispose();
                      }
                    });
                    _this.state.activeTape = null;
                  }
                  return { value: y, grads: grads };
                });
              };
              Engine.prototype.customGrad = function (f) {
                var _this = this;
                assert(isFunction(f), function () {
                  return 'The f passed in customGrad(f) must be a function.';
                });
                return function () {
                  var inputs = [];
                  for (var _i = 0; _i < arguments.length; _i++) {
                    inputs[_i] = arguments[_i];
                  }
                  assert(
                    inputs.every(function (t) {
                      return t instanceof Tensor;
                    }),
                    function () {
                      return (
                        'The args passed in customGrad(f)(x1, x2,...) must all be ' + 'tensors'
                      );
                    },
                  );
                  var res;
                  var inputMap = {};
                  inputs.forEach(function (input, i) {
                    inputMap[i] = input;
                  });
                  var forwardFunc = function (_, save) {
                    res = f.apply(void 0, inputs.concat([save]));
                    assert(res.value instanceof Tensor, function () {
                      return (
                        'The function f passed in customGrad(f) must return an ' +
                        'object where `obj.value` is a tensor'
                      );
                    });
                    assert(isFunction(res.gradFunc), function () {
                      return (
                        'The function f passed in customGrad(f) must return an ' +
                        'object where `obj.gradFunc` is a function.'
                      );
                    });
                    return res.value;
                  };
                  var backwardsFunc = function (dy, saved) {
                    var gradRes = res.gradFunc(dy, saved);
                    var grads = Array.isArray(gradRes) ? gradRes : [gradRes];
                    assert(grads.length === inputs.length, function () {
                      return (
                        'The function f passed in customGrad(f) must return an ' +
                        'object where `obj.gradFunc` is a function that returns ' +
                        'the same number of tensors as inputs passed to f(...).'
                      );
                    });
                    assert(
                      grads.every(function (t) {
                        return t instanceof Tensor;
                      }),
                      function () {
                        return (
                          'The function f passed in customGrad(f) must return an ' +
                          'object where `obj.gradFunc` is a function that returns ' +
                          'a list of only tensors.'
                        );
                      },
                    );
                    var gradMap = {};
                    grads.forEach(function (grad, i) {
                      gradMap[i] = function () {
                        return grad;
                      };
                    });
                    return gradMap;
                  };
                  return _this.runKernelFunc({
                    forwardFunc: forwardFunc,
                    backwardsFunc: backwardsFunc,
                    inputs: inputMap,
                  });
                };
              };
              Engine.prototype.readSync = function (dataId) {
                // Route the read to the correct backend.
                var info = this.state.tensorInfo.get(dataId);
                return info.backend.readSync(dataId);
              };
              Engine.prototype.read = function (dataId) {
                // Route the read to the correct backend.
                var info = this.state.tensorInfo.get(dataId);
                return info.backend.read(dataId);
              };
              Engine.prototype.time = function (query) {
                return __awaiter(this, void 0, void 0, function () {
                  var start, timingInfo;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        start = now();
                        return [4 /*yield*/, this.backend.time(query)];
                      case 1:
                        timingInfo = _a.sent();
                        timingInfo.wallMs = now() - start;
                        return [2 /*return*/, timingInfo];
                    }
                  });
                });
              };
              /**
               * Tracks a Tensor in the current scope to be automatically cleaned up
               * when the current scope ends, and returns the value.
               *
               * @param result The Tensor to track in the current scope.
               */
              Engine.prototype.track = function (result) {
                if (this.state.activeScope != null) {
                  result.scopeId = this.state.activeScope.id;
                  this.state.activeScope.track.push(result);
                }
                return result;
              };
              Object.defineProperty(Engine.prototype, 'registeredVariables', {
                get: function () {
                  return this.state.registeredVariables;
                },
                enumerable: true,
                configurable: true,
              });
              /**
               * Resets the engine state. Removes all backends but does not remove
               * registered backend factories.
               */
              Engine.prototype.reset = function () {
                // Make any pending promise obsolete.
                this.pendingBackendInitId++;
                this.state.dispose();
                this.ENV.reset();
                this.state = new EngineState();
                for (var backendName in this.registry) {
                  this.disposeRegisteredKernels(backendName);
                  this.registry[backendName].dispose();
                  delete this.registry[backendName];
                }
                this.backendName = null;
                this.backendInstance = null;
                this.pendingBackendInit = null;
              };
              Engine.nextTensorId = 0;
              Engine.nextVariableId = 0;
              return Engine;
            })();
            function ones(shape) {
              var values = makeOnesTypedArray(sizeFromShape(shape), 'float32');
              return ENGINE.makeTensor(values, shape, 'float32');
            }
            function getOrMakeEngine() {
              var ns = getGlobalNamespace();
              if (ns._tfengine == null) {
                var environment = new Environment(ns);
                ns._tfengine = new Engine(environment);
              }
              setEnvironmentGlobal(ns._tfengine.ENV);
              // Tell the current tensor interface that the global engine is responsible
              // for tracking.
              setTensorTracker(function () {
                return ns._tfengine;
              });
              return ns._tfengine;
            }
            var ENGINE = getOrMakeEngine();
            /**
             * A implementation of the add op for use within engine and tape.
             *
             * This allows us to avoid a circular dependency between add.ts and engine.
             * It is exported to be available in tape tests.
             */
            function add(a, b) {
              // We duplicate Add here to avoid a circular dependency with add.ts.
              var inputs = { a: a, b: b };
              return ENGINE.runKernel(Add, inputs);
            }

            /**
             * @license
             * Copyright 2017 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            // tslint:disable-next-line:no-any
            function _isNavigatorDefined() {
              return typeof navigator !== 'undefined' && navigator != null;
            }
            function isMobile(nav) {
              if (nav || _isNavigatorDefined()) {
                if (!nav) {
                  nav = navigator;
                }
                if (nav.product === 'ReactNative') {
                  return true;
                }
                // tslint:disable-next-line:no-any
                var a = nav.userAgent || nav.vendor || window.opera;
                // tslint:disable-next-line:max-line-length
                return (
                  /(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino/i.test(
                    a,
                  ) ||
                  // tslint:disable-next-line:max-line-length
                  /1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(
                    a.substr(0, 4),
                  )
                );
              }
              return false;
            }
            function isBrowser() {
              return (
                (typeof window !== 'undefined' && window.document != null) ||
                //@ts-ignore
                typeof WorkerGlobalScope !== 'undefined'
              );
            }

            var device_util = {
              __proto__: null,
              isMobile: isMobile,
              isBrowser: isBrowser,
            };

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var ENV = env();
            /**
             * This file contains environment-related flag registrations.
             */
            /** Whether to enable debug mode. */
            ENV.registerFlag(
              'DEBUG',
              function () {
                return false;
              },
              function (debugValue) {
                if (debugValue) {
                  console.warn(
                    'Debugging mode is ON. The output of every math call will ' +
                      'be downloaded to CPU and checked for NaNs. ' +
                      'This significantly impacts performance.',
                  );
                }
              },
            );
            /** Whether we are in a browser (as versus, say, node.js) environment. */
            ENV.registerFlag('IS_BROWSER', function () {
              return isBrowser();
            });
            /** Whether we are in a browser (as versus, say, node.js) environment. */
            ENV.registerFlag('IS_NODE', function () {
              return (
                typeof process !== 'undefined' &&
                typeof process.versions !== 'undefined' &&
                typeof process.versions.node !== 'undefined'
              );
            });
            /** Whether this browser is Chrome. */
            ENV.registerFlag('IS_CHROME', function () {
              return (
                typeof navigator !== 'undefined' &&
                navigator != null &&
                navigator.userAgent != null &&
                /Chrome/.test(navigator.userAgent) &&
                /Google Inc/.test(navigator.vendor)
              );
            });
            /**
             * True when the environment is "production" where we disable safety checks
             * to gain performance.
             */
            ENV.registerFlag('PROD', function () {
              return false;
            });
            /**
             * Whether to do sanity checks when inferring a shape from user-provided
             * values, used when creating a new tensor.
             */
            ENV.registerFlag('TENSORLIKE_CHECK_SHAPE_CONSISTENCY', function () {
              return ENV.getBool('DEBUG');
            });
            /** Whether deprecation warnings are enabled. */
            ENV.registerFlag('DEPRECATION_WARNINGS_ENABLED', function () {
              return true;
            });
            /** True if running unit tests. */
            ENV.registerFlag('IS_TEST', function () {
              return false;
            });
            /** Whether to check computation result for errors. */
            ENV.registerFlag('CHECK_COMPUTATION_FOR_ERRORS', function () {
              return true;
            });
            /** Whether the backend needs to wrap input to imageBitmap. */
            ENV.registerFlag('WRAP_TO_IMAGEBITMAP', function () {
              return false;
            });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            function inferShape(val, dtype) {
              var firstElem = val;
              if (isTypedArray(val)) {
                return dtype === 'string' ? [] : [val.length];
              }
              if (!Array.isArray(val)) {
                return []; // Scalar.
              }
              var shape = [];
              while (Array.isArray(firstElem) || (isTypedArray(firstElem) && dtype !== 'string')) {
                shape.push(firstElem.length);
                firstElem = firstElem[0];
              }
              if (Array.isArray(val) && env().getBool('TENSORLIKE_CHECK_SHAPE_CONSISTENCY')) {
                deepAssertShapeConsistency(val, shape, []);
              }
              return shape;
            }
            function deepAssertShapeConsistency(val, shape, indices) {
              indices = indices || [];
              if (!Array.isArray(val) && !isTypedArray(val)) {
                assert(shape.length === 0, function () {
                  return (
                    'Element arr[' +
                    indices.join('][') +
                    '] is a primitive, ' +
                    ('but should be an array/TypedArray of ' + shape[0] + ' elements')
                  );
                });
                return;
              }
              assert(shape.length > 0, function () {
                return (
                  'Element arr[' +
                  indices.join('][') +
                  '] should be a primitive, ' +
                  ('but is an array of ' + val.length + ' elements')
                );
              });
              assert(val.length === shape[0], function () {
                return (
                  'Element arr[' +
                  indices.join('][') +
                  '] should have ' +
                  shape[0] +
                  ' ' +
                  ('elements, but has ' + val.length + ' elements')
                );
              });
              var subShape = shape.slice(1);
              for (var i = 0; i < val.length; ++i) {
                deepAssertShapeConsistency(val[i], subShape, indices.concat(i));
              }
            }
            function assertDtype(expectedDtype, actualDType, argName, functionName) {
              if (expectedDtype === 'string_or_numeric') {
                return;
              }
              if (expectedDtype == null) {
                throw new Error('Expected dtype cannot be null.');
              }
              if (
                (expectedDtype !== 'numeric' && expectedDtype !== actualDType) ||
                (expectedDtype === 'numeric' && actualDType === 'string')
              ) {
                throw new Error(
                  "Argument '" +
                    argName +
                    "' passed to '" +
                    functionName +
                    "' must " +
                    ('be ' + expectedDtype + ' tensor, but got ' + actualDType + ' tensor'),
                );
              }
            }
            function convertToTensor(x, argName, functionName, parseAsDtype) {
              if (parseAsDtype === void 0) {
                parseAsDtype = 'numeric';
              }
              if (x instanceof Tensor) {
                assertDtype(parseAsDtype, x.dtype, argName, functionName);
                return x;
              }
              var inferredDtype = inferDtype(x);
              // If the user expects a bool/int/float, use that info to update the
              // inferredDtype when it is not a string.
              if (
                inferredDtype !== 'string' &&
                ['bool', 'int32', 'float32'].indexOf(parseAsDtype) >= 0
              ) {
                inferredDtype = parseAsDtype;
              }
              assertDtype(parseAsDtype, inferredDtype, argName, functionName);
              if (
                x == null ||
                (!isTypedArray(x) &&
                  !Array.isArray(x) &&
                  typeof x !== 'number' &&
                  typeof x !== 'boolean' &&
                  typeof x !== 'string')
              ) {
                var type = x == null ? 'null' : x.constructor.name;
                throw new Error(
                  "Argument '" +
                    argName +
                    "' passed to '" +
                    functionName +
                    "' must be a " +
                    ("Tensor or TensorLike, but got '" + type + "'"),
                );
              }
              var inferredShape = inferShape(x, inferredDtype);
              if (!isTypedArray(x) && !Array.isArray(x)) {
                x = [x];
              }
              var skipTypedArray = true;
              var values =
                inferredDtype !== 'string'
                  ? toTypedArray(x, inferredDtype)
                  : flatten(x, [], skipTypedArray);
              return ENGINE.makeTensor(values, inferredShape, inferredDtype);
            }
            function convertToTensorArray(arg, argName, functionName, parseAsDtype) {
              if (parseAsDtype === void 0) {
                parseAsDtype = 'numeric';
              }
              if (!Array.isArray(arg)) {
                throw new Error(
                  'Argument ' +
                    argName +
                    ' passed to ' +
                    functionName +
                    ' must be a ' +
                    '`Tensor[]` or `TensorLike[]`',
                );
              }
              var tensors = arg;
              return tensors.map(function (t, i) {
                return convertToTensor(t, argName + '[' + i + ']', functionName, parseAsDtype);
              });
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var OP_SCOPE_SUFFIX = '__op';
            /**
             * Used for wrapping functions that perform math operations on
             * Tensors. The function will be wrapped in a named scope that cleans all
             * memory usage after the function is done.
             */
            function op(f) {
              var keys = Object.keys(f);
              if (keys.length !== 1) {
                throw new Error(
                  'Please provide an object with a single key ' +
                    '(operation name) mapping to a function. Got an object with ' +
                    (keys.length + ' keys.'),
                );
              }
              var opName = keys[0];
              var fn = f[opName];
              // Strip the underscore from the end of the function name.
              if (opName.endsWith('_')) {
                opName = opName.substring(0, opName.length - 1);
              }
              // add an __op suffix to distinguish ops from kernels in tf.profile
              opName = opName + OP_SCOPE_SUFFIX;
              // tslint:disable-next-line:no-any
              var f2 = function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                  args[_i] = arguments[_i];
                }
                ENGINE.startScope(opName);
                try {
                  var result = fn.apply(void 0, args);
                  if (isPromise(result)) {
                    console.error('Cannot return a Promise inside of tidy.');
                  }
                  ENGINE.endScope(result);
                  return result;
                } catch (ex) {
                  ENGINE.endScope(null);
                  throw ex;
                }
              };
              Object.defineProperty(f2, 'name', { value: opName, configurable: true });
              // tslint:disable-next-line:no-any
              return f2;
            }

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Converts two real numbers to a complex number.
             *
             * Given a tensor `real` representing the real part of a complex number, and a
             * tensor `imag` representing the imaginary part of a complex number, this
             * operation returns complex numbers elementwise of the form [r0, i0, r1, i1],
             * where r represents the real part and i represents the imag part.
             *
             * The input tensors real and imag must have the same shape.
             *
             * ```js
             * const real = tf.tensor1d([2.25, 3.25]);
             * const imag = tf.tensor1d([4.75, 5.75]);
             * const complex = tf.complex(real, imag);
             *
             * complex.print();
             * ```
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function complex_(real, imag) {
              var $real = convertToTensor(real, 'real', 'complex');
              var $imag = convertToTensor(imag, 'imag', 'complex');
              assertShapesMatch(
                $real.shape,
                $imag.shape,
                'real and imag shapes, ' +
                  $real.shape +
                  ' and ' +
                  $imag.shape +
                  ', ' +
                  'must match in call to tf.complex().',
              );
              var inputs = { real: $real, imag: $imag };
              return ENGINE.runKernel(Complex, inputs);
            }
            var complex = op({ complex_: complex_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /** This is shared code across all tensor creation methods. */
            function makeTensor(values, shape, inferredShape, dtype) {
              if (dtype == null) {
                dtype = inferDtype(values);
              }
              if (dtype === 'complex64') {
                throw new Error(
                  'Cannot construct a complex64 tensor directly. ' +
                    'Please use tf.complex(real, imag).',
                );
              }
              if (
                !isTypedArray(values) &&
                !Array.isArray(values) &&
                typeof values !== 'number' &&
                typeof values !== 'boolean' &&
                typeof values !== 'string'
              ) {
                throw new Error(
                  'values passed to tensor(values) must be a number/boolean/string or ' +
                    'an array of numbers/booleans/strings, or a TypedArray',
                );
              }
              if (shape != null) {
                assertNonNegativeIntegerDimensions(shape);
                var providedSize_1 = sizeFromShape(shape);
                var inferredSize_1 = sizeFromShape(inferredShape);
                assert(providedSize_1 === inferredSize_1, function () {
                  return (
                    'Based on the provided shape, [' +
                    shape +
                    '], the tensor should have ' +
                    (providedSize_1 + ' values but has ' + inferredSize_1)
                  );
                });
                for (var i = 0; i < inferredShape.length; ++i) {
                  var inferred = inferredShape[i];
                  var flatDimsDontMatch =
                    i === inferredShape.length - 1
                      ? inferred !== sizeFromShape(shape.slice(i))
                      : true;
                  assert(inferredShape[i] === shape[i] || !flatDimsDontMatch, function () {
                    return (
                      'Error creating a new Tensor. Inferred shape ' +
                      ('(' + inferredShape + ') does not match the provided ') +
                      ('shape (' + shape + '). ')
                    );
                  });
                }
              }
              if (!isTypedArray(values) && !Array.isArray(values)) {
                values = [values];
              }
              shape = shape || inferredShape;
              values = dtype !== 'string' ? toTypedArray(values, dtype) : flatten(values, [], true);
              return ENGINE.makeTensor(values, shape, dtype);
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates a `tf.Tensor` with the provided values, shape and dtype.
             *
             * ```js
             * // Pass an array of values to create a vector.
             * tf.tensor([1, 2, 3, 4]).print();
             * ```
             *
             * ```js
             * // Pass a nested array of values to make a matrix or a higher
             * // dimensional tensor.
             * tf.tensor([[1, 2], [3, 4]]).print();
             * ```
             *
             * ```js
             * // Pass a flat array and specify a shape yourself.
             * tf.tensor([1, 2, 3, 4], [2, 2]).print();
             * ```
             *
             * @param values The values of the tensor. Can be nested array of numbers,
             *     or a flat array, or a `TypedArray`. If the values are strings,
             *     they will be encoded as utf-8 and kept as `Uint8Array[]`.
             * @param shape The shape of the tensor. Optional. If not provided,
             *   it is inferred from `values`.
             * @param dtype The data type.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function tensor(values, shape, dtype) {
              var inferredShape = inferShape(values, dtype);
              return makeTensor(values, shape, inferredShape, dtype);
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /* Type definitions for exporting and importing of models. */
            /**
             * A map from Tensor dtype to number of bytes per element of the Tensor.
             */
            var DTYPE_VALUE_SIZE_MAP = {
              float32: 4,
              float16: 2,
              int32: 4,
              uint16: 2,
              uint8: 1,
              bool: 1,
              complex64: 8,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /** Number of bytes reserved for the length of the string. (32bit integer). */
            var NUM_BYTES_STRING_LENGTH = 4;
            /**
             * Encode a map from names to weight values as an ArrayBuffer, along with an
             * `Array` of `WeightsManifestEntry` as specification of the encoded weights.
             *
             * This function does not perform sharding.
             *
             * This function is the reverse of `decodeWeights`.
             *
             * @param tensors A map ("dict") from names to tensors.
             * @param group Group to which the weights belong (optional).
             * @returns A `Promise` of
             *   - A flat `ArrayBuffer` with all the binary values of the `Tensor`s
             *     concatenated.
             *   - An `Array` of `WeightManifestEntry`s, carrying information including
             *     tensor names, `dtype`s and shapes.
             * @throws Error: on unsupported tensor `dtype`.
             */
            function encodeWeights(tensors, group) {
              return __awaiter(this, void 0, void 0, function () {
                var specs, dataPromises, names, _loop_1, i, tensorValues;
                var _this = this;
                return __generator(this, function (_a) {
                  switch (_a.label) {
                    case 0:
                      specs = [];
                      dataPromises = [];
                      names = Array.isArray(tensors)
                        ? tensors.map(function (tensor) {
                            return tensor.name;
                          })
                        : Object.keys(tensors);
                      _loop_1 = function (i) {
                        var name_1 = names[i];
                        var t = Array.isArray(tensors) ? tensors[i].tensor : tensors[name_1];
                        if (
                          t.dtype !== 'float32' &&
                          t.dtype !== 'int32' &&
                          t.dtype !== 'bool' &&
                          t.dtype !== 'string' &&
                          t.dtype !== 'complex64'
                        ) {
                          throw new Error(
                            "Unsupported dtype in weight '" + name_1 + "': " + t.dtype,
                          );
                        }
                        var spec = { name: name_1, shape: t.shape, dtype: t.dtype };
                        if (t.dtype === 'string') {
                          var utf8bytes = new Promise(function (resolve) {
                            return __awaiter(_this, void 0, void 0, function () {
                              var vals, totalNumBytes, bytes, offset, i_1, val, bytesOfLength;
                              return __generator(this, function (_a) {
                                switch (_a.label) {
                                  case 0:
                                    return [4 /*yield*/, t.bytes()];
                                  case 1:
                                    vals = _a.sent();
                                    totalNumBytes =
                                      vals.reduce(function (p, c) {
                                        return p + c.length;
                                      }, 0) +
                                      NUM_BYTES_STRING_LENGTH * vals.length;
                                    bytes = new Uint8Array(totalNumBytes);
                                    offset = 0;
                                    for (i_1 = 0; i_1 < vals.length; i_1++) {
                                      val = vals[i_1];
                                      bytesOfLength = new Uint8Array(
                                        new Uint32Array([val.length]).buffer,
                                      );
                                      bytes.set(bytesOfLength, offset);
                                      offset += NUM_BYTES_STRING_LENGTH;
                                      bytes.set(val, offset);
                                      offset += val.length;
                                    }
                                    resolve(bytes);
                                    return [2 /*return*/];
                                }
                              });
                            });
                          });
                          dataPromises.push(utf8bytes);
                        } else {
                          dataPromises.push(t.data());
                        }
                        if (group != null) {
                          spec.group = group;
                        }
                        specs.push(spec);
                      };
                      for (i = 0; i < names.length; ++i) {
                        _loop_1(i);
                      }
                      return [4 /*yield*/, Promise.all(dataPromises)];
                    case 1:
                      tensorValues = _a.sent();
                      return [
                        2 /*return*/,
                        { data: concatenateTypedArrays(tensorValues), specs: specs },
                      ];
                  }
                });
              });
            }
            /**
             * Decode flat ArrayBuffer as weights.
             *
             * This function does not handle sharding.
             *
             * This function is the reverse of `encodeWeights`.
             *
             * @param buffer A flat ArrayBuffer carrying the binary values of the tensors
             *   concatenated in the order specified in `specs`.
             * @param specs Specifications of the names, dtypes and shapes of the tensors
             *   whose value are encoded by `buffer`.
             * @return A map from tensor name to tensor value, with the names corresponding
             *   to names in `specs`.
             * @throws Error, if any of the tensors has unsupported dtype.
             */
            function decodeWeights(buffer, specs) {
              // TODO(adarob, cais): Support quantization.
              var out = {};
              var float16Decode;
              var offset = 0;
              for (var _i = 0, specs_1 = specs; _i < specs_1.length; _i++) {
                var spec = specs_1[_i];
                var name_2 = spec.name;
                var dtype = spec.dtype;
                var shape = spec.shape;
                var size = sizeFromShape(shape);
                var values = void 0;
                if ('quantization' in spec) {
                  var quantization = spec.quantization;
                  if (quantization.dtype === 'uint8' || quantization.dtype === 'uint16') {
                    if (!('min' in quantization && 'scale' in quantization)) {
                      throw new Error(
                        'Weight ' +
                          spec.name +
                          ' with quantization ' +
                          quantization.dtype +
                          ' ' +
                          "doesn't have corresponding metadata min and scale.",
                      );
                    }
                  } else if (quantization.dtype === 'float16') {
                    if (dtype !== 'float32') {
                      throw new Error(
                        'Weight ' +
                          spec.name +
                          ' is quantized with ' +
                          quantization.dtype +
                          ' ' +
                          ('which only supports weights of type float32 not ' + dtype + '.'),
                      );
                    }
                  } else {
                    throw new Error(
                      'Weight ' +
                        spec.name +
                        ' has unknown ' +
                        ('quantization dtype ' + quantization.dtype + '. ') +
                        'Supported quantization dtypes are: ' +
                        "'uint8', 'uint16', and 'float16'.",
                    );
                  }
                  var quantizationSizeFactor = DTYPE_VALUE_SIZE_MAP[quantization.dtype];
                  var byteBuffer = buffer.slice(offset, offset + size * quantizationSizeFactor);
                  var quantizedArray =
                    quantization.dtype === 'uint8'
                      ? new Uint8Array(byteBuffer)
                      : new Uint16Array(byteBuffer);
                  if (dtype === 'float32') {
                    if (quantization.dtype === 'uint8' || quantization.dtype === 'uint16') {
                      values = new Float32Array(quantizedArray.length);
                      for (var i = 0; i < quantizedArray.length; i++) {
                        var v = quantizedArray[i];
                        values[i] = v * quantization.scale + quantization.min;
                      }
                    } else if (quantization.dtype === 'float16') {
                      if (float16Decode === undefined) {
                        float16Decode = getFloat16Decoder();
                      }
                      values = float16Decode(quantizedArray);
                    } else {
                      throw new Error(
                        'Unsupported quantization type ' +
                          quantization.dtype +
                          ' ' +
                          'for weight type float32.',
                      );
                    }
                  } else if (dtype === 'int32') {
                    if (quantization.dtype !== 'uint8' && quantization.dtype !== 'uint16') {
                      throw new Error(
                        'Unsupported quantization type ' +
                          quantization.dtype +
                          ' ' +
                          'for weight type int32.',
                      );
                    }
                    values = new Int32Array(quantizedArray.length);
                    for (var i = 0; i < quantizedArray.length; i++) {
                      var v = quantizedArray[i];
                      values[i] = Math.round(v * quantization.scale + quantization.min);
                    }
                  } else {
                    throw new Error("Unsupported dtype in weight '" + name_2 + "': " + dtype);
                  }
                  offset += size * quantizationSizeFactor;
                } else if (dtype === 'string') {
                  var size_1 = sizeFromShape(spec.shape);
                  values = [];
                  for (var i = 0; i < size_1; i++) {
                    var byteLength = new Uint32Array(
                      buffer.slice(offset, offset + NUM_BYTES_STRING_LENGTH),
                    )[0];
                    offset += NUM_BYTES_STRING_LENGTH;
                    var bytes = new Uint8Array(buffer.slice(offset, offset + byteLength));
                    values.push(bytes);
                    offset += byteLength;
                  }
                } else {
                  var dtypeFactor = DTYPE_VALUE_SIZE_MAP[dtype];
                  var byteBuffer = buffer.slice(offset, offset + size * dtypeFactor);
                  if (dtype === 'float32') {
                    values = new Float32Array(byteBuffer);
                  } else if (dtype === 'int32') {
                    values = new Int32Array(byteBuffer);
                  } else if (dtype === 'bool') {
                    values = new Uint8Array(byteBuffer);
                  } else if (dtype === 'complex64') {
                    values = new Float32Array(byteBuffer);
                    var real = new Float32Array(values.length / 2);
                    var image = new Float32Array(values.length / 2);
                    for (var i = 0; i < real.length; i++) {
                      real[i] = values[i * 2];
                      image[i] = values[i * 2 + 1];
                    }
                    var realTensor = tensor(real, shape, 'float32');
                    var imageTensor = tensor(image, shape, 'float32');
                    out[name_2] = complex(realTensor, imageTensor);
                    realTensor.dispose();
                    imageTensor.dispose();
                  } else {
                    throw new Error("Unsupported dtype in weight '" + name_2 + "': " + dtype);
                  }
                  offset += size * dtypeFactor;
                }
                if (dtype !== 'complex64') {
                  out[name_2] = tensor(values, shape, dtype);
                }
              }
              return out;
            }
            /**
             * Concatenate TypedArrays into an ArrayBuffer.
             */
            function concatenateTypedArrays(xs) {
              // TODO(adarob, cais): Support quantization.
              if (xs === null) {
                throw new Error('Invalid input value: ' + JSON.stringify(xs));
              }
              var totalByteLength = 0;
              // `normalizedXs` is here for this reason: a `TypedArray`'s `buffer'
              // can have a different byte length from that of the `TypedArray` itself,
              // for example, when the `TypedArray` is created from an offset in an
              // `ArrayBuffer`. `normliazedXs` holds `TypedArray`s whose `buffer`s match
              // the `TypedArray` in byte length. If an element of `xs` does not show
              // this property, a new `TypedArray` that satisfy this property will be
              // constructed and pushed into `normalizedXs`.
              var normalizedXs = [];
              xs.forEach(function (x) {
                totalByteLength += x.byteLength;
                // tslint:disable:no-any
                normalizedXs.push(x.byteLength === x.buffer.byteLength ? x : new x.constructor(x));
                if (
                  !(x instanceof Float32Array || x instanceof Int32Array || x instanceof Uint8Array)
                ) {
                  throw new Error('Unsupported TypedArray subtype: ' + x.constructor.name);
                }
                // tslint:enable:no-any
              });
              var y = new Uint8Array(totalByteLength);
              var offset = 0;
              normalizedXs.forEach(function (x) {
                y.set(new Uint8Array(x.buffer), offset);
                offset += x.byteLength;
              });
              return y.buffer;
            }
            // Use Buffer on Node.js instead of Blob/atob/btoa
            var useNodeBuffer =
              typeof Buffer !== 'undefined' &&
              (typeof Blob === 'undefined' ||
                typeof atob === 'undefined' ||
                typeof btoa === 'undefined');
            /**
             * Calculate the byte length of a JavaScript string.
             *
             * Note that a JavaScript string can contain wide characters, therefore the
             * length of the string is not necessarily equal to the byte length.
             *
             * @param str Input string.
             * @returns Byte length.
             */
            function stringByteLength(str) {
              if (useNodeBuffer) {
                return Buffer.byteLength(str);
              }
              return new Blob([str]).size;
            }
            /**
             * Encode an ArrayBuffer as a base64 encoded string.
             *
             * @param buffer `ArrayBuffer` to be converted.
             * @returns A string that base64-encodes `buffer`.
             */
            function arrayBufferToBase64String(buffer) {
              if (useNodeBuffer) {
                return Buffer.from(buffer).toString('base64');
              }
              var buf = new Uint8Array(buffer);
              var s = '';
              for (var i = 0, l = buf.length; i < l; i++) {
                s += String.fromCharCode(buf[i]);
              }
              return btoa(s);
            }
            /**
             * Decode a base64 string as an ArrayBuffer.
             *
             * @param str Base64 string.
             * @returns Decoded `ArrayBuffer`.
             */
            function base64StringToArrayBuffer(str) {
              if (useNodeBuffer) {
                var buf = Buffer.from(str, 'base64');
                return buf.buffer.slice(buf.byteOffset, buf.byteOffset + buf.byteLength);
              }
              var s = atob(str);
              var buffer = new Uint8Array(s.length);
              for (var i = 0; i < s.length; ++i) {
                buffer.set([s.charCodeAt(i)], i);
              }
              return buffer.buffer;
            }
            /**
             * Concatenate a number of ArrayBuffers into one.
             *
             * @param buffers A number of array buffers to concatenate.
             * @returns Result of concatenating `buffers` in order.
             */
            function concatenateArrayBuffers(buffers) {
              if (buffers.length === 1) {
                return buffers[0];
              }
              var totalByteLength = 0;
              buffers.forEach(function (buffer) {
                totalByteLength += buffer.byteLength;
              });
              var temp = new Uint8Array(totalByteLength);
              var offset = 0;
              buffers.forEach(function (buffer) {
                temp.set(new Uint8Array(buffer), offset);
                offset += buffer.byteLength;
              });
              return temp.buffer;
            }
            /**
             * Get the basename of a path.
             *
             * Behaves in a way analogous to Linux's basename command.
             *
             * @param path
             */
            function basename(path) {
              var SEPARATOR = '/';
              path = path.trim();
              while (path.endsWith(SEPARATOR)) {
                path = path.slice(0, path.length - 1);
              }
              var items = path.split(SEPARATOR);
              return items[items.length - 1];
            }
            /**
             * Populate ModelArtifactsInfo fields for a model with JSON topology.
             * @param modelArtifacts
             * @returns A ModelArtifactsInfo object.
             */
            function getModelArtifactsInfoForJSON(modelArtifacts) {
              if (modelArtifacts.modelTopology instanceof ArrayBuffer) {
                throw new Error('Expected JSON model topology, received ArrayBuffer.');
              }
              return {
                dateSaved: new Date(),
                modelTopologyType: 'JSON',
                modelTopologyBytes:
                  modelArtifacts.modelTopology == null
                    ? 0
                    : stringByteLength(JSON.stringify(modelArtifacts.modelTopology)),
                weightSpecsBytes:
                  modelArtifacts.weightSpecs == null
                    ? 0
                    : stringByteLength(JSON.stringify(modelArtifacts.weightSpecs)),
                weightDataBytes:
                  modelArtifacts.weightData == null ? 0 : modelArtifacts.weightData.byteLength,
              };
            }
            /**
             * Computes mantisa table for casting Float16 to Float32
             * See http://www.fox-toolkit.org/ftp/fasthalffloatconversion.pdf
             *
             * @returns Uint32Array, 2048 mantissa lookup values.
             */
            function computeFloat16MantisaTable() {
              var convertMantissa = function (i) {
                var m = i << 13;
                var e = 0;
                while ((m & 0x00800000) === 0) {
                  e -= 0x00800000;
                  m <<= 1;
                }
                m &= ~0x00800000;
                e += 0x38800000;
                return m | e;
              };
              var mantisaTable = new Uint32Array(2048);
              mantisaTable[0] = 0;
              for (var i = 1; i < 1024; i++) {
                mantisaTable[i] = convertMantissa(i);
              }
              for (var i = 1024; i < 2048; i++) {
                mantisaTable[i] = 0x38000000 + ((i - 1024) << 13);
              }
              return mantisaTable;
            }
            /**
             * Computes exponent table for casting Float16 to Float32
             * See http://www.fox-toolkit.org/ftp/fasthalffloatconversion.pdf
             *
             * @returns Uint32Array, 64 exponent lookup values.
             */
            function computeFloat16ExponentTable() {
              var exponentTable = new Uint32Array(64);
              exponentTable[0] = 0;
              exponentTable[31] = 0x47800000;
              exponentTable[32] = 0x80000000;
              exponentTable[63] = 0xc7800000;
              for (var i = 1; i < 31; i++) {
                exponentTable[i] = i << 23;
              }
              for (var i = 33; i < 63; i++) {
                exponentTable[i] = 0x80000000 + ((i - 32) << 23);
              }
              return exponentTable;
            }
            /**
             * Computes offset table for casting Float16 to Float32
             * See http://www.fox-toolkit.org/ftp/fasthalffloatconversion.pdf
             *
             * @returns Uint32Array, 6d offset values.
             */
            function computeFloat16OffsetTable() {
              var offsetTable = new Uint32Array(64);
              for (var i = 0; i < 64; i++) {
                offsetTable[i] = 1024;
              }
              offsetTable[0] = offsetTable[32] = 0;
              return offsetTable;
            }
            /**
             * Retrieve a Float16 decoder which will decode a ByteArray of Float16 values
             * to a Float32Array.
             *
             * @returns Function (buffer: Uint16Array) => Float32Array which decodes
             *          the Uint16Array of Float16 bytes to a Float32Array.
             */
            function getFloat16Decoder() {
              // Algorithm is based off of
              // http://www.fox-toolkit.org/ftp/fasthalffloatconversion.pdf
              // Cache lookup tables
              var mantisaTable = computeFloat16MantisaTable();
              var exponentTable = computeFloat16ExponentTable();
              var offsetTable = computeFloat16OffsetTable();
              return function (quantizedArray) {
                var buffer = new ArrayBuffer(4 * quantizedArray.length);
                var bufferUint32View = new Uint32Array(buffer);
                for (var index = 0; index < quantizedArray.length; index++) {
                  var float16Bits = quantizedArray[index];
                  var float32Bits =
                    mantisaTable[offsetTable[float16Bits >> 10] + (float16Bits & 0x3ff)] +
                    exponentTable[float16Bits >> 10];
                  bufferUint32View[index] = float32Bits;
                }
                return new Float32Array(buffer);
              };
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var IORouterRegistry = /** @class */ (function () {
              function IORouterRegistry() {
                this.saveRouters = [];
                this.loadRouters = [];
              }
              IORouterRegistry.getInstance = function () {
                if (IORouterRegistry.instance == null) {
                  IORouterRegistry.instance = new IORouterRegistry();
                }
                return IORouterRegistry.instance;
              };
              /**
               * Register a save-handler router.
               *
               * @param saveRouter A function that maps a URL-like string onto an instance
               * of `IOHandler` with the `save` method defined or `null`.
               */
              IORouterRegistry.registerSaveRouter = function (saveRouter) {
                IORouterRegistry.getInstance().saveRouters.push(saveRouter);
              };
              /**
               * Register a load-handler router.
               *
               * @param loadRouter A function that maps a URL-like string onto an instance
               * of `IOHandler` with the `load` method defined or `null`.
               */
              IORouterRegistry.registerLoadRouter = function (loadRouter) {
                IORouterRegistry.getInstance().loadRouters.push(loadRouter);
              };
              /**
               * Look up IOHandler for saving, given a URL-like string.
               *
               * @param url
               * @returns If only one match is found, an instance of IOHandler with the
               * `save` method defined. If no match is found, `null`.
               * @throws Error, if more than one match is found.
               */
              IORouterRegistry.getSaveHandlers = function (url) {
                return IORouterRegistry.getHandlers(url, 'save');
              };
              /**
               * Look up IOHandler for loading, given a URL-like string.
               *
               * @param url
               * @param loadOptions Optional, custom load options.
               * @returns All valid handlers for `url`, given the currently registered
               *   handler routers.
               */
              IORouterRegistry.getLoadHandlers = function (url, loadOptions) {
                return IORouterRegistry.getHandlers(url, 'load', loadOptions);
              };
              IORouterRegistry.getHandlers = function (url, handlerType, loadOptions) {
                var validHandlers = [];
                var routers =
                  handlerType === 'load'
                    ? IORouterRegistry.getInstance().loadRouters
                    : IORouterRegistry.getInstance().saveRouters;
                routers.forEach(function (router) {
                  var handler = router(url, loadOptions);
                  if (handler !== null) {
                    validHandlers.push(handler);
                  }
                });
                return validHandlers;
              };
              return IORouterRegistry;
            })();
            var registerSaveRouter = function (loudRouter) {
              return IORouterRegistry.registerSaveRouter(loudRouter);
            };
            var registerLoadRouter = function (loudRouter) {
              return IORouterRegistry.registerLoadRouter(loudRouter);
            };
            var getSaveHandlers = function (url) {
              return IORouterRegistry.getSaveHandlers(url);
            };
            var getLoadHandlers = function (url, loadOptions) {
              return IORouterRegistry.getLoadHandlers(url, loadOptions);
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var DATABASE_NAME = 'tensorflowjs';
            var DATABASE_VERSION = 1;
            // Model data and ModelArtifactsInfo (metadata) are stored in two separate
            // stores for efficient access of the list of stored models and their metadata.
            // 1. The object store for model data: topology, weights and weight manifests.
            var MODEL_STORE_NAME = 'models_store';
            // 2. The object store for ModelArtifactsInfo, including meta-information such
            //    as the type of topology (JSON vs binary), byte size of the topology, byte
            //    size of the weights, etc.
            var INFO_STORE_NAME = 'model_info_store';
            function getIndexedDBFactory() {
              if (!env().getBool('IS_BROWSER')) {
                // TODO(cais): Add more info about what IOHandler subtypes are available.
                //   Maybe point to a doc page on the web and/or automatically determine
                //   the available IOHandlers and print them in the error message.
                throw new Error(
                  'Failed to obtain IndexedDB factory because the current environment' +
                    'is not a web browser.',
                );
              }
              // tslint:disable-next-line:no-any
              var theWindow = typeof window === 'undefined' ? self : window;
              var factory =
                theWindow.indexedDB ||
                theWindow.mozIndexedDB ||
                theWindow.webkitIndexedDB ||
                theWindow.msIndexedDB ||
                theWindow.shimIndexedDB;
              if (factory == null) {
                throw new Error('The current browser does not appear to support IndexedDB.');
              }
              return factory;
            }
            function setUpDatabase(openRequest) {
              var db = openRequest.result;
              db.createObjectStore(MODEL_STORE_NAME, { keyPath: 'modelPath' });
              db.createObjectStore(INFO_STORE_NAME, { keyPath: 'modelPath' });
            }
            /**
             * IOHandler subclass: Browser IndexedDB.
             *
             * See the doc string of `browserIndexedDB` for more details.
             */
            var BrowserIndexedDB = /** @class */ (function () {
              function BrowserIndexedDB(modelPath) {
                this.indexedDB = getIndexedDBFactory();
                if (modelPath == null || !modelPath) {
                  throw new Error('For IndexedDB, modelPath must not be null, undefined or empty.');
                }
                this.modelPath = modelPath;
              }
              BrowserIndexedDB.prototype.save = function (modelArtifacts) {
                return __awaiter(this, void 0, void 0, function () {
                  return __generator(this, function (_a) {
                    // TODO(cais): Support saving GraphDef models.
                    if (modelArtifacts.modelTopology instanceof ArrayBuffer) {
                      throw new Error(
                        'BrowserLocalStorage.save() does not support saving model topology ' +
                          'in binary formats yet.',
                      );
                    }
                    return [2 /*return*/, this.databaseAction(this.modelPath, modelArtifacts)];
                  });
                });
              };
              BrowserIndexedDB.prototype.load = function () {
                return __awaiter(this, void 0, void 0, function () {
                  return __generator(this, function (_a) {
                    return [2 /*return*/, this.databaseAction(this.modelPath)];
                  });
                });
              };
              /**
               * Perform database action to put model artifacts into or read model artifacts
               * from IndexedDB object store.
               *
               * Whether the action is put or get depends on whether `modelArtifacts` is
               * specified. If it is specified, the action will be put; otherwise the action
               * will be get.
               *
               * @param modelPath A unique string path for the model.
               * @param modelArtifacts If specified, it will be the model artifacts to be
               *   stored in IndexedDB.
               * @returns A `Promise` of `SaveResult`, if the action is put, or a `Promise`
               *   of `ModelArtifacts`, if the action is get.
               */
              BrowserIndexedDB.prototype.databaseAction = function (modelPath, modelArtifacts) {
                var _this = this;
                return new Promise(function (resolve, reject) {
                  var openRequest = _this.indexedDB.open(DATABASE_NAME, DATABASE_VERSION);
                  openRequest.onupgradeneeded = function () {
                    return setUpDatabase(openRequest);
                  };
                  openRequest.onsuccess = function () {
                    var db = openRequest.result;
                    if (modelArtifacts == null) {
                      // Read model out from object store.
                      var modelTx = db.transaction(MODEL_STORE_NAME, 'readonly');
                      var modelStore = modelTx.objectStore(MODEL_STORE_NAME);
                      var getRequest_1 = modelStore.get(_this.modelPath);
                      getRequest_1.onsuccess = function () {
                        if (getRequest_1.result == null) {
                          db.close();
                          return reject(
                            new Error(
                              "Cannot find model with path '" +
                                _this.modelPath +
                                "' " +
                                'in IndexedDB.',
                            ),
                          );
                        } else {
                          resolve(getRequest_1.result.modelArtifacts);
                        }
                      };
                      getRequest_1.onerror = function (error) {
                        db.close();
                        return reject(getRequest_1.error);
                      };
                      modelTx.oncomplete = function () {
                        return db.close();
                      };
                    } else {
                      // Put model into object store.
                      var modelArtifactsInfo_1 = getModelArtifactsInfoForJSON(modelArtifacts);
                      // First, put ModelArtifactsInfo into info store.
                      var infoTx_1 = db.transaction(INFO_STORE_NAME, 'readwrite');
                      var infoStore_1 = infoTx_1.objectStore(INFO_STORE_NAME);
                      var putInfoRequest_1 = infoStore_1.put({
                        modelPath: _this.modelPath,
                        modelArtifactsInfo: modelArtifactsInfo_1,
                      });
                      var modelTx_1;
                      putInfoRequest_1.onsuccess = function () {
                        // Second, put model data into model store.
                        modelTx_1 = db.transaction(MODEL_STORE_NAME, 'readwrite');
                        var modelStore = modelTx_1.objectStore(MODEL_STORE_NAME);
                        var putModelRequest = modelStore.put({
                          modelPath: _this.modelPath,
                          modelArtifacts: modelArtifacts,
                          modelArtifactsInfo: modelArtifactsInfo_1,
                        });
                        putModelRequest.onsuccess = function () {
                          return resolve({ modelArtifactsInfo: modelArtifactsInfo_1 });
                        };
                        putModelRequest.onerror = function (error) {
                          // If the put-model request fails, roll back the info entry as
                          // well.
                          infoStore_1 = infoTx_1.objectStore(INFO_STORE_NAME);
                          var deleteInfoRequest = infoStore_1.delete(_this.modelPath);
                          deleteInfoRequest.onsuccess = function () {
                            db.close();
                            return reject(putModelRequest.error);
                          };
                          deleteInfoRequest.onerror = function (error) {
                            db.close();
                            return reject(putModelRequest.error);
                          };
                        };
                      };
                      putInfoRequest_1.onerror = function (error) {
                        db.close();
                        return reject(putInfoRequest_1.error);
                      };
                      infoTx_1.oncomplete = function () {
                        if (modelTx_1 == null) {
                          db.close();
                        } else {
                          modelTx_1.oncomplete = function () {
                            return db.close();
                          };
                        }
                      };
                    }
                  };
                  openRequest.onerror = function (error) {
                    return reject(openRequest.error);
                  };
                });
              };
              BrowserIndexedDB.URL_SCHEME = 'indexeddb://';
              return BrowserIndexedDB;
            })();
            var indexedDBRouter = function (url) {
              if (!env().getBool('IS_BROWSER')) {
                return null;
              } else {
                if (!Array.isArray(url) && url.startsWith(BrowserIndexedDB.URL_SCHEME)) {
                  return browserIndexedDB(url.slice(BrowserIndexedDB.URL_SCHEME.length));
                } else {
                  return null;
                }
              }
            };
            IORouterRegistry.registerSaveRouter(indexedDBRouter);
            IORouterRegistry.registerLoadRouter(indexedDBRouter);
            /**
             * Creates a browser IndexedDB IOHandler for saving and loading models.
             *
             * ```js
             * const model = tf.sequential();
             * model.add(
             *     tf.layers.dense({units: 1, inputShape: [100], activation: 'sigmoid'}));
             *
             * const saveResult = await model.save('indexeddb://MyModel'));
             * console.log(saveResult);
             * ```
             *
             * @param modelPath A unique identifier for the model to be saved. Must be a
             *   non-empty string.
             * @returns An instance of `BrowserIndexedDB` (sublcass of `IOHandler`),
             *   which can be used with, e.g., `tf.Model.save`.
             */
            function browserIndexedDB(modelPath) {
              return new BrowserIndexedDB(modelPath);
            }
            function maybeStripScheme(key) {
              return key.startsWith(BrowserIndexedDB.URL_SCHEME)
                ? key.slice(BrowserIndexedDB.URL_SCHEME.length)
                : key;
            }
            var BrowserIndexedDBManager = /** @class */ (function () {
              function BrowserIndexedDBManager() {
                this.indexedDB = getIndexedDBFactory();
              }
              BrowserIndexedDBManager.prototype.listModels = function () {
                return __awaiter(this, void 0, void 0, function () {
                  var _this = this;
                  return __generator(this, function (_a) {
                    return [
                      2 /*return*/,
                      new Promise(function (resolve, reject) {
                        var openRequest = _this.indexedDB.open(DATABASE_NAME, DATABASE_VERSION);
                        openRequest.onupgradeneeded = function () {
                          return setUpDatabase(openRequest);
                        };
                        openRequest.onsuccess = function () {
                          var db = openRequest.result;
                          var tx = db.transaction(INFO_STORE_NAME, 'readonly');
                          var store = tx.objectStore(INFO_STORE_NAME);
                          // tslint:disable:max-line-length
                          // Need to cast `store` as `any` here because TypeScript's DOM
                          // library does not have the `getAll()` method even though the
                          // method is supported in the latest version of most mainstream
                          // browsers:
                          // https://developer.mozilla.org/en-US/docs/Web/API/IDBObjectStore/getAll
                          // tslint:enable:max-line-length
                          // tslint:disable-next-line:no-any
                          var getAllInfoRequest = store.getAll();
                          getAllInfoRequest.onsuccess = function () {
                            var out = {};
                            for (var _i = 0, _a = getAllInfoRequest.result; _i < _a.length; _i++) {
                              var item = _a[_i];
                              out[item.modelPath] = item.modelArtifactsInfo;
                            }
                            resolve(out);
                          };
                          getAllInfoRequest.onerror = function (error) {
                            db.close();
                            return reject(getAllInfoRequest.error);
                          };
                          tx.oncomplete = function () {
                            return db.close();
                          };
                        };
                        openRequest.onerror = function (error) {
                          return reject(openRequest.error);
                        };
                      }),
                    ];
                  });
                });
              };
              BrowserIndexedDBManager.prototype.removeModel = function (path) {
                return __awaiter(this, void 0, void 0, function () {
                  var _this = this;
                  return __generator(this, function (_a) {
                    path = maybeStripScheme(path);
                    return [
                      2 /*return*/,
                      new Promise(function (resolve, reject) {
                        var openRequest = _this.indexedDB.open(DATABASE_NAME, DATABASE_VERSION);
                        openRequest.onupgradeneeded = function () {
                          return setUpDatabase(openRequest);
                        };
                        openRequest.onsuccess = function () {
                          var db = openRequest.result;
                          var infoTx = db.transaction(INFO_STORE_NAME, 'readwrite');
                          var infoStore = infoTx.objectStore(INFO_STORE_NAME);
                          var getInfoRequest = infoStore.get(path);
                          var modelTx;
                          getInfoRequest.onsuccess = function () {
                            if (getInfoRequest.result == null) {
                              db.close();
                              return reject(
                                new Error(
                                  "Cannot find model with path '" + path + "' " + 'in IndexedDB.',
                                ),
                              );
                            } else {
                              // First, delete the entry in the info store.
                              var deleteInfoRequest = infoStore.delete(path);
                              var deleteModelData_1 = function () {
                                // Second, delete the entry in the model store.
                                modelTx = db.transaction(MODEL_STORE_NAME, 'readwrite');
                                var modelStore = modelTx.objectStore(MODEL_STORE_NAME);
                                var deleteModelRequest = modelStore.delete(path);
                                deleteModelRequest.onsuccess = function () {
                                  return resolve(getInfoRequest.result.modelArtifactsInfo);
                                };
                                deleteModelRequest.onerror = function (error) {
                                  return reject(getInfoRequest.error);
                                };
                              };
                              // Proceed with deleting model data regardless of whether deletion
                              // of info data succeeds or not.
                              deleteInfoRequest.onsuccess = deleteModelData_1;
                              deleteInfoRequest.onerror = function (error) {
                                deleteModelData_1();
                                db.close();
                                return reject(getInfoRequest.error);
                              };
                            }
                          };
                          getInfoRequest.onerror = function (error) {
                            db.close();
                            return reject(getInfoRequest.error);
                          };
                          infoTx.oncomplete = function () {
                            if (modelTx == null) {
                              db.close();
                            } else {
                              modelTx.oncomplete = function () {
                                return db.close();
                              };
                            }
                          };
                        };
                        openRequest.onerror = function (error) {
                          return reject(openRequest.error);
                        };
                      }),
                    ];
                  });
                });
              };
              return BrowserIndexedDBManager;
            })();

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var PATH_SEPARATOR = '/';
            var PATH_PREFIX = 'tensorflowjs_models';
            var INFO_SUFFIX = 'info';
            var MODEL_TOPOLOGY_SUFFIX = 'model_topology';
            var WEIGHT_SPECS_SUFFIX = 'weight_specs';
            var WEIGHT_DATA_SUFFIX = 'weight_data';
            var MODEL_METADATA_SUFFIX = 'model_metadata';
            function getModelKeys(path) {
              return {
                info: [PATH_PREFIX, path, INFO_SUFFIX].join(PATH_SEPARATOR),
                topology: [PATH_PREFIX, path, MODEL_TOPOLOGY_SUFFIX].join(PATH_SEPARATOR),
                weightSpecs: [PATH_PREFIX, path, WEIGHT_SPECS_SUFFIX].join(PATH_SEPARATOR),
                weightData: [PATH_PREFIX, path, WEIGHT_DATA_SUFFIX].join(PATH_SEPARATOR),
                modelMetadata: [PATH_PREFIX, path, MODEL_METADATA_SUFFIX].join(PATH_SEPARATOR),
              };
            }
            /**
             * Get model path from a local-storage key.
             *
             * E.g., 'tensorflowjs_models/my/model/1/info' --> 'my/model/1'
             *
             * @param key
             */
            function getModelPathFromKey(key) {
              var items = key.split(PATH_SEPARATOR);
              if (items.length < 3) {
                throw new Error('Invalid key format: ' + key);
              }
              return items.slice(1, items.length - 1).join(PATH_SEPARATOR);
            }
            function maybeStripScheme$1(key) {
              return key.startsWith(BrowserLocalStorage.URL_SCHEME)
                ? key.slice(BrowserLocalStorage.URL_SCHEME.length)
                : key;
            }
            /**
             * IOHandler subclass: Browser Local Storage.
             *
             * See the doc string to `browserLocalStorage` for more details.
             */
            var BrowserLocalStorage = /** @class */ (function () {
              function BrowserLocalStorage(modelPath) {
                if (
                  !env().getBool('IS_BROWSER') ||
                  typeof window === 'undefined' ||
                  typeof window.localStorage === 'undefined'
                ) {
                  // TODO(cais): Add more info about what IOHandler subtypes are
                  // available.
                  //   Maybe point to a doc page on the web and/or automatically determine
                  //   the available IOHandlers and print them in the error message.
                  throw new Error('The current environment does not support local storage.');
                }
                this.LS = window.localStorage;
                if (modelPath == null || !modelPath) {
                  throw new Error(
                    'For local storage, modelPath must not be null, undefined or empty.',
                  );
                }
                this.modelPath = modelPath;
                this.keys = getModelKeys(this.modelPath);
              }
              /**
               * Save model artifacts to browser local storage.
               *
               * See the documentation to `browserLocalStorage` for details on the saved
               * artifacts.
               *
               * @param modelArtifacts The model artifacts to be stored.
               * @returns An instance of SaveResult.
               */
              BrowserLocalStorage.prototype.save = function (modelArtifacts) {
                return __awaiter(this, void 0, void 0, function () {
                  var topology, weightSpecs, modelArtifactsInfo, result;
                  return __generator(this, function (_a) {
                    if (modelArtifacts.modelTopology instanceof ArrayBuffer) {
                      throw new Error(
                        'BrowserLocalStorage.save() does not support saving model topology ' +
                          'in binary formats yet.',
                      );
                    } else {
                      topology = JSON.stringify(modelArtifacts.modelTopology);
                      weightSpecs = JSON.stringify(modelArtifacts.weightSpecs);
                      modelArtifactsInfo = getModelArtifactsInfoForJSON(modelArtifacts);
                      try {
                        this.LS.setItem(this.keys.info, JSON.stringify(modelArtifactsInfo));
                        this.LS.setItem(this.keys.topology, topology);
                        this.LS.setItem(this.keys.weightSpecs, weightSpecs);
                        this.LS.setItem(
                          this.keys.weightData,
                          arrayBufferToBase64String(modelArtifacts.weightData),
                        );
                        result = {
                          format: modelArtifacts.format,
                          generatedBy: modelArtifacts.generatedBy,
                          convertedBy: modelArtifacts.convertedBy,
                        };
                        if (modelArtifacts.signature != null) {
                          result.signature = modelArtifacts.signature;
                        }
                        if (modelArtifacts.userDefinedMetadata != null) {
                          result.userDefinedMetadata = modelArtifacts.userDefinedMetadata;
                        }
                        if (modelArtifacts.modelInitializer != null) {
                          result.modelInitializer = modelArtifacts.modelInitializer;
                        }
                        this.LS.setItem(this.keys.modelMetadata, JSON.stringify(result));
                        return [2 /*return*/, { modelArtifactsInfo: modelArtifactsInfo }];
                      } catch (err) {
                        // If saving failed, clean up all items saved so far.
                        this.LS.removeItem(this.keys.info);
                        this.LS.removeItem(this.keys.topology);
                        this.LS.removeItem(this.keys.weightSpecs);
                        this.LS.removeItem(this.keys.weightData);
                        this.LS.removeItem(this.keys.modelMetadata);
                        throw new Error(
                          "Failed to save model '" +
                            this.modelPath +
                            "' to local storage: " +
                            'size quota being exceeded is a possible cause of this failure: ' +
                            ('modelTopologyBytes=' + modelArtifactsInfo.modelTopologyBytes + ', ') +
                            ('weightSpecsBytes=' + modelArtifactsInfo.weightSpecsBytes + ', ') +
                            ('weightDataBytes=' + modelArtifactsInfo.weightDataBytes + '.'),
                        );
                      }
                    }
                    return [2 /*return*/];
                  });
                });
              };
              /**
               * Load a model from local storage.
               *
               * See the documentation to `browserLocalStorage` for details on the saved
               * artifacts.
               *
               * @returns The loaded model (if loading succeeds).
               */
              BrowserLocalStorage.prototype.load = function () {
                return __awaiter(this, void 0, void 0, function () {
                  var info, out, topology, weightSpecs, metadataString, metadata, weightDataBase64;
                  return __generator(this, function (_a) {
                    info = JSON.parse(this.LS.getItem(this.keys.info));
                    if (info == null) {
                      throw new Error(
                        "In local storage, there is no model with name '" + this.modelPath + "'",
                      );
                    }
                    if (info.modelTopologyType !== 'JSON') {
                      throw new Error(
                        'BrowserLocalStorage does not support loading non-JSON model ' +
                          'topology yet.',
                      );
                    }
                    out = {};
                    topology = JSON.parse(this.LS.getItem(this.keys.topology));
                    if (topology == null) {
                      throw new Error(
                        "In local storage, the topology of model '" +
                          this.modelPath +
                          "' " +
                          'is missing.',
                      );
                    }
                    out.modelTopology = topology;
                    weightSpecs = JSON.parse(this.LS.getItem(this.keys.weightSpecs));
                    if (weightSpecs == null) {
                      throw new Error(
                        "In local storage, the weight specs of model '" +
                          this.modelPath +
                          "' " +
                          'are missing.',
                      );
                    }
                    out.weightSpecs = weightSpecs;
                    metadataString = this.LS.getItem(this.keys.modelMetadata);
                    if (metadataString != null) {
                      metadata = JSON.parse(metadataString);
                      out.format = metadata['format'];
                      out.generatedBy = metadata['generatedBy'];
                      out.convertedBy = metadata['convertedBy'];
                      if (metadata['signature'] != null) {
                        out.signature = metadata['signature'];
                      }
                      if (metadata['userDefinedMetadata'] != null) {
                        out.userDefinedMetadata = metadata['userDefinedMetadata'];
                      }
                      if (metadata['modelInitializer'] != null) {
                        out.modelInitializer = metadata['modelInitializer'];
                      }
                    }
                    weightDataBase64 = this.LS.getItem(this.keys.weightData);
                    if (weightDataBase64 == null) {
                      throw new Error(
                        'In local storage, the binary weight values of model ' +
                          ("'" + this.modelPath + "' are missing."),
                      );
                    }
                    out.weightData = base64StringToArrayBuffer(weightDataBase64);
                    return [2 /*return*/, out];
                  });
                });
              };
              BrowserLocalStorage.URL_SCHEME = 'localstorage://';
              return BrowserLocalStorage;
            })();
            var localStorageRouter = function (url) {
              if (!env().getBool('IS_BROWSER')) {
                return null;
              } else {
                if (!Array.isArray(url) && url.startsWith(BrowserLocalStorage.URL_SCHEME)) {
                  return browserLocalStorage(url.slice(BrowserLocalStorage.URL_SCHEME.length));
                } else {
                  return null;
                }
              }
            };
            IORouterRegistry.registerSaveRouter(localStorageRouter);
            IORouterRegistry.registerLoadRouter(localStorageRouter);
            /**
             * Factory function for local storage IOHandler.
             *
             * This `IOHandler` supports both `save` and `load`.
             *
             * For each model's saved artifacts, four items are saved to local storage.
             *   - `${PATH_SEPARATOR}/${modelPath}/info`: Contains meta-info about the
             *     model, such as date saved, type of the topology, size in bytes, etc.
             *   - `${PATH_SEPARATOR}/${modelPath}/topology`: Model topology. For Keras-
             *     style models, this is a stringized JSON.
             *   - `${PATH_SEPARATOR}/${modelPath}/weight_specs`: Weight specs of the
             *     model, can be used to decode the saved binary weight values (see
             *     item below).
             *   - `${PATH_SEPARATOR}/${modelPath}/weight_data`: Concatenated binary
             *     weight values, stored as a base64-encoded string.
             *
             * Saving may throw an `Error` if the total size of the artifacts exceed the
             * browser-specific quota.
             *
             * @param modelPath A unique identifier for the model to be saved. Must be a
             *   non-empty string.
             * @returns An instance of `IOHandler`, which can be used with, e.g.,
             *   `tf.Model.save`.
             */
            function browserLocalStorage(modelPath) {
              return new BrowserLocalStorage(modelPath);
            }
            var BrowserLocalStorageManager = /** @class */ (function () {
              function BrowserLocalStorageManager() {
                assert(env().getBool('IS_BROWSER'), function () {
                  return 'Current environment is not a web browser';
                });
                assert(
                  typeof window === 'undefined' || typeof window.localStorage !== 'undefined',
                  function () {
                    return 'Current browser does not appear to support localStorage';
                  },
                );
                this.LS = window.localStorage;
              }
              BrowserLocalStorageManager.prototype.listModels = function () {
                return __awaiter(this, void 0, void 0, function () {
                  var out, prefix, suffix, i, key, modelPath;
                  return __generator(this, function (_a) {
                    out = {};
                    prefix = PATH_PREFIX + PATH_SEPARATOR;
                    suffix = PATH_SEPARATOR + INFO_SUFFIX;
                    for (i = 0; i < this.LS.length; ++i) {
                      key = this.LS.key(i);
                      if (key.startsWith(prefix) && key.endsWith(suffix)) {
                        modelPath = getModelPathFromKey(key);
                        out[modelPath] = JSON.parse(this.LS.getItem(key));
                      }
                    }
                    return [2 /*return*/, out];
                  });
                });
              };
              BrowserLocalStorageManager.prototype.removeModel = function (path) {
                return __awaiter(this, void 0, void 0, function () {
                  var keys, info;
                  return __generator(this, function (_a) {
                    path = maybeStripScheme$1(path);
                    keys = getModelKeys(path);
                    if (this.LS.getItem(keys.info) == null) {
                      throw new Error("Cannot find model at path '" + path + "'");
                    }
                    info = JSON.parse(this.LS.getItem(keys.info));
                    this.LS.removeItem(keys.info);
                    this.LS.removeItem(keys.topology);
                    this.LS.removeItem(keys.weightSpecs);
                    this.LS.removeItem(keys.weightData);
                    return [2 /*return*/, info];
                  });
                });
              };
              return BrowserLocalStorageManager;
            })();

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var URL_SCHEME_SUFFIX = '://';
            var ModelStoreManagerRegistry = /** @class */ (function () {
              function ModelStoreManagerRegistry() {
                this.managers = {};
              }
              ModelStoreManagerRegistry.getInstance = function () {
                if (ModelStoreManagerRegistry.instance == null) {
                  ModelStoreManagerRegistry.instance = new ModelStoreManagerRegistry();
                }
                return ModelStoreManagerRegistry.instance;
              };
              /**
               * Register a save-handler router.
               *
               * @param saveRouter A function that maps a URL-like string onto an instance
               * of `IOHandler` with the `save` method defined or `null`.
               */
              ModelStoreManagerRegistry.registerManager = function (scheme, manager) {
                assert(scheme != null, function () {
                  return 'scheme must not be undefined or null.';
                });
                if (scheme.endsWith(URL_SCHEME_SUFFIX)) {
                  scheme = scheme.slice(0, scheme.indexOf(URL_SCHEME_SUFFIX));
                }
                assert(scheme.length > 0, function () {
                  return 'scheme must not be an empty string.';
                });
                var registry = ModelStoreManagerRegistry.getInstance();
                assert(registry.managers[scheme] == null, function () {
                  return "A model store manager is already registered for scheme '" + scheme + "'.";
                });
                registry.managers[scheme] = manager;
              };
              ModelStoreManagerRegistry.getManager = function (scheme) {
                var manager = this.getInstance().managers[scheme];
                if (manager == null) {
                  throw new Error("Cannot find model manager for scheme '" + scheme + "'");
                }
                return manager;
              };
              ModelStoreManagerRegistry.getSchemes = function () {
                return Object.keys(this.getInstance().managers);
              };
              return ModelStoreManagerRegistry;
            })();
            /**
             * Helper method for parsing a URL string into a scheme and a path.
             *
             * @param url E.g., 'localstorage://my-model'
             * @returns A dictionary with two fields: scheme and path.
             *   Scheme: e.g., 'localstorage' in the example above.
             *   Path: e.g., 'my-model' in the example above.
             */
            function parseURL(url) {
              if (url.indexOf(URL_SCHEME_SUFFIX) === -1) {
                throw new Error(
                  'The url string provided does not contain a scheme. ' +
                    'Supported schemes are: ' +
                    ('' + ModelStoreManagerRegistry.getSchemes().join(',')),
                );
              }
              return {
                scheme: url.split(URL_SCHEME_SUFFIX)[0],
                path: url.split(URL_SCHEME_SUFFIX)[1],
              };
            }
            function cloneModelInternal(sourceURL, destURL, deleteSource) {
              if (deleteSource === void 0) {
                deleteSource = false;
              }
              return __awaiter(this, void 0, void 0, function () {
                var loadHandlers,
                  loadHandler,
                  saveHandlers,
                  saveHandler,
                  sourceScheme,
                  sourcePath,
                  sameMedium,
                  modelArtifacts,
                  saveResult;
                return __generator(this, function (_a) {
                  switch (_a.label) {
                    case 0:
                      assert(sourceURL !== destURL, function () {
                        return "Old path and new path are the same: '" + sourceURL + "'";
                      });
                      loadHandlers = IORouterRegistry.getLoadHandlers(sourceURL);
                      assert(loadHandlers.length > 0, function () {
                        return (
                          'Copying failed because no load handler is found for source URL ' +
                          sourceURL +
                          '.'
                        );
                      });
                      assert(loadHandlers.length < 2, function () {
                        return (
                          'Copying failed because more than one (' +
                          loadHandlers.length +
                          ') ' +
                          ('load handlers for source URL ' + sourceURL + '.')
                        );
                      });
                      loadHandler = loadHandlers[0];
                      saveHandlers = IORouterRegistry.getSaveHandlers(destURL);
                      assert(saveHandlers.length > 0, function () {
                        return (
                          'Copying failed because no save handler is found for destination ' +
                          ('URL ' + destURL + '.')
                        );
                      });
                      assert(saveHandlers.length < 2, function () {
                        return (
                          'Copying failed because more than one (' +
                          loadHandlers.length +
                          ') ' +
                          ('save handlers for destination URL ' + destURL + '.')
                        );
                      });
                      saveHandler = saveHandlers[0];
                      sourceScheme = parseURL(sourceURL).scheme;
                      sourcePath = parseURL(sourceURL).path;
                      sameMedium = sourceScheme === parseURL(sourceURL).scheme;
                      return [4 /*yield*/, loadHandler.load()];
                    case 1:
                      modelArtifacts = _a.sent();
                      if (!(deleteSource && sameMedium)) return [3 /*break*/, 3];
                      return [
                        4 /*yield*/,
                        ModelStoreManagerRegistry.getManager(sourceScheme).removeModel(sourcePath),
                      ];
                    case 2:
                      _a.sent();
                      _a.label = 3;
                    case 3:
                      return [4 /*yield*/, saveHandler.save(modelArtifacts)];
                    case 4:
                      saveResult = _a.sent();
                      if (!(deleteSource && !sameMedium)) return [3 /*break*/, 6];
                      return [
                        4 /*yield*/,
                        ModelStoreManagerRegistry.getManager(sourceScheme).removeModel(sourcePath),
                      ];
                    case 5:
                      _a.sent();
                      _a.label = 6;
                    case 6:
                      return [2 /*return*/, saveResult.modelArtifactsInfo];
                  }
                });
              });
            }
            /**
             * List all models stored in registered storage mediums.
             *
             * For a web browser environment, the registered mediums are Local Storage and
             * IndexedDB.
             *
             * ```js
             * // First create and save a model.
             * const model = tf.sequential();
             * model.add(tf.layers.dense(
             *     {units: 1, inputShape: [10], activation: 'sigmoid'}));
             * await model.save('localstorage://demo/management/model1');
             *
             * // Then list existing models.
             * console.log(JSON.stringify(await tf.io.listModels()));
             *
             * // Delete the model.
             * await tf.io.removeModel('localstorage://demo/management/model1');
             *
             * // List models again.
             * console.log(JSON.stringify(await tf.io.listModels()));
             * ```
             *
             * @returns A `Promise` of a dictionary mapping URLs of existing models to
             * their model artifacts info. URLs include medium-specific schemes, e.g.,
             *   'indexeddb://my/model/1'. Model artifacts info include type of the
             * model's topology, byte sizes of the topology, weights, etc.
             *
             * @doc {
             *   heading: 'Models',
             *   subheading: 'Management',
             *   namespace: 'io',
             *   ignoreCI: true
             * }
             */
            function listModels() {
              return __awaiter(this, void 0, void 0, function () {
                var schemes, out, _i, schemes_1, scheme, schemeOut, path, url;
                return __generator(this, function (_a) {
                  switch (_a.label) {
                    case 0:
                      schemes = ModelStoreManagerRegistry.getSchemes();
                      out = {};
                      (_i = 0), (schemes_1 = schemes);
                      _a.label = 1;
                    case 1:
                      if (!(_i < schemes_1.length)) return [3 /*break*/, 4];
                      scheme = schemes_1[_i];
                      return [
                        4 /*yield*/,
                        ModelStoreManagerRegistry.getManager(scheme).listModels(),
                      ];
                    case 2:
                      schemeOut = _a.sent();
                      for (path in schemeOut) {
                        url = scheme + URL_SCHEME_SUFFIX + path;
                        out[url] = schemeOut[path];
                      }
                      _a.label = 3;
                    case 3:
                      _i++;
                      return [3 /*break*/, 1];
                    case 4:
                      return [2 /*return*/, out];
                  }
                });
              });
            }
            /**
             * Remove a model specified by URL from a reigstered storage medium.
             *
             * ```js
             * // First create and save a model.
             * const model = tf.sequential();
             * model.add(tf.layers.dense(
             *     {units: 1, inputShape: [10], activation: 'sigmoid'}));
             * await model.save('localstorage://demo/management/model1');
             *
             * // Then list existing models.
             * console.log(JSON.stringify(await tf.io.listModels()));
             *
             * // Delete the model.
             * await tf.io.removeModel('localstorage://demo/management/model1');
             *
             * // List models again.
             * console.log(JSON.stringify(await tf.io.listModels()));
             * ```
             *
             * @param url A URL to a stored model, with a scheme prefix, e.g.,
             *   'localstorage://my-model-1', 'indexeddb://my/model/2'.
             * @returns ModelArtifactsInfo of the deleted model (if and only if deletion
             *   is successful).
             * @throws Error if deletion fails, e.g., if no model exists at `path`.
             *
             * @doc {
             *   heading: 'Models',
             *   subheading: 'Management',
             *   namespace: 'io',
             *   ignoreCI: true
             * }
             */
            function removeModel(url) {
              return __awaiter(this, void 0, void 0, function () {
                var schemeAndPath, manager;
                return __generator(this, function (_a) {
                  schemeAndPath = parseURL(url);
                  manager = ModelStoreManagerRegistry.getManager(schemeAndPath.scheme);
                  return [2 /*return*/, manager.removeModel(schemeAndPath.path)];
                });
              });
            }
            /**
             * Copy a model from one URL to another.
             *
             * This function supports:
             *
             * 1. Copying within a storage medium, e.g.,
             *    `tf.io.copyModel('localstorage://model-1', 'localstorage://model-2')`
             * 2. Copying between two storage mediums, e.g.,
             *    `tf.io.copyModel('localstorage://model-1', 'indexeddb://model-1')`
             *
             * ```js
             * // First create and save a model.
             * const model = tf.sequential();
             * model.add(tf.layers.dense(
             *     {units: 1, inputShape: [10], activation: 'sigmoid'}));
             * await model.save('localstorage://demo/management/model1');
             *
             * // Then list existing models.
             * console.log(JSON.stringify(await tf.io.listModels()));
             *
             * // Copy the model, from Local Storage to IndexedDB.
             * await tf.io.copyModel(
             *     'localstorage://demo/management/model1',
             *     'indexeddb://demo/management/model1');
             *
             * // List models again.
             * console.log(JSON.stringify(await tf.io.listModels()));
             *
             * // Remove both models.
             * await tf.io.removeModel('localstorage://demo/management/model1');
             * await tf.io.removeModel('indexeddb://demo/management/model1');
             * ```
             *
             * @param sourceURL Source URL of copying.
             * @param destURL Destination URL of copying.
             * @returns ModelArtifactsInfo of the copied model (if and only if copying
             *   is successful).
             * @throws Error if copying fails, e.g., if no model exists at `sourceURL`, or
             *   if `oldPath` and `newPath` are identical.
             *
             * @doc {
             *   heading: 'Models',
             *   subheading: 'Management',
             *   namespace: 'io',
             *   ignoreCI: true
             * }
             */
            function copyModel(sourceURL, destURL) {
              return __awaiter(this, void 0, void 0, function () {
                var deleteSource;
                return __generator(this, function (_a) {
                  deleteSource = false;
                  return [2 /*return*/, cloneModelInternal(sourceURL, destURL, deleteSource)];
                });
              });
            }
            /**
             * Move a model from one URL to another.
             *
             * This function supports:
             *
             * 1. Moving within a storage medium, e.g.,
             *    `tf.io.moveModel('localstorage://model-1', 'localstorage://model-2')`
             * 2. Moving between two storage mediums, e.g.,
             *    `tf.io.moveModel('localstorage://model-1', 'indexeddb://model-1')`
             *
             * ```js
             * // First create and save a model.
             * const model = tf.sequential();
             * model.add(tf.layers.dense(
             *     {units: 1, inputShape: [10], activation: 'sigmoid'}));
             * await model.save('localstorage://demo/management/model1');
             *
             * // Then list existing models.
             * console.log(JSON.stringify(await tf.io.listModels()));
             *
             * // Move the model, from Local Storage to IndexedDB.
             * await tf.io.moveModel(
             *     'localstorage://demo/management/model1',
             *     'indexeddb://demo/management/model1');
             *
             * // List models again.
             * console.log(JSON.stringify(await tf.io.listModels()));
             *
             * // Remove the moved model.
             * await tf.io.removeModel('indexeddb://demo/management/model1');
             * ```
             *
             * @param sourceURL Source URL of moving.
             * @param destURL Destination URL of moving.
             * @returns ModelArtifactsInfo of the copied model (if and only if copying
             *   is successful).
             * @throws Error if moving fails, e.g., if no model exists at `sourceURL`, or
             *   if `oldPath` and `newPath` are identical.
             *
             * @doc {
             *   heading: 'Models',
             *   subheading: 'Management',
             *   namespace: 'io',
             *   ignoreCI: true
             * }
             */
            function moveModel(sourceURL, destURL) {
              return __awaiter(this, void 0, void 0, function () {
                var deleteSource;
                return __generator(this, function (_a) {
                  deleteSource = true;
                  return [2 /*return*/, cloneModelInternal(sourceURL, destURL, deleteSource)];
                });
              });
            }

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var PlatformBrowser = /** @class */ (function () {
              function PlatformBrowser() {}
              PlatformBrowser.prototype.fetch = function (path, init) {
                return fetch(path, init);
              };
              PlatformBrowser.prototype.now = function () {
                return performance.now();
              };
              PlatformBrowser.prototype.encode = function (text, encoding) {
                if (encoding !== 'utf-8' && encoding !== 'utf8') {
                  throw new Error("Browser's encoder only supports utf-8, but got " + encoding);
                }
                if (this.textEncoder == null) {
                  this.textEncoder = new TextEncoder();
                }
                return this.textEncoder.encode(text);
              };
              PlatformBrowser.prototype.decode = function (bytes, encoding) {
                return new TextDecoder(encoding).decode(bytes);
              };
              return PlatformBrowser;
            })();
            if (env().get('IS_BROWSER')) {
              env().setPlatform('browser', new PlatformBrowser());
              // Register LocalStorage IOHandler
              try {
                ModelStoreManagerRegistry.registerManager(
                  BrowserLocalStorage.URL_SCHEME,
                  new BrowserLocalStorageManager(),
                );
              } catch (err) {}
              // Register IndexedDB IOHandler
              try {
                ModelStoreManagerRegistry.registerManager(
                  BrowserIndexedDB.URL_SCHEME,
                  new BrowserIndexedDBManager(),
                );
              } catch (err) {}
            }

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            // We are wrapping this within an object so it can be stubbed by Jasmine.
            var getNodeFetch = {
              // tslint:disable-next-line:no-require-imports
              importFetch: function () {
                return require('node-fetch');
              },
            };
            var systemFetch;
            var PlatformNode = /** @class */ (function () {
              function PlatformNode() {
                // tslint:disable-next-line:no-require-imports
                this.util = require('util');
                // According to the spec, the built-in encoder can do only UTF-8 encoding.
                // https://developer.mozilla.org/en-US/docs/Web/API/TextEncoder/TextEncoder
                this.textEncoder = new this.util.TextEncoder();
              }
              PlatformNode.prototype.fetch = function (path, requestInits) {
                if (env().global.fetch != null) {
                  return env().global.fetch(path, requestInits);
                }
                if (systemFetch == null) {
                  systemFetch = getNodeFetch.importFetch();
                }
                return systemFetch(path, requestInits);
              };
              PlatformNode.prototype.now = function () {
                var time = process.hrtime();
                return time[0] * 1000 + time[1] / 1000000;
              };
              PlatformNode.prototype.encode = function (text, encoding) {
                if (encoding !== 'utf-8' && encoding !== 'utf8') {
                  throw new Error('Node built-in encoder only supports utf-8, but got ' + encoding);
                }
                return this.textEncoder.encode(text);
              };
              PlatformNode.prototype.decode = function (bytes, encoding) {
                if (bytes.length === 0) {
                  return '';
                }
                return new this.util.TextDecoder(encoding).decode(bytes);
              };
              return PlatformNode;
            })();
            if (env().get('IS_NODE')) {
              env().setPlatform('node', new PlatformNode());
            }

            /**
             * @license
             * Copyright 2020 Google Inc. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates an empty `tf.TensorBuffer` with the specified `shape` and `dtype`.
             *
             * The values are stored in CPU as `TypedArray`. Fill the buffer using
             * `buffer.set()`, or by modifying directly `buffer.values`.
             *
             * When done, call `buffer.toTensor()` to get an immutable `tf.Tensor` with
             * those values.
             *
             * ```js
             * // Create a buffer and set values at particular indices.
             * const buffer = tf.buffer([2, 2]);
             * buffer.set(3, 0, 0);
             * buffer.set(5, 1, 0);
             *
             * // Convert the buffer back to a tensor.
             * buffer.toTensor().print();
             * ```
             *
             * @param shape An array of integers defining the output tensor shape.
             * @param dtype The dtype of the buffer. Defaults to 'float32'.
             * @param values The values of the buffer as `TypedArray`. Defaults to
             * zeros.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function buffer(shape, dtype, values) {
              if (dtype === void 0) {
                dtype = 'float32';
              }
              dtype = dtype || 'float32';
              assertNonNegativeIntegerDimensions(shape);
              return new TensorBuffer(shape, dtype, values);
            }

            /**
             * @license
             * Copyright 2020 Google Inc. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Casts a `tf.Tensor` to a new dtype.
             *
             * ```js
             * const x = tf.tensor1d([1.5, 2.5, 3]);
             * tf.cast(x, 'int32').print();
             * ```
             * @param x The input tensor to be casted.
             * @param dtype The dtype to cast the input tensor to.
             *
             * @doc {heading: 'Tensors', subheading: 'Transformations'}
             */
            function cast_(x, dtype) {
              var $x = convertToTensor(x, 'x', 'cast');
              // Sanity checks.
              if (!isValidDtype(dtype)) {
                throw new Error('Failed to cast to unknown dtype ' + dtype);
              }
              if (
                (dtype === 'string' && $x.dtype !== 'string') ||
                (dtype !== 'string' && $x.dtype === 'string')
              ) {
                throw new Error('Only strings can be casted to strings');
              }
              var inputs = { x: $x };
              var attrs = { dtype: dtype };
              return ENGINE.runKernel(Cast, inputs, attrs);
            }
            var cast = op({ cast_: cast_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates a new tensor with the same values and shape as the specified
             * tensor.
             *
             * ```js
             * const x = tf.tensor([1, 2]);
             *
             * x.clone().print();
             * ```
             *
             * @param x The tensor to clone.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function clone_(x) {
              var $x = convertToTensor(x, 'x', 'clone', 'string_or_numeric');
              var inputs = { x: $x };
              // Note this op is called tf.identity in python. Hence the kernel name used
              // here.
              return ENGINE.runKernel(Identity, inputs);
            }
            var clone = op({ clone_: clone_ });

            /**
             * @license
             * Copyright 2020 Google Inc. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Prints information about the `tf.Tensor` including its data.
             *
             * ```js
             * const verbose = true;
             * tf.tensor2d([1, 2, 3, 4], [2, 2]).print(verbose);
             * ```
             * @param x The tensor to be printed.
             * @param verbose Whether to print verbose information about the ` Tensor`,
             * including dtype and size.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function print(x, verbose) {
              if (verbose === void 0) {
                verbose = false;
              }
              console.log(x.toString(verbose));
            }

            /**
             * @license
             * Copyright 2020 Google Inc. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            getOrMakeEngine();
            var opHandler$1 = {
              buffer: buffer,
              cast: cast,
              clone: clone,
              print: print,
            };
            setOpHandler(opHandler$1);

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var DEFAULT_FILE_NAME_PREFIX = 'model';
            var DEFAULT_JSON_EXTENSION_NAME = '.json';
            var DEFAULT_WEIGHT_DATA_EXTENSION_NAME = '.weights.bin';
            function defer(f) {
              return new Promise(function (resolve) {
                return setTimeout(resolve);
              }).then(f);
            }
            var BrowserDownloads = /** @class */ (function () {
              function BrowserDownloads(fileNamePrefix) {
                if (!env().getBool('IS_BROWSER')) {
                  // TODO(cais): Provide info on what IOHandlers are available under the
                  //   current environment.
                  throw new Error(
                    'browserDownloads() cannot proceed because the current environment ' +
                      'is not a browser.',
                  );
                }
                if (fileNamePrefix.startsWith(BrowserDownloads.URL_SCHEME)) {
                  fileNamePrefix = fileNamePrefix.slice(BrowserDownloads.URL_SCHEME.length);
                }
                if (fileNamePrefix == null || fileNamePrefix.length === 0) {
                  fileNamePrefix = DEFAULT_FILE_NAME_PREFIX;
                }
                this.modelTopologyFileName = fileNamePrefix + DEFAULT_JSON_EXTENSION_NAME;
                this.weightDataFileName = fileNamePrefix + DEFAULT_WEIGHT_DATA_EXTENSION_NAME;
              }
              BrowserDownloads.prototype.save = function (modelArtifacts) {
                return __awaiter(this, void 0, void 0, function () {
                  var weightsURL,
                    weightsManifest,
                    modelTopologyAndWeightManifest,
                    modelTopologyAndWeightManifestURL,
                    jsonAnchor_1,
                    weightDataAnchor_1;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        if (typeof document === 'undefined') {
                          throw new Error(
                            'Browser downloads are not supported in ' +
                              'this environment since `document` is not present',
                          );
                        }
                        weightsURL = window.URL.createObjectURL(
                          new Blob([modelArtifacts.weightData], {
                            type: 'application/octet-stream',
                          }),
                        );
                        if (!(modelArtifacts.modelTopology instanceof ArrayBuffer))
                          return [3 /*break*/, 1];
                        throw new Error(
                          'BrowserDownloads.save() does not support saving model topology ' +
                            'in binary formats yet.',
                        );
                      case 1:
                        weightsManifest = [
                          {
                            paths: ['./' + this.weightDataFileName],
                            weights: modelArtifacts.weightSpecs,
                          },
                        ];
                        modelTopologyAndWeightManifest = {
                          modelTopology: modelArtifacts.modelTopology,
                          format: modelArtifacts.format,
                          generatedBy: modelArtifacts.generatedBy,
                          convertedBy: modelArtifacts.convertedBy,
                          weightsManifest: weightsManifest,
                        };
                        if (modelArtifacts.signature != null) {
                          modelTopologyAndWeightManifest.signature = modelArtifacts.signature;
                        }
                        if (modelArtifacts.userDefinedMetadata != null) {
                          modelTopologyAndWeightManifest.userDefinedMetadata =
                            modelArtifacts.userDefinedMetadata;
                        }
                        if (modelArtifacts.modelInitializer != null) {
                          modelTopologyAndWeightManifest.modelInitializer =
                            modelArtifacts.modelInitializer;
                        }
                        modelTopologyAndWeightManifestURL = window.URL.createObjectURL(
                          new Blob([JSON.stringify(modelTopologyAndWeightManifest)], {
                            type: 'application/json',
                          }),
                        );
                        jsonAnchor_1 =
                          this.jsonAnchor == null ? document.createElement('a') : this.jsonAnchor;
                        jsonAnchor_1.download = this.modelTopologyFileName;
                        jsonAnchor_1.href = modelTopologyAndWeightManifestURL;
                        // Trigger downloads by evoking a click event on the download anchors.
                        // When multiple downloads are started synchronously, Firefox will only
                        // save the last one.
                        return [
                          4 /*yield*/,
                          defer(function () {
                            return jsonAnchor_1.dispatchEvent(new MouseEvent('click'));
                          }),
                        ];
                      case 2:
                        // Trigger downloads by evoking a click event on the download anchors.
                        // When multiple downloads are started synchronously, Firefox will only
                        // save the last one.
                        _a.sent();
                        if (!(modelArtifacts.weightData != null)) return [3 /*break*/, 4];
                        weightDataAnchor_1 =
                          this.weightDataAnchor == null
                            ? document.createElement('a')
                            : this.weightDataAnchor;
                        weightDataAnchor_1.download = this.weightDataFileName;
                        weightDataAnchor_1.href = weightsURL;
                        return [
                          4 /*yield*/,
                          defer(function () {
                            return weightDataAnchor_1.dispatchEvent(new MouseEvent('click'));
                          }),
                        ];
                      case 3:
                        _a.sent();
                        _a.label = 4;
                      case 4:
                        return [
                          2 /*return*/,
                          { modelArtifactsInfo: getModelArtifactsInfoForJSON(modelArtifacts) },
                        ];
                    }
                  });
                });
              };
              BrowserDownloads.URL_SCHEME = 'downloads://';
              return BrowserDownloads;
            })();
            var BrowserFiles = /** @class */ (function () {
              function BrowserFiles(files) {
                if (files == null || files.length < 1) {
                  throw new Error(
                    'When calling browserFiles, at least 1 file is required, ' +
                      ('but received ' + files),
                  );
                }
                this.files = files;
              }
              BrowserFiles.prototype.load = function () {
                return __awaiter(this, void 0, void 0, function () {
                  var jsonFile, weightFiles;
                  var _this = this;
                  return __generator(this, function (_a) {
                    jsonFile = this.files[0];
                    weightFiles = this.files.slice(1);
                    return [
                      2 /*return*/,
                      new Promise(function (resolve, reject) {
                        var jsonReader = new FileReader();
                        jsonReader.onload = function (event) {
                          // tslint:disable-next-line:no-any
                          var modelJSON = JSON.parse(event.target.result);
                          var modelTopology = modelJSON.modelTopology;
                          if (modelTopology == null) {
                            reject(
                              new Error(
                                'modelTopology field is missing from file ' + jsonFile.name,
                              ),
                            );
                            return;
                          }
                          if (weightFiles.length === 0) {
                            resolve({ modelTopology: modelTopology });
                          }
                          var weightsManifest = modelJSON.weightsManifest;
                          if (weightsManifest == null) {
                            reject(
                              new Error(
                                'weightManifest field is missing from file ' + jsonFile.name,
                              ),
                            );
                            return;
                          }
                          var pathToFile;
                          try {
                            pathToFile = _this.checkManifestAndWeightFiles(
                              weightsManifest,
                              weightFiles,
                            );
                          } catch (err) {
                            reject(err);
                            return;
                          }
                          var weightSpecs = [];
                          var paths = [];
                          var perFileBuffers = [];
                          weightsManifest.forEach(function (weightsGroup) {
                            weightsGroup.paths.forEach(function (path) {
                              paths.push(path);
                              perFileBuffers.push(null);
                            });
                            weightSpecs.push.apply(weightSpecs, weightsGroup.weights);
                          });
                          weightsManifest.forEach(function (weightsGroup) {
                            weightsGroup.paths.forEach(function (path) {
                              var weightFileReader = new FileReader();
                              weightFileReader.onload = function (event) {
                                // tslint:disable-next-line:no-any
                                var weightData = event.target.result;
                                var index = paths.indexOf(path);
                                perFileBuffers[index] = weightData;
                                if (perFileBuffers.indexOf(null) === -1) {
                                  var result = {
                                    modelTopology: modelTopology,
                                    weightSpecs: weightSpecs,
                                    weightData: concatenateArrayBuffers(perFileBuffers),
                                    format: modelJSON.format,
                                    generatedBy: modelJSON.generatedBy,
                                    convertedBy: modelJSON.convertedBy,
                                  };
                                  if (modelJSON.signature != null) {
                                    result.signature = modelJSON.signature;
                                  }
                                  if (modelJSON.userDefinedMetadata != null) {
                                    result.userDefinedMetadata = modelJSON.userDefinedMetadata;
                                  }
                                  if (modelJSON.modelInitializer != null) {
                                    result.modelInitializer = modelJSON.modelInitializer;
                                  }
                                  resolve(result);
                                }
                              };
                              weightFileReader.onerror = function (error) {
                                return reject(
                                  "Failed to weights data from file of path '" + path + "'.",
                                );
                              };
                              weightFileReader.readAsArrayBuffer(pathToFile[path]);
                            });
                          });
                        };
                        jsonReader.onerror = function (error) {
                          return reject(
                            'Failed to read model topology and weights manifest JSON ' +
                              ("from file '" +
                                jsonFile.name +
                                "'. BrowserFiles supports loading ") +
                              'Keras-style tf.Model artifacts only.',
                          );
                        };
                        jsonReader.readAsText(jsonFile);
                      }),
                    ];
                  });
                });
              };
              /**
               * Check the compatibility between weights manifest and weight files.
               */
              BrowserFiles.prototype.checkManifestAndWeightFiles = function (manifest, files) {
                var basenames = [];
                var fileNames = files.map(function (file) {
                  return basename(file.name);
                });
                var pathToFile = {};
                for (var _i = 0, manifest_1 = manifest; _i < manifest_1.length; _i++) {
                  var group = manifest_1[_i];
                  group.paths.forEach(function (path) {
                    var pathBasename = basename(path);
                    if (basenames.indexOf(pathBasename) !== -1) {
                      throw new Error(
                        'Duplicate file basename found in weights manifest: ' +
                          ("'" + pathBasename + "'"),
                      );
                    }
                    basenames.push(pathBasename);
                    if (fileNames.indexOf(pathBasename) === -1) {
                      throw new Error(
                        "Weight file with basename '" + pathBasename + "' is not provided.",
                      );
                    } else {
                      pathToFile[path] = files[fileNames.indexOf(pathBasename)];
                    }
                  });
                }
                if (basenames.length !== files.length) {
                  throw new Error(
                    'Mismatch in the number of files in weights manifest ' +
                      ('(' + basenames.length + ') and the number of weight files provided ') +
                      ('(' + files.length + ').'),
                  );
                }
                return pathToFile;
              };
              return BrowserFiles;
            })();
            var browserDownloadsRouter = function (url) {
              if (!env().getBool('IS_BROWSER')) {
                return null;
              } else {
                if (!Array.isArray(url) && url.startsWith(BrowserDownloads.URL_SCHEME)) {
                  return browserDownloads(url.slice(BrowserDownloads.URL_SCHEME.length));
                } else {
                  return null;
                }
              }
            };
            IORouterRegistry.registerSaveRouter(browserDownloadsRouter);
            /**
             * Creates an IOHandler that triggers file downloads from the browser.
             *
             * The returned `IOHandler` instance can be used as model exporting methods such
             * as `tf.Model.save` and supports only saving.
             *
             * ```js
             * const model = tf.sequential();
             * model.add(tf.layers.dense(
             *     {units: 1, inputShape: [10], activation: 'sigmoid'}));
             * const saveResult = await model.save('downloads://mymodel');
             * // This will trigger downloading of two files:
             * //   'mymodel.json' and 'mymodel.weights.bin'.
             * console.log(saveResult);
             * ```
             *
             * @param fileNamePrefix Prefix name of the files to be downloaded. For use with
             *   `tf.Model`, `fileNamePrefix` should follow either of the following two
             *   formats:
             *   1. `null` or `undefined`, in which case the default file
             *      names will be used:
             *      - 'model.json' for the JSON file containing the model topology and
             *        weights manifest.
             *      - 'model.weights.bin' for the binary file containing the binary weight
             *        values.
             *   2. A single string or an Array of a single string, as the file name prefix.
             *      For example, if `'foo'` is provided, the downloaded JSON
             *      file and binary weights file will be named 'foo.json' and
             *      'foo.weights.bin', respectively.
             * @param config Additional configuration for triggering downloads.
             * @returns An instance of `BrowserDownloads` `IOHandler`.
             *
             * @doc {
             *   heading: 'Models',
             *   subheading: 'Loading',
             *   namespace: 'io',
             *   ignoreCI: true
             * }
             */
            function browserDownloads(fileNamePrefix) {
              if (fileNamePrefix === void 0) {
                fileNamePrefix = 'model';
              }
              return new BrowserDownloads(fileNamePrefix);
            }
            /**
             * Creates an IOHandler that loads model artifacts from user-selected files.
             *
             * This method can be used for loading from files such as user-selected files
             * in the browser.
             * When used in conjunction with `tf.loadLayersModel`, an instance of
             * `tf.LayersModel` (Keras-style) can be constructed from the loaded artifacts.
             *
             * ```js
             * // Note: This code snippet won't run properly without the actual file input
             * //   elements in the HTML DOM.
             *
             * // Suppose there are two HTML file input (`<input type="file" ...>`)
             * // elements.
             * const uploadJSONInput = document.getElementById('upload-json');
             * const uploadWeightsInput = document.getElementById('upload-weights');
             * const model = await tf.loadLayersModel(tf.io.browserFiles(
             *     [uploadJSONInput.files[0], uploadWeightsInput.files[0]]));
             * ```
             *
             * @param files `File`s to load from. Currently, this function supports only
             *   loading from files that contain Keras-style models (i.e., `tf.Model`s), for
             *   which an `Array` of `File`s is expected (in that order):
             *   - A JSON file containing the model topology and weight manifest.
             *   - Optionally, One or more binary files containing the binary weights.
             *     These files must have names that match the paths in the `weightsManifest`
             *     contained by the aforementioned JSON file, or errors will be thrown
             *     during loading. These weights files have the same format as the ones
             *     generated by `tensorflowjs_converter` that comes with the `tensorflowjs`
             *     Python PIP package. If no weights files are provided, only the model
             *     topology will be loaded from the JSON file above.
             * @returns An instance of `Files` `IOHandler`.
             *
             * @doc {
             *   heading: 'Models',
             *   subheading: 'Loading',
             *   namespace: 'io',
             *   ignoreCI: true
             * }
             */
            function browserFiles(files) {
              return new BrowserFiles(files);
            }

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Monitor Promise.all progress, fire onProgress callback function.
             *
             * @param promises Promise list going to be monitored
             * @param onProgress Callback function. Fired when a promise resolved.
             * @param startFraction Optional fraction start. Default to 0.
             * @param endFraction Optional fraction end. Default to 1.
             */
            function monitorPromisesProgress(promises, onProgress, startFraction, endFraction) {
              checkPromises(promises);
              startFraction = startFraction == null ? 0 : startFraction;
              endFraction = endFraction == null ? 1 : endFraction;
              checkFraction(startFraction, endFraction);
              var resolvedPromise = 0;
              var registerMonitor = function (promise) {
                promise.then(function (value) {
                  var fraction =
                    startFraction +
                    (++resolvedPromise / promises.length) * (endFraction - startFraction);
                  // pass fraction as parameter to callback function.
                  onProgress(fraction);
                  return value;
                });
                return promise;
              };
              function checkPromises(promises) {
                assert(
                  promises != null && Array.isArray(promises) && promises.length > 0,
                  function () {
                    return 'promises must be a none empty array';
                  },
                );
              }
              function checkFraction(startFraction, endFraction) {
                assert(startFraction >= 0 && startFraction <= 1, function () {
                  return (
                    'Progress fraction must be in range [0, 1], but ' +
                    ('got startFraction ' + startFraction)
                  );
                });
                assert(endFraction >= 0 && endFraction <= 1, function () {
                  return (
                    'Progress fraction must be in range [0, 1], but ' +
                    ('got endFraction ' + endFraction)
                  );
                });
                assert(endFraction >= startFraction, function () {
                  return (
                    'startFraction must be no more than endFraction, but ' +
                    ('got startFraction ' + startFraction + ' and endFraction ') +
                    ('' + endFraction)
                  );
                });
              }
              return Promise.all(promises.map(registerMonitor));
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Reads binary weights data from a number of URLs.
             *
             * @param fetchURLs URLs to send the HTTP requests at, using `fetch` calls.
             * @param requestOptions RequestInit (options) for the HTTP requests.
             * @param fetchFunc Optional overriding value for the `window.fetch` function.
             * @param onProgress Optional, progress callback function, fired periodically
             *   before the load is completed.
             * @returns A `Promise` of an Array of `ArrayBuffer`. The Array has the same
             *   length as `fetchURLs`.
             */
            function loadWeightsAsArrayBuffer(fetchURLs, loadOptions) {
              return __awaiter(this, void 0, void 0, function () {
                var fetchFunc,
                  requests,
                  fetchStartFraction,
                  fetchEndFraction,
                  responses,
                  _a,
                  bufferPromises,
                  bufferStartFraction,
                  bufferEndFraction,
                  buffers,
                  _b;
                return __generator(this, function (_c) {
                  switch (_c.label) {
                    case 0:
                      if (loadOptions == null) {
                        loadOptions = {};
                      }
                      fetchFunc =
                        loadOptions.fetchFunc == null
                          ? env().platform.fetch
                          : loadOptions.fetchFunc;
                      requests = fetchURLs.map(function (fetchURL) {
                        return fetchFunc(fetchURL, loadOptions.requestInit, { isBinary: true });
                      });
                      fetchStartFraction = 0;
                      fetchEndFraction = 0.5;
                      if (!(loadOptions.onProgress == null)) return [3 /*break*/, 2];
                      return [4 /*yield*/, Promise.all(requests)];
                    case 1:
                      _a = _c.sent();
                      return [3 /*break*/, 4];
                    case 2:
                      return [
                        4 /*yield*/,
                        monitorPromisesProgress(
                          requests,
                          loadOptions.onProgress,
                          fetchStartFraction,
                          fetchEndFraction,
                        ),
                      ];
                    case 3:
                      _a = _c.sent();
                      _c.label = 4;
                    case 4:
                      responses = _a;
                      bufferPromises = responses.map(function (response) {
                        return response.arrayBuffer();
                      });
                      bufferStartFraction = 0.5;
                      bufferEndFraction = 1;
                      if (!(loadOptions.onProgress == null)) return [3 /*break*/, 6];
                      return [4 /*yield*/, Promise.all(bufferPromises)];
                    case 5:
                      _b = _c.sent();
                      return [3 /*break*/, 8];
                    case 6:
                      return [
                        4 /*yield*/,
                        monitorPromisesProgress(
                          bufferPromises,
                          loadOptions.onProgress,
                          bufferStartFraction,
                          bufferEndFraction,
                        ),
                      ];
                    case 7:
                      _b = _c.sent();
                      _c.label = 8;
                    case 8:
                      buffers = _b;
                      return [2 /*return*/, buffers];
                  }
                });
              });
            }
            /**
             * Reads a weights manifest JSON configuration, fetches the weights and
             * returns them as `Tensor`s.
             *
             * @param manifest The weights manifest JSON.
             * @param filePathPrefix The path prefix for filenames given in the manifest.
             *     Defaults to the empty string.
             * @param weightNames The names of the weights to be fetched.
             */
            function loadWeights(manifest, filePathPrefix, weightNames, requestInit) {
              if (filePathPrefix === void 0) {
                filePathPrefix = '';
              }
              return __awaiter(this, void 0, void 0, function () {
                var fetchWeights, loadWeights;
                return __generator(this, function (_a) {
                  fetchWeights = function (fetchUrls) {
                    return loadWeightsAsArrayBuffer(fetchUrls, { requestInit: requestInit });
                  };
                  loadWeights = weightsLoaderFactory(fetchWeights);
                  return [2 /*return*/, loadWeights(manifest, filePathPrefix, weightNames)];
                });
              });
            }
            /**
             * Creates a function, which reads a weights manifest JSON configuration,
             * fetches the weight files using the specified function and returns them as
             * `Tensor`s.
             *
             * ```js
             * // example for creating a nodejs weight loader, which reads the weight files
             * // from disk using fs.readFileSync
             *
             * import * as fs from 'fs'
             *
             * const fetchWeightsFromDisk = (filePaths: string[]) =>
             *   filePaths.map(filePath => fs.readFileSync(filePath).buffer)
             *
             * const loadWeights = tf.io.weightsLoaderFactory(fetchWeightsFromDisk)
             *
             * const manifest = JSON.parse(
             *   fs.readFileSync('./my_model-weights_manifest').toString()
             * )
             * const weightMap = await loadWeights(manifest, './')
             * ```
             * @param fetchWeightsFunction The function used for fetching the weight files.
             * @returns Weight loading function.
             */
            function weightsLoaderFactory(fetchWeightsFunction) {
              var _this = this;
              return function (manifest, filePathPrefix, weightNames) {
                if (filePathPrefix === void 0) {
                  filePathPrefix = '';
                }
                return __awaiter(_this, void 0, void 0, function () {
                  var groupIndicesToFetchMap,
                    groupWeightsToFetch,
                    weightsFound,
                    allManifestWeightNames,
                    weightsNotFound,
                    groupIndicesToFetch,
                    fetchUrls,
                    buffers,
                    weightsTensorMap,
                    bufferIndexOffset;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        groupIndicesToFetchMap = manifest.map(function () {
                          return false;
                        });
                        groupWeightsToFetch = {};
                        weightsFound =
                          weightNames != null
                            ? weightNames.map(function () {
                                return false;
                              })
                            : [];
                        allManifestWeightNames = [];
                        manifest.forEach(function (manifestGroupConfig, groupIndex) {
                          var groupOffset = 0;
                          manifestGroupConfig.weights.forEach(function (weightsEntry) {
                            var rawDtype =
                              'quantization' in weightsEntry
                                ? weightsEntry.quantization.dtype
                                : weightsEntry.dtype;
                            var weightsBytes =
                              DTYPE_VALUE_SIZE_MAP[rawDtype] * sizeFromShape(weightsEntry.shape);
                            var enqueueWeightsForFetchingFn = function () {
                              groupIndicesToFetchMap[groupIndex] = true;
                              if (groupWeightsToFetch[groupIndex] == null) {
                                groupWeightsToFetch[groupIndex] = [];
                              }
                              groupWeightsToFetch[groupIndex].push({
                                manifestEntry: weightsEntry,
                                groupOffset: groupOffset,
                                sizeBytes: weightsBytes,
                              });
                            };
                            if (weightNames != null) {
                              weightNames.forEach(function (weightName, weightIndex) {
                                if (weightName === weightsEntry.name) {
                                  enqueueWeightsForFetchingFn();
                                  weightsFound[weightIndex] = true;
                                }
                              });
                            } else {
                              enqueueWeightsForFetchingFn();
                            }
                            allManifestWeightNames.push(weightsEntry.name);
                            groupOffset += weightsBytes;
                          });
                        });
                        if (
                          !weightsFound.every(function (found) {
                            return found;
                          })
                        ) {
                          weightsNotFound = weightNames.filter(function (_, i) {
                            return !weightsFound[i];
                          });
                          throw new Error(
                            'Could not find weights in manifest with names: ' +
                              (weightsNotFound.join(', ') + '. \n') +
                              'Manifest JSON has weights with names: ' +
                              (allManifestWeightNames.join(', ') + '.'),
                          );
                        }
                        groupIndicesToFetch = groupIndicesToFetchMap.reduce(function (
                          accumulator,
                          shouldFetch,
                          i,
                        ) {
                          if (shouldFetch) {
                            accumulator.push(i);
                          }
                          return accumulator;
                        },
                        []);
                        fetchUrls = [];
                        groupIndicesToFetch.forEach(function (i) {
                          manifest[i].paths.forEach(function (filepath) {
                            var fetchUrl =
                              filePathPrefix +
                              (!filePathPrefix.endsWith('/') ? '/' : '') +
                              filepath;
                            fetchUrls.push(fetchUrl);
                          });
                        });
                        return [4 /*yield*/, fetchWeightsFunction(fetchUrls)];
                      case 1:
                        buffers = _a.sent();
                        weightsTensorMap = {};
                        bufferIndexOffset = 0;
                        groupIndicesToFetch.forEach(function (i) {
                          var numBuffers = manifest[i].paths.length;
                          var groupBytes = 0;
                          for (var i_1 = 0; i_1 < numBuffers; i_1++) {
                            groupBytes += buffers[bufferIndexOffset + i_1].byteLength;
                          }
                          // Create a buffer for the whole group.
                          var groupBuffer = new ArrayBuffer(groupBytes);
                          var groupByteBuffer = new Uint8Array(groupBuffer);
                          var groupBufferOffset = 0;
                          for (var i_2 = 0; i_2 < numBuffers; i_2++) {
                            var buffer = new Uint8Array(buffers[bufferIndexOffset + i_2]);
                            groupByteBuffer.set(buffer, groupBufferOffset);
                            groupBufferOffset += buffer.byteLength;
                          }
                          var weightsEntries = groupWeightsToFetch[i];
                          weightsEntries.forEach(function (weightsEntry) {
                            var byteBuffer = groupBuffer.slice(
                              weightsEntry.groupOffset,
                              weightsEntry.groupOffset + weightsEntry.sizeBytes,
                            );
                            var nameToTensorMap = decodeWeights(byteBuffer, [
                              weightsEntry.manifestEntry,
                            ]);
                            for (var name_1 in nameToTensorMap) {
                              weightsTensorMap[name_1] = nameToTensorMap[name_1];
                            }
                          });
                          bufferIndexOffset += numBuffers;
                        });
                        return [2 /*return*/, weightsTensorMap];
                    }
                  });
                });
              };
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var OCTET_STREAM_MIME_TYPE = 'application/octet-stream';
            var JSON_TYPE = 'application/json';
            var HTTPRequest = /** @class */ (function () {
              function HTTPRequest(path, loadOptions) {
                this.DEFAULT_METHOD = 'POST';
                if (loadOptions == null) {
                  loadOptions = {};
                }
                this.weightPathPrefix = loadOptions.weightPathPrefix;
                this.onProgress = loadOptions.onProgress;
                this.weightUrlConverter = loadOptions.weightUrlConverter;
                if (loadOptions.fetchFunc != null) {
                  assert(typeof loadOptions.fetchFunc === 'function', function () {
                    return (
                      'Must pass a function that matches the signature of ' +
                      '`fetch` (see ' +
                      'https://developer.mozilla.org/en-US/docs/Web/API/Fetch_API)'
                    );
                  });
                  this.fetch = loadOptions.fetchFunc;
                } else {
                  this.fetch = env().platform.fetch;
                }
                assert(path != null && path.length > 0, function () {
                  return 'URL path for http must not be null, undefined or ' + 'empty.';
                });
                if (Array.isArray(path)) {
                  assert(path.length === 2, function () {
                    return (
                      'URL paths for http must have a length of 2, ' +
                      ('(actual length is ' + path.length + ').')
                    );
                  });
                }
                this.path = path;
                if (loadOptions.requestInit != null && loadOptions.requestInit.body != null) {
                  throw new Error(
                    'requestInit is expected to have no pre-existing body, but has one.',
                  );
                }
                this.requestInit = loadOptions.requestInit || {};
              }
              HTTPRequest.prototype.save = function (modelArtifacts) {
                return __awaiter(this, void 0, void 0, function () {
                  var init, weightsManifest, modelTopologyAndWeightManifest, response;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        if (modelArtifacts.modelTopology instanceof ArrayBuffer) {
                          throw new Error(
                            'BrowserHTTPRequest.save() does not support saving model topology ' +
                              'in binary formats yet.',
                          );
                        }
                        init = Object.assign({ method: this.DEFAULT_METHOD }, this.requestInit);
                        init.body = new FormData();
                        weightsManifest = [
                          {
                            paths: ['./model.weights.bin'],
                            weights: modelArtifacts.weightSpecs,
                          },
                        ];
                        modelTopologyAndWeightManifest = {
                          modelTopology: modelArtifacts.modelTopology,
                          format: modelArtifacts.format,
                          generatedBy: modelArtifacts.generatedBy,
                          convertedBy: modelArtifacts.convertedBy,
                          weightsManifest: weightsManifest,
                        };
                        if (modelArtifacts.signature != null) {
                          modelTopologyAndWeightManifest.signature = modelArtifacts.signature;
                        }
                        if (modelArtifacts.userDefinedMetadata != null) {
                          modelTopologyAndWeightManifest.userDefinedMetadata =
                            modelArtifacts.userDefinedMetadata;
                        }
                        if (modelArtifacts.modelInitializer != null) {
                          modelTopologyAndWeightManifest.modelInitializer =
                            modelArtifacts.modelInitializer;
                        }
                        init.body.append(
                          'model.json',
                          new Blob([JSON.stringify(modelTopologyAndWeightManifest)], {
                            type: JSON_TYPE,
                          }),
                          'model.json',
                        );
                        if (modelArtifacts.weightData != null) {
                          init.body.append(
                            'model.weights.bin',
                            new Blob([modelArtifacts.weightData], { type: OCTET_STREAM_MIME_TYPE }),
                            'model.weights.bin',
                          );
                        }
                        return [4 /*yield*/, this.fetch(this.path, init)];
                      case 1:
                        response = _a.sent();
                        if (response.ok) {
                          return [
                            2 /*return*/,
                            {
                              modelArtifactsInfo: getModelArtifactsInfoForJSON(modelArtifacts),
                              responses: [response],
                            },
                          ];
                        } else {
                          throw new Error(
                            'BrowserHTTPRequest.save() failed due to HTTP response status ' +
                              (response.status + '.'),
                          );
                        }
                    }
                  });
                });
              };
              /**
               * Load model artifacts via HTTP request(s).
               *
               * See the documentation to `tf.io.http` for details on the saved
               * artifacts.
               *
               * @returns The loaded model artifacts (if loading succeeds).
               */
              HTTPRequest.prototype.load = function () {
                return __awaiter(this, void 0, void 0, function () {
                  var modelConfigRequest,
                    modelConfig,
                    e_1,
                    message,
                    modelTopology,
                    weightsManifest,
                    generatedBy,
                    convertedBy,
                    format,
                    signature,
                    userDefinedMetadata,
                    weightSpecs,
                    weightData,
                    results,
                    artifacts,
                    initializer;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        return [4 /*yield*/, this.fetch(this.path, this.requestInit)];
                      case 1:
                        modelConfigRequest = _a.sent();
                        if (!modelConfigRequest.ok) {
                          throw new Error(
                            'Request to ' +
                              this.path +
                              ' failed with status code ' +
                              (modelConfigRequest.status + '. Please verify this URL points to ') +
                              'the model JSON of the model to load.',
                          );
                        }
                        _a.label = 2;
                      case 2:
                        _a.trys.push([2, 4, , 5]);
                        return [4 /*yield*/, modelConfigRequest.json()];
                      case 3:
                        modelConfig = _a.sent();
                        return [3 /*break*/, 5];
                      case 4:
                        e_1 = _a.sent();
                        message = 'Failed to parse model JSON of response from ' + this.path + '.';
                        // TODO(nsthorat): Remove this after some time when we're comfortable that
                        // .pb files are mostly gone.
                        if (this.path.endsWith('.pb')) {
                          message +=
                            ' Your path contains a .pb file extension. ' +
                            'Support for .pb models have been removed in TensorFlow.js 1.0 ' +
                            'in favor of .json models. You can re-convert your Python ' +
                            'TensorFlow model using the TensorFlow.js 1.0 conversion scripts ' +
                            "or you can convert your.pb models with the 'pb2json'" +
                            'NPM script in the tensorflow/tfjs-converter repository.';
                        } else {
                          message +=
                            ' Please make sure the server is serving valid ' +
                            'JSON for this request.';
                        }
                        throw new Error(message);
                      case 5:
                        modelTopology = modelConfig.modelTopology;
                        weightsManifest = modelConfig.weightsManifest;
                        generatedBy = modelConfig.generatedBy;
                        convertedBy = modelConfig.convertedBy;
                        format = modelConfig.format;
                        signature = modelConfig.signature;
                        userDefinedMetadata = modelConfig.userDefinedMetadata;
                        // We do not allow both modelTopology and weightsManifest to be missing.
                        if (modelTopology == null && weightsManifest == null) {
                          throw new Error(
                            'The JSON from HTTP path ' +
                              this.path +
                              ' contains neither model ' +
                              'topology or manifest for weights.',
                          );
                        }
                        if (!(weightsManifest != null)) return [3 /*break*/, 7];
                        return [4 /*yield*/, this.loadWeights(weightsManifest)];
                      case 6:
                        results = _a.sent();
                        (weightSpecs = results[0]), (weightData = results[1]);
                        _a.label = 7;
                      case 7:
                        artifacts = {
                          modelTopology: modelTopology,
                          weightSpecs: weightSpecs,
                          weightData: weightData,
                          generatedBy: generatedBy,
                          convertedBy: convertedBy,
                          format: format,
                        };
                        if (signature != null) {
                          artifacts.signature = signature;
                        }
                        if (userDefinedMetadata != null) {
                          artifacts.userDefinedMetadata = userDefinedMetadata;
                        }
                        initializer = modelConfig.modelInitializer;
                        if (initializer) {
                          artifacts.modelInitializer = initializer;
                        }
                        return [2 /*return*/, artifacts];
                    }
                  });
                });
              };
              HTTPRequest.prototype.loadWeights = function (weightsManifest) {
                return __awaiter(this, void 0, void 0, function () {
                  var weightPath,
                    _a,
                    prefix,
                    suffix,
                    pathPrefix,
                    weightSpecs,
                    _i,
                    weightsManifest_1,
                    entry,
                    fetchURLs,
                    urlPromises,
                    _b,
                    weightsManifest_2,
                    weightsGroup,
                    _c,
                    _d,
                    path,
                    _e,
                    _f,
                    _g,
                    buffers;
                  return __generator(this, function (_h) {
                    switch (_h.label) {
                      case 0:
                        weightPath = Array.isArray(this.path) ? this.path[1] : this.path;
                        (_a = parseUrl(weightPath)), (prefix = _a[0]), (suffix = _a[1]);
                        pathPrefix = this.weightPathPrefix || prefix;
                        weightSpecs = [];
                        for (
                          _i = 0, weightsManifest_1 = weightsManifest;
                          _i < weightsManifest_1.length;
                          _i++
                        ) {
                          entry = weightsManifest_1[_i];
                          weightSpecs.push.apply(weightSpecs, entry.weights);
                        }
                        fetchURLs = [];
                        urlPromises = [];
                        for (
                          _b = 0, weightsManifest_2 = weightsManifest;
                          _b < weightsManifest_2.length;
                          _b++
                        ) {
                          weightsGroup = weightsManifest_2[_b];
                          for (_c = 0, _d = weightsGroup.paths; _c < _d.length; _c++) {
                            path = _d[_c];
                            if (this.weightUrlConverter != null) {
                              urlPromises.push(this.weightUrlConverter(path));
                            } else {
                              fetchURLs.push(pathPrefix + path + suffix);
                            }
                          }
                        }
                        if (!this.weightUrlConverter) return [3 /*break*/, 2];
                        _f = (_e = fetchURLs.push).apply;
                        _g = [fetchURLs];
                        return [4 /*yield*/, Promise.all(urlPromises)];
                      case 1:
                        _f.apply(_e, _g.concat([_h.sent()]));
                        _h.label = 2;
                      case 2:
                        return [
                          4 /*yield*/,
                          loadWeightsAsArrayBuffer(fetchURLs, {
                            requestInit: this.requestInit,
                            fetchFunc: this.fetch,
                            onProgress: this.onProgress,
                          }),
                        ];
                      case 3:
                        buffers = _h.sent();
                        return [2 /*return*/, [weightSpecs, concatenateArrayBuffers(buffers)]];
                    }
                  });
                });
              };
              HTTPRequest.URL_SCHEME_REGEX = /^https?:\/\//;
              return HTTPRequest;
            })();
            /**
             * Extract the prefix and suffix of the url, where the prefix is the path before
             * the last file, and suffix is the search params after the last file.
             * ```
             * const url = 'http://tfhub.dev/model/1/tensorflowjs_model.pb?tfjs-format=file'
             * [prefix, suffix] = parseUrl(url)
             * // prefix = 'http://tfhub.dev/model/1/'
             * // suffix = '?tfjs-format=file'
             * ```
             * @param url the model url to be parsed.
             */
            function parseUrl(url) {
              var lastSlash = url.lastIndexOf('/');
              var lastSearchParam = url.lastIndexOf('?');
              var prefix = url.substring(0, lastSlash);
              var suffix = lastSearchParam > lastSlash ? url.substring(lastSearchParam) : '';
              return [prefix + '/', suffix];
            }
            function isHTTPScheme(url) {
              return url.match(HTTPRequest.URL_SCHEME_REGEX) != null;
            }
            var httpRouter = function (url, loadOptions) {
              if (
                typeof fetch === 'undefined' &&
                (loadOptions == null || loadOptions.fetchFunc == null)
              ) {
                // `http` uses `fetch` or `node-fetch`, if one wants to use it in
                // an environment that is not the browser or node they have to setup a
                // global fetch polyfill.
                return null;
              } else {
                var isHTTP = true;
                if (Array.isArray(url)) {
                  isHTTP = url.every(function (urlItem) {
                    return isHTTPScheme(urlItem);
                  });
                } else {
                  isHTTP = isHTTPScheme(url);
                }
                if (isHTTP) {
                  return http(url, loadOptions);
                }
              }
              return null;
            };
            IORouterRegistry.registerSaveRouter(httpRouter);
            IORouterRegistry.registerLoadRouter(httpRouter);
            /**
             * Creates an IOHandler subtype that sends model artifacts to HTTP server.
             *
             * An HTTP request of the `multipart/form-data` mime type will be sent to the
             * `path` URL. The form data includes artifacts that represent the topology
             * and/or weights of the model. In the case of Keras-style `tf.Model`, two
             * blobs (files) exist in form-data:
             *   - A JSON file consisting of `modelTopology` and `weightsManifest`.
             *   - A binary weights file consisting of the concatenated weight values.
             * These files are in the same format as the one generated by
             * [tfjs_converter](https://js.tensorflow.org/tutorials/import-keras.html).
             *
             * The following code snippet exemplifies the client-side code that uses this
             * function:
             *
             * ```js
             * const model = tf.sequential();
             * model.add(
             *     tf.layers.dense({units: 1, inputShape: [100], activation: 'sigmoid'}));
             *
             * const saveResult = await model.save(tf.io.http(
             *     'http://model-server:5000/upload', {requestInit: {method: 'PUT'}}));
             * console.log(saveResult);
             * ```
             *
             * If the default `POST` method is to be used, without any custom parameters
             * such as headers, you can simply pass an HTTP or HTTPS URL to `model.save`:
             *
             * ```js
             * const saveResult = await model.save('http://model-server:5000/upload');
             * ```
             *
             * The following GitHub Gist
             * https://gist.github.com/dsmilkov/1b6046fd6132d7408d5257b0976f7864
             * implements a server based on [flask](https://github.com/pallets/flask) that
             * can receive the request. Upon receiving the model artifacts via the requst,
             * this particular server reconsistutes instances of [Keras
             * Models](https://keras.io/models/model/) in memory.
             *
             *
             * @param path A URL path to the model.
             *   Can be an absolute HTTP path (e.g.,
             *   'http://localhost:8000/model-upload)') or a relative path (e.g.,
             *   './model-upload').
             * @param requestInit Request configurations to be used when sending
             *    HTTP request to server using `fetch`. It can contain fields such as
             *    `method`, `credentials`, `headers`, `mode`, etc. See
             *    https://developer.mozilla.org/en-US/docs/Web/API/Request/Request
             *    for more information. `requestInit` must not have a body, because the
             * body will be set by TensorFlow.js. File blobs representing the model
             * topology (filename: 'model.json') and the weights of the model (filename:
             * 'model.weights.bin') will be appended to the body. If `requestInit` has a
             * `body`, an Error will be thrown.
             * @param loadOptions Optional configuration for the loading. It includes the
             *   following fields:
             *   - weightPathPrefix Optional, this specifies the path prefix for weight
             *     files, by default this is calculated from the path param.
             *   - fetchFunc Optional, custom `fetch` function. E.g., in Node.js,
             *     the `fetch` from node-fetch can be used here.
             *   - onProgress Optional, progress callback function, fired periodically
             *     before the load is completed.
             * @returns An instance of `IOHandler`.
             *
             * @doc {
             *   heading: 'Models',
             *   subheading: 'Loading',
             *   namespace: 'io',
             *   ignoreCI: true
             * }
             */
            function http(path, loadOptions) {
              return new HTTPRequest(path, loadOptions);
            }
            /**
             * Deprecated. Use `tf.io.http`.
             * @param path
             * @param loadOptions
             */
            function browserHTTPRequest(path, loadOptions) {
              return http(path, loadOptions);
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var PassthroughLoader = /** @class */ (function () {
              function PassthroughLoader(modelArtifacts) {
                this.modelArtifacts = modelArtifacts;
              }
              PassthroughLoader.prototype.load = function () {
                return __awaiter(this, void 0, void 0, function () {
                  return __generator(this, function (_a) {
                    return [2 /*return*/, this.modelArtifacts];
                  });
                });
              };
              return PassthroughLoader;
            })();
            var PassthroughSaver = /** @class */ (function () {
              function PassthroughSaver(saveHandler) {
                this.saveHandler = saveHandler;
              }
              PassthroughSaver.prototype.save = function (modelArtifacts) {
                return __awaiter(this, void 0, void 0, function () {
                  return __generator(this, function (_a) {
                    return [2 /*return*/, this.saveHandler(modelArtifacts)];
                  });
                });
              };
              return PassthroughSaver;
            })();
            /**
             * Creates an IOHandler that loads model artifacts from memory.
             *
             * When used in conjunction with `tf.loadLayersModel`, an instance of
             * `tf.LayersModel` (Keras-style) can be constructed from the loaded artifacts.
             *
             * ```js
             * const model = await tf.loadLayersModel(tf.io.fromMemory(
             *     modelTopology, weightSpecs, weightData));
             * ```
             *
             * @param modelArtifacts a object containing model topology (i.e., parsed from
             *   the JSON format).
             * @param weightSpecs An array of `WeightsManifestEntry` objects describing the
             *   names, shapes, types, and quantization of the weight data.
             * @param weightData A single `ArrayBuffer` containing the weight data,
             *   concatenated in the order described by the weightSpecs.
             * @param trainingConfig Model training configuration. Optional.
             *
             * @returns A passthrough `IOHandler` that simply loads the provided data.
             */
            function fromMemory(modelArtifacts, weightSpecs, weightData, trainingConfig) {
              if (arguments.length === 1) {
                var isModelArtifacts =
                  modelArtifacts.modelTopology != null || modelArtifacts.weightSpecs != null;
                if (isModelArtifacts) {
                  return new PassthroughLoader(modelArtifacts);
                } else {
                  // Legacy support: with only modelTopology.
                  // TODO(cais): Remove this deprecated API.
                  console.warn(
                    'Please call tf.io.fromMemory() with only one argument. ' +
                      'The argument should be of type ModelArtifacts. ' +
                      'The multi-argument signature of tf.io.fromMemory() has been ' +
                      'deprecated and will be removed in a future release.',
                  );
                  return new PassthroughLoader({ modelTopology: modelArtifacts });
                }
              } else {
                // Legacy support.
                // TODO(cais): Remove this deprecated API.
                console.warn(
                  'Please call tf.io.fromMemory() with only one argument. ' +
                    'The argument should be of type ModelArtifacts. ' +
                    'The multi-argument signature of tf.io.fromMemory() has been ' +
                    'deprecated and will be removed in a future release.',
                );
                return new PassthroughLoader({
                  modelTopology: modelArtifacts,
                  weightSpecs: weightSpecs,
                  weightData: weightData,
                  trainingConfig: trainingConfig,
                });
              }
            }
            /**
             * Creates an IOHandler that passes saved model artifacts to a callback.
             *
             * ```js
             * function handleSave(artifacts) {
             *   // ... do something with the artifacts ...
             *   return {modelArtifactsInfo: {...}, ...};
             * }
             *
             * const saveResult = model.save(tf.io.withSaveHandler(handleSave));
             * ```
             *
             * @param saveHandler A function that accepts a `ModelArtifacts` and returns a
             *     `SaveResult`.
             */
            function withSaveHandler(saveHandler) {
              return new PassthroughSaver(saveHandler);
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */

            var io = {
              __proto__: null,
              browserFiles: browserFiles,
              browserHTTPRequest: browserHTTPRequest,
              concatenateArrayBuffers: concatenateArrayBuffers,
              decodeWeights: decodeWeights,
              encodeWeights: encodeWeights,
              fromMemory: fromMemory,
              getLoadHandlers: getLoadHandlers,
              getModelArtifactsInfoForJSON: getModelArtifactsInfoForJSON,
              getSaveHandlers: getSaveHandlers,
              http: http,
              isHTTPScheme: isHTTPScheme,
              loadWeights: loadWeights,
              registerLoadRouter: registerLoadRouter,
              registerSaveRouter: registerSaveRouter,
              weightsLoaderFactory: weightsLoaderFactory,
              withSaveHandler: withSaveHandler,
              copyModel: copyModel,
              listModels: listModels,
              moveModel: moveModel,
              removeModel: removeModel,
            };

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the dot product of two matrices, A * B. These must be matrices.
             *
             * ```js
             * const a = tf.tensor2d([1, 2], [1, 2]);
             * const b = tf.tensor2d([1, 2, 3, 4], [2, 2]);
             *
             * a.matMul(b).print();  // or tf.matMul(a, b)
             * ```
             * @param a First matrix in dot product operation.
             * @param b Second matrix in dot product operation.
             * @param transposeA If true, `a` is transposed before multiplication.
             * @param transposeB If true, `b` is transposed before multiplication.
             *
             * @doc {heading: 'Operations', subheading: 'Matrices'}
             */
            function matMul_(a, b, transposeA, transposeB) {
              var _a;
              if (transposeA === void 0) {
                transposeA = false;
              }
              if (transposeB === void 0) {
                transposeB = false;
              }
              var $a = convertToTensor(a, 'a', 'matMul');
              var $b = convertToTensor(b, 'b', 'matMul');
              (_a = makeTypesMatch($a, $b)), ($a = _a[0]), ($b = _a[1]);
              var inputs = { a: $a, b: $b };
              var attrs = { transposeA: transposeA, transposeB: transposeB };
              return ENGINE.runKernel(BatchMatMul, inputs, attrs);
            }
            var matMul = op({ matMul_: matMul_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates a one-hot `tf.Tensor`. The locations represented by `indices` take
             * value `onValue` (defaults to 1), while all other locations take value
             * `offValue` (defaults to 0). If `indices` is rank `R`, the output has rank
             * `R+1` with the last axis of size `depth`.
             *
             * ```js
             * tf.oneHot(tf.tensor1d([0, 1], 'int32'), 3).print();
             * ```
             *
             * @param indices `tf.Tensor` of indices with dtype `int32`.
             * @param depth The depth of the one hot dimension.
             * @param onValue A number used to fill in the output when the index matches
             * the location.
             * @param offValue A number used to fill in the output when the index does
             *     not match the location.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function oneHot_(indices, depth, onValue, offValue) {
              if (onValue === void 0) {
                onValue = 1;
              }
              if (offValue === void 0) {
                offValue = 0;
              }
              if (depth < 2) {
                throw new Error('Error in oneHot: depth must be >=2, but it is ' + depth);
              }
              var $indices = convertToTensor(indices, 'indices', 'oneHot', 'int32');
              var inputs = { indices: $indices };
              var attrs = { depth: depth, onValue: onValue, offValue: offValue };
              return ENGINE.runKernel(OneHot, inputs, attrs);
            }
            var oneHot = op({ oneHot_: oneHot_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Transposes the `tf.Tensor`. Permutes the dimensions according to `perm`.
             *
             * The returned `tf.Tensor`'s dimension `i` will correspond to the input
             * dimension `perm[i]`. If `perm` is not given, it is set to `[n-1...0]`,
             * where `n` is the rank of the input `tf.Tensor`. Hence by default, this
             * operation performs a regular matrix transpose on 2-D input `tf.Tensor`s.
             *
             * ```js
             * const a = tf.tensor2d([1, 2, 3, 4, 5, 6], [2, 3]);
             *
             * a.transpose().print();  // or tf.transpose(a)
             * ```
             *
             * @param x The tensor to transpose.
             * @param perm The permutation of the dimensions of a.
             *
             * @doc {heading: 'Operations', subheading: 'Matrices'}
             */
            function transpose_(x, perm) {
              var $x = convertToTensor(x, 'x', 'transpose');
              if (perm == null) {
                perm = $x.shape
                  .map(function (s, i) {
                    return i;
                  })
                  .reverse();
              }
              assert($x.rank === perm.length, function () {
                return (
                  'Error in transpose: rank of input ' +
                  $x.rank +
                  ' ' +
                  ('must match length of perm ' + perm + '.')
                );
              });
              perm.forEach(function (axis) {
                assert(axis >= 0 && axis < $x.rank, function () {
                  return (
                    "All entries in 'perm' must be between 0 and " +
                    ($x.rank - 1) +
                    (' but got ' + perm)
                  );
                });
              });
              if ($x.rank <= 1) {
                return $x.clone();
              }
              var inputs = { x: $x };
              var attrs = { perm: perm };
              return ENGINE.runKernel(Transpose, inputs, attrs);
            }
            var transpose = op({ transpose_: transpose_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the confusion matrix from true labels and predicted labels.
             *
             * ```js
             * const labels = tf.tensor1d([0, 1, 2, 1, 0], 'int32');
             * const predictions = tf.tensor1d([0, 2, 2, 1, 0], 'int32');
             * const numClasses = 3;
             * const out = tf.math.confusionMatrix(labels, predictions, numClasses);
             * out.print();
             * // Expected output matrix:
             * // [[2, 0, 0],
             * //  [0, 1, 1],
             * //  [0, 0, 1]]
             * ```
             *
             * @param labels The target labels, assumed to be 0-based integers
             *   for the classes. The shape is `[numExamples]`, where
             *   `numExamples` is the number of examples included.
             * @param predictions The predicted classes, assumed to be
             *   0-based integers for the classes. Must have the same shape as `labels`.
             * @param numClasses Number of all classes, as an integer.
             *   Its value must be larger than the largest element in `labels` and
             *   `predictions`.
             * @returns The confusion matrix as a int32-type 2D tensor. The value at
             *   row `r` and column `c` is the number of times examples of actual class
             *   `r` were predicted as class `c`.
             *
             * @doc {heading: 'Operations', subheading: 'Evaluation'}
             */
            function confusionMatrix_(labels, predictions, numClasses) {
              var $labels = convertToTensor(labels, 'labels', 'confusionMatrix');
              var $predictions = convertToTensor(predictions, 'predictions', 'confusionMatrix');
              assert(
                numClasses == null || (numClasses > 0 && Number.isInteger(numClasses)),
                function () {
                  return (
                    'If provided, numClasses must be a positive integer, ' +
                    ('but got ' + numClasses)
                  );
                },
              );
              assert($labels.rank === 1, function () {
                return 'Expected the rank of labels to be 1, but got ' + $labels.rank;
              });
              assert($predictions.rank === 1, function () {
                return (
                  'Expected the rank of predictions to be 1, ' + ('but got ' + $predictions.rank)
                );
              });
              assert($labels.shape[0] === $predictions.shape[0], function () {
                return (
                  'Mismatch in the number of examples: ' +
                  ($labels.shape[0] + ' vs. ' + $predictions.shape[0] + '. ') +
                  'Labels and predictions should have the same number of elements.'
                );
              });
              assert(numClasses > 0 && Number.isInteger(numClasses), function () {
                return (
                  'numClasses is required to be a positive integer, but got ' + ('' + numClasses)
                );
              });
              // TODO(cais): In the future, if oneHot supports tensors inputs for
              //   `numClasses`, `confusionMatrix` can make `numClasses` optional.
              var oneHotLabels = oneHot(cast($labels, 'int32'), numClasses);
              var oneHotPredictions = oneHot(cast($predictions, 'int32'), numClasses);
              var oneHotLabelsT = transpose(oneHotLabels);
              var product = matMul(oneHotLabelsT, oneHotPredictions);
              return cast(product, 'int32');
            }
            var confusionMatrix = op({ confusionMatrix_: confusionMatrix_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */

            var math = {
              __proto__: null,
              confusionMatrix: confusionMatrix,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates rank-3 `tf.Tensor` with the provided values, shape and dtype.
             *
             * The same functionality can be achieved with `tf.tensor`, but in general
             * we recommend using `tf.tensor3d` as it makes the code more readable.
             *
             *  ```js
             * // Pass a nested array.
             * tf.tensor3d([[[1], [2]], [[3], [4]]]).print();
             * ```
             * ```js
             * // Pass a flat array and specify a shape.
             * tf.tensor3d([1, 2, 3, 4], [2, 2, 1]).print();
             * ```
             *
             * @param values The values of the tensor. Can be nested array of numbers,
             *     or a flat array, or a `TypedArray`.
             * @param shape The shape of the tensor. If not provided,  it is inferred from
             *     `values`.
             * @param dtype The data type.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function tensor3d(values, shape, dtype) {
              assertNonNull(values);
              if (shape != null && shape.length !== 3) {
                throw new Error('tensor3d() requires shape to have three numbers');
              }
              var inferredShape = inferShape(values, dtype);
              if (inferredShape.length !== 3 && inferredShape.length !== 1) {
                throw new Error('tensor3d() requires values to be number[][][] or flat/TypedArray');
              }
              if (inferredShape.length === 1 && shape == null) {
                throw new Error(
                  'tensor3d() requires shape to be provided when `values` ' + 'are a flat array',
                );
              }
              return makeTensor(values, shape, inferredShape, dtype);
            }

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var fromPixels2DContext;
            /**
             * Creates a `tf.Tensor` from an image.
             *
             * ```js
             * const image = new ImageData(1, 1);
             * image.data[0] = 100;
             * image.data[1] = 150;
             * image.data[2] = 200;
             * image.data[3] = 255;
             *
             * tf.browser.fromPixels(image).print();
             * ```
             *
             * @param pixels The input image to construct the tensor from. The
             * supported image types are all 4-channel. You can also pass in an image
             * object with following attributes:
             * `{data: Uint8Array; width: number; height: number}`
             * @param numChannels The number of channels of the output tensor. A
             * numChannels value less than 4 allows you to ignore channels. Defaults to
             * 3 (ignores alpha channel of input image).
             *
             * @returns A Tensor3D with the shape `[height, width, numChannels]`.
             *
             * @doc {heading: 'Browser', namespace: 'browser', ignoreCI: true}
             */
            function fromPixels_(pixels, numChannels) {
              if (numChannels === void 0) {
                numChannels = 3;
              }
              // Sanity checks.
              if (numChannels > 4) {
                throw new Error('Cannot construct Tensor with more than 4 channels from pixels.');
              }
              if (pixels == null) {
                throw new Error('pixels passed to tf.browser.fromPixels() can not be null');
              }
              var isPixelData = false;
              var isImageData = false;
              var isVideo = false;
              var isImage = false;
              var isCanvasLike = false;
              var isImageBitmap = false;
              if (pixels.data instanceof Uint8Array) {
                isPixelData = true;
              } else if (typeof ImageData !== 'undefined' && pixels instanceof ImageData) {
                isImageData = true;
              } else if (
                typeof HTMLVideoElement !== 'undefined' &&
                pixels instanceof HTMLVideoElement
              ) {
                isVideo = true;
              } else if (
                typeof HTMLImageElement !== 'undefined' &&
                pixels instanceof HTMLImageElement
              ) {
                isImage = true;
                // tslint:disable-next-line: no-any
              } else if (pixels.getContext != null) {
                isCanvasLike = true;
              } else if (typeof ImageBitmap !== 'undefined' && pixels instanceof ImageBitmap) {
                isImageBitmap = true;
              } else {
                throw new Error(
                  'pixels passed to tf.browser.fromPixels() must be either an ' +
                    'HTMLVideoElement, HTMLImageElement, HTMLCanvasElement, ImageData ' +
                    'in browser, or OffscreenCanvas, ImageData in webworker' +
                    ' or {data: Uint32Array, width: number, height: number}, ' +
                    ('but was ' + pixels.constructor.name),
                );
              }
              if (isVideo) {
                var HAVE_CURRENT_DATA_READY_STATE = 2;
                if (isVideo && pixels.readyState < HAVE_CURRENT_DATA_READY_STATE) {
                  throw new Error(
                    'The video element has not loaded data yet. Please wait for ' +
                      '`loadeddata` event on the <video> element.',
                  );
                }
              }
              // If the current backend has 'FromPixels' registered, it has a more
              // efficient way of handling pixel uploads, so we call that.
              var kernel = getKernel(FromPixels, ENGINE.backendName);
              if (kernel != null) {
                var inputs = { pixels: pixels };
                var attrs = { numChannels: numChannels };
                return ENGINE.runKernel(FromPixels, inputs, attrs);
              }
              var _a = isVideo
                  ? [pixels.videoWidth, pixels.videoHeight]
                  : [pixels.width, pixels.height],
                width = _a[0],
                height = _a[1];
              var vals;
              if (isCanvasLike) {
                vals =
                  // tslint:disable-next-line:no-any
                  pixels.getContext('2d').getImageData(0, 0, width, height).data;
              } else if (isImageData || isPixelData) {
                vals = pixels.data;
              } else if (isImage || isVideo || isImageBitmap) {
                if (fromPixels2DContext == null) {
                  fromPixels2DContext = document.createElement('canvas').getContext('2d');
                }
                fromPixels2DContext.canvas.width = width;
                fromPixels2DContext.canvas.height = height;
                fromPixels2DContext.drawImage(pixels, 0, 0, width, height);
                vals = fromPixels2DContext.getImageData(0, 0, width, height).data;
              }
              var values;
              if (numChannels === 4) {
                values = new Int32Array(vals);
              } else {
                var numPixels = width * height;
                values = new Int32Array(numPixels * numChannels);
                for (var i = 0; i < numPixels; i++) {
                  for (var channel = 0; channel < numChannels; ++channel) {
                    values[i * numChannels + channel] = vals[i * 4 + channel];
                  }
                }
              }
              var outShape = [height, width, numChannels];
              return tensor3d(values, outShape, 'int32');
            }
            // Helper functions for |fromPixelsAsync| to check whether the input can
            // be wrapped into imageBitmap.
            function isPixelData(pixels) {
              return pixels != null && pixels.data instanceof Uint8Array;
            }
            function isImageBitmapFullySupported() {
              return (
                typeof window !== 'undefined' &&
                typeof ImageBitmap !== 'undefined' &&
                window.hasOwnProperty('createImageBitmap')
              );
            }
            function isNonEmptyPixels(pixels) {
              return pixels != null && pixels.width !== 0 && pixels.height !== 0;
            }
            function canWrapPixelsToImageBitmap(pixels) {
              return (
                isImageBitmapFullySupported() &&
                !(pixels instanceof ImageBitmap) &&
                isNonEmptyPixels(pixels) &&
                !isPixelData(pixels)
              );
            }
            /**
             * Creates a `tf.Tensor` from an image in async way.
             *
             * ```js
             * const image = new ImageData(1, 1);
             * image.data[0] = 100;
             * image.data[1] = 150;
             * image.data[2] = 200;
             * image.data[3] = 255;
             *
             * (await tf.browser.fromPixelsAsync(image)).print();
             * ```
             * This API is the async version of fromPixels. The API will first
             * check |WRAP_TO_IMAGEBITMAP| flag, and try to wrap the input to
             * imageBitmap if the flag is set to true.
             *
             * @param pixels The input image to construct the tensor from. The
             * supported image types are all 4-channel. You can also pass in an image
             * object with following attributes:
             * `{data: Uint8Array; width: number; height: number}`
             * @param numChannels The number of channels of the output tensor. A
             * numChannels value less than 4 allows you to ignore channels. Defaults to
             * 3 (ignores alpha channel of input image).
             *
             * @doc {heading: 'Browser', namespace: 'browser', ignoreCI: true}
             */
            function fromPixelsAsync(pixels, numChannels) {
              if (numChannels === void 0) {
                numChannels = 3;
              }
              return __awaiter(this, void 0, void 0, function () {
                var inputs, imageBitmap, e_1;
                return __generator(this, function (_a) {
                  switch (_a.label) {
                    case 0:
                      inputs = null;
                      if (
                        !(
                          env().getBool('WRAP_TO_IMAGEBITMAP') && canWrapPixelsToImageBitmap(pixels)
                        )
                      )
                        return [3 /*break*/, 5];
                      imageBitmap = void 0;
                      _a.label = 1;
                    case 1:
                      _a.trys.push([1, 3, , 4]);
                      return [4 /*yield*/, createImageBitmap(pixels, { premultiplyAlpha: 'none' })];
                    case 2:
                      // wrap in try-catch block, because createImageBitmap may not work
                      // properly in some browsers, e.g.
                      // https://bugzilla.mozilla.org/show_bug.cgi?id=1335594
                      // tslint:disable-next-line: no-any
                      imageBitmap = _a.sent();
                      return [3 /*break*/, 4];
                    case 3:
                      e_1 = _a.sent();
                      imageBitmap = null;
                      return [3 /*break*/, 4];
                    case 4:
                      // createImageBitmap will clip the source size.
                      // In some cases, the input will have larger size than its content.
                      // E.g. new Image(10, 10) but with 1 x 1 content. Using
                      // createImageBitmap will clip the size from 10 x 10 to 1 x 1, which
                      // is not correct. We should avoid wrapping such resouce to
                      // imageBitmap.
                      if (
                        imageBitmap != null &&
                        imageBitmap.width === pixels.width &&
                        imageBitmap.height === pixels.height
                      ) {
                        inputs = imageBitmap;
                      } else {
                        inputs = pixels;
                      }
                      return [3 /*break*/, 6];
                    case 5:
                      inputs = pixels;
                      _a.label = 6;
                    case 6:
                      return [2 /*return*/, fromPixels_(inputs, numChannels)];
                  }
                });
              });
            }
            /**
             * Draws a `tf.Tensor` of pixel values to a byte array or optionally a
             * canvas.
             *
             * When the dtype of the input is 'float32', we assume values in the range
             * [0-1]. Otherwise, when input is 'int32', we assume values in the range
             * [0-255].
             *
             * Returns a promise that resolves when the canvas has been drawn to.
             *
             * @param img A rank-2 tensor with shape `[height, width]`, or a rank-3 tensor
             * of shape `[height, width, numChannels]`. If rank-2, draws grayscale. If
             * rank-3, must have depth of 1, 3 or 4. When depth of 1, draws
             * grayscale. When depth of 3, we draw with the first three components of
             * the depth dimension corresponding to r, g, b and alpha = 1. When depth of
             * 4, all four components of the depth dimension correspond to r, g, b, a.
             * @param canvas The canvas to draw to.
             *
             * @doc {heading: 'Browser', namespace: 'browser'}
             */
            function toPixels(img, canvas) {
              return __awaiter(this, void 0, void 0, function () {
                var $img,
                  originalImgTensor,
                  _a,
                  height,
                  width,
                  depth,
                  data,
                  multiplier,
                  bytes,
                  i,
                  rgba,
                  d,
                  value,
                  j,
                  ctx,
                  imageData;
                return __generator(this, function (_b) {
                  switch (_b.label) {
                    case 0:
                      $img = convertToTensor(img, 'img', 'toPixels');
                      if (!(img instanceof Tensor)) {
                        originalImgTensor = $img;
                        $img = cast(originalImgTensor, 'int32');
                        originalImgTensor.dispose();
                      }
                      if ($img.rank !== 2 && $img.rank !== 3) {
                        throw new Error(
                          'toPixels only supports rank 2 or 3 tensors, got rank ' + $img.rank + '.',
                        );
                      }
                      (_a = $img.shape.slice(0, 2)), (height = _a[0]), (width = _a[1]);
                      depth = $img.rank === 2 ? 1 : $img.shape[2];
                      if (depth > 4 || depth === 2) {
                        throw new Error(
                          'toPixels only supports depth of size ' + ('1, 3 or 4 but got ' + depth),
                        );
                      }
                      if ($img.dtype !== 'float32' && $img.dtype !== 'int32') {
                        throw new Error(
                          'Unsupported type for toPixels: ' +
                            $img.dtype +
                            '.' +
                            ' Please use float32 or int32 tensors.',
                        );
                      }
                      return [4 /*yield*/, $img.data()];
                    case 1:
                      data = _b.sent();
                      multiplier = $img.dtype === 'float32' ? 255 : 1;
                      bytes = new Uint8ClampedArray(width * height * 4);
                      for (i = 0; i < height * width; ++i) {
                        rgba = [0, 0, 0, 255];
                        for (d = 0; d < depth; d++) {
                          value = data[i * depth + d];
                          if ($img.dtype === 'float32') {
                            if (value < 0 || value > 1) {
                              throw new Error(
                                'Tensor values for a float32 Tensor must be in the ' +
                                  ('range [0 - 1] but encountered ' + value + '.'),
                              );
                            }
                          } else if ($img.dtype === 'int32') {
                            if (value < 0 || value > 255) {
                              throw new Error(
                                'Tensor values for a int32 Tensor must be in the ' +
                                  ('range [0 - 255] but encountered ' + value + '.'),
                              );
                            }
                          }
                          if (depth === 1) {
                            rgba[0] = value * multiplier;
                            rgba[1] = value * multiplier;
                            rgba[2] = value * multiplier;
                          } else {
                            rgba[d] = value * multiplier;
                          }
                        }
                        j = i * 4;
                        bytes[j + 0] = Math.round(rgba[0]);
                        bytes[j + 1] = Math.round(rgba[1]);
                        bytes[j + 2] = Math.round(rgba[2]);
                        bytes[j + 3] = Math.round(rgba[3]);
                      }
                      if (canvas != null) {
                        canvas.width = width;
                        canvas.height = height;
                        ctx = canvas.getContext('2d');
                        imageData = new ImageData(bytes, width, height);
                        ctx.putImageData(imageData, 0, 0);
                      }
                      if ($img !== img) {
                        $img.dispose();
                      }
                      return [2 /*return*/, bytes];
                  }
                });
              });
            }
            var fromPixels = op({ fromPixels_: fromPixels_ });

            var browser = {
              __proto__: null,
              fromPixelsAsync: fromPixelsAsync,
              toPixels: toPixels,
              fromPixels: fromPixels,
            };

            /**
             * Validate gather nd inputs.
             *
             * @param tensor The tensor contains the source values.
             * @param indices The tensor contains the indices to slice the source.
             *
             * @returns [resultShape, numUpdates, sliceSize, strides]
             */
            function prepareAndValidate(tensor, indices) {
              var tensorRank = tensor.shape.length;
              var indicesRank = indices.shape.length;
              if (tensorRank < 1) {
                throw new Error(
                  'tf.gatherND() expects the input to be rank 1 or higher,' +
                    (' but the rank was ' + tensorRank + '.'),
                );
              }
              if (indicesRank < 1) {
                throw new Error(
                  'tf.gatherND() expects the indices to be rank 1 or higher,' +
                    (' but the rank was ' + indicesRank + '.'),
                );
              }
              if (indices.dtype !== 'int32') {
                throw new Error(
                  'tf.gatherND() expects the indices to be int32 type,' +
                    (' but the dtype was ' + indices.dtype + '.'),
                );
              }
              if (indices.shape[indicesRank - 1] > tensorRank) {
                throw new Error(
                  'index innermost dimension length must be <= tensor rank; saw: ' +
                    (indices.shape[indicesRank - 1] + ' vs. ' + tensorRank),
                );
              }
              if (sizeFromShape(tensor.shape) === 0) {
                throw new Error(
                  'Requested more than 0 entries, but input is empty.' +
                    (' Input shape: ' + tensor.shape + '.'),
                );
              }
              var indicesShape = indices.shape;
              var sliceRank = indicesShape[indicesShape.length - 1];
              // The result shape is
              //   indices.shape[:-1] + params.shape[indices.shape[-1]:]
              var nResult = 1;
              for (var i = 0; i < indicesShape.length - 1; ++i) {
                nResult *= indicesShape[i];
              }
              var inputShape = tensor.shape;
              var resultShape = indicesShape.slice();
              resultShape.pop();
              var sliceSize = 1;
              for (var i = sliceRank; i < tensorRank; ++i) {
                sliceSize *= inputShape[i];
                resultShape.push(inputShape[i]);
              }
              var strides = computeStrides(tensor.shape)
                .map(function (stride) {
                  return stride / sliceSize;
                })
                .concat([1])
                .slice(0, sliceRank);
              return [resultShape, nResult, sliceSize, strides];
            }

            var gather_nd_util = {
              __proto__: null,
              prepareAndValidate: prepareAndValidate,
            };

            /**
             * Check whether updates.shape = indices.shape[:batchDim] +
             * shape[sliceDim:]
             *
             * @param x The input tensor.
             */
            function validateUpdateShape(shape, indices, updates) {
              var sliceDim = indices.rank > 1 ? indices.shape[indices.rank - 1] : 1;
              var batchDim = indices.rank > 1 ? indices.rank - 1 : 1;
              var shapeError =
                'Must have updates.shape = indices.shape[:batchDim] + ' +
                ('shape[sliceDim:], got updates.shape: ' + updates.shape) +
                (', indices.shape: ' + indices.shape + ', shape: ' + shape) +
                (', sliceDim: ' + sliceDim + ', and batchDim: ' + batchDim + '.');
              if (updates.rank < batchDim) {
                throw new Error(shapeError + (' update.rank < ' + batchDim + '. '));
              }
              if (shape.length < sliceDim + (updates.rank - batchDim)) {
                throw new Error(
                  shapeError + (' Output shape length < ' + (sliceDim + (updates.rank - batchDim))),
                );
              }
              if (updates.rank !== batchDim + shape.length - sliceDim) {
                throw new Error(
                  shapeError + (' update.rank != ' + (batchDim + shape.length - sliceDim)),
                );
              }
              for (var d = 0; d < batchDim; ++d) {
                if (updates.shape[d] !== indices.shape[d]) {
                  throw new Error(
                    shapeError +
                      (' updates.shape[' +
                        d +
                        '] (' +
                        updates.shape[d] +
                        ') != indices.shape[' +
                        d +
                        '] (' +
                        indices.shape[d] +
                        ').'),
                  );
                }
              }
              for (var d = 0; d < updates.rank - batchDim; ++d) {
                if (updates.shape[d + batchDim] !== shape[d + sliceDim]) {
                  throw new Error(
                    shapeError +
                      (' updates.shape[' +
                        (d + batchDim) +
                        '] (' +
                        updates.shape[d + batchDim] +
                        ') != shape[' +
                        (d + batchDim) +
                        '] (' +
                        shape[d + batchDim] +
                        ')'),
                  );
                }
              }
            }
            /**
             * Validate scatter nd inputs.
             *
             * @param update The tensor contains the update values.
             * @param indices The tensor contains the indices for the update values.
             * @param shape The shape of the output tensor.
             */
            function validateInput(updates, indices, shape) {
              if (indices.rank < 1) {
                throw new Error(
                  'tf.scatterND() expects the indices to be rank 1 or higher,' +
                    (' but the rank was ' + indices.rank + '.'),
                );
              }
              if (updates.rank < 1) {
                throw new Error(
                  'tf.scatterND() expects the updates to be rank 1 or higher,' +
                    (' but the rank was ' + updates.rank + '.'),
                );
              }
              if (indices.dtype !== 'int32') {
                throw new Error(
                  "The dtype of 'indices' should be int32, but got dtype: " + indices.dtype,
                );
              }
              if (shape.length < 1) {
                throw new Error(
                  'Output rank must be greater or equal to 1, but got shape: ' + shape,
                );
              }
              if (shape.length === 0) {
                if (indices.size === 0) {
                  throw new Error(
                    'Indices specified for empty output. indices shape: ' + indices.shape,
                  );
                }
                if (updates.size === 0) {
                  throw new Error(
                    'Updates specified for empty output. updates shape: ' + updates.shape,
                  );
                }
              }
              validateUpdateShape(shape, indices, updates);
            }
            /**
             * Calculate the shape information for the output.
             *
             * @param update The tensor contains the update values.
             * @param indices The tensor contains the indices for the update values.
             * @param shape The shape of the output tensor.
             *
             * @returns ScatterShapeInfo
             */
            function calculateShapes(updates, indices, shape) {
              // Calculate the number of dimensions in indices
              var indicesRank = indices.shape.length;
              var sliceRank = indicesRank > 1 ? indices.shape[indicesRank - 1] : 1;
              // Calculate the number of elements that make up each slice of our updated
              // tensor. This allows us to work with flattened tensors and copy over whole
              // slices at a time.
              var totalNd = shape.length;
              var sliceSize = 1;
              for (var i = sliceRank; i < totalNd; ++i) {
                sliceSize *= shape[i];
              }
              var safeSliceDim = sliceRank < 1 ? 1 : sliceRank;
              var numUpdates = sizeFromShape(indices.shape) / safeSliceDim;
              var strides = computeStrides(shape.slice(0, sliceRank)).concat([1]);
              var outputSize = sizeFromShape(shape);
              return {
                sliceRank: sliceRank,
                numUpdates: numUpdates,
                sliceSize: sliceSize,
                strides: strides,
                outputSize: outputSize,
              };
            }

            var scatter_nd_util = {
              __proto__: null,
              validateUpdateShape: validateUpdateShape,
              validateInput: validateInput,
              calculateShapes: calculateShapes,
            };

            /**
             * @license
             * Copyright 2017 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            function assertParamsValid(input, begin, size) {
              var inputRank = input.shape.length;
              assert(inputRank === begin.length, function () {
                return (
                  'Error in slice' +
                  inputRank +
                  'D: Length of begin ' +
                  begin +
                  ' must ' +
                  ('match the rank of the array (' + inputRank + ').')
                );
              });
              assert(inputRank === size.length, function () {
                return (
                  'Error in slice' +
                  inputRank +
                  'D: Length of size ' +
                  size +
                  ' must ' +
                  ('match the rank of the array (' + inputRank + ').')
                );
              });
              var _loop_1 = function (i) {
                assert(begin[i] + size[i] <= input.shape[i], function () {
                  return (
                    'Error in slice' +
                    inputRank +
                    'D: begin[' +
                    i +
                    '] + size[' +
                    i +
                    '] ' +
                    ('(' +
                      (begin[i] + size[i]) +
                      ') would overflow input.shape[' +
                      i +
                      '] (' +
                      input.shape[i] +
                      ')')
                  );
                });
              };
              for (var i = 0; i < inputRank; ++i) {
                _loop_1(i);
              }
            }
            /** Converts a binary mask to an array of axes. Used in stridedSlice(). */
            function maskToAxes(mask) {
              var axes = [];
              var axis = 0;
              while (mask > 0) {
                if (mask & 1) {
                  axes.push(axis);
                }
                mask /= 2;
                axis++;
              }
              return axes;
            }
            /** Computes the output shape given the strided slice params. */
            function computeOutShape(begin, end, strides) {
              var size = [];
              for (var axis = 0; axis < begin.length; axis++) {
                size[axis] = Math.ceil((end[axis] - begin[axis]) / strides[axis]);
              }
              return size;
            }
            // Creates full selection at the elided dimensions. If the dimension matches
            // the ellipsis mask, override the current stride value. Otherwise, insert.
            function stridesWithElidedDims(
              strides,
              ellipsisInsertionIndex,
              numElidedAxes,
              inputShape,
            ) {
              var newStrides = strides.slice();
              for (var i = newStrides.length; i < inputShape.length; i++) {
                newStrides.push(1);
              }
              for (var i = 0; i < numElidedAxes; i++) {
                if (i === 0) {
                  newStrides[ellipsisInsertionIndex] = 1;
                } else {
                  newStrides.splice(
                    ellipsisInsertionIndex,
                    0 /* num elements to delete */,
                    1 /* element to add */,
                  );
                  newStrides.pop();
                }
              }
              return newStrides;
            }
            function unnormalizeAxis(ellipsisInsertionIndex, numElidedAxes, normalizedAxis) {
              if (normalizedAxis <= ellipsisInsertionIndex) {
                return normalizedAxis;
              }
              return normalizedAxis - (numElidedAxes - 1);
            }
            function getElidedAxes(numElidedAxes, ellipsisInsertionIndex) {
              var elidedAxes = [];
              for (var i = 0; i < numElidedAxes; i++) {
                elidedAxes.push(ellipsisInsertionIndex + i);
              }
              return elidedAxes;
            }
            // Normalize the start, end and strides.
            function getNormalizedAxes(
              inputShape,
              ellipsisAxes,
              numInterpolatedAxes,
              begin,
              end,
              strides,
              beginMask,
              endMask,
              ellipsisMask,
            ) {
              var inputRank = inputShape.length;
              var normalizedBegin = new Array(inputRank),
                normalizedEnd = new Array(inputRank),
                normalizedStrides = new Array(inputRank);
              if (ellipsisAxes.length && numInterpolatedAxes > 0) {
                var fullIndex = ellipsisAxes[0];
                // The ellipsis applies to the masked index as well as any dimensions
                // that are interpolated.
                var numElidedAxes = numInterpolatedAxes + 1;
                normalizedBegin = startIndicesWithElidedDims(
                  beginMask,
                  fullIndex,
                  numElidedAxes,
                  begin,
                  inputShape,
                );
                normalizedEnd = stopIndicesWithElidedDims(
                  endMask,
                  fullIndex,
                  numElidedAxes,
                  end,
                  inputShape,
                );
                normalizedStrides = stridesWithElidedDims(
                  strides,
                  fullIndex,
                  numElidedAxes,
                  inputShape,
                );
              } else {
                for (var axis = 0; axis < inputRank; axis++) {
                  normalizedBegin[axis] = startForAxis(
                    beginMask,
                    begin,
                    strides,
                    inputShape,
                    axis,
                    ellipsisMask,
                  );
                  normalizedEnd[axis] = stopForAxis(
                    endMask,
                    end,
                    strides,
                    inputShape,
                    axis,
                    ellipsisMask,
                  );
                  normalizedStrides[axis] = stridesForAxis(strides, axis, ellipsisMask);
                }
              }
              return {
                begin: normalizedBegin,
                end: normalizedEnd,
                strides: normalizedStrides,
              };
            }
            // Creates full selection at the elided dimensions. If the dimension matches
            // the ellipsis mask, override the current start value. Otherwise, insert.
            function startIndicesWithElidedDims(
              beginMask,
              ellipsisInsertionIndex,
              numElidedAxes,
              originalBegin,
              inputShape,
            ) {
              var newIndices = inputShape.slice();
              var elidedAxes = getElidedAxes(numElidedAxes, ellipsisInsertionIndex);
              for (var axis = 0; axis < newIndices.length; axis++) {
                if (elidedAxes.indexOf(axis) > -1) {
                  newIndices[axis] = 0;
                } else {
                  var originalAxis = unnormalizeAxis(ellipsisInsertionIndex, numElidedAxes, axis);
                  var originalValue = originalBegin[originalAxis];
                  if (beginMask & (1 << originalAxis)) {
                    originalValue = 0;
                  }
                  newIndices[axis] = originalValue;
                }
              }
              return newIndices;
            }
            // Creates full selection at the elided dimensions. If the dimension matches
            // the ellipsis mask, override the current stop value. Otherwise, insert.
            function stopIndicesWithElidedDims(
              endMask,
              ellipsisInsertionIndex,
              numElidedAxes,
              originalEnd,
              inputShape,
            ) {
              var newIndices = inputShape.slice();
              var elidedAxes = getElidedAxes(numElidedAxes, ellipsisInsertionIndex);
              for (var axis = 0; axis < newIndices.length; axis++) {
                if (elidedAxes.indexOf(axis) > -1) {
                  newIndices[axis] = Number.MAX_SAFE_INTEGER;
                } else {
                  var originalAxis = unnormalizeAxis(ellipsisInsertionIndex, numElidedAxes, axis);
                  var originalValue = originalEnd[originalAxis];
                  if (endMask & (1 << originalAxis)) {
                    originalValue = Number.MAX_SAFE_INTEGER;
                  }
                  newIndices[axis] = originalValue;
                }
              }
              for (var i = 0; i < newIndices.length; i++) {
                // Handle negative indices
                var axisSize = inputShape[i];
                if (newIndices[i] < 0) {
                  newIndices[i] += axisSize;
                }
                newIndices[i] = clamp(0, newIndices[i], inputShape[i]);
              }
              return newIndices;
            }
            function stridesForAxis(strides, axis, ellipsisMask) {
              var stride = strides[axis];
              if (ellipsisMask & (1 << axis) || stride == null) {
                stride = 1;
              }
              return stride;
            }
            function startForAxis(
              beginMask,
              startIndices,
              strides,
              inputShape,
              axis,
              ellipsisMask,
            ) {
              // Begin with the specified index
              var start = startIndices[axis];
              var stride = strides[axis] || 1;
              // Check the axis bit from right of masked axes, or the begin index is not set
              // for the axis.
              if (beginMask & (1 << axis) || ellipsisMask & (1 << axis) || start == null) {
                if (stride > 0) {
                  // Forward iteration - use the first element. These values will get
                  // clamped below (Note: We could have set them to 0 and axis_size-1, but
                  // use lowest() and max() to maintain symmetry with StopForAxis())
                  start = Number.MIN_SAFE_INTEGER;
                } else {
                  // Backward iteration - use the last element.
                  start = Number.MAX_SAFE_INTEGER;
                }
              }
              // Handle negative indices
              var axisSize = inputShape[axis];
              if (start < 0) {
                start += axisSize;
              }
              // Clamping
              start = clamp(0, start, axisSize - 1);
              return start;
            }
            function stopForAxis(endMask, stopIndices, strides, inputShape, axis, ellipsisMask) {
              // Begin with the specified index
              var stop = stopIndices[axis];
              var stride = strides[axis] || 1;
              // Check the axis bit from right of masked axes, or if the stop index is not
              // set for this axis.
              if (endMask & (1 << axis) || ellipsisMask & (1 << axis) || stop == null) {
                if (stride > 0) {
                  // Forward iteration - use the last element. These values will get
                  // clamped below
                  stop = Number.MAX_SAFE_INTEGER;
                } else {
                  // Backward iteration - use the first element.
                  stop = Number.MIN_SAFE_INTEGER;
                }
              }
              // Handle negative indices
              var axisSize = inputShape[axis];
              if (stop < 0) {
                stop += axisSize;
              }
              // Clamping
              // Because the end index points one past the last element, we need slightly
              // different clamping ranges depending on the direction.
              if (stride > 0) {
                // Forward iteration
                stop = clamp(0, stop, axisSize);
              } else {
                // Backward iteration
                stop = clamp(-1, stop, axisSize - 1);
              }
              return stop;
            }
            /**
             * Returns true if the slice occupies a continous set of elements in the
             * 'flat' space.
             */
            function isSliceContinous(shape, begin, size) {
              // Index of the first axis that has size > 1.
              var firstNonOneAxis = size.length;
              for (var i = 0; i < size.length; i++) {
                if (size[i] > 1) {
                  firstNonOneAxis = i;
                  break;
                }
              }
              for (var i = firstNonOneAxis + 1; i < size.length; i++) {
                if (begin[i] > 0 || size[i] !== shape[i]) {
                  return false;
                }
              }
              return true;
            }
            function computeFlatOffset(begin, strides) {
              var flatOffset = begin.length > 0 ? begin[begin.length - 1] : 1;
              for (var i = 0; i < begin.length - 1; i++) {
                flatOffset += begin[i] * strides[i];
              }
              return flatOffset;
            }
            function parseSliceParams(x, begin, size) {
              // The following logic allows for more ergonomic calls.
              var begin_;
              var xRank = x.shape.length;
              if (typeof begin === 'number') {
                begin_ = [begin].concat(new Array(xRank - 1).fill(0));
              } else if (begin.length < xRank) {
                begin_ = begin.concat(new Array(xRank - begin.length).fill(0));
              } else {
                begin_ = begin.slice();
              }
              begin_.forEach(function (d) {
                assert(d !== -1, function () {
                  return 'slice() does not support negative begin indexing.';
                });
              });
              var size_;
              if (size == null) {
                size_ = new Array(xRank).fill(-1);
              } else if (typeof size === 'number') {
                size_ = [size].concat(new Array(xRank - 1).fill(-1));
              } else if (size.length < xRank) {
                size_ = size.concat(new Array(xRank - size.length).fill(-1));
              } else {
                size_ = size;
              }
              size_ = size_.map(function (d, i) {
                if (d >= 0) {
                  return d;
                } else {
                  assert(d === -1, function () {
                    return (
                      'Negative size values should be exactly -1 but got ' +
                      (d + ' for the slice() size at index ' + i + '.')
                    );
                  });
                  return x.shape[i] - begin_[i];
                }
              });
              return [begin_, size_];
            }
            function sliceInfo(
              xShape,
              begin,
              end,
              strides,
              beginMask,
              endMask,
              ellipsisMask,
              newAxisMask,
              shrinkAxisMask,
            ) {
              // make a copy because it may be modified further down.
              var $begin = begin.slice();
              var $end = end.slice();
              var $strides = strides;
              if (strides == null) {
                $strides = new Array($begin.length);
              }
              var ellipsisAxes = maskToAxes(ellipsisMask);
              if (ellipsisAxes.length > 1) {
                throw new Error('Multiple ellipses in slice is not allowed.');
              }
              if (ellipsisMask !== 0 && newAxisMask !== 0) {
                throw new Error('Using both ellipsisMask and newAxisMask is not yet supported.');
              }
              if (ellipsisMask !== 0 && shrinkAxisMask !== 0) {
                throw new Error('Using both ellipsisMask and shrinkAxisMask is not yet supported.');
              }
              var numInterpolatedAxes = xShape.length - $begin.length;
              // Expand the dims of x based on the newAxisMask.
              var expandAxes = maskToAxes(newAxisMask);
              var newShape = xShape.slice();
              expandAxes.forEach(function (axis) {
                $begin[axis] = 0;
                $end[axis] = 1;
                newShape.splice(axis, 0, 1);
              });
              var _a = getNormalizedAxes(
                  newShape,
                  ellipsisAxes,
                  numInterpolatedAxes,
                  $begin,
                  $end,
                  $strides,
                  beginMask,
                  endMask,
                  ellipsisMask,
                ),
                normalizedBegin = _a.begin,
                normalizedEnd = _a.end,
                normalizedStrides = _a.strides;
              $begin = normalizedBegin;
              $end = normalizedEnd;
              $strides = normalizedStrides;
              var shrinkAxes = maskToAxes(shrinkAxisMask);
              // Adjust the ends based on the shrink mask.
              shrinkAxes.forEach(function (axis) {
                $end[axis] = $begin[axis] + 1;
                $strides[axis] = 1;
              });
              // Figure out the output shape.
              var size = computeOutShape($begin, $end, $strides);
              // Remove the axes based on shrinkMask.
              var outShape = size.filter(function (_, axis) {
                return shrinkAxes.indexOf(axis) === -1;
              });
              var nonStrided = $strides.every(function (v) {
                return v === 1;
              });
              return {
                nonStrided: nonStrided,
                $begin: $begin,
                $end: $end,
                $strides: $strides,
                size: size,
                newShape: newShape,
                outShape: outShape,
              };
            }

            var slice_util = {
              __proto__: null,
              assertParamsValid: assertParamsValid,
              maskToAxes: maskToAxes,
              computeOutShape: computeOutShape,
              stridesWithElidedDims: stridesWithElidedDims,
              getNormalizedAxes: getNormalizedAxes,
              startIndicesWithElidedDims: startIndicesWithElidedDims,
              stopIndicesWithElidedDims: stopIndicesWithElidedDims,
              stridesForAxis: stridesForAxis,
              startForAxis: startForAxis,
              stopForAxis: stopForAxis,
              isSliceContinous: isSliceContinous,
              computeFlatOffset: computeFlatOffset,
              parseSliceParams: parseSliceParams,
              sliceInfo: sliceInfo,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Serializable defines the serialization contract.
             *
             * TFJS requires serializable classes to return their className when asked
             * to avoid issues with minification.
             */
            var Serializable = /** @class */ (function () {
              function Serializable() {}
              /**
               * Return the class name for this class to use in serialization contexts.
               *
               * Generally speaking this will be the same thing that constructor.name
               * would have returned.  However, the class name needs to be robust
               * against minification for serialization/deserialization to work properly.
               *
               * There's also places such as initializers.VarianceScaling, where
               * implementation details between different languages led to different
               * class hierarchies and a non-leaf node is used for serialization purposes.
               */
              Serializable.prototype.getClassName = function () {
                return this.constructor.className;
              };
              /**
               * Creates an instance of T from a ConfigDict.
               *
               * This works for most descendants of serializable.  A few need to
               * provide special handling.
               * @param cls A Constructor for the class to instantiate.
               * @param config The Configuration for the object.
               */
              /** @nocollapse */
              Serializable.fromConfig = function (cls, config) {
                return new cls(config);
              };
              return Serializable;
            })();
            /**
             * Maps string keys to class constructors.
             *
             * Used during (de)serialization from the cross-language JSON format, which
             * requires the class name in the serialization format matches the class
             * names as used in Python, should it exist.
             */
            var SerializationMap = /** @class */ (function () {
              function SerializationMap() {
                this.classNameMap = {};
              }
              /**
               * Returns the singleton instance of the map.
               */
              SerializationMap.getMap = function () {
                if (SerializationMap.instance == null) {
                  SerializationMap.instance = new SerializationMap();
                }
                return SerializationMap.instance;
              };
              /**
               * Registers the class as serializable.
               */
              SerializationMap.register = function (cls) {
                SerializationMap.getMap().classNameMap[cls.className] = [cls, cls.fromConfig];
              };
              return SerializationMap;
            })();
            /**
             * Register a class with the serialization map of TensorFlow.js.
             *
             * This is often used for registering custom Layers, so they can be
             * serialized and deserialized.
             *
             * Example:
             *
             * ```js
             * class MyCustomLayer extends tf.layers.Layer {
             *   static className = 'MyCustomLayer';
             *
             *   constructor(config) {
             *     super(config);
             *   }
             * }
             * tf.serialization.registerClass(MyCustomLayer);
             * ```
             *
             * @param cls The class to be registered. It must have a public static member
             *   called `className` defined and the value must be a non-empty string.
             *
             * @doc {heading: 'Models', subheading: 'Serialization', ignoreCI: true}
             */
            function registerClass(cls) {
              assert(cls.className != null, function () {
                return (
                  'Class being registered does not have the static className ' + 'property defined.'
                );
              });
              assert(typeof cls.className === 'string', function () {
                return 'className is required to be a string, but got type ' + typeof cls.className;
              });
              assert(cls.className.length > 0, function () {
                return (
                  'Class being registered has an empty-string as its className, ' +
                  'which is disallowed.'
                );
              });
              SerializationMap.register(cls);
            }

            var serialization = {
              __proto__: null,
              Serializable: Serializable,
              SerializationMap: SerializationMap,
              registerClass: registerClass,
            };

            /**
             * @license
             * Copyright 2017 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var TEST_EPSILON_FLOAT32 = 1e-3;
            var TEST_EPSILON_FLOAT16 = 1e-1;
            function expectArraysClose(actual, expected, epsilon) {
              if (epsilon == null) {
                epsilon = testEpsilon();
              }
              return expectArraysPredicate(actual, expected, function (a, b) {
                return areClose(a, b, epsilon);
              });
            }
            function testEpsilon() {
              return ENGINE.backend.floatPrecision() === 32
                ? TEST_EPSILON_FLOAT32
                : TEST_EPSILON_FLOAT16;
            }
            function expectArraysPredicate(actual, expected, predicate) {
              var checkClassType = true;
              if (isTypedArray(actual) || isTypedArray(expected)) {
                checkClassType = false;
              }
              if (isTypedArray(actual) && isTypedArray(expected)) {
                checkClassType = true;
              }
              if (checkClassType) {
                var aType = actual.constructor.name;
                var bType = expected.constructor.name;
                if (aType !== bType) {
                  throw new Error(
                    'Arrays are of different type. Actual: ' +
                      aType +
                      '. ' +
                      ('Expected: ' + bType),
                  );
                }
              }
              if (Array.isArray(actual) && Array.isArray(expected)) {
                var actualShape = inferShape(actual);
                var expectedShape = inferShape(expected);
                if (!arraysEqual(actualShape, expectedShape)) {
                  throw new Error(
                    'Arrays have different shapes. ' +
                      ('Actual: [' + actualShape + ']. Expected: [' + expectedShape + ']'),
                  );
                }
              }
              var actualFlat = isTypedArray(actual) ? actual : flatten(actual);
              var expectedFlat = isTypedArray(expected) ? expected : flatten(expected);
              if (actualFlat.length !== expectedFlat.length) {
                throw new Error(
                  'Arrays have different lengths actual: ' +
                    actualFlat.length +
                    ' vs ' +
                    ('expected: ' + expectedFlat.length + '.\n') +
                    ('Actual:   ' + actualFlat + '.\n') +
                    ('Expected: ' + expectedFlat + '.'),
                );
              }
              for (var i = 0; i < expectedFlat.length; ++i) {
                var a = actualFlat[i];
                var e = expectedFlat[i];
                if (!predicate(a, e)) {
                  throw new Error(
                    'Arrays differ: actual[' +
                      i +
                      '] = ' +
                      a +
                      ', expected[' +
                      i +
                      '] = ' +
                      e +
                      '.\n' +
                      ('Actual:   ' + actualFlat + '.\n') +
                      ('Expected: ' + expectedFlat + '.'),
                  );
                }
              }
            }
            function expectPromiseToFail(fn, done) {
              fn().then(
                function () {
                  return done.fail();
                },
                function () {
                  return done();
                },
              );
            }
            function expectArraysEqual(actual, expected) {
              var exp =
                typeof expected === 'string' ||
                typeof expected === 'number' ||
                typeof expected === 'boolean'
                  ? [expected]
                  : expected;
              if (
                isString(actual) ||
                isString(actual[0]) ||
                isString(expected) ||
                isString(expected[0])
              ) {
                // tslint:disable-next-line: triple-equals
                return expectArraysPredicate(actual, exp, function (a, b) {
                  return a == b;
                });
              }
              return expectArraysPredicate(actual, expected, function (a, b) {
                return areClose(a, b, 0);
              });
            }
            function expectNumbersClose(a, e, epsilon) {
              if (epsilon == null) {
                epsilon = testEpsilon();
              }
              if (!areClose(a, e, epsilon)) {
                throw new Error('Numbers differ: actual === ' + a + ', expected === ' + e);
              }
            }
            function areClose(a, e, epsilon) {
              if (!isFinite(a) && !isFinite(e)) {
                return true;
              }
              if (isNaN(a) || isNaN(e) || Math.abs(a - e) > epsilon) {
                return false;
              }
              return true;
            }
            function expectValuesInRange(actual, low, high) {
              for (var i = 0; i < actual.length; i++) {
                if (actual[i] < low || actual[i] > high) {
                  throw new Error(
                    'Value out of range:' + actual[i] + ' low: ' + low + ', high: ' + high,
                  );
                }
              }
            }
            function expectArrayBuffersEqual(actual, expected) {
              // Safari & Jasmine don't like comparing ArrayBuffers directly. Wrapping in
              // a Float32Array solves this issue.
              expect(new Float32Array(actual)).toEqual(new Float32Array(expected));
            }
            /** Encodes strings into utf-8 bytes. */
            function encodeStrings(a) {
              for (var i = 0; i < a.length; i++) {
                var val = a[i];
                if (Array.isArray(val)) {
                  encodeStrings(val);
                } else {
                  a[i] = encodeString(val);
                }
              }
              return a;
            }

            var test_util = {
              __proto__: null,
              TEST_EPSILON_FLOAT16: TEST_EPSILON_FLOAT16,
              expectArraysClose: expectArraysClose,
              testEpsilon: testEpsilon,
              expectPromiseToFail: expectPromiseToFail,
              expectArraysEqual: expectArraysEqual,
              expectNumbersClose: expectNumbersClose,
              expectValuesInRange: expectValuesInRange,
              expectArrayBuffersEqual: expectArrayBuffersEqual,
              encodeStrings: encodeStrings,
            };

            /** @license See the LICENSE file. */
            // This code is auto-generated, do not modify this file!
            var version = '3.7.0';

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Enables production mode which disables correctness checks in favor of
             * performance.
             *
             * @doc {heading: 'Environment'}
             */
            function enableProdMode() {
              env().set('PROD', true);
            }
            /**
             * Enables debug mode which will log information about all executed kernels:
             * the elapsed time of the kernel execution, as well as the rank, shape, and
             * size of the output tensor.
             *
             * Debug mode will significantly slow down your application as it will
             * download the result of every operation to the CPU. This should not be used in
             * production. Debug mode does not affect the timing information of the kernel
             * execution as we do not measure download time in the kernel execution time.
             *
             * See also: `tf.profile`, `tf.memory`.
             *
             * @doc {heading: 'Environment'}
             */
            function enableDebugMode() {
              env().set('DEBUG', true);
            }
            /** Globally disables deprecation warnings */
            function disableDeprecationWarnings() {
              env().set('DEPRECATION_WARNINGS_ENABLED', false);
              console.warn('TensorFlow.js deprecation warnings have been disabled.');
            }
            /** Warn users about deprecated functionality. */
            function deprecationWarn(msg) {
              if (env().getBool('DEPRECATION_WARNINGS_ENABLED')) {
                console.warn(
                  msg +
                    ' You can disable deprecation warnings with ' +
                    'tf.disableDeprecationWarnings().',
                );
              }
            }
            /**
             * Dispose all variables kept in backend engine.
             *
             * @doc {heading: 'Environment'}
             */
            function disposeVariables() {
              ENGINE.disposeVariables();
            }
            /**
             * It returns the global engine that keeps track of all tensors and backends.
             *
             * @doc {heading: 'Environment'}
             */
            function engine() {
              return ENGINE;
            }
            /**
             * Returns memory info at the current time in the program. The result is an
             * object with the following properties:
             *
             * - `numBytes`: Number of bytes allocated (undisposed) at this time.
             * - `numTensors`: Number of unique tensors allocated.
             * - `numDataBuffers`: Number of unique data buffers allocated
             *   (undisposed) at this time, which is ≤ the number of tensors
             *   (e.g. `a.reshape(newShape)` makes a new Tensor that shares the same
             *   data buffer with `a`).
             * - `unreliable`: True if the memory usage is unreliable. See `reasons` when
             *    `unreliable` is true.
             * - `reasons`: `string[]`, reasons why the memory is unreliable, present if
             *    `unreliable` is true.
             *
             * WebGL Properties:
             * - `numBytesInGPU`: Number of bytes allocated (undisposed) in the GPU only at
             *     this time.
             *
             * @doc {heading: 'Performance', subheading: 'Memory'}
             */
            function memory() {
              return ENGINE.memory();
            }
            /**
             * Executes the provided function `f()` and returns a promise that resolves
             * with information about the function's memory use:
             * - `newBytes`: the number of new bytes allocated
             * - `newTensors`: the number of new tensors created
             * - `peakBytes`: the peak number of bytes allocated
             * - `kernels`: an array of objects for each kernel involved that reports
             * their input and output shapes, number of bytes used, and number of new
             * tensors created.
             * - `kernelNames`: an array of unique strings with just the names of the
             * kernels in the `kernels` array.
             *
             * ```js
             * const profile = await tf.profile(() => {
             *   const x = tf.tensor1d([1, 2, 3]);
             *   let x2 = x.square();
             *   x2.dispose();
             *   x2 = x.square();
             *   x2.dispose();
             *   return x;
             * });
             *
             * console.log(`newBytes: ${profile.newBytes}`);
             * console.log(`newTensors: ${profile.newTensors}`);
             * console.log(`byte usage over all kernels: ${profile.kernels.map(k =>
             * k.totalBytesSnapshot)}`);
             * ```
             *
             *
             * @doc {heading: 'Performance', subheading: 'Profile'}
             */
            function profile(f) {
              return ENGINE.profile(f);
            }
            /**
             * Executes the provided function `fn` and after it is executed, cleans up all
             * intermediate tensors allocated by `fn` except those returned by `fn`.
             * `fn` must not return a Promise (async functions not allowed). The returned
             * result can be a complex object.
             *
             * Using this method helps avoid memory leaks. In general, wrap calls to
             * operations in `tf.tidy` for automatic memory cleanup.
             *
             * NOTE: Variables do *not* get cleaned up when inside a tidy(). If you want to
             * dispose variables, please use `tf.disposeVariables` or call dispose()
             * directly on variables.
             *
             * ```js
             * // y = 2 ^ 2 + 1
             * const y = tf.tidy(() => {
             *   // a, b, and one will be cleaned up when the tidy ends.
             *   const one = tf.scalar(1);
             *   const a = tf.scalar(2);
             *   const b = a.square();
             *
             *   console.log('numTensors (in tidy): ' + tf.memory().numTensors);
             *
             *   // The value returned inside the tidy function will return
             *   // through the tidy, in this case to the variable y.
             *   return b.add(one);
             * });
             *
             * console.log('numTensors (outside tidy): ' + tf.memory().numTensors);
             * y.print();
             * ```
             *
             * @param nameOrFn The name of the closure, or the function to execute.
             *     If a name is provided, the 2nd argument should be the function.
             *     If debug mode is on, the timing and the memory usage of the function
             *     will be tracked and displayed on the console using the provided name.
             * @param fn The function to execute.
             *
             * @doc {heading: 'Performance', subheading: 'Memory'}
             */
            function tidy(nameOrFn, fn) {
              return ENGINE.tidy(nameOrFn, fn);
            }
            /**
             * Disposes any `tf.Tensor`s found within the provided object.
             *
             * @param container an object that may be a `tf.Tensor` or may directly
             *     contain `tf.Tensor`s, such as a `Tensor[]` or `{key: Tensor, ...}`. If
             *     the object is not a `tf.Tensor` or does not contain `Tensors`, nothing
             *     happens. In general it is safe to pass any object here, except that
             *     `Promise`s are not supported.
             *
             * @doc {heading: 'Performance', subheading: 'Memory'}
             */
            function dispose(container) {
              var tensors = getTensorsInContainer(container);
              tensors.forEach(function (tensor) {
                return tensor.dispose();
              });
            }
            /**
             * Keeps a `tf.Tensor` generated inside a `tf.tidy` from being disposed
             * automatically.
             *
             * ```js
             * let b;
             * const y = tf.tidy(() => {
             *   const one = tf.scalar(1);
             *   const a = tf.scalar(2);
             *
             *   // b will not be cleaned up by the tidy. a and one will be cleaned up
             *   // when the tidy ends.
             *   b = tf.keep(a.square());
             *
             *   console.log('numTensors (in tidy): ' + tf.memory().numTensors);
             *
             *   // The value returned inside the tidy function will return
             *   // through the tidy, in this case to the variable y.
             *   return b.add(one);
             * });
             *
             * console.log('numTensors (outside tidy): ' + tf.memory().numTensors);
             * console.log('y:');
             * y.print();
             * console.log('b:');
             * b.print();
             * ```
             *
             * @param result The tensor to keep from being disposed.
             *
             * @doc {heading: 'Performance', subheading: 'Memory'}
             */
            function keep(result) {
              return ENGINE.keep(result);
            }
            /**
             * Executes `f()` and returns a promise that resolves with timing
             * information.
             *
             * The result is an object with the following properties:
             *
             * - `wallMs`: Wall execution time.
             * - `kernelMs`: Kernel execution time, ignoring data transfer. If using the
             * WebGL backend and the query timer extension is not available, this will
             * return an error object.
             * - On `WebGL` The following additional properties exist:
             *   - `uploadWaitMs`: CPU blocking time on texture uploads.
             *   - `downloadWaitMs`: CPU blocking time on texture downloads (readPixels).
             *
             * ```js
             * const x = tf.randomNormal([20, 20]);
             * const time = await tf.time(() => x.matMul(x));
             *
             * console.log(`kernelMs: ${time.kernelMs}, wallTimeMs: ${time.wallMs}`);
             * ```
             *
             * @param f The function to execute and time.
             *
             * @doc {heading: 'Performance', subheading: 'Timing'}
             */
            function time(f) {
              return ENGINE.time(f);
            }
            /**
             * Sets the backend (cpu, webgl, wasm, etc) responsible for creating tensors and
             * executing operations on those tensors. Returns a promise that resolves
             * to a boolean if the backend initialization was successful.
             *
             * Note this disposes the current backend, if any, as well as any tensors
             * associated with it. A new backend is initialized, even if it is of the
             * same type as the previous one.
             *
             * @param backendName The name of the backend. Currently supports
             *     `'webgl'|'cpu'` in the browser, `'tensorflow'` under node.js
             *     (requires tfjs-node), and `'wasm'` (requires tfjs-backend-wasm).
             *
             * @doc {heading: 'Backends'}
             */
            function setBackend(backendName) {
              return ENGINE.setBackend(backendName);
            }
            /**
             * Returns a promise that resolves when the currently selected backend (or the
             * highest priority one) has initialized. Await this promise when you are using
             * a backend that has async initialization.
             *
             * @doc {heading: 'Backends'}
             */
            function ready() {
              return ENGINE.ready();
            }
            /**
             * Returns the current backend name (cpu, webgl, etc). The backend is
             * responsible for creating tensors and executing operations on those tensors.
             *
             * @doc {heading: 'Backends'}
             */
            function getBackend() {
              return ENGINE.backendName;
            }
            /**
             * Removes a backend and the registered factory.
             *
             * @doc {heading: 'Backends'}
             */
            function removeBackend(name) {
              ENGINE.removeBackend(name);
            }
            /**
             * Finds the backend registered under the provided name. Returns null if the
             * name is not in the registry, or the registration hasn't finished yet.
             */
            function findBackend(name) {
              return ENGINE.findBackend(name);
            }
            /**
             * Finds the backend factory registered under the provided name. Returns a
             * function that produces a new backend when called. Returns null if the name
             * is not in the registry.
             */
            function findBackendFactory(name) {
              return ENGINE.findBackendFactory(name);
            }
            /**
             * Registers a global backend. The registration should happen when importing
             * a module file (e.g. when importing `backend_webgl.ts`), and is used for
             * modular builds (e.g. custom tfjs bundle with only webgl support).
             *
             * @param factory The backend factory function. When called, it should
             * return a backend instance, or a promise of an instance.
             * @param priority The priority of the backend (higher = more important).
             *     In case multiple backends are registered, the priority is used to find
             *     the best backend. Defaults to 1.
             * @return False if there is already a registered backend under this name, true
             *     if not.
             *
             * @doc {heading: 'Backends'}
             */
            function registerBackend(name, factory, priority) {
              if (priority === void 0) {
                priority = 1;
              }
              return ENGINE.registerBackend(name, factory, priority);
            }
            /**
             * Gets the current backend. If no backends have been initialized, this will
             * attempt to initialize the best backend. Will throw an error if the highest
             * priority backend has async initialization, in which case, you should call
             * 'await tf.ready()' before running other code.
             *
             * @doc {heading: 'Backends'}
             */
            function backend() {
              return ENGINE.backend;
            }
            /**
             * Sets the global platform.
             *
             * @param platformName The name of this platform.
             * @param platform A platform implementation.
             */
            function setPlatform(platformName, platform) {
              env().setPlatform(platformName, platform);
            }

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Adds two `tf.Tensor`s element-wise, A + B. Supports broadcasting.
             *
             *
             * ```js
             * const a = tf.tensor1d([1, 2, 3, 4]);
             * const b = tf.tensor1d([10, 20, 30, 40]);
             *
             * a.add(b).print();  // or tf.add(a, b)
             * ```
             *
             * ```js
             * // Broadcast add a with b.
             * const a = tf.scalar(5);
             * const b = tf.tensor1d([10, 20, 30, 40]);
             *
             * a.add(b).print();  // or tf.add(a, b)
             * ```
             * @param a The first `tf.Tensor` to add.
             * @param b The second `tf.Tensor` to add. Must have the same type as `a`.
             *
             * @doc {heading: 'Operations', subheading: 'Arithmetic'}
             */
            function add_(a, b) {
              var _a;
              var $a = convertToTensor(a, 'a', 'add');
              var $b = convertToTensor(b, 'b', 'add');
              (_a = makeTypesMatch($a, $b)), ($a = _a[0]), ($b = _a[1]);
              var inputs = { a: $a, b: $b };
              return ENGINE.runKernel(Add, inputs);
            }
            var add$1 = op({ add_: add_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Divides two `tf.Tensor`s element-wise, A / B. Supports broadcasting.
             * The result is rounded with floor function.
             *
             *
             * ```js
             * const a = tf.tensor1d([1, 4, 9, 16]);
             * const b = tf.tensor1d([1, 2, 3, 4]);
             *
             * a.floorDiv(b).print();  // or tf.div(a, b)
             * ```
             *
             * ```js
             * // Broadcast div a with b.
             * const a = tf.tensor1d([2, 4, 6, 8]);
             * const b = tf.scalar(2);
             *
             * a.floorDiv(b).print();  // or tf.floorDiv(a, b)
             * ```
             *
             * @param a The first tensor as the numerator.
             * @param b The second tensor as the denominator. Must have the same dtype as
             * `a`.
             *
             * @doc {heading: 'Operations', subheading: 'Arithmetic'}
             */
            function floorDiv_(a, b) {
              var _a;
              var $a = convertToTensor(a, 'a', 'floorDiv');
              var $b = convertToTensor(b, 'b', 'floorDiv');
              (_a = makeTypesMatch($a, $b)), ($a = _a[0]), ($b = _a[1]);
              var inputs = { a: $a, b: $b };
              return ENGINE.runKernel(FloorDiv, inputs);
            }
            var floorDiv = op({ floorDiv_: floorDiv_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Divides two `tf.Tensor`s element-wise, A / B. Supports broadcasting.
             *
             * ```js
             * const a = tf.tensor1d([1, 4, 9, 16]);
             * const b = tf.tensor1d([1, 2, 3, 4]);
             *
             * a.div(b).print();  // or tf.div(a, b)
             * ```
             *
             * ```js
             * // Broadcast div a with b.
             * const a = tf.tensor1d([2, 4, 6, 8]);
             * const b = tf.scalar(2);
             *
             * a.div(b).print();  // or tf.div(a, b)
             * ```
             *
             * @param a The first tensor as the numerator.
             * @param b The second tensor as the denominator. Must have the same dtype as
             * `a`.
             *
             * @doc {heading: 'Operations', subheading: 'Arithmetic'}
             */
            function div_(a, b) {
              var _a;
              var $a = convertToTensor(a, 'a', 'div');
              var $b = convertToTensor(b, 'b', 'div');
              (_a = makeTypesMatch($a, $b)), ($a = _a[0]), ($b = _a[1]);
              if ($a.dtype === 'int32' && $b.dtype === 'int32') {
                return floorDiv($a, $b);
              }
              var inputs = { a: $a, b: $b };
              var attrs = {};
              // tslint:disable-next-line: no-unnecessary-type-assertion
              return ENGINE.runKernel(RealDiv, inputs, attrs);
            }
            var div = op({ div_: div_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Multiplies two `tf.Tensor`s element-wise, A * B. Supports broadcasting.
             *
             * We also expose `tf.mulStrict` which has the same signature as this op and
             * asserts that `a` and `b` are the same shape (does not broadcast).
             *
             * ```js
             * const a = tf.tensor1d([1, 2, 3, 4]);
             * const b = tf.tensor1d([2, 3, 4, 5]);
             *
             * a.mul(b).print();  // or tf.mul(a, b)
             * ```
             *
             * ```js
             * // Broadcast mul a with b.
             * const a = tf.tensor1d([1, 2, 3, 4]);
             * const b = tf.scalar(5);
             *
             * a.mul(b).print();  // or tf.mul(a, b)
             * ```
             * @param a The first tensor to multiply.
             * @param b The second tensor to multiply. Must have the same dtype as `a`.
             *
             * @doc {heading: 'Operations', subheading: 'Arithmetic'}
             */
            function mul_(a, b) {
              var _a;
              var $a = convertToTensor(a, 'a', 'mul');
              var $b = convertToTensor(b, 'b', 'mul');
              (_a = makeTypesMatch($a, $b)), ($a = _a[0]), ($b = _a[1]);
              var inputs = { a: $a, b: $b };
              return ENGINE.runKernel(Multiply, inputs);
            }
            var mul = op({ mul_: mul_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes absolute value element-wise: `abs(x)`
             *
             * ```js
             * const x = tf.tensor1d([-1, 2, -3, 4]);
             *
             * x.abs().print();  // or tf.abs(x)
             * ```
             * @param x The input `tf.Tensor`.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function abs_(x) {
              var $x = convertToTensor(x, 'x', 'abs');
              if ($x.dtype === 'complex64') {
                var inputs = { x: $x };
                return ENGINE.runKernel(ComplexAbs, inputs);
              } else {
                var inputs = { x: $x };
                return ENGINE.runKernel(Abs, inputs);
              }
            }
            var abs = op({ abs_: abs_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes acos of the input `tf.Tensor` element-wise: `acos(x)`
             *
             * ```js
             * const x = tf.tensor1d([0, 1, -1, .7]);
             *
             * x.acos().print();  // or tf.acos(x)
             * ```
             * @param x The input tensor.
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function acos_(x) {
              var $x = convertToTensor(x, 'x', 'acos');
              var inputs = { x: $x };
              return ENGINE.runKernel(Acos, inputs);
            }
            var acos = op({ acos_: acos_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the inverse hyperbolic cos of the input `tf.Tensor` element-wise:
             * `acosh(x)`
             *
             * ```js
             * const x = tf.tensor1d([10, 1, 3, 5.7]);
             *
             * x.acosh().print();  // or tf.acosh(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function acosh_(x) {
              var $x = convertToTensor(x, 'x', 'acosh');
              var inputs = { x: $x };
              return ENGINE.runKernel(Acosh, inputs);
            }
            var acosh = op({ acosh_: acosh_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Adds a list of `tf.Tensor`s element-wise, each with the same shape and dtype.
             *
             * ```js
             * const a = tf.tensor1d([1, 2]);
             * const b = tf.tensor1d([3, 4]);
             * const c = tf.tensor1d([5, 6]);
             *
             * tf.addN([a, b, c]).print();
             * ```
             * @param tensors A list of tensors with the same shape and dtype.
             * @doc {heading: 'Operations', subheading: 'Arithmetic'}
             */
            function addN_(tensors) {
              assert(Array.isArray(tensors), function () {
                return 'The argument passed to tf.addN() must be a list of tensors';
              });
              assert(tensors.length >= 1, function () {
                return (
                  'Must pass at least one tensor to tf.addN(), but got ' + ('' + tensors.length)
                );
              });
              var $tensors = tensors.map(function (t, i) {
                return convertToTensor(t, 'tensors' + i, 'addN');
              });
              var firstTensor = $tensors[0];
              $tensors.forEach(function (t) {
                if (t.dtype !== firstTensor.dtype) {
                  throw new Error('All tensors passed to tf.addN() must have the same dtype');
                }
              });
              $tensors.forEach(function (t) {
                if (!arraysEqual(t.shape, firstTensor.shape)) {
                  throw new Error('All tensors passed to tf.addN() must have the same shape');
                }
              });
              var inputs = $tensors;
              return ENGINE.runKernel(AddN, inputs);
            }
            var addN = op({ addN_: addN_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the logical and of elements across dimensions of a `tf.Tensor`.
             *
             * Reduces the input along the dimensions given in `axes`. Unless `keepDims`
             * is true, the rank of the `tf.Tensor` is reduced by 1 for each entry in
             * `axes`. If `keepDims` is true, the reduced dimensions are retained with
             * length 1. If `axes` has no entries, all dimensions are reduced, and an
             * `tf.Tensor` with a single element is returned.
             *
             * ```js
             * const x = tf.tensor1d([1, 1, 1], 'bool');
             *
             * x.all().print();  // or tf.all(x)
             * ```
             *
             * ```js
             * const x = tf.tensor2d([1, 1, 0, 0], [2, 2], 'bool');
             *
             * const axis = 1;
             * x.all(axis).print();  // or tf.all(x, axis)
             * ```
             *
             * @param x The input tensor. Must be of dtype bool.
             * @param axis The dimension(s) to reduce. By default it reduces
             *     all dimensions.
             * @param keepDims If true, retains reduced dimensions with size 1.
             *
             * @doc {heading: 'Operations', subheading: 'Reduction'}
             */
            function all_(x, axis, keepDims) {
              if (axis === void 0) {
                axis = null;
              }
              if (keepDims === void 0) {
                keepDims = false;
              }
              var $x = convertToTensor(x, 'x', 'all', 'bool');
              var inputs = { x: $x };
              var attrs = { axis: axis, keepDims: keepDims };
              return ENGINE.runKernel(All, inputs, attrs);
            }
            var all = op({ all_: all_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the logical or of elements across dimensions of a `tf.Tensor`.
             *
             * Reduces the input along the dimensions given in `axes`. Unless `keepDims`
             * is true, the rank of the `tf.Tensor` is reduced by 1 for each entry in
             * `axes`. If `keepDims` is true, the reduced dimensions are retained with
             * length 1. If `axes` has no entries, all dimensions are reduced, and an
             * `tf.Tensor` with a single element is returned.
             *
             * ```js
             * const x = tf.tensor1d([1, 1, 1], 'bool');
             *
             * x.any().print();  // or tf.any(x)
             * ```
             *
             * ```js
             * const x = tf.tensor2d([1, 1, 0, 0], [2, 2], 'bool');
             *
             * const axis = 1;
             * x.any(axis).print();  // or tf.any(x, axis)
             * ```
             *
             * @param x The input tensor. Must be of dtype bool.
             * @param axis The dimension(s) to reduce. By default it reduces
             *     all dimensions.
             * @param keepDims If true, retains reduced dimensions with size 1.
             *
             * @doc {heading: 'Operations', subheading: 'Reduction'}
             */
            function any_(x, axis, keepDims) {
              if (axis === void 0) {
                axis = null;
              }
              if (keepDims === void 0) {
                keepDims = false;
              }
              var $x = convertToTensor(x, 'x', 'any', 'bool');
              var inputs = { x: $x };
              var attrs = { axis: axis, keepDims: keepDims };
              return ENGINE.runKernel(Any, inputs, attrs);
            }
            // tslint:disable-next-line:variable-name
            var any = op({ any_: any_ });

            /**
             * @license
             * Copyright 2020 Google Inc. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the indices of the maximum values along an `axis`.
             *
             * The result has the same shape as `input` with the dimension along `axis`
             * removed.
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 3]);
             *
             * x.argMax().print();  // or tf.argMax(x)
             * ```
             *
             * ```js
             * const x = tf.tensor2d([1, 2, 4, 3], [2, 2]);
             *
             * const axis = 1;
             * x.argMax(axis).print();  // or tf.argMax(x, axis)
             * ```
             *
             * @param x The input tensor.
             * @param axis The dimension to reduce. Defaults to 0 (outer-most dimension).
             *
             * @doc {heading: 'Operations', subheading: 'Reduction'}
             */
            function argMax_(x, axis) {
              if (axis === void 0) {
                axis = 0;
              }
              var $x = convertToTensor(x, 'x', 'argMax');
              var inputs = { x: $x };
              var attrs = { axis: axis };
              return ENGINE.runKernel(ArgMax, inputs, attrs);
            }
            var argMax = op({ argMax_: argMax_ });

            /**
             * @license
             * Copyright 2020 Google Inc. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the indices of the minimum values along an `axis`.
             *
             * The result has the same shape as `input` with the dimension along `axis`
             * removed.
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 3]);
             *
             * x.argMin().print();  // or tf.argMin(x)
             * ```
             *
             * ```js
             * const x = tf.tensor2d([1, 2, 4, 3], [2, 2]);
             *
             * const axis = 1;
             * x.argMin(axis).print();  // or tf.argMin(x, axis)
             * ```
             *
             * @param x The input tensor.
             * @param axis The dimension to reduce. Defaults to 0 (outer-most dimension).
             *
             * @doc {heading: 'Operations', subheading: 'Reduction'}
             */
            function argMin_(x, axis) {
              if (axis === void 0) {
                axis = 0;
              }
              var $x = convertToTensor(x, 'x', 'argMin');
              var inputs = { x: $x };
              var attrs = { axis: axis };
              return ENGINE.runKernel(ArgMin, inputs, attrs);
            }
            var argMin = op({ argMin_: argMin_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes asin of the input `tf.Tensor` element-wise: `asin(x)`
             *
             * ```js
             * const x = tf.tensor1d([0, 1, -1, .7]);
             *
             * x.asin().print();  // or tf.asin(x)
             * ```
             * @param x The input tensor.
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function asin_(x) {
              var $x = convertToTensor(x, 'x', 'asin');
              var inputs = { x: $x };
              return ENGINE.runKernel(Asin, inputs);
            }
            var asin = op({ asin_: asin_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes inverse hyperbolic sin of the input `tf.Tensor` element-wise:
             * `asinh(x)`
             *
             * ```js
             * const x = tf.tensor1d([0, 1, -1, .7]);
             *
             * x.asinh().print();  // or tf.asinh(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function asinh_(x) {
              var $x = convertToTensor(x, 'x', 'asinh');
              var inputs = { x: $x };
              return ENGINE.runKernel(Asinh, inputs);
            }
            var asinh = op({ asinh_: asinh_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes atan of the input `tf.Tensor` element-wise: `atan(x)`
             *
             * ```js
             * const x = tf.tensor1d([0, 1, -1, .7]);
             *
             * x.atan().print();  // or tf.atan(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function atan_(x) {
              var $x = convertToTensor(x, 'x', 'atan');
              var inputs = { x: $x };
              return ENGINE.runKernel(Atan, inputs);
            }
            var atan = op({ atan_: atan_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes arctangent of `tf.Tensor`s a / b element-wise: `atan2(a, b)`.
             * Supports broadcasting.
             *
             * ```js
             * const a = tf.tensor1d([1.0, 1.0, -1.0, .7]);
             * const b = tf.tensor1d([2.0, 13.0, 3.5, .21]);
             *
             * tf.atan2(a, b).print()
             * ```
             *
             * @param a The first tensor.
             * @param b The second tensor. Must have the same dtype as `a`.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function atan2_(a, b) {
              var _a;
              var $a = convertToTensor(a, 'a', 'atan2');
              var $b = convertToTensor(b, 'b', 'atan2');
              (_a = makeTypesMatch($a, $b)), ($a = _a[0]), ($b = _a[1]);
              var inputs = { a: $a, b: $b };
              return ENGINE.runKernel(Atan2, inputs);
            }
            var atan2 = op({ atan2_: atan2_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes inverse hyperbolic tan of the input `tf.Tensor` element-wise:
             * `atanh(x)`
             *
             * ```js
             * const x = tf.tensor1d([0, .1, -.1, .7]);
             *
             * x.atanh().print();  // or tf.atanh(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function atanh_(x) {
              var $x = convertToTensor(x, 'x', 'atanh');
              var inputs = { x: $x };
              return ENGINE.runKernel(Atanh, inputs);
            }
            var atanh = op({ atanh_: atanh_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             *
             * @param inputShape Input tensor shape is of the following dimensions:
             *     `[batch, height, width, inChannels]`.
             * @param filterShape The filter shape is of the following dimensions:
             *     `[filterHeight, filterWidth, depth]`.
             * @param strides The strides of the sliding window for each dimension of the
             *     input tensor: `[strideHeight, strideWidth]`.
             *     If `strides` is a single number,
             *     then `strideHeight == strideWidth`.
             * @param pad The type of padding algorithm.
             *    - `same` and stride 1: output will be of same size as input,
             *       regardless of filter size.
             *    - `valid`: output will be smaller than input if filter is larger
             *       than 1*1x1.
             *    - For more info, see this guide:
             *     [https://www.tensorflow.org/api_guides/python/nn#Convolution](
             *          https://www.tensorflow.org/api_guides/python/nn#Convolution)
             * @param dataFormat The data format of the input and output data.
             *     Defaults to 'NHWC'.
             * @param dilations The dilation rates: `[dilationHeight, dilationWidth]`.
             *     Defaults to `[1, 1]`. If `dilations` is a single number, then
             *     `dilationHeight == dilationWidth`.
             */
            function computeDilation2DInfo(
              inputShape,
              filterShape,
              strides,
              pad,
              dataFormat,
              dilations,
            ) {
              if (dataFormat === void 0) {
                dataFormat = 'NHWC';
              }
              // `computerConv2DInfo` require filterShape to be in the dimension of:
              // `[filterHeight, filterWidth, depth, outDepth]`, dilation2d doesn't have
              // outDepth, it should have the same depth as the input.
              // Input shape: [batch, height, width, inChannels]
              var inputChannels = inputShape[3];
              var $filterShape = filterShape.concat([inputChannels]);
              var $dataFormat = convertConv2DDataFormat(dataFormat);
              return computeConv2DInfo(
                inputShape,
                $filterShape,
                strides,
                dilations,
                pad,
                null /* roundingMode */,
                null /* depthWise */,
                $dataFormat,
              );
            }
            function computePool2DInfo(
              inShape,
              filterSize,
              strides,
              dilations,
              pad,
              roundingMode,
              dataFormat,
            ) {
              if (dataFormat === void 0) {
                dataFormat = 'channelsLast';
              }
              var _a = parseTupleParam(filterSize),
                filterHeight = _a[0],
                filterWidth = _a[1];
              var filterShape;
              if (dataFormat === 'channelsLast') {
                filterShape = [filterHeight, filterWidth, inShape[3], inShape[3]];
              } else if (dataFormat === 'channelsFirst') {
                filterShape = [filterHeight, filterWidth, inShape[1], inShape[1]];
              } else {
                throw new Error('Unknown dataFormat ' + dataFormat);
              }
              return computeConv2DInfo(
                inShape,
                filterShape,
                strides,
                dilations,
                pad,
                roundingMode,
                false,
                dataFormat,
              );
            }
            /**
             * Computes the information for a forward pass of a pooling3D operation.
             */
            function computePool3DInfo(
              inShape,
              filterSize,
              strides,
              dilations,
              pad,
              roundingMode,
              dataFormat,
            ) {
              if (dataFormat === void 0) {
                dataFormat = 'NDHWC';
              }
              var _a = parse3TupleParam(filterSize),
                filterDepth = _a[0],
                filterHeight = _a[1],
                filterWidth = _a[2];
              var filterShape;
              var $dataFormat;
              if (dataFormat === 'NDHWC') {
                $dataFormat = 'channelsLast';
                filterShape = [filterDepth, filterHeight, filterWidth, inShape[4], inShape[4]];
              } else if (dataFormat === 'NCDHW') {
                $dataFormat = 'channelsFirst';
                filterShape = [filterDepth, filterHeight, filterWidth, inShape[1], inShape[1]];
              } else {
                throw new Error('Unknown dataFormat ' + dataFormat);
              }
              return computeConv3DInfo(
                inShape,
                filterShape,
                strides,
                dilations,
                pad,
                false,
                $dataFormat,
                roundingMode,
              );
            }
            /**
             * Computes the information for a forward pass of a convolution/pooling
             * operation.
             */
            function computeConv2DInfo(
              inShape,
              filterShape,
              strides,
              dilations,
              pad,
              roundingMode,
              depthwise,
              dataFormat,
            ) {
              if (depthwise === void 0) {
                depthwise = false;
              }
              if (dataFormat === void 0) {
                dataFormat = 'channelsLast';
              }
              var _a = [-1, -1, -1, -1],
                batchSize = _a[0],
                inHeight = _a[1],
                inWidth = _a[2],
                inChannels = _a[3];
              if (dataFormat === 'channelsLast') {
                (batchSize = inShape[0]),
                  (inHeight = inShape[1]),
                  (inWidth = inShape[2]),
                  (inChannels = inShape[3]);
              } else if (dataFormat === 'channelsFirst') {
                (batchSize = inShape[0]),
                  (inChannels = inShape[1]),
                  (inHeight = inShape[2]),
                  (inWidth = inShape[3]);
              } else {
                throw new Error('Unknown dataFormat ' + dataFormat);
              }
              var filterHeight = filterShape[0],
                filterWidth = filterShape[1],
                filterChannels = filterShape[3];
              var _b = parseTupleParam(strides),
                strideHeight = _b[0],
                strideWidth = _b[1];
              var _c = parseTupleParam(dilations),
                dilationHeight = _c[0],
                dilationWidth = _c[1];
              var effectiveFilterHeight = getEffectiveFilterSize(filterHeight, dilationHeight);
              var effectiveFilterWidth = getEffectiveFilterSize(filterWidth, dilationWidth);
              var _d = getPadAndOutInfo(
                  pad,
                  inHeight,
                  inWidth,
                  strideHeight,
                  strideWidth,
                  effectiveFilterHeight,
                  effectiveFilterWidth,
                  roundingMode,
                  dataFormat,
                ),
                padInfo = _d.padInfo,
                outHeight = _d.outHeight,
                outWidth = _d.outWidth;
              var outChannels = depthwise ? filterChannels * inChannels : filterChannels;
              var outShape;
              if (dataFormat === 'channelsFirst') {
                outShape = [batchSize, outChannels, outHeight, outWidth];
              } else if (dataFormat === 'channelsLast') {
                outShape = [batchSize, outHeight, outWidth, outChannels];
              }
              return {
                batchSize: batchSize,
                dataFormat: dataFormat,
                inHeight: inHeight,
                inWidth: inWidth,
                inChannels: inChannels,
                outHeight: outHeight,
                outWidth: outWidth,
                outChannels: outChannels,
                padInfo: padInfo,
                strideHeight: strideHeight,
                strideWidth: strideWidth,
                filterHeight: filterHeight,
                filterWidth: filterWidth,
                effectiveFilterHeight: effectiveFilterHeight,
                effectiveFilterWidth: effectiveFilterWidth,
                dilationHeight: dilationHeight,
                dilationWidth: dilationWidth,
                inShape: inShape,
                outShape: outShape,
                filterShape: filterShape,
              };
            }
            /**
             * Computes the information for a forward pass of a 3D convolution/pooling
             * operation.
             */
            function computeConv3DInfo(
              inShape,
              filterShape,
              strides,
              dilations,
              pad,
              depthwise,
              dataFormat,
              roundingMode,
            ) {
              if (depthwise === void 0) {
                depthwise = false;
              }
              if (dataFormat === void 0) {
                dataFormat = 'channelsLast';
              }
              var _a = [-1, -1, -1, -1, -1],
                batchSize = _a[0],
                inDepth = _a[1],
                inHeight = _a[2],
                inWidth = _a[3],
                inChannels = _a[4];
              if (dataFormat === 'channelsLast') {
                (batchSize = inShape[0]),
                  (inDepth = inShape[1]),
                  (inHeight = inShape[2]),
                  (inWidth = inShape[3]),
                  (inChannels = inShape[4]);
              } else if (dataFormat === 'channelsFirst') {
                (batchSize = inShape[0]),
                  (inChannels = inShape[1]),
                  (inDepth = inShape[2]),
                  (inHeight = inShape[3]),
                  (inWidth = inShape[4]);
              } else {
                throw new Error('Unknown dataFormat ' + dataFormat);
              }
              var filterDepth = filterShape[0],
                filterHeight = filterShape[1],
                filterWidth = filterShape[2],
                filterChannels = filterShape[4];
              var _b = parse3TupleParam(strides),
                strideDepth = _b[0],
                strideHeight = _b[1],
                strideWidth = _b[2];
              var _c = parse3TupleParam(dilations),
                dilationDepth = _c[0],
                dilationHeight = _c[1],
                dilationWidth = _c[2];
              var effectiveFilterDepth = getEffectiveFilterSize(filterDepth, dilationDepth);
              var effectiveFilterHeight = getEffectiveFilterSize(filterHeight, dilationHeight);
              var effectiveFilterWidth = getEffectiveFilterSize(filterWidth, dilationWidth);
              var _d = get3DPadAndOutInfo(
                  pad,
                  inDepth,
                  inHeight,
                  inWidth,
                  strideDepth,
                  strideHeight,
                  strideWidth,
                  effectiveFilterDepth,
                  effectiveFilterHeight,
                  effectiveFilterWidth,
                  roundingMode,
                ),
                padInfo = _d.padInfo,
                outDepth = _d.outDepth,
                outHeight = _d.outHeight,
                outWidth = _d.outWidth;
              var outChannels = depthwise ? filterChannels * inChannels : filterChannels;
              var outShape;
              if (dataFormat === 'channelsFirst') {
                outShape = [batchSize, outChannels, outDepth, outHeight, outWidth];
              } else if (dataFormat === 'channelsLast') {
                outShape = [batchSize, outDepth, outHeight, outWidth, outChannels];
              }
              return {
                batchSize: batchSize,
                dataFormat: dataFormat,
                inDepth: inDepth,
                inHeight: inHeight,
                inWidth: inWidth,
                inChannels: inChannels,
                outDepth: outDepth,
                outHeight: outHeight,
                outWidth: outWidth,
                outChannels: outChannels,
                padInfo: padInfo,
                strideDepth: strideDepth,
                strideHeight: strideHeight,
                strideWidth: strideWidth,
                filterDepth: filterDepth,
                filterHeight: filterHeight,
                filterWidth: filterWidth,
                effectiveFilterDepth: effectiveFilterDepth,
                effectiveFilterHeight: effectiveFilterHeight,
                effectiveFilterWidth: effectiveFilterWidth,
                dilationDepth: dilationDepth,
                dilationHeight: dilationHeight,
                dilationWidth: dilationWidth,
                inShape: inShape,
                outShape: outShape,
                filterShape: filterShape,
              };
            }
            function computeOutputShape2D(inShape, fieldSize, stride, zeroPad, roundingMode) {
              if (zeroPad == null) {
                zeroPad = computeDefaultPad(inShape, fieldSize, stride);
              }
              var inputRows = inShape[0];
              var inputCols = inShape[1];
              var outputRows = round(
                (inputRows - fieldSize + 2 * zeroPad) / stride + 1,
                roundingMode,
              );
              var outputCols = round(
                (inputCols - fieldSize + 2 * zeroPad) / stride + 1,
                roundingMode,
              );
              return [outputRows, outputCols];
            }
            function computeOutputShape4D(
              inShape,
              fieldSize,
              outChannels,
              stride,
              zeroPad,
              roundingMode,
            ) {
              if (zeroPad == null) {
                zeroPad = computeDefaultPad(inShape, fieldSize, stride);
              }
              var inputDepth = inShape[0];
              var inputRows = inShape[1];
              var inputCols = inShape[2];
              var outputDepths = round(
                (inputDepth - fieldSize + 2 * zeroPad) / stride + 1,
                roundingMode,
              );
              var outputRows = round(
                (inputRows - fieldSize + 2 * zeroPad) / stride + 1,
                roundingMode,
              );
              var outputCols = round(
                (inputCols - fieldSize + 2 * zeroPad) / stride + 1,
                roundingMode,
              );
              return [outputDepths, outputRows, outputCols, outChannels];
            }
            function computeDefaultPad(inputShape, fieldSize, stride, dilation) {
              if (dilation === void 0) {
                dilation = 1;
              }
              var effectiveFieldSize = getEffectiveFilterSize(fieldSize, dilation);
              return Math.floor((inputShape[0] * (stride - 1) - stride + effectiveFieldSize) / 2);
            }
            function parseTupleParam(param) {
              if (typeof param === 'number') {
                return [param, param, param];
              }
              if (param.length === 2) {
                return [param[0], param[1], 1];
              }
              return param;
            }
            function parse3TupleParam(param) {
              return typeof param === 'number' ? [param, param, param] : param;
            }
            /* See https://www.tensorflow.org/api_docs/python/tf/nn/atrous_conv2d
             * Atrous convolution is equivalent to standard convolution with upsampled
             * filters with effective_filter_height =
             * filter_height + (filter_height - 1) * (dilation - 1)
             * and effective_filter_width =
             * filter_width + (filter_width - 1) * (dilation - 1),
             * produced by inserting dilation - 1 zeros along consecutive elements across
             * the filters' spatial dimensions.
             * When there is a dilation, this converts a filter dimension to the
             * effective filter dimension, so it can be used in a standard convolution.
             */
            function getEffectiveFilterSize(filterSize, dilation) {
              if (dilation <= 1) {
                return filterSize;
              }
              return filterSize + (filterSize - 1) * (dilation - 1);
            }
            function getPadAndOutInfo(
              pad,
              inHeight,
              inWidth,
              strideHeight,
              strideWidth,
              filterHeight,
              filterWidth,
              roundingMode,
              dataFormat,
            ) {
              var padInfo;
              var outHeight;
              var outWidth;
              if (typeof pad === 'number') {
                var padType = pad === 0 ? 'VALID' : 'NUMBER';
                padInfo = { top: pad, bottom: pad, left: pad, right: pad, type: padType };
                var outShape = computeOutputShape2D(
                  [inHeight, inWidth],
                  filterHeight,
                  strideHeight,
                  pad,
                  roundingMode,
                );
                outHeight = outShape[0];
                outWidth = outShape[1];
              } else if (pad === 'same') {
                outHeight = Math.ceil(inHeight / strideHeight);
                outWidth = Math.ceil(inWidth / strideWidth);
                var padAlongHeight = Math.max(
                  0,
                  (outHeight - 1) * strideHeight + filterHeight - inHeight,
                );
                var padAlongWidth = Math.max(
                  0,
                  (outWidth - 1) * strideWidth + filterWidth - inWidth,
                );
                var top_1 = Math.floor(padAlongHeight / 2);
                var bottom = padAlongHeight - top_1;
                var left = Math.floor(padAlongWidth / 2);
                var right = padAlongWidth - left;
                padInfo = { top: top_1, bottom: bottom, left: left, right: right, type: 'SAME' };
              } else if (pad === 'valid') {
                padInfo = { top: 0, bottom: 0, left: 0, right: 0, type: 'VALID' };
                outHeight = Math.ceil((inHeight - filterHeight + 1) / strideHeight);
                outWidth = Math.ceil((inWidth - filterWidth + 1) / strideWidth);
              } else if (typeof pad === 'object') {
                var top_2 = dataFormat === 'channelsLast' ? pad[1][0] : pad[2][0];
                var bottom = dataFormat === 'channelsLast' ? pad[1][1] : pad[2][1];
                var left = dataFormat === 'channelsLast' ? pad[2][0] : pad[3][0];
                var right = dataFormat === 'channelsLast' ? pad[2][1] : pad[3][1];
                var padType =
                  top_2 === 0 && bottom === 0 && left === 0 && right === 0 ? 'VALID' : 'EXPLICIT';
                padInfo = { top: top_2, bottom: bottom, left: left, right: right, type: padType };
                outHeight = round(
                  (inHeight - filterHeight + top_2 + bottom) / strideHeight + 1,
                  roundingMode,
                );
                outWidth = round(
                  (inWidth - filterWidth + left + right) / strideWidth + 1,
                  roundingMode,
                );
              } else {
                throw Error('Unknown padding parameter: ' + pad);
              }
              return { padInfo: padInfo, outHeight: outHeight, outWidth: outWidth };
            }
            function get3DPadAndOutInfo(
              pad,
              inDepth,
              inHeight,
              inWidth,
              strideDepth,
              strideHeight,
              strideWidth,
              filterDepth,
              filterHeight,
              filterWidth,
              roundingMode,
            ) {
              var padInfo;
              var outDepth;
              var outHeight;
              var outWidth;
              if (typeof pad === 'number') {
                var padType = pad === 0 ? 'VALID' : 'NUMBER';
                padInfo = {
                  top: pad,
                  bottom: pad,
                  left: pad,
                  right: pad,
                  front: pad,
                  back: pad,
                  type: padType,
                };
                var outShape = computeOutputShape4D(
                  [inDepth, inHeight, inWidth, 1],
                  filterDepth,
                  1,
                  strideDepth,
                  pad,
                  roundingMode,
                );
                outDepth = outShape[0];
                outHeight = outShape[1];
                outWidth = outShape[2];
              } else if (pad === 'same') {
                outDepth = Math.ceil(inDepth / strideDepth);
                outHeight = Math.ceil(inHeight / strideHeight);
                outWidth = Math.ceil(inWidth / strideWidth);
                var padAlongDepth = (outDepth - 1) * strideDepth + filterDepth - inDepth;
                var padAlongHeight = (outHeight - 1) * strideHeight + filterHeight - inHeight;
                var padAlongWidth = (outWidth - 1) * strideWidth + filterWidth - inWidth;
                var front = Math.floor(padAlongDepth / 2);
                var back = padAlongDepth - front;
                var top_3 = Math.floor(padAlongHeight / 2);
                var bottom = padAlongHeight - top_3;
                var left = Math.floor(padAlongWidth / 2);
                var right = padAlongWidth - left;
                padInfo = {
                  top: top_3,
                  bottom: bottom,
                  left: left,
                  right: right,
                  front: front,
                  back: back,
                  type: 'SAME',
                };
              } else if (pad === 'valid') {
                padInfo = {
                  top: 0,
                  bottom: 0,
                  left: 0,
                  right: 0,
                  front: 0,
                  back: 0,
                  type: 'VALID',
                };
                outDepth = Math.ceil((inDepth - filterDepth + 1) / strideDepth);
                outHeight = Math.ceil((inHeight - filterHeight + 1) / strideHeight);
                outWidth = Math.ceil((inWidth - filterWidth + 1) / strideWidth);
              } else {
                throw Error('Unknown padding parameter: ' + pad);
              }
              return {
                padInfo: padInfo,
                outDepth: outDepth,
                outHeight: outHeight,
                outWidth: outWidth,
              };
            }
            /**
             * Rounds a value depending on the rounding mode
             * @param value
             * @param roundingMode A string from: 'ceil', 'round', 'floor'. If none is
             *     provided, it will default to truncate.
             */
            function round(value, roundingMode) {
              if (!roundingMode) {
                return Math.trunc(value);
              }
              switch (roundingMode) {
                case 'round':
                  // used for Caffe Conv
                  return Math.round(value);
                case 'ceil':
                  // used for Caffe Pool
                  return Math.ceil(value);
                case 'floor':
                  return Math.floor(value);
                default:
                  throw new Error('Unknown roundingMode ' + roundingMode);
              }
            }
            function tupleValuesAreOne(param) {
              var _a = parseTupleParam(param),
                dimA = _a[0],
                dimB = _a[1],
                dimC = _a[2];
              return dimA === 1 && dimB === 1 && dimC === 1;
            }
            function eitherStridesOrDilationsAreOne(strides, dilations) {
              return tupleValuesAreOne(strides) || tupleValuesAreOne(dilations);
            }
            /**
             * Convert Conv2D dataFormat from 'NHWC'|'NCHW' to
             *    'channelsLast'|'channelsFirst'
             * @param dataFormat in 'NHWC'|'NCHW' mode
             * @return dataFormat in 'channelsLast'|'channelsFirst' mode
             * @throws unknown dataFormat
             */
            function convertConv2DDataFormat(dataFormat) {
              if (dataFormat === 'NHWC') {
                return 'channelsLast';
              } else if (dataFormat === 'NCHW') {
                return 'channelsFirst';
              } else {
                throw new Error('Unknown dataFormat ' + dataFormat);
              }
            }

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Reshapes a `tf.Tensor` to a given shape.
             *
             * Given an input tensor, returns a new tensor with the same values as the
             * input tensor with shape `shape`.
             *
             * If one component of shape is the special value -1, the size of that
             * dimension is computed so that the total size remains constant. In
             * particular, a shape of [-1] flattens into 1-D. At most one component of
             * shape can be -1.
             *
             * If shape is 1-D or higher, then the operation returns a tensor with shape
             * shape filled with the values of tensor. In this case, the number of
             * elements implied by shape must be the same as the number of elements in
             * tensor.
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 3, 4]);
             * x.reshape([2, 2]).print();
             * ```
             *
             * @param x The input tensor to be reshaped.
             * @param shape An array of integers defining the output tensor shape.
             *
             * @doc {heading: 'Tensors', subheading: 'Transformations'}
             */
            function reshape_(x, shape) {
              var $x = convertToTensor(x, 'x', 'reshape', 'string_or_numeric');
              var inputs = { x: $x };
              var attrs = { shape: shape };
              return ENGINE.runKernel(Reshape, inputs, attrs);
            }
            var reshape = op({ reshape_: reshape_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the 2D average pooling of an image.
             *
             * @param x The input tensor, of rank 4 or rank 3 of shape
             *     `[batch, height, width, inChannels]`. If rank 3, batch of 1 is assumed.
             * @param filterSize The filter size: `[filterHeight, filterWidth]`. If
             *     `filterSize` is a single number, then `filterHeight == filterWidth`.
             * @param strides The strides of the pooling: `[strideHeight, strideWidth]`. If
             *     `strides` is a single number, then `strideHeight == strideWidth`.
             * @param pad The type of padding algorithm:
             *    - `same` and stride 1: output will be of same size as input,
             *       regardless of filter size.
             *    - `valid`: output will be smaller than input if filter is larger
             *       than 1x1.
             *    - For more info, see this guide:
             *     [https://www.tensorflow.org/api_guides/python/nn#Convolution](
             *         https://www.tensorflow.org/api_guides/python/nn#Convolution)
             * @param dimRoundingMode A string from: 'ceil', 'round', 'floor'. If none is
             *     provided, it will default to truncate.
             */
            function avgPool_(x, filterSize, strides, pad, dimRoundingMode) {
              var $x = convertToTensor(x, 'x', 'avgPool', 'float32');
              var dilations = 1;
              assert(eitherStridesOrDilationsAreOne(strides, dilations), function () {
                return (
                  'Error in avgPool: Either strides or dilations must be 1. ' +
                  ('Got strides ' + strides + " and dilations '" + dilations + "'")
                );
              });
              var x4D = $x;
              var reshapedTo4D = false;
              if ($x.rank === 3) {
                reshapedTo4D = true;
                x4D = reshape($x, [1, $x.shape[0], $x.shape[1], $x.shape[2]]);
              }
              assert(x4D.rank === 4, function () {
                return 'Error in avgPool: x must be rank 4 but got rank ' + x4D.rank + '.';
              });
              if (dimRoundingMode != null) {
                assert(isInt(pad), function () {
                  return (
                    'Error in avgPool: pad must be an integer when using, ' +
                    ('dimRoundingMode ' + dimRoundingMode + ' but got pad ' + pad + '.')
                  );
                });
              }
              var inputs = { x: x4D };
              var attrs = {
                filterSize: filterSize,
                strides: strides,
                pad: pad,
                dimRoundingMode: dimRoundingMode,
              };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              var res = ENGINE.runKernel(AvgPool, inputs, attrs);
              res = cast(res, $x.dtype);
              if (reshapedTo4D) {
                return reshape(res, [res.shape[1], res.shape[2], res.shape[3]]);
              }
              return res;
            }
            var avgPool = op({ avgPool_: avgPool_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the 3D average pooling.
             *
             * ```js
             * const x = tf.tensor5d([1, 2, 3, 4, 5, 6, 7, 8], [1, 2, 2, 2, 1]);
             * const result = tf.avgPool3d(x, 2, 1, 'valid');
             * result.print();
             * ```
             *
             * @param x The input tensor, of rank 5 or rank 4 of shape
             *     `[batch, depth, height, width, inChannels]`.
             * @param filterSize The filter size:
             *     `[filterDepth, filterHeight, filterWidth]`.
             *     If `filterSize` is a single number,
             *     then `filterDepth == filterHeight == filterWidth`.
             * @param strides The strides of the pooling:
             *     `[strideDepth, strideHeight, strideWidth]`.
             *     If `strides` is a single number,
             *     then `strideDepth == strideHeight == strideWidth`.
             * @param pad The type of padding algorithm.
             *    - `same` and stride 1: output will be of same size as input,
             *       regardless of filter size.
             *    - `valid`: output will be smaller than input if filter is larger
             *       than 1*1x1.
             *    - For more info, see this guide:
             *     [https://www.tensorflow.org/api_guides/python/nn#Convolution](
             *          https://www.tensorflow.org/api_guides/python/nn#Convolution)
             * @param dimRoundingMode A string from: 'ceil', 'round', 'floor'. If none is
             *     provided, it will default to truncate.
             * @param dataFormat An optional string from: "NDHWC", "NCDHW". Defaults to
             *     "NDHWC". Specify the data format of the input and output data. With the
             *     default format "NDHWC", the data is stored in the order of: [batch,
             *     depth, height, width, channels]. Only "NDHWC" is currently supported.
             *
             * @doc {heading: 'Operations', subheading: 'Convolution'}
             */
            function avgPool3d_(x, filterSize, strides, pad, dimRoundingMode, dataFormat) {
              if (dataFormat === void 0) {
                dataFormat = 'NDHWC';
              }
              var $x = convertToTensor(x, 'x', 'avgPool3d', 'float32');
              var x5D = $x;
              var reshapedTo5D = false;
              if ($x.rank === 4) {
                reshapedTo5D = true;
                x5D = reshape($x, [1, $x.shape[0], $x.shape[1], $x.shape[2], $x.shape[3]]);
              }
              assert(x5D.rank === 5, function () {
                return 'Error in avgPool3d: x must be rank 5 but got rank ' + x5D.rank + '.';
              });
              assert(dataFormat === 'NDHWC', function () {
                return (
                  'Error in avgPool3d: Only NDHWC is currently supported, ' +
                  ('but got dataFormat of ' + dataFormat)
                );
              });
              if (dimRoundingMode != null) {
                assert(isInt(pad), function () {
                  return (
                    'Error in avgPool3d: pad must be an integer when using, ' +
                    ('dimRoundingMode ' + dimRoundingMode + ' but got pad ' + pad + '.')
                  );
                });
              }
              var inputs = { x: x5D };
              var attrs = {
                filterSize: filterSize,
                strides: strides,
                pad: pad,
                dimRoundingMode: dimRoundingMode,
                dataFormat: dataFormat,
              };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              var res = ENGINE.runKernel(AvgPool3D, inputs, attrs);
              res = cast(res, x5D.dtype);
              if (reshapedTo5D) {
                return reshape(res, [res.shape[1], res.shape[2], res.shape[3], res.shape[4]]);
              }
              return res;
            }
            var avgPool3d = op({ avgPool3d_: avgPool3d_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Concatenates a list of `tf.Tensor`s along a given axis.
             *
             * The tensors ranks and types must match, and their sizes must match in all
             * dimensions except `axis`.
             *
             * Also available are stricter rank-specific methods that assert that
             * `tensors` are of the given rank:
             *   - `tf.concat1d`
             *   - `tf.concat2d`
             *   - `tf.concat3d`
             *   - `tf.concat4d`
             *
             * Except `tf.concat1d` (which does not have axis param), all methods have
             * same signature as this method.
             *
             * ```js
             * const a = tf.tensor1d([1, 2]);
             * const b = tf.tensor1d([3, 4]);
             * a.concat(b).print();  // or a.concat(b)
             * ```
             *
             * ```js
             * const a = tf.tensor1d([1, 2]);
             * const b = tf.tensor1d([3, 4]);
             * const c = tf.tensor1d([5, 6]);
             * tf.concat([a, b, c]).print();
             * ```
             *
             * ```js
             * const a = tf.tensor2d([[1, 2], [10, 20]]);
             * const b = tf.tensor2d([[3, 4], [30, 40]]);
             * const axis = 1;
             * tf.concat([a, b], axis).print();
             * ```
             * @param tensors A list of tensors to concatenate.
             * @param axis The axis to concate along. Defaults to 0 (the first dim).
             *
             * @doc {heading: 'Tensors', subheading: 'Slicing and Joining'}
             */
            function concat_(tensors, axis) {
              if (axis === void 0) {
                axis = 0;
              }
              assert(tensors.length >= 1, function () {
                return 'Pass at least one tensor to concat';
              });
              var $tensors = convertToTensorArray(
                tensors,
                'tensors',
                'concat',
                'string_or_numeric',
              );
              if ($tensors[0].dtype === 'complex64') {
                $tensors.forEach(function (tensor) {
                  if (tensor.dtype !== 'complex64') {
                    throw new Error(
                      'Cannot concatenate complex64 tensors with a tensor\n          with dtype ' +
                        tensor.dtype +
                        '. ',
                    );
                  }
                });
              }
              if ($tensors.length === 1) {
                return clone($tensors[0]);
              }
              var inputs = $tensors;
              var attr = { axis: axis };
              return ENGINE.runKernel(Concat, inputs, attr);
            }
            var concat = op({ concat_: concat_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes sigmoid element-wise, `1 / (1 + exp(-x))`
             *
             * ```js
             * const x = tf.tensor1d([0, -1, 2, -3]);
             *
             * x.sigmoid().print();  // or tf.sigmoid(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function sigmoid_(x) {
              var $x = convertToTensor(x, 'x', 'sigmoid');
              var inputs = { x: $x };
              return ENGINE.runKernel(Sigmoid, inputs);
            }
            var sigmoid = op({ sigmoid_: sigmoid_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Extracts a slice from a `tf.Tensor` starting at coordinates `begin`
             * and is of size `size`.
             *
             * Also available are stricter rank-specific methods with the same signature
             * as this method that assert that `x` is of the given rank:
             *   - `tf.slice1d`
             *   - `tf.slice2d`
             *   - `tf.slice3d`
             *   - `tf.slice4d`
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 3, 4]);
             *
             * x.slice([1], [2]).print();
             * ```
             *
             * ```js
             * const x = tf.tensor2d([1, 2, 3, 4], [2, 2]);
             *
             * x.slice([1, 0], [1, 2]).print();
             * ```
             * @param x The input `tf.Tensor` to slice from.
             * @param begin The coordinates to start the slice from. The length can be
             *     less than the rank of x - the rest of the axes will have implicit 0 as
             *     start. Can also be a single number, in which case it specifies the
             *     first axis.
             * @param size The size of the slice. The length can be less than the rank of
             *     x - the rest of the axes will have implicit -1. A value of -1 requests
             *     the rest of the dimensions in the axis. Can also be a single number,
             *     in which case it specifies the size of the first axis.
             *
             * @doc {heading: 'Tensors', subheading: 'Slicing and Joining'}
             */
            function slice_(x, begin, size) {
              var $x = convertToTensor(x, 'x', 'slice', 'string_or_numeric');
              if ($x.rank === 0) {
                throw new Error('Slicing scalar is not possible');
              }
              var inputs = { x: $x };
              var attrs = { begin: begin, size: size };
              return ENGINE.runKernel(Slice, inputs, attrs);
            }
            var slice = op({ slice_: slice_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes hyperbolic tangent of the input `tf.Tensor` element-wise: `tanh(x)`
             *
             * ```js
             * const x = tf.tensor1d([0, 1, -1, 70]);
             *
             * x.tanh().print();  // or tf.tanh(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function tanh_(x) {
              var $x = convertToTensor(x, 'x', 'tanh');
              var inputs = { x: $x };
              return ENGINE.runKernel(Tanh, inputs);
            }
            var tanh$1 = op({ tanh_: tanh_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the next state and output of a BasicLSTMCell.
             *
             * Returns `[newC, newH]`.
             *
             * Derived from tf.contrib.rnn.BasicLSTMCell.
             *
             * @param forgetBias Forget bias for the cell.
             * @param lstmKernel The weights for the cell.
             * @param lstmBias The bias for the cell.
             * @param data The input to the cell.
             * @param c Previous cell state.
             * @param h Previous cell output.
             *
             * @doc {heading: 'Operations', subheading: 'RNN'}
             */
            function basicLSTMCell_(forgetBias, lstmKernel, lstmBias, data, c, h) {
              var $forgetBias = convertToTensor(forgetBias, 'forgetBias', 'basicLSTMCell');
              var $lstmKernel = convertToTensor(lstmKernel, 'lstmKernel', 'basicLSTMCell');
              var $lstmBias = convertToTensor(lstmBias, 'lstmBias', 'basicLSTMCell');
              var $data = convertToTensor(data, 'data', 'basicLSTMCell');
              var $c = convertToTensor(c, 'c', 'basicLSTMCell');
              var $h = convertToTensor(h, 'h', 'basicLSTMCell');
              var combined = concat([$data, $h], 1);
              var weighted = matMul(combined, $lstmKernel);
              var res = add$1(weighted, $lstmBias);
              // i = input_gate, j = new_input, f = forget_gate, o = output_gate
              var batchSize = res.shape[0];
              var sliceCols = res.shape[1] / 4;
              var sliceSize = [batchSize, sliceCols];
              var i = slice(res, [0, 0], sliceSize);
              var j = slice(res, [0, sliceCols], sliceSize);
              var f = slice(res, [0, sliceCols * 2], sliceSize);
              var o = slice(res, [0, sliceCols * 3], sliceSize);
              var newC = add$1(mul(sigmoid(i), tanh$1(j)), mul($c, sigmoid(add$1($forgetBias, f))));
              var newH = mul(tanh$1(newC), sigmoid(o));
              return [newC, newH];
            }
            var basicLSTMCell = op({ basicLSTMCell_: basicLSTMCell_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * This operation reshapes the "batch" dimension 0 into `M + 1` dimensions of
             * shape `blockShape + [batch]`, interleaves these blocks back into the grid
             * defined by the spatial dimensions `[1, ..., M]`, to obtain a result with
             * the same rank as the input. The spatial dimensions of this intermediate
             * result are then optionally cropped according to `crops` to produce the
             * output. This is the reverse of `tf.spaceToBatchND`. See below for a precise
             * description.
             *
             * ```js
             * const x = tf.tensor4d([1, 2, 3, 4], [4, 1, 1, 1]);
             * const blockShape = [2, 2];
             * const crops = [[0, 0], [0, 0]];
             *
             * x.batchToSpaceND(blockShape, crops).print();
             * ```
             *
             * @param x A `tf.Tensor`. N-D with `x.shape` = `[batch] + spatialShape +
             * remainingShape`, where spatialShape has `M` dimensions.
             * @param blockShape A 1-D array. Must have shape `[M]`, all values must
             * be >= 1.
             * @param crops A 2-D array.  Must have shape `[M, 2]`, all values must be >= 0.
             * `crops[i] = [cropStart, cropEnd]` specifies the amount to crop from input
             * dimension `i + 1`, which corresponds to spatial dimension `i`. It is required
             * that `cropStart[i] + cropEnd[i] <= blockShape[i] * inputShape[i + 1]`
             *
             * This operation is equivalent to the following steps:
             *
             * 1. Reshape `x` to `reshaped` of shape: `[blockShape[0], ...,
             * blockShape[M-1], batch / prod(blockShape), x.shape[1], ...,
             * x.shape[N-1]]`
             *
             * 2. Permute dimensions of `reshaped`to produce `permuted` of shape `[batch /
             * prod(blockShape),x.shape[1], blockShape[0], ..., x.shape[M],
             * blockShape[M-1],x.shape[M+1], ..., x.shape[N-1]]`
             *
             * 3. Reshape `permuted` to produce `reshapedPermuted` of shape `[batch /
             * prod(blockShape),x.shape[1] * blockShape[0], ..., x.shape[M] *
             * blockShape[M-1],x.shape[M+1], ..., x.shape[N-1]]`
             *
             * 4. Crop the start and end of dimensions `[1, ..., M]` of `reshapedPermuted`
             * according to `crops` to produce the output of shape: `[batch /
             * prod(blockShape),x.shape[1] * blockShape[0] - crops[0,0] - crops[0,1],
             * ..., x.shape[M] * blockShape[M-1] - crops[M-1,0] -
             * crops[M-1,1],x.shape[M+1], ..., x.shape[N-1]]`
             *
             * @doc {heading: 'Tensors', subheading: 'Transformations'}
             */
            function batchToSpaceND_(x, blockShape, crops) {
              var $x = convertToTensor(x, 'x', 'batchToSpaceND');
              var prod = blockShape.reduce(function (a, b) {
                return a * b;
              });
              assert($x.rank >= 1 + blockShape.length, function () {
                return (
                  'input rank is ' +
                  $x.rank +
                  ' but should be > than blockShape.length ' +
                  blockShape.length
                );
              });
              assert(crops.length === blockShape.length, function () {
                return (
                  'crops.length is ' +
                  crops.length +
                  ' but should be equal to blockShape.length  ' +
                  blockShape.length
                );
              });
              assert($x.shape[0] % prod === 0, function () {
                return (
                  'input tensor batch is ' +
                  $x.shape[0] +
                  ' but is not divisible by the product of ' +
                  ('the elements of blockShape ' + blockShape.join(' * ') + ' === ' + prod)
                );
              });
              var inputs = { x: $x };
              var attrs = { blockShape: blockShape, crops: crops };
              return ENGINE.runKernel(BatchToSpaceND, inputs, attrs);
            }
            var batchToSpaceND = op({ batchToSpaceND_: batchToSpaceND_ });

            function xAs4D(x) {
              var x4D;
              if (x.rank === 0 || x.rank === 1) {
                x4D = reshape(x, [1, 1, 1, x.size]);
              } else if (x.rank === 2) {
                x4D = reshape(x, [1, 1, x.shape[0], x.shape[1]]);
              } else if (x.rank === 3) {
                x4D = reshape(x, [1, x.shape[0], x.shape[1], x.shape[2]]);
              } else {
                x4D = x;
              }
              return x4D;
            }

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Batch normalization.
             *
             * As described in
             * [http://arxiv.org/abs/1502.03167](http://arxiv.org/abs/1502.03167).
             *
             * Mean, variance, scale, and offset can be of two shapes:
             *   - The same shape as the input.
             *   - In the common case, the depth dimension is the last dimension of x, so
             *     the values would be an `tf.Tensor1D` of shape [depth].
             *
             * Also available are stricter rank-specific methods with the same signature
             * as this method that assert that parameters passed are of given rank
             *   - `tf.batchNorm2d`
             *   - `tf.batchNorm3d`
             *   - `tf.batchNorm4d`
             *
             * @param x The input Tensor.
             * @param mean A mean Tensor.
             * @param variance A variance Tensor.
             * @param offset An offset Tensor.
             * @param scale A scale Tensor.
             * @param varianceEpsilon A small float number to avoid dividing by 0.
             *
             * @doc {heading: 'Operations', subheading: 'Normalization'}
             */
            function batchNorm_(x, mean, variance, offset, scale, varianceEpsilon) {
              if (varianceEpsilon == null) {
                varianceEpsilon = 0.001;
              }
              var $x = convertToTensor(x, 'x', 'batchNorm');
              var $mean = convertToTensor(mean, 'mean', 'batchNorm');
              var $variance = convertToTensor(variance, 'variance', 'batchNorm');
              var $scale;
              if (scale != null) {
                $scale = convertToTensor(scale, 'scale', 'batchNorm');
              }
              var $offset;
              if (offset != null) {
                $offset = convertToTensor(offset, 'offset', 'batchNorm');
              }
              assert($mean.rank === $variance.rank, function () {
                return (
                  'Batch normalization gradient requires mean and variance to have ' +
                  'equal ranks.'
                );
              });
              assert($offset == null || $mean.rank === $offset.rank, function () {
                return (
                  'Batch normalization gradient requires mean and offset to have ' + 'equal ranks.'
                );
              });
              assert($scale == null || $mean.rank === $scale.rank, function () {
                return (
                  'Batch normalization gradient requires mean and scale to have ' + 'equal ranks.'
                );
              });
              var x4D = xAs4D($x);
              var inputs = {
                x: x4D,
                scale: $scale,
                offset: $offset,
                mean: $mean,
                variance: $variance,
              };
              var attrs = { varianceEpsilon: varianceEpsilon };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              var res = ENGINE.runKernel(FusedBatchNorm, inputs, attrs);
              return reshape(res, $x.shape);
            }
            var batchNorm = op({ batchNorm_: batchNorm_ });

            /**
             * Batch normalization, strictly for 2D. For the more relaxed version, see
             * `tf.batchNorm`.
             *
             * @param x The input Tensor.
             * @param mean A mean Tensor.
             * @param variance A variance Tensor.
             * @param offset An offset Tensor.
             * @param scale A scale Tensor.
             * @param varianceEpsilon A small float number to avoid dividing by 0.
             */
            function batchNorm2d_(x, mean, variance, offset, scale, varianceEpsilon) {
              var $x = convertToTensor(x, 'x', 'batchNorm');
              var $mean = convertToTensor(mean, 'mean', 'batchNorm');
              var $variance = convertToTensor(variance, 'variance', 'batchNorm');
              var $scale;
              if (scale != null) {
                $scale = convertToTensor(scale, 'scale', 'batchNorm');
              }
              var $offset;
              if (offset != null) {
                $offset = convertToTensor(offset, 'offset', 'batchNorm');
              }
              assert($x.rank === 2, function () {
                return 'Error in batchNorm2D: x must be rank 2 but got rank ' + ($x.rank + '.');
              });
              assert($mean.rank === 2 || $mean.rank === 1, function () {
                return (
                  'Error in batchNorm2D: mean must be rank 2 or rank 1 but ' +
                  ('got rank ' + $mean.rank + '.')
                );
              });
              assert($variance.rank === 2 || $variance.rank === 1, function () {
                return (
                  'Error in batchNorm2D: variance must be rank 2 or rank 1 ' +
                  ('but got rank ' + $variance.rank + '.')
                );
              });
              if ($scale != null) {
                assert($scale.rank === 2 || $scale.rank === 1, function () {
                  return (
                    'Error in batchNorm2D: scale must be rank 2 or rank 1 ' +
                    ('but got rank ' + $scale.rank + '.')
                  );
                });
              }
              if ($offset != null) {
                assert($offset.rank === 2 || $offset.rank === 1, function () {
                  return (
                    'Error in batchNorm2D: offset must be rank 2 or rank 1 ' +
                    ('but got rank ' + $offset.rank + '.')
                  );
                });
              }
              return batchNorm($x, $mean, $variance, $offset, $scale, varianceEpsilon);
            }
            var batchNorm2d = op({ batchNorm2d_: batchNorm2d_ });

            /**
             * Batch normalization, strictly for 3D. For the more relaxed version, see
             * `tf.batchNorm`.
             *
             * @param x The input Tensor.
             * @param mean A mean Tensor.
             * @param variance A variance Tensor.
             * @param offset An offset Tensor.
             * @param scale A scale Tensor.
             * @param varianceEpsilon A small float number to avoid dividing by 0.
             */
            function batchNorm3d_(x, mean, variance, offset, scale, varianceEpsilon) {
              var $x = convertToTensor(x, 'x', 'batchNorm');
              var $mean = convertToTensor(mean, 'mean', 'batchNorm');
              var $variance = convertToTensor(variance, 'variance', 'batchNorm');
              var $scale;
              if (scale != null) {
                $scale = convertToTensor(scale, 'scale', 'batchNorm');
              }
              var $offset;
              if (offset != null) {
                $offset = convertToTensor(offset, 'offset', 'batchNorm');
              }
              assert($x.rank === 3, function () {
                return 'Error in batchNorm3D: x must be rank 3 but got rank ' + ($x.rank + '.');
              });
              assert($mean.rank === 3 || $mean.rank === 1, function () {
                return (
                  'Error in batchNorm3D: mean must be rank 3 or rank 1 but ' +
                  ('got rank ' + $mean.rank + '.')
                );
              });
              assert($variance.rank === 3 || $variance.rank === 1, function () {
                return (
                  'Error in batchNorm3D: variance must be rank 3 or rank 1 ' +
                  ('but got rank ' + $variance.rank + '.')
                );
              });
              if ($scale != null) {
                assert($scale.rank === 3 || $scale.rank === 1, function () {
                  return (
                    'Error in batchNorm3D: scale must be rank 3 or rank 1 ' +
                    ('but got rank ' + $scale.rank + '.')
                  );
                });
              }
              if ($offset != null) {
                assert($offset.rank === 3 || $offset.rank === 1, function () {
                  return (
                    'Error in batchNorm3D: offset must be rank 3 or rank 1 ' +
                    ('but got rank ' + $offset.rank + '.')
                  );
                });
              }
              return batchNorm($x, $mean, $variance, $offset, $scale, varianceEpsilon);
            }
            var batchNorm3d = op({ batchNorm3d_: batchNorm3d_ });

            /**
             * Batch normalization, strictly for 4D. For the more relaxed version, see
             * `tf.batchNorm`.
             *
             * @param x The input Tensor.
             * @param mean A mean Tensor.
             * @param variance A variance Tensor.
             * @param offset An offset Tensor.
             * @param scale A scale Tensor.
             * @param varianceEpsilon A small float number to avoid dividing by 0.
             */
            function batchNorm4d_(x, mean, variance, offset, scale, varianceEpsilon) {
              var $x = convertToTensor(x, 'x', 'batchNorm');
              var $mean = convertToTensor(mean, 'mean', 'batchNorm');
              var $variance = convertToTensor(variance, 'variance', 'batchNorm');
              var $scale;
              if (scale != null) {
                $scale = convertToTensor(scale, 'scale', 'batchNorm');
              }
              var $offset;
              if (offset != null) {
                $offset = convertToTensor(offset, 'offset', 'batchNorm');
              }
              assert($x.rank === 4, function () {
                return 'Error in batchNorm4D: x must be rank 4 but got rank ' + ($x.rank + '.');
              });
              assert($mean.rank === 4 || $mean.rank === 1, function () {
                return (
                  'Error in batchNorm4D: mean must be rank 4 or rank 1 but ' +
                  ('got rank ' + $mean.rank + '.')
                );
              });
              assert($variance.rank === 4 || $variance.rank === 1, function () {
                return (
                  'Error in batchNorm4D: variance must be rank 4 or rank 1 ' +
                  ('but got rank ' + $variance.rank + '.')
                );
              });
              if ($scale != null) {
                assert($scale.rank === 4 || $scale.rank === 1, function () {
                  return (
                    'Error in batchNorm4D: scale must be rank 4 or rank 1 ' +
                    ('but got rank ' + $scale.rank + '.')
                  );
                });
              }
              if ($offset != null) {
                assert($offset.rank === 4 || $offset.rank === 1, function () {
                  return (
                    'Error in batchNorm4D: offset must be rank 4 or rank 1 ' +
                    ('but got rank ' + $offset.rank + '.')
                  );
                });
              }
              return batchNorm($x, $mean, $variance, $offset, $scale, varianceEpsilon);
            }
            var batchNorm4d = op({ batchNorm4d_: batchNorm4d_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Outputs a vector with length `size` and the same dtype as `weights`.
             *
             * If `weights` are empty, then index `i` stores the number of times the value
             * `i` is counted in `x`. If `weights` are non-empty, then index `i` stores the
             * sum of the value in `weights` at each index where the corresponding value in
             * `x` is `i`.
             *
             * Values in `x` outside of the range [0, size) are ignored.
             *
             * @param x The input int tensor, rank 1.
             * @param weights The weights tensor, must have the same shape as x, or a
             *     length-0 Tensor, in which case it acts as all weights equal to 1.
             * @param size Non-negative integer.
             *
             * @doc {heading: 'Operations', subheading: 'Reduction'}
             */
            function bincount_(x, weights, size) {
              var $x = convertToTensor(x, 'x', 'bincount');
              var $weights = convertToTensor(weights, 'weights', 'bincount');
              assert($x.dtype === 'int32', function () {
                return 'Error in bincount: input ' + ('dtype must be int32, but got ' + $x.dtype);
              });
              assert(size >= 0, function () {
                return 'size must be non-negative, but got ' + size + '.';
              });
              assert($weights.size === $x.size || $weights.size === 0, function () {
                return (
                  'Error in bincount: weights must have the same size as input or' +
                  ('0-length, but got input shape: ' + $x.shape + ', weights shape: ') +
                  ($weights.shape + '.')
                );
              });
              var inputs = { x: $x, weights: $weights };
              var attrs = { size: size };
              return ENGINE.runKernel(Bincount, inputs, attrs);
            }
            var bincount = op({ bincount_: bincount_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Broadcast an array to a compatible shape NumPy-style.
             *
             * The tensor's shape is compared to the broadcast shape from end to beginning.
             * Ones are prepended to the tensor's shape until is has the same length as
             * the broadcast shape. If input.shape[i]==shape[i], the (i+1)-th axis is
             * already broadcast-compatible. If input.shape[i]==1 and shape[i]==N, then
             * the input tensor is tiled N times along that axis (using tf.tile).
             *
             * @param input The tensor that is to be broadcasted.
             * @param shape The input is to be broadcast to this shape.
             *
             * @doc {heading: 'Tensors', subheading: 'Transformations'}
             */
            function broadcastTo_(x, shape) {
              var input = convertToTensor(x, 'broadcastTo', 'x');
              var xShape = input.shape;
              if (
                shape.some(function (d) {
                  return !(d > 0) || d % 1 !== 0;
                })
              ) {
                throw new Error('broadcastTo(): Invalid broadcast shape [' + shape + '].');
              }
              if (shape.length < input.rank) {
                throw new Error(
                  'broadcastTo(): shape.length=' +
                    shape.length +
                    ' < input.rank=' +
                    input.rank +
                    '.',
                );
              }
              if (shape.length > input.rank) {
                var newShape = input.shape.slice();
                while (newShape.length < shape.length) {
                  newShape.unshift(1);
                }
                input = reshape(input, newShape);
              }
              var inputShape = input.shape;
              var reps = Array.from(shape);
              for (var i = shape.length - 1; i >= 0; i--) {
                if (inputShape[i] === shape[i]) {
                  reps[i] = 1;
                } else if (input.shape[i] !== 1) {
                  throw new Error(
                    'broadcastTo(): [' + xShape + '] cannot be broadcast to [' + shape + '].',
                  );
                }
              }
              var axes = reps
                .map(function (n, i) {
                  return n > 1 ? i : -1;
                })
                .filter(function (i) {
                  return i >= 0;
                });
              if (axes.length === 0) {
                return clone(input);
              }
              // TODO call broadcastTo kernel directly once backends implement broadcstTo
              var inputs = { x: input };
              var attrs = { reps: reps };
              return ENGINE.runKernel(Tile, inputs, attrs);
            }
            var broadcastTo = op({ broadcastTo_: broadcastTo_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes ceiling of input `tf.Tensor` element-wise: `ceil(x)`
             *
             * ```js
             * const x = tf.tensor1d([.6, 1.1, -3.3]);
             *
             * x.ceil().print();  // or tf.ceil(x)
             * ```
             * @param x The input Tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function ceil_(x) {
              var $x = convertToTensor(x, 'x', 'ceil');
              var inputs = { x: $x };
              return ENGINE.runKernel(Ceil, inputs);
            }
            var ceil = op({ ceil_: ceil_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Clips values element-wise. `max(min(x, clipValueMax), clipValueMin)`
             *
             * ```js
             * const x = tf.tensor1d([-1, 2, -3, 4]);
             *
             * x.clipByValue(-2, 3).print();  // or tf.clipByValue(x, -2, 3)
             * ```
             * @param x The input tensor.
             * @param clipValueMin Lower-bound of range to be clipped to.
             * @param clipValueMax Upper-bound of range to be clipped to.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function clipByValue_(x, clipValueMin, clipValueMax) {
              var $x = convertToTensor(x, 'x', 'clipByValue');
              assert(clipValueMin <= clipValueMax, function () {
                return (
                  'Error in clip: min (' +
                  clipValueMin +
                  ') must be ' +
                  ('less than or equal to max (' + clipValueMax + ').')
                );
              });
              var inputs = { x: $x };
              var attrs = { clipValueMin: clipValueMin, clipValueMax: clipValueMax };
              return ENGINE.runKernel(ClipByValue, inputs, attrs);
            }
            var clipByValue = op({ clipByValue_: clipByValue_ });

            /**
             * Concatenates a list of`tf.Tensor1D`s along an axis. See `concat` for details.
             *
             * For example, if:
             * A: shape(3) = |r1, g1, b1|
             * B: shape(2) = |r2, g2|
             * C = tf.concat1d([A, B]) == |r1, g1, b1, r2, g2|
             *
             * @param tensors A list of`tf.Tensor`s to concatenate.
             * @return The concatenated array.
             */
            function concat1d_(tensors) {
              return concat(tensors, 0 /* axis */);
            }
            var concat1d = op({ concat1d_: concat1d_ });

            /**
             * Concatenates a list of`tf.Tensor2D`s along an axis. See `concat` for details.
             *
             * For example, if:
             * A: shape(2, 3) = | r1, g1, b1 |
             *                  | r2, g2, b2 |
             *
             * B: shape(2, 3) = | r3, g3, b3 |
             *                  | r4, g4, b4 |
             *
             * C = tf.concat2d([A, B], axis)
             *
             * if axis = 0:
             * C: shape(4, 3) = | r1, g1, b1 |
             *                  | r2, g2, b2 |
             *                  | r3, g3, b3 |
             *                  | r4, g4, b4 |
             *
             * if axis = 1:
             * C = shape(2, 6) = | r1, g1, b1, r3, g3, b3 |
             *                   | r2, g2, b2, r4, g4, b4 |
             *
             *
             * @param tensors A list of `tf.Tensor`s to concatenate.
             * @param axis The axis to concatenate along.
             * @return The concatenated array.
             */
            function concat2d_(tensors, axis) {
              return concat(tensors, axis);
            }
            var concat2d = op({ concat2d_: concat2d_ });

            /**
             * Concatenates a list of `tf.Tensor3D`s along an axis.
             * See `concat` for details.
             *
             * For example, if:
             * A: shape(2, 1, 3) = | r1, g1, b1 |
             *                     | r2, g2, b2 |
             *
             * B: shape(2, 1, 3) = | r3, g3, b3 |
             *                     | r4, g4, b4 |
             *
             * C = tf.concat3d([A, B], axis)
             *
             * if axis = 0:
             * C: shape(4, 1, 3) = | r1, g1, b1 |
             *                     | r2, g2, b2 |
             *                     | r3, g3, b3 |
             *                     | r4, g4, b4 |
             *
             * if axis = 1:
             * C: shape(2, 2, 3) = | r1, g1, b1, r3, g3, b3 |
             *                     | r2, g2, b2, r4, g4, b4 |
             *
             * if axis = 2:
             * C = shape(2, 1, 6) = | r1, g1, b1, r3, g3, b3 |
             *                      | r2, g2, b2, r4, g4, b4 |
             *
             * @param tensors A list of`tf.Tensor`s to concatenate.
             * @param axis The axis to concate along.
             * @return The concatenated array.
             */
            function concat3d_(tensors, axis) {
              return concat(tensors, axis);
            }
            var concat3d = op({ concat3d_: concat3d_ });

            /**
             * Concatenates a list of `tf.Tensor4D`s along an axis.
             * See `concat` for details.
             *
             * @param tensors A list of `tf.Tensor`s to concatenate.
             * @param axis The axis to concate along.
             * @return The concatenated array.
             */
            function concat4d_(tensors, axis) {
              return concat(tensors, axis);
            }
            var concat4d = op({ concat4d_: concat4d_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes a 2D convolution over the input x.
             *
             * @param x The input tensor, of rank 4 or rank 3, of shape
             *     `[batch, height, width, inChannels]`. If rank 3, batch of 1 is
             * assumed.
             * @param filter The filter, rank 4, of shape
             *     `[filterHeight, filterWidth, inDepth, outDepth]`.
             * @param strides The strides of the convolution: `[strideHeight,
             * strideWidth]`.
             * @param pad The type of padding algorithm.
             *    - `same` and stride 1: output will be of same size as input,
             *       regardless of filter size.
             *    - `valid`: output will be smaller than input if filter is larger
             *       than 1x1.
             *   - For more info, see this guide:
             *     [https://www.tensorflow.org/api_guides/python/nn#Convolution](
             *          https://www.tensorflow.org/api_guides/python/nn#Convolution)
             * @param dataFormat: An optional string from: "NHWC", "NCHW". Defaults to
             *     "NHWC". Specify the data format of the input and output data. With the
             *     default format "NHWC", the data is stored in the order of: [batch,
             *     height, width, channels].
             * @param dilations The dilation rates: `[dilationHeight, dilationWidth]`
             *     in which we sample input values across the height and width dimensions
             *     in atrous convolution. Defaults to `[1, 1]`. If `dilations` is a single
             *     number, then `dilationHeight == dilationWidth`. If it is greater than
             *     1, then all values of `strides` must be 1.
             * @param dimRoundingMode A string from: 'ceil', 'round', 'floor'. If none is
             *     provided, it will default to truncate.
             *
             * @doc {heading: 'Operations', subheading: 'Convolution'}
             */
            function conv2d_(x, filter, strides, pad, dataFormat, dilations, dimRoundingMode) {
              if (dataFormat === void 0) {
                dataFormat = 'NHWC';
              }
              if (dilations === void 0) {
                dilations = [1, 1];
              }
              var $x = convertToTensor(x, 'x', 'conv2d');
              var $filter = convertToTensor(filter, 'filter', 'conv2d');
              var x4D = $x;
              var reshapedTo4D = false;
              if ($x.rank === 3) {
                reshapedTo4D = true;
                x4D = reshape($x, [1, $x.shape[0], $x.shape[1], $x.shape[2]]);
              }
              assert(x4D.rank === 4, function () {
                return 'Error in conv2d: input must be rank 4, but got rank ' + x4D.rank + '.';
              });
              assert($filter.rank === 4, function () {
                return (
                  'Error in conv2d: filter must be rank 4, but got rank ' + ($filter.rank + '.')
                );
              });
              if (dimRoundingMode != null) {
                assert(isInt(pad), function () {
                  return (
                    'Error in conv2d: pad must be an integer when using, ' +
                    ('dimRoundingMode ' + dimRoundingMode + ' but got pad ' + pad + '.')
                  );
                });
              }
              var inDepth = dataFormat === 'NHWC' ? x4D.shape[3] : x4D.shape[1];
              assert(inDepth === $filter.shape[2], function () {
                return (
                  'Error in conv2d: depth of input (' +
                  inDepth +
                  ') must match ' +
                  ('input depth for filter ' + $filter.shape[2] + '.')
                );
              });
              assert(eitherStridesOrDilationsAreOne(strides, dilations), function () {
                return (
                  'Error in conv2D: Either strides or dilations must be 1. ' +
                  ('Got strides ' + strides + " and dilations '" + dilations + "'")
                );
              });
              var inputs = { x: x4D, filter: $filter };
              var attrs = {
                strides: strides,
                pad: pad,
                dataFormat: dataFormat,
                dilations: dilations,
                dimRoundingMode: dimRoundingMode,
              };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              var res = ENGINE.runKernel(Conv2D, inputs, attrs);
              if (reshapedTo4D) {
                return reshape(res, [res.shape[1], res.shape[2], res.shape[3]]);
              }
              return res;
            }
            var conv2d = op({ conv2d_: conv2d_ });

            /**
             * Computes a 1D convolution over the input x.
             *
             * @param x The input tensor, of rank 3 or rank 2, of shape
             *     `[batch, width, inChannels]`. If rank 2, batch of 1 is assumed.
             * @param filter The filter, rank 3, of shape
             *     `[filterWidth, inDepth, outDepth]`.
             * @param stride The number of entries by which the filter is moved right at
             *     each step.
             * @param pad The type of padding algorithm.
             *    - `same` and stride 1: output will be of same size as input,
             *       regardless of filter size.
             *    - `valid`: output will be smaller than input if filter is larger
             *       than 1x1.
             *   - For more info, see this guide:
             *     [https://www.tensorflow.org/api_guides/python/nn#Convolution](
             *          https://www.tensorflow.org/api_guides/python/nn#Convolution)
             * @param dataFormat An optional string from "NWC", "NCW". Defaults to "NWC",
             *     the data is stored in the order of [batch, in_width, in_channels]. Only
             *     "NWC" is currently supported.
             * @param dilation The dilation rate in which we sample input values in
             *     atrous convolution. Defaults to `1`. If it is greater than 1, then
             *     stride must be `1`.
             * @param dimRoundingMode A string from: 'ceil', 'round', 'floor'. If none is
             *     provided, it will default to truncate.
             *
             * @doc {heading: 'Operations', subheading: 'Convolution'}
             */
            function conv1d_(x, filter, stride, pad, dataFormat, dilation, dimRoundingMode) {
              if (dataFormat === void 0) {
                dataFormat = 'NWC';
              }
              if (dilation === void 0) {
                dilation = 1;
              }
              var $x = convertToTensor(x, 'x', 'conv1d');
              var $filter = convertToTensor(filter, 'filter', 'conv1d');
              var x3D = $x;
              var reshapedTo3D = false;
              if ($x.rank === 2) {
                reshapedTo3D = true;
                x3D = reshape($x, [1, $x.shape[0], $x.shape[1]]);
              }
              assert(x3D.rank === 3, function () {
                return 'Error in conv1d: input must be rank 3, but got rank ' + x3D.rank + '.';
              });
              assert($filter.rank === 3, function () {
                return (
                  'Error in conv1d: filter must be rank 3, but got rank ' + ($filter.rank + '.')
                );
              });
              if (dimRoundingMode != null) {
                assert(isInt(pad), function () {
                  return (
                    'Error in conv1d: pad must be an integer when using, ' +
                    ('dimRoundingMode ' + dimRoundingMode + ' but got pad ' + pad + '.')
                  );
                });
              }
              assert(x3D.shape[2] === $filter.shape[1], function () {
                return (
                  'Error in conv1d: depth of input (' +
                  x3D.shape[2] +
                  ') must match ' +
                  ('input depth for filter ' + $filter.shape[1] + '.')
                );
              });
              assert(eitherStridesOrDilationsAreOne(stride, dilation), function () {
                return (
                  'Error in conv1D: Either stride or dilation must be 1. ' +
                  ('Got stride ' + stride + " and dilation '" + dilation + "'")
                );
              });
              assert(dataFormat === 'NWC', function () {
                return (
                  'Error in conv1d: got dataFormat of ' +
                  dataFormat +
                  ' but only NWC is currently supported.'
                );
              });
              var filter4D = reshape($filter, [
                1,
                $filter.shape[0],
                $filter.shape[1],
                $filter.shape[2],
              ]);
              var input4D = reshape(x3D, [x3D.shape[0], 1, x3D.shape[1], x3D.shape[2]]);
              var strides = [1, stride];
              var dilations = [1, dilation];
              var conv2dDataFormat = 'NHWC';
              var res = conv2d(
                input4D,
                filter4D,
                strides,
                pad,
                conv2dDataFormat,
                dilations,
                dimRoundingMode,
              );
              if (reshapedTo3D) {
                return reshape(res, [res.shape[2], res.shape[3]]);
              }
              return reshape(res, [res.shape[0], res.shape[2], res.shape[3]]);
            }
            var conv1d = op({ conv1d_: conv1d_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the derivative of the input of a 2D convolution.
             *
             * @param xShape The shape of the input: [batch, height, width, inDepth].
             * If length of 3, batch of 1 is assumed.
             * @param dy The derivative of the output, of rank 4 or rank 3 of shape
             *   `[batch, outHeight, outWidth, outDepth]`. If rank 3, batch of 1 is
             * assumed.
             * @param filter The filter, rank 4, of shape
             *     `[filterHeight, filterWidth, inDepth, outDepth]`.
             * @param strides The strides of the convolution: `[strideHeight,
             * strideWidth]`.
             * @param pad The type of padding algorithm used:
             *    - `same` and stride 1: output will be of same size as input,
             *       regardless of filter size.
             *    - `valid`: output will be smaller than input if filter is larger
             *       than 1x1.
             * @param dataFormat: An optional string from: "NHWC", "NCHW". Defaults to
             *     "NHWC". Specify the data format of the input and output data. With the
             *     default format "NHWC", the data is stored in the order of: [batch,
             *     height, width, channels].
             * @param dimRoundingMode A string from: 'ceil', 'round', 'floor'. If none is
             *     provided, it will default to truncate.
             */
            function conv2DBackpropInput_(
              xShape,
              dy,
              filter,
              strides,
              pad,
              dataFormat,
              dimRoundingMode,
            ) {
              if (dataFormat === void 0) {
                dataFormat = 'NHWC';
              }
              assert(xShape.length === dy.rank, function () {
                return (
                  'Length of inShape ' +
                  ('(' + xShape.length + ') and rank of dy (' + dy.rank + ') must match')
                );
              });
              var xShape4D = xShape;
              var dy4D = dy;
              var reshapedTo4D = false;
              if (dy.rank === 3) {
                reshapedTo4D = true;
                dy4D = reshape(dy, [1, dy.shape[0], dy.shape[1], dy.shape[2]]);
                xShape4D = [1, xShape[0], xShape[1], xShape[2]];
              }
              assert(xShape4D.length === 4, function () {
                return (
                  'Error in conv2dDerInput: inShape must be length 4, but got length ' +
                  (xShape4D.length + '.')
                );
              });
              assert(dy4D.rank === 4, function () {
                return (
                  'Error in conv2dDerInput: dy must be rank 4, but got ' + ('rank ' + dy4D.rank)
                );
              });
              assert(filter.rank === 4, function () {
                return (
                  'Error in conv2dDerInput: filter must be rank 4, but got ' +
                  ('rank ' + filter.rank)
                );
              });
              var inDepth = dataFormat === 'NHWC' ? xShape4D[3] : xShape4D[1];
              var outDepth = dataFormat === 'NHWC' ? dy4D.shape[3] : dy4D.shape[1];
              assert(inDepth === filter.shape[2], function () {
                return (
                  'Error in conv2dDerInput: depth of input (' +
                  inDepth +
                  ') must ' +
                  ('match input depth for filter ' + filter.shape[2] + '.')
                );
              });
              assert(outDepth === filter.shape[3], function () {
                return (
                  'Error in conv2dDerInput: depth of output (' +
                  outDepth +
                  ') must ' +
                  ('match output depth for filter ' + filter.shape[3] + '.')
                );
              });
              if (dimRoundingMode != null) {
                assert(isInt(pad), function () {
                  return (
                    'Error in conv2dDerInput: pad must be an integer when using, ' +
                    ('dimRoundingMode ' + dimRoundingMode + ' but got pad ' + pad + '.')
                  );
                });
              }
              var inputs = { dy: dy4D, filter: filter };
              var attrs = {
                strides: strides,
                pad: pad,
                dataFormat: dataFormat,
                dimRoundingMode: dimRoundingMode,
                inputShape: xShape4D,
              };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              var res = ENGINE.runKernel(Conv2DBackpropInput, inputs, attrs);
              if (reshapedTo4D) {
                return reshape(res, [res.shape[1], res.shape[2], res.shape[3]]);
              }
              return res;
            }
            var conv2DBackpropInput = op({ conv2DBackpropInput_: conv2DBackpropInput_ });

            /**
             * Computes the transposed 2D convolution of an image, also known as a
             * deconvolution.
             *
             * @param x The input image, of rank 4 or rank 3, of shape
             *   `[batch, height, width, inDepth]`. If rank 3, batch of 1 is assumed.
             * @param filter The filter, rank 4, of shape
             *     `[filterHeight, filterWidth, outDepth, inDepth]`.
             *     `inDepth` must match `inDepth` in `x`.
             * @param outputShape Output shape, of rank 4 or rank 3:
             *     `[batch, height, width, outDepth]`. If rank 3, batch of 1 is assumed.
             * @param strides The strides of the original convolution:
             *     `[strideHeight, strideWidth]`.
             * @param pad  The type of padding algorithm used in the non-transpose version
             *    of the op.
             * @param dimRoundingMode A string from: 'ceil', 'round', 'floor'. If none is
             *     provided, it will default to truncate.
             *
             * @doc {heading: 'Operations', subheading: 'Convolution'}
             */
            function conv2dTranspose_(x, filter, outputShape, strides, pad, dimRoundingMode) {
              var $x = convertToTensor(x, 'x', 'conv2dTranspose');
              var $filter = convertToTensor(filter, 'filter', 'conv2dTranspose');
              return conv2DBackpropInput(
                outputShape,
                $x,
                $filter,
                strides,
                pad,
                'NHWC',
                dimRoundingMode,
              );
            }
            var conv2dTranspose = op({ conv2dTranspose_: conv2dTranspose_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes a 3D convolution over the input x.
             *
             * @param x The input tensor, of rank 5 or rank 4, of shape
             *     `[batch, depth, height, width, channels]`. If rank 4,
             * batch of 1 is assumed.
             * @param filter The filter, rank 5, of shape
             *     `[filterDepth, filterHeight, filterWidth, inChannels, outChannels]`.
             *      inChannels must match between input and filter.
             * @param strides The strides of the convolution: `[strideDepth, strideHeight,
             * strideWidth]`.
             * @param pad The type of padding algorithm.
             *    - `same` and stride 1: output will be of same size as input,
             *       regardless of filter size.
             *    - `valid`: output will be smaller than input if filter is larger
             *       than 1x1.
             *   - For more info, see this guide:
             *     [https://www.tensorflow.org/api_guides/python/nn#Convolution](
             *          https://www.tensorflow.org/api_guides/python/nn#Convolution)
             * @param dataFormat: An optional string from: "NDHWC", "NCDHW". Defaults to
             *     "NDHWC". Specify the data format of the input and output data. With the
             *     default format "NDHWC", the data is stored in the order of: [batch,
             *     depth, height, width, channels]. Only "NDHWC" is currently supported.
             * @param dilations The dilation rates: `[dilationDepth, dilationHeight,
             *     dilationWidth]` in which we sample input values across the height
             *     and width dimensions in atrous convolution. Defaults to `[1, 1, 1]`.
             *     If `dilations` is a single number, then
             *     `dilationDepth == dilationHeight == dilationWidth`. If it is greater
             *     than 1, then all values of `strides` must be 1.
             *
             * @doc {heading: 'Operations', subheading: 'Convolution'}
             */
            function conv3d_(x, filter, strides, pad, dataFormat, dilations) {
              if (dataFormat === void 0) {
                dataFormat = 'NDHWC';
              }
              if (dilations === void 0) {
                dilations = [1, 1, 1];
              }
              var $x = convertToTensor(x, 'x', 'conv3d');
              var $filter = convertToTensor(filter, 'filter', 'conv3d');
              var x5D = $x;
              var reshapedTo5D = false;
              if ($x.rank === 4) {
                reshapedTo5D = true;
                x5D = reshape($x, [1, $x.shape[0], $x.shape[1], $x.shape[2], $x.shape[3]]);
              }
              assert(x5D.rank === 5, function () {
                return 'Error in conv3d: input must be rank 5, but got rank ' + x5D.rank + '.';
              });
              assert($filter.rank === 5, function () {
                return (
                  'Error in conv3d: filter must be rank 5, but got rank ' + ($filter.rank + '.')
                );
              });
              assert(x5D.shape[4] === $filter.shape[3], function () {
                return (
                  'Error in conv3d: depth of input (' +
                  x5D.shape[4] +
                  ') must match ' +
                  ('input depth for filter ' + $filter.shape[3] + '.')
                );
              });
              assert(eitherStridesOrDilationsAreOne(strides, dilations), function () {
                return (
                  'Error in conv3D: Either strides or dilations must be 1. ' +
                  ('Got strides ' + strides + " and dilations '" + dilations + "'")
                );
              });
              assert(dataFormat === 'NDHWC', function () {
                return (
                  'Error in conv3d: got dataFormat of ' +
                  dataFormat +
                  ' but only NDHWC is currently supported.'
                );
              });
              var inputs = { x: x5D, filter: $filter };
              var attrs = {
                strides: strides,
                pad: pad,
                dataFormat: dataFormat,
                dilations: dilations,
              };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              var res = ENGINE.runKernel(Conv3D, inputs, attrs);
              if (reshapedTo5D) {
                return reshape(res, [res.shape[1], res.shape[2], res.shape[3], res.shape[4]]);
              }
              return res;
            }
            var conv3d = op({ conv3d_: conv3d_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the derivative of the input of a 3D convolution.
             *
             * @param xShape The shape of the input: [batch, depth, height, width,
             * in_channels]. If length of 4, batch of 1 is assumed.
             * @param dy The derivative of the output, of rank 5 or rank 4 of shape
             *   `[batch, outDepth, outHeight, outWidth, in_channels]`.
             * If rank 4, batch of 1 is assumed.
             * @param filter The filter, rank 5, of shape
             *     `[filterDepth, filterHeight, filterWidth, inDepth, outDepth]`.
             * @param strides The strides of the convolution: `[strideDepth, strideHeight,
             * strideWidth]`.
             * @param pad The type of padding algorithm used:
             *    - `same` and stride 1: output will be of same size as input,
             *       regardless of filter size.
             *    - `valid`: output will be smaller than input if filter is larger
             *       than 1x1.
             */
            function conv3DBackpropInput_(xShape, dy, filter, strides, pad) {
              assert(xShape.length === dy.rank, function () {
                return (
                  'Length of inShape ' +
                  ('(' + xShape.length + ') and rank of dy (' + dy.rank + ') must match')
                );
              });
              var xShape5D = xShape;
              var dy5D = dy;
              var reshapedTo5D = false;
              if (dy.rank === 4) {
                reshapedTo5D = true;
                dy5D = reshape(dy, [1, dy.shape[0], dy.shape[1], dy.shape[2], dy.shape[3]]);
                xShape5D = [1, xShape[0], xShape[1], xShape[2], xShape[3]];
              }
              var inDepth = xShape5D[4];
              var outDepth = dy5D.shape[4];
              assert(xShape5D.length === 5, function () {
                return (
                  'Error in conv3dDerInput: inShape must be length 5, but got length ' +
                  (xShape5D.length + '.')
                );
              });
              assert(dy5D.rank === 5, function () {
                return (
                  'Error in conv3dDerInput: dy must be rank 5, but got ' + ('rank ' + dy5D.rank)
                );
              });
              assert(filter.rank === 5, function () {
                return (
                  'Error in conv3dDerInput: filter must be rank 5, but got ' +
                  ('rank ' + filter.rank)
                );
              });
              assert(inDepth === filter.shape[3], function () {
                return (
                  'Error in conv3dDerInput: depth of input (' +
                  inDepth +
                  ') must ' +
                  ('match input depth for filter ' + filter.shape[3] + '.')
                );
              });
              assert(outDepth === filter.shape[4], function () {
                return (
                  'Error in conv3dDerInput: depth of output (' +
                  outDepth +
                  ') must ' +
                  ('match output depth for filter ' + filter.shape[4] + '.')
                );
              });
              var inputs = { dy: dy5D, filter: filter };
              var attrs = { pad: pad, strides: strides, inputShape: xShape5D };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              var res = ENGINE.runKernel(Conv3DBackpropInputV2, inputs, attrs);
              if (reshapedTo5D) {
                return reshape(res, [res.shape[1], res.shape[2], res.shape[3], res.shape[4]]);
              }
              return res;
            }
            var conv3DBackpropInput = op({ conv3DBackpropInput_: conv3DBackpropInput_ });

            /**
             * Computes the transposed 3D convolution of a volume, also known as a
             * deconvolution.
             *
             * @param x The input image, of rank 5 or rank 4, of shape
             *   `[batch, depth, height, width, inDepth]`. If rank 4, batch of 1 is assumed.
             * @param filter The filter, rank 4, of shape
             *     `[depth, filterHeight, filterWidth, outDepth, inDepth]`.
             *     `inDepth` must match `inDepth` in `x`.
             * @param outputShape Output shape, of rank 5 or rank 4:
             *     `[batch, depth, height, width, outDepth]`. If rank 3, batch of 1 is
             *    assumed.
             * @param strides The strides of the original convolution:
             *     `[strideDepth, strideHeight, strideWidth]`.
             * @param pad  The type of padding algorithm used in the non-transpose version
             *    of the op.
             *
             * @doc {heading: 'Operations', subheading: 'Convolution'}
             */
            function conv3dTranspose_(x, filter, outputShape, strides, pad) {
              var $x = convertToTensor(x, 'x', 'conv3dTranspose');
              var $filter = convertToTensor(filter, 'filter', 'conv3dTranspose');
              return conv3DBackpropInput(outputShape, $x, $filter, strides, pad);
            }
            var conv3dTranspose = op({ conv3dTranspose_: conv3dTranspose_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes cos of the input `tf.Tensor` element-wise: `cos(x)`
             *
             * ```js
             * const x = tf.tensor1d([0, Math.PI / 2, Math.PI * 3 / 4]);
             *
             * x.cos().print();  // or tf.cos(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function cos_(x) {
              var $x = convertToTensor(x, 'x', 'cos');
              var inputs = { x: $x };
              return ENGINE.runKernel(Cos, inputs);
            }
            var cos = op({ cos_: cos_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes hyperbolic cos of the input `tf.Tensor` element-wise: `cosh(x)`
             *
             * ```js
             * const x = tf.tensor1d([0, 1, -1, .7]);
             *
             * x.cosh().print();  // or tf.cosh(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function cosh_(x) {
              var $x = convertToTensor(x, 'x', 'cosh');
              var inputs = { x: $x };
              return ENGINE.runKernel(Cosh, inputs);
            }
            var cosh = op({ cosh_: cosh_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the cumulative sum of a `tf.Tensor` along `axis`.
             *
             * ```js
             * const x = tf.tensor([1, 2, 3, 4]);
             * x.cumsum().print();
             * ```
             * ```js
             * const x = tf.tensor([[1, 2], [3, 4]]);
             * x.cumsum().print();
             * ```
             *
             * @param x The input tensor to be summed.
             * @param axis The axis along which to sum. Optional. Defaults to 0.
             * @param exclusive Whether to perform exclusive cumulative sum. Optional.
             *     Defaults to false. If set to true then the sum of each tensor entry
             *     does not include its own value, but only the values previous to it
             *     along the specified axis.
             * @param reverse Whether to sum in the opposite direction. Optional.
             *     Defaults to false.
             *
             * @doc {heading: 'Operations', subheading: 'Scan'}
             */
            function cumsum_(x, axis, exclusive, reverse) {
              if (axis === void 0) {
                axis = 0;
              }
              if (exclusive === void 0) {
                exclusive = false;
              }
              if (reverse === void 0) {
                reverse = false;
              }
              var $x = convertToTensor(x, 'x', 'cumsum');
              var inputs = { x: $x };
              var attrs = { axis: axis, exclusive: exclusive, reverse: reverse };
              return ENGINE.runKernel(Cumsum, inputs, attrs);
            }
            var cumsum = op({ cumsum_: cumsum_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Outputs a vector with length `size` and the same dtype as `weights`.
             *
             * If `weights` are empty, then index `i` stores the number of times the value
             * `i` is counted in `x`. If `weights` are non-empty, then index `i` stores the
             * sum of the value in `weights` at each index where the corresponding value in
             * `x` is `i`.
             *
             * Values in `x` outside of the range [0, size) are ignored.
             *
             * @param x The input int tensor, rank 1 or rank 2.
             * @param weights The weights tensor, must have the same shape as x, or a
             *     length-0 Tensor, in which case it acts as all weights equal to 1.
             * @param size Non-negative integer.
             * @param binaryOutput Optional. Whether the kernel should count the appearance
             *     or number of occurrences. Defaults to False.
             *
             * @doc {heading: 'Operations', subheading: 'Reduction'}
             */
            function denseBincount_(x, weights, size, binaryOutput) {
              if (binaryOutput === void 0) {
                binaryOutput = false;
              }
              var $x = convertToTensor(x, 'x', 'denseBincount');
              var $weights = convertToTensor(weights, 'weights', 'denseBincount');
              assert($x.dtype === 'int32', function () {
                return (
                  'Error in denseBincount: input ' + ('dtype must be int32, but got ' + $x.dtype)
                );
              });
              assert($x.rank <= 2, function () {
                return (
                  'Error in denseBincount: input must be at most rank 2, but got ' +
                  ('rank ' + $x.rank + '.')
                );
              });
              assert(size >= 0, function () {
                return 'size must be non-negative, but got ' + size + '.';
              });
              assert($weights.size === $x.size || $weights.size === 0, function () {
                return (
                  'Error in denseBincount: weights must have the same shape as x or ' +
                  ('0-length, but got x shape: ' + $x.shape + ', weights shape: ') +
                  ($weights.shape + '.')
                );
              });
              var inputs = { x: $x, weights: $weights };
              var attrs = { size: size, binaryOutput: binaryOutput };
              return ENGINE.runKernel(DenseBincount, inputs, attrs);
            }
            var denseBincount = op({ denseBincount_: denseBincount_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Rearranges data from depth into blocks of spatial data. More specifically,
             * this op outputs a copy of the input tensor where values from the `depth`
             * dimension are moved in spatial blocks to the `height` and `width` dimensions.
             * The attr `blockSize` indicates the input block size and how the data is
             * moved.
             *
             *  - Chunks of data of size `blockSize * blockSize` from depth are rearranged
             * into non-overlapping blocks of size `blockSize x blockSize`
             *
             *  - The width the output tensor is `inputWidth * blockSize`, whereas the
             * height is `inputHeight * blockSize`
             *
             *  - The Y, X coordinates within each block of the output image are determined
             * by the high order component of the input channel index
             *
             *  - The depth of the input tensor must be divisible by `blockSize *
             * blockSize`
             *
             * The `dataFormat` attr specifies the layout of the input and output tensors
             * with the following options: "NHWC": [ `batch, height, width, channels` ]
             * "NCHW": [ `batch, channels, height, width` ]
             *
             * ```js
             * const x = tf.tensor4d([1, 2, 3, 4], [1, 1, 1, 4]);
             * const blockSize = 2;
             * const dataFormat = "NHWC";
             *
             * tf.depthToSpace(x, blockSize, dataFormat).print();
             * ```
             *
             * @param x The input tensor of rank 4
             * @param blockSIze  An `int` that is `>= 2`. The size of the spatial block
             * @param dataFormat An optional string from: "NHWC", "NCHW". Defaults to "NHWC"
             *
             * @doc {heading: 'Tensors', subheading: 'Transformations'}
             */
            function depthToSpace_(x, blockSize, dataFormat) {
              if (dataFormat === void 0) {
                dataFormat = 'NHWC';
              }
              var $x = convertToTensor(x, 'x', 'depthToSpace');
              var inputHeight = dataFormat === 'NHWC' ? $x.shape[1] : $x.shape[2];
              var inputWidth = dataFormat === 'NHWC' ? $x.shape[2] : $x.shape[3];
              var inputDepth = dataFormat === 'NHWC' ? $x.shape[3] : $x.shape[1];
              assert(inputHeight * blockSize >= 0, function () {
                return (
                  'Negative dimension size caused by overflow when multiplying\n    ' +
                  inputHeight +
                  ' and ' +
                  blockSize +
                  '  for depthToSpace with input shape\n    ' +
                  $x.shape
                );
              });
              assert(inputWidth * blockSize >= 0, function () {
                return (
                  'Negative dimension size caused by overflow when multiplying\n    ' +
                  inputWidth +
                  ' and ' +
                  blockSize +
                  ' for depthToSpace with input shape\n        ' +
                  $x.shape
                );
              });
              assert(inputDepth % (blockSize * blockSize) === 0, function () {
                return (
                  'Dimension size must be evenly divisible by ' +
                  blockSize * blockSize +
                  ' but is ' +
                  inputDepth +
                  ' for depthToSpace with input shape ' +
                  $x.shape
                );
              });
              var inputs = { x: $x };
              var attrs = { blockSize: blockSize, dataFormat: dataFormat };
              return ENGINE.runKernel(DepthToSpace, inputs, attrs);
            }
            var depthToSpace = op({ depthToSpace_: depthToSpace_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Depthwise 2D convolution.
             *
             * Given a 4D `input` array and a `filter` array of shape
             * `[filterHeight, filterWidth, inChannels, channelMultiplier]` containing
             * `inChannels` convolutional filters of depth 1, this op applies a
             * different filter to each input channel (expanding from 1 channel to
             * `channelMultiplier` channels for each), then concatenates the results
             * together. The output has `inChannels * channelMultiplier` channels.
             *
             * See
             * [https://www.tensorflow.org/api_docs/python/tf/nn/depthwise_conv2d](
             *     https://www.tensorflow.org/api_docs/python/tf/nn/depthwise_conv2d)
             * for more details.
             *
             * @param x The input tensor, of rank 4 or rank 3, of shape
             *     `[batch, height, width, inChannels]`. If rank 3, batch of 1 is
             * assumed.
             * @param filter The filter tensor, rank 4, of shape
             *     `[filterHeight, filterWidth, inChannels, channelMultiplier]`.
             * @param strides The strides of the convolution: `[strideHeight,
             * strideWidth]`. If strides is a single number, then `strideHeight ==
             * strideWidth`.
             * @param pad The type of padding algorithm.
             *   - `same` and stride 1: output will be of same size as input,
             *       regardless of filter size.
             *   - `valid`: output will be smaller than input if filter is larger
             *       than 1x1.
             *   - For more info, see this guide:
             *     [https://www.tensorflow.org/api_guides/python/nn#Convolution](
             *          https://www.tensorflow.org/api_guides/python/nn#Convolution)
             * @param dilations The dilation rates: `[dilationHeight, dilationWidth]`
             *     in which we sample input values across the height and width dimensions
             *     in atrous convolution. Defaults to `[1, 1]`. If `rate` is a single
             *     number, then `dilationHeight == dilationWidth`. If it is greater than
             *     1, then all values of `strides` must be 1.
             * @param dataFormat: An optional string from: "NHWC", "NCHW". Defaults to
             *     "NHWC". Specify the data format of the input and output data. With the
             *     default format "NHWC", the data is stored in the order of: [batch,
             *     height, width, channels]. Only "NHWC" is currently supported.
             * @param dimRoundingMode A string from: 'ceil', 'round', 'floor'. If none is
             *     provided, it will default to truncate.
             *
             * @doc {heading: 'Operations', subheading: 'Convolution'}
             */
            function depthwiseConv2d_(
              x,
              filter,
              strides,
              pad,
              dataFormat,
              dilations,
              dimRoundingMode,
            ) {
              if (dataFormat === void 0) {
                dataFormat = 'NHWC';
              }
              if (dilations === void 0) {
                dilations = [1, 1];
              }
              var $x = convertToTensor(x, 'x', 'depthwiseConv2d');
              var $filter = convertToTensor(filter, 'filter', 'depthwiseConv2d');
              var x4D = $x;
              var reshapedTo4D = false;
              if ($x.rank === 3) {
                reshapedTo4D = true;
                x4D = reshape($x, [1, $x.shape[0], $x.shape[1], $x.shape[2]]);
              }
              assert(x4D.rank === 4, function () {
                return (
                  'Error in depthwiseConv2d: input must be rank 4, but got ' +
                  ('rank ' + x4D.rank + '.')
                );
              });
              assert($filter.rank === 4, function () {
                return (
                  'Error in depthwiseConv2d: filter must be rank 4, but got rank ' +
                  ($filter.rank + '.')
                );
              });
              assert(x4D.shape[3] === $filter.shape[2], function () {
                return (
                  'Error in depthwiseConv2d: number of input channels ' +
                  ('(' + x4D.shape[3] + ') must match the inChannels dimension in ') +
                  ('filter ' + $filter.shape[2] + '.')
                );
              });
              if (dimRoundingMode != null) {
                assert(isInt(pad), function () {
                  return (
                    'Error in depthwiseConv2d: pad must be an integer when using, ' +
                    ('dimRoundingMode ' + dimRoundingMode + ' but got pad ' + pad + '.')
                  );
                });
              }
              var inputs = { x: x4D, filter: $filter };
              var attrs = {
                strides: strides,
                pad: pad,
                dataFormat: dataFormat,
                dilations: dilations,
                dimRoundingMode: dimRoundingMode,
              };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              var res = ENGINE.runKernel(DepthwiseConv2dNative, inputs, attrs);
              if (reshapedTo4D) {
                return reshape(res, [res.shape[1], res.shape[2], res.shape[3]]);
              }
              return res;
            }
            var depthwiseConv2d = op({ depthwiseConv2d_: depthwiseConv2d_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns a diagonal tensor with a given diagonal values.
             *
             * Given a diagonal, this operation returns a tensor with the diagonal and
             * everything else padded with zeros.
             *
             * Assume the input has dimensions `[D1,..., Dk]`, then the output is a tensor
             * of rank 2k with dimensions `[D1,..., Dk, D1,..., Dk]`
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 3, 4]);
             *
             * tf.diag(x).print()
             * ```
             * ```js
             * const x = tf.tensor1d([1, 2, 3, 4, 5, 6, 6, 8], [4, 2])
             *
             * tf.diag(x).print()
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function diag_(x) {
              var $x = convertToTensor(x, 'x', 'diag');
              var inputs = { x: $x };
              return ENGINE.runKernel(Diag, inputs);
            }
            var diag = op({ diag_: diag_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the grayscale dilation over the input `x`.
             *
             * @param x The input tensor, rank 3 or rank 4 of shape
             *     `[batch, height, width, inChannels]`. If rank 3, batch of 1 is assumed.
             * @param filter The filter tensor, rank 3, of shape
             *     `[filterHeight, filterWidth, depth]`.
             * @param strides The strides of the sliding window for each dimension of the
             *     input tensor: `[strideHeight, strideWidth]`.
             *     If `strides` is a single number,
             *     then `strideHeight == strideWidth`.
             * @param pad The type of padding algorithm.
             *    - `same` and stride 1: output will be of same size as input,
             *       regardless of filter size.
             *    - `valid`: output will be smaller than input if filter is larger
             *       than 1*1x1.
             *    - For more info, see this guide:
             *     [https://www.tensorflow.org/api_guides/python/nn#Convolution](
             *          https://www.tensorflow.org/api_guides/python/nn#Convolution)
             * @param dataFormat Specify the data format of the input and output data.
             *      Defaults to 'NHWC'. Only 'NHWC' is currently supported. With the
             *      default format "NHWC", the data is stored in the order of: [batch,
             *      height, width, channels].
             * @param dilations The dilation rates: `[dilationHeight, dilationWidth]`
             *     in which we sample input values across the height and width dimensions
             *     for atrous morphological dilation. Defaults to `[1, 1]`. If `dilations`
             *     is a single number, then `dilationHeight == dilationWidth`. If it is
             *     greater than 1, then all values of `strides` must be 1.
             *
             * @doc {heading: 'Operations', subheading: 'Convolution'}
             */
            function dilation2d_(x, filter, strides, pad, dilations, dataFormat) {
              if (dilations === void 0) {
                dilations = [1, 1];
              }
              if (dataFormat === void 0) {
                dataFormat = 'NHWC';
              }
              var $x = convertToTensor(x, 'x', 'dilation2d');
              var $filter = convertToTensor(filter, 'filter', 'dilation2d');
              assert($x.rank === 3 || $x.rank === 4, function () {
                return (
                  'Error in dilation2d: input must be rank 3 or 4, but got rank ' + ($x.rank + '.')
                );
              });
              assert($filter.rank === 3, function () {
                return (
                  'Error in dilation2d: filter must be rank 3, but got rank ' + ($filter.rank + '.')
                );
              });
              assert(dataFormat === 'NHWC', function () {
                return (
                  'Error in dilation2d: Only NHWC is currently supported, ' +
                  ('but got dataFormat of ' + dataFormat)
                );
              });
              var x4D = $x;
              var reshapedTo4D = false;
              if ($x.rank === 3) {
                x4D = reshape($x, [1, $x.shape[0], $x.shape[1], $x.shape[2]]);
                reshapedTo4D = true;
              }
              var inputs = { x: x4D, filter: $filter };
              var attrs = { strides: strides, pad: pad, dilations: dilations };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              var res = ENGINE.runKernel(Dilation2D, inputs, attrs);
              if (reshapedTo4D) {
                return reshape(res, [res.shape[1], res.shape[2], res.shape[3]]);
              }
              return res;
            }
            var dilation2d = op({ dilation2d_: dilation2d_ });

            /**
             * @license
             * Copyright 2017 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the dimensions in the input shape that are broadcasted to
             * produce the provided output shape.
             *
             * The returned dimensions are 0-indexed and sorted. An example:
             * inShape = [4, 1, 3]
             * outShape = [5, 4, 3, 3]
             * result = [1]. Dimension 1 (2nd dimension of input) gets broadcasted 1 => 3.
             */
            function getBroadcastDims(inShape, outShape) {
              var inRank = inShape.length;
              var dims = [];
              for (var i = 0; i < inRank; i++) {
                var dim = inRank - 1 - i;
                var a = inShape[dim] || 1;
                var b = outShape[outShape.length - 1 - i] || 1;
                if (b > 1 && a === 1) {
                  dims.unshift(dim);
                }
              }
              return dims;
            }
            /**
             * Returns the axes in the output space that should be reduced to produce
             * the input space.
             */
            function getReductionAxes(inShape, outShape) {
              var result = [];
              for (var i = 0; i < outShape.length; i++) {
                var inDim = inShape[inShape.length - i - 1];
                var outAxis = outShape.length - i - 1;
                var outDim = outShape[outAxis];
                if (inDim == null || (inDim === 1 && outDim > 1)) {
                  result.unshift(outAxis);
                }
              }
              return result;
            }
            function assertAndGetBroadcastShape(shapeA, shapeB) {
              var result = [];
              var l = Math.max(shapeA.length, shapeB.length);
              for (var i = 0; i < l; i++) {
                var a = shapeA[shapeA.length - i - 1];
                if (a == null) {
                  a = 1;
                }
                var b = shapeB[shapeB.length - i - 1];
                if (b == null) {
                  b = 1;
                }
                if (a === 1) {
                  result.unshift(b);
                } else if (b === 1) {
                  result.unshift(a);
                } else if (a !== b) {
                  var errMsg =
                    'Operands could not be broadcast together with shapes ' +
                    (shapeA + ' and ' + shapeB + '.');
                  throw Error(errMsg);
                } else {
                  result.unshift(a);
                }
              }
              return result;
            }

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the truth value of (a == b) element-wise. Supports broadcasting.
             *
             * ```js
             * const a = tf.tensor1d([1, 2, 3]);
             * const b = tf.tensor1d([2, 2, 2]);
             *
             * a.equal(b).print();
             * ```
             *
             * @param a The first input tensor.
             * @param b The second input tensor. Must have the same dtype as `a`.
             *
             * @doc {heading: 'Operations', subheading: 'Logical'}
             */
            function equal_(a, b) {
              var _a;
              var $a = convertToTensor(a, 'a', 'equal', 'string_or_numeric');
              var $b = convertToTensor(b, 'b', 'equal', 'string_or_numeric');
              (_a = makeTypesMatch($a, $b)), ($a = _a[0]), ($b = _a[1]);
              assertAndGetBroadcastShape($a.shape, $b.shape);
              var inputs = { a: $a, b: $b };
              return ENGINE.runKernel(Equal, inputs);
            }
            var equal = op({ equal_: equal_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the elements, either `a` or `b` depending on the `condition`.
             *
             * If the condition is true, select from `a`, otherwise select from `b`.
             *
             * ```js
             * const cond = tf.tensor1d([false, false, true], 'bool');
             * const a = tf.tensor1d([1 , 2, 3]);
             * const b = tf.tensor1d([-1, -2, -3]);
             *
             * a.where(cond, b).print();
             * ```
             *
             * @param condition The input condition. Must be of dtype bool.
             * @param a If `condition` is rank 1, `a` may have a higher rank but
             *     its first dimension must match the size of `condition`.
             * @param b A tensor with the same dtype as `a` and with shape that is
             *     compatible with `a`.
             * @return A tensor with same dtype as `a` and `b`, and shape that is
             *     broadcastable from `a` and `b`.
             *
             * @doc {heading: 'Operations', subheading: 'Logical'}
             */
            function where_(condition, a, b) {
              var $a = convertToTensor(a, 'a', 'where');
              var $b = convertToTensor(b, 'b', 'where');
              var $condition = convertToTensor(condition, 'condition', 'where', 'bool');
              // TODO: move this logic to forward function when the broadcastTo op is
              // implemented in WASM.
              // Find the broadcastable shape for $condition, $a, and $b.
              var broadcastShape = assertAndGetBroadcastShape(
                assertAndGetBroadcastShape($condition.shape, $a.shape),
                $b.shape,
              );
              var $broadcastedCondition = broadcastTo($condition, broadcastShape);
              var $broadcastedA = broadcastTo($a, broadcastShape);
              var $broadcastedB = broadcastTo($b, broadcastShape);
              var inputs = {
                condition: $broadcastedCondition,
                t: $broadcastedA,
                e: $broadcastedB,
              };
              return ENGINE.runKernel(Select, inputs);
            }
            var where = op({ where_: where_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates a `tf.Tensor` with all elements set to 0 with the same shape as the
             * given tensor.
             *
             * ```js
             * const x = tf.tensor([1, 2]);
             * tf.zerosLike(x).print();
             * ```
             *
             * @param x The tensor of required shape.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function zerosLike_(x) {
              var $x = convertToTensor(x, 'x', 'zerosLike');
              var inputs = { x: $x };
              return ENGINE.runKernel(ZerosLike, inputs);
            }
            var zerosLike = op({ zerosLike_: zerosLike_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Divides two `tf.Tensor`s element-wise, A / B. Supports broadcasting. Return 0
             * if denominator is 0.
             *
             *
             * ```js
             * const a = tf.tensor1d([1, 4, 9, 16]);
             * const b = tf.tensor1d([1, 2, 3, 4]);
             * const c = tf.tensor1d([0, 0, 0, 0]);
             *
             * a.divNoNan(b).print();  // or tf.divNoNan(a, b)
             * a.divNoNan(c).print();  // or tf.divNoNan(a, c)
             * ```
             *
             * ```js
             * // Broadcast div a with b.
             * const a = tf.tensor1d([2, 4, 6, 8]);
             * const b = tf.scalar(2);
             * const c = tf.scalar(0);
             *
             * a.divNoNan(b).print();  // or tf.divNoNan(a, b)
             * a.divNoNan(c).print();  // or tf.divNoNan(a, c)
             * ```
             *
             * @param a The first tensor as the numerator.
             * @param b The second tensor as the denominator. Must have the same dtype as
             * `a`.
             *
             * @doc {heading: 'Operations', subheading: 'Arithmetic'}
             */
            function divNoNan_(a, b) {
              var _a;
              // TODO: Make this into its own kernel.
              var $a = convertToTensor(a, 'a', 'div');
              var $b = convertToTensor(b, 'b', 'div');
              (_a = makeTypesMatch($a, $b)), ($a = _a[0]), ($b = _a[1]);
              var divResult = div($a, $b);
              var zeros = zerosLike(divResult);
              var bEqualsZero = equal($b, zeros);
              return where(bEqualsZero, zeros, divResult);
            }
            var divNoNan = op({ divNoNan_: divNoNan_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the dot product of two matrices and/or vectors, `t1` and `t2`.
             *
             * ```js
             * const a = tf.tensor1d([1, 2]);
             * const b = tf.tensor2d([[1, 2], [3, 4]]);
             * const c = tf.tensor2d([[1, 2, 3], [4, 5, 6]]);
             *
             * a.dot(b).print();  // or tf.dot(a, b)
             * b.dot(a).print();
             * b.dot(c).print();
             * ```
             * @param t1 The first tensor in the dot operation.
             * @param t2 The second tensor in the dot operation.
             *
             * @doc {heading: 'Operations', subheading: 'Matrices'}
             */
            function dot_(t1, t2) {
              var $t1 = convertToTensor(t1, 't1', 'dot');
              var $t2 = convertToTensor(t2, 't2', 'dot');
              assert(
                ($t1.rank === 1 || $t1.rank === 2) && ($t2.rank === 1 || $t2.rank === 2),
                function () {
                  return (
                    'Error in dot: inputs must all be rank 1 or 2, but got ranks ' +
                    ($t1.rank + ' and ' + $t2.rank + '.')
                  );
                },
              );
              var t1Inner = $t1.rank === 1 ? $t1.size : $t1.shape[1];
              var t2Inner = $t2.rank === 1 ? $t2.size : $t2.shape[0];
              assert(t1Inner === t2Inner, function () {
                return (
                  'Error in dot: inner dimensions of inputs must match, but got ' +
                  (t1Inner + ' and ' + t2Inner + '.')
                );
              });
              if ($t1.rank === 1 && $t2.rank === 1) {
                var t12D = reshape($t1, [1, -1]);
                var t22D = reshape($t2, [-1, 1]);
                var t1t2 = matMul(t12D, t22D);
                return reshape(t1t2, []);
              } else if ($t1.rank === 1 && $t2.rank === 2) {
                var t12D = reshape($t1, [1, -1]);
                var t22D = reshape($t2, [$t2.shape[0], $t2.shape[1]]);
                var t1t2 = matMul(t12D, t22D);
                return reshape(t1t2, [t1t2.size]);
              } else if ($t1.rank === 2 && $t2.rank === 1) {
                var t22D = reshape($t2, [-1, 1]);
                var t1t2 = matMul($t1, t22D);
                return reshape(t1t2, [t1t2.size]);
              } else {
                var t22D = reshape($t2, [$t2.shape[0], $t2.shape[1]]);
                var t1t2 = matMul($t1, t22D);
                return t1t2;
              }
            }
            var dot = op({ dot_: dot_ });

            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Tensor contraction over specified indices and outer product.
             *
             * `einsum` allows defining Tensors by defining their element-wise computation.
             * This computation is based on
             * [Einstein summation](https://en.wikipedia.org/wiki/Einstein_notation).
             *
             * Some special cases include:
             *
             * Matrix multiplication:
             * ```js
             * const x = tf.tensor2d([[1, 2, 3], [4, 5, 6]]);
             * const y = tf.tensor2d([[0, 1], [2, 3], [4, 5]]);
             * x.print();
             * y.print();
             * tf.einsum('ij,jk->ik', x, y).print();
             * ```
             *
             * Dot product:
             * ```js
             * const x = tf.tensor1d([1, 2, 3]);
             * const y = tf.tensor1d([0, 1, 2]);
             * x.print();
             * y.print();
             * tf.einsum('i,i->', x, y).print();
             * ```
             *
             * Batch dot product:
             * ```js
             * const x = tf.tensor2d([[1, 2, 3], [4, 5, 6]]);
             * const y = tf.tensor2d([[0, 1, 2], [3, 4, 5]]);
             * x.print();
             * y.print();
             * tf.einsum('bi,bi->b', x, y).print();
             * ```
             *
             * Outer prouduct:
             * ```js
             * const x = tf.tensor1d([1, 3, 5]);
             * const y = tf.tensor1d([2, 4, 6]);
             * x.print();
             * y.print();
             * tf.einsum('i,j->ij', x, y).print();
             * ```
             *
             * Matrix transpose:
             * ```js
             * const x = tf.tensor2d([[1, 2], [3, 4]]);
             * x.print();
             * tf.einsum('ij->ji', x).print();
             * ```
             *
             * Batch matrix transpose:
             * ```js
             * const x = tf.tensor3d([[[1, 2], [3, 4]], [[-1, -2], [-3, -4]]]);
             * x.print();
             * tf.einsum('bij->bji', x).print();
             * ```
             *
             * Limitations:
             *
             * This implementation of einsum has the following limitations:
             *
             * - Does not support >2 input tensors.
             * - Does not support duplicate axes for any given input tensor. E.g., equation
             *   'ii->' is not suppoted.
             * - The `...` notation is not supported.
             *
             * @param equation a string describing the contraction, in the same format as
             * [numpy.einsum](https://numpy.org/doc/stable/reference/generated/numpy.einsum.html).
             * @param tensors the input(s) to contract (each one a Tensor), whose shapes
             *     should be consistent with equation.
             * @returns The output tensor.
             *
             * @doc {heading: 'Tensors', subheading: 'Matrices'}
             */
            function einsum_(equation) {
              var tensors = [];
              for (var _i = 1; _i < arguments.length; _i++) {
                tensors[_i - 1] = arguments[_i];
              }
              var $tensors = tensors.map(function (t, i) {
                return convertToTensor(t, 'tensors' + i, 'einsum');
              });
              var attrs = { equation: equation };
              return ENGINE.runKernel(Einsum, $tensors, attrs);
            }
            var einsum = op({ einsum_: einsum_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes exponential linear element-wise: `x > 0 ? e ^ x - 1 : 0`.
             *
             * ```js
             * const x = tf.tensor1d([-1, 1, -3, 2]);
             *
             * x.elu().print();  // or tf.elu(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function elu_(x) {
              var $x = convertToTensor(x, 'x', 'elu');
              var inputs = { x: $x };
              return ENGINE.runKernel(Elu, inputs);
            }
            var elu = op({ elu_: elu_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes gause error function of the input `tf.Tensor` element-wise:
             * `erf(x)`
             *
             * ```js
             * const x = tf.tensor1d([0, .1, -.1, .7]);
             *
             * x.erf().print(); // or tf.erf(x);
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function erf_(x) {
              var $x = convertToTensor(x, 'x', 'erf');
              assert($x.dtype === 'int32' || $x.dtype === 'float32', function () {
                return 'Input dtype must be `int32` or `float32`.';
              });
              if ($x.dtype === 'int32') {
                $x = cast($x, 'float32');
              }
              var inputs = { x: $x };
              return ENGINE.runKernel(Erf, inputs);
            }
            var erf = op({ erf_: erf_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes exponential of the input `tf.Tensor` element-wise. `e ^ x`
             *
             * ```js
             * const x = tf.tensor1d([1, 2, -3]);
             *
             * x.exp().print();  // or tf.exp(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function exp_(x) {
              var $x = convertToTensor(x, 'x', 'exp');
              var inputs = { x: $x };
              return ENGINE.runKernel(Exp, inputs);
            }
            var exp = op({ exp_: exp_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns a `tf.Tensor` that has expanded rank, by inserting a dimension
             * into the tensor's shape.
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 3, 4]);
             * const axis = 1;
             * x.expandDims(axis).print();
             * ```
             *
             * @param x The input tensor whose dimensions to be expanded.
             * @param axis The dimension index at which to insert shape of `1`. Defaults
             *     to 0 (the first dimension).
             *
             * @doc {heading: 'Tensors', subheading: 'Transformations'}
             */
            function expandDims_(x, axis) {
              if (axis === void 0) {
                axis = 0;
              }
              var $x = convertToTensor(x, 'x', 'expandDims', 'string_or_numeric');
              assert(axis <= $x.rank, function () {
                return 'Axis must be <= rank of the tensor';
              });
              var inputs = { input: $x };
              var attrs = { dim: axis };
              return ENGINE.runKernel(ExpandDims, inputs, attrs);
            }
            var expandDims = op({ expandDims_: expandDims_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes exponential of the input `tf.Tensor` minus one element-wise.
             * `e ^ x - 1`
             *
             * ```js
             * const x = tf.tensor1d([1, 2, -3]);
             *
             * x.expm1().print();  // or tf.expm1(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function expm1_(x) {
              var $x = convertToTensor(x, 'x', 'expm1');
              var inputs = { x: $x };
              return ENGINE.runKernel(Expm1, inputs);
            }
            var expm1 = op({ expm1_: expm1_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Construct a tensor by repeating it the number of times given by reps.
             *
             * This operation creates a new tensor by replicating `input` `reps`
             * times. The output tensor's i'th dimension has `input.shape[i] *
             * reps[i]` elements, and the values of `input` are replicated
             * `reps[i]` times along the i'th dimension. For example, tiling
             * `[a, b, c, d]` by `[2]` produces `[a, b, c, d, a, b, c, d]`.
             *
             * ```js
             * const a = tf.tensor1d([1, 2]);
             *
             * a.tile([2]).print();    // or a.tile([2])
             * ```
             *
             * ```js
             * const a = tf.tensor2d([1, 2, 3, 4], [2, 2]);
             *
             * a.tile([1, 2]).print();  // or a.tile([1, 2])
             * ```
             * @param x The tensor to tile.
             * @param reps Determines the number of replications per dimension.
             *
             * @doc {heading: 'Tensors', subheading: 'Slicing and Joining'}
             */
            function tile_(x, reps) {
              var $x = convertToTensor(x, 'x', 'tile', 'string_or_numeric');
              assert($x.rank === reps.length, function () {
                return (
                  'Error in transpose: rank of input ' +
                  $x.rank +
                  ' ' +
                  ('must match length of reps ' + reps + '.')
                );
              });
              var inputs = { x: $x };
              var attrs = { reps: reps };
              return ENGINE.runKernel(Tile, inputs, attrs);
            }
            var tile = op({ tile_: tile_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Create an identity matrix.
             *
             * @param numRows Number of rows.
             * @param numColumns Number of columns. Defaults to `numRows`.
             * @param batchShape If provided, will add the batch shape to the beginning
             *   of the shape of the returned `tf.Tensor` by repeating the identity
             *   matrix.
             * @param dtype Data type.
             * @returns Identity matrix of the specified size and data type, possibly
             *   with batch repetition if `batchShape` is specified.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function eye_(numRows, numColumns, batchShape, dtype) {
              if (dtype === void 0) {
                dtype = 'float32';
              }
              if (numColumns == null) {
                numColumns = numRows;
              }
              var buff = buffer([numRows, numColumns], dtype);
              var n = numRows <= numColumns ? numRows : numColumns;
              for (var i = 0; i < n; ++i) {
                buff.set(1, i, i);
              }
              var out = reshape(buff.toTensor(), [numRows, numColumns]);
              if (batchShape == null) {
                return out;
              } else {
                if (batchShape.length === 1) {
                  return tile(expandDims(out, 0), [batchShape[0], 1, 1]);
                } else if (batchShape.length === 2) {
                  // tslint:disable-next-line:no-unnecessary-type-assertion
                  return tile(expandDims(expandDims(out, 0), 0), [
                    batchShape[0],
                    batchShape[1],
                    1,
                    1,
                  ]);
                } else if (batchShape.length === 3) {
                  // tslint:disable-next-line:no-unnecessary-type-assertion
                  return tile(expandDims(expandDims(expandDims(out, 0), 0), 0), [
                    batchShape[0],
                    batchShape[1],
                    batchShape[2],
                    1,
                    1,
                  ]);
                } else {
                  throw new Error(
                    'eye() currently supports only 1D and 2D ' +
                      // tslint:disable-next-line:no-any
                      ('batchShapes, but received ' + batchShape.length + 'D.'),
                  );
                }
              }
            }
            var eye = op({ eye_: eye_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates a `tf.Tensor` filled with a scalar value.
             *
             * ```js
             * tf.fill([2, 2], 4).print();
             * ```
             *
             * @param shape An array of integers defining the output tensor shape.
             * @param value The scalar value to fill the tensor with.
             * @param dtype The type of an element in the resulting tensor. Defaults to
             * 'float'.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function fill(shape, value, dtype) {
              var attrs = { shape: shape, value: value, dtype: dtype };
              return ENGINE.runKernel(Fill, {}, attrs);
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes floor of input `tf.Tensor` element-wise: `floor(x)`.
             *
             * ```js
             * const x = tf.tensor1d([.6, 1.1, -3.3]);
             *
             * x.floor().print();  // or tf.floor(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function floor_(x) {
              var $x = convertToTensor(x, 'x', 'floor');
              var inputs = { x: $x };
              return ENGINE.runKernel(Floor, inputs);
            }
            var floor = op({ floor_: floor_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Gather slices from tensor `x`'s axis `axis` according to `indices`.
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 3, 4]);
             * const indices = tf.tensor1d([1, 3, 3], 'int32');
             *
             * x.gather(indices).print();
             * ```
             *
             * ```js
             * const x = tf.tensor2d([1, 2, 3, 4], [2, 2]);
             * const indices = tf.tensor1d([1, 1, 0], 'int32');
             *
             * x.gather(indices).print();
             * ```
             * @param x The input tensor whose slices to be gathered.
             * @param indices The indices of the values to extract.
             * @param axis The axis over which to select values. Defaults to 0.
             * @param batchDims Optional. The number of batch dimensions. It must be less
             *     than or equal to rank(indices). Defaults to 0.
             *     The output tensor will have shape of
             *     `x.shape[:axis] + indices.shape[batchDims:] + x.shape[axis + 1:]`
             *
             * @doc {heading: 'Tensors', subheading: 'Slicing and Joining'}
             */
            function gather_(x, indices, axis, batchDims) {
              if (axis === void 0) {
                axis = 0;
              }
              if (batchDims === void 0) {
                batchDims = 0;
              }
              var $x = convertToTensor(x, 'x', 'gather');
              var $indices = convertToTensor(indices, 'indices', 'gather', 'int32');
              var inputs = { x: $x, indices: $indices };
              var attrs = { axis: axis, batchDims: batchDims };
              return ENGINE.runKernel(GatherV2, inputs, attrs);
            }
            var gather = op({ gather_: gather_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the truth value of (a > b) element-wise. Supports broadcasting.
             *
             * ```js
             * const a = tf.tensor1d([1, 2, 3]);
             * const b = tf.tensor1d([2, 2, 2]);
             *
             * a.greater(b).print();
             * ```
             *
             * @param a The first input tensor.
             * @param b The second input tensor. Must have the same dtype as `a`.
             *
             * @doc {heading: 'Operations', subheading: 'Logical'}
             */
            function greater_(a, b) {
              var _a;
              var $a = convertToTensor(a, 'a', 'greater', 'string_or_numeric');
              var $b = convertToTensor(b, 'b', 'greater', 'string_or_numeric');
              (_a = makeTypesMatch($a, $b)), ($a = _a[0]), ($b = _a[1]);
              assertAndGetBroadcastShape($a.shape, $b.shape);
              var inputs = { a: $a, b: $b };
              return ENGINE.runKernel(Greater, inputs);
            }
            var greater = op({ greater_: greater_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the truth value of (a >= b) element-wise. Supports broadcasting.
             *
             * ```js
             * const a = tf.tensor1d([1, 2, 3]);
             * const b = tf.tensor1d([2, 2, 2]);
             *
             * a.greaterEqual(b).print();
             * ```
             *
             * @param a The first input tensor.
             * @param b The second input tensor. Must have the same dtype as `a`.
             *
             * @doc {heading: 'Operations', subheading: 'Logical'}
             */
            function greaterEqual_(a, b) {
              var _a;
              var $a = convertToTensor(a, 'a', 'greaterEqual', 'string_or_numeric');
              var $b = convertToTensor(b, 'b', 'greaterEqual', 'string_or_numeric');
              (_a = makeTypesMatch($a, $b)), ($a = _a[0]), ($b = _a[1]);
              assertAndGetBroadcastShape($a.shape, $b.shape);
              var inputs = { a: $a, b: $b };
              return ENGINE.runKernel(GreaterEqual, inputs);
            }
            var greaterEqual = op({ greaterEqual_: greaterEqual_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the imaginary part of a complex (or real) tensor.
             *
             * Given a tensor input, this operation returns a tensor of type float that is
             * the imaginary part of each element in input considered as a complex number.
             * If input is real, a tensor of all zeros is returned.
             *
             * ```js
             * const x = tf.complex([-2.25, 3.25], [4.75, 5.75]);
             * tf.imag(x).print();
             * ```
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function imag_(input) {
              var $input = convertToTensor(input, 'input', 'imag');
              var inputs = { input: $input };
              return ENGINE.runKernel(Imag, inputs);
            }
            var imag = op({ imag_: imag_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns which elements of x are finite.
             *
             * ```js
             * const x = tf.tensor1d([NaN, Infinity, -Infinity, 0, 1]);
             *
             * x.isFinite().print();  // or tf.isNaN(x)
             * ```
             * @param x The input Tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function isFinite_(x) {
              var $x = convertToTensor(x, 'x', 'isFinite');
              var inputs = { x: $x };
              return ENGINE.runKernel(IsFinite, inputs);
            }
            var isFinite$1 = op({ isFinite_: isFinite_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns which elements of x are Infinity or -Infinity.
             *
             * ```js
             * const x = tf.tensor1d([NaN, Infinity, -Infinity, 0, 1]);
             *
             * x.isInf().print();  // or tf.isNaN(x)
             * ```
             * @param x The input Tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function isInf_(x) {
              var $x = convertToTensor(x, 'x', 'isInf');
              var inputs = { x: $x };
              return ENGINE.runKernel(IsInf, inputs);
            }
            var isInf = op({ isInf_: isInf_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * RReturns which elements of x are NaN.
             *
             * ```js
             * const x = tf.tensor1d([NaN, Infinity, -Infinity, 0, 1]);
             *
             * x.isNaN().print();  // or tf.isNaN(x)
             * ```
             * @param x The input Tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function isNaN_(x) {
              var $x = convertToTensor(x, 'x', 'isNaN');
              var inputs = { x: $x };
              return ENGINE.runKernel(IsNan, inputs);
            }
            var isNaN$1 = op({ isNaN_: isNaN_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes leaky rectified linear element-wise.
             *
             * See
             * [http://web.stanford.edu/~awni/papers/relu_hybrid_icml2013_final.pdf](
             *     http://web.stanford.edu/~awni/papers/relu_hybrid_icml2013_final.pdf)
             *
             * ```js
             * const x = tf.tensor1d([-1, 2, -3, 4]);
             *
             * x.leakyRelu(0.1).print();  // or tf.leakyRelu(x, 0.1)
             * ```
             * @param x The input tensor.
             * @param alpha The scaling factor for negative values, defaults to 0.2.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function leakyRelu_(x, alpha) {
              if (alpha === void 0) {
                alpha = 0.2;
              }
              var $x = convertToTensor(x, 'x', 'leakyRelu');
              var inputs = { x: $x };
              var attrs = { alpha: alpha };
              return ENGINE.runKernel(LeakyRelu, inputs, attrs);
            }
            var leakyRelu = op({ leakyRelu_: leakyRelu_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the truth value of (a < b) element-wise. Supports broadcasting.
             *
             * ```js
             * const a = tf.tensor1d([1, 2, 3]);
             * const b = tf.tensor1d([2, 2, 2]);
             *
             * a.less(b).print();
             * ```
             * @param a The first input tensor.
             * @param b The second input tensor. Must have the same dtype as `a`.
             *
             * @doc {heading: 'Operations', subheading: 'Logical'}
             */
            function less_(a, b) {
              var _a;
              var $a = convertToTensor(a, 'a', 'less', 'string_or_numeric');
              var $b = convertToTensor(b, 'b', 'less', 'string_or_numeric');
              (_a = makeTypesMatch($a, $b)), ($a = _a[0]), ($b = _a[1]);
              assertAndGetBroadcastShape($a.shape, $b.shape);
              var inputs = { a: $a, b: $b };
              return ENGINE.runKernel(Less, inputs);
            }
            var less = op({ less_: less_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the truth value of (a <= b) element-wise. Supports broadcasting.
             *
             * ```js
             * const a = tf.tensor1d([1, 2, 3]);
             * const b = tf.tensor1d([2, 2, 2]);
             *
             * a.lessEqual(b).print();
             * ```
             *
             * @param a The first input tensor.
             * @param b The second input tensor. Must have the same dtype as `a`.
             *
             * @doc {heading: 'Operations', subheading: 'Logical'}
             */
            function lessEqual_(a, b) {
              var _a;
              var $a = convertToTensor(a, 'a', 'lessEqual', 'string_or_numeric');
              var $b = convertToTensor(b, 'b', 'lessEqual', 'string_or_numeric');
              (_a = makeTypesMatch($a, $b)), ($a = _a[0]), ($b = _a[1]);
              assertAndGetBroadcastShape($a.shape, $b.shape);
              var inputs = { a: $a, b: $b };
              return ENGINE.runKernel(LessEqual, inputs);
            }
            var lessEqual = op({ lessEqual_: lessEqual_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Return an evenly spaced sequence of numbers over the given interval.
             *
             * ```js
             * tf.linspace(0, 9, 10).print();
             * ```
             * @param start The start value of the sequence.
             * @param stop The end value of the sequence.
             * @param num The number of values to generate.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function linspace(start, stop, num) {
              if (num <= 0) {
                throw new Error('The number of values should be positive.');
              }
              var attrs = { start: start, stop: stop, num: num };
              return ENGINE.runKernel(LinSpace, {}, attrs);
            }

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Normalizes the activation of a local neighborhood across or within
             * channels.
             *
             * @param x The input tensor. The 4-D input tensor is treated as a 3-D array
             *     of 1D vectors (along the last dimension), and each vector is
             *     normalized independently.
             * @param depthRadius The number of adjacent channels in the 1D normalization
             *     window.
             * @param bias A constant bias term for the basis.
             * @param alpha A scale factor, usually positive.
             * @param beta An exponent.
             *
             * @doc {heading: 'Operations', subheading: 'Normalization'}
             */
            function localResponseNormalization_(x, depthRadius, bias, alpha, beta) {
              if (depthRadius === void 0) {
                depthRadius = 5;
              }
              if (bias === void 0) {
                bias = 1;
              }
              if (alpha === void 0) {
                alpha = 1;
              }
              if (beta === void 0) {
                beta = 0.5;
              }
              var $x = convertToTensor(x, 'x', 'localResponseNormalization');
              assert($x.rank === 4 || $x.rank === 3, function () {
                return (
                  'Error in localResponseNormalization: x must be rank 3 or 4 but got\n               rank ' +
                  $x.rank +
                  '.'
                );
              });
              assert(isInt(depthRadius), function () {
                return (
                  'Error in localResponseNormalization: depthRadius must be an ' +
                  ('integer but got depthRadius ' + depthRadius + '.')
                );
              });
              var x4D = $x;
              var reshapedTo4D = false;
              if ($x.rank === 3) {
                reshapedTo4D = true;
                x4D = reshape($x, [1, $x.shape[0], $x.shape[1], $x.shape[2]]);
              }
              var inputs = { x: x4D };
              var attrs = { depthRadius: depthRadius, bias: bias, alpha: alpha, beta: beta };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              var res = ENGINE.runKernel(LRN, inputs, attrs);
              if (reshapedTo4D) {
                return reshape(res, [res.shape[1], res.shape[2], res.shape[3]]);
              } else {
                return res;
              }
            }
            var localResponseNormalization = op({
              localResponseNormalization_: localResponseNormalization_,
            });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes natural logarithm of the input `tf.Tensor` element-wise: `ln(x)`
             *
             * ```js
             * const x = tf.tensor1d([1, 2, Math.E]);
             *
             * x.log().print();  // or tf.log(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function log_(x) {
              var $x = convertToTensor(x, 'x', 'log');
              var inputs = { x: $x };
              return ENGINE.runKernel(Log, inputs);
            }
            var log = op({ log_: log_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes natural logarithm of the input `tf.Tensor` plus one
             * element-wise: `ln(1 + x)`
             *
             * ```js
             * const x = tf.tensor1d([1, 2, Math.E - 1]);
             *
             * x.log1p().print();  // or tf.log1p(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function log1p_(x) {
              var $x = convertToTensor(x, 'x', 'log1p');
              var inputs = { x: $x };
              return ENGINE.runKernel(Log1p, inputs);
            }
            var log1p = op({ log1p_: log1p_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Provided `f(x)`, returns another function `g(x, dy?)`, which gives the
             * gradient of `f(x)` with respect to `x`.
             *
             * If `dy` is provided, the gradient of `f(x).mul(dy).sum()` with respect to
             * `x` is computed instead. `f(x)` must take a single tensor `x` and return a
             * single tensor `y`. If `f()` takes multiple inputs, use `tf.grads` instead.
             *
             * ```js
             * // f(x) = x ^ 2
             * const f = x => x.square();
             * // f'(x) = 2x
             * const g = tf.grad(f);
             *
             * const x = tf.tensor1d([2, 3]);
             * g(x).print();
             * ```
             *
             * ```js
             * // f(x) = x ^ 3
             * const f = x => x.pow(tf.scalar(3, 'int32'));
             * // f'(x) = 3x ^ 2
             * const g = tf.grad(f);
             * // f''(x) = 6x
             * const gg = tf.grad(g);
             *
             * const x = tf.tensor1d([2, 3]);
             * gg(x).print();
             * ```
             *
             * @param f The function f(x), to compute gradient for.
             *
             * @doc {heading: 'Training', subheading: 'Gradients'}
             */
            function grad(f) {
              assert(isFunction(f), function () {
                return 'The f passed in grad(f) must be a function';
              });
              return function (x, dy) {
                // x can be of any dtype, thus null as the last argument.
                var $x = convertToTensor(x, 'x', 'tf.grad', 'string_or_numeric');
                var $dy = dy != null ? convertToTensor(dy, 'dy', 'tf.grad') : null;
                return ENGINE.tidy(function () {
                  var _a = ENGINE.gradients(
                      function () {
                        return f($x);
                      },
                      [$x],
                      $dy,
                    ),
                    value = _a.value,
                    grads = _a.grads;
                  if ($dy != null) {
                    assertShapesMatch(
                      value.shape,
                      $dy.shape,
                      'The shape of dy passed in grad(f)(x, dy) must match the shape ' +
                        'returned by f(x)',
                    );
                  }
                  checkGrads(grads);
                  return grads[0];
                });
              };
            }
            /**
             * Provided `f(x1, x2,...)`, returns another function `g([x1, x2,...], dy?)`,
             * which gives an array of gradients of `f()` with respect to each input
             * [`x1`,`x2`,...].
             *
             * If `dy` is passed when calling `g()`, the gradient of
             * `f(x1,...).mul(dy).sum()` with respect to each input is computed instead.
             * The provided `f` must take one or more tensors and return a single tensor
             * `y`. If `f()` takes a single input, we recommend using `tf.grad` instead.
             *
             * ```js
             * // f(a, b) = a * b
             * const f = (a, b) => a.mul(b);
             * // df / da = b, df / db = a
             * const g = tf.grads(f);
             *
             * const a = tf.tensor1d([2, 3]);
             * const b = tf.tensor1d([-2, -3]);
             * const [da, db] = g([a, b]);
             * console.log('da');
             * da.print();
             * console.log('db');
             * db.print();
             * ```
             *
             * @param f The function `f(x1, x2,...)` to compute gradients for.
             *
             * @doc {heading: 'Training', subheading: 'Gradients'}
             */
            function grads(f) {
              assert(isFunction(f), function () {
                return 'The f passed in grads(f) must be a function';
              });
              return function (args, dy) {
                assert(Array.isArray(args), function () {
                  return (
                    'The args passed in grads(f)(args) must be an array ' +
                    'of `Tensor`s or `TensorLike`s'
                  );
                });
                // args can be of any dtype, thus null as the last argument.
                var $args = convertToTensorArray(args, 'args', 'tf.grads', 'string_or_numeric');
                var $dy = dy != null ? convertToTensor(dy, 'dy', 'tf.grads') : null;
                return ENGINE.tidy(function () {
                  var _a = ENGINE.gradients(
                      function () {
                        return f.apply(void 0, $args);
                      },
                      $args,
                      $dy,
                    ),
                    value = _a.value,
                    grads = _a.grads;
                  if ($dy != null) {
                    assertShapesMatch(
                      value.shape,
                      $dy.shape,
                      'The shape of dy passed in grads(f)([x1,...], dy) must ' +
                        'match the shape returned by f([x1,...])',
                    );
                  }
                  checkGrads(grads);
                  return grads;
                });
              };
            }
            /**
             * Like `tf.grad`, but also returns the value of `f()`. Useful when `f()`
             * returns a metric you want to show.
             *
             * The result is a rich object with the following properties:
             * - grad: The gradient of `f(x)` w.r.t `x` (result of `tf.grad`).
             * - value: The value returned by `f(x)`.
             *
             * ```js
             * // f(x) = x ^ 2
             * const f = x => x.square();
             * // f'(x) = 2x
             * const g = tf.valueAndGrad(f);
             *
             * const x = tf.tensor1d([2, 3]);
             * const {value, grad} = g(x);
             *
             * console.log('value');
             * value.print();
             * console.log('grad');
             * grad.print();
             * ```
             *
             * @doc {heading: 'Training', subheading: 'Gradients'}
             */
            function valueAndGrad(f) {
              assert(isFunction(f), function () {
                return 'The f passed in valueAndGrad(f) must be a function';
              });
              return function (x, dy) {
                assert(x instanceof Tensor, function () {
                  return 'The x passed in valueAndGrad(f)(x) must be a tensor';
                });
                assert(dy == null || dy instanceof Tensor, function () {
                  return 'The dy passed in valueAndGrad(f)(x, dy) must be a tensor';
                });
                var _a = ENGINE.gradients(
                    function () {
                      return f(x);
                    },
                    [x],
                    dy,
                  ),
                  grads = _a.grads,
                  value = _a.value;
                checkGrads(grads);
                return { grad: grads[0], value: value };
              };
            }
            /**
             * Like `tf.grads`, but returns also the value of `f()`. Useful when `f()`
             * returns a metric you want to show.
             *
             * The result is a rich object with the following properties:
             * - grads: The gradients of `f()` w.r.t each input (result of `tf.grads`).
             * - value: The value returned by `f(x)`.
             *
             * ```js
             * // f(a, b) = a * b
             * const f = (a, b) => a.mul(b);
             * // df/da = b, df/db = a
             * const g = tf.valueAndGrads(f);
             *
             * const a = tf.tensor1d([2, 3]);
             * const b = tf.tensor1d([-2, -3]);
             * const {value, grads} = g([a, b]);
             *
             * const [da, db] = grads;
             *
             * console.log('value');
             * value.print();
             *
             * console.log('da');
             * da.print();
             * console.log('db');
             * db.print();
             * ```
             *
             * @doc {heading: 'Training', subheading: 'Gradients'}
             */
            function valueAndGrads(f) {
              assert(isFunction(f), function () {
                return 'The f passed in valueAndGrads(f) must be a function';
              });
              return function (args, dy) {
                assert(
                  Array.isArray(args) &&
                    args.every(function (arg) {
                      return arg instanceof Tensor;
                    }),
                  function () {
                    return (
                      'The args passed in valueAndGrads(f)(args) must be array of ' + 'tensors'
                    );
                  },
                );
                assert(dy == null || dy instanceof Tensor, function () {
                  return 'The dy passed in valueAndGrads(f)(args, dy) must be a tensor';
                });
                var res = ENGINE.gradients(
                  function () {
                    return f.apply(void 0, args);
                  },
                  args,
                  dy,
                );
                if (dy != null) {
                  assertShapesMatch(
                    res.value.shape,
                    dy.shape,
                    'The shape of dy passed in valueAndGrads(f)([x1,...], dy) must ' +
                      'match the shape returned by f([x1,...])',
                  );
                }
                checkGrads(res.grads);
                return res;
              };
            }
            /**
             * Computes and returns the gradient of f(x) with respect to the list of
             * trainable variables provided by `varList`. If no list is provided, it
             * defaults to all trainable variables.
             *
             * ```js
             * const a = tf.variable(tf.tensor1d([3, 4]));
             * const b = tf.variable(tf.tensor1d([5, 6]));
             * const x = tf.tensor1d([1, 2]);
             *
             * // f(a, b) = a * x ^ 2 + b * x
             * const f = () => a.mul(x.square()).add(b.mul(x)).sum();
             * // df/da = x ^ 2, df/db = x
             * const {value, grads} = tf.variableGrads(f);
             *
             * Object.keys(grads).forEach(varName => grads[varName].print());
             * ```
             *
             * @param f The function to execute. f() should return a scalar.
             * @param varList The list of variables to compute the gradients with respect
             *     to. Defaults to all trainable variables.
             * @returns An object with the following keys and values:
             *   - `value`: The value of the function `f`.
             *   - `grads`: A map from the names of the variables to the gradients.
             *     If the `varList` argument is provided explicitly and contains a subset of
             *     non-trainable variables, this map in the return value will contain keys
             *     that map the names of the non-trainable variables to `null`.
             *
             * @doc {heading: 'Training', subheading: 'Gradients'}
             */
            function variableGrads(f, varList) {
              assert(isFunction(f), function () {
                return 'The f passed in variableGrads(f) must be a function';
              });
              assert(
                varList == null ||
                  (Array.isArray(varList) &&
                    varList.every(function (v) {
                      return v instanceof Variable;
                    })),
                function () {
                  return (
                    'The varList passed in variableGrads(f, varList) must be an array ' +
                    'of variables'
                  );
                },
              );
              var specifiedVarList = varList != null;
              if (!specifiedVarList) {
                // Get all of the trainable variables.
                varList = [];
                for (var varName in ENGINE.registeredVariables) {
                  varList.push(ENGINE.registeredVariables[varName]);
                }
              }
              var specifiedNonTrainable = specifiedVarList
                ? varList.filter(function (variable) {
                    return !variable.trainable;
                  })
                : null;
              // Prune non-trainable variables.
              var originalVarCount = varList.length;
              varList = varList.filter(function (variable) {
                return variable.trainable;
              });
              assert(varList.length > 0, function () {
                return (
                  'variableGrads() expects at least one of the input variables to ' +
                  ('be trainable, but none of the ' + originalVarCount + ' variables is ') +
                  'trainable.'
                );
              });
              var allowNoGradients = true;
              var _a = ENGINE.gradients(f, varList, null, allowNoGradients),
                value = _a.value,
                grads = _a.grads;
              assert(
                grads.some(function (g) {
                  return g != null;
                }),
                function () {
                  return (
                    'Cannot find a connection between any variable and the result of ' +
                    'the loss function y=f(x). Please make sure the operations that ' +
                    'use variables are inside the function f passed to minimize().'
                  );
                },
              );
              assert(value.rank === 0, function () {
                return (
                  'The f passed in variableGrads(f) must return a scalar, but it ' +
                  ('returned a rank-' + value.rank + ' tensor')
                );
              });
              var namedGrads = {};
              varList.forEach(function (v, i) {
                if (grads[i] != null) {
                  namedGrads[v.name] = grads[i];
                }
              });
              if (specifiedNonTrainable != null) {
                // If varList is explicitly provided and contains non-trainable values,
                // add them to the returned gradients with `null` values.
                specifiedNonTrainable.forEach(function (v) {
                  return (namedGrads[v.name] = null);
                });
              }
              return { value: value, grads: namedGrads };
            }
            /**
             * Overrides the gradient computation of a function `f`.
             *
             * Takes a function
             * `f(...inputs, save) => {value: Tensor, gradFunc: (dy, saved) => Tensor[]}`
             * and returns another function `g(...inputs)` which takes the same inputs as
             * `f`. When called, `g` returns `f().value`. In backward mode, custom gradients
             * with respect to each input of `f` are computed using `f().gradFunc`.
             *
             * The `save` function passsed to `f` should be used for saving tensors needed
             * in the gradient. And the `saved` passed to the `gradFunc` is a
             * `NamedTensorMap`, which contains those saved tensor.
             *
             * ```js
             * const customOp = tf.customGrad((x, save) => {
             *   // Save x to make sure it's available later for the gradient.
             *   save([x]);
             *   // Override gradient of our custom x ^ 2 op to be dy * abs(x);
             *   return {
             *     value: x.square(),
             *     // Note `saved.x` which points to the `x` we saved earlier.
             *     gradFunc: (dy, saved) => [dy.mul(saved[0].abs())]
             *   };
             * });
             *
             * const x = tf.tensor1d([-1, -2, 3]);
             * const dx = tf.grad(x => customOp(x));
             *
             * console.log(`f(x):`);
             * customOp(x).print();
             * console.log(`f'(x):`);
             * dx(x).print();
             * ```
             *
             * @param f The function to evaluate in forward mode, which should return
             *     `{value: Tensor, gradFunc: (dy, saved) => Tensor[]}`, where `gradFunc`
             *     returns the custom gradients of `f` with respect to its inputs.
             *
             * @doc {heading: 'Training', subheading: 'Gradients'}
             */
            function customGrad(f) {
              return ENGINE.customGrad(f);
            }
            function checkGrads(grads) {
              var numNullGradients = grads.filter(function (g) {
                return g == null;
              }).length;
              if (numNullGradients > 0) {
                throw new Error(
                  'Cannot compute gradient of y=f(x) with respect to x. Make sure that\n    the f you passed encloses all operations that lead from x to y.',
                );
              }
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes `-1 * x` element-wise.
             *
             * ```js
             * const x = tf.tensor2d([1, 2, -2, 0], [2, 2]);
             *
             * x.neg().print();  // or tf.neg(x)
             * ```
             *
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function neg_(x) {
              var $x = convertToTensor(x, 'x', 'neg');
              var inputs = { x: $x };
              return ENGINE.runKernel(Neg, inputs);
            }
            var neg = op({ neg_: neg_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes softplus of the input `tf.Tensor` element-wise: `log(exp(x) + 1)`
             *
             * ```js
             * const x = tf.tensor1d([0, 1, -1, .7]);
             *
             * x.softplus().print();  // or tf.softplus(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function softplus_(x) {
              var $x = convertToTensor(x, 'x', 'softplus');
              var inputs = { x: $x };
              return ENGINE.runKernel(Softplus, inputs);
            }
            var softplus = op({ softplus_: softplus_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes log sigmoid of the input `tf.Tensor` element-wise:
             * `logSigmoid(x)`. For numerical stability, we use `-tf.softplus(-x)`.
             *
             * ```js
             * const x = tf.tensor1d([0, 1, -1, .7]);
             *
             * x.logSigmoid().print();  // or tf.logSigmoid(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function logSigmoid_(x) {
              var $x = convertToTensor(x, 'x', 'logSigmoid');
              // Use a custom gradient to maintain previous implementation.
              // There is no LogSigmoid kernel in TF so we can't use engine.runKernel
              // directly
              var customOp = customGrad(function (x) {
                // TODO(yassogba) we can remove the chained softplus call here only
                // after backends have modualrized softplus at which point we can call
                // engine runKernel(..., Sotfplus, ...) directly.
                var value = neg(softplus(neg(x)));
                var gradFunc = function (dy) {
                  var derX = mul(dy, sigmoid(neg(x)));
                  return derX;
                };
                return { value: value, gradFunc: gradFunc };
              });
              return customOp($x);
            }
            var logSigmoid = op({ logSigmoid_: logSigmoid_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the maximum of elements across dimensions of a `tf.Tensor`.
             *
             * Reduces the input along the dimensions given in `axes`. Unless `keepDims`
             * is true, the rank of the `tf.Tensor` is reduced by 1 for each entry in
             * `axes`. If `keepDims` is true, the reduced dimensions are retained with
             * length 1. If `axes` has no entries, all dimensions are reduced, and an
             * `tf.Tensor` with a single element is returned.
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 3]);
             *
             * x.max().print();  // or tf.max(x)
             * ```
             *
             * ```js
             * const x = tf.tensor2d([1, 2, 3, 4], [2, 2]);
             *
             * const axis = 1;
             * x.max(axis).print();  // or tf.max(x, axis)
             * ```
             *
             * @param x The input tensor.
             * @param axis The dimension(s) to reduce. By default it reduces
             *     all dimensions.
             * @param keepDims If true, retains reduced dimensions with size 1.
             *
             * @doc {heading: 'Operations', subheading: 'Reduction'}
             */
            function max_(x, axis, keepDims) {
              if (axis === void 0) {
                axis = null;
              }
              if (keepDims === void 0) {
                keepDims = false;
              }
              var $x = convertToTensor(x, 'x', 'max');
              var inputs = { x: $x };
              var attrs = { reductionIndices: axis, keepDims: keepDims };
              return ENGINE.runKernel(Max, inputs, attrs);
            }
            var max = op({ max_: max_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Subtracts two `tf.Tensor`s element-wise, A - B. Supports broadcasting.
             *
             * ```js
             * const a = tf.tensor1d([10, 20, 30, 40]);
             * const b = tf.tensor1d([1, 2, 3, 4]);
             *
             * a.sub(b).print();  // or tf.sub(a, b)
             * ```
             *
             * ```js
             * // Broadcast subtract a with b.
             * const a = tf.tensor1d([10, 20, 30, 40]);
             * const b = tf.scalar(5);
             *
             * a.sub(b).print();  // or tf.sub(a, b)
             * ```
             * @param a The first `tf.Tensor` to subtract from.
             * @param b The second `tf.Tensor` to be subtracted. Must have the same dtype as
             * `a`.
             *
             * @doc {heading: 'Operations', subheading: 'Arithmetic'}
             */
            function sub_(a, b) {
              var _a;
              var $a = convertToTensor(a, 'a', 'sub');
              var $b = convertToTensor(b, 'b', 'sub');
              (_a = makeTypesMatch($a, $b)), ($a = _a[0]), ($b = _a[1]);
              var inputs = { a: $a, b: $b };
              return ENGINE.runKernel(Sub, inputs);
            }
            var sub = op({ sub_: sub_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the sum of elements across dimensions of a `tf.Tensor`.
             *
             * Reduces the input along the dimensions given in `axes`. Unless `keepDims`
             * is true, the rank of the `tf.Tensor` is reduced by 1 for each entry in
             * `axes`. If `keepDims` is true, the reduced dimensions are retained with
             * length 1. If axes has no entries, all dimensions are reduced, and a
             * `tf.Tensor` with a single element is returned.
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 3]);
             *
             * x.sum().print();  // or tf.sum(x)
             * ```
             *
             * ```js
             * const x = tf.tensor2d([1, 2, 3, 4], [2, 2]);
             *
             * const axis = 1;
             * x.sum(axis).print();  // or tf.sum(x, axis)
             * ```
             *
             * @param x The input tensor to compute the sum over. If the dtype is `bool`
             *   it will be converted to `int32` and the output dtype will be `int32`.
             * @param axis The dimension(s) to reduce. By default it reduces
             *     all dimensions.
             * @param keepDims If true, retains reduced dimensions with size 1.
             *
             * @doc {heading: 'Operations', subheading: 'Reduction'}
             */
            function sum_(x, axis, keepDims) {
              if (axis === void 0) {
                axis = null;
              }
              if (keepDims === void 0) {
                keepDims = false;
              }
              var $x = convertToTensor(x, 'x', 'sum');
              if ($x.dtype === 'bool') {
                $x = cast($x, 'int32');
              }
              var inputs = { x: $x };
              var attrs = { axis: axis, keepDims: keepDims };
              return ENGINE.runKernel(Sum, inputs, attrs);
            }
            var sum$1 = op({ sum_: sum_ });

            /**
             * @license
             * Copyright 2020 Google Inc. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the log softmax.
             *
             * ```js
             * const a = tf.tensor1d([1, 2, 3]);
             *
             * a.logSoftmax().print();  // or tf.logSoftmax(a)
             * ```
             *
             * ```js
             * const a = tf.tensor2d([2, 4, 6, 1, 2, 3], [2, 3]);
             *
             * a.logSoftmax().print();  // or tf.logSoftmax(a)
             * ```
             *
             * @param logits The logits array.
             * @param axis The dimension softmax would be performed on. Defaults to `-1`
             *     which indicates the last dimension.
             *
             * @doc {heading: 'Operations', subheading: 'Normalization'}
             */
            function logSoftmax_(logits, axis) {
              if (axis === void 0) {
                axis = -1;
              }
              var $logits = convertToTensor(logits, 'logits', 'logSoftmax');
              if (axis === -1) {
                axis = $logits.rank - 1;
              }
              if (axis !== $logits.rank - 1) {
                throw Error(
                  'Log Softmax along a non-last dimension is not yet supported. ' +
                    ('Logits was rank ' + $logits.rank + ' and axis was ' + axis),
                );
              }
              // const forward: ForwardFunc<Tensor> = (backend, save) => {
              //   const keepDims = true;
              //   const xMax = max(logits, axis, true);
              //   const shifted = sub(logits, xMax);
              //   const value =
              //       sub(cast(shifted, 'float32'), log(sum(exp(shifted), axis,
              //       keepDims)));
              //   save([value]);
              //   return value;
              // };
              // Use a custom gradient for numerical stability.
              var customOp = customGrad(function (logits, save) {
                var keepDims = true;
                var xMax = max(logits, axis, true);
                var shifted = sub(logits, xMax);
                var value = sub(cast(shifted, 'float32'), log(sum$1(exp(shifted), axis, keepDims)));
                save([value]);
                var gradFunc = function (dy, saved) {
                  var value = saved[0];
                  var keepDims = true;
                  var softmax = exp(value);
                  return sub(dy, mul(sum$1(dy, axis, keepDims), softmax));
                };
                return { value: value, gradFunc: gradFunc };
              });
              return customOp($logits);
              // TODO Use Engine.runKernel when CPU/WebGL/WASM backends implement this.
              // const inputs: LogSoftmaxInputs = {logits: $logits};
              // const attrs: LogSoftmaxAttrs = {axis};
              // return ENGINE.runKernel(
              //            LogSoftmax, inputs as {} as NamedTensorMap,
              //            attrs as {} as NamedAttrMap);
            }
            var logSoftmax = op({ logSoftmax_: logSoftmax_ });

            /**
             * @license
             * Copyright 2017 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns true if the axis specifies the inner most dimensions of the
             * array.
             */
            function axesAreInnerMostDims(axes, rank) {
              for (var i = 0; i < axes.length; ++i) {
                if (axes[axes.length - i - 1] !== rank - 1 - i) {
                  return false;
                }
              }
              return true;
            }
            function combineLocations(outputLoc, reduceLoc, axes) {
              var rank = outputLoc.length + reduceLoc.length;
              var loc = [];
              var outIdx = 0;
              var reduceIdx = 0;
              for (var dim = 0; dim < rank; dim++) {
                if (axes.indexOf(dim) === -1) {
                  loc.push(outputLoc[outIdx++]);
                } else {
                  loc.push(reduceLoc[reduceIdx++]);
                }
              }
              return loc;
            }
            function computeOutAndReduceShapes(aShape, axes) {
              var outShape = [];
              var rank = aShape.length;
              for (var dim = 0; dim < rank; dim++) {
                if (axes.indexOf(dim) === -1) {
                  outShape.push(aShape[dim]);
                }
              }
              var reduceShape = axes.map(function (dim) {
                return aShape[dim];
              });
              return [outShape, reduceShape];
            }
            function expandShapeToKeepDim(shape, axes) {
              var reduceSubShape = axes.map(function (x) {
                return 1;
              });
              return combineLocations(shape, reduceSubShape, axes);
            }
            function assertAxesAreInnerMostDims(msg, axes, rank) {
              assert(axesAreInnerMostDims(axes, rank), function () {
                return (
                  msg +
                  ' supports only inner-most axes for now. ' +
                  ('Got axes ' + axes + ' and rank-' + rank + ' input.')
                );
              });
            }
            /**
             * Returns the axes permutation to be used with `tf.transpose`, if such
             * permutation is necessary. Otherwise it returns null. This method is used by
             * operations that operate only on inner-most axes.
             */
            function getAxesPermutation(axes, rank) {
              if (axesAreInnerMostDims(axes, rank)) {
                return null;
              }
              var result = [];
              for (var i = 0; i < rank; ++i) {
                if (axes.indexOf(i) === -1) {
                  result.push(i);
                }
              }
              axes.forEach(function (axis) {
                return result.push(axis);
              });
              return result;
            }
            /** Returns the axes permutation that undoes the original permutation. */
            function getUndoAxesPermutation(axes) {
              return axes
                .map(function (axis, i) {
                  return [i, axis];
                })
                .sort(function (a, b) {
                  return a[1] - b[1];
                })
                .map(function (x) {
                  return x[0];
                });
            }
            function getInnerMostAxes(numAxes, rank) {
              var res = [];
              for (var i = rank - numAxes; i < rank; ++i) {
                res.push(i);
              }
              return res;
            }

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the log(sum(exp(elements across the reduction dimensions)).
             *
             * Reduces the input along the dimensions given in `axis`. Unless `keepDims`
             * is true, the rank of the array is reduced by 1 for each entry in `axis`.
             * If `keepDims` is true, the reduced dimensions are retained with length 1.
             * If `axis` has no entries, all dimensions are reduced, and an array with a
             * single element is returned.
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 3]);
             *
             * x.logSumExp().print();  // or tf.logSumExp(x)
             * ```
             *
             * ```js
             * const x = tf.tensor2d([1, 2, 3, 4], [2, 2]);
             *
             * const axis = 1;
             * x.logSumExp(axis).print();  // or tf.logSumExp(a, axis)
             * ```
             * @param x The input tensor.
             * @param axis The dimension(s) to reduce. If null (the default),
             *     reduces all dimensions.
             * @param keepDims If true, retains reduced dimensions with length
             *     of 1. Defaults to false.
             *
             * @doc {heading: 'Operations', subheading: 'Reduction'}
             */
            function logSumExp_(x, axis, keepDims) {
              if (axis === void 0) {
                axis = null;
              }
              if (keepDims === void 0) {
                keepDims = false;
              }
              var $x = convertToTensor(x, 'x', 'logSumExp');
              var axes = parseAxisParam(axis, $x.shape);
              var xMax = max($x, axes, true /* keepDims */);
              var a = sub($x, xMax);
              var b = exp(a);
              var c = sum$1(b, axes);
              var d = log(c);
              var res = add$1(reshape(xMax, d.shape), d);
              if (keepDims) {
                var newShape = expandShapeToKeepDim(res.shape, axes);
                return reshape(res, newShape);
              }
              return res;
            }
            var logSumExp = op({ logSumExp_: logSumExp_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the truth value of `a AND b` element-wise. Supports broadcasting.
             *
             * ```js
             * const a = tf.tensor1d([false, false, true, true], 'bool');
             * const b = tf.tensor1d([false, true, false, true], 'bool');
             *
             * a.logicalAnd(b).print();
             * ```
             *
             * @param a The first input tensor. Must be of dtype bool.
             * @param b The second input tensor. Must be of dtype bool.
             *
             * @doc {heading: 'Operations', subheading: 'Logical'}
             */
            function logicalAnd_(a, b) {
              var $a = convertToTensor(a, 'a', 'logicalAnd', 'bool');
              var $b = convertToTensor(b, 'b', 'logicalAnd', 'bool');
              assertAndGetBroadcastShape($a.shape, $b.shape);
              var inputs = { a: $a, b: $b };
              return ENGINE.runKernel(LogicalAnd, inputs);
            }
            var logicalAnd = op({ logicalAnd_: logicalAnd_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the truth value of `NOT x` element-wise.
             *
             * ```js
             * const a = tf.tensor1d([false, true], 'bool');
             *
             * a.logicalNot().print();
             * ```
             *
             * @param x The input tensor. Must be of dtype 'bool'.
             *
             * @doc {heading: 'Operations', subheading: 'Logical'}
             */
            function logicalNot_(x) {
              var $x = convertToTensor(x, 'x', 'logicalNot', 'bool');
              var inputs = { x: $x };
              return ENGINE.runKernel(LogicalNot, inputs);
            }
            var logicalNot = op({ logicalNot_: logicalNot_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the truth value of `a OR b` element-wise. Supports broadcasting.
             *
             * ```js
             * const a = tf.tensor1d([false, false, true, true], 'bool');
             * const b = tf.tensor1d([false, true, false, true], 'bool');
             *
             * a.logicalOr(b).print();
             * ```
             * @param a The first input tensor. Must be of dtype bool.
             * @param b The second input tensor. Must be of dtype bool.
             *
             * @doc {heading: 'Operations', subheading: 'Logical'}
             */
            function logicalOr_(a, b) {
              var $a = convertToTensor(a, 'a', 'logicalOr', 'bool');
              var $b = convertToTensor(b, 'b', 'logicalOr', 'bool');
              assertAndGetBroadcastShape($a.shape, $b.shape);
              var inputs = { a: $a, b: $b };
              return ENGINE.runKernel(LogicalOr, inputs);
            }
            var logicalOr = op({ logicalOr_: logicalOr_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the truth value of `a XOR b` element-wise. Supports broadcasting.
             *
             * ```js
             * const a = tf.tensor1d([false, false, true, true], 'bool');
             * const b = tf.tensor1d([false, true, false, true], 'bool');
             *
             * a.logicalXor(b).print();
             * ```
             *
             * @param a The first input tensor. Must be of dtype bool.
             * @param b The second input tensor. Must be of dtype bool.
             *
             * @doc {heading: 'Operations', subheading: 'Logical'}
             */
            function logicalXor_(a, b) {
              var $a = convertToTensor(a, 'a', 'logicalXor', 'bool');
              var $b = convertToTensor(b, 'b', 'logicalXor', 'bool');
              assertAndGetBroadcastShape($a.shape, $b.shape);
              // x ^ y = (x | y) & ~(x & y)
              return logicalAnd(logicalOr(a, b), logicalNot(logicalAnd(a, b)));
            }
            var logicalXor = op({ logicalXor_: logicalXor_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the 2D max pooling of an image.
             *
             * @param x The input tensor, of rank 4 or rank 3 of shape
             *     `[batch, height, width, inChannels]`. If rank 3, batch of 1 is assumed.
             * @param filterSize The filter size: `[filterHeight, filterWidth]`. If
             *     `filterSize` is a single number, then `filterHeight == filterWidth`.
             * @param strides The strides of the pooling: `[strideHeight, strideWidth]`. If
             *     `strides` is a single number, then `strideHeight == strideWidth`.
             * @param dilations The dilation rates: `[dilationHeight, dilationWidth]`
             *     in which we sample input values across the height and width dimensions
             *     in dilated pooling. Defaults to `[1, 1]`. If `dilations` is a single
             *     number, then `dilationHeight == dilationWidth`. If it is greater than
             *     1, then all values of `strides` must be 1.
             * @param pad The type of padding algorithm.
             *    - `same` and stride 1: output will be of same size as input,
             *       regardless of filter size.
             *    - `valid`: output will be smaller than input if filter is larger
             *       than 1x1.
             *    - For more info, see this guide:
             *     [https://www.tensorflow.org/api_guides/python/nn#Convolution](
             *          https://www.tensorflow.org/api_guides/python/nn#Convolution)
             * @param dimRoundingMode A string from: 'ceil', 'round', 'floor'. If none is
             *     provided, it will default to truncate.
             */
            function maxPool_(x, filterSize, strides, pad, dimRoundingMode) {
              var $x = convertToTensor(x, 'x', 'maxPool');
              var dilations = 1;
              var x4D = $x;
              var reshapedTo4D = false;
              if ($x.rank === 3) {
                reshapedTo4D = true;
                x4D = reshape($x, [1, $x.shape[0], $x.shape[1], $x.shape[2]]);
              }
              assert(x4D.rank === 4, function () {
                return 'Error in maxPool: input must be rank 4 but got rank ' + x4D.rank + '.';
              });
              assert(eitherStridesOrDilationsAreOne(strides, dilations), function () {
                return (
                  'Error in maxPool: Either strides or dilations must be 1. ' +
                  ('Got strides ' + strides + " and dilations '" + dilations + "'")
                );
              });
              if (dimRoundingMode != null) {
                assert(isInt(pad), function () {
                  return (
                    'Error in maxPool: pad must be an integer when using, ' +
                    ('dimRoundingMode ' + dimRoundingMode + ' but got pad ' + pad + '.')
                  );
                });
              }
              var inputs = { x: x4D };
              var attrs = {
                filterSize: filterSize,
                strides: strides,
                pad: pad,
                dimRoundingMode: dimRoundingMode,
              };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              var res = ENGINE.runKernel(MaxPool, inputs, attrs);
              if (reshapedTo4D) {
                return reshape(res, [res.shape[1], res.shape[2], res.shape[3]]);
              }
              return res;
            }
            var maxPool = op({ maxPool_: maxPool_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the 3D max pooling.
             *
             * ```js
             * const x = tf.tensor5d([1, 2, 3, 4, 5, 6, 7, 8], [1, 2, 2, 2, 1]);
             * const result = tf.maxPool3d(x, 2, 1, 'valid');
             * result.print();
             * ```
             *
             * @param x The input tensor, of rank 5 or rank 4 of shape
             *     `[batch, depth, height, width, inChannels]`.
             * @param filterSize The filter size:
             *     `[filterDepth, filterHeight, filterWidth]`.
             *     If `filterSize` is a single number,
             *     then `filterDepth == filterHeight == filterWidth`.
             * @param strides The strides of the pooling:
             *     `[strideDepth, strideHeight, strideWidth]`.
             *     If `strides` is a single number,
             *     then `strideDepth == strideHeight == strideWidth`.
             * @param pad The type of padding algorithm.
             *    - `same` and stride 1: output will be of same size as input,
             *       regardless of filter size.
             *    - `valid`: output will be smaller than input if filter is larger
             *       than 1*1x1.
             *    - For more info, see this guide:
             *     [https://www.tensorflow.org/api_guides/python/nn#Convolution](
             *          https://www.tensorflow.org/api_guides/python/nn#Convolution)
             * @param dimRoundingMode A string from: 'ceil', 'round', 'floor'. If none is
             *     provided, it will default to truncate.
             * @param dataFormat An optional string from: "NDHWC", "NCDHW". Defaults to
             *     "NDHWC". Specify the data format of the input and output data. With the
             *     default format "NDHWC", the data is stored in the order of: [batch,
             *     depth, height, width, channels]. Only "NDHWC" is currently supported.
             * @doc {heading: 'Operations', subheading: 'Convolution'}
             */
            function maxPool3d_(x, filterSize, strides, pad, dimRoundingMode, dataFormat) {
              if (filterSize === void 0) {
                filterSize = [1, 1, 1];
              }
              if (dataFormat === void 0) {
                dataFormat = 'NDHWC';
              }
              var $x = convertToTensor(x, 'x', 'maxPool3d');
              var x5D = $x;
              var reshapedTo5D = false;
              if ($x.rank === 4) {
                reshapedTo5D = true;
                x5D = reshape($x, [1, $x.shape[0], $x.shape[1], $x.shape[2], $x.shape[3]]);
              }
              assert(x5D.rank === 5, function () {
                return 'Error in maxPool3d: x must be rank 5 but got rank ' + x5D.rank + '.';
              });
              assert(dataFormat === 'NDHWC', function () {
                return (
                  'Error in maxPool3d: Only NDHWC is currently supported, ' +
                  ('but got dataFormat of ' + dataFormat)
                );
              });
              if (dimRoundingMode != null) {
                assert(isInt(pad), function () {
                  return (
                    'Error in maxPool3d: pad must be an integer when using, ' +
                    ('dimRoundingMode ' + dimRoundingMode + ' but got pad ' + pad + '.')
                  );
                });
              }
              var inputs = { x: x5D };
              var attrs = {
                filterSize: filterSize,
                strides: strides,
                pad: pad,
                dimRoundingMode: dimRoundingMode,
                dataFormat: dataFormat,
              };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              var res = ENGINE.runKernel(MaxPool3D, inputs, attrs);
              if (reshapedTo5D) {
                return reshape(res, [res.shape[1], res.shape[2], res.shape[3], res.shape[4]]);
              }
              return res;
            }
            var maxPool3d = op({ maxPool3d_: maxPool3d_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the 2D max pooling of an image with Argmax index.
             * The indices in argmax are flattened, so that a maximum value at position `[b,
             * y, x, c]` becomes flattened index: `(y * width + x) * channels + c` if
             * include_batch_in_index is False; `((b * height + y) * width + x) * channels
             * +c` if include_batch_in_index is True.
             *
             * The indices returned are always in `[0, height) x [0, width)` before
             * flattening.
             *
             * @param x The input tensor, of rank 4 or rank 3 of shape
             *     `[batch, height, width, inChannels]`. If rank 3, batch of 1 is assumed.
             * @param filterSize The filter size: `[filterHeight, filterWidth]`. If
             *     `filterSize` is a single number, then `filterHeight == filterWidth`.
             * @param strides The strides of the pooling: `[strideHeight, strideWidth]`. If
             *     `strides` is a single number, then `strideHeight == strideWidth`.
             * @param dataFormat An optional string from: "NDHWC", "NCDHW". Defaults to
             *     "NDHWC". Specify the data format of the input and output data. With the
             *     default format "NDHWC", the data is stored in the order of: [batch,
             *     depth, height, width, channels]. Only "NDHWC" is currently supported.
             * @param pad The type of padding algorithm.
             *    - `same` and stride 1: output will be of same size as input,
             *       regardless of filter size.
             *    - `valid`: output will be smaller than input if filter is larger
             *       than 1x1.
             *    - For more info, see this guide:
             *     [https://www.tensorflow.org/api_guides/python/nn#Convolution](
             *          https://www.tensorflow.org/api_guides/python/nn#Convolution)
             * @param includeBatchIndex Defaults to False. Whether to include batch
             *    dimension in flattened index of argmax.
             *
             * @doc {heading: 'Operations', subheading: 'Convolution'}
             */
            function maxPoolWithArgmax_(x, filterSize, strides, pad, includeBatchInIndex) {
              if (includeBatchInIndex === void 0) {
                includeBatchInIndex = false;
              }
              var $x = convertToTensor(x, 'x', 'maxPoolWithArgmax');
              var inputs = { x: $x };
              var attrs = {
                filterSize: filterSize,
                strides: strides,
                pad: pad,
                includeBatchInIndex: includeBatchInIndex,
              };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              var result = ENGINE.runKernel(MaxPoolWithArgmax, inputs, attrs);
              return { result: result[0], indexes: result[1] };
            }
            var maxPoolWithArgmax = op({ maxPoolWithArgmax_: maxPoolWithArgmax_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the max of a and b (`a > b ? a : b`) element-wise.
             * Supports broadcasting.
             *
             * We also expose `tf.maximumStrict` which has the same signature as this op and
             * asserts that `a` and `b` are the same shape (does not broadcast).
             *
             * ```js
             * const a = tf.tensor1d([1, 4, 3, 16]);
             * const b = tf.tensor1d([1, 2, 9, 4]);
             *
             * a.maximum(b).print();  // or tf.maximum(a, b)
             * ```
             *
             * ```js
             * // Broadcast maximum a with b.
             * const a = tf.tensor1d([2, 4, 6, 8]);
             * const b = tf.scalar(5);
             *
             * a.maximum(b).print();  // or tf.maximum(a, b)
             * ```
             *
             * @param a The first tensor.
             * @param b The second tensor. Must have the same type as `a`.
             *
             * @doc {heading: 'Operations', subheading: 'Arithmetic'}
             */
            function maximum_(a, b) {
              var _a;
              var $a = convertToTensor(a, 'a', 'maximum');
              var $b = convertToTensor(b, 'b', 'maximum');
              (_a = makeTypesMatch($a, $b)), ($a = _a[0]), ($b = _a[1]);
              if ($a.dtype === 'bool') {
                $a = cast($a, 'int32');
                $b = cast($b, 'int32');
              }
              assertAndGetBroadcastShape($a.shape, $b.shape);
              var inputs = { a: $a, b: $b };
              return ENGINE.runKernel(Maximum, inputs);
            }
            var maximum = op({ maximum_: maximum_ });

            /**
             * @license
             * Copyright 2020 Google Inc. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the mean of elements across dimensions of a `tf.Tensor`.
             *
             * Reduces `x` along the dimensions given in `axis`. Unless `keepDims` is
             * true, the rank of the `tf.Tensor` is reduced by 1 for each entry in `axis`.
             * If `keepDims` is true, the reduced dimensions are retained with length 1.
             * If `axis` has no entries, all dimensions are reduced, and a `tf.Tensor` with
             * a single element is returned.
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 3]);
             *
             * x.mean().print();  // or tf.mean(a)
             * ```
             *
             * ```js
             * const x = tf.tensor2d([1, 2, 3, 4], [2, 2]);
             *
             * const axis = 1;
             * x.mean(axis).print();  // or tf.mean(x, axis)
             * ```
             *
             * @param x The input tensor.
             * @param axis The dimension(s) to reduce. By default it reduces
             *     all dimensions.
             * @param keepDims If true, retains reduced dimensions with size 1.
             *
             * @doc {heading: 'Operations', subheading: 'Reduction'}
             */
            function mean_(x, axis, keepDims) {
              if (axis === void 0) {
                axis = null;
              }
              if (keepDims === void 0) {
                keepDims = false;
              }
              var $x = convertToTensor(x, 'x', 'mean');
              var inputs = { x: $x };
              var attrs = { axis: axis, keepDims: keepDims };
              return ENGINE.runKernel(Mean, inputs, attrs);
            }
            var mean = op({ mean_: mean_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates a `tf.Tensor` with all elements set to 0.
             *
             * ```js
             * tf.zeros([2, 2]).print();
             * ```
             *
             * @param shape An array of integers defining the output tensor shape.
             * @param dtype The type of an element in the resulting tensor. Can
             *     be 'float32', 'int32' or 'bool'. Defaults to 'float'.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function zeros(shape, dtype) {
              if (dtype === void 0) {
                dtype = 'float32';
              }
              if (dtype === 'complex64') {
                var real = zeros(shape, 'float32');
                var imag = zeros(shape, 'float32');
                return complex(real, imag);
              }
              var values = makeZerosTypedArray(sizeFromShape(shape), dtype);
              return ENGINE.makeTensor(values, shape, dtype);
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates a `tf.Tensor` with all elements set to 1.
             *
             * ```js
             * tf.ones([2, 2]).print();
             * ```
             *
             * @param shape An array of integers defining the output tensor shape.
             * @param dtype The type of an element in the resulting tensor. Defaults to
             *     'float'.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function ones$1(shape, dtype) {
              if (dtype === void 0) {
                dtype = 'float32';
              }
              if (dtype === 'complex64') {
                var real = ones$1(shape, 'float32');
                var imag = zeros(shape, 'float32');
                return complex(real, imag);
              }
              var values = makeOnesTypedArray(sizeFromShape(shape), dtype);
              return ENGINE.makeTensor(values, shape, dtype);
            }

            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Broadcasts parameters for evaluation on an N-D grid.
             *
             * Given N one-dimensional coordinate arrays `*args`, returns a list `outputs`
             * of N-D coordinate arrays for evaluating expressions on an N-D grid.
             *
             * Notes:
             * `meshgrid` supports cartesian ('xy') and matrix ('ij') indexing conventions.
             * When the `indexing` argument is set to 'xy' (the default), the broadcasting
             * instructions for the first two dimensions are swapped.
             * Examples:
             * Calling `const [X, Y] = meshgrid(x, y)` with the tensors
             *
             * ```javascript
             * const x = [1, 2, 3];
             * const y = [4, 5, 6];
             * const [X, Y] = tf.meshgrid(x, y);
             * // X = [[1, 2, 3],
             * //      [1, 2, 3],
             * //      [1, 2, 3]]
             * // Y = [[4, 4, 4],
             * //      [5, 5, 5],
             * //      [6, 6, 6]]
             * ```
             *
             * @param x Tensor with rank geq 1.
             * @param y Tensor with rank geq 1.
             * @param indexing
             *
             * @doc {heading: 'Operations', subheading: 'Slicing and Joining'}
             */
            function meshgrid(x, y, _a) {
              var _b = (_a === void 0 ? {} : _a).indexing,
                indexing = _b === void 0 ? 'xy' : _b;
              if (indexing !== 'xy' && indexing !== 'ij') {
                throw new TypeError(indexing + ' is not a valid third argument to meshgrid');
              }
              if (x === undefined) {
                return [];
              }
              var $x = convertToTensor(
                x,
                'x',
                'meshgrid',
                x instanceof Tensor ? x.dtype : 'float32',
              );
              if (y === undefined) {
                return [$x];
              }
              var $y = convertToTensor(
                y,
                'y',
                'meshgrid',
                y instanceof Tensor ? y.dtype : 'float32',
              );
              var w = sizeFromShape($x.shape);
              var h = sizeFromShape($y.shape);
              if (indexing === 'xy') {
                $x = reshape($x, [1, -1]);
                $y = reshape($y, [-1, 1]);
                return [matMul(ones$1([h, 1], $x.dtype), $x), matMul($y, ones$1([1, w], $y.dtype))];
              }
              $x = reshape($x, [-1, 1]);
              $y = reshape($y, [1, -1]);
              return [matMul($x, ones$1([1, h], $x.dtype)), matMul(ones$1([w, 1], $y.dtype), $y)];
            }

            /**
             * @license
             * Copyright 2020 Google Inc. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the minimum value from the input.
             *
             * Reduces the input along the dimensions given in `axes`. Unless `keepDims`
             * is true, the rank of the array is reduced by 1 for each entry in `axes`.
             * If `keepDims` is true, the reduced dimensions are retained with length 1.
             * If `axes` has no entries, all dimensions are reduced, and an array with a
             * single element is returned.
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 3]);
             *
             * x.min().print();  // or tf.min(x)
             * ```
             *
             * ```js
             * const x = tf.tensor2d([1, 2, 3, 4], [2, 2]);
             *
             * const axis = 1;
             * x.min(axis).print();  // or tf.min(x, axis)
             * ```
             *
             * @param x The input Tensor.
             * @param axis The dimension(s) to reduce. By default it reduces
             *     all dimensions.
             * @param keepDims If true, retains reduced dimensions with size 1.
             *
             * @doc {heading: 'Operations', subheading: 'Reduction'}
             */
            function min_(x, axis, keepDims) {
              if (axis === void 0) {
                axis = null;
              }
              if (keepDims === void 0) {
                keepDims = false;
              }
              var $x = convertToTensor(x, 'x', 'min');
              var inputs = { x: $x };
              var attrs = { axis: axis, keepDims: keepDims };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              return ENGINE.runKernel(Min, inputs, attrs);
            }
            var min = op({ min_: min_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the min of a and b (`a < b ? a : b`) element-wise.
             * Supports broadcasting.
             *
             * We also expose `minimumStrict` which has the same signature as this op and
             * asserts that `a` and `b` are the same shape (does not broadcast).
             *
             * ```js
             * const a = tf.tensor1d([1, 4, 3, 16]);
             * const b = tf.tensor1d([1, 2, 9, 4]);
             *
             * a.minimum(b).print();  // or tf.minimum(a, b)
             * ```
             *
             * ```js
             * // Broadcast minimum a with b.
             * const a = tf.tensor1d([2, 4, 6, 8]);
             * const b = tf.scalar(5);
             *
             * a.minimum(b).print();  // or tf.minimum(a, b)
             * ```
             *
             * @param a The first tensor.
             * @param b The second tensor. Must have the same type as `a`.
             *
             * @doc {heading: 'Operations', subheading: 'Arithmetic'}
             */
            function minimum_(a, b) {
              var _a;
              var $a = convertToTensor(a, 'a', 'minimum');
              var $b = convertToTensor(b, 'b', 'minimum');
              (_a = makeTypesMatch($a, $b)), ($a = _a[0]), ($b = _a[1]);
              if ($a.dtype === 'bool') {
                $a = cast($a, 'int32');
                $b = cast($b, 'int32');
              }
              assertAndGetBroadcastShape($a.shape, $b.shape);
              var inputs = { a: $a, b: $b };
              return ENGINE.runKernel(Minimum, inputs);
            }
            var minimum = op({ minimum_: minimum_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Pads a `tf.Tensor` using mirror padding.
             *
             * This operation implements the `REFLECT` and `SYMMETRIC` modes of pad.
             *
             * ```js
             * const x = tf.range(0, 9).reshape([1, 1, 3, 3]);
             * x.mirrorPad([[0, 0], [0, 0], [2, 2], [2, 2]], 'reflect').print();
             * ```
             * @param x The tensor to pad.
             * @param paddings An array of length `R` (the rank of the tensor), where
             * each element is a length-2 tuple of ints `[padBefore, padAfter]`,
             * specifying how much to pad along each dimension of the tensor.
             * In "reflect" mode, the padded regions do not include the borders,
             * while in "symmetric" mode the padded regions do include the borders.
             * For example, if the input is `[1, 2, 3]` and paddings is `[0, 2]`,
             * then the output is `[1, 2, 3, 2, 1]` in "reflect" mode, and
             * `[1, 2, 3, 3, 2]` in "symmetric" mode.
             * If `mode` is "reflect" then both `paddings[D, 0]` and `paddings[D, 1]`
             * must be no greater than `x.shape[D] - 1`. If mode is "symmetric"
             * then both `paddings[D, 0]` and `paddings[D, 1]` must be no greater than
             * `x.shape[D]`
             * @param mode String to specify padding mode. Can be `'reflect' | 'symmetric'`
             */
            /** @doc {heading: 'Tensors', subheading: 'Transformations'} */
            function mirrorPad_(x, paddings, mode) {
              assert(mode === 'reflect' || mode === 'symmetric', function () {
                return (
                  'Invalid mode. Mode must be either reflect or symmetric. ' + ('Got ' + mode + '.')
                );
              });
              var $x = convertToTensor(x, 'x', 'mirrorPad');
              if ($x.rank === 0) {
                throw new Error(
                  'mirrorPad(scalar) is not defined. ' + 'Pass non-scalar to mirrorPad',
                );
              }
              assert(paddings.length === $x.rank, function () {
                return (
                  "Padding doesn't match input. Must be " +
                  $x.rank +
                  '. ' +
                  ('Got ' + paddings.length + '.')
                );
              });
              var shapeOffset = mode === 'reflect' ? 1 : 0;
              var _loop_1 = function (i) {
                assert(paddings[i].length === 2, function () {
                  return 'Invalid number of paddings. Must be length of 2 each.';
                });
                assert(
                  paddings[i][0] >= 0 &&
                    paddings[i][0] <= $x.shape[i] - shapeOffset &&
                    paddings[i][1] >= 0 &&
                    paddings[i][1] <= $x.shape[i] - shapeOffset,
                  function () {
                    return (
                      'Padding in dimension ' +
                      i +
                      ' cannot be greater than or equal ' +
                      ('to ' + ($x.shape[i] - shapeOffset) + ' or less than 0 for input of ') +
                      ('shape ' + $x.shape)
                    );
                  },
                );
              };
              for (var i = 0; i < $x.rank; i++) {
                _loop_1(i);
              }
              var attrs = { paddings: paddings, mode: mode };
              var inputs = { x: $x };
              return ENGINE.runKernel(MirrorPad, inputs, attrs);
            }
            var mirrorPad = op({ mirrorPad_: mirrorPad_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the mod of a and b element-wise.
             * `floor(x / y) * y + mod(x, y) = x`
             * Supports broadcasting.
             *
             * We also expose `tf.modStrict` which has the same signature as this op and
             * asserts that `a` and `b` are the same shape (does not broadcast).
             *
             * ```js
             * const a = tf.tensor1d([1, 4, 3, 16]);
             * const b = tf.tensor1d([1, 2, 9, 4]);
             *
             * a.mod(b).print();  // or tf.mod(a, b)
             * ```
             *
             * ```js
             * // Broadcast a mod b.
             * const a = tf.tensor1d([2, 4, 6, 8]);
             * const b = tf.scalar(5);
             *
             * a.mod(b).print();  // or tf.mod(a, b)
             * ```
             *
             * @param a The first tensor.
             * @param b The second tensor. Must have the same type as `a`.
             *
             * @doc {heading: 'Operations', subheading: 'Arithmetic'}
             */
            function mod_(a, b) {
              var _a;
              var $a = convertToTensor(a, 'a', 'mod');
              var $b = convertToTensor(b, 'b', 'mod');
              (_a = makeTypesMatch($a, $b)), ($a = _a[0]), ($b = _a[1]);
              var inputs = { a: $a, b: $b };
              return ENGINE.runKernel(Mod, inputs);
            }
            var mod = op({ mod_: mod_ });

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes square of `x` element-wise: `x ^ 2`
             *
             * ```js
             * const x = tf.tensor1d([1, 2, Math.sqrt(2), -1]);
             *
             * x.square().print();  // or tf.square(x)
             * ```
             * @param x The input Tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function square_(x) {
              var $x = convertToTensor(x, 'x', 'square');
              var attrs = {};
              return ENGINE.runKernel('Square', { x: $x }, attrs);
            }
            var square = op({ square_: square_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Calculates the mean and variance of `x`. The mean and variance are
             * calculated by aggregating the contents of `x` across `axes`. If `x` is
             * 1-D and `axes = [0]` this is just the mean and variance of a vector.
             *
             * @param x The input tensor.
             * @param axis The dimension(s) along with to compute mean and
             *     variance. By default it reduces all dimensions.
             * @param keepDims If true, the moments have the same dimensionality as the
             *     input.
             * @return An object with two keys: `mean` and `variance`.
             *
             * @doc {heading: 'Operations', subheading: 'Normalization'}
             */
            function moments_(x, axis, keepDims) {
              if (axis === void 0) {
                axis = null;
              }
              if (keepDims === void 0) {
                keepDims = false;
              }
              x = convertToTensor(x, 'x', 'moments');
              var axes = parseAxisParam(axis, x.shape);
              var xMean = mean(x, axes, keepDims);
              var keepDimsShape = xMean.shape;
              if (!keepDims) {
                keepDimsShape = expandShapeToKeepDim(xMean.shape, axes);
              }
              var devSquared = square(sub(cast(x, 'float32'), reshape(xMean, keepDimsShape)));
              var variance = mean(devSquared, axes, keepDims);
              return { mean: xMean, variance: variance };
            }
            var moments = op({ moments_: moments_ });

            /**
             * Computes the next states and outputs of a stack of LSTMCells.
             *
             * Each cell output is used as input to the next cell.
             *
             * Returns `[cellState, cellOutput]`.
             *
             * Derived from tf.contrib.rn.MultiRNNCell.
             *
             * @param lstmCells Array of LSTMCell functions.
             * @param data The input to the cell.
             * @param c Array of previous cell states.
             * @param h Array of previous cell outputs.
             *
             * @doc {heading: 'Operations', subheading: 'RNN'}
             */
            function multiRNNCell_(lstmCells, data, c, h) {
              var $data = convertToTensor(data, 'data', 'multiRNNCell');
              var $c = convertToTensorArray(c, 'c', 'multiRNNCell');
              var $h = convertToTensorArray(h, 'h', 'multiRNNCell');
              var input = $data;
              var newStates = [];
              for (var i = 0; i < lstmCells.length; i++) {
                var output = lstmCells[i](input, $c[i], $h[i]);
                newStates.push(output[0]);
                newStates.push(output[1]);
                input = output[1];
              }
              var newC = [];
              var newH = [];
              for (var i = 0; i < newStates.length; i += 2) {
                newC.push(newStates[i]);
                newH.push(newStates[i + 1]);
              }
              return [newC, newH];
            }
            var multiRNNCell = op({ multiRNNCell_: multiRNNCell_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates a `tf.Tensor` with values drawn from a multinomial distribution.
             *
             * ```js
             * const probs = tf.tensor([.75, .25]);
             * tf.multinomial(probs, 3).print();
             * ```
             *
             * @param logits 1D array with unnormalized log-probabilities, or
             *     2D array of shape `[batchSize, numOutcomes]`. See the `normalized`
             *     parameter.
             * @param numSamples Number of samples to draw for each row slice.
             * @param seed The seed number.
             * @param normalized Whether the provided `logits` are normalized true
             *     probabilities (sum to 1). Defaults to false.
             * @return 1D array of shape `[numSamples]`, or 2D array of shape
             *     `[batchSize, numSamples]`, depending on the rank of the input.
             *
             * @doc {heading: 'Tensors', subheading: 'Random'}
             */
            function multinomial_(logits, numSamples, seed, normalized) {
              if (normalized === void 0) {
                normalized = false;
              }
              var $logits = convertToTensor(logits, 'logits', 'multinomial');
              var numOutcomes = $logits.size;
              var origRank = $logits.rank;
              if (numOutcomes < 2) {
                throw new Error(
                  'Error in multinomial: you need at least 2 outcomes, but got ' +
                    (numOutcomes + '.'),
                );
              }
              if (origRank > 2) {
                throw new Error('Rank of probabilities must be 1 or 2, but is ' + origRank);
              }
              // TODO(lina128): Investigate correct seed behavior. The code seems not allow
              // setting see to 0.
              seed = seed || Math.random();
              // The kernel only accepts (and returns) rank 2 tensors.
              var logits2D = origRank === 1 ? reshape($logits, [1, -1]) : $logits;
              var inputs = { logits: logits2D };
              var attrs = { numSamples: numSamples, seed: seed, normalized: normalized };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              var res = ENGINE.runKernel(Multinomial, inputs, attrs);
              // tslint:disable-next-line:no-unnecessary-type-assertion
              return origRank === 1 ? reshape(res, [res.size]) : res;
            }
            var multinomial = op({ multinomial_: multinomial_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the truth value of (a != b) element-wise. Supports broadcasting.
             *
             * ```js
             * const a = tf.tensor1d([1, 2, 3]);
             * const b = tf.tensor1d([0, 2, 3]);
             *
             * a.notEqual(b).print();
             * ```
             * @param a The first input tensor.
             * @param b The second input tensor. Must have the same dtype as `a`.
             *
             * @doc {heading: 'Operations', subheading: 'Logical'}
             */
            function notEqual_(a, b) {
              var _a;
              var $a = convertToTensor(a, 'a', 'notEqual', 'string_or_numeric');
              var $b = convertToTensor(b, 'b', 'notEqual', 'string_or_numeric');
              (_a = makeTypesMatch($a, $b)), ($a = _a[0]), ($b = _a[1]);
              assertAndGetBroadcastShape($a.shape, $b.shape);
              var inputs = { a: $a, b: $b };
              return ENGINE.runKernel(NotEqual, inputs);
            }
            var notEqual = op({ notEqual_: notEqual_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates a `tf.Tensor` with all elements set to 1 with the same shape as the
             * given tensor.
             *
             * ```js
             * const x = tf.tensor([1, 2]);
             * tf.onesLike(x).print();
             * ```
             * @param x A tensor.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function onesLike_(x) {
              var $x = convertToTensor(x, 'x', 'onesLike');
              var inputs = { x: $x };
              return ENGINE.runKernel(OnesLike, inputs);
            }
            var onesLike = op({ onesLike_: onesLike_ });

            /**
             * Computes the outer product of two vectors, `v1` and `v2`.
             *
             * ```js
             * const a = tf.tensor1d([1, 2, 3]);
             * const b = tf.tensor1d([3, 4, 5]);
             *
             * tf.outerProduct(a, b).print();
             * ```
             * @param v1 The first vector in the outer product operation.
             * @param v2 The second vector in the outer product operation.
             *
             * @doc {heading: 'Operations', subheading: 'Matrices'}
             */
            function outerProduct_(v1, v2) {
              var $v1 = convertToTensor(v1, 'v1', 'outerProduct');
              var $v2 = convertToTensor(v2, 'v2', 'outerProduct');
              assert($v1.rank === 1 && $v2.rank === 1, function () {
                return (
                  'Error in outerProduct: inputs must be rank 1, but got ranks ' +
                  ($v1.rank + ' and ' + $v2.rank + '.')
                );
              });
              var v12D = reshape($v1, [-1, 1]);
              var v22D = reshape($v2, [1, -1]);
              return matMul(v12D, v22D);
            }
            var outerProduct = op({ outerProduct_: outerProduct_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Pads a `tf.Tensor` with a given value and paddings.
             *
             * This operation implements `CONSTANT` mode. For `REFLECT` and `SYMMETRIC`,
             * refer to `tf.mirrorPad`
             *
             * Also available are stricter rank-specific methods with the same signature
             * as this method that assert that `paddings` is of given length.
             *   - `tf.pad1d`
             *   - `tf.pad2d`
             *   - `tf.pad3d`
             *   - `tf.pad4d`
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 3, 4]);
             * x.pad([[1, 2]]).print();
             * ```
             * @param x The tensor to pad.
             * @param paddings An array of length `R` (the rank of the tensor), where
             * each element is a length-2 tuple of ints `[padBefore, padAfter]`,
             * specifying how much to pad along each dimension of the tensor.
             * @param constantValue The pad value to use. Defaults to 0.
             *
             * @doc {heading: 'Tensors', subheading: 'Transformations'}
             */
            function pad_(x, paddings, constantValue) {
              if (constantValue === void 0) {
                constantValue = 0;
              }
              var $x = convertToTensor(x, 'x', 'pad');
              if ($x.rank === 0) {
                throw new Error('pad(scalar) is not defined. Pass non-scalar to pad');
              }
              var attrs = { paddings: paddings, constantValue: constantValue };
              var inputs = { x: $x };
              return ENGINE.runKernel(PadV2, inputs, attrs);
            }
            var pad = op({ pad_: pad_ });

            /**
             * Pads a `tf.Tensor1D` with a given value and paddings. See `pad` for details.
             */
            function pad1d_(x, paddings, constantValue) {
              if (constantValue === void 0) {
                constantValue = 0;
              }
              assert(paddings.length === 2, function () {
                return 'Invalid number of paddings. Must be length of 2.';
              });
              return pad(x, [paddings], constantValue);
            }
            var pad1d = op({ pad1d_: pad1d_ });

            /**
             * Pads a `tf.Tensor2D` with a given value and paddings. See `pad` for details.
             */
            function pad2d_(x, paddings, constantValue) {
              if (constantValue === void 0) {
                constantValue = 0;
              }
              assert(
                paddings.length === 2 && paddings[0].length === 2 && paddings[1].length === 2,
                function () {
                  return 'Invalid number of paddings. Must be length of 2 each.';
                },
              );
              return pad(x, paddings, constantValue);
            }
            var pad2d = op({ pad2d_: pad2d_ });

            /**
             * Pads a `tf.Tensor3D` with a given value and paddings. See `pad` for details.
             */
            function pad3d_(x, paddings, constantValue) {
              if (constantValue === void 0) {
                constantValue = 0;
              }
              assert(
                paddings.length === 3 &&
                  paddings[0].length === 2 &&
                  paddings[1].length === 2 &&
                  paddings[2].length === 2,
                function () {
                  return 'Invalid number of paddings. Must be length of 2 each.';
                },
              );
              return pad(x, paddings, constantValue);
            }
            var pad3d = op({ pad3d_: pad3d_ });

            /**
             * Pads a `tf.Tensor4D` with a given value and paddings. See `pad` for details.
             */
            function pad4d_(x, paddings, constantValue) {
              if (constantValue === void 0) {
                constantValue = 0;
              }
              assert(
                paddings.length === 4 &&
                  paddings[0].length === 2 &&
                  paddings[1].length === 2 &&
                  paddings[2].length === 2 &&
                  paddings[3].length === 2,
                function () {
                  return 'Invalid number of paddings. Must be length of 2 each.';
                },
              );
              return pad(x, paddings, constantValue);
            }
            var pad4d = op({ pad4d_: pad4d_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * This operation divides "spatial" dimensions `[1, ..., M]` of the input into
             * a grid of blocks of shape `blockShape`, and interleaves these blocks with
             * the "batch" dimension (0) such that in the output, the spatial
             * dimensions `[1, ..., M]` correspond to the position within the grid,
             * and the batch dimension combines both the position within a spatial block
             * and the original batch position. Prior to division into blocks,
             * the spatial dimensions of the input are optionally zero padded
             * according to `paddings`. See below for a precise description.
             *
             * ```js
             * const x = tf.tensor4d([1, 2, 3, 4], [1, 2, 2, 1]);
             * const blockShape = [2, 2];
             * const paddings = [[0, 0], [0, 0]];
             *
             * x.spaceToBatchND(blockShape, paddings).print();
             * ```
             *
             * @param x A `tf.Tensor`. N-D with `x.shape` = `[batch] + spatialShape +
             * remainingShape`, where spatialShape has `M` dimensions.
             * @param blockShape A 1-D array. Must have shape `[M]`, all values must
             * be >= 1.
             * @param paddings A 2-D array. Must have shape `[M, 2]`, all values must be >=
             *     0. `paddings[i] = [padStart, padEnd]` specifies the amount to zero-pad
             * from input dimension `i + 1`, which corresponds to spatial dimension `i`. It
             * is required that
             * `(inputShape[i + 1] + padStart + padEnd) % blockShape[i] === 0`
             *
             * This operation is equivalent to the following steps:
             *
             * 1. Zero-pad the start and end of dimensions `[1, ..., M]` of the input
             * according to `paddings` to produce `padded` of shape paddedShape.
             *
             * 2. Reshape `padded` to `reshapedPadded` of shape:
             * `[batch] + [paddedShape[1] / blockShape[0], blockShape[0], ...,
             * paddedShape[M] / blockShape[M-1], blockShape[M-1]] + remainingShape`
             *
             * 3. Permute dimensions of `reshapedPadded` to produce `permutedReshapedPadded`
             * of shape: `blockShape + [batch] + [paddedShape[1] / blockShape[0], ...,
             * paddedShape[M] / blockShape[M-1]] + remainingShape`
             *
             * 4. Reshape `permutedReshapedPadded` to flatten `blockShape` into the
             * batch dimension, producing an output tensor of shape:
             * `[batch * prod(blockShape)] + [paddedShape[1] / blockShape[0], ...,
             * paddedShape[M] / blockShape[M-1]] + remainingShape`
             *
             * @doc {heading: 'Tensors', subheading: 'Transformations'}
             */
            function spaceToBatchND_(x, blockShape, paddings) {
              var $x = convertToTensor(x, 'x', 'spaceToBatchND');
              assert($x.rank >= 1 + blockShape.length, function () {
                return (
                  'input rank ' + $x.rank + ' should be > than [blockShape] ' + blockShape.length
                );
              });
              assert(paddings.length === blockShape.length, function () {
                return (
                  'paddings.shape[0] ' +
                  paddings.length +
                  ' must be equal to [blockShape] ' +
                  blockShape.length
                );
              });
              assert(
                $x.shape.reduce(function (a, b, i) {
                  if (i > 0 && i <= blockShape.length) {
                    return (
                      a && (b + paddings[i - 1][0] + paddings[i - 1][1]) % blockShape[i - 1] === 0
                    );
                  }
                  return a;
                }, true),
                function () {
                  return (
                    'input spatial dimensions ' +
                    $x.shape.slice(1) +
                    ' with paddings ' +
                    paddings.toString() +
                    ' must be divisible by blockShapes ' +
                    blockShape.toString()
                  );
                },
              );
              var inputs = { x: $x };
              var attrs = { blockShape: blockShape, paddings: paddings };
              return ENGINE.runKernel(SpaceToBatchND, inputs, attrs);
            }
            var spaceToBatchND = op({ spaceToBatchND_: spaceToBatchND_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Performs an N-D pooling operation
             *
             * @param input The input tensor, of rank 4 or rank 3 of shape
             *     `[batch, height, width, inChannels]`. If rank 3, batch of 1 is assumed.
             * @param windowShape The filter size: `[filterHeight, filterWidth]`. If
             *     `filterSize` is a single number, then `filterHeight == filterWidth`.
             * @param poolingType The type of pooling, either 'max' or 'avg'.
             * @param pad The type of padding algorithm:
             *    - `same` and stride 1: output will be of same size as input,
             *       regardless of filter size.
             *    - `valid`: output will be smaller than input if filter is larger
             *       than 1x1.
             *    - For more info, see this guide:
             *     [https://www.tensorflow.org/api_guides/python/nn#Convolution](
             *         https://www.tensorflow.org/api_guides/python/nn#Convolution)
             * @param dilations The dilation rates: `[dilationHeight, dilationWidth]`
             *     in which we sample input values across the height and width dimensions
             *     in dilated pooling. Defaults to `[1, 1]`. If `dilationRate` is a single
             *     number, then `dilationHeight == dilationWidth`. If it is greater than
             *     1, then all values of `strides` must be 1.
             * @param strides The strides of the pooling: `[strideHeight, strideWidth]`. If
             *     `strides` is a single number, then `strideHeight == strideWidth`.
             *
             * @doc {heading: 'Operations', subheading: 'Convolution'}
             */
            function pool_(input, windowShape, poolingType, pad, dilations, strides) {
              if (dilations == null) {
                dilations = [1, 1];
              }
              if (strides == null) {
                strides = 1;
              }
              if (pad === 0) {
                pad = 'valid';
              }
              var $x = convertToTensor(input, 'x', 'maxPool');
              var x4D = $x;
              var reshapedTo4D = false;
              if ($x.rank === 3) {
                reshapedTo4D = true;
                x4D = reshape($x, [1, $x.shape[0], $x.shape[1], $x.shape[2]]);
              }
              assert(eitherStridesOrDilationsAreOne(strides, dilations), function () {
                return (
                  'Error in pool: Either strides or dilations must be 1. ' +
                  ('Got strides ' + strides + " and dilations '" + dilations + "'")
                );
              });
              var convInfo = computePool2DInfo(x4D.shape, windowShape, strides, dilations, pad);
              var dilation = [convInfo.dilationHeight, convInfo.dilationWidth];
              // The following implementation does batchToSpace(pool(spaceToBatch(x)))
              // whenever dilation > 1 since the TF kernels do not support dilation > 1.
              // tslint:disable-next-line:max-line-length
              // https://github.com/tensorflow/tensorflow/blob/50f6bb67dc98c9b74630b6047aae7a4f8a40fd02/tensorflow/python/ops/nn_ops.py#L1037
              var basePadding;
              if (pad === 'same') {
                basePadding = withSpaceToBatchBasePaddings(
                  [convInfo.filterHeight, convInfo.filterWidth],
                  dilation,
                );
              } else {
                basePadding = [
                  [0, 0],
                  [0, 0],
                ];
              }
              var isDilationOne = dilation[0] === 1 && dilation[1] === 1;
              var _a = requiredSpaceToBatchPaddings(
                  [convInfo.inHeight, convInfo.inWidth],
                  dilation,
                  basePadding,
                ),
                adjustedPadding = _a[0],
                adjustedCrops = _a[1];
              var convertedPad = isDilationOne ? pad : 'valid';
              var convertedX = isDilationOne ? x4D : spaceToBatchND(x4D, dilation, adjustedPadding);
              var forwardOp =
                poolingType === 'avg'
                  ? function () {
                      return avgPool(convertedX, windowShape, strides, convertedPad);
                    }
                  : function () {
                      return maxPool(convertedX, windowShape, strides, convertedPad);
                    };
              var y = forwardOp();
              var res = isDilationOne ? y : batchToSpaceND(y, dilation, adjustedCrops);
              if (reshapedTo4D) {
                return reshape(res, [res.shape[1], res.shape[2], res.shape[3]]);
              }
              return res;
            }
            // Helper function to compute crops and paddings for pool with dilation > 1.
            // tslint:disable-next-line:max-line-length
            // https://github.com/tensorflow/tensorflow/blob/50f6bb67dc98c9b74630b6047aae7a4f8a40fd02/tensorflow/python/ops/array_ops.py#L2184
            function requiredSpaceToBatchPaddings(inputShape, blockShape, basePadding) {
              var padStart = basePadding.map(function (b) {
                return b[0];
              });
              var origPadEnd = basePadding.map(function (b) {
                return b[1];
              });
              var fullInputShape = inputShape.concat(padStart, origPadEnd);
              var padEndExtra = blockShape.map(function (b, i) {
                return (b - (fullInputShape[i] % b)) % b;
              });
              var padEnd = origPadEnd.map(function (s, i) {
                return s + padEndExtra[i];
              });
              var paddings = blockShape.map(function (_, i) {
                return [padStart[i], padEnd[i]];
              });
              var crops = blockShape.map(function (_, i) {
                return [0, padEndExtra[i]];
              });
              return [paddings, crops];
            }
            // Helper function to compute base paddings for pool with dilation > 1.
            // tslint:disable-next-line:max-line-length
            // https://github.com/tensorflow/tensorflow/blob/50f6bb67dc98c9b74630b6047aae7a4f8a40fd02/tensorflow/python/ops/nn_ops.py#L524
            function withSpaceToBatchBasePaddings(filterShape, dilation) {
              // Spatial dimensions of the filters and the upsampled filters in which we
              // introduce (rate - 1) zeros between consecutive filter values.
              var dilatedFilterShape = filterShape.map(function (s, i) {
                return s + (s - 1) * (dilation[i] - 1);
              });
              var padExtraShape = dilatedFilterShape.map(function (s) {
                return s - 1;
              });
              // When padding is odd, we pad more at end, following the same
              // convention as conv2d.
              var padExtraStart = padExtraShape.map(function (s) {
                return Math.floor(s / 2);
              });
              var padExtraEnd = padExtraShape.map(function (s, i) {
                return s - padExtraStart[i];
              });
              return padExtraShape.map(function (_, i) {
                return [padExtraStart[i], padExtraEnd[i]];
              });
            }
            var pool = op({ pool_: pool_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the power of one `tf.Tensor` to another. Supports broadcasting.
             *
             * Given a `tf.Tensor` x and a `tf.Tensor` y, this operation computes x^y for
             * corresponding elements in x and y. The result's dtype will be the upcasted
             * type of the `base` and `exp` dtypes.
             *
             * ```js
             * const a = tf.tensor([[2, 3], [4, 5]])
             * const b = tf.tensor([[1, 2], [3, 0]]).toInt();
             *
             * a.pow(b).print();  // or tf.pow(a, b)
             * ```
             *
             * ```js
             * const a = tf.tensor([[1, 2], [3, 4]])
             * const b = tf.tensor(2).toInt();
             *
             * a.pow(b).print();  // or tf.pow(a, b)
             * ```
             * We also expose `powStrict` which has the same signature as this op and
             * asserts that `base` and `exp` are the same shape (does not broadcast).
             *
             * @param base The base `tf.Tensor` to pow element-wise.
             * @param exp The exponent `tf.Tensor` to pow element-wise.
             *
             * @doc {heading: 'Operations', subheading: 'Arithmetic'}
             */
            function pow_(base, exp) {
              var _a;
              var $base = convertToTensor(base, 'base', 'pow');
              var $exp = convertToTensor(exp, 'exp', 'pow');
              (_a = makeTypesMatch($base, $exp)), ($base = _a[0]), ($exp = _a[1]);
              var inputs = { a: $base, b: $exp };
              return ENGINE.runKernel(Pow, inputs);
            }
            var pow = op({ pow_: pow_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes leaky rectified linear element-wise with parametric alphas.
             *
             * `x < 0 ? alpha * x : f(x) = x`
             *
             * ```js
             * const x = tf.tensor1d([-1, 2, -3, 4]);
             * const alpha = tf.scalar(0.1);
             *
             * x.prelu(alpha).print();  // or tf.prelu(x, alpha)
             * ```
             * @param x The input tensor.
             * @param alpha Scaling factor for negative values.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function prelu_(x, alpha) {
              var $x = convertToTensor(x, 'x', 'prelu');
              var $alpha = convertToTensor(alpha, 'alpha', 'prelu');
              var inputs = { x: $x, alpha: $alpha };
              return ENGINE.runKernel(Prelu, inputs);
            }
            var prelu = op({ prelu_: prelu_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the product of elements across dimensions of a `tf.Tensor`.
             *
             * Reduces the input along the dimensions given in `axes`. Unless `keepDims`
             * is true, the rank of the `tf.Tensor` is reduced by 1 for each entry in
             * `axes`. If `keepDims` is true, the reduced dimensions are retained with
             * length 1. If `axes` has no entries, all dimensions are reduced, and a
             * `tf.Tensor` with a single element is returned.
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 3]);
             *
             * x.prod().print();  // or tf.prod(x)
             * ```
             *
             * ```js
             * const x = tf.tensor2d([1, 2, 3, 4], [2, 2]);
             *
             * const axis = 1;
             * x.prod(axis).print();  // or tf.prod(x, axis)
             * ```
             *
             * @param x The input tensor to compute the product over. If the dtype is `bool`
             *   it will be converted to `int32` and the output dtype will be `int32`.
             * @param axis The dimension(s) to reduce. By default it reduces
             *     all dimensions.
             * @param keepDims If true, retains reduced dimensions with size 1.
             *
             * @doc {heading: 'Operations', subheading: 'Reduction'}
             */
            function prod_(x, axis, keepDims) {
              if (axis === void 0) {
                axis = null;
              }
              if (keepDims === void 0) {
                keepDims = false;
              }
              var $x = convertToTensor(x, 'x', 'prod');
              if ($x.dtype === 'bool') {
                // bool is not an allowed type for the underlying kernel.
                $x = cast($x, 'int32');
              }
              var inputs = { x: $x };
              var attrs = { axis: axis, keepDims: keepDims };
              return ENGINE.runKernel(Prod, inputs, attrs);
            }
            var prod = op({ prod_: prod_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates a `tf.Tensor` with values sampled from a random number generator
             * function defined by the user.
             *
             * @param shape An array of integers defining the output tensor shape.
             * @param randFunction A random number generator function which is called
             * for each element in the output tensor.
             * @param dtype The data type of the output tensor. Defaults to 'float32'.
             *
             * @doc {heading: 'Tensors', subheading: 'Random'}
             */
            function rand_(shape, randFunction, dtype) {
              var size = sizeFromShape(shape);
              var values = null;
              if (dtype == null || dtype === 'float32') {
                values = new Float32Array(size);
              } else if (dtype === 'int32') {
                values = new Int32Array(size);
              } else if (dtype === 'bool') {
                values = new Uint8Array(size);
              } else {
                throw new Error('Unknown data type ' + dtype);
              }
              for (var i = 0; i < size; i++) {
                values[i] = randFunction();
              }
              return ENGINE.makeTensor(values, shape, dtype);
            }
            var rand = op({ rand_: rand_ });

            var commonjsGlobal =
              typeof globalThis !== 'undefined'
                ? globalThis
                : typeof window !== 'undefined'
                ? window
                : typeof global !== 'undefined'
                ? global
                : typeof self !== 'undefined'
                ? self
                : {};

            function createCommonjsModule(fn, module) {
              return (module = { exports: {} }), fn(module, module.exports), module.exports;
            }

            var alea = createCommonjsModule(function (module) {
              // A port of an algorithm by Johannes Baagøe <baagoe@baagoe.com>, 2010
              // http://baagoe.com/en/RandomMusings/javascript/
              // https://github.com/nquinlan/better-random-numbers-for-javascript-mirror
              // Original work is under MIT license -

              // Copyright (C) 2010 by Johannes Baagøe <baagoe@baagoe.org>
              //
              // Permission is hereby granted, free of charge, to any person obtaining a copy
              // of this software and associated documentation files (the "Software"), to deal
              // in the Software without restriction, including without limitation the rights
              // to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
              // copies of the Software, and to permit persons to whom the Software is
              // furnished to do so, subject to the following conditions:
              //
              // The above copyright notice and this permission notice shall be included in
              // all copies or substantial portions of the Software.
              //
              // THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
              // IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
              // FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
              // AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
              // LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
              // OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
              // THE SOFTWARE.

              (function (global, module, define) {
                function Alea(seed) {
                  var me = this,
                    mash = Mash();

                  me.next = function () {
                    var t = 2091639 * me.s0 + me.c * 2.3283064365386963e-10; // 2^-32
                    me.s0 = me.s1;
                    me.s1 = me.s2;
                    return (me.s2 = t - (me.c = t | 0));
                  };

                  // Apply the seeding algorithm from Baagoe.
                  me.c = 1;
                  me.s0 = mash(' ');
                  me.s1 = mash(' ');
                  me.s2 = mash(' ');
                  me.s0 -= mash(seed);
                  if (me.s0 < 0) {
                    me.s0 += 1;
                  }
                  me.s1 -= mash(seed);
                  if (me.s1 < 0) {
                    me.s1 += 1;
                  }
                  me.s2 -= mash(seed);
                  if (me.s2 < 0) {
                    me.s2 += 1;
                  }
                  mash = null;
                }

                function copy(f, t) {
                  t.c = f.c;
                  t.s0 = f.s0;
                  t.s1 = f.s1;
                  t.s2 = f.s2;
                  return t;
                }

                function impl(seed, opts) {
                  var xg = new Alea(seed),
                    state = opts && opts.state,
                    prng = xg.next;
                  prng.int32 = function () {
                    return (xg.next() * 0x100000000) | 0;
                  };
                  prng.double = function () {
                    return prng() + ((prng() * 0x200000) | 0) * 1.1102230246251565e-16; // 2^-53
                  };
                  prng.quick = prng;
                  if (state) {
                    if (typeof state == 'object') copy(state, xg);
                    prng.state = function () {
                      return copy(xg, {});
                    };
                  }
                  return prng;
                }

                function Mash() {
                  var n = 0xefc8249d;

                  var mash = function (data) {
                    data = data.toString();
                    for (var i = 0; i < data.length; i++) {
                      n += data.charCodeAt(i);
                      var h = 0.02519603282416938 * n;
                      n = h >>> 0;
                      h -= n;
                      h *= n;
                      n = h >>> 0;
                      h -= n;
                      n += h * 0x100000000; // 2^32
                    }
                    return (n >>> 0) * 2.3283064365386963e-10; // 2^-32
                  };

                  return mash;
                }

                if (module && module.exports) {
                  module.exports = impl;
                } else if (define && define.amd) {
                  define(function () {
                    return impl;
                  });
                } else {
                  this.alea = impl;
                }
              })(
                commonjsGlobal,
                module, // present in node.js
                typeof undefined == 'function', // present with an AMD loader
              );
            });

            var xor128 = createCommonjsModule(function (module) {
              // A Javascript implementaion of the "xor128" prng algorithm by
              // George Marsaglia.  See http://www.jstatsoft.org/v08/i14/paper

              (function (global, module, define) {
                function XorGen(seed) {
                  var me = this,
                    strseed = '';

                  me.x = 0;
                  me.y = 0;
                  me.z = 0;
                  me.w = 0;

                  // Set up generator function.
                  me.next = function () {
                    var t = me.x ^ (me.x << 11);
                    me.x = me.y;
                    me.y = me.z;
                    me.z = me.w;
                    return (me.w ^= (me.w >>> 19) ^ t ^ (t >>> 8));
                  };

                  if (seed === (seed | 0)) {
                    // Integer seed.
                    me.x = seed;
                  } else {
                    // String seed.
                    strseed += seed;
                  }

                  // Mix in string seed, then discard an initial batch of 64 values.
                  for (var k = 0; k < strseed.length + 64; k++) {
                    me.x ^= strseed.charCodeAt(k) | 0;
                    me.next();
                  }
                }

                function copy(f, t) {
                  t.x = f.x;
                  t.y = f.y;
                  t.z = f.z;
                  t.w = f.w;
                  return t;
                }

                function impl(seed, opts) {
                  var xg = new XorGen(seed),
                    state = opts && opts.state,
                    prng = function () {
                      return (xg.next() >>> 0) / 0x100000000;
                    };
                  prng.double = function () {
                    do {
                      var top = xg.next() >>> 11,
                        bot = (xg.next() >>> 0) / 0x100000000,
                        result = (top + bot) / (1 << 21);
                    } while (result === 0);
                    return result;
                  };
                  prng.int32 = xg.next;
                  prng.quick = prng;
                  if (state) {
                    if (typeof state == 'object') copy(state, xg);
                    prng.state = function () {
                      return copy(xg, {});
                    };
                  }
                  return prng;
                }

                if (module && module.exports) {
                  module.exports = impl;
                } else if (define && define.amd) {
                  define(function () {
                    return impl;
                  });
                } else {
                  this.xor128 = impl;
                }
              })(
                commonjsGlobal,
                module, // present in node.js
                typeof undefined == 'function', // present with an AMD loader
              );
            });

            var xorwow = createCommonjsModule(function (module) {
              // A Javascript implementaion of the "xorwow" prng algorithm by
              // George Marsaglia.  See http://www.jstatsoft.org/v08/i14/paper

              (function (global, module, define) {
                function XorGen(seed) {
                  var me = this,
                    strseed = '';

                  // Set up generator function.
                  me.next = function () {
                    var t = me.x ^ (me.x >>> 2);
                    me.x = me.y;
                    me.y = me.z;
                    me.z = me.w;
                    me.w = me.v;
                    return (
                      ((me.d = (me.d + 362437) | 0) +
                        (me.v = me.v ^ (me.v << 4) ^ (t ^ (t << 1)))) |
                      0
                    );
                  };

                  me.x = 0;
                  me.y = 0;
                  me.z = 0;
                  me.w = 0;
                  me.v = 0;

                  if (seed === (seed | 0)) {
                    // Integer seed.
                    me.x = seed;
                  } else {
                    // String seed.
                    strseed += seed;
                  }

                  // Mix in string seed, then discard an initial batch of 64 values.
                  for (var k = 0; k < strseed.length + 64; k++) {
                    me.x ^= strseed.charCodeAt(k) | 0;
                    if (k == strseed.length) {
                      me.d = (me.x << 10) ^ (me.x >>> 4);
                    }
                    me.next();
                  }
                }

                function copy(f, t) {
                  t.x = f.x;
                  t.y = f.y;
                  t.z = f.z;
                  t.w = f.w;
                  t.v = f.v;
                  t.d = f.d;
                  return t;
                }

                function impl(seed, opts) {
                  var xg = new XorGen(seed),
                    state = opts && opts.state,
                    prng = function () {
                      return (xg.next() >>> 0) / 0x100000000;
                    };
                  prng.double = function () {
                    do {
                      var top = xg.next() >>> 11,
                        bot = (xg.next() >>> 0) / 0x100000000,
                        result = (top + bot) / (1 << 21);
                    } while (result === 0);
                    return result;
                  };
                  prng.int32 = xg.next;
                  prng.quick = prng;
                  if (state) {
                    if (typeof state == 'object') copy(state, xg);
                    prng.state = function () {
                      return copy(xg, {});
                    };
                  }
                  return prng;
                }

                if (module && module.exports) {
                  module.exports = impl;
                } else if (define && define.amd) {
                  define(function () {
                    return impl;
                  });
                } else {
                  this.xorwow = impl;
                }
              })(
                commonjsGlobal,
                module, // present in node.js
                typeof undefined == 'function', // present with an AMD loader
              );
            });

            var xorshift7 = createCommonjsModule(function (module) {
              // A Javascript implementaion of the "xorshift7" algorithm by
              // François Panneton and Pierre L'ecuyer:
              // "On the Xorgshift Random Number Generators"
              // http://saluc.engr.uconn.edu/refs/crypto/rng/panneton05onthexorshift.pdf

              (function (global, module, define) {
                function XorGen(seed) {
                  var me = this;

                  // Set up generator function.
                  me.next = function () {
                    // Update xor generator.
                    var X = me.x,
                      i = me.i,
                      t,
                      v;
                    t = X[i];
                    t ^= t >>> 7;
                    v = t ^ (t << 24);
                    t = X[(i + 1) & 7];
                    v ^= t ^ (t >>> 10);
                    t = X[(i + 3) & 7];
                    v ^= t ^ (t >>> 3);
                    t = X[(i + 4) & 7];
                    v ^= t ^ (t << 7);
                    t = X[(i + 7) & 7];
                    t = t ^ (t << 13);
                    v ^= t ^ (t << 9);
                    X[i] = v;
                    me.i = (i + 1) & 7;
                    return v;
                  };

                  function init(me, seed) {
                    var j,
                      w,
                      X = [];

                    if (seed === (seed | 0)) {
                      // Seed state array using a 32-bit integer.
                      w = X[0] = seed;
                    } else {
                      // Seed state using a string.
                      seed = '' + seed;
                      for (j = 0; j < seed.length; ++j) {
                        X[j & 7] = (X[j & 7] << 15) ^ ((seed.charCodeAt(j) + X[(j + 1) & 7]) << 13);
                      }
                    }
                    // Enforce an array length of 8, not all zeroes.
                    while (X.length < 8) X.push(0);
                    for (j = 0; j < 8 && X[j] === 0; ++j);
                    if (j == 8) w = X[7] = -1;
                    else w = X[j];

                    me.x = X;
                    me.i = 0;

                    // Discard an initial 256 values.
                    for (j = 256; j > 0; --j) {
                      me.next();
                    }
                  }

                  init(me, seed);
                }

                function copy(f, t) {
                  t.x = f.x.slice();
                  t.i = f.i;
                  return t;
                }

                function impl(seed, opts) {
                  if (seed == null) seed = +new Date();
                  var xg = new XorGen(seed),
                    state = opts && opts.state,
                    prng = function () {
                      return (xg.next() >>> 0) / 0x100000000;
                    };
                  prng.double = function () {
                    do {
                      var top = xg.next() >>> 11,
                        bot = (xg.next() >>> 0) / 0x100000000,
                        result = (top + bot) / (1 << 21);
                    } while (result === 0);
                    return result;
                  };
                  prng.int32 = xg.next;
                  prng.quick = prng;
                  if (state) {
                    if (state.x) copy(state, xg);
                    prng.state = function () {
                      return copy(xg, {});
                    };
                  }
                  return prng;
                }

                if (module && module.exports) {
                  module.exports = impl;
                } else if (define && define.amd) {
                  define(function () {
                    return impl;
                  });
                } else {
                  this.xorshift7 = impl;
                }
              })(
                commonjsGlobal,
                module, // present in node.js
                typeof undefined == 'function', // present with an AMD loader
              );
            });

            var xor4096 = createCommonjsModule(function (module) {
              // A Javascript implementaion of Richard Brent's Xorgens xor4096 algorithm.
              //
              // This fast non-cryptographic random number generator is designed for
              // use in Monte-Carlo algorithms. It combines a long-period xorshift
              // generator with a Weyl generator, and it passes all common batteries
              // of stasticial tests for randomness while consuming only a few nanoseconds
              // for each prng generated.  For background on the generator, see Brent's
              // paper: "Some long-period random number generators using shifts and xors."
              // http://arxiv.org/pdf/1004.3115v1.pdf
              //
              // Usage:
              //
              // var xor4096 = require('xor4096');
              // random = xor4096(1);                        // Seed with int32 or string.
              // assert.equal(random(), 0.1520436450538547); // (0, 1) range, 53 bits.
              // assert.equal(random.int32(), 1806534897);   // signed int32, 32 bits.
              //
              // For nonzero numeric keys, this impelementation provides a sequence
              // identical to that by Brent's xorgens 3 implementaion in C.  This
              // implementation also provides for initalizing the generator with
              // string seeds, or for saving and restoring the state of the generator.
              //
              // On Chrome, this prng benchmarks about 2.1 times slower than
              // Javascript's built-in Math.random().

              (function (global, module, define) {
                function XorGen(seed) {
                  var me = this;

                  // Set up generator function.
                  me.next = function () {
                    var w = me.w,
                      X = me.X,
                      i = me.i,
                      t,
                      v;
                    // Update Weyl generator.
                    me.w = w = (w + 0x61c88647) | 0;
                    // Update xor generator.
                    v = X[(i + 34) & 127];
                    t = X[(i = (i + 1) & 127)];
                    v ^= v << 13;
                    t ^= t << 17;
                    v ^= v >>> 15;
                    t ^= t >>> 12;
                    // Update Xor generator array state.
                    v = X[i] = v ^ t;
                    me.i = i;
                    // Result is the combination.
                    return (v + (w ^ (w >>> 16))) | 0;
                  };

                  function init(me, seed) {
                    var t,
                      v,
                      i,
                      j,
                      w,
                      X = [],
                      limit = 128;
                    if (seed === (seed | 0)) {
                      // Numeric seeds initialize v, which is used to generates X.
                      v = seed;
                      seed = null;
                    } else {
                      // String seeds are mixed into v and X one character at a time.
                      seed = seed + '\0';
                      v = 0;
                      limit = Math.max(limit, seed.length);
                    }
                    // Initialize circular array and weyl value.
                    for (i = 0, j = -32; j < limit; ++j) {
                      // Put the unicode characters into the array, and shuffle them.
                      if (seed) v ^= seed.charCodeAt((j + 32) % seed.length);
                      // After 32 shuffles, take v as the starting w value.
                      if (j === 0) w = v;
                      v ^= v << 10;
                      v ^= v >>> 15;
                      v ^= v << 4;
                      v ^= v >>> 13;
                      if (j >= 0) {
                        w = (w + 0x61c88647) | 0; // Weyl.
                        t = X[j & 127] ^= v + w; // Combine xor and weyl to init array.
                        i = 0 == t ? i + 1 : 0; // Count zeroes.
                      }
                    }
                    // We have detected all zeroes; make the key nonzero.
                    if (i >= 128) {
                      X[((seed && seed.length) || 0) & 127] = -1;
                    }
                    // Run the generator 512 times to further mix the state before using it.
                    // Factoring this as a function slows the main generator, so it is just
                    // unrolled here.  The weyl generator is not advanced while warming up.
                    i = 127;
                    for (j = 4 * 128; j > 0; --j) {
                      v = X[(i + 34) & 127];
                      t = X[(i = (i + 1) & 127)];
                      v ^= v << 13;
                      t ^= t << 17;
                      v ^= v >>> 15;
                      t ^= t >>> 12;
                      X[i] = v ^ t;
                    }
                    // Storing state as object members is faster than using closure variables.
                    me.w = w;
                    me.X = X;
                    me.i = i;
                  }

                  init(me, seed);
                }

                function copy(f, t) {
                  t.i = f.i;
                  t.w = f.w;
                  t.X = f.X.slice();
                  return t;
                }
                function impl(seed, opts) {
                  if (seed == null) seed = +new Date();
                  var xg = new XorGen(seed),
                    state = opts && opts.state,
                    prng = function () {
                      return (xg.next() >>> 0) / 0x100000000;
                    };
                  prng.double = function () {
                    do {
                      var top = xg.next() >>> 11,
                        bot = (xg.next() >>> 0) / 0x100000000,
                        result = (top + bot) / (1 << 21);
                    } while (result === 0);
                    return result;
                  };
                  prng.int32 = xg.next;
                  prng.quick = prng;
                  if (state) {
                    if (state.X) copy(state, xg);
                    prng.state = function () {
                      return copy(xg, {});
                    };
                  }
                  return prng;
                }

                if (module && module.exports) {
                  module.exports = impl;
                } else if (define && define.amd) {
                  define(function () {
                    return impl;
                  });
                } else {
                  this.xor4096 = impl;
                }
              })(
                commonjsGlobal, // window object or global
                module, // present in node.js
                typeof undefined == 'function', // present with an AMD loader
              );
            });

            var tychei = createCommonjsModule(function (module) {
              // A Javascript implementaion of the "Tyche-i" prng algorithm by
              // Samuel Neves and Filipe Araujo.
              // See https://eden.dei.uc.pt/~sneves/pubs/2011-snfa2.pdf

              (function (global, module, define) {
                function XorGen(seed) {
                  var me = this,
                    strseed = '';

                  // Set up generator function.
                  me.next = function () {
                    var b = me.b,
                      c = me.c,
                      d = me.d,
                      a = me.a;
                    b = (b << 25) ^ (b >>> 7) ^ c;
                    c = (c - d) | 0;
                    d = (d << 24) ^ (d >>> 8) ^ a;
                    a = (a - b) | 0;
                    me.b = b = (b << 20) ^ (b >>> 12) ^ c;
                    me.c = c = (c - d) | 0;
                    me.d = (d << 16) ^ (c >>> 16) ^ a;
                    return (me.a = (a - b) | 0);
                  };

                  /* The following is non-inverted tyche, which has better internal
   * bit diffusion, but which is about 25% slower than tyche-i in JS.
  me.next = function() {
    var a = me.a, b = me.b, c = me.c, d = me.d;
    a = (me.a + me.b | 0) >>> 0;
    d = me.d ^ a; d = d << 16 ^ d >>> 16;
    c = me.c + d | 0;
    b = me.b ^ c; b = b << 12 ^ d >>> 20;
    me.a = a = a + b | 0;
    d = d ^ a; me.d = d = d << 8 ^ d >>> 24;
    me.c = c = c + d | 0;
    b = b ^ c;
    return me.b = (b << 7 ^ b >>> 25);
  }
  */

                  me.a = 0;
                  me.b = 0;
                  me.c = 2654435769 | 0;
                  me.d = 1367130551;

                  if (seed === Math.floor(seed)) {
                    // Integer seed.
                    me.a = (seed / 0x100000000) | 0;
                    me.b = seed | 0;
                  } else {
                    // String seed.
                    strseed += seed;
                  }

                  // Mix in string seed, then discard an initial batch of 64 values.
                  for (var k = 0; k < strseed.length + 20; k++) {
                    me.b ^= strseed.charCodeAt(k) | 0;
                    me.next();
                  }
                }

                function copy(f, t) {
                  t.a = f.a;
                  t.b = f.b;
                  t.c = f.c;
                  t.d = f.d;
                  return t;
                }
                function impl(seed, opts) {
                  var xg = new XorGen(seed),
                    state = opts && opts.state,
                    prng = function () {
                      return (xg.next() >>> 0) / 0x100000000;
                    };
                  prng.double = function () {
                    do {
                      var top = xg.next() >>> 11,
                        bot = (xg.next() >>> 0) / 0x100000000,
                        result = (top + bot) / (1 << 21);
                    } while (result === 0);
                    return result;
                  };
                  prng.int32 = xg.next;
                  prng.quick = prng;
                  if (state) {
                    if (typeof state == 'object') copy(state, xg);
                    prng.state = function () {
                      return copy(xg, {});
                    };
                  }
                  return prng;
                }

                if (module && module.exports) {
                  module.exports = impl;
                } else if (define && define.amd) {
                  define(function () {
                    return impl;
                  });
                } else {
                  this.tychei = impl;
                }
              })(
                commonjsGlobal,
                module, // present in node.js
                typeof undefined == 'function', // present with an AMD loader
              );
            });

            var seedrandom = createCommonjsModule(function (module) {
              /*
Copyright 2014 David Bau.

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*/

              (function (pool, math) {
                //
                // The following constants are related to IEEE 754 limits.
                //
                var global = this,
                  width = 256, // each RC4 output is 0 <= x < 256
                  chunks = 6, // at least six RC4 outputs for each double
                  digits = 52, // there are 52 significant digits in a double
                  rngname = 'random', // rngname: name for Math.random and Math.seedrandom
                  startdenom = math.pow(width, chunks),
                  significance = math.pow(2, digits),
                  overflow = significance * 2,
                  mask = width - 1,
                  nodecrypto; // node.js crypto module, initialized at the bottom.

                //
                // seedrandom()
                // This is the seedrandom function described above.
                //
                function seedrandom(seed, options, callback) {
                  var key = [];
                  options = options == true ? { entropy: true } : options || {};

                  // Flatten the seed string or build one from local entropy if needed.
                  var shortseed = mixkey(
                    flatten(
                      options.entropy ? [seed, tostring(pool)] : seed == null ? autoseed() : seed,
                      3,
                    ),
                    key,
                  );

                  // Use the seed to initialize an ARC4 generator.
                  var arc4 = new ARC4(key);

                  // This function returns a random double in [0, 1) that contains
                  // randomness in every bit of the mantissa of the IEEE 754 value.
                  var prng = function () {
                    var n = arc4.g(chunks), // Start with a numerator n < 2 ^ 48
                      d = startdenom, //   and denominator d = 2 ^ 48.
                      x = 0; //   and no 'extra last byte'.
                    while (n < significance) {
                      // Fill up all significant digits by
                      n = (n + x) * width; //   shifting numerator and
                      d *= width; //   denominator and generating a
                      x = arc4.g(1); //   new least-significant-byte.
                    }
                    while (n >= overflow) {
                      // To avoid rounding up, before adding
                      n /= 2; //   last byte, shift everything
                      d /= 2; //   right using integer math until
                      x >>>= 1; //   we have exactly the desired bits.
                    }
                    return (n + x) / d; // Form the number within [0, 1).
                  };

                  prng.int32 = function () {
                    return arc4.g(4) | 0;
                  };
                  prng.quick = function () {
                    return arc4.g(4) / 0x100000000;
                  };
                  prng.double = prng;

                  // Mix the randomness into accumulated entropy.
                  mixkey(tostring(arc4.S), pool);

                  // Calling convention: what to return as a function of prng, seed, is_math.
                  return (
                    options.pass ||
                    callback ||
                    function (prng, seed, is_math_call, state) {
                      if (state) {
                        // Load the arc4 state from the given state if it has an S array.
                        if (state.S) {
                          copy(state, arc4);
                        }
                        // Only provide the .state method if requested via options.state.
                        prng.state = function () {
                          return copy(arc4, {});
                        };
                      }

                      // If called as a method of Math (Math.seedrandom()), mutate
                      // Math.random because that is how seedrandom.js has worked since v1.0.
                      if (is_math_call) {
                        math[rngname] = prng;
                        return seed;
                      }

                      // Otherwise, it is a newer calling convention, so return the
                      // prng directly.
                      else return prng;
                    }
                  )(prng, shortseed, 'global' in options ? options.global : this == math, options.state);
                }
                math['seed' + rngname] = seedrandom;

                //
                // ARC4
                //
                // An ARC4 implementation.  The constructor takes a key in the form of
                // an array of at most (width) integers that should be 0 <= x < (width).
                //
                // The g(count) method returns a pseudorandom integer that concatenates
                // the next (count) outputs from ARC4.  Its return value is a number x
                // that is in the range 0 <= x < (width ^ count).
                //
                function ARC4(key) {
                  var t,
                    keylen = key.length,
                    me = this,
                    i = 0,
                    j = (me.i = me.j = 0),
                    s = (me.S = []);

                  // The empty key [] is treated as [0].
                  if (!keylen) {
                    key = [keylen++];
                  }

                  // Set up S using the standard key scheduling algorithm.
                  while (i < width) {
                    s[i] = i++;
                  }
                  for (i = 0; i < width; i++) {
                    s[i] = s[(j = mask & (j + key[i % keylen] + (t = s[i])))];
                    s[j] = t;
                  }

                  // The "g" method returns the next (count) outputs as one number.
                  (me.g = function (count) {
                    // Using instance members instead of closure state nearly doubles speed.
                    var t,
                      r = 0,
                      i = me.i,
                      j = me.j,
                      s = me.S;
                    while (count--) {
                      t = s[(i = mask & (i + 1))];
                      r = r * width + s[mask & ((s[i] = s[(j = mask & (j + t))]) + (s[j] = t))];
                    }
                    me.i = i;
                    me.j = j;
                    return r;
                    // For robust unpredictability, the function call below automatically
                    // discards an initial batch of values.  This is called RC4-drop[256].
                    // See http://google.com/search?q=rsa+fluhrer+response&btnI
                  })(width);
                }

                //
                // copy()
                // Copies internal state of ARC4 to or from a plain object.
                //
                function copy(f, t) {
                  t.i = f.i;
                  t.j = f.j;
                  t.S = f.S.slice();
                  return t;
                }
                //
                // flatten()
                // Converts an object tree to nested arrays of strings.
                //
                function flatten(obj, depth) {
                  var result = [],
                    typ = typeof obj,
                    prop;
                  if (depth && typ == 'object') {
                    for (prop in obj) {
                      try {
                        result.push(flatten(obj[prop], depth - 1));
                      } catch (e) {}
                    }
                  }
                  return result.length ? result : typ == 'string' ? obj : obj + '\0';
                }

                //
                // mixkey()
                // Mixes a string seed into a key that is an array of integers, and
                // returns a shortened string seed that is equivalent to the result key.
                //
                function mixkey(seed, key) {
                  var stringseed = seed + '',
                    smear,
                    j = 0;
                  while (j < stringseed.length) {
                    key[mask & j] =
                      mask & ((smear ^= key[mask & j] * 19) + stringseed.charCodeAt(j++));
                  }
                  return tostring(key);
                }

                //
                // autoseed()
                // Returns an object for autoseeding, using window.crypto and Node crypto
                // module if available.
                //
                function autoseed() {
                  try {
                    var out;
                    if (nodecrypto && (out = nodecrypto.randomBytes)) {
                      // The use of 'out' to remember randomBytes makes tight minified code.
                      out = out(width);
                    } else {
                      out = new Uint8Array(width);
                      (global.crypto || global.msCrypto).getRandomValues(out);
                    }
                    return tostring(out);
                  } catch (e) {
                    var browser = global.navigator,
                      plugins = browser && browser.plugins;
                    return [+new Date(), global, plugins, global.screen, tostring(pool)];
                  }
                }

                //
                // tostring()
                // Converts an array of charcodes to a string
                //
                function tostring(a) {
                  return String.fromCharCode.apply(0, a);
                }

                //
                // When seedrandom.js is loaded, we immediately mix a few bits
                // from the built-in RNG into the entropy pool.  Because we do
                // not want to interfere with deterministic PRNG state later,
                // seedrandom will not call math.random on its own again after
                // initialization.
                //
                mixkey(math.random(), pool);

                //
                // Nodejs and AMD support: export the implementation as a module using
                // either convention.
                //
                if (module.exports) {
                  module.exports = seedrandom;
                  // When in node.js, try using crypto package for autoseeding.
                  try {
                    nodecrypto = require('crypto');
                  } catch (ex) {}
                }

                // End anonymous scope, and pass initial values.
              })(
                [], // pool: entropy pool starts empty
                Math, // math: package containing random, pow, and seedrandom
              );
            });

            // A library of seedable RNGs implemented in Javascript.
            //
            // Usage:
            //
            // var seedrandom = require('seedrandom');
            // var random = seedrandom(1); // or any seed.
            // var x = random();       // 0 <= x < 1.  Every bit is random.
            // var x = random.quick(); // 0 <= x < 1.  32 bits of randomness.

            // alea, a 53-bit multiply-with-carry generator by Johannes Baagøe.
            // Period: ~2^116
            // Reported to pass all BigCrush tests.

            // xor128, a pure xor-shift generator by George Marsaglia.
            // Period: 2^128-1.
            // Reported to fail: MatrixRank and LinearComp.

            // xorwow, George Marsaglia's 160-bit xor-shift combined plus weyl.
            // Period: 2^192-2^32
            // Reported to fail: CollisionOver, SimpPoker, and LinearComp.

            // xorshift7, by François Panneton and Pierre L'ecuyer, takes
            // a different approach: it adds robustness by allowing more shifts
            // than Marsaglia's original three.  It is a 7-shift generator
            // with 256 bits, that passes BigCrush with no systmatic failures.
            // Period 2^256-1.
            // No systematic BigCrush failures reported.

            // xor4096, by Richard Brent, is a 4096-bit xor-shift with a
            // very long period that also adds a Weyl generator. It also passes
            // BigCrush with no systematic failures.  Its long period may
            // be useful if you have many generators and need to avoid
            // collisions.
            // Period: 2^4128-2^32.
            // No systematic BigCrush failures reported.

            // Tyche-i, by Samuel Neves and Filipe Araujo, is a bit-shifting random
            // number generator derived from ChaCha, a modern stream cipher.
            // https://eden.dei.uc.pt/~sneves/pubs/2011-snfa2.pdf
            // Period: ~2^127
            // No systematic BigCrush failures reported.

            // The original ARC4-based prng included in this library.
            // Period: ~2^1600

            seedrandom.alea = alea;
            seedrandom.xor128 = xor128;
            seedrandom.xorwow = xorwow;
            seedrandom.xorshift7 = xorshift7;
            seedrandom.xor4096 = xor4096;
            seedrandom.tychei = tychei;

            var seedrandom$1 = seedrandom;
            var seedrandom_1 = seedrandom$1.alea;

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            // https://en.wikipedia.org/wiki/Marsaglia_polar_method
            var MPRandGauss = /** @class */ (function () {
              function MPRandGauss(mean, stdDeviation, dtype, truncated, seed) {
                this.mean = mean;
                this.stdDev = stdDeviation;
                this.dtype = dtype;
                this.nextVal = NaN;
                this.truncated = truncated;
                if (this.truncated) {
                  this.upper = this.mean + this.stdDev * 2;
                  this.lower = this.mean - this.stdDev * 2;
                }
                var seedValue = seed ? seed : Math.random();
                this.random = seedrandom_1(seedValue.toString());
              }
              /** Returns next sample from a Gaussian distribution. */
              MPRandGauss.prototype.nextValue = function () {
                if (!isNaN(this.nextVal)) {
                  var value = this.nextVal;
                  this.nextVal = NaN;
                  return value;
                }
                var resultX, resultY;
                var isValid = false;
                while (!isValid) {
                  var v1 = void 0,
                    v2 = void 0,
                    s = void 0;
                  do {
                    v1 = 2 * this.random() - 1;
                    v2 = 2 * this.random() - 1;
                    s = v1 * v1 + v2 * v2;
                  } while (s >= 1 || s === 0);
                  var mul = Math.sqrt((-2.0 * Math.log(s)) / s);
                  resultX = this.mean + this.stdDev * v1 * mul;
                  resultY = this.mean + this.stdDev * v2 * mul;
                  if (!this.truncated || this.isValidTruncated(resultX)) {
                    isValid = true;
                  }
                }
                if (!this.truncated || this.isValidTruncated(resultY)) {
                  this.nextVal = this.convertValue(resultY);
                }
                return this.convertValue(resultX);
              };
              /** Handles proper rounding for non-floating-point numbers. */
              MPRandGauss.prototype.convertValue = function (value) {
                if (this.dtype == null || this.dtype === 'float32') {
                  return value;
                }
                return Math.round(value);
              };
              /** Returns true if less than 2-standard-deviations from the mean. */
              MPRandGauss.prototype.isValidTruncated = function (value) {
                return value <= this.upper && value >= this.lower;
              };
              return MPRandGauss;
            })();
            // Marsaglia, George, and Wai Wan Tsang. 2000. "A Simple Method for Generating
            // Gamma Variables."
            var RandGamma = /** @class */ (function () {
              function RandGamma(alpha, beta, dtype, seed) {
                this.alpha = alpha;
                this.beta = 1 / beta; // convert rate to scale parameter
                this.dtype = dtype;
                var seedValue = seed ? seed : Math.random();
                this.randu = seedrandom_1(seedValue.toString());
                this.randn = new MPRandGauss(0, 1, dtype, false, this.randu());
                if (alpha < 1) {
                  this.d = alpha + 2 / 3;
                } else {
                  this.d = alpha - 1 / 3;
                }
                this.c = 1 / Math.sqrt(9 * this.d);
              }
              /** Returns next sample from a gamma distribution. */
              RandGamma.prototype.nextValue = function () {
                var x2, v0, v1, x, u, v;
                while (true) {
                  do {
                    x = this.randn.nextValue();
                    v = 1 + this.c * x;
                  } while (v <= 0);
                  v *= v * v;
                  x2 = x * x;
                  v0 = 1 - 0.331 * x2 * x2;
                  v1 = 0.5 * x2 + this.d * (1 - v + Math.log(v));
                  u = this.randu();
                  if (u < v0 || Math.log(u) < v1) {
                    break;
                  }
                }
                v = (1 / this.beta) * this.d * v;
                if (this.alpha < 1) {
                  v *= Math.pow(this.randu(), 1 / this.alpha);
                }
                return this.convertValue(v);
              };
              /** Handles proper rounding for non-floating-point numbers. */
              RandGamma.prototype.convertValue = function (value) {
                if (this.dtype === 'float32') {
                  return value;
                }
                return Math.round(value);
              };
              return RandGamma;
            })();
            var UniformRandom = /** @class */ (function () {
              function UniformRandom(min, max, dtype, seed) {
                var _this = this;
                if (min === void 0) {
                  min = 0;
                }
                if (max === void 0) {
                  max = 1;
                }
                /** Handles proper rounding for non floating point numbers. */
                this.canReturnFloat = function () {
                  return _this.dtype == null || _this.dtype === 'float32';
                };
                this.min = min;
                this.range = max - min;
                this.dtype = dtype;
                if (seed == null) {
                  seed = Math.random();
                }
                if (typeof seed === 'number') {
                  seed = seed.toString();
                }
                if (!this.canReturnFloat() && this.range <= 1) {
                  throw new Error(
                    'The difference between ' + min + ' - ' + max + ' <= 1 and dtype is not float',
                  );
                }
                this.random = seedrandom_1(seed);
              }
              UniformRandom.prototype.convertValue = function (value) {
                if (this.canReturnFloat()) {
                  return value;
                }
                return Math.round(value);
              };
              UniformRandom.prototype.nextValue = function () {
                return this.convertValue(this.min + this.range * this.random());
              };
              return UniformRandom;
            })();

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates a `tf.Tensor` with values sampled from a gamma distribution.
             *
             * ```js
             * tf.randomGamma([2, 2], 1).print();
             * ```
             *
             * @param shape An array of integers defining the output tensor shape.
             * @param alpha The shape parameter of the gamma distribution.
             * @param beta The inverse scale parameter of the gamma distribution. Defaults
             *     to 1.
             * @param dtype The data type of the output. Defaults to float32.
             * @param seed The seed for the random number generator.
             *
             * @doc {heading: 'Tensors', subheading: 'Random'}
             */
            function randomGamma_(shape, alpha, beta, dtype, seed) {
              if (beta === void 0) {
                beta = 1;
              }
              if (dtype === void 0) {
                dtype = 'float32';
              }
              if (beta == null) {
                beta = 1;
              }
              if (dtype == null) {
                dtype = 'float32';
              }
              if (dtype !== 'float32' && dtype !== 'int32') {
                throw new Error('Unsupported data type ' + dtype);
              }
              var rgamma = new RandGamma(alpha, beta, dtype, seed);
              var res = buffer(shape, dtype);
              for (var i = 0; i < res.values.length; i++) {
                res.values[i] = rgamma.nextValue();
              }
              return res.toTensor();
            }
            var randomGamma = op({ randomGamma_: randomGamma_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates a `tf.Tensor` with values sampled from a normal distribution.
             *
             * ```js
             * tf.randomNormal([2, 2]).print();
             * ```
             *
             * @param shape An array of integers defining the output tensor shape.
             * @param mean The mean of the normal distribution.
             * @param stdDev The standard deviation of the normal distribution.
             * @param dtype The data type of the output.
             * @param seed The seed for the random number generator.
             *
             * @doc {heading: 'Tensors', subheading: 'Random'}
             */
            function randomNormal_(shape, mean, stdDev, dtype, seed) {
              if (mean === void 0) {
                mean = 0;
              }
              if (stdDev === void 0) {
                stdDev = 1;
              }
              if (dtype != null && dtype === 'bool') {
                throw new Error('Unsupported data type ' + dtype);
              }
              var randGauss = new MPRandGauss(mean, stdDev, dtype, false /* truncated */, seed);
              var res = buffer(shape, dtype);
              for (var i = 0; i < res.values.length; i++) {
                res.values[i] = randGauss.nextValue();
              }
              return res.toTensor();
            }
            var randomNormal = op({ randomNormal_: randomNormal_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates a `tf.Tensor` with values sampled from a uniform distribution.
             *
             * The generated values follow a uniform distribution in the range [minval,
             * maxval). The lower bound minval is included in the range, while the upper
             * bound maxval is excluded.
             *
             * ```js
             * tf.randomUniform([2, 2]).print();
             * ```
             *
             * @param shape An array of integers defining the output tensor shape.
             * @param minval The lower bound on the range of random values to generate.
             *   Defaults to 0.
             * @param maxval The upper bound on the range of random values to generate.
             *   Defaults to 1.
             * @param dtype The data type of the output tensor. Defaults to 'float32'.
             *
             * @doc {heading: 'Tensors', subheading: 'Random'}
             */
            function randomUniform_(shape, minval, maxval, dtype, seed) {
              if (minval === void 0) {
                minval = 0;
              }
              if (maxval === void 0) {
                maxval = 1;
              }
              if (dtype === void 0) {
                dtype = 'float32';
              }
              var res = buffer(shape, dtype);
              var random = new UniformRandom(minval, maxval, null, seed);
              for (var i = 0; i < res.values.length; i++) {
                res.values[i] = random.nextValue();
              }
              return res.toTensor();
            }
            var randomUniform = op({ randomUniform_: randomUniform_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates a new `tf.Tensor1D` filled with the numbers in the range provided.
             *
             * The tensor is a is half-open interval meaning it includes start, but
             * excludes stop. Decrementing ranges and negative step values are also
             * supported.sv
             *
             *
             * ```js
             * tf.range(0, 9, 2).print();
             * ```
             *
             * @param start An integer start value
             * @param stop An integer stop value
             * @param step An integer increment (will default to 1 or -1)
             * @param dtype The data type of the output tensor. Defaults to 'float32'.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function range(start, stop, step, dtype) {
              if (step === void 0) {
                step = 1;
              }
              if (dtype === void 0) {
                dtype = 'float32';
              }
              if (step === 0) {
                throw new Error('Cannot have a step of zero');
              }
              var attrs = { start: start, stop: stop, step: step, dtype: dtype };
              return ENGINE.runKernel(Range, {} /* inputs */, attrs);
            }

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns the real part of a complex (or real) tensor.
             *
             * Given a tensor input, this operation returns a tensor of type float that is
             * the real part of each element in input considered as a complex number.
             *
             * If the input is real, it simply makes a clone.
             *
             * ```js
             * const x = tf.complex([-2.25, 3.25], [4.75, 5.75]);
             * tf.real(x).print();
             * ```
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function real_(input) {
              var $input = convertToTensor(input, 'input', 'real');
              var inputs = { input: $input };
              return ENGINE.runKernel(Real, inputs);
            }
            var real = op({ real_: real_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes reciprocal of x element-wise: `1 / x`
             *
             * ```js
             * const x = tf.tensor1d([0, 1, 2]);
             *
             * x.reciprocal().print();  // or tf.reciprocal(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function reciprocal_(x) {
              var $x = convertToTensor(x, 'x', 'reciprocal');
              var inputs = { x: $x };
              return ENGINE.runKernel(Reciprocal, inputs);
            }
            var reciprocal = op({ reciprocal_: reciprocal_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes rectified linear element-wise: `max(x, 0)`.
             *
             * ```js
             * const x = tf.tensor1d([-1, 2, -3, 4]);
             *
             * x.relu().print();  // or tf.relu(x)
             * ```
             * @param x The input tensor. If the dtype is `bool`, the output dtype will be
             *     `int32'.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function relu_(x) {
              var $x = convertToTensor(x, 'x', 'relu');
              var inputs = { x: $x };
              return ENGINE.runKernel(Relu, inputs);
            }
            var relu = op({ relu_: relu_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes rectified linear 6 element-wise: `min(max(x, 0), 6)`.
             *
             * ```js
             * const x = tf.tensor1d([-1, 2, -3, 8]);
             *
             * x.relu6().print();  // or tf.relu6(x)
             * ```
             * @param x The input tensor. If the dtype is `bool`, the output dtype will be
             *     `int32'.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function relu6_(x) {
              var $x = convertToTensor(x, 'x', 'relu6');
              var inputs = { x: $x };
              return ENGINE.runKernel(Relu6, inputs);
            }
            var relu6 = op({ relu6_: relu6_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Reverses a `tf.Tensor` along a specified axis.
             *
             * Also available are stricter rank-specific methods that assert that `x` is
             * of the given rank:
             *   - `tf.reverse1d`
             *   - `tf.reverse2d`
             *   - `tf.reverse3d`
             *   - `tf.reverse4d`
             *
             * Except `tf.reverse1d` (which does not have axis param), all methods have
             * same signature as this method.
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 3, 4]);
             *
             * x.reverse().print();
             * ```
             *
             * ```js
             * const x = tf.tensor2d([1, 2, 3, 4], [2, 2]);
             *
             * const axis = 1;
             * x.reverse(axis).print();
             * ```
             * @param x The input tensor to be reversed.
             * @param axis The set of dimensions to reverse. Must be in the
             *     range [-rank(x), rank(x)). Defaults to all axes.
             *
             * @doc {heading: 'Tensors', subheading: 'Slicing and Joining'}
             */
            function reverse_(x, axis) {
              var $x = convertToTensor(x, 'x', 'reverse');
              var inputs = { x: $x };
              var attrs = { dims: axis };
              return ENGINE.runKernel(Reverse, inputs, attrs);
            }
            var reverse = op({ reverse_: reverse_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Reverses a `tf.Tensor1D`.
             *
             * @param x The input tensor.
             */
            function reverse1d_(x) {
              var $x = convertToTensor(x, 'x', 'reverse');
              assert($x.rank === 1, function () {
                return 'Error in reverse1D: x must be rank 1 but got rank ' + $x.rank + '.';
              });
              return reverse($x, 0);
            }
            var reverse1d = op({ reverse1d_: reverse1d_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Reverses a `tf.Tensor2D` along a specified axis.
             *
             * @param x The input tensor.
             * @param axis The set of dimensions to reverse. Must be in the
             *     range [-rank(x), rank(x)). Defaults to all axes.
             */
            function reverse2d_(x, axis) {
              var $x = convertToTensor(x, 'x', 'reverse');
              assert($x.rank === 2, function () {
                return 'Error in reverse2D: x must be rank 2 but got rank ' + $x.rank + '.';
              });
              return reverse($x, axis);
            }
            var reverse2d = op({ reverse2d_: reverse2d_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Reverses a `tf.Tensor3D` along a specified axis.
             *
             * @param x The input tensor.
             * @param axis The set of dimensions to reverse. Must be in the
             *     range [-rank(x), rank(x)). Defaults to all axes.
             */
            function reverse3d_(x, axis) {
              var $x = convertToTensor(x, 'x', 'reverse');
              assert($x.rank === 3, function () {
                return 'Error in reverse3D: x must be rank 3 but got rank ' + $x.rank + '.';
              });
              return reverse($x, axis);
            }
            var reverse3d = op({ reverse3d_: reverse3d_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Reverses a `tf.Tensor4D` along a specified axis.
             *
             * @param x The input tensor.
             * @param axis The set of dimensions to reverse. Must be in the
             *     range [-rank(x), rank(x)). Defaults to all axes.
             */
            function reverse4d_(x, axis) {
              var $x = convertToTensor(x, 'x', 'reverse');
              assert($x.rank === 4, function () {
                return 'Error in reverse4D: x must be rank 4 but got rank ' + $x.rank + '.';
              });
              return reverse($x, axis);
            }
            var reverse4d = op({ reverse4d_: reverse4d_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes round of input `tf.Tensor` element-wise: `round(x)`.
             * It implements banker's rounding.
             *
             * ```js
             * const x = tf.tensor1d([.6, 1.1, -3.3]);
             *
             * x.round().print();  // or tf.round(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function round_(x) {
              var $x = convertToTensor(x, 'x', 'round');
              var inputs = { x: $x };
              return ENGINE.runKernel(Round, inputs);
            }
            var round$1 = op({ round_: round_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes reciprocal of square root of the input `tf.Tensor` element-wise:
             * `y = 1 / sqrt(x)`
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 4, -1]);
             *
             * x.rsqrt().print();  // or tf.rsqrt(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function rsqrt_(x) {
              var $x = convertToTensor(x, 'x', 'rsqrt');
              var inputs = { x: $x };
              return ENGINE.runKernel(Rsqrt, inputs);
            }
            var rsqrt = op({ rsqrt_: rsqrt_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates rank-0 `tf.Tensor` (scalar) with the provided value and dtype.
             *
             * The same functionality can be achieved with `tf.tensor`, but in general
             * we recommend using `tf.scalar` as it makes the code more readable.
             *
             * ```js
             * tf.scalar(3.14).print();
             * ```
             *
             * @param value The value of the scalar.
             * @param dtype The data type.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function scalar(value, dtype) {
              if (
                ((isTypedArray(value) && dtype !== 'string') || Array.isArray(value)) &&
                dtype !== 'complex64'
              ) {
                throw new Error(
                  'Error creating a new Scalar: value must be a primitive ' +
                    '(number|boolean|string)',
                );
              }
              if (dtype === 'string' && isTypedArray(value) && !(value instanceof Uint8Array)) {
                throw new Error(
                  'When making a scalar from encoded string, ' + 'the value must be `Uint8Array`.',
                );
              }
              var shape = [];
              var inferredShape = [];
              return makeTensor(value, shape, inferredShape, dtype);
            }

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes scaled exponential linear element-wise.
             *
             * `x < 0 ? scale * alpha * (exp(x) - 1) : x`
             *
             * ```js
             * const x = tf.tensor1d([-1, 2, -3, 4]);
             *
             * x.selu().print();  // or tf.selu(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function selu_(x) {
              var $x = convertToTensor(x, 'x', 'selu');
              var inputs = { x: $x };
              return ENGINE.runKernel(Selu, inputs);
            }
            var selu = op({ selu_: selu_ });

            /**
             * 2-D convolution with separable filters.
             *
             * Performs a depthwise convolution that acts separately on channels followed
             * by a pointwise convolution that mixes channels. Note that this is
             * separability between dimensions [1, 2] and 3, not spatial separability
             * between dimensions 1 and 2.
             *
             * See
             * [https://www.tensorflow.org/api_docs/python/tf/nn/separable_conv2d](
             *     https://www.tensorflow.org/api_docs/python/tf/nn/separable_conv2d)
             * for more details.
             *
             * @param x The input tensor, of rank 4 or rank 3, of shape
             *     `[batch, height, width, inChannels]`. If rank 3, batch of 1 is
             * assumed.
             * @param depthwiseFilter The depthwise filter tensor, rank 4, of shape
             *     `[filterHeight, filterWidth, inChannels, channelMultiplier]`. This is
             *     the filter used in the first step.
             * @param pointwiseFilter The pointwise filter tensor, rank 4, of shape
             *     `[1, 1, inChannels * channelMultiplier, outChannels]`. This is
             *     the filter used in the second step.
             * @param strides The strides of the convolution: `[strideHeight,
             * strideWidth]`. If strides is a single number, then `strideHeight ==
             * strideWidth`.
             * @param pad The type of padding algorithm.
             *   - `same` and stride 1: output will be of same size as input,
             *       regardless of filter size.
             *   - `valid`: output will be smaller than input if filter is larger
             *       than 1x1.
             *   - For more info, see this guide:
             *     [https://www.tensorflow.org/api_guides/python/nn#Convolution](
             *          https://www.tensorflow.org/api_guides/python/nn#Convolution)
             * @param dilations The dilation rates: `[dilationHeight, dilationWidth]`
             *     in which we sample input values across the height and width dimensions
             *     in atrous convolution. Defaults to `[1, 1]`. If `rate` is a single
             *     number, then `dilationHeight == dilationWidth`. If it is greater than
             *     1, then all values of `strides` must be 1.
             * @param dataFormat: An optional string from: "NHWC", "NCHW". Defaults to
             *     "NHWC". Specify the data format of the input and output data. With the
             *     default format "NHWC", the data is stored in the order of: [batch,
             *     height, width, channels]. Only "NHWC" is currently supported.
             *
             * @doc {heading: 'Operations', subheading: 'Convolution'}
             */
            function separableConv2d_(
              x,
              depthwiseFilter,
              pointwiseFilter,
              strides,
              pad,
              dilation,
              dataFormat,
            ) {
              if (dilation === void 0) {
                dilation = [1, 1];
              }
              if (dataFormat === void 0) {
                dataFormat = 'NHWC';
              }
              var $x = convertToTensor(x, 'x', 'separableConv2d');
              var $depthwiseFilter = convertToTensor(
                depthwiseFilter,
                'depthwiseFilter',
                'separableConv2d',
              );
              var $pointwiseFilter = convertToTensor(
                pointwiseFilter,
                'pointwiseFilter',
                'separableConv2d',
              );
              var x4D = $x;
              var reshapedTo4D = false;
              if ($x.rank === 3) {
                reshapedTo4D = true;
                x4D = reshape($x, [1, $x.shape[0], $x.shape[1], $x.shape[2]]);
              }
              if (dataFormat === 'NCHW') {
                throw new Error(
                  'separableConv2d currently does not support dataFormat NCHW; only ' +
                    'NHWC is supported',
                );
              }
              assert(x4D.rank === 4, function () {
                return (
                  'Error in separableConv2d: input must be rank 4, but got ' +
                  ('rank ' + x4D.rank + '.')
                );
              });
              assert($depthwiseFilter.rank === 4, function () {
                return (
                  'Error in separableConv2d: depthwise filter must be rank 4, but ' +
                  ('got rank ' + $depthwiseFilter.rank + '.')
                );
              });
              assert($pointwiseFilter.rank === 4, function () {
                return (
                  'Error in separableConv2d: pointwise filter must be rank 4, but ' +
                  ('got rank ' + $depthwiseFilter.rank + '.')
                );
              });
              assert($pointwiseFilter.shape[0] === 1, function () {
                return (
                  'Error in separableConv2d: the first dimension of pointwise filter ' +
                  (' must be 1, but got ' + $pointwiseFilter.shape[0] + '.')
                );
              });
              assert($pointwiseFilter.shape[1] === 1, function () {
                return (
                  'Error in separableConv2d: the second dimension of pointwise ' +
                  ('filter must be 1, but got ' + $pointwiseFilter.shape[1] + '.')
                );
              });
              var inChannels = $depthwiseFilter.shape[2];
              var channelMultiplier = $depthwiseFilter.shape[3];
              assert($pointwiseFilter.shape[2] === inChannels * channelMultiplier, function () {
                return (
                  'Error in separableConv2d: the third dimension of pointwise filter ' +
                  ('must be ' + inChannels * channelMultiplier + ', ') +
                  ('but got ' + $pointwiseFilter.shape[2] + '.')
                );
              });
              var depthwise = depthwiseConv2d(
                x4D,
                $depthwiseFilter,
                strides,
                pad,
                dataFormat,
                dilation,
              );
              var pointwiseStride = 1;
              var res = conv2d(depthwise, $pointwiseFilter, pointwiseStride, 'valid', dataFormat);
              if (reshapedTo4D) {
                return reshape(res, [res.shape[1], res.shape[2], res.shape[3]]);
              }
              return res;
            }
            var separableConv2d = op({ separableConv2d_: separableConv2d_ });

            /**
             * Computes the difference between two lists of numbers.
             *
             * Given a Tensor `x` and a Tensor `y`, this operation returns a Tensor `out`
             * that represents all values that are in `x` but not in `y`. The returned
             * Tensor `out` is sorted in the same order that the numbers appear in `x`
             * (duplicates are preserved). This operation also returns a Tensor indices that
             * represents the position of each out element in `x`. In other words:
             *
             * `out[i] = x[idx[i]] for i in [0, 1, ..., out.length - 1]`
             *
             * ```js
             * const x = [1, 2, 3, 4, 5, 6];
             * const y = [1, 3, 5];
             *
             * const [out, indices] = await tf.setdiff1dAsync(x, y);
             * out.print(); // [2, 4, 6]
             * indices.print(); // [1, 3, 5]
             * ```
             *
             * @param x 1-D Tensor. Values to keep.
             * @param y 1-D Tensor. Must have the same type as x. Values to exclude in the
             *     output.
             * @returns Promise of Tensor tuple [out, indices].
             *  out: Tensor with the same type as x.
             *  indices: A Tensor of type int32.
             *
             * @doc {heading: 'Tensors', subheading: 'Transformations'}
             */
            function setdiff1dAsync_(x, y) {
              return __awaiter(this, void 0, void 0, function () {
                var $x, $y, xVals, yVals, ySet, outputSize, i, buffer, indices, i, p;
                return __generator(this, function (_a) {
                  switch (_a.label) {
                    case 0:
                      $x = convertToTensor(x, 'x', 'setdiff1d');
                      $y = convertToTensor(y, 'y', 'setdiff1d');
                      assert($x.dtype === $y.dtype, function () {
                        return (
                          'x and y should have the same dtype, but got x (' +
                          $x.dtype +
                          ') and y (' +
                          $y.dtype +
                          ').'
                        );
                      });
                      assert($x.rank === 1, function () {
                        return 'x should be 1D tensor, but got x (' + $x.shape + ').';
                      });
                      assert($y.rank === 1, function () {
                        return 'y should be 1D tensor, but got y (' + $y.shape + ').';
                      });
                      return [4 /*yield*/, $x.data()];
                    case 1:
                      xVals = _a.sent();
                      return [4 /*yield*/, $y.data()];
                    case 2:
                      yVals = _a.sent();
                      ySet = new Set(yVals);
                      outputSize = 0;
                      for (i = 0; i < xVals.length; i++) {
                        if (!ySet.has(xVals[i])) {
                          outputSize++;
                        }
                      }
                      buffer = new TensorBuffer([outputSize], $x.dtype);
                      indices = new TensorBuffer([outputSize], 'int32');
                      for (i = 0, p = 0; i < xVals.length; i++) {
                        if (!ySet.has(xVals[i])) {
                          buffer.values[p] = xVals[i];
                          indices.values[p] = i;
                          p++;
                        }
                      }
                      return [2 /*return*/, [buffer.toTensor(), indices.toTensor()]];
                  }
                });
              });
            }
            var setdiff1dAsync = setdiff1dAsync_;

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns an element-wise indication of the sign of a number.
             *
             * ```js
             * const x = tf.tensor1d([.6, 1.1, -3.3, NaN, 0]);
             *
             * x.sign().print();  // or tf.sign(x)
             * ```
             * @param x The input Tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function sign_(x) {
              var $x = convertToTensor(x, 'x', 'sign');
              var inputs = { x: $x };
              return ENGINE.runKernel(Sign, inputs);
            }
            var sign = op({ sign_: sign_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes sin of the input Tensor element-wise: `sin(x)`
             *
             * ```js
             * const x = tf.tensor1d([0, Math.PI / 2, Math.PI * 3 / 4]);
             *
             * x.sin().print();  // or tf.sin(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function sin_(x) {
              var $x = convertToTensor(x, 'x', 'sin');
              var inputs = { x: $x };
              return ENGINE.runKernel(Sin, inputs);
            }
            var sin = op({ sin_: sin_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes hyperbolic sin of the input `tf.Tensor` element-wise: `sinh(x)`
             *
             * ```js
             * const x = tf.tensor1d([0, 1, -1, .7]);
             *
             * x.sinh().print();  // or tf.sinh(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function sinh_(x) {
              var $x = convertToTensor(x, 'x', 'sinh');
              var inputs = { x: $x };
              return ENGINE.runKernel(Sinh, inputs);
            }
            var sinh = op({ sinh_: sinh_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Extracts a 1D slice from 1D array starting at coordinates `begin` and is
             * of length `size`. See `slice` for details.
             */
            function slice1d_(x, begin, size) {
              var $x = convertToTensor(x, 'x', 'slice1d');
              assert($x.rank === 1, function () {
                return 'slice1d expects a rank-1 tensor, but got a rank-' + $x.rank + ' tensor';
              });
              return slice($x, [begin], [size]);
            }
            var slice1d = op({ slice1d_: slice1d_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Extracts a 2D slice from a 2D array starting at coordinates `begin` and
             * is of size `size`. See `slice` for details.
             */
            function slice2d_(x, begin, size) {
              var $x = convertToTensor(x, 'x', 'slice2d');
              assert($x.rank === 2, function () {
                return 'slice2d expects a rank-2 tensor, but got a rank-' + $x.rank + ' tensor';
              });
              return slice($x, begin, size);
            }
            var slice2d = op({ slice2d_: slice2d_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Extracts a 3D slice from a 3D array starting at coordinates `begin` and
             * is of size `size`. See `slice` for details.
             */
            function slice3d_(x, begin, size) {
              var $x = convertToTensor(x, 'x', 'slice3d');
              assert($x.rank === 3, function () {
                return 'slice3d expects a rank-3 tensor, but got a rank-' + $x.rank + ' tensor';
              });
              return slice($x, begin, size);
            }
            var slice3d = op({ slice3d_: slice3d_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Extracts a 4D slice from a 4D array starting at coordinates `begin` and
             * is of size `size`. See `slice` for details.
             */
            function slice4d_(x, begin, size) {
              var $x = convertToTensor(x, 'x', 'slice4d');
              assert($x.rank === 4, function () {
                return 'slice4d expects a rank-4 tensor, but got a rank-' + $x.rank + ' tensor';
              });
              return slice($x, begin, size);
            }
            var slice4d = op({ slice4d_: slice4d_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the softmax normalized vector given the logits.
             *
             * ```js
             * const a = tf.tensor1d([1, 2, 3]);
             *
             * a.softmax().print();  // or tf.softmax(a)
             * ```
             *
             * ```js
             * const a = tf.tensor2d([2, 4, 6, 1, 2, 3], [2, 3]);
             *
             * a.softmax().print();  // or tf.softmax(a)
             * ```
             *
             * @param logits The logits array.
             * @param dim The dimension softmax would be performed on. Defaults to `-1`
             *     which indicates the last dimension.
             *
             * @doc {heading: 'Operations', subheading: 'Normalization'}
             */
            function softmax_(logits, dim) {
              if (dim === void 0) {
                dim = -1;
              }
              var $logits = convertToTensor(logits, 'logits', 'softmax', 'float32');
              if (dim === -1) {
                dim = $logits.rank - 1;
              }
              if (dim !== $logits.rank - 1) {
                throw Error(
                  'Softmax along a non-last dimension is not yet supported. ' +
                    ('Logits was rank ' + $logits.rank + ' and dim was ' + dim),
                );
              }
              var inputs = { logits: $logits };
              var attrs = { dim: dim };
              return ENGINE.runKernel(Softmax, inputs, attrs);
            }
            var softmax = op({ softmax_: softmax_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Fast Fourier transform.
             *
             * Computes the 1-dimensional discrete Fourier transform over the inner-most
             * dimension of input.
             *
             * ```js
             * const real = tf.tensor1d([1, 2, 3]);
             * const imag = tf.tensor1d([1, 2, 3]);
             * const x = tf.complex(real, imag);
             *
             * x.fft().print();  // tf.spectral.fft(x).print();
             * ```
             * @param input The complex input to compute an fft over.
             *
             * @doc {heading: 'Operations', subheading: 'Spectral', namespace: 'spectral'}
             */
            function fft_(input) {
              assert(input.dtype === 'complex64', function () {
                return (
                  'The dtype for tf.spectral.fft() must be complex64 ' +
                  ('but got ' + input.dtype + '.')
                );
              });
              var inputs = { input: input };
              return ENGINE.runKernel(FFT, inputs);
            }
            var fft = op({ fft_: fft_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Inverse fast Fourier transform.
             *
             * Computes the inverse 1-dimensional discrete Fourier transform over the
             * inner-most dimension of input.
             *
             * ```js
             * const real = tf.tensor1d([1, 2, 3]);
             * const imag = tf.tensor1d([1, 2, 3]);
             * const x = tf.complex(real, imag);
             *
             * x.ifft().print();  // tf.spectral.ifft(x).print();
             * ```
             * @param input The complex input to compute an ifft over.
             *
             * @doc {heading: 'Operations', subheading: 'Spectral', namespace: 'spectral'}
             */
            function ifft_(input) {
              assert(input.dtype === 'complex64', function () {
                return (
                  'The dtype for tf.spectral.ifft() must be complex64 ' +
                  ('but got ' + input.dtype + '.')
                );
              });
              var inputs = { input: input };
              return ENGINE.runKernel(IFFT, inputs);
            }
            var ifft = op({ ifft_: ifft_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Inversed real value input fast Fourier transform.
             *
             * Computes the 1-dimensional inversed discrete Fourier transform over the
             * inner-most dimension of the real input.
             *
             * ```js
             * const real = tf.tensor1d([1, 2, 3]);
             * const imag = tf.tensor1d([0, 0, 0]);
             * const x = tf.complex(real, imag);
             *
             * x.irfft().print();
             * ```
             * @param input The real value input to compute an irfft over.
             *
             * @doc {heading: 'Operations', subheading: 'Spectral', namespace: 'spectral'}
             */
            function irfft_(input) {
              var innerDimensionSize = input.shape[input.shape.length - 1];
              var batch = input.size / innerDimensionSize;
              var ret;
              if (innerDimensionSize <= 2) {
                var complexInput = reshape(input, [batch, innerDimensionSize]);
                ret = ifft(complexInput);
              } else {
                // The length of unique components of the DFT of a real-valued signal
                // is 2 * (input_len - 1)
                var outputShape = [batch, 2 * (innerDimensionSize - 1)];
                var realInput = reshape(real(input), [batch, innerDimensionSize]);
                var imagInput = reshape(imag(input), [batch, innerDimensionSize]);
                var realConjugate = reverse(
                  slice(realInput, [0, 1], [batch, innerDimensionSize - 2]),
                  1,
                );
                var imagConjugate = mul(
                  reverse(slice(imagInput, [0, 1], [batch, innerDimensionSize - 2]), 1),
                  scalar(-1),
                );
                var r = concat([realInput, realConjugate], 1);
                var i = concat([imagInput, imagConjugate], 1);
                var complexInput = reshape(complex(r, i), [outputShape[0], outputShape[1]]);
                ret = ifft(complexInput);
              }
              ret = real(ret);
              // reshape the result if the input is 3D tensor.
              if (input.rank === 3 && input.shape[0] !== 0) {
                var temp = ret;
                var batch_1 = input.shape[0];
                ret = reshape(ret, [batch_1, ret.shape[0] / batch_1, ret.shape[1]]);
                temp.dispose();
              }
              return ret;
            }
            var irfft = op({ irfft_: irfft_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Splits a `tf.Tensor` into sub tensors.
             *
             * If `numOrSizeSplits` is a number, splits `x` along dimension `axis`
             * into `numOrSizeSplits` smaller tensors.
             * Requires that `numOrSizeSplits` evenly divides `x.shape[axis]`.
             *
             * If `numOrSizeSplits` is a number array, splits `x` into
             * `numOrSizeSplits.length` pieces. The shape of the `i`-th piece has the
             * same size as `x` except along dimension `axis` where the size is
             * `numOrSizeSplits[i]`.
             *
             * ```js
             * const x = tf.tensor2d([1, 2, 3, 4, 5, 6, 7, 8], [2, 4]);
             * const [a, b] = tf.split(x, 2, 1);
             * a.print();
             * b.print();
             *
             * const [c, d, e] = tf.split(x, [1, 2, 1], 1);
             * c.print();
             * d.print();
             * e.print();
             * ```
             *
             * @param x The input tensor to split.
             * @param numOrSizeSplits Either an integer indicating the number of
             * splits along the axis or an array of integers containing the sizes of
             * each output tensor along the axis. If a number then it must evenly divide
             * `x.shape[axis]`; otherwise the sum of sizes must match `x.shape[axis]`.
             * Can contain one -1 indicating that dimension is to be inferred.
             * @param axis The dimension along which to split. Defaults to 0 (the first
             * dim).
             *
             * @doc {heading: 'Tensors', subheading: 'Slicing and Joining'}
             */
            function split_(x, numOrSizeSplits, axis) {
              if (axis === void 0) {
                axis = 0;
              }
              var $x = convertToTensor(x, 'x', 'split');
              var inputs = { x: $x };
              var attr = { numOrSizeSplits: numOrSizeSplits, axis: axis };
              return ENGINE.runKernel(SplitV, inputs, attr);
            }
            var split = op({ split_: split_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Real value input fast Fourier transform.
             *
             * Computes the 1-dimensional discrete Fourier transform over the
             * inner-most dimension of the real input.
             *
             * ```js
             * const real = tf.tensor1d([1, 2, 3]);
             *
             * real.rfft().print();
             * ```
             * @param input The real value input to compute an rfft over.
             *
             * @doc {heading: 'Operations', subheading: 'Spectral', namespace: 'spectral'}
             */
            function rfft_(input, fftLength) {
              assert(input.dtype === 'float32', function () {
                return 'The dtype for rfft() must be real value but got ' + input.dtype;
              });
              var innerDimensionSize = input.shape[input.shape.length - 1];
              var batch = input.size / innerDimensionSize;
              var adjustedInput;
              if (fftLength != null && fftLength < innerDimensionSize) {
                // Need to crop
                var begin = input.shape.map(function (v) {
                  return 0;
                });
                var size = input.shape.map(function (v) {
                  return v;
                });
                size[input.shape.length - 1] = fftLength;
                adjustedInput = slice(input, begin, size);
                innerDimensionSize = fftLength;
              } else if (fftLength != null && fftLength > innerDimensionSize) {
                // Need to pad with zeros
                var zerosShape = input.shape.map(function (v) {
                  return v;
                });
                zerosShape[input.shape.length - 1] = fftLength - innerDimensionSize;
                adjustedInput = concat([input, zeros(zerosShape)], input.shape.length - 1);
                innerDimensionSize = fftLength;
              } else {
                adjustedInput = input;
              }
              // Complement the input with zero imaginary numbers.
              var zerosInput = zerosLike(adjustedInput);
              var complexInput = reshape(complex(adjustedInput, zerosInput), [
                batch,
                innerDimensionSize,
              ]);
              var ret = fft(complexInput);
              // Exclude complex conjugations. These conjugations are put symmetrically.
              var half = Math.floor(innerDimensionSize / 2) + 1;
              var realValues = real(ret);
              var imagValues = imag(ret);
              var realComplexConjugate = split(
                realValues,
                [half, innerDimensionSize - half],
                realValues.shape.length - 1,
              );
              var imagComplexConjugate = split(
                imagValues,
                [half, innerDimensionSize - half],
                imagValues.shape.length - 1,
              );
              var outputShape = adjustedInput.shape.slice();
              outputShape[adjustedInput.shape.length - 1] = half;
              return reshape(
                complex(realComplexConjugate[0], imagComplexConjugate[0]),
                outputShape,
              );
            }
            var rfft = op({ rfft_: rfft_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes square root of the input `tf.Tensor` element-wise: `y = sqrt(x)`
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 4, -1]);
             *
             * x.sqrt().print();  // or tf.sqrt(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function sqrt_(x) {
              var $x = convertToTensor(x, 'x', 'sqrt');
              var inputs = { x: $x };
              return ENGINE.runKernel(Sqrt, inputs);
            }
            var sqrt = op({ sqrt_: sqrt_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns (a - b) * (a - b) element-wise.
             * Supports broadcasting.
             *
             * ```js
             * const a = tf.tensor1d([1, 4, 3, 16]);
             * const b = tf.tensor1d([1, 2, 9, 4]);
             *
             * a.squaredDifference(b).print();  // or tf.squaredDifference(a, b)
             * ```
             *
             * ```js
             * // Broadcast squared difference  a with b.
             * const a = tf.tensor1d([2, 4, 6, 8]);
             * const b = tf.scalar(5);
             *
             * a.squaredDifference(b).print();  // or tf.squaredDifference(a, b)
             * ```
             *
             * @param a The first tensor.
             * @param b The second tensor. Must have the same type as `a`.
             *
             * @doc {heading: 'Operations', subheading: 'Arithmetic'}
             */
            function squaredDifference_(a, b) {
              var _a;
              var $a = convertToTensor(a, 'a', 'squaredDifference');
              var $b = convertToTensor(b, 'b', 'squaredDifference');
              (_a = makeTypesMatch($a, $b)), ($a = _a[0]), ($b = _a[1]);
              assertAndGetBroadcastShape($a.shape, $b.shape);
              var inputs = { a: $a, b: $b };
              var attrs = {};
              return ENGINE.runKernel(SquaredDifference, inputs, attrs);
            }
            var squaredDifference = op({ squaredDifference_: squaredDifference_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Removes dimensions of size 1 from the shape of a `tf.Tensor`.
             *
             * ```js
             * const x = tf.tensor([1, 2, 3, 4], [1, 1, 4]);
             * x.squeeze().print();
             * ```
             *
             * @param x The input tensor to be squeezed.
             * @param axis An optional list of numbers. If specified, only
             *     squeezes the dimensions listed. The dimension index starts at 0. It
             * is an error to squeeze a dimension that is not 1.
             *
             * @doc {heading: 'Tensors', subheading: 'Transformations'}
             */
            function squeeze_(x, axis) {
              var $x = convertToTensor(x, 'x', 'squeeze');
              return reshape($x, squeezeShape($x.shape, axis).newShape);
            }
            var squeeze = op({ squeeze_: squeeze_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Stacks a list of rank-`R` `tf.Tensor`s into one rank-`(R+1)` `tf.Tensor`.
             *
             * ```js
             * const a = tf.tensor1d([1, 2]);
             * const b = tf.tensor1d([3, 4]);
             * const c = tf.tensor1d([5, 6]);
             * tf.stack([a, b, c]).print();
             * ```
             *
             * @param tensors A list of tensor objects with the same shape and dtype.
             * @param axis The axis to stack along. Defaults to 0 (the first dim).
             *
             * @doc {heading: 'Tensors', subheading: 'Slicing and Joining'}
             */
            function stack_(tensors, axis) {
              if (axis === void 0) {
                axis = 0;
              }
              var $tensors = convertToTensorArray(tensors, 'tensors', 'stack', 'string_or_numeric');
              assert($tensors.length >= 1, function () {
                return 'Pass at least one tensor to tf.stack';
              });
              if ($tensors.length > 0) {
                assert(axis <= $tensors[0].rank, function () {
                  return 'Axis must be <= rank of the tensor';
                });
              }
              var inputs = $tensors;
              var attrs = { axis: axis };
              return ENGINE.runKernel(Pack, inputs, attrs);
            }
            var stack = op({ stack_: stack_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes step of the input `tf.Tensor` element-wise: `x > 0 ? 1 : alpha * x`
             *
             * ```js
             * const x = tf.tensor1d([0, 2, -1, -3]);
             *
             * x.step(.5).print();  // or tf.step(x, .5)
             * ```
             * @param x The input tensor.
             * @param alpha The gradient when input is negative.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function step_(x, alpha) {
              if (alpha === void 0) {
                alpha = 0.0;
              }
              var $x = convertToTensor(x, 'x', 'step');
              var inputs = { x: $x };
              var attrs = { alpha: alpha };
              return ENGINE.runKernel(Step, inputs, attrs);
            }
            var step = op({ step_: step_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Extracts a strided slice of a tensor.
             *
             * Roughly speaking, this op extracts a slice of size (end-begin)/stride from
             * the given input tensor (x). Starting at the location specified by begin the
             * slice continues by adding stride to the index until all dimensions are not
             * less than end. Note that a stride can be negative, which causes a reverse
             * slice.
             *
             * ```js
             * const t = tf.tensor3d([1, 1, 1 ,2, 2, 2, 3, 3, 3, 4, 4, 4, 5, 5, 5, 6, 6, 6],
             *    [3, 2, 3]);
             * t.stridedSlice([1, 0, 0], [2, 1, 3], [1, 1, 1]).print()  // [[[3, 3, 3]]]
             * t.stridedSlice([1, 0, 0], [2, 2, 3], [1, 1, 1]).print()  // [[[3, 3, 3],
             *                                                     // [4, 4, 4]]]
             * t.stridedSlice([1, -1, 0], [2, -3, 3], [1, -1, 1]).print() // [[[4, 4, 4],
             *                                                     // [3, 3, 3]]]
             * ```
             *
             * @param x The tensor to stride slice.
             * @param begin The coordinates to start the slice from.
             * @param end: The coordinates to end the slice at.
             * @param strides: The size of the slice.
             * @param beginMask: If the ith bit of beginMask is set, begin[i] is ignored
             *      and the fullest possible range in that dimension is used instead.
             * @param endMask: If the ith bit of endMask is set, end[i] is ignored
             *      and the fullest possible range in that dimension is used instead.
             * @param shrinkAxisMask: a bitmask where bit i implies that
             * the ith specification should shrink the dimensionality. begin and end must
             * imply a slice of size 1 in the dimension.
             *
             * @doc {heading: 'Operations', subheading: 'Slicing and Joining'}
             */
            function stridedSlice_(
              x,
              begin,
              end,
              strides,
              beginMask,
              endMask,
              ellipsisMask,
              newAxisMask,
              shrinkAxisMask,
            ) {
              if (beginMask === void 0) {
                beginMask = 0;
              }
              if (endMask === void 0) {
                endMask = 0;
              }
              if (ellipsisMask === void 0) {
                ellipsisMask = 0;
              }
              if (newAxisMask === void 0) {
                newAxisMask = 0;
              }
              if (shrinkAxisMask === void 0) {
                shrinkAxisMask = 0;
              }
              var $x = convertToTensor(x, 'x', 'stridedSlice', 'string_or_numeric');
              var inputs = { x: $x };
              var attrs = {
                begin: begin,
                end: end,
                strides: strides,
                beginMask: beginMask,
                endMask: endMask,
                ellipsisMask: ellipsisMask,
                newAxisMask: newAxisMask,
                shrinkAxisMask: shrinkAxisMask,
              };
              return ENGINE.runKernel(StridedSlice, inputs, attrs);
            }
            var stridedSlice = op({ stridedSlice_: stridedSlice_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes tan of the input `tf.Tensor` element-wise, `tan(x)`
             *
             * ```js
             * const x = tf.tensor1d([0, Math.PI / 2, Math.PI * 3 / 4]);
             *
             * x.tan().print();  // or tf.tan(x)
             * ```
             * @param x The input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Basic math'}
             */
            function tan_(x) {
              var $x = convertToTensor(x, 'x', 'tan');
              var inputs = { x: $x };
              return ENGINE.runKernel(Tan, inputs);
            }
            var tan = op({ tan_: tan_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates rank-1 `tf.Tensor` with the provided values, shape and dtype.
             *
             * The same functionality can be achieved with `tf.tensor`, but in general
             * we recommend using `tf.tensor1d` as it makes the code more readable.
             *
             * ```js
             * tf.tensor1d([1, 2, 3]).print();
             * ```
             *
             * @param values The values of the tensor. Can be array of numbers,
             *     or a `TypedArray`.
             * @param dtype The data type.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function tensor1d(values, dtype) {
              assertNonNull(values);
              var inferredShape = inferShape(values, dtype);
              if (inferredShape.length !== 1) {
                throw new Error('tensor1d() requires values to be a flat/TypedArray');
              }
              var shape = null;
              return makeTensor(values, shape, inferredShape, dtype);
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates rank-2 `tf.Tensor` with the provided values, shape and dtype.
             *
             * The same functionality can be achieved with `tf.tensor`, but in general
             * we recommend using `tf.tensor2d` as it makes the code more readable.
             *
             *  ```js
             * // Pass a nested array.
             * tf.tensor2d([[1, 2], [3, 4]]).print();
             * ```
             * ```js
             * // Pass a flat array and specify a shape.
             * tf.tensor2d([1, 2, 3, 4], [2, 2]).print();
             * ```
             *
             * @param values The values of the tensor. Can be nested array of numbers,
             *     or a flat array, or a `TypedArray`.
             * @param shape The shape of the tensor. If not provided, it is inferred from
             *     `values`.
             * @param dtype The data type.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function tensor2d(values, shape, dtype) {
              assertNonNull(values);
              if (shape != null && shape.length !== 2) {
                throw new Error('tensor2d() requires shape to have two numbers');
              }
              var inferredShape = inferShape(values, dtype);
              if (inferredShape.length !== 2 && inferredShape.length !== 1) {
                throw new Error('tensor2d() requires values to be number[][] or flat/TypedArray');
              }
              if (inferredShape.length === 1 && shape == null) {
                throw new Error(
                  'tensor2d() requires shape to be provided when `values` ' +
                    'are a flat/TypedArray',
                );
              }
              return makeTensor(values, shape, inferredShape, dtype);
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates rank-4 `tf.Tensor` with the provided values, shape and dtype.
             *
             * The same functionality can be achieved with `tf.tensor`, but in general
             * we recommend using `tf.tensor4d` as it makes the code more readable.
             *
             *  ```js
             * // Pass a nested array.
             * tf.tensor4d([[[[1], [2]], [[3], [4]]]]).print();
             * ```
             * ```js
             * // Pass a flat array and specify a shape.
             * tf.tensor4d([1, 2, 3, 4], [1, 2, 2, 1]).print();
             * ```
             *
             * @param values The values of the tensor. Can be nested array of numbers,
             *     or a flat array, or a `TypedArray`.
             * @param shape The shape of the tensor. Optional. If not provided,
             *   it is inferred from `values`.
             * @param dtype The data type.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function tensor4d(values, shape, dtype) {
              assertNonNull(values);
              if (shape != null && shape.length !== 4) {
                throw new Error('tensor4d() requires shape to have four numbers');
              }
              var inferredShape = inferShape(values, dtype);
              if (inferredShape.length !== 4 && inferredShape.length !== 1) {
                throw new Error(
                  'tensor4d() requires values to be number[][][][] or flat/TypedArray',
                );
              }
              if (inferredShape.length === 1 && shape == null) {
                throw new Error(
                  'tensor4d() requires shape to be provided when `values` ' + 'are a flat array',
                );
              }
              return makeTensor(values, shape, inferredShape, dtype);
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates rank-5 `tf.Tensor` with the provided values, shape and dtype.
             *
             * The same functionality can be achieved with `tf.tensor`, but in general
             * we recommend using `tf.tensor5d` as it makes the code more readable.
             *
             *  ```js
             * // Pass a nested array.
             * tf.tensor5d([[[[[1],[2]],[[3],[4]]],[[[5],[6]],[[7],[8]]]]]).print();
             * ```
             * ```js
             * // Pass a flat array and specify a shape.
             * tf.tensor5d([1, 2, 3, 4, 5, 6, 7, 8], [1, 2, 2, 2, 1]).print();
             * ```
             *
             * @param values The values of the tensor. Can be nested array of numbers,
             *     or a flat array, or a `TypedArray`.
             * @param shape The shape of the tensor. Optional. If not provided,
             *   it is inferred from `values`.
             * @param dtype The data type.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function tensor5d(values, shape, dtype) {
              assertNonNull(values);
              if (shape != null && shape.length !== 5) {
                throw new Error('tensor5d() requires shape to have five numbers');
              }
              var inferredShape = inferShape(values, dtype);
              if (inferredShape.length !== 5 && inferredShape.length !== 1) {
                throw new Error(
                  'tensor5d() requires values to be ' + 'number[][][][][] or flat/TypedArray',
                );
              }
              if (inferredShape.length === 1 && shape == null) {
                throw new Error(
                  'tensor5d() requires shape to be provided when `values` ' + 'are a flat array',
                );
              }
              return makeTensor(values, shape, inferredShape, dtype);
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates rank-6 `tf.Tensor` with the provided values, shape and dtype.
             *
             * The same functionality can be achieved with `tf.tensor`, but in general
             * we recommend using `tf.tensor6d` as it makes the code more readable.
             *
             *  ```js
             * // Pass a nested array.
             * tf.tensor6d([[[[[[1],[2]],[[3],[4]]],[[[5],[6]],[[7],[8]]]]]]).print();
             * ```
             * ```js
             * // Pass a flat array and specify a shape.
             * tf.tensor6d([1, 2, 3, 4, 5, 6, 7, 8], [1, 1, 2, 2, 2, 1]).print();
             * ```
             *
             * @param values The values of the tensor. Can be nested array of numbers,
             *     or a flat array, or a `TypedArray`.
             * @param shape The shape of the tensor. Optional. If not provided,
             *   it is inferred from `values`.
             * @param dtype The data type.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function tensor6d(values, shape, dtype) {
              assertNonNull(values);
              if (shape != null && shape.length !== 6) {
                throw new Error('tensor6d() requires shape to have six numbers');
              }
              var inferredShape = inferShape(values, dtype);
              if (inferredShape.length !== 6 && inferredShape.length !== 1) {
                throw new Error(
                  'tensor6d() requires values to be number[][][][][][] or ' + 'flat/TypedArray',
                );
              }
              if (inferredShape.length === 1 && shape == null) {
                throw new Error(
                  'tensor6d() requires shape to be provided when `values` ' + 'are a flat array',
                );
              }
              shape = shape || inferredShape;
              return makeTensor(values, shape, inferredShape, dtype);
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Finds the values and indices of the `k` largest entries along the last
             * dimension.
             *
             * If the input is a vector (rank=1), finds the k largest entries in the vector
             * and outputs their values and indices as vectors. Thus values[j] is the j-th
             * largest entry in input, and its index is indices[j].
             * For higher rank inputs, computes the top k entries along the last dimension.
             *
             * If two elements are equal, the lower-index element appears first.
             *
             * ```js
             * const a = tf.tensor2d([[1, 5], [4, 3]]);
             * const {values, indices} = tf.topk(a);
             * values.print();
             * indices.print();
             * ```
             * @param x 1-D or higher `tf.Tensor` with last dimension being at least `k`.
             * @param k Number of top elements to look for along the last dimension.
             * @param sorted If true, the resulting `k` elements will be sorted by the
             *     values in descending order.
             *
             * @doc {heading: 'Operations', subheading: 'Evaluation'}
             */
            function topk_(x, k, sorted) {
              if (k === void 0) {
                k = 1;
              }
              if (sorted === void 0) {
                sorted = true;
              }
              var $x = convertToTensor(x, 'x', 'topk');
              if ($x.rank === 0) {
                throw new Error('topk() expects the input to be of rank 1 or higher');
              }
              var lastDim = $x.shape[$x.shape.length - 1];
              if (k > lastDim) {
                throw new Error(
                  "'k' passed to topk() must be <= the last dimension (" +
                    lastDim +
                    ') ' +
                    ('but got ' + k),
                );
              }
              var inputs = { x: $x };
              var attrs = { k: k, sorted: sorted };
              var _a = ENGINE.runKernel(TopK, inputs, attrs),
                values = _a[0],
                indices = _a[1];
              return { values: values, indices: indices };
            }
            var topk = op({ topk_: topk_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates a `tf.Tensor` with values sampled from a truncated normal
             * distribution.
             *
             * ```js
             * tf.truncatedNormal([2, 2]).print();
             * ```
             *
             * The generated values follow a normal distribution with specified mean and
             * standard deviation, except that values whose magnitude is more than 2
             * standard deviations from the mean are dropped and re-picked.
             *
             * @param shape An array of integers defining the output tensor shape.
             * @param mean The mean of the normal distribution.
             * @param stdDev The standard deviation of the normal distribution.
             * @param dtype The data type of the output tensor.
             * @param seed The seed for the random number generator.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function truncatedNormal_(shape, mean, stdDev, dtype, seed) {
              if (mean === void 0) {
                mean = 0;
              }
              if (stdDev === void 0) {
                stdDev = 1;
              }
              if (dtype != null && dtype === 'bool') {
                throw new Error('Unsupported data type $ { dtype }');
              }
              var randGauss = new MPRandGauss(mean, stdDev, dtype, true /* truncated */, seed);
              var res = buffer(shape, dtype);
              for (var i = 0; i < res.values.length; i++) {
                res.values[i] = randGauss.nextValue();
              }
              return res.toTensor();
            }
            var truncatedNormal = op({ truncatedNormal_: truncatedNormal_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Finds unique elements along an axis of a tensor.
             *
             * It returns a tensor `values` containing all of the unique elements along the
             * `axis` of the given tensor `x` in the same order that they occur along the
             * `axis` in `x`; `x` does not need to be sorted. It also returns a tensor
             * `indices` the same size as the number of the elements in `x` along the `axis`
             * dimension. It contains the index in the unique output `values`.
             *
             * ```js
             * // A 1-D tensor
             * const a = tf.tensor1d([1, 1, 2, 4, 4, 4, 7, 8, 8]);
             * const {values, indices} = tf.unique(a);
             * values.print();   // [1, 2, 4, 7, 8,]
             * indices.print();  // [0, 0, 1, 2, 2, 2, 3, 4, 4]
             * ```
             *
             * ```js
             * // A 2-D tensor with axis=0
             * //
             * // 'a' is: [[1, 0, 0],
             * //          [1, 0, 0],
             * //          [2, 0, 0]]
             * const a = tf.tensor2d([[1, 0, 0], [1, 0, 0], [2, 0, 0]]);
             * const {values, indices} = tf.unique(a, 0)
             * values.print();   // [[1, 0, 0],
             *                   //  [2, 0, 0]]
             * indices.print();  // [0, 0, 1]
             * ```
             *
             * ```js
             * // A 2-D tensor with axis=1
             * //
             * // 'a' is: [[1, 0, 0],
             * //          [1, 0, 0],
             * //          [2, 0, 0]]
             * const a = tf.tensor2d([[1, 0, 0], [1, 0, 0], [2, 0, 0]]);
             * const {values, indices} = tf.unique(a, 1)
             * values.print();   // [[1, 0],
             *                   //  [1, 0],
             *                   //  [2, 0]]
             * indices.print();  // [0, 1, 1]
             * ```
             * @param x A tensor (int32, string, bool).
             * @param axis The axis of the tensor to find the unique elements.
             * @returns [uniqueElements, indices] (see above for details)
             *
             * @doc {heading: 'Operations', subheading: 'Evaluation'}
             */
            function unique_(x, axis) {
              if (axis === void 0) {
                axis = 0;
              }
              var $x = convertToTensor(x, 'x', 'unique', 'string_or_numeric');
              assert($x.rank > 0, function () {
                return 'The input tensor must be at least 1D';
              });
              var inputs = { x: $x };
              var attrs = { axis: axis };
              var _a = ENGINE.runKernel(Unique, inputs, attrs),
                values = _a[0],
                indices = _a[1];
              return { values: values, indices: indices };
            }
            var unique = op({ unique_: unique_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the sum along segments of a `tf.Tensor`.
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 3, 4]);
             * const segmentIds = tf.tensor1d([1, 2, 0, 1], 'int32');
             * const numSegments = 3;
             *
             * x.unsortedSegmentSum(segmentIds, numSegments).print()
             * //or tf.unsortedSegmentSum(x, segmentIds, numSegments)
             * ```
             * @param x The `tf.Tensor` that will be summed along its segments.
             * @param segmentIds A `tf.Tensor1D` whose rank is equal to the rank of `x`'s
             * dimension along the `axis`.  Maps each element of `x` to a segment.
             * @param numSegments The number of distinct `segmentIds`.
             *
             * @doc {heading: 'Operations', subheading: 'Segment'}
             */
            function unsortedSegmentSum_(x, segmentIds, numSegments) {
              var $x = convertToTensor(x, 'x', 'unsortedSegmentSum');
              var $segmentIds = convertToTensor(
                segmentIds,
                'segmentIds',
                'unsortedSegmentSum',
                'int32',
              );
              assert(isInt(numSegments), function () {
                return 'numSegments must be of dtype int';
              });
              var inputs = { x: $x, segmentIds: $segmentIds };
              var attrs = { numSegments: numSegments };
              return ENGINE.runKernel(UnsortedSegmentSum, inputs, attrs);
            }
            var unsortedSegmentSum = op({ unsortedSegmentSum_: unsortedSegmentSum_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Unstacks a `tf.Tensor` of rank-`R` into a list of rank-`(R-1)` `tf.Tensor`s.
             *
             * ```js
             * const a = tf.tensor2d([1, 2, 3, 4], [2, 2]);
             *
             * tf.unstack(a).forEach(tensor => tensor.print());
             * ```
             *
             * @param x A tensor object.
             * @param axis The axis to unstack along. Defaults to 0 (the first dim).
             *
             * @doc {heading: 'Tensors', subheading: 'Slicing and Joining'}
             */
            function unstack_(x, axis) {
              if (axis === void 0) {
                axis = 0;
              }
              var $x = convertToTensor(x, 'x', 'unstack', 'string_or_numeric');
              assert(axis >= -$x.shape.length && axis < $x.shape.length, function () {
                return (
                  'Axis = ' +
                  axis +
                  ' is not in [-' +
                  $x.shape.length +
                  ', ' +
                  $x.shape.length +
                  ')'
                );
              });
              var inputs = { value: $x };
              var attrs = { axis: axis };
              return ENGINE.runKernel(Unpack, inputs, attrs);
            }
            var unstack = op({ unstack_: unstack_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates a new variable with the provided initial value.
             * ```js
             * const x = tf.variable(tf.tensor([1, 2, 3]));
             * x.assign(tf.tensor([4, 5, 6]));
             *
             * x.print();
             * ```
             *
             * @param initialValue Initial value for the tensor.
             * @param trainable If true, optimizers are allowed to update it.
             * @param name Name of the variable. Defaults to a unique id.
             * @param dtype If set, initialValue will be converted to the given type.
             *
             * @doc {heading: 'Tensors', subheading: 'Creation'}
             */
            function variable(initialValue, trainable, name, dtype) {
              if (trainable === void 0) {
                trainable = true;
              }
              return ENGINE.makeVariable(initialValue, trainable, name, dtype);
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            function whereImpl(condShape, condVals) {
              var indices = [];
              for (var i = 0; i < condVals.length; i++) {
                if (condVals[i]) {
                  indices.push(i);
                }
              }
              var inBuffer = buffer(condShape, 'int32');
              var out = buffer([indices.length, condShape.length], 'int32');
              for (var i = 0; i < indices.length; i++) {
                var loc = inBuffer.indexToLoc(indices[i]);
                var offset = i * condShape.length;
                out.values.set(loc, offset);
              }
              return out.toTensor();
            }

            /**
             * Returns the coordinates of true elements of condition.
             *
             * The coordinates are returned in a 2-D tensor where the first dimension (rows)
             * represents the number of true elements, and the second dimension (columns)
             * represents the coordinates of the true elements. Keep in mind, the shape of
             * the output tensor can vary depending on how many true values there are in
             * input. Indices are output in row-major order. The resulting tensor has the
             * shape `[numTrueElems, condition.rank]`.
             *
             * This is analogous to calling the python `tf.where(cond)` without an x or y.
             *
             * ```js
             * const cond = tf.tensor1d([false, false, true], 'bool');
             * const result = await tf.whereAsync(cond);
             * result.print();
             * ```
             *
             * @doc {heading: 'Operations', subheading: 'Logical'}
             */
            function whereAsync_(condition) {
              return __awaiter(this, void 0, void 0, function () {
                var $condition, vals, res;
                return __generator(this, function (_a) {
                  switch (_a.label) {
                    case 0:
                      $condition = convertToTensor(condition, 'condition', 'whereAsync', 'bool');
                      return [4 /*yield*/, $condition.data()];
                    case 1:
                      vals = _a.sent();
                      res = whereImpl($condition.shape, vals);
                      if (condition !== $condition) {
                        $condition.dispose();
                      }
                      return [2 /*return*/, res];
                  }
                });
              });
            }
            var whereAsync = whereAsync_;

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Apply boolean mask to tensor.
             *
             * ```js
             * const tensor = tf.tensor2d([1, 2, 3, 4, 5, 6], [3, 2]);
             * const mask = tf.tensor1d([1, 0, 1], 'bool');
             * const result = await tf.booleanMaskAsync(tensor, mask);
             * result.print();
             * ```
             *
             * @param tensor N-D tensor.
             * @param mask K-D boolean tensor, K <= N and K must be known statically.
             * @param axis A 0-D int Tensor representing the axis in tensor to mask from.
             *     By default, axis is 0 which will mask from the first dimension.
             *     Otherwise K + axis <= N.
             *
             * @doc {heading: 'Tensors', subheading: 'Slicing and Joining'}
             */
            function booleanMaskAsync_(tensor, mask, axis) {
              return __awaiter(this, void 0, void 0, function () {
                var $tensor,
                  $mask,
                  axisFrom,
                  maskDim,
                  tensorShape,
                  leadingSize,
                  i,
                  targetTensorShape,
                  reshapedTensor,
                  reshapedMask,
                  positivePositions,
                  indices,
                  res;
                return __generator(this, function (_a) {
                  switch (_a.label) {
                    case 0:
                      $tensor = convertToTensor(tensor, 'tensor', 'boolMask');
                      $mask = convertToTensor(mask, 'mask', 'boolMask', 'bool');
                      axisFrom = axis == null ? 0 : axis;
                      maskDim = $mask.rank;
                      tensorShape = $tensor.shape;
                      assert(maskDim > 0, function () {
                        return 'mask cannot be scalar';
                      });
                      assertShapesMatch(
                        tensorShape.slice(axisFrom, axisFrom + maskDim),
                        $mask.shape,
                        "mask's shape must match the first K dimensions of tensor's shape,",
                      );
                      leadingSize = 1;
                      for (i = axisFrom; i < axisFrom + maskDim; i++) {
                        leadingSize *= tensorShape[i];
                      }
                      targetTensorShape = tensorShape
                        .slice(0, axisFrom)
                        .concat([leadingSize], tensorShape.slice(axisFrom + maskDim));
                      reshapedTensor = reshape($tensor, targetTensorShape);
                      reshapedMask = reshape($mask, [-1]);
                      return [4 /*yield*/, whereAsync(reshapedMask)];
                    case 1:
                      positivePositions = _a.sent();
                      indices = squeeze(positivePositions, [1]);
                      res = gather(reshapedTensor, indices, axisFrom);
                      // Ensure no memory leak.
                      if (tensor !== $tensor) {
                        $tensor.dispose();
                      }
                      if (mask !== $mask) {
                        $mask.dispose();
                      }
                      indices.dispose();
                      reshapedTensor.dispose();
                      reshapedMask.dispose();
                      positivePositions.dispose();
                      return [2 /*return*/, res];
                  }
                });
              });
            }
            var booleanMaskAsync = booleanMaskAsync_;

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the norm of scalar, vectors, and matrices.
             * This function can compute several different vector norms (the 1-norm, the
             * Euclidean or 2-norm, the inf-norm, and in general the p-norm for p > 0)
             * and matrix norms (Frobenius, 1-norm, and inf-norm).
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 3, 4]);
             *
             * x.norm().print();  // or tf.norm(x)
             * ```
             *
             * @param x The input array.
             * @param ord Optional. Order of the norm. Supported norm types are
             * following:
             *
             *  | ord        | norm for matrices         | norm for vectors
             *  |------------|---------------------------|---------------------
             *  |'euclidean' |Frobenius norm             |2-norm
             *  |'fro'       |Frobenius norm	           |
             *  |Infinity    |max(sum(abs(x), axis=1))   |max(abs(x))
             *  |-Infinity   |min(sum(abs(x), axis=1))   |min(abs(x))
             *  |1           |max(sum(abs(x), axis=0))   |sum(abs(x))
             *  |2           |                           |sum(abs(x)^2)^1/2*
             *
             * @param axis Optional. If axis is null (the default), the input is
             * considered a vector and a single vector norm is computed over the entire
             * set of values in the Tensor, i.e. norm(x, ord) is equivalent
             * to norm(x.reshape([-1]), ord). If axis is a integer, the input
             * is considered a batch of vectors, and axis determines the axis in x
             * over which to compute vector norms. If axis is a 2-tuple of integer it is
             * considered a batch of matrices and axis determines the axes in NDArray
             * over which to compute a matrix norm.
             * @param keepDims Optional. If true, the norm have the same dimensionality
             * as the input.
             *
             * @doc {heading: 'Operations', subheading: 'Matrices'}
             */
            function norm_(x, ord, axis, keepDims) {
              if (ord === void 0) {
                ord = 'euclidean';
              }
              if (axis === void 0) {
                axis = null;
              }
              if (keepDims === void 0) {
                keepDims = false;
              }
              x = convertToTensor(x, 'x', 'norm');
              var norm = normImpl(x, ord, axis);
              var keepDimsShape = norm.shape;
              if (keepDims) {
                var axes = parseAxisParam(axis, x.shape);
                keepDimsShape = expandShapeToKeepDim(norm.shape, axes);
              }
              return reshape(norm, keepDimsShape);
            }
            function normImpl(x, p, axis) {
              if (axis === void 0) {
                axis = null;
              }
              if (x.rank === 0) {
                return abs(x);
              }
              // consider vector when no axis is specified
              if (x.rank !== 1 && axis === null) {
                return normImpl(reshape(x, [-1]), p, axis);
              }
              // vector
              if (
                x.rank === 1 ||
                typeof axis === 'number' ||
                (Array.isArray(axis) && axis.length === 1)
              ) {
                if (p === 1) {
                  return sum$1(abs(x), axis);
                }
                if (p === Infinity) {
                  return max(abs(x), axis);
                }
                if (p === -Infinity) {
                  return min(abs(x), axis);
                }
                if (p === 'euclidean' || p === 2) {
                  // norm(x, 2) = sum(abs(xi) ^ 2) ^ 1/2
                  return sqrt(sum$1(pow(abs(x), scalar(2, 'int32')), axis));
                }
                throw new Error('Error in norm: invalid ord value: ' + p);
              }
              // matrix (assumption axis[0] < axis[1])
              if (Array.isArray(axis) && axis.length === 2) {
                if (p === 1) {
                  return max(sum$1(abs(x), axis[0]), axis[1] - 1);
                }
                if (p === Infinity) {
                  return max(sum$1(abs(x), axis[1]), axis[0]);
                }
                if (p === -Infinity) {
                  return min(sum$1(abs(x), axis[1]), axis[0]);
                }
                if (p === 'fro' || p === 'euclidean') {
                  // norm(x) = sqrt(sum(pow(x, 2)))
                  return sqrt(sum$1(square(x), axis));
                }
                throw new Error('Error in norm: invalid ord value: ' + p);
              }
              throw new Error('Error in norm: invalid axis: ' + axis);
            }
            var norm = op({ norm_: norm_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Compute the moving average of a variable.
             *
             * Without zeroDebias, the moving average operation is defined by:
             *   `v += delta`
             * where
             *   `delta = (1 - decay) * (x - v)`
             *
             * With zeroDebias (default), the `delta` term is scaled to debias the
             * effect of the (assumed) zero-initialization of `v`.
             *   `delta /= (1 - decay ^ step)`
             *
             * For more details on the zero-debiasing algorithm, see:
             *   https://arxiv.org/abs/1412.6980
             *
             * Note that this function is completely stateless and does not keep track of
             * step count. The step count needs to be maintained by the caller and passed
             * in as `step`.
             *
             * @param v The current moving average value.
             * @param x New input value, must have the same shape and dtype as `v`.
             * @param decay The decay factor. Typical values are 0.95 and 0.99.
             * @param step Step count.
             * @param zeroDebias: Whether zeroDebias is to be performed (default: `true`).
             * @returns The new moving average value.
             *
             * @doc {heading: 'Operations', subheading: 'Moving Average'}
             */
            function movingAverage_(v, x, decay, step, zeroDebias) {
              if (zeroDebias === void 0) {
                zeroDebias = true;
              }
              var $v = convertToTensor(v, 'v', 'movingAverage');
              var $x = convertToTensor(x, 'x', 'movingAverage');
              var $decay = convertToTensor(decay, 'decay', 'movingAverage');
              assertTypesMatch($v, $x);
              assert(arraysEqual($v.shape, $x.shape), function () {
                return 'Shape mismatch in v and x';
              });
              var one = scalar(1);
              var oneMinusDecay = sub(one, $decay);
              var update = mul(sub($x, $v), oneMinusDecay);
              if (zeroDebias) {
                assert(step != null, function () {
                  return 'When using zeroDebias: true, step is required.';
                });
                var $step = convertToTensor(step, 'step', 'movingAverage');
                update = div(update, sub(one, pow($decay, $step)));
              }
              return add$1($v, update);
            }
            var movingAverage = op({ movingAverage_: movingAverage_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates a new tensor by applying sparse updates to individual
             * values or slices within a zero tensor of the given shape tensor according to
             * indices. This operator is the inverse of the `tf.gatherND` operator which
             * extracts values or slices from a given tensor.
             *
             * ```js
             * const indices = tf.tensor2d([4, 3, 1, 7], [4, 1], 'int32');
             * const updates = tf.tensor1d([9, 10, 11, 12]);
             * const shape = [8];
             * tf.scatterND(indices, updates, shape).print() //[0, 11, 0, 10, 9, 0, 0, 12]
             * ```
             *
             * @param indices The tensor contains the indices into the output tensor.
             * @param updates The tensor contains the value for the indices.
             * @param shape: The shape of the output tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Slicing and Joining'}
             */
            function scatterND_(indices, updates, shape) {
              var $indices = convertToTensor(indices, 'indices', 'scatterND', 'int32');
              var $updates = convertToTensor(updates, 'updates', 'scatterND');
              validateInput($updates, $indices, shape);
              var inputs = { indices: $indices, updates: $updates };
              var attrs = { shape: shape };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              return ENGINE.runKernel(ScatterNd, inputs, attrs);
            }
            var scatterND = op({ scatterND_: scatterND_ });

            /**
             * Validate sparseToDense inputs.
             *
             * @param sparseIndices A 0-D, 1-D, or 2-D Tensor of type int32.
             * sparseIndices[i] contains the complete index where sparseValues[i] will be
             * placed.
             * @param sparseValues A 0-D or 1-D Tensor. Values
             * corresponding to each row of sparseIndices, or a scalar value to be used for
             * all sparse indices.
             * @param outputShape number[]. Shape of the dense output tensor.
             * @param validateIndices boolean. indice validation is not supported, error
             * will be thrown if it is set.
             */
            function validateInput$1(sparseIndices, sparseValues, outputShape, defaultValues) {
              if (sparseIndices.dtype !== 'int32') {
                throw new Error(
                  'tf.sparseToDense() expects the indices to be int32 type,' +
                    (' but the dtype was ' + sparseIndices.dtype + '.'),
                );
              }
              if (sparseIndices.rank > 2) {
                throw new Error(
                  'sparseIndices should be a scalar, vector, or matrix,' +
                    (' but got shape ' + sparseIndices.shape + '.'),
                );
              }
              var numElems = sparseIndices.rank > 0 ? sparseIndices.shape[0] : 1;
              var numDims = sparseIndices.rank > 1 ? sparseIndices.shape[1] : 1;
              if (outputShape.length !== numDims) {
                throw new Error(
                  'outputShape has incorrect number of elements:,' +
                    (' ' + outputShape.length + ', should be: ' + numDims + '.'),
                );
              }
              var numValues = sparseValues.size;
              if (
                !(sparseValues.rank === 0 || (sparseValues.rank === 1 && numValues === numElems))
              ) {
                throw new Error(
                  'sparseValues has incorrect shape ' +
                    (sparseValues.shape + ', should be [] or [' + numElems + ']'),
                );
              }
              if (sparseValues.dtype !== defaultValues.dtype) {
                throw new Error('sparseValues.dtype must match defaultValues.dtype');
              }
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Converts a sparse representation into a dense tensor.
             *
             * Builds an array dense with shape outputShape such that:
             *
             * // If sparseIndices is scalar
             * dense[i] = (i == sparseIndices ? sparseValues : defaultValue)
             *
             * // If sparseIndices is a vector, then for each i
             * dense[sparseIndices[i]] = sparseValues[i]
             *
             * // If sparseIndices is an n by d matrix, then for each i in [0, n)
             * dense[sparseIndices[i][0], ..., sparseIndices[i][d-1]] = sparseValues[i]
             * All other values in dense are set to defaultValue. If sparseValues is a
             * scalar, all sparse indices are set to this single value.
             *
             * If indices are repeated the final value is summed over all values for those
             * indices.
             *
             * ```js
             * const indices = tf.tensor1d([4, 5, 6, 1, 2, 3], 'int32');
             * const values = tf.tensor1d([10, 11, 12, 13, 14, 15], 'float32');
             * const shape = [8];
             * tf.sparseToDense(indices, values, shape).print();
             * ```
             *
             * @param sparseIndices A 0-D, 1-D, or 2-D Tensor of type int32.
             * sparseIndices[i] contains the complete index where sparseValues[i] will be
             * placed.
             * @param sparseValues A 0-D or 1-D Tensor. Values
             * corresponding to each row of sparseIndices, or a scalar value to be used for
             * all sparse indices.
             * @param outputShape Shape of the dense output tensor. the type is inferred.
             * @param defaultValue Scalar. Value to set for indices not specified in
             * sparseIndices. Defaults to zero.
             *
             * @doc {heading: 'Operations', subheading: 'Normalization'}
             */
            function sparseToDense_(sparseIndices, sparseValues, outputShape, defaultValue) {
              if (defaultValue === void 0) {
                defaultValue = 0;
              }
              var $sparseIndices = convertToTensor(
                sparseIndices,
                'sparseIndices',
                'sparseToDense',
                'int32',
              );
              var $sparseValues = convertToTensor(sparseValues, 'sparseValues', 'sparseToDense');
              var $defaultValue = convertToTensor(
                defaultValue,
                'defaultValue',
                'sparseToDense',
                $sparseValues.dtype,
              );
              validateInput$1($sparseIndices, $sparseValues, outputShape, $defaultValue);
              var inputs = {
                sparseIndices: $sparseIndices,
                sparseValues: $sparseValues,
                defaultValue: $defaultValue,
              };
              var attrs = { outputShape: outputShape };
              return ENGINE.runKernel(SparseToDense, inputs, attrs);
            }
            var sparseToDense = op({ sparseToDense_: sparseToDense_ });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Gather slices from input tensor into a Tensor with shape specified by
             * `indices`.
             *
             * `indices` is an K-dimensional integer tensor, best thought of as a
             * (K-1)-dimensional tensor of indices into input, where each element defines a
             * slice of input:
             * output[\\(i_0, ..., i_{K-2}\\)] = input[indices[\\(i_0, ..., i_{K-2}\\)]]
             *
             * Whereas in `tf.gather`, `indices` defines slices into the first dimension of
             * input, in `tf.gatherND`, `indices` defines slices into the first N dimensions
             * of input, where N = indices.shape[-1].
             *
             * The last dimension of indices can be at most the rank of input:
             * indices.shape[-1] <= input.rank
             *
             * The last dimension of `indices` corresponds to elements
             * (if indices.shape[-1] == input.rank) or slices
             * (if indices.shape[-1] < input.rank) along dimension indices.shape[-1] of
             * input.
             * The output tensor has shape
             * indices.shape[:-1] + input.shape[indices.shape[-1]:]
             *
             * Note that on CPU, if an out of bound index is found, an error is returned. On
             * GPU, if an out of bound index is found, a 0 is stored in the corresponding
             * output value.
             *
             * ```js
             * const indices = tf.tensor2d([0, 1, 1, 0], [2,2], 'int32');
             * const input = tf.tensor2d([9, 10, 11, 12], [2, 2]);
             * tf.gatherND(input, indices).print() // [10, 11]
             * ```
             *
             * @param x The tensor from which to gather values.
             * @param indices Index tensor, must be of type int32.
             *
             * @doc {heading: 'Operations', subheading: 'Slicing and Joining'}
             */
            function gatherND_(x, indices) {
              var $indices = convertToTensor(indices, 'indices', 'gatherND', 'int32');
              var $x = convertToTensor(x, 'x', 'gatherND', 'string_or_numeric');
              var inputs = { params: $x, indices: $indices };
              return ENGINE.runKernel(GatherNd, inputs);
            }
            var gatherND = op({ gatherND_: gatherND_ });

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Normalize noise shape based on provided tensor and noise shape.
             *
             * @param x Tensor.
             * @param noiseShape The shape for the randomly generated keep/drop flags, as
             *   an array of numbers. Optional.
             * @returns Normalized noise shape.
             */
            function getNoiseShape(x, noiseShape) {
              if (noiseShape == null) {
                return x.shape.slice();
              }
              if (arraysEqual(x.shape, noiseShape)) {
                return noiseShape;
              }
              if (x.shape.length === noiseShape.length) {
                var newDimension = [];
                for (var i = 0; i < x.shape.length; i++) {
                  if (noiseShape[i] == null && x.shape[i] != null) {
                    newDimension.push(x.shape[i]);
                  } else {
                    newDimension.push(noiseShape[i]);
                  }
                }
                return newDimension;
              }
              return noiseShape;
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes dropout.
             *
             * ```js
             * const x = tf.tensor1d([1, 2, 2, 1]);
             * const rate = 0.75;
             * const output = tf.dropout(x, rate);
             * output.print();
             * ```
             *
             * @param x A floating point Tensor or TensorLike.
             * @param rate A float in the range [0, 1). The probability that each element
             *   of x is discarded.
             * @param noiseShape An array of numbers of type int32, representing the
             * shape for randomly generated keep/drop flags. If the noiseShape has null
             * value, it will be automatically replaced with the x's relative dimension
             * size. Optional.
             * @param seed Used to create random seeds. Optional.
             * @returns A Tensor of the same shape of x.
             *
             * @doc {heading: 'Operations', subheading: 'Dropout'}
             */
            function dropout_(x, rate, noiseShape, seed) {
              var $x = convertToTensor(x, 'x', 'dropout');
              assert($x.dtype === 'float32', function () {
                return (
                  "x has to be a floating point tensor since it's going to be " +
                  ('scaled, but got a ' + $x.dtype + ' tensor instead.')
                );
              });
              assert(rate >= 0 && rate < 1, function () {
                return 'rate must be a float in the range [0, 1), but got ' + rate + '.';
              });
              if (rate === 0) {
                return x instanceof Tensor ? $x.clone() : $x;
              }
              var $noiseShape = getNoiseShape($x, noiseShape);
              var keepProb = 1 - rate;
              var multiplier = div(
                floor(add$1(randomUniform($noiseShape, 0, 1, 'float32', seed), keepProb)),
                keepProb,
              );
              return mul($x, multiplier);
            }
            var dropout = op({ dropout_: dropout_ });

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            function enclosingPowerOfTwo(value) {
              // Return 2**N for integer N such that 2**N >= value.
              return Math.floor(Math.pow(2, Math.ceil(Math.log(value) / Math.log(2.0))));
            }
            function cosineWindow(windowLength, a, b) {
              var even = 1 - (windowLength % 2);
              var newValues = new Float32Array(windowLength);
              for (var i = 0; i < windowLength; ++i) {
                var cosArg = (2.0 * Math.PI * i) / (windowLength + even - 1);
                newValues[i] = a - b * Math.cos(cosArg);
              }
              return tensor1d(newValues, 'float32');
            }

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Returns whether the targets are in the top K predictions.
             *
             * ```js
             * const predictions = tf.tensor2d([[20, 10, 40, 30], [30, 50, -20, 10]]);
             * const targets = tf.tensor1d([2, 0]);
             * const precision = await tf.inTopKAsync(predictions, targets);
             * precision.print();
             * ```
             * @param predictions 2-D or higher `tf.Tensor` with last dimension being
             *     at least `k`.
             * @param targets 1-D or higher `tf.Tensor`.
             * @param k Optional Number of top elements to look at for computing precision,
             *     default to 1.
             *
             * @doc {heading: 'Operations', subheading: 'Evaluation'}
             */
            function inTopKAsync_(predictions, targets, k) {
              if (k === void 0) {
                k = 1;
              }
              return __awaiter(this, void 0, void 0, function () {
                var $predictions,
                  $targets,
                  lastDim,
                  predictionsVals,
                  targetsVals,
                  _a,
                  batch,
                  size,
                  precision,
                  b,
                  offset,
                  vals,
                  valAndInd,
                  i,
                  i;
                return __generator(this, function (_b) {
                  switch (_b.label) {
                    case 0:
                      $predictions = convertToTensor(predictions, 'predictions', 'inTopK');
                      $targets = convertToTensor(targets, 'targets', 'inTopK');
                      assert($predictions.rank > 1, function () {
                        return (
                          'inTopK() expects the predictions to be of rank 2 or higher, ' +
                          ('but got ' + $predictions.rank)
                        );
                      });
                      assert($predictions.rank - 1 === $targets.rank, function () {
                        return (
                          'predictions rank should be 1 larger than ' +
                          'targets rank, but got predictions rank ' +
                          ($predictions.rank + ' and targets rank ' + $targets.rank)
                        );
                      });
                      assertShapesMatch(
                        $predictions.shape.slice(0, $predictions.shape.length - 1),
                        $targets.shape,
                        "predictions's shape should be align with the targets' shape, " +
                          'except the last dimension.',
                      );
                      lastDim = $predictions.shape[$predictions.shape.length - 1];
                      assert(k > 0 && k <= lastDim, function () {
                        return (
                          "'k' passed to inTopK() must be > 0 && <= the predictions last " +
                          ('dimension (' + lastDim + '), but got ' + k)
                        );
                      });
                      return [4 /*yield*/, $predictions.data()];
                    case 1:
                      predictionsVals = _b.sent();
                      return [4 /*yield*/, $targets.data()];
                    case 2:
                      targetsVals = _b.sent();
                      (_a = [predictionsVals.length / lastDim, lastDim]),
                        (batch = _a[0]),
                        (size = _a[1]);
                      precision = getTypedArrayFromDType('bool', batch);
                      for (b = 0; b < batch; b++) {
                        offset = b * size;
                        vals = predictionsVals.subarray(offset, offset + size);
                        valAndInd = [];
                        for (i = 0; i < vals.length; i++) {
                          valAndInd.push({ value: vals[i], index: i });
                        }
                        valAndInd.sort(function (a, b) {
                          return b.value - a.value;
                        });
                        precision[b] = 0;
                        for (i = 0; i < k; i++) {
                          if (valAndInd[i].index === targetsVals[b]) {
                            precision[b] = 1;
                            break;
                          }
                        }
                      }
                      if (predictions !== $predictions) {
                        $predictions.dispose();
                      }
                      if (targets !== $targets) {
                        $targets.dispose();
                      }
                      // Output precision has the same shape as targets.
                      return [2 /*return*/, tensor(precision, $targets.shape, 'bool')];
                  }
                });
              });
            }
            var inTopKAsync = inTopKAsync_;

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the derivative of the filter of a 2D convolution.
             *
             * @param x The input tensor, of rank 4 or rank 3 of shape
             *     [batch, height, width, inChannels]. If rank 3, batch of 1 is assumed.
             * @param dy The dy image, of rank 4 or rank 3, of shape
             *     [batch, height, width, outDepth]. If rank 3, batch of 1 is assumed.
             * @param filterShape The shape of the filter, length 4,
             *     [filterHeight, filterWidth, inDepth, outDepth].
             * @param strides The strides of the convolution: [strideHeight,
             * strideWidth].
             * @param pad A string from: 'same', 'valid'. The type of padding algorithm
             *     used in the forward prop of the op.
             * @param dataFormat: An optional string from: "NHWC", "NCHW". Defaults to
             *     "NHWC". Specify the data format of the input and output data. With the
             *     default format "NHWC", the data is stored in the order of: [batch,
             *     height, width, channels].
             * @param dimRoundingMode A string from: 'ceil', 'round', 'floor'. If none is
             *     provided, it will default to truncate.
             */
            function conv2DBackpropFilter_(
              x,
              dy,
              filterShape,
              strides,
              pad,
              dataFormat,
              dimRoundingMode,
            ) {
              if (dataFormat === void 0) {
                dataFormat = 'NHWC';
              }
              var x4D = x;
              if (x.rank === 3) {
                x4D = reshape(x, [1, x.shape[0], x.shape[1], x.shape[2]]);
              }
              var dy4D = dy;
              if (dy4D.rank === 3) {
                dy4D = reshape(dy, [1, dy.shape[0], dy.shape[1], dy.shape[2]]);
              }
              assert(x4D.rank === 4, function () {
                return (
                  'Error in conv2dDerFilter: input must be rank 4, but got shape ' +
                  (x4D.shape + '.')
                );
              });
              assert(dy4D.rank === 4, function () {
                return (
                  'Error in conv2dDerFilter: dy must be rank 4, but got shape ' + (dy4D.shape + '.')
                );
              });
              assert(filterShape.length === 4, function () {
                return (
                  'Error in conv2dDerFilter: filterShape must be length 4, but got ' +
                  (filterShape + '.')
                );
              });
              var inDepth = dataFormat === 'NHWC' ? x4D.shape[3] : x4D.shape[1];
              var outDepth = dataFormat === 'NHWC' ? dy4D.shape[3] : dy4D.shape[1];
              assert(inDepth === filterShape[2], function () {
                return (
                  'Error in conv2dDerFilter: depth of input ' +
                  inDepth +
                  ') must ' +
                  ('match input depth in filter (' + filterShape[2] + '.')
                );
              });
              assert(outDepth === filterShape[3], function () {
                return (
                  'Error in conv2dDerFilter: depth of dy (' +
                  outDepth +
                  ') must ' +
                  ('match output depth for filter (' + filterShape[3] + ').')
                );
              });
              if (dimRoundingMode != null) {
                assert(isInt(pad), function () {
                  return (
                    'Error in conv2dDerFilter: pad must be an integer when using, ' +
                    ('dimRoundingMode ' + dimRoundingMode + ' but got pad ' + pad + '.')
                  );
                });
              }
              var inputs = { x: x4D, dy: dy4D };
              var attrs = {
                strides: strides,
                pad: pad,
                dataFormat: dataFormat,
                dimRoundingMode: dimRoundingMode,
                filterShape: filterShape,
              };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              return ENGINE.runKernel(Conv2DBackpropFilter, inputs, attrs);
            }
            var conv2DBackpropFilter = op({ conv2DBackpropFilter_: conv2DBackpropFilter_ });

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            // Returns gradient for fused activation.
            function getFusedDyActivation(dy, y, activation) {
              if (activation == null || activation === 'linear') {
                return dy;
              }
              if (activation === 'relu') {
                return mul(dy, step(y));
              }
              throw new Error('Cannot compute gradient for fused activation ' + activation + '.');
            }
            // Returns gradient for fused bias.
            function getFusedBiasGradient(bias, dyActivation) {
              var res = dyActivation;
              var reduceAxes = getReductionAxes(bias.shape, dyActivation.shape);
              if (reduceAxes.length > 0) {
                res = sum$1(res, reduceAxes);
              }
              return reshape(res, bias.shape);
            }
            function applyActivation(x, activation, preluActivationWeights, leakyreluAlpha) {
              if (activation === 'linear') {
                return x;
              } else if (activation === 'relu') {
                return relu(x);
              } else if (activation === 'elu') {
                return elu(x);
              } else if (activation === 'relu6') {
                return relu6(x);
              } else if (activation === 'prelu') {
                return prelu(x, preluActivationWeights);
              } else if (activation === 'leakyrelu') {
                return leakyRelu(x, leakyreluAlpha);
              } else if (activation === 'sigmoid') {
                return sigmoid(x);
              }
              throw new Error('Unknown fused activation ' + activation + '.');
            }
            // Whether we should call fused ops.
            var shouldFuse = function (gradientDepth, activation) {
              var gradientMode = gradientDepth > 0;
              return !gradientMode || activation === 'linear';
            };

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes a 2D convolution over the input x, optionally fused with adding a
             * bias and applying an activation.
             *
             * ```js
             * const inputDepth = 2;
             * const inShape = [2, 2, 2, inputDepth];
             * const outputDepth = 2;
             * const fSize = 1;
             * const pad = 0;
             * const strides = 1;
             *
             * const x = tf.tensor4d( [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15,
             * 16], inShape);
             * const w = tf.tensor4d([-1, 1, -2, 0.5], [fSize, fSize, inputDepth,
             * outputDepth]);
             *
             * tf.fused.conv2d({ x, filter: w, strides, pad, dataFormat: 'NHWC',
             * dilations: [1, 1], bias: tf.scalar(5), activation: 'relu' }).print();
             * ```
             *
             * @param obj An object with the following properties:
             * @param x The input tensor, of rank 4 or rank 3, of shape
             *     `[batch, height, width, inChannels]`. If rank 3, batch of 1 is
             * assumed.
             * @param filter The filter, rank 4, of shape
             *     `[filterHeight, filterWidth, inDepth, outDepth]`.
             * @param strides The strides of the convolution: `[strideHeight,
             * strideWidth]`.
             * @param pad The type of padding algorithm.
             *   - `same` and stride 1: output will be of same size as input,
             *       regardless of filter size.
             *   - `valid` output will be smaller than input if filter is larger
             *       than 1x1.
             *   - For more info, see this guide:
             *     [https://www.tensorflow.org/api_guides/python/nn#Convolution](
             *          https://www.tensorflow.org/api_guides/python/nn#Convolution)
             * @param dataFormat An optional string from: "NHWC", "NCHW". Defaults to
             *     "NHWC". Specify the data format of the input and output data. With the
             *     default format "NHWC", the data is stored in the order of: [batch,
             *     height, width, channels]. Only "NHWC" is currently supported.
             * @param dilations The dilation rates: `[dilationHeight, dilationWidth]`
             *     in which we sample input values across the height and width dimensions
             *     in atrous convolution. Defaults to `[1, 1]`. If `dilations` is a single
             *     number, then `dilationHeight == dilationWidth`. If it is greater than
             *     1, then all values of `strides` must be 1.
             * @param dimRoundingMode A string from: 'ceil', 'round', 'floor'. If none is
             *     provided, it will default to truncate.
             * @param bias Tensor to be added to the result.
             * @param activation Name of activation kernel (defaults to `linear`) to be
             *     applied
             *      after biasAdd.
             * @param preluActivationWeights Tensor of prelu weights to be applied as part
             *     of a `prelu` activation, typically the same shape as `x`.
             * @param leakyreluAlpha Optional. Alpha to be applied as part of a `leakyrelu`
             *     activation.
             */
            function fusedConv2d_(_a) {
              var x = _a.x,
                filter = _a.filter,
                strides = _a.strides,
                pad = _a.pad,
                _b = _a.dataFormat,
                dataFormat = _b === void 0 ? 'NHWC' : _b,
                _c = _a.dilations,
                dilations = _c === void 0 ? [1, 1] : _c,
                dimRoundingMode = _a.dimRoundingMode,
                bias = _a.bias,
                _d = _a.activation,
                activation = _d === void 0 ? 'linear' : _d,
                preluActivationWeights = _a.preluActivationWeights,
                leakyreluAlpha = _a.leakyreluAlpha;
              activation = activation || 'linear';
              if (shouldFuse(ENGINE.state.gradientDepth, activation) === false) {
                var result = conv2d(
                  x,
                  filter,
                  strides,
                  pad,
                  dataFormat,
                  dilations,
                  dimRoundingMode,
                );
                if (bias != null) {
                  result = add$1(result, bias);
                }
                return applyActivation(result, activation, preluActivationWeights, leakyreluAlpha);
              }
              var $x = convertToTensor(x, 'x', 'conv2d');
              var $filter = convertToTensor(filter, 'filter', 'conv2d');
              var x4D = $x;
              var reshapedTo4D = false;
              if ($x.rank === 3) {
                reshapedTo4D = true;
                x4D = reshape($x, [1, $x.shape[0], $x.shape[1], $x.shape[2]]);
              }
              assert(x4D.rank === 4, function () {
                return (
                  'Error in fused conv2d: input must be rank 4, but got rank ' + (x4D.rank + '.')
                );
              });
              assert($filter.rank === 4, function () {
                return (
                  'Error in fused conv2d: filter must be rank 4, but got rank ' +
                  ($filter.rank + '.')
                );
              });
              if (dimRoundingMode != null) {
                assert(isInt(pad), function () {
                  return (
                    'Error in fused conv2d: pad must be an integer when using, ' +
                    ('dimRoundingMode ' + dimRoundingMode + ' but got pad ' + pad + '.')
                  );
                });
              }
              assert(x4D.shape[3] === $filter.shape[2], function () {
                return (
                  'Error in conv2d: depth of input (' +
                  x4D.shape[3] +
                  ') must match ' +
                  ('input depth for filter ' + $filter.shape[2] + '.')
                );
              });
              assert(eitherStridesOrDilationsAreOne(strides, dilations), function () {
                return (
                  'Error in conv2D: Either strides or dilations must be 1. ' +
                  ('Got strides ' + strides + " and dilations '" + dilations + "'")
                );
              });
              assert(dataFormat === 'NHWC', function () {
                return (
                  'Error in conv2d: got dataFormat of ' +
                  dataFormat +
                  ' but only NHWC is currently supported.'
                );
              });
              var convInfo = computeConv2DInfo(
                x4D.shape,
                $filter.shape,
                strides,
                dilations,
                pad,
                dimRoundingMode,
              );
              var $bias;
              if (bias != null) {
                $bias = convertToTensor(bias, 'bias', 'fused conv2d');
                $bias = makeTypesMatch($bias, $x)[0];
                assertAndGetBroadcastShape(convInfo.outShape, $bias.shape);
              }
              var $preluActivationWeights;
              if (preluActivationWeights != null) {
                $preluActivationWeights = convertToTensor(
                  preluActivationWeights,
                  'prelu weights',
                  'fused conv2d',
                );
              }
              var grad = function (dy, saved) {
                var _a = saved,
                  $filter = _a[0],
                  x4D = _a[1],
                  y = _a[2],
                  $bias = _a[3];
                var dyActivation = getFusedDyActivation(dy, y, activation);
                assert(tupleValuesAreOne(dilations), function () {
                  return (
                    'Error in gradient of fused conv2D: ' +
                    'dilation rates greater than 1 ' +
                    ("are not yet supported in gradients. Got dilations '" + dilations + "'")
                  );
                });
                var xDer = conv2DBackpropInput(x4D.shape, dyActivation, $filter, strides, pad);
                var filterDer = conv2DBackpropFilter(
                  x4D,
                  dyActivation,
                  $filter.shape,
                  strides,
                  pad,
                );
                var der = [xDer, filterDer];
                if ($bias != null) {
                  var biasDer = getFusedBiasGradient($bias, dyActivation);
                  der.push(biasDer);
                }
                return der;
              };
              var inputs = {
                x: x4D,
                filter: $filter,
                bias: $bias,
                preluActivationWeights: $preluActivationWeights,
              };
              var attrs = {
                strides: strides,
                pad: pad,
                dataFormat: dataFormat,
                dilations: dilations,
                dimRoundingMode: dimRoundingMode,
                activation: activation,
                leakyreluAlpha: leakyreluAlpha,
              };
              // Depending on the the params passed in we will have different number of
              // inputs and thus a a different number of elements in the gradient.
              if (bias == null) {
                var customOp = customGrad(function (x4D, filter, save) {
                  var res =
                    // tslint:disable-next-line: no-unnecessary-type-assertion
                    ENGINE.runKernel(FusedConv2D, inputs, attrs);
                  save([filter, x4D, res]);
                  if (reshapedTo4D) {
                    // tslint:disable-next-line: no-unnecessary-type-assertion
                    res = reshape(res, [res.shape[1], res.shape[2], res.shape[3]]);
                  }
                  return { value: res, gradFunc: grad };
                });
                return customOp(x4D, $filter);
              } else {
                var customOpWithBias = customGrad(function (x4D, filter, bias, save) {
                  var res = ENGINE.runKernel(FusedConv2D, inputs, attrs);
                  save([filter, x4D, res, bias]);
                  if (reshapedTo4D) {
                    // tslint:disable-next-line: no-unnecessary-type-assertion
                    res = reshape(res, [res.shape[1], res.shape[2], res.shape[3]]);
                  }
                  return { value: res, gradFunc: grad };
                });
                return customOpWithBias(x4D, $filter, $bias);
              }
            }
            var conv2d$1 = op({ fusedConv2d_: fusedConv2d_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            function depthwiseConv2dNativeBackpropFilter_(
              x,
              dy,
              filterShape,
              strides,
              pad,
              dilations,
              dimRoundingMode,
            ) {
              if (dilations === void 0) {
                dilations = [1, 1];
              }
              var x4D = x;
              if (x.rank === 3) {
                x4D = reshape(x, [1, x.shape[0], x.shape[1], x.shape[2]]);
              }
              var dy4D = dy;
              if (dy4D.rank === 3) {
                dy4D = reshape(dy, [1, dy.shape[0], dy.shape[1], dy.shape[2]]);
              }
              var inputs = { x: x4D, dy: dy4D };
              var attrs = {
                strides: strides,
                pad: pad,
                dimRoundingMode: dimRoundingMode,
                dilations: dilations,
                filterShape: filterShape,
              };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              return ENGINE.runKernel(DepthwiseConv2dNativeBackpropFilter, inputs, attrs);
            }
            var depthwiseConv2dNativeBackpropFilter = op({
              depthwiseConv2dNativeBackpropFilter_: depthwiseConv2dNativeBackpropFilter_,
            });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            function depthwiseConv2dNativeBackpropInput_(
              xShape,
              dy,
              filter,
              strides,
              pad,
              dilations,
              dimRoundingMode,
            ) {
              if (dilations === void 0) {
                dilations = [1, 1];
              }
              var dy4D = dy;
              var reshapedTo4D = false;
              if (dy.rank === 3) {
                reshapedTo4D = true;
                dy4D = reshape(dy, [1, dy.shape[0], dy.shape[1], dy.shape[2]]);
              }
              var inputs = { dy: dy4D, filter: filter };
              var attrs = {
                strides: strides,
                pad: pad,
                dimRoundingMode: dimRoundingMode,
                dilations: dilations,
                inputShape: xShape,
              };
              var res =
                // tslint:disable-next-line: no-unnecessary-type-assertion
                ENGINE.runKernel(DepthwiseConv2dNativeBackpropInput, inputs, attrs);
              if (reshapedTo4D) {
                return reshape(res, [res.shape[1], res.shape[2], res.shape[3]]);
              }
              return res;
            }
            var depthwiseConv2dNativeBackpropInput = op({
              depthwiseConv2dNativeBackpropInput_: depthwiseConv2dNativeBackpropInput_,
            });

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes depthwise 2D convolution, optionally fused with adding a
             * bias and applying an activation.
             *
             * Given a 4D `input` array and a `filter` array of shape
             * `[filterHeight, filterWidth, inChannels, channelMultiplier]` containing
             * `inChannels` convolutional filters of depth 1, this op applies a
             * different filter to each input channel (expanding from 1 channel to
             * `channelMultiplier` channels for each), then concatenates the results
             * together. The output has `inChannels * channelMultiplier` channels.
             *
             * See
             * [https://www.tensorflow.org/api_docs/python/tf/nn/depthwise_conv2d](
             *     https://www.tensorflow.org/api_docs/python/tf/nn/depthwise_conv2d)
             * for more details.
             *
             * @param obj An object with the following properties:
             * @param x The input tensor, of rank 4 or rank 3, of shape
             *     `[batch, height, width, inChannels]`. If rank 3, batch of 1 is
             * assumed.
             * @param filter The filter tensor, rank 4, of shape
             *     `[filterHeight, filterWidth, inChannels, channelMultiplier]`.
             * @param strides The strides of the convolution: `[strideHeight,
             * strideWidth]`. If strides is a single number, then `strideHeight ==
             * strideWidth`.
             * @param pad The type of padding algorithm.
             *   - `same` and stride 1: output will be of same size as input,
             *       regardless of filter size.
             *   - `valid`: output will be smaller than input if filter is larger
             *       than 1x1.
             *   - For more info, see this guide:
             *     [https://www.tensorflow.org/api_guides/python/nn#Convolution](
             *          https://www.tensorflow.org/api_guides/python/nn#Convolution)
             * @param dilations The dilation rates: `[dilationHeight, dilationWidth]`
             *     in which we sample input values across the height and width dimensions
             *     in atrous convolution. Defaults to `[1, 1]`. If `rate` is a single
             *     number, then `dilationHeight == dilationWidth`. If it is greater than
             *     1, then all values of `strides` must be 1.
             * @param dataFormat: An optional string from: "NHWC", "NCHW". Defaults to
             *     "NHWC". Specify the data format of the input and output data. With the
             *     default format "NHWC", the data is stored in the order of: [batch,
             *     height, width, channels]. Only "NHWC" is currently supported.
             * @param dimRoundingMode A string from: 'ceil', 'round', 'floor'. If none is
             *     provided, it will default to truncate.
             * @param bias Tensor to be added to the result.
             * @param activation Name of activation kernel (defaults to `linear`).
             * @param preluActivationWeights Tensor of prelu weights to be applied as part
             *     of a `prelu` activation, typically the same shape as `x`.
             * @param leakyreluAlpha Optional. Alpha to be applied as part of a `leakyrelu`
             *     activation.
             */
            function fusedDepthwiseConv2d_(_a) {
              var x = _a.x,
                filter = _a.filter,
                strides = _a.strides,
                pad = _a.pad,
                _b = _a.dataFormat,
                dataFormat = _b === void 0 ? 'NHWC' : _b,
                _c = _a.dilations,
                dilations = _c === void 0 ? [1, 1] : _c,
                dimRoundingMode = _a.dimRoundingMode,
                bias = _a.bias,
                _d = _a.activation,
                activation = _d === void 0 ? 'linear' : _d,
                preluActivationWeights = _a.preluActivationWeights,
                leakyreluAlpha = _a.leakyreluAlpha;
              if (shouldFuse(ENGINE.state.gradientDepth, activation) === false) {
                var result = depthwiseConv2d(
                  x,
                  filter,
                  strides,
                  pad,
                  dataFormat,
                  dilations,
                  dimRoundingMode,
                );
                if (bias != null) {
                  result = add$1(result, bias);
                }
                return applyActivation(result, activation, preluActivationWeights, leakyreluAlpha);
              }
              var $x = convertToTensor(x, 'x', 'depthwiseConv2d');
              var $filter = convertToTensor(filter, 'filter', 'depthwiseConv2d');
              var x4D = $x;
              var reshapedTo4D = false;
              if ($x.rank === 3) {
                reshapedTo4D = true;
                x4D = reshape($x, [1, $x.shape[0], $x.shape[1], $x.shape[2]]);
              }
              assert(x4D.rank === 4, function () {
                return (
                  'Error in fused depthwiseConv2d: input must be rank 4, but got ' +
                  ('rank ' + x4D.rank + '.')
                );
              });
              assert($filter.rank === 4, function () {
                return (
                  'Error in fused depthwiseConv2d: filter must be rank 4, ' +
                  ('but got rank ' + $filter.rank + '.')
                );
              });
              assert(x4D.shape[3] === $filter.shape[2], function () {
                return (
                  'Error in fused depthwiseConv2d: number of input channels ' +
                  ('(' + x4D.shape[3] + ') must match the inChannels dimension in ') +
                  ('filter ' + $filter.shape[2] + '.')
                );
              });
              if (dilations == null) {
                dilations = [1, 1];
              }
              assert(eitherStridesOrDilationsAreOne(strides, dilations), function () {
                return (
                  'Error in fused depthwiseConv2d: Either strides or dilations must ' +
                  ('be 1. Got strides ' + strides + " and dilations '" + dilations + "'")
                );
              });
              if (dimRoundingMode != null) {
                assert(isInt(pad), function () {
                  return (
                    'Error in fused depthwiseConv2d: pad must be an integer when ' +
                    ('using dimRoundingMode ' + dimRoundingMode + ' but got pad ' + pad + '.')
                  );
                });
              }
              var convInfo = computeConv2DInfo(
                x4D.shape,
                $filter.shape,
                strides,
                dilations,
                pad,
                dimRoundingMode,
                true /* depthwise */,
              );
              var $bias;
              if (bias != null) {
                $bias = convertToTensor(bias, 'bias', 'fused conv2d');
                $bias = makeTypesMatch($bias, $x)[0];
                assertAndGetBroadcastShape(convInfo.outShape, $bias.shape);
              }
              var $preluActivationWeights;
              if (preluActivationWeights != null) {
                $preluActivationWeights = convertToTensor(
                  preluActivationWeights,
                  'prelu weights',
                  'fused depthwiseConv2d',
                );
              }
              var grad = function (dy, saved) {
                assert(tupleValuesAreOne(dilations), function () {
                  return (
                    'Error in gradient of fused depthwiseConv2d: dilation rates ' +
                    'greater than 1 are not yet supported. Got dilations ' +
                    ("'" + dilations + "'")
                  );
                });
                var $filter = saved[0],
                  x4D = saved[1],
                  y = saved[2],
                  bias = saved[3];
                var dyActivation = getFusedDyActivation(dy, y, activation);
                var xDer = depthwiseConv2dNativeBackpropInput(
                  x4D.shape,
                  dyActivation,
                  $filter,
                  strides,
                  pad,
                  dilations,
                  dimRoundingMode,
                );
                var filterDer = depthwiseConv2dNativeBackpropFilter(
                  x4D,
                  dyActivation,
                  $filter.shape,
                  strides,
                  pad,
                  dilations,
                  dimRoundingMode,
                );
                if (bias != null) {
                  var biasDer = getFusedBiasGradient($bias, dyActivation);
                  return [xDer, filterDer, biasDer];
                }
                return [xDer, filterDer];
              };
              var inputs = {
                x: x4D,
                filter: $filter,
                bias: $bias,
                preluActivationWeights: $preluActivationWeights,
              };
              var attrs = {
                strides: strides,
                pad: pad,
                dataFormat: dataFormat,
                dilations: dilations,
                dimRoundingMode: dimRoundingMode,
                activation: activation,
                leakyreluAlpha: leakyreluAlpha,
              };
              // Depending on the the params passed in we will have different number of
              // inputs and thus a a different number of elements in the gradient.
              if (bias == null) {
                var customOp = customGrad(function (x4D, filter, save) {
                  // tslint:disable-next-line: no-unnecessary-type-assertion
                  var res = ENGINE.runKernel(FusedDepthwiseConv2D, inputs, attrs);
                  save([filter, x4D, res]);
                  if (reshapedTo4D) {
                    // tslint:disable-next-line: no-unnecessary-type-assertion
                    res = reshape(res, [res.shape[1], res.shape[2], res.shape[3]]);
                  }
                  return { value: res, gradFunc: grad };
                });
                return customOp(x4D, $filter);
              } else {
                var customOpWithBias = customGrad(function (x4D, filter, bias, save) {
                  // tslint:disable-next-line: no-unnecessary-type-assertion
                  var res = ENGINE.runKernel(FusedDepthwiseConv2D, inputs, attrs);
                  save([filter, x4D, res, bias]);
                  if (reshapedTo4D) {
                    // tslint:disable-next-line: no-unnecessary-type-assertion
                    res = reshape(res, [res.shape[1], res.shape[2], res.shape[3]]);
                  }
                  return { value: res, gradFunc: grad };
                });
                return customOpWithBias(x4D, $filter, $bias);
              }
            }
            var depthwiseConv2d$1 = op({ fusedDepthwiseConv2d_: fusedDepthwiseConv2d_ });

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the dot product of two matrices with optional activation and bias.
             *
             * ```js
             * const a = tf.tensor2d([-1, -2], [1, 2]);
             * const b = tf.tensor2d([1, 2, 3, 4], [2, 2]);
             * const bias = tf.tensor2d([1, 2], [1, 2]);
             *
             * tf.fused.matMul({a, b, bias, activation: 'relu'}).print();
             * ```
             *
             * @param obj An object with the following properties:
             * - `a` First matrix in dot product operation.
             * - `b` Second matrix in dot product operation.
             * - `transposeA` If true, `a` is transposed before multiplication.
             * - `transposeB` If true, `b` is transposed before multiplication.
             * - `bias` Matrix to be added to the result.
             * - `activation` Name of activation kernel (defaults to `linear`).
             * - `preluActivationWeights` Tensor of prelu weights.
             * - `leakyreluAlpha` Alpha of leakyrelu.
             */
            function fusedMatMul_(_a) {
              var _b;
              var a = _a.a,
                b = _a.b,
                _c = _a.transposeA,
                transposeA = _c === void 0 ? false : _c,
                _d = _a.transposeB,
                transposeB = _d === void 0 ? false : _d,
                bias = _a.bias,
                _e = _a.activation,
                activation = _e === void 0 ? 'linear' : _e,
                preluActivationWeights = _a.preluActivationWeights,
                leakyreluAlpha = _a.leakyreluAlpha;
              if (shouldFuse(ENGINE.state.gradientDepth, activation) === false) {
                var result = matMul(a, b, transposeA, transposeB);
                if (bias != null) {
                  result = add$1(result, bias);
                }
                return applyActivation(result, activation, preluActivationWeights, leakyreluAlpha);
              }
              var $a = convertToTensor(a, 'a', 'fused matMul');
              var $b = convertToTensor(b, 'b', 'fused matMul');
              (_b = makeTypesMatch($a, $b)), ($a = _b[0]), ($b = _b[1]);
              var innerShapeA = transposeA ? $a.shape[$a.rank - 2] : $a.shape[$a.rank - 1];
              var innerShapeB = transposeB ? $b.shape[$b.rank - 1] : $b.shape[$b.rank - 2];
              var outerShapeA = transposeA ? $a.shape[$a.rank - 1] : $a.shape[$a.rank - 2];
              var outerShapeB = transposeB ? $b.shape[$b.rank - 2] : $b.shape[$b.rank - 1];
              var outerDimsA = $a.shape.slice(0, -2);
              var outerDimsB = $b.shape.slice(0, -2);
              var batchDimA = sizeFromShape(outerDimsA);
              var batchDimB = sizeFromShape(outerDimsB);
              assert($a.rank >= 2 && $b.rank >= 2 && $a.rank === $b.rank, function () {
                return (
                  'Error in fused matMul: inputs must have the same rank of at ' +
                  ('least 2, got ranks ' + $a.rank + ' and ' + $b.rank + '.')
                );
              });
              assert(arraysEqual(outerDimsA, outerDimsB), function () {
                return (
                  'Error in fused matMul: outer dimensions (' +
                  outerDimsA +
                  ') and (' +
                  (outerDimsB + ') of Tensors with shapes ' + $a.shape + ' and ') +
                  ($b.shape + ' must match.')
                );
              });
              assert(innerShapeA === innerShapeB, function () {
                return (
                  'Error in fused matMul: inner shapes (' +
                  innerShapeA +
                  ') and (' +
                  (innerShapeB + ') of Tensors with shapes ' + $a.shape + ' and ') +
                  ($b.shape + ' and transposeA=' + transposeA) +
                  (' and transposeB=' + transposeB + ' must match.')
                );
              });
              var outShape = $a.shape.slice(0, -2).concat([outerShapeA, outerShapeB]);
              var a3D = transposeA
                ? reshape($a, [batchDimA, innerShapeA, outerShapeA])
                : reshape($a, [batchDimA, outerShapeA, innerShapeA]);
              var b3D = transposeB
                ? reshape($b, [batchDimB, outerShapeB, innerShapeB])
                : reshape($b, [batchDimB, innerShapeB, outerShapeB]);
              var $bias;
              if (bias != null) {
                $bias = convertToTensor(bias, 'bias', 'fused matMul');
                $bias = makeTypesMatch($bias, $a)[0];
                assertAndGetBroadcastShape(outShape, $bias.shape);
              }
              var $preluActivationWeights;
              if (preluActivationWeights != null) {
                $preluActivationWeights = convertToTensor(
                  preluActivationWeights,
                  'prelu weights',
                  'fused matMul',
                );
              }
              var grad = function (dy, saved) {
                var a3D = saved[0],
                  b3D = saved[1],
                  y = saved[2],
                  $bias = saved[3];
                // we reshape dy because the result of the forward is not
                // necessarily going to be a 3d tensor due to a reshape done at the end of
                // the customOp.
                var dyActivation = getFusedDyActivation(reshape(dy, y.shape), y, activation);
                var aDer;
                var bDer;
                if (!transposeA && !transposeB) {
                  aDer = matMul(dyActivation, b3D, false, true);
                  bDer = matMul(a3D, dyActivation, true, false);
                } else if (!transposeA && transposeB) {
                  aDer = matMul(dyActivation, b3D, false, false);
                  bDer = matMul(dyActivation, a3D, true, false);
                } else if (transposeA && !transposeB) {
                  aDer = matMul(b3D, dyActivation, false, true);
                  bDer = matMul(a3D, dyActivation, false, false);
                } else {
                  aDer = matMul(b3D, dyActivation, true, true);
                  bDer = matMul(dyActivation, a3D, true, true);
                }
                if (bias != null) {
                  var biasDer = getFusedBiasGradient($bias, dyActivation);
                  return [aDer, bDer, biasDer];
                } else {
                  return [aDer, bDer];
                }
              };
              var inputs = {
                a: a3D,
                b: b3D,
                bias: $bias,
                preluActivationWeights: $preluActivationWeights,
              };
              var attrs = {
                transposeA: transposeA,
                transposeB: transposeB,
                activation: activation,
                leakyreluAlpha: leakyreluAlpha,
              };
              // Depending on the the params passed in we will have different number of
              // inputs and thus a a different number of elements in the gradient.
              if (bias == null) {
                var customOp = customGrad(function (a3D, b3D, save) {
                  var res =
                    // tslint:disable-next-line: no-unnecessary-type-assertion
                    ENGINE.runKernel(_FusedMatMul, inputs, attrs);
                  save([a3D, b3D, res]);
                  return { value: reshape(res, outShape), gradFunc: grad };
                });
                return customOp(a3D, b3D);
              } else {
                var customOpWithBias = customGrad(function (a3D, b3D, $bias, save) {
                  var res =
                    // tslint:disable-next-line: no-unnecessary-type-assertion
                    ENGINE.runKernel(_FusedMatMul, inputs, attrs);
                  save([a3D, b3D, res, $bias]);
                  return { value: reshape(res, outShape), gradFunc: grad };
                });
                return customOpWithBias(a3D, b3D, $bias);
              }
            }
            var matMul$1 = op({ fusedMatMul_: fusedMatMul_ });

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */

            var fused_ops = {
              __proto__: null,
              conv2d: conv2d$1,
              depthwiseConv2d: depthwiseConv2d$1,
              matMul: matMul$1,
            };

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Generate a hamming window.
             *
             * See: https://en.wikipedia.org/wiki/Window_function#Hann_and_Hamming_windows
             *
             * ```js
             * tf.signal.hammingWindow(10).print();
             * ```
             * @param The length of window
             *
             * @doc {heading: 'Operations', subheading: 'Signal', namespace: 'signal'}
             */
            function hammingWindow_(windowLength) {
              return cosineWindow(windowLength, 0.54, 0.46);
            }
            var hammingWindow = op({ hammingWindow_: hammingWindow_ });

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Generate a Hann window.
             *
             * See: https://en.wikipedia.org/wiki/Window_function#Hann_and_Hamming_windows
             *
             * ```js
             * tf.signal.hannWindow(10).print();
             * ```
             * @param The length of window
             *
             * @doc {heading: 'Operations', subheading: 'Signal', namespace: 'signal'}
             */
            function hannWindow_(windowLength) {
              return cosineWindow(windowLength, 0.5, 0.5);
            }
            var hannWindow = op({ hannWindow_: hannWindow_ });

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Expands input into frames of frameLength.
             * Slides a window size with frameStep.
             *
             * ```js
             * tf.signal.frame([1, 2, 3], 2, 1).print();
             * ```
             * @param signal The input tensor to be expanded
             * @param frameLength Length of each frame
             * @param frameStep The frame hop size in samples.
             * @param padEnd Whether to pad the end of signal with padValue.
             * @param padValue An number to use where the input signal does
             *     not exist when padEnd is True.
             *
             * @doc {heading: 'Operations', subheading: 'Signal', namespace: 'signal'}
             */
            function frame_(signal, frameLength, frameStep, padEnd, padValue) {
              if (padEnd === void 0) {
                padEnd = false;
              }
              if (padValue === void 0) {
                padValue = 0;
              }
              var start = 0;
              var output = [];
              while (start + frameLength <= signal.size) {
                output.push(slice(signal, start, frameLength));
                start += frameStep;
              }
              if (padEnd) {
                while (start < signal.size) {
                  var padLen = start + frameLength - signal.size;
                  var pad = concat([
                    slice(signal, start, frameLength - padLen),
                    fill([padLen], padValue),
                  ]);
                  output.push(pad);
                  start += frameStep;
                }
              }
              if (output.length === 0) {
                return tensor2d([], [0, frameLength]);
              }
              return reshape(concat(output), [output.length, frameLength]);
            }
            var frame = op({ frame_: frame_ });

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the Short-time Fourier Transform of signals
             * See: https://en.wikipedia.org/wiki/Short-time_Fourier_transform
             *
             * ```js
             * const input = tf.tensor1d([1, 1, 1, 1, 1])
             * tf.signal.stft(input, 3, 1).print();
             * ```
             * @param signal 1-dimensional real value tensor.
             * @param frameLength The window length of samples.
             * @param frameStep The number of samples to step.
             * @param fftLength The size of the FFT to apply.
             * @param windowFn A callable that takes a window length and returns 1-d tensor.
             *
             * @doc {heading: 'Operations', subheading: 'Signal', namespace: 'signal'}
             */
            function stft_(signal, frameLength, frameStep, fftLength, windowFn) {
              if (windowFn === void 0) {
                windowFn = hannWindow;
              }
              if (fftLength == null) {
                fftLength = enclosingPowerOfTwo(frameLength);
              }
              var framedSignal = frame(signal, frameLength, frameStep);
              var windowedSignal = mul(framedSignal, windowFn(frameLength));
              return rfft(windowedSignal, fftLength);
            }
            var stft = op({ stft_: stft_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Extracts crops from the input image tensor and resizes them using bilinear
             * sampling or nearest neighbor sampling (possibly with aspect ratio change)
             * to a common output size specified by cropSize.
             *
             * @param image 4d tensor of shape `[batch,imageHeight,imageWidth, depth]`,
             *     where imageHeight and imageWidth must be positive, specifying the
             *     batch of images from which to take crops
             * @param boxes 2d float32 tensor of shape `[numBoxes, 4]`. Each entry is
             *     `[y1, x1, y2, x2]`, where `(y1, x1)` and `(y2, x2)` are the normalized
             *     coordinates of the box in the boxInd[i]'th image in the batch
             * @param boxInd 1d int32 tensor of shape `[numBoxes]` with values in range
             *     `[0, batch)` that specifies the image that the `i`-th box refers to.
             * @param cropSize 1d int32 tensor of 2 elements `[cropHeigh, cropWidth]`
             *     specifying the size to which all crops are resized to.
             * @param method Optional string from `'bilinear' | 'nearest'`,
             *     defaults to bilinear, which specifies the sampling method for resizing
             * @param extrapolationValue A threshold for deciding when to remove boxes based
             *     on score. Defaults to 0.
             * @return A 4D tensor of the shape `[numBoxes,cropHeight,cropWidth,depth]`
             *
             * @doc {heading: 'Operations', subheading: 'Images', namespace: 'image'}
             */
            function cropAndResize_(image, boxes, boxInd, cropSize, method, extrapolationValue) {
              if (method === void 0) {
                method = 'bilinear';
              }
              if (extrapolationValue === void 0) {
                extrapolationValue = 0;
              }
              var $image = convertToTensor(image, 'image', 'cropAndResize');
              var $boxes = convertToTensor(boxes, 'boxes', 'cropAndResize', 'float32');
              var $boxInd = convertToTensor(boxInd, 'boxInd', 'cropAndResize', 'int32');
              var numBoxes = $boxes.shape[0];
              assert($image.rank === 4, function () {
                return (
                  'Error in cropAndResize: image must be rank 4,' +
                  ('but got rank ' + $image.rank + '.')
                );
              });
              assert($boxes.rank === 2 && $boxes.shape[1] === 4, function () {
                return (
                  'Error in cropAndResize: boxes must be have size [' +
                  numBoxes +
                  ',4] ' +
                  ('but had shape ' + $boxes.shape + '.')
                );
              });
              assert($boxInd.rank === 1 && $boxInd.shape[0] === numBoxes, function () {
                return (
                  'Error in cropAndResize: boxInd must be have size [' +
                  numBoxes +
                  '] ' +
                  ('but had shape ' + $boxes.shape + '.')
                );
              });
              assert(cropSize.length === 2, function () {
                return (
                  'Error in cropAndResize: cropSize must be of length 2, but got ' +
                  ('length ' + cropSize.length + '.')
                );
              });
              assert(cropSize[0] >= 1 && cropSize[1] >= 1, function () {
                return 'cropSize must be atleast [1,1], but was ' + cropSize;
              });
              assert(method === 'bilinear' || method === 'nearest', function () {
                return 'method must be bilinear or nearest, but was ' + method;
              });
              var inputs = { image: $image, boxes: $boxes, boxInd: $boxInd };
              var attrs = {
                method: method,
                extrapolationValue: extrapolationValue,
                cropSize: cropSize,
              };
              var res = ENGINE.runKernel(CropAndResize, inputs, attrs);
              return res;
            }
            var cropAndResize = op({ cropAndResize_: cropAndResize_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Flips the image left to right. Currently available in the CPU, WebGL, and
             * WASM backends.
             *
             * @param image 4d tensor of shape `[batch, imageHeight, imageWidth, depth]`.
             */
            /** @doc {heading: 'Operations', subheading: 'Images', namespace: 'image'} */
            function flipLeftRight_(image) {
              var $image = convertToTensor(image, 'image', 'flipLeftRight', 'float32');
              assert($image.rank === 4, function () {
                return (
                  'Error in flipLeftRight: image must be rank 4,' +
                  ('but got rank ' + $image.rank + '.')
                );
              });
              var inputs = { image: $image };
              var res = ENGINE.runKernel(FlipLeftRight, inputs, {});
              return res;
            }
            var flipLeftRight = op({ flipLeftRight_: flipLeftRight_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Rotates the input image tensor counter-clockwise with an optional offset
             * center of rotation. Currently available in the CPU, WebGL, and WASM backends.
             *
             * @param image 4d tensor of shape `[batch, imageHeight, imageWidth, depth]`.
             * @param radians The amount of rotation.
             * @param fillValue The value to fill in the empty space leftover
             *     after rotation. Can be either a single grayscale value (0-255), or an
             *     array of three numbers `[red, green, blue]` specifying the red, green,
             *     and blue channels. Defaults to `0` (black).
             * @param center The center of rotation. Can be either a single value (0-1), or
             *     an array of two numbers `[centerX, centerY]`. Defaults to `0.5` (rotates
             *     the image around its center).
             *
             * @doc {heading: 'Operations', subheading: 'Images', namespace: 'image'}
             */
            function rotateWithOffset_(image, radians, fillValue, center) {
              if (fillValue === void 0) {
                fillValue = 0;
              }
              if (center === void 0) {
                center = 0.5;
              }
              var $image = convertToTensor(image, 'image', 'rotateWithOffset', 'float32');
              assert($image.rank === 4, function () {
                return (
                  'Error in rotateWithOffset: image must be rank 4,' +
                  ('but got rank ' + $image.rank + '.')
                );
              });
              var inputs = { image: $image };
              var attrs = { radians: radians, fillValue: fillValue, center: center };
              var res = ENGINE.runKernel(RotateWithOffset, inputs, attrs);
              return res;
            }
            var rotateWithOffset = op({ rotateWithOffset_: rotateWithOffset_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            function nonMaxSuppSanityCheck(
              boxes,
              scores,
              maxOutputSize,
              iouThreshold,
              scoreThreshold,
              softNmsSigma,
            ) {
              if (iouThreshold == null) {
                iouThreshold = 0.5;
              }
              if (scoreThreshold == null) {
                scoreThreshold = Number.NEGATIVE_INFINITY;
              }
              if (softNmsSigma == null) {
                softNmsSigma = 0.0;
              }
              var numBoxes = boxes.shape[0];
              maxOutputSize = Math.min(maxOutputSize, numBoxes);
              assert(0 <= iouThreshold && iouThreshold <= 1, function () {
                return "iouThreshold must be in [0, 1], but was '" + iouThreshold + "'";
              });
              assert(boxes.rank === 2, function () {
                return "boxes must be a 2D tensor, but was of rank '" + boxes.rank + "'";
              });
              assert(boxes.shape[1] === 4, function () {
                return 'boxes must have 4 columns, but 2nd dimension was ' + boxes.shape[1];
              });
              assert(scores.rank === 1, function () {
                return 'scores must be a 1D tensor';
              });
              assert(scores.shape[0] === numBoxes, function () {
                return (
                  'scores has incompatible shape with boxes. Expected ' +
                  numBoxes +
                  ', ' +
                  ('but was ' + scores.shape[0])
                );
              });
              assert(0 <= softNmsSigma && softNmsSigma <= 1, function () {
                return "softNmsSigma must be in [0, 1], but was '" + softNmsSigma + "'";
              });
              return {
                maxOutputSize: maxOutputSize,
                iouThreshold: iouThreshold,
                scoreThreshold: scoreThreshold,
                softNmsSigma: softNmsSigma,
              };
            }

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Performs non maximum suppression of bounding boxes based on
             * iou (intersection over union).
             *
             * @param boxes a 2d tensor of shape `[numBoxes, 4]`. Each entry is
             *     `[y1, x1, y2, x2]`, where `(y1, x1)` and `(y2, x2)` are the corners of
             *     the bounding box.
             * @param scores a 1d tensor providing the box scores of shape `[numBoxes]`.
             * @param maxOutputSize The maximum number of boxes to be selected.
             * @param iouThreshold A float representing the threshold for deciding whether
             *     boxes overlap too much with respect to IOU. Must be between [0, 1].
             *     Defaults to 0.5 (50% box overlap).
             * @param scoreThreshold A threshold for deciding when to remove boxes based
             *     on score. Defaults to -inf, which means any score is accepted.
             * @return A 1D tensor with the selected box indices.
             *
             * @doc {heading: 'Operations', subheading: 'Images', namespace: 'image'}
             */
            function nonMaxSuppression_(
              boxes,
              scores,
              maxOutputSize,
              iouThreshold,
              scoreThreshold,
            ) {
              if (iouThreshold === void 0) {
                iouThreshold = 0.5;
              }
              if (scoreThreshold === void 0) {
                scoreThreshold = Number.NEGATIVE_INFINITY;
              }
              var $boxes = convertToTensor(boxes, 'boxes', 'nonMaxSuppression');
              var $scores = convertToTensor(scores, 'scores', 'nonMaxSuppression');
              var inputs = nonMaxSuppSanityCheck(
                $boxes,
                $scores,
                maxOutputSize,
                iouThreshold,
                scoreThreshold,
              );
              maxOutputSize = inputs.maxOutputSize;
              iouThreshold = inputs.iouThreshold;
              scoreThreshold = inputs.scoreThreshold;
              var attrs = {
                maxOutputSize: maxOutputSize,
                iouThreshold: iouThreshold,
                scoreThreshold: scoreThreshold,
              };
              return ENGINE.runKernel(
                NonMaxSuppressionV3,
                { boxes: $boxes, scores: $scores },
                attrs,
              );
            }
            var nonMaxSuppression = op({ nonMaxSuppression_: nonMaxSuppression_ });

            /**
             * @license
             * Copyright 2019 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Inserts a value into a sorted array. This method allows duplicate, meaning it
             * allows inserting duplicate value, in which case, the element will be inserted
             * at the lowest index of the value.
             * @param arr The array to modify.
             * @param element The element to insert.
             * @param comparator Optional. If no comparator is specified, elements are
             * compared using array_util.defaultComparator, which is suitable for Strings
             * and Numbers in ascending arrays. If the array contains multiple instances of
             * the target value, the left-most instance will be returned. To provide a
             * comparator, it should take 2 arguments to compare and return a negative,
             * zero, or a positive number.
             */
            function binaryInsert(arr, element, comparator) {
              var index = binarySearch(arr, element, comparator);
              var insertionPoint = index < 0 ? -(index + 1) : index;
              arr.splice(insertionPoint, 0, element);
            }
            /**
             * Searches the array for the target using binary search, returns the index
             * of the found element, or position to insert if element not found. If no
             * comparator is specified, elements are compared using array_
             * util.defaultComparator, which is suitable for Strings and Numbers in
             * ascending arrays. If the array contains multiple instances of the target
             * value, the left-most instance will be returned.
             * @param arr The array to be searched in.
             * @param target The target to be searched for.
             * @param comparator Should take 2 arguments to compare and return a negative,
             *    zero, or a positive number.
             * @return Lowest index of the target value if found, otherwise the insertion
             *    point where the target should be inserted, in the form of
             *    (-insertionPoint - 1).
             */
            function binarySearch(arr, target, comparator) {
              return binarySearch_(arr, target, comparator || defaultComparator);
            }
            /**
             * Compares its two arguments for order.
             * @param a The first element to be compared.
             * @param b The second element to be compared.
             * @return A negative number, zero, or a positive number as the first
             *     argument is less than, equal to, or greater than the second.
             */
            function defaultComparator(a, b) {
              return a > b ? 1 : a < b ? -1 : 0;
            }
            function binarySearch_(arr, target, comparator) {
              var left = 0;
              var right = arr.length;
              var middle = 0;
              var found = false;
              while (left < right) {
                middle = left + ((right - left) >>> 1);
                var compareResult = comparator(target, arr[middle]);
                if (compareResult > 0) {
                  left = middle + 1;
                } else {
                  right = middle;
                  // If compareResult is 0, the value is found. We record it is found,
                  // and then keep looking because there may be duplicate.
                  found = !compareResult;
                }
              }
              return found ? left : -left - 1;
            }

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            function nonMaxSuppressionV3Impl(
              boxes,
              scores,
              maxOutputSize,
              iouThreshold,
              scoreThreshold,
            ) {
              return nonMaxSuppressionImpl_(
                boxes,
                scores,
                maxOutputSize,
                iouThreshold,
                scoreThreshold,
                0 /* softNmsSigma */,
              );
            }
            function nonMaxSuppressionV4Impl(
              boxes,
              scores,
              maxOutputSize,
              iouThreshold,
              scoreThreshold,
              padToMaxOutputSize,
            ) {
              return nonMaxSuppressionImpl_(
                boxes,
                scores,
                maxOutputSize,
                iouThreshold,
                scoreThreshold,
                0 /* softNmsSigma */,
                false /* returnScoresTensor */,
                padToMaxOutputSize /* padToMaxOutputSize */,
                true,
                /* returnValidOutputs */
              );
            }
            function nonMaxSuppressionV5Impl(
              boxes,
              scores,
              maxOutputSize,
              iouThreshold,
              scoreThreshold,
              softNmsSigma,
            ) {
              return nonMaxSuppressionImpl_(
                boxes,
                scores,
                maxOutputSize,
                iouThreshold,
                scoreThreshold,
                softNmsSigma,
                true /* returnScoresTensor */,
              );
            }
            function nonMaxSuppressionImpl_(
              boxes,
              scores,
              maxOutputSize,
              iouThreshold,
              scoreThreshold,
              softNmsSigma,
              returnScoresTensor,
              padToMaxOutputSize,
              returnValidOutputs,
            ) {
              if (returnScoresTensor === void 0) {
                returnScoresTensor = false;
              }
              if (padToMaxOutputSize === void 0) {
                padToMaxOutputSize = false;
              }
              if (returnValidOutputs === void 0) {
                returnValidOutputs = false;
              }
              // The list is sorted in ascending order, so that we can always pop the
              // candidate with the largest score in O(1) time.
              var candidates = [];
              for (var i = 0; i < scores.length; i++) {
                if (scores[i] > scoreThreshold) {
                  candidates.push({ score: scores[i], boxIndex: i, suppressBeginIndex: 0 });
                }
              }
              candidates.sort(ascendingComparator);
              // If softNmsSigma is 0, the outcome of this algorithm is exactly same as
              // before.
              var scale = softNmsSigma > 0 ? -0.5 / softNmsSigma : 0.0;
              var selectedIndices = [];
              var selectedScores = [];
              while (selectedIndices.length < maxOutputSize && candidates.length > 0) {
                var candidate = candidates.pop();
                var originalScore = candidate.score,
                  boxIndex = candidate.boxIndex,
                  suppressBeginIndex = candidate.suppressBeginIndex;
                if (originalScore < scoreThreshold) {
                  break;
                }
                // Overlapping boxes are likely to have similar scores, therefore we
                // iterate through the previously selected boxes backwards in order to
                // see if candidate's score should be suppressed. We use
                // suppressBeginIndex to track and ensure a candidate can be suppressed
                // by a selected box no more than once. Also, if the overlap exceeds
                // iouThreshold, we simply ignore the candidate.
                var ignoreCandidate = false;
                for (var j = selectedIndices.length - 1; j >= suppressBeginIndex; --j) {
                  var iou = intersectionOverUnion(boxes, boxIndex, selectedIndices[j]);
                  if (iou >= iouThreshold) {
                    ignoreCandidate = true;
                    break;
                  }
                  candidate.score = candidate.score * suppressWeight(iouThreshold, scale, iou);
                  if (candidate.score <= scoreThreshold) {
                    break;
                  }
                }
                // At this point, if `candidate.score` has not dropped below
                // `scoreThreshold`, then we know that we went through all of the
                // previous selections and can safely update `suppressBeginIndex` to the
                // end of the selected array. Then we can re-insert the candidate with
                // the updated score and suppressBeginIndex back in the candidate list.
                // If on the other hand, `candidate.score` has dropped below the score
                // threshold, we will not add it back to the candidates list.
                candidate.suppressBeginIndex = selectedIndices.length;
                if (!ignoreCandidate) {
                  // Candidate has passed all the tests, and is not suppressed, so
                  // select the candidate.
                  if (candidate.score === originalScore) {
                    selectedIndices.push(boxIndex);
                    selectedScores.push(candidate.score);
                  } else if (candidate.score > scoreThreshold) {
                    // Candidate's score is suppressed but is still high enough to be
                    // considered, so add back to the candidates list.
                    binaryInsert(candidates, candidate, ascendingComparator);
                  }
                }
              }
              // NonMaxSuppressionV4 feature: padding output to maxOutputSize.
              var validOutputs = selectedIndices.length;
              var elemsToPad = maxOutputSize - validOutputs;
              if (padToMaxOutputSize && elemsToPad > 0) {
                selectedIndices.push.apply(selectedIndices, new Array(elemsToPad).fill(0));
                selectedScores.push.apply(selectedScores, new Array(elemsToPad).fill(0.0));
              }
              var result = { selectedIndices: selectedIndices };
              if (returnScoresTensor) {
                result['selectedScores'] = selectedScores;
              }
              if (returnValidOutputs) {
                result['validOutputs'] = validOutputs;
              }
              return result;
            }
            function intersectionOverUnion(boxes, i, j) {
              var iCoord = boxes.subarray(i * 4, i * 4 + 4);
              var jCoord = boxes.subarray(j * 4, j * 4 + 4);
              var yminI = Math.min(iCoord[0], iCoord[2]);
              var xminI = Math.min(iCoord[1], iCoord[3]);
              var ymaxI = Math.max(iCoord[0], iCoord[2]);
              var xmaxI = Math.max(iCoord[1], iCoord[3]);
              var yminJ = Math.min(jCoord[0], jCoord[2]);
              var xminJ = Math.min(jCoord[1], jCoord[3]);
              var ymaxJ = Math.max(jCoord[0], jCoord[2]);
              var xmaxJ = Math.max(jCoord[1], jCoord[3]);
              var areaI = (ymaxI - yminI) * (xmaxI - xminI);
              var areaJ = (ymaxJ - yminJ) * (xmaxJ - xminJ);
              if (areaI <= 0 || areaJ <= 0) {
                return 0.0;
              }
              var intersectionYmin = Math.max(yminI, yminJ);
              var intersectionXmin = Math.max(xminI, xminJ);
              var intersectionYmax = Math.min(ymaxI, ymaxJ);
              var intersectionXmax = Math.min(xmaxI, xmaxJ);
              var intersectionArea =
                Math.max(intersectionYmax - intersectionYmin, 0.0) *
                Math.max(intersectionXmax - intersectionXmin, 0.0);
              return intersectionArea / (areaI + areaJ - intersectionArea);
            }
            // A Gaussian penalty function, this method always returns values in [0, 1].
            // The weight is a function of similarity, the more overlap two boxes are, the
            // smaller the weight is, meaning highly overlapping boxe will be significantly
            // penalized. On the other hand, a non-overlapping box will not be penalized.
            function suppressWeight(iouThreshold, scale, iou) {
              var weight = Math.exp(scale * iou * iou);
              return iou <= iouThreshold ? weight : 0.0;
            }
            function ascendingComparator(c1, c2) {
              // For objects with same scores, we make the object with the larger index go
              // first. In an array that pops from the end, this means that the object with
              // the smaller index will be popped first. This ensures the same output as
              // the TensorFlow python version.
              return c1.score - c2.score || (c1.score === c2.score && c2.boxIndex - c1.boxIndex);
            }

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Performs non maximum suppression of bounding boxes based on
             * iou (intersection over union).
             *
             * This is the async version of `nonMaxSuppression`
             *
             * @param boxes a 2d tensor of shape `[numBoxes, 4]`. Each entry is
             *     `[y1, x1, y2, x2]`, where `(y1, x1)` and `(y2, x2)` are the corners of
             *     the bounding box.
             * @param scores a 1d tensor providing the box scores of shape `[numBoxes]`.
             * @param maxOutputSize The maximum number of boxes to be selected.
             * @param iouThreshold A float representing the threshold for deciding whether
             *     boxes overlap too much with respect to IOU. Must be between [0, 1].
             *     Defaults to 0.5 (50% box overlap).
             * @param scoreThreshold A threshold for deciding when to remove boxes based
             *     on score. Defaults to -inf, which means any score is accepted.
             * @return A 1D tensor with the selected box indices.
             *
             * @doc {heading: 'Operations', subheading: 'Images', namespace: 'image'}
             */
            function nonMaxSuppressionAsync_(
              boxes,
              scores,
              maxOutputSize,
              iouThreshold,
              scoreThreshold,
            ) {
              if (iouThreshold === void 0) {
                iouThreshold = 0.5;
              }
              if (scoreThreshold === void 0) {
                scoreThreshold = Number.NEGATIVE_INFINITY;
              }
              return __awaiter(this, void 0, void 0, function () {
                var $boxes, $scores, inputs, boxesAndScores, boxesVals, scoresVals, selectedIndices;
                return __generator(this, function (_a) {
                  switch (_a.label) {
                    case 0:
                      $boxes = convertToTensor(boxes, 'boxes', 'nonMaxSuppressionAsync');
                      $scores = convertToTensor(scores, 'scores', 'nonMaxSuppressionAsync');
                      inputs = nonMaxSuppSanityCheck(
                        $boxes,
                        $scores,
                        maxOutputSize,
                        iouThreshold,
                        scoreThreshold,
                      );
                      maxOutputSize = inputs.maxOutputSize;
                      iouThreshold = inputs.iouThreshold;
                      scoreThreshold = inputs.scoreThreshold;
                      return [4 /*yield*/, Promise.all([$boxes.data(), $scores.data()])];
                    case 1:
                      boxesAndScores = _a.sent();
                      boxesVals = boxesAndScores[0];
                      scoresVals = boxesAndScores[1];
                      selectedIndices = nonMaxSuppressionV3Impl(
                        boxesVals,
                        scoresVals,
                        maxOutputSize,
                        iouThreshold,
                        scoreThreshold,
                      ).selectedIndices;
                      if ($boxes !== boxes) {
                        $boxes.dispose();
                      }
                      if ($scores !== scores) {
                        $scores.dispose();
                      }
                      return [2 /*return*/, tensor1d(selectedIndices, 'int32')];
                  }
                });
              });
            }
            var nonMaxSuppressionAsync = nonMaxSuppressionAsync_;

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Performs non maximum suppression of bounding boxes based on
             * iou (intersection over union).
             *
             * This op also supports a Soft-NMS mode (c.f.
             * Bodla et al, https://arxiv.org/abs/1704.04503) where boxes reduce the score
             * of other overlapping boxes, therefore favoring different regions of the image
             * with high scores. To enable this Soft-NMS mode, set the `softNmsSigma`
             * parameter to be larger than 0.
             *
             * @param boxes a 2d tensor of shape `[numBoxes, 4]`. Each entry is
             *     `[y1, x1, y2, x2]`, where `(y1, x1)` and `(y2, x2)` are the corners of
             *     the bounding box.
             * @param scores a 1d tensor providing the box scores of shape `[numBoxes]`.
             * @param maxOutputSize The maximum number of boxes to be selected.
             * @param iouThreshold A float representing the threshold for deciding whether
             *     boxes overlap too much with respect to IOU. Must be between [0, 1].
             *     Defaults to 0.5 (50% box overlap).
             * @param scoreThreshold A threshold for deciding when to remove boxes based
             *     on score. Defaults to -inf, which means any score is accepted.
             * @param softNmsSigma A float representing the sigma parameter for Soft NMS.
             *     When sigma is 0, it falls back to nonMaxSuppression.
             * @return A map with the following properties:
             *     - selectedIndices: A 1D tensor with the selected box indices.
             *     - selectedScores: A 1D tensor with the corresponding scores for each
             *       selected box.
             *
             * @doc {heading: 'Operations', subheading: 'Images', namespace: 'image'}
             */
            function nonMaxSuppressionWithScore_(
              boxes,
              scores,
              maxOutputSize,
              iouThreshold,
              scoreThreshold,
              softNmsSigma,
            ) {
              if (iouThreshold === void 0) {
                iouThreshold = 0.5;
              }
              if (scoreThreshold === void 0) {
                scoreThreshold = Number.NEGATIVE_INFINITY;
              }
              if (softNmsSigma === void 0) {
                softNmsSigma = 0.0;
              }
              var $boxes = convertToTensor(boxes, 'boxes', 'nonMaxSuppression');
              var $scores = convertToTensor(scores, 'scores', 'nonMaxSuppression');
              var params = nonMaxSuppSanityCheck(
                $boxes,
                $scores,
                maxOutputSize,
                iouThreshold,
                scoreThreshold,
                softNmsSigma,
              );
              maxOutputSize = params.maxOutputSize;
              iouThreshold = params.iouThreshold;
              scoreThreshold = params.scoreThreshold;
              softNmsSigma = params.softNmsSigma;
              var inputs = { boxes: $boxes, scores: $scores };
              var attrs = {
                maxOutputSize: maxOutputSize,
                iouThreshold: iouThreshold,
                scoreThreshold: scoreThreshold,
                softNmsSigma: softNmsSigma,
              };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              var result = ENGINE.runKernel(NonMaxSuppressionV5, inputs, attrs);
              return { selectedIndices: result[0], selectedScores: result[1] };
            }
            var nonMaxSuppressionWithScore = op({
              nonMaxSuppressionWithScore_: nonMaxSuppressionWithScore_,
            });

            /**
             * Asynchronously performs non maximum suppression of bounding boxes based on
             * iou (intersection over union).
             *
             * This op also supports a Soft-NMS mode (c.f.
             * Bodla et al, https://arxiv.org/abs/1704.04503) where boxes reduce the score
             * of other overlapping boxes, therefore favoring different regions of the image
             * with high scores. To enable this Soft-NMS mode, set the `softNmsSigma`
             * parameter to be larger than 0.
             *
             * @param boxes a 2d tensor of shape `[numBoxes, 4]`. Each entry is
             *     `[y1, x1, y2, x2]`, where `(y1, x1)` and `(y2, x2)` are the corners of
             *     the bounding box.
             * @param scores a 1d tensor providing the box scores of shape `[numBoxes]`.
             * @param maxOutputSize The maximum number of boxes to be selected.
             * @param iouThreshold A float representing the threshold for deciding whether
             *     boxes overlap too much with respect to IOU. Must be between [0, 1].
             *     Defaults to 0.5 (50% box overlap).
             * @param scoreThreshold A threshold for deciding when to remove boxes based
             *     on score. Defaults to -inf, which means any score is accepted.
             * @param softNmsSigma A float representing the sigma parameter for Soft NMS.
             *     When sigma is 0, it falls back to nonMaxSuppression.
             * @return A map with the following properties:
             *     - selectedIndices: A 1D tensor with the selected box indices.
             *     - selectedScores: A 1D tensor with the corresponding scores for each
             *       selected box.
             *
             * @doc {heading: 'Operations', subheading: 'Images', namespace: 'image'}
             */
            function nonMaxSuppressionWithScoreAsync_(
              boxes,
              scores,
              maxOutputSize,
              iouThreshold,
              scoreThreshold,
              softNmsSigma,
            ) {
              if (iouThreshold === void 0) {
                iouThreshold = 0.5;
              }
              if (scoreThreshold === void 0) {
                scoreThreshold = Number.NEGATIVE_INFINITY;
              }
              if (softNmsSigma === void 0) {
                softNmsSigma = 0.0;
              }
              return __awaiter(this, void 0, void 0, function () {
                var $boxes,
                  $scores,
                  params,
                  boxesAndScores,
                  boxesVals,
                  scoresVals,
                  _a,
                  selectedIndices,
                  selectedScores;
                return __generator(this, function (_b) {
                  switch (_b.label) {
                    case 0:
                      $boxes = convertToTensor(boxes, 'boxes', 'nonMaxSuppressionAsync');
                      $scores = convertToTensor(scores, 'scores', 'nonMaxSuppressionAsync');
                      params = nonMaxSuppSanityCheck(
                        $boxes,
                        $scores,
                        maxOutputSize,
                        iouThreshold,
                        scoreThreshold,
                        softNmsSigma,
                      );
                      maxOutputSize = params.maxOutputSize;
                      iouThreshold = params.iouThreshold;
                      scoreThreshold = params.scoreThreshold;
                      softNmsSigma = params.softNmsSigma;
                      return [4 /*yield*/, Promise.all([$boxes.data(), $scores.data()])];
                    case 1:
                      boxesAndScores = _b.sent();
                      boxesVals = boxesAndScores[0];
                      scoresVals = boxesAndScores[1];
                      (_a = nonMaxSuppressionV5Impl(
                        boxesVals,
                        scoresVals,
                        maxOutputSize,
                        iouThreshold,
                        scoreThreshold,
                        softNmsSigma,
                      )),
                        (selectedIndices = _a.selectedIndices),
                        (selectedScores = _a.selectedScores);
                      if ($boxes !== boxes) {
                        $boxes.dispose();
                      }
                      if ($scores !== scores) {
                        $scores.dispose();
                      }
                      return [
                        2 /*return*/,
                        {
                          selectedIndices: tensor1d(selectedIndices, 'int32'),
                          selectedScores: tensor1d(selectedScores),
                        },
                      ];
                  }
                });
              });
            }
            var nonMaxSuppressionWithScoreAsync = nonMaxSuppressionWithScoreAsync_;

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Asynchronously performs non maximum suppression of bounding boxes based on
             * iou (intersection over union), with an option to pad results.
             *
             * @param boxes a 2d tensor of shape `[numBoxes, 4]`. Each entry is
             *     `[y1, x1, y2, x2]`, where `(y1, x1)` and `(y2, x2)` are the corners of
             *     the bounding box.
             * @param scores a 1d tensor providing the box scores of shape `[numBoxes]`.
             * @param maxOutputSize The maximum number of boxes to be selected.
             * @param iouThreshold A float representing the threshold for deciding whether
             *     boxes overlap too much with respect to IOU. Must be between [0, 1].
             *     Defaults to 0.5 (50% box overlap).
             * @param scoreThreshold A threshold for deciding when to remove boxes based
             *     on score. Defaults to -inf, which means any score is accepted.
             * @param padToMaxOutputSize Defalts to false. If true, size of output
             *     `selectedIndices` is padded to maxOutputSize.
             * @return A map with the following properties:
             *     - selectedIndices: A 1D tensor with the selected box indices.
             *     - validOutputs: A scalar denoting how many elements in `selectedIndices`
             *       are valid. Valid elements occur first, then padding.
             *
             * @doc {heading: 'Operations', subheading: 'Images', namespace: 'image'}
             */
            function nonMaxSuppressionPadded_(
              boxes,
              scores,
              maxOutputSize,
              iouThreshold,
              scoreThreshold,
              padToMaxOutputSize,
            ) {
              if (iouThreshold === void 0) {
                iouThreshold = 0.5;
              }
              if (scoreThreshold === void 0) {
                scoreThreshold = Number.NEGATIVE_INFINITY;
              }
              if (padToMaxOutputSize === void 0) {
                padToMaxOutputSize = false;
              }
              var $boxes = convertToTensor(boxes, 'boxes', 'nonMaxSuppression');
              var $scores = convertToTensor(scores, 'scores', 'nonMaxSuppression');
              var params = nonMaxSuppSanityCheck(
                $boxes,
                $scores,
                maxOutputSize,
                iouThreshold,
                scoreThreshold,
                null /* softNmsSigma */,
              );
              var $maxOutputSize = params.maxOutputSize;
              var $iouThreshold = params.iouThreshold;
              var $scoreThreshold = params.scoreThreshold;
              var inputs = { boxes: $boxes, scores: $scores };
              var attrs = {
                maxOutputSize: $maxOutputSize,
                iouThreshold: $iouThreshold,
                scoreThreshold: $scoreThreshold,
                padToMaxOutputSize: padToMaxOutputSize,
              };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              var result = ENGINE.runKernel(NonMaxSuppressionV4, inputs, attrs);
              return { selectedIndices: result[0], validOutputs: result[1] };
            }
            var nonMaxSuppressionPadded = op({
              nonMaxSuppressionPadded_: nonMaxSuppressionPadded_,
            });

            /**
             * Asynchronously performs non maximum suppression of bounding boxes based on
             * iou (intersection over union), with an option to pad results.
             *
             * @param boxes a 2d tensor of shape `[numBoxes, 4]`. Each entry is
             *     `[y1, x1, y2, x2]`, where `(y1, x1)` and `(y2, x2)` are the corners of
             *     the bounding box.
             * @param scores a 1d tensor providing the box scores of shape `[numBoxes]`.
             * @param maxOutputSize The maximum number of boxes to be selected.
             * @param iouThreshold A float representing the threshold for deciding whether
             *     boxes overlap too much with respect to IOU. Must be between [0, 1].
             *     Defaults to 0.5 (50% box overlap).
             * @param scoreThreshold A threshold for deciding when to remove boxes based
             *     on score. Defaults to -inf, which means any score is accepted.
             * @param padToMaxOutputSize Defalts to false. If true, size of output
             *     `selectedIndices` is padded to maxOutputSize.
             * @return A map with the following properties:
             *     - selectedIndices: A 1D tensor with the selected box indices.
             *     - validOutputs: A scalar denoting how many elements in `selectedIndices`
             *       are valid. Valid elements occur first, then padding.
             *
             * @doc {heading: 'Operations', subheading: 'Images', namespace: 'image'}
             */
            function nonMaxSuppressionPaddedAsync_(
              boxes,
              scores,
              maxOutputSize,
              iouThreshold,
              scoreThreshold,
              padToMaxOutputSize,
            ) {
              if (iouThreshold === void 0) {
                iouThreshold = 0.5;
              }
              if (scoreThreshold === void 0) {
                scoreThreshold = Number.NEGATIVE_INFINITY;
              }
              if (padToMaxOutputSize === void 0) {
                padToMaxOutputSize = false;
              }
              return __awaiter(this, void 0, void 0, function () {
                var $boxes,
                  $scores,
                  params,
                  $maxOutputSize,
                  $iouThreshold,
                  $scoreThreshold,
                  _a,
                  boxesVals,
                  scoresVals,
                  _b,
                  selectedIndices,
                  validOutputs;
                return __generator(this, function (_c) {
                  switch (_c.label) {
                    case 0:
                      $boxes = convertToTensor(boxes, 'boxes', 'nonMaxSuppressionAsync');
                      $scores = convertToTensor(scores, 'scores', 'nonMaxSuppressionAsync');
                      params = nonMaxSuppSanityCheck(
                        $boxes,
                        $scores,
                        maxOutputSize,
                        iouThreshold,
                        scoreThreshold,
                        null /* softNmsSigma */,
                      );
                      $maxOutputSize = params.maxOutputSize;
                      $iouThreshold = params.iouThreshold;
                      $scoreThreshold = params.scoreThreshold;
                      return [4 /*yield*/, Promise.all([$boxes.data(), $scores.data()])];
                    case 1:
                      (_a = _c.sent()), (boxesVals = _a[0]), (scoresVals = _a[1]);
                      (_b = nonMaxSuppressionV4Impl(
                        boxesVals,
                        scoresVals,
                        $maxOutputSize,
                        $iouThreshold,
                        $scoreThreshold,
                        padToMaxOutputSize,
                      )),
                        (selectedIndices = _b.selectedIndices),
                        (validOutputs = _b.validOutputs);
                      if ($boxes !== boxes) {
                        $boxes.dispose();
                      }
                      if ($scores !== scores) {
                        $scores.dispose();
                      }
                      return [
                        2 /*return*/,
                        {
                          selectedIndices: tensor1d(selectedIndices, 'int32'),
                          validOutputs: scalar(validOutputs, 'int32'),
                        },
                      ];
                  }
                });
              });
            }
            var nonMaxSuppressionPaddedAsync = nonMaxSuppressionPaddedAsync_;

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Bilinear resize a single 3D image or a batch of 3D images to a new shape.
             *
             * @param images The images, of rank 4 or rank 3, of shape
             *     `[batch, height, width, inChannels]`. If rank 3, batch of 1 is assumed.
             * @param size The new shape `[newHeight, newWidth]` to resize the
             *     images to. Each channel is resized individually.
             * @param alignCorners Defaults to `false`. If true, rescale
             *     input by `(new_height - 1) / (height - 1)`, which exactly aligns the 4
             *     corners of images and resized images. If false, rescale by
             *     `new_height / height`. Treat similarly the width dimension.
             * @param halfPixelCenters Defaults to `false`. Whether to assume pixel centers
             *     are at 0.5, which would make the floating point coordinates of the top
             *     left pixel 0.5, 0.5.
             *
             * @doc {heading: 'Operations', subheading: 'Images', namespace: 'image'}
             */
            function resizeBilinear_(images, size, alignCorners, halfPixelCenters) {
              if (alignCorners === void 0) {
                alignCorners = false;
              }
              if (halfPixelCenters === void 0) {
                halfPixelCenters = false;
              }
              var $images = convertToTensor(images, 'images', 'resizeBilinear');
              assert($images.rank === 3 || $images.rank === 4, function () {
                return (
                  'Error in resizeBilinear: x must be rank 3 or 4, but got ' +
                  ('rank ' + $images.rank + '.')
                );
              });
              assert(size.length === 2, function () {
                return 'Error in resizeBilinear: new shape must 2D, but got shape ' + (size + '.');
              });
              assert(halfPixelCenters === false || alignCorners === false, function () {
                return (
                  'Error in resizeBilinear: If halfPixelCenters is true, ' +
                  'alignCorners must be false.'
                );
              });
              var batchImages = $images;
              var reshapedTo4D = false;
              if ($images.rank === 3) {
                reshapedTo4D = true;
                batchImages = reshape($images, [
                  1,
                  $images.shape[0],
                  $images.shape[1],
                  $images.shape[2],
                ]);
              }
              var inputs = { images: batchImages };
              var attrs = {
                alignCorners: alignCorners,
                halfPixelCenters: halfPixelCenters,
                size: size,
              };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              var res = ENGINE.runKernel(ResizeBilinear, inputs, attrs);
              if (reshapedTo4D) {
                return reshape(res, [res.shape[1], res.shape[2], res.shape[3]]);
              }
              return res;
            }
            var resizeBilinear = op({ resizeBilinear_: resizeBilinear_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * NearestNeighbor resize a batch of 3D images to a new shape.
             *
             * @param images The images, of rank 4 or rank 3, of shape
             *     `[batch, height, width, inChannels]`. If rank 3, batch of 1 is assumed.
             * @param size The new shape `[newHeight, newWidth]` to resize the
             *     images to. Each channel is resized individually.
             * @param alignCorners Defaults to False. If true, rescale
             *     input by `(new_height - 1) / (height - 1)`, which exactly aligns the 4
             *     corners of images and resized images. If false, rescale by
             *     `new_height / height`. Treat similarly the width dimension.
             * @param halfPixelCenters Defaults to `false`. Whether to assumes pixels are of
             *      half the actual dimensions, and yields more accurate resizes. This flag
             *      would also make the floating point coordinates of the top left pixel
             *      0.5, 0.5.
             *
             * @doc {heading: 'Operations', subheading: 'Images', namespace: 'image'}
             */
            function resizeNearestNeighbor_(images, size, alignCorners, halfPixelCenters) {
              if (alignCorners === void 0) {
                alignCorners = false;
              }
              if (halfPixelCenters === void 0) {
                halfPixelCenters = false;
              }
              var $images = convertToTensor(images, 'images', 'resizeNearestNeighbor');
              assert($images.rank === 3 || $images.rank === 4, function () {
                return (
                  'Error in resizeNearestNeighbor: x must be rank 3 or 4, but got ' +
                  ('rank ' + $images.rank + '.')
                );
              });
              assert(size.length === 2, function () {
                return (
                  'Error in resizeNearestNeighbor: new shape must 2D, but got shape ' + (size + '.')
                );
              });
              assert($images.dtype === 'float32' || $images.dtype === 'int32', function () {
                return '`images` must have `int32` or `float32` as dtype';
              });
              assert(halfPixelCenters === false || alignCorners === false, function () {
                return (
                  'Error in resizeNearestNeighbor: If halfPixelCenters is true, ' +
                  'alignCorners must be false.'
                );
              });
              var batchImages = $images;
              var reshapedTo4D = false;
              if ($images.rank === 3) {
                reshapedTo4D = true;
                batchImages = reshape($images, [
                  1,
                  $images.shape[0],
                  $images.shape[1],
                  $images.shape[2],
                ]);
              }
              var inputs = { images: batchImages };
              var attrs = {
                alignCorners: alignCorners,
                halfPixelCenters: halfPixelCenters,
                size: size,
              };
              // tslint:disable-next-line: no-unnecessary-type-assertion
              var res = ENGINE.runKernel(ResizeNearestNeighbor, inputs, attrs);
              if (reshapedTo4D) {
                return reshape(res, [res.shape[1], res.shape[2], res.shape[3]]);
              }
              return res;
            }
            var resizeNearestNeighbor = op({ resizeNearestNeighbor_: resizeNearestNeighbor_ });

            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * https://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Performs image binarization with corresponding threshold
             * (depends on the method)value, which creates a binary image from a grayscale.
             * @param image 3d tensor of shape [imageHeight,imageWidth, depth],
             * where imageHeight and imageWidth must be positive.The image color
             * range should be [0, 255].
             * @param method Optional string from `'binary' | 'otsu'`
             * which specifies the method for thresholding. Defaults to 'binary'.
             * @param inverted Optional boolean whichspecifies
             * if colours should be inverted. Defaults to false.
             * @param threshValue Optional number which defines threshold value from 0 to 1.
             * Defaults to 0.5.
             * @return A 3d tensor of shape [imageHeight,imageWidth, depth], which
             * contains binarized image.
             */
            function threshold_(image, method, inverted, threshValue) {
              var _a;
              if (method === void 0) {
                method = 'binary';
              }
              if (inverted === void 0) {
                inverted = false;
              }
              if (threshValue === void 0) {
                threshValue = 0.5;
              }
              var $image = convertToTensor(image, 'image', 'threshold');
              /* 0.2989, 0.5870, 0.1140 are represent luma coefficients in CCIR601.
    Reference for converting between RGB and grayscale: https://en.wikipedia.org/wiki/Luma_%28video%29  */
              var RED_INTENCITY_COEF = 0.2989;
              var GREEN_INTENCITY_COEF = 0.587;
              var BLUE_INTENCITY_COEF = 0.114;
              var totalPixelsInImage = $image.shape[0] * $image.shape[1];
              var $threshold = mul(tensor1d([threshValue]), 255);
              var r, g, b, grayscale;
              assert($image.rank === 3, function () {
                return (
                  'Error in threshold: image must be rank 3,' +
                  ('but got rank ' + $image.rank + '.')
                );
              });
              assert($image.shape[2] === 3 || $image.shape[2] === 1, function () {
                return (
                  'Error in threshold: ' +
                  'image color channel must be equal to 3 or 1' +
                  ('but got ' + $image.shape[2] + '.')
                );
              });
              assert($image.dtype === 'int32' || $image.dtype === 'float32', function () {
                return (
                  'Error in dtype: image dtype must be int32 or float32,' +
                  ('but got dtype ' + $image.dtype + '.')
                );
              });
              assert(method === 'otsu' || method === 'binary', function () {
                return 'Method must be binary or otsu, but was ' + method;
              });
              if ($image.shape[2] === 3) {
                (_a = split($image, [1, 1, 1], -1)), (r = _a[0]), (g = _a[1]), (b = _a[2]);
                var $r = mul(r, RED_INTENCITY_COEF);
                var $g = mul(g, GREEN_INTENCITY_COEF);
                var $b = mul(b, BLUE_INTENCITY_COEF);
                grayscale = add$1(add$1($r, $g), $b);
              } else {
                grayscale = image;
              }
              if (method === 'otsu') {
                var $histogram = bincount(cast(round$1(grayscale), 'int32'), tensor([]), 256);
                $threshold = otsu($histogram, totalPixelsInImage);
              }
              var invCondition = inverted
                ? lessEqual(grayscale, $threshold)
                : greater(grayscale, $threshold);
              var result = cast(mul(invCondition, 255), 'int32');
              return result;
            }
            function otsu(histogram, total) {
              var bestThresh = tensor1d([-1]);
              var bestInBetVar = tensor1d([0]);
              var cInBetVar = tensor1d([0]);
              var classFirst, classSecond, meanFirst, meanSec, weightForeground, weightBack;
              for (var index = 0; index < histogram.size - 1; index++) {
                classFirst = slice(histogram, 0, index + 1);
                classSecond = slice(histogram, index + 1);
                weightForeground = div(sum$1(classFirst), total);
                weightBack = div(sum$1(classSecond), total);
                var meanFirstDivA = sum$1(mul(classFirst, range(0, classFirst.size)));
                meanFirst = div(meanFirstDivA, sum$1(classFirst));
                var meanSecFill = fill(classSecond.shape, classFirst.size);
                var meanSecAdd = add$1(range(0, classSecond.size), meanSecFill);
                var meanSecMul = mul(classSecond, meanSecAdd);
                meanSec = div(sum$1(meanSecMul), sum$1(classSecond));
                var cInBetVarSubA = sub(meanFirst, meanSec);
                var cInBetVarSubB = sub(meanFirst, meanSec);
                var cInBetVarMul = mul(weightForeground, weightBack);
                cInBetVar = mul(mul(cInBetVarMul, cInBetVarSubA), cInBetVarSubB);
                var condition = greater(cInBetVar, bestInBetVar);
                bestInBetVar = where(condition, cInBetVar, bestInBetVar);
                bestThresh = where(condition, tensor1d([index]), bestThresh);
              }
              return bestThresh;
            }
            var threshold = op({ threshold_: threshold_ });

            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Applies the given transform(s) to the image(s).
             *
             * @param image 4d tensor of shape `[batch, imageHeight, imageWidth, depth]`.
             * @param transforms Projective transform matrix/matrices. A tensor1d of length
             *     8 or tensor of size N x 8. If one row of transforms is [a0, a1, a2, b0
             *     b1, b2, c0, c1], then it maps the output point (x, y) to a transformed
             *     input point (x', y') = ((a0 x + a1 y + a2) / k, (b0 x + b1 y + b2) / k),
             *     where k = c0 x + c1 y + 1. The transforms are inverted compared to the
             *     transform mapping input points to output points.
             * @param interpolation Interpolation mode.
             *     Supported values: 'nearest', 'bilinear'. Default to 'nearest'.
             * @param fillMode Points outside the boundaries of the input are filled
             *     according to the given mode, one of 'constant', 'reflect', 'wrap',
             *     'nearest'. Default to 'constant'.
             *     'reflect': (d c b a | a b c d | d c b a ) The input is extended by
             *     reflecting about the edge of the last pixel.
             *     'constant': (k k k k | a b c d | k k k k) The input is extended by
             *     filling all values beyond the edge with the same constant value k.
             *     'wrap': (a b c d | a b c d | a b c d) The input is extended by
             *     wrapping around to the opposite edge.
             *     'nearest': (a a a a | a b c d | d d d d) The input is extended by
             *     the nearest pixel.
             * @param fillValue A float represents the value to be filled outside the
             *     boundaries when fillMode is 'constant'.
             * @param Output dimension after the transform, [height, width]. If undefined,
             *     output is the same size as input image.
             *
             * @doc {heading: 'Operations', subheading: 'Images', namespace: 'image'}
             */
            function transform_(
              image,
              transforms,
              interpolation,
              fillMode,
              fillValue,
              outputShape,
            ) {
              if (interpolation === void 0) {
                interpolation = 'nearest';
              }
              if (fillMode === void 0) {
                fillMode = 'constant';
              }
              if (fillValue === void 0) {
                fillValue = 0;
              }
              var $image = convertToTensor(image, 'image', 'transform', 'float32');
              var $transforms = convertToTensor(transforms, 'transforms', 'transform', 'float32');
              assert($image.rank === 4, function () {
                return (
                  'Error in transform: image must be rank 4,' +
                  ('but got rank ' + $image.rank + '.')
                );
              });
              assert(
                $transforms.rank === 2 &&
                  ($transforms.shape[0] === $image.shape[0] || $transforms.shape[0] === 1) &&
                  $transforms.shape[1] === 8,
                function () {
                  return 'Error in transform: Input transform should be batch x 8 or 1 x 8';
                },
              );
              assert(outputShape == null || outputShape.length === 2, function () {
                return (
                  'Error in transform: outputShape must be [height, width] or null, ' +
                  ('but got ' + outputShape + '.')
                );
              });
              var inputs = { image: $image, transforms: $transforms };
              var attrs = {
                interpolation: interpolation,
                fillMode: fillMode,
                fillValue: fillValue,
                outputShape: outputShape,
              };
              return ENGINE.runKernel(Transform, inputs, attrs);
            }
            var transform = op({ transform_: transform_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Copy a tensor setting everything outside a central band in each innermost
             * matrix to zero.
             *
             * The band part is computed as follows: Assume input has `k` dimensions
             * `[I, J, K, ..., M, N]`, then the output is a tensor with the same shape where
             * `band[i, j, k, ..., m, n] = in_band(m, n) * input[i, j, k, ..., m, n]`.
             * The indicator function
             * `in_band(m, n) = (num_lower < 0 || (m-n) <= num_lower))`
             * `&& (num_upper < 0 || (n-m) <= num_upper)`
             *
             * ```js
             * const x = tf.tensor2d([[ 0,  1,  2, 3],
             *                        [-1,  0,  1, 2],
             *                        [-2, -1,  0, 1],
             *                        [-3, -2, -1, 0]]);
             * let y = tf.linalg.bandPart(x, 1, -1);
             * y.print(); // [[ 0,  1,  2, 3],
             *            //  [-1,  0,  1, 2],
             *            //  [ 0, -1,  0, 1],
             *            //  [ 0, 0 , -1, 0]]
             * let z = tf.linalg.bandPart(x, 2, 1);
             * z.print(); // [[ 0,  1,  0, 0],
             *            //  [-1,  0,  1, 0],
             *            //  [-2, -1,  0, 1],
             *            //  [ 0, -2, -1, 0]]
             * ```
             *
             * @param x Rank `k` tensor
             * @param numLower Number of subdiagonals to keep.
             *   If negative, keep entire lower triangle.
             * @param numUpper Number of subdiagonals to keep.
             *   If negative, keep entire upper triangle.
             * @returns Rank `k` tensor of the same shape as input.
             *   The extracted banded tensor.
             *
             * @doc {heading:'Operations', subheading:'Linear Algebra', namespace:'linalg'}
             */
            function bandPart_(a, numLower, numUpper) {
              assert(numLower % 1 === 0, function () {
                return 'bandPart(): numLower must be an integer, got ' + numLower + '.';
              });
              assert(numUpper % 1 === 0, function () {
                return 'bandPart(): numUpper must be an integer, got ' + numUpper + '.';
              });
              var $a = convertToTensor(a, 'a', 'bandPart');
              assert($a.rank >= 2, function () {
                return 'bandPart(): Rank must be at least 2, got ' + $a.rank + '.';
              });
              var shape = $a.shape;
              var _a = $a.shape.slice(-2),
                M = _a[0],
                N = _a[1];
              if (!(numLower <= M)) {
                throw new Error(
                  'bandPart(): numLower (' +
                    numLower +
                    ')' +
                    (' must not be greater than the number of rows (' + M + ').'),
                );
              }
              if (!(numUpper <= N)) {
                throw new Error(
                  'bandPart(): numUpper (' +
                    numUpper +
                    ')' +
                    (' must not be greater than the number of columns (' + N + ').'),
                );
              }
              if (numLower < 0) {
                numLower = M;
              }
              if (numUpper < 0) {
                numUpper = N;
              }
              var i = reshape(range(0, M, 1, 'int32'), [-1, 1]);
              var j = range(0, N, 1, 'int32');
              var ij = sub(i, j);
              var inBand = logicalAnd(
                lessEqual(ij, scalar(+numLower, 'int32')),
                greaterEqual(ij, scalar(-numUpper, 'int32')),
              );
              var zero = zeros([M, N], $a.dtype);
              return reshape(
                stack(
                  unstack(reshape($a, [-1, M, N])).map(function (mat) {
                    return where(inBand, mat, zero);
                  }),
                ),
                shape,
              );
            }
            var bandPart = op({ bandPart_: bandPart_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Gram-Schmidt orthogonalization.
             *
             * ```js
             * const x = tf.tensor2d([[1, 2], [3, 4]]);
             * let y = tf.linalg.gramSchmidt(x);
             * y.print();
             * console.log('Othogonalized:');
             * y.dot(y.transpose()).print();  // should be nearly the identity matrix.
             * console.log('First row direction maintained:');
             * const data = await y.array();
             * console.log(data[0][1] / data[0][0]);  // should be nearly 2.
             * ```
             *
             * @param xs The vectors to be orthogonalized, in one of the two following
             *   formats:
             *   - An Array of `tf.Tensor1D`.
             *   - A `tf.Tensor2D`, i.e., a matrix, in which case the vectors are the rows
             *     of `xs`.
             *   In each case, all the vectors must have the same length and the length
             *   must be greater than or equal to the number of vectors.
             * @returns The orthogonalized and normalized vectors or matrix.
             *   Orthogonalization means that the vectors or the rows of the matrix
             *   are orthogonal (zero inner products). Normalization means that each
             *   vector or each row of the matrix has an L2 norm that equals `1`.
             *
             * @doc {heading:'Operations', subheading:'Linear Algebra', namespace:'linalg'}
             */
            function gramSchmidt_(xs) {
              var inputIsTensor2D;
              if (Array.isArray(xs)) {
                inputIsTensor2D = false;
                assert(xs != null && xs.length > 0, function () {
                  return 'Gram-Schmidt process: input must not be null, undefined, or ' + 'empty';
                });
                var dim_1 = xs[0].shape[0];
                var _loop_1 = function (i) {
                  assert(xs[i].shape[0] === dim_1, function () {
                    return (
                      'Gram-Schmidt: Non-unique lengths found in the input vectors: ' +
                      ('(' + xs[i].shape[0] + ' vs. ' + dim_1 + ')')
                    );
                  });
                };
                for (var i = 1; i < xs.length; ++i) {
                  _loop_1(i);
                }
              } else {
                inputIsTensor2D = true;
                xs = split(xs, xs.shape[0], 0).map(function (x) {
                  return squeeze(x, [0]);
                });
              }
              assert(xs.length <= xs[0].shape[0], function () {
                return (
                  'Gram-Schmidt: Number of vectors (' +
                  xs.length +
                  ') exceeds ' +
                  ('number of dimensions (' + xs[0].shape[0] + ').')
                );
              });
              var ys = [];
              var xs1d = xs;
              var _loop_2 = function (i) {
                ys.push(
                  ENGINE.tidy(function () {
                    var x = xs1d[i];
                    if (i > 0) {
                      for (var j = 0; j < i; ++j) {
                        var proj = mul(sum$1(mul(ys[j], x)), ys[j]);
                        x = sub(x, proj);
                      }
                    }
                    return div(x, norm(x, 'euclidean'));
                  }),
                );
              };
              for (var i = 0; i < xs.length; ++i) {
                _loop_2(i);
              }
              if (inputIsTensor2D) {
                return stack(ys, 0);
              } else {
                return ys;
              }
            }
            var gramSchmidt = op({ gramSchmidt_: gramSchmidt_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Compute QR decomposition of m-by-n matrix using Householder transformation.
             *
             * Implementation based on
             *   [http://www.cs.cornell.edu/~bindel/class/cs6210-f09/lec18.pdf]
             * (http://www.cs.cornell.edu/~bindel/class/cs6210-f09/lec18.pdf)
             *
             * ```js
             * const a = tf.tensor2d([[1, 2], [3, 4]]);
             * let [q, r] = tf.linalg.qr(a);
             * console.log('Q');
             * q.print();
             * console.log('R');
             * r.print();
             * console.log('Orthogonalized');
             * q.dot(q.transpose()).print()  // should be nearly the identity matrix.
             * console.log('Reconstructed');
             * q.dot(r).print(); // should be nearly [[1, 2], [3, 4]];
             * ```
             *
             * @param x The `tf.Tensor` to be QR-decomposed. Must have rank >= 2. Suppose
             *   it has the shape `[..., M, N]`.
             * @param fullMatrices An optional boolean parameter. Defaults to `false`.
             *   If `true`, compute full-sized `Q`. If `false` (the default),
             *   compute only the leading N columns of `Q` and `R`.
             * @returns An `Array` of two `tf.Tensor`s: `[Q, R]`. `Q` is a unitary matrix,
             *   i.e., its columns all have unit norm and are mutually orthogonal.
             *   If `M >= N`,
             *     If `fullMatrices` is `false` (default),
             *       - `Q` has a shape of `[..., M, N]`,
             *       - `R` has a shape of `[..., N, N]`.
             *     If `fullMatrices` is `true` (default),
             *       - `Q` has a shape of `[..., M, M]`,
             *       - `R` has a shape of `[..., M, N]`.
             *   If `M < N`,
             *     - `Q` has a shape of `[..., M, M]`,
             *     - `R` has a shape of `[..., M, N]`.
             * @throws If the rank of `x` is less than 2.
             *
             * @doc {heading:'Operations',
             *       subheading:'Linear Algebra',
             *       namespace:'linalg'}
             */
            function qr_(x, fullMatrices) {
              if (fullMatrices === void 0) {
                fullMatrices = false;
              }
              assert(x.rank >= 2, function () {
                return 'qr() requires input tensor to have a rank >= 2, but got rank ' + x.rank;
              });
              if (x.rank === 2) {
                return qr2d(x, fullMatrices);
              } else {
                // Rank > 2.
                // TODO(cais): Below we split the input into individual 2D tensors,
                //   perform QR decomposition on them and then stack the results back
                //   together. We should explore whether this can be parallelized.
                var outerDimsProd = x.shape
                  .slice(0, x.shape.length - 2)
                  .reduce(function (value, prev) {
                    return value * prev;
                  });
                var x2ds = unstack(
                  reshape(x, [
                    outerDimsProd,
                    x.shape[x.shape.length - 2],
                    x.shape[x.shape.length - 1],
                  ]),
                  0,
                );
                var q2ds_1 = [];
                var r2ds_1 = [];
                x2ds.forEach(function (x2d) {
                  var _a = qr2d(x2d, fullMatrices),
                    q2d = _a[0],
                    r2d = _a[1];
                  q2ds_1.push(q2d);
                  r2ds_1.push(r2d);
                });
                var q = reshape(stack(q2ds_1, 0), x.shape);
                var r = reshape(stack(r2ds_1, 0), x.shape);
                return [q, r];
              }
            }
            function qr2d(x, fullMatrices) {
              if (fullMatrices === void 0) {
                fullMatrices = false;
              }
              return ENGINE.tidy(function () {
                assert(x.shape.length === 2, function () {
                  return 'qr2d() requires a 2D Tensor, but got a ' + x.shape.length + 'D Tensor.';
                });
                var m = x.shape[0];
                var n = x.shape[1];
                var q = eye(m); // Orthogonal transform so far.
                var r = clone(x); // Transformed matrix so far.
                var one2D = tensor2d([[1]], [1, 1]);
                var w = clone(one2D);
                var iters = m >= n ? n : m;
                var _loop_1 = function (j) {
                  var _a;
                  // This tidy within the for-loop ensures we clean up temporary
                  // tensors as soon as they are no longer needed.
                  var rTemp = r;
                  var wTemp = w;
                  var qTemp = q;
                  (_a = ENGINE.tidy(function () {
                    // Find H = I - tau * w * w', to put zeros below R(j, j).
                    var rjEnd1 = slice(r, [j, j], [m - j, 1]);
                    var normX = norm(rjEnd1);
                    var rjj = slice(r, [j, j], [1, 1]);
                    // The sign() function returns 0 on 0, which causes division by zero.
                    var s = where(greater(rjj, 0), tensor2d([[-1]]), tensor2d([[1]]));
                    var u1 = sub(rjj, mul(s, normX));
                    var wPre = div(rjEnd1, u1);
                    if (wPre.shape[0] === 1) {
                      w = clone(one2D);
                    } else {
                      w = concat(
                        [one2D, slice(wPre, [1, 0], [wPre.shape[0] - 1, wPre.shape[1]])],
                        0,
                      );
                    }
                    var tau = neg(div(matMul(s, u1), normX));
                    // -- R := HR, Q := QH.
                    var rjEndAll = slice(r, [j, 0], [m - j, n]);
                    var tauTimesW = mul(tau, w);
                    var wT = transpose(w);
                    if (j === 0) {
                      r = sub(rjEndAll, matMul(tauTimesW, matMul(wT, rjEndAll)));
                    } else {
                      var rTimesTau = sub(rjEndAll, matMul(tauTimesW, matMul(wT, rjEndAll)));
                      r = concat([slice(r, [0, 0], [j, n]), rTimesTau], 0);
                    }
                    var tawTimesWT = transpose(tauTimesW);
                    var qAllJEnd = slice(q, [0, j], [m, q.shape[1] - j]);
                    if (j === 0) {
                      q = sub(qAllJEnd, matMul(matMul(qAllJEnd, w), tawTimesWT));
                    } else {
                      var qTimesTau = sub(qAllJEnd, matMul(matMul(qAllJEnd, w), tawTimesWT));
                      q = concat([slice(q, [0, 0], [m, j]), qTimesTau], 1);
                    }
                    return [w, r, q];
                  })),
                    (w = _a[0]),
                    (r = _a[1]),
                    (q = _a[2]);
                  dispose([rTemp, wTemp, qTemp]);
                };
                for (var j = 0; j < iters; ++j) {
                  _loop_1(j);
                }
                if (!fullMatrices && m > n) {
                  q = slice(q, [0, 0], [m, n]);
                  r = slice(r, [0, 0], [n, n]);
                }
                return [q, r];
              });
            }
            var qr = op({ qr_: qr_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            (function (Reduction) {
              Reduction[(Reduction['NONE'] = 0)] = 'NONE';
              Reduction[(Reduction['MEAN'] = 1)] = 'MEAN';
              Reduction[(Reduction['SUM'] = 2)] = 'SUM';
              Reduction[(Reduction['SUM_BY_NONZERO_WEIGHTS'] = 3)] = 'SUM_BY_NONZERO_WEIGHTS';
            })(exports.Reduction || (exports.Reduction = {}));

            /**
             * Computes the weighted loss between two tensors.
             *
             * @param losses Tensor of shape `[batch_size, d1, ... dN]`.
             * @param weights Tensor whose rank is either 0, or the same rank as
             *    `losses`, and must be broadcastable to `losses` (i.e., all
             *    dimensions must be either `1`, or the same as the corresponding
             *    `losses` dimension).
             *
             * @doc {heading: 'Training', subheading: 'Losses', namespace: 'losses'}
             */
            function computeWeightedLoss_(losses, weights, reduction) {
              if (reduction === void 0) {
                reduction = exports.Reduction.SUM_BY_NONZERO_WEIGHTS;
              }
              var $losses = convertToTensor(losses, 'losses', 'computeWeightedLoss');
              var $weights = null;
              if (weights != null) {
                $weights = convertToTensor(weights, 'weights', 'computeWeightedLoss');
              }
              var weightedLoss = $weights == null ? $losses : mul($losses, $weights);
              if (reduction === exports.Reduction.NONE) {
                return weightedLoss;
              }
              if (reduction === exports.Reduction.SUM) {
                return sum$1(weightedLoss);
              }
              if (reduction === exports.Reduction.MEAN) {
                if ($weights == null) {
                  return mean(weightedLoss);
                } else {
                  var broadcastFactor = $losses.size / $weights.size;
                  var result = div(sum$1(weightedLoss), sum$1($weights));
                  return broadcastFactor > 1 ? div(result, scalar(broadcastFactor)) : result;
                }
              }
              if (reduction === exports.Reduction.SUM_BY_NONZERO_WEIGHTS) {
                if ($weights == null) {
                  return div(sum$1(weightedLoss), scalar($losses.size));
                } else {
                  var broadcastedWeights = mul($weights, ones$1($losses.shape));
                  var numNonZeros = cast(sum$1(notEqual(broadcastedWeights, scalar(0))), 'float32');
                  return div(sum$1(weightedLoss), numNonZeros);
                }
              }
              throw Error('Unknown reduction: ' + reduction);
            }
            var computeWeightedLoss = op({ computeWeightedLoss_: computeWeightedLoss_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the absolute difference loss between two tensors.
             *
             * @param labels The ground truth output tensor, same dimensions as
             *    'predictions'.
             * @param predictions The predicted outputs.
             * @param weights Tensor whose rank is either 0, or the same rank as
             *    `labels`, and must be broadcastable to `labels` (i.e., all dimensions
             *    must be either `1`, or the same as the corresponding `losses`
             *    dimension).
             * @param reduction Type of reduction to apply to loss. Should be of type
             *    `Reduction`
             *
             * @doc {heading: 'Training', subheading: 'Losses', namespace: 'losses'}
             */
            function absoluteDifference_(labels, predictions, weights, reduction) {
              if (reduction === void 0) {
                reduction = exports.Reduction.SUM_BY_NONZERO_WEIGHTS;
              }
              var $labels = convertToTensor(labels, 'labels', 'absoluteDifference');
              var $predictions = convertToTensor(predictions, 'predictions', 'absoluteDifference');
              var $weights = null;
              if (weights != null) {
                $weights = convertToTensor(weights, 'weights', 'absoluteDifference');
              }
              assertShapesMatch($labels.shape, $predictions.shape, 'Error in absoluteDifference: ');
              var losses = abs(sub($labels, $predictions));
              return computeWeightedLoss(losses, $weights, reduction);
            }
            var absoluteDifference = op({ absoluteDifference_: absoluteDifference_ });

            /**
             * Computes the cosine distance loss between two tensors.
             *
             * @param labels The ground truth output tensor, same dimensions as
             *    'predictions'.
             * @param predictions The predicted outputs.
             * @param axis The dimension along which the cosine distance is computed.
             * @param weights Tensor whose rank is either 0, or the same rank as
             *    `labels`, and must be broadcastable to `labels` (i.e., all dimensions
             *    must be either `1`, or the same as the corresponding `losses`
             *    dimension).
             * @param reduction Type of reduction to apply to loss. Should be of type
             *    `Reduction`
             *
             * @doc {heading: 'Training', subheading: 'Losses', namespace: 'losses'}
             */
            function cosineDistance_(labels, predictions, axis, weights, reduction) {
              if (reduction === void 0) {
                reduction = exports.Reduction.SUM_BY_NONZERO_WEIGHTS;
              }
              var $labels = convertToTensor(labels, 'labels', 'cosineDistance');
              var $predictions = convertToTensor(predictions, 'predictions', 'cosineDistance');
              var $weights = null;
              if (weights != null) {
                $weights = convertToTensor(weights, 'weights', 'cosineDistance');
              }
              assertShapesMatch($labels.shape, $predictions.shape, 'Error in cosineDistance: ');
              var one = scalar(1);
              var losses = sub(one, sum$1(mul($labels, $predictions), axis, true));
              return computeWeightedLoss(losses, $weights, reduction);
            }
            var cosineDistance = op({ cosineDistance_: cosineDistance_ });

            /**
             * Computes the Hinge loss between two tensors.
             *
             * @param labels The ground truth output tensor, same dimensions as
             *    'predictions'.
             * @param predictions The predicted outputs.
             * @param weights Tensor whose rank is either 0, or the same rank as
             *    `labels`, and must be broadcastable to `labels` (i.e., all dimensions
             *    must be either `1`, or the same as the corresponding `losses`
             *    dimension).
             * @param reduction Type of reduction to apply to loss. Should be of type
             *    `Reduction`
             *
             * @doc {heading: 'Training', subheading: 'Losses', namespace: 'losses'}
             */
            function hingeLoss_(labels, predictions, weights, reduction) {
              if (reduction === void 0) {
                reduction = exports.Reduction.SUM_BY_NONZERO_WEIGHTS;
              }
              var $labels = convertToTensor(labels, 'labels', 'hingeLoss');
              var $predictions = convertToTensor(predictions, 'predictions', 'hingeLoss');
              var $weights = null;
              if (weights != null) {
                $weights = convertToTensor(weights, 'weights', 'hingeLoss');
              }
              assertShapesMatch($labels.shape, $predictions.shape, 'Error in hingeLoss: ');
              var one = scalar(1);
              // Convert binary labels to (-1, 1)
              $labels = sub(mul(scalar(2), $labels), one);
              var losses = relu(sub(one, mul($labels, $predictions)));
              return computeWeightedLoss(losses, $weights, reduction);
            }
            var hingeLoss = op({ hingeLoss_: hingeLoss_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the huber loss between two tensors.
             *
             * @param labels The ground truth output tensor, same dimensions as
             *    'predictions'.
             * @param predictions The predicted outputs.
             * @param weights Tensor whose rank is either 0, or the same rank as
             *    `labels`, and must be broadcastable to `labels` (i.e., all dimensions
             *    must be either `1`, or the same as the corresponding `losses`
             *    dimension).
             * @param delta Point where huber loss changes from quadratic to linear.
             * @param reduction Type of reduction to apply to loss. Should be of type
             *    `Reduction`.
             *
             * @doc {heading: 'Training', subheading: 'Losses', namespace: 'losses'}
             */
            function huberLoss_(labels, predictions, weights, delta, reduction) {
              if (delta === void 0) {
                delta = 1.0;
              }
              if (reduction === void 0) {
                reduction = exports.Reduction.SUM_BY_NONZERO_WEIGHTS;
              }
              var $labels = convertToTensor(labels, 'labels', 'huberLoss');
              var $predictions = convertToTensor(predictions, 'predictions', 'huberLoss');
              var $weights = null;
              if (weights != null) {
                $weights = convertToTensor(weights, 'weights', 'huberLoss');
              }
              assertShapesMatch($labels.shape, $predictions.shape, 'Error in huberLoss: ');
              var deltaScalar = scalar(delta);
              var error = abs(sub($predictions, $labels));
              var quadratic = minimum(error, deltaScalar);
              var linear = sub(error, quadratic);
              var losses = add$1(mul(scalar(0.5), square(quadratic)), mul(deltaScalar, linear));
              return computeWeightedLoss(losses, $weights, reduction);
            }
            var huberLoss = op({ huberLoss_: huberLoss_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the log loss between two tensors.
             *
             * @param labels The ground truth output tensor, same dimensions as
             *    'predictions'.
             * @param predictions The predicted outputs.
             * @param weights Tensor whose rank is either 0, or the same rank as
             *    `labels`, and must be broadcastable to `labels` (i.e., all dimensions
             *    must be either `1`, or the same as the corresponding `losses`
             *    dimension).
             * @param epsilon A small increment to avoid taking log of zero
             * @param reduction Type of reduction to apply to loss. Should be of type
             *    `Reduction`
             *
             * @doc {heading: 'Training', subheading: 'Losses', namespace: 'losses'}
             */
            function logLoss_(labels, predictions, weights, epsilon, reduction) {
              if (epsilon === void 0) {
                epsilon = 1e-7;
              }
              if (reduction === void 0) {
                reduction = exports.Reduction.SUM_BY_NONZERO_WEIGHTS;
              }
              var $labels = convertToTensor(labels, 'labels', 'logLoss');
              var $predictions = convertToTensor(predictions, 'predictions', 'logLoss');
              var $weights = null;
              if (weights != null) {
                $weights = convertToTensor(weights, 'weights', 'logLoss');
              }
              assertShapesMatch($labels.shape, $predictions.shape, 'Error in logLoss: ');
              var one = scalar(1);
              var epsilonScalar = scalar(epsilon);
              var l1 = neg(mul($labels, log(add$1($predictions, epsilonScalar))));
              var l2 = mul(sub(one, $labels), log(add$1(sub(one, $predictions), epsilonScalar)));
              var losses = sub(l1, l2);
              return computeWeightedLoss(losses, $weights, reduction);
            }
            var logLoss = op({ logLoss_: logLoss_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the mean squared error between two tensors.
             *
             * @param labels The ground truth output tensor, same dimensions as
             *    'predictions'.
             * @param predictions The predicted outputs.
             * @param weights Tensor whose rank is either 0, or the same rank as
             *    `labels`, and must be broadcastable to `labels` (i.e., all dimensions
             *    must be either `1`, or the same as the corresponding `losses`
             *    dimension).
             * @param reduction Type of reduction to apply to loss. Should be of type
             *    `Reduction`
             *
             * @doc {heading: 'Training', subheading: 'Losses', namespace: 'losses'}
             */
            function meanSquaredError_(labels, predictions, weights, reduction) {
              if (reduction === void 0) {
                reduction = exports.Reduction.SUM_BY_NONZERO_WEIGHTS;
              }
              var $labels = convertToTensor(labels, 'labels', 'meanSquaredError');
              var $predictions = convertToTensor(predictions, 'predictions', 'meanSquaredError');
              var $weights = null;
              if (weights != null) {
                $weights = convertToTensor(weights, 'weights', 'meanSquaredError');
              }
              assertShapesMatch($labels.shape, $predictions.shape, 'Error in meanSquaredError: ');
              var losses = squaredDifference($labels, $predictions);
              return computeWeightedLoss(losses, $weights, reduction);
            }
            var meanSquaredError = op({ meanSquaredError_: meanSquaredError_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            function sigmoidCrossEntropyWithLogits_(labels, logits) {
              var $labels = convertToTensor(labels, 'labels', 'sigmoidCrossEntropyWithLogits');
              var $logits = convertToTensor(logits, 'logits', 'sigmoidCrossEntropyWithLogits');
              assertShapesMatch(
                $labels.shape,
                $logits.shape,
                'Error in sigmoidCrossEntropyWithLogits: ',
              );
              /**
               * Implementation Details:
               *
               * For brevity, let `x = logits`, `z = labels`.  The logistic loss is
               *     z * -log(sigmoid(x)) + (1 - z) * -log(1 - sigmoid(x))
               *   = z * -log(1 / (1 + exp(-x))) + (1 - z) * -log(exp(-x) / (1 + exp(-x)))
               *   = z * log(1 + exp(-x)) + (1 - z) * (-log(exp(-x)) + log(1 + exp(-x)))
               *   = z * log(1 + exp(-x)) + (1 - z) * (x + log(1 + exp(-x))
               *   = (1 - z) * x + log(1 + exp(-x))
               *   = x - x * z + log(1 + exp(-x))
               *
               *   For x < 0, to avoid overflow in exp(-x), we reformulate the above
               *     x - x * z + log(1 + exp(-x))
               *   = log(exp(x)) - x * z + log(1 + exp(-x))
               *   = - x * z + log(1 + exp(x))
               *
               * Hence, to ensure stability and avoid overflow, the implementation uses
               * this equivalent formulation:
               *     max(x, 0) - x * z + log(1 + exp(-abs(x)))
               */
              var maxOutput = relu($logits);
              var outputXTarget = mul($logits, $labels);
              var sigmoidOutput = log1p(exp(neg(abs($logits))));
              return add$1(sub(maxOutput, outputXTarget), sigmoidOutput);
            }
            /**
             * Computes the sigmoid cross entropy loss between two tensors.
             *
             * If labelSmoothing is nonzero, smooth the labels towards 1/2:
             *
             *   newMulticlassLabels = multiclassLabels * (1 - labelSmoothing)
             *                         + 0.5 * labelSmoothing
             *
             * @param multiClassLabels The ground truth output tensor of shape
             * [batch_size, num_classes], same dimensions as 'predictions'.
             * @param logits The predicted outputs.
             * @param weights Tensor whose rank is either 0, or the same rank as
             *    `labels`, and must be broadcastable to `labels` (i.e., all dimensions
             *    must be either `1`, or the same as the corresponding `losses`
             *    dimension).
             * @param labelSmoothing If greater than 0, then smooth the labels.
             * @param reduction Type of reduction to apply to loss. Should be of type
             *    `Reduction`
             *
             * @doc { heading: 'Training', subheading: 'Losses', namespace: 'losses' }
             */
            function sigmoidCrossEntropy_(
              multiClassLabels,
              logits,
              weights,
              labelSmoothing,
              reduction,
            ) {
              if (labelSmoothing === void 0) {
                labelSmoothing = 0;
              }
              if (reduction === void 0) {
                reduction = exports.Reduction.SUM_BY_NONZERO_WEIGHTS;
              }
              var $multiClassLabels = convertToTensor(
                multiClassLabels,
                'multiClassLabels',
                'sigmoidCrossEntropy',
              );
              var $logits = convertToTensor(logits, 'logits', 'sigmoidCrossEntropy');
              var $weights = null;
              if (weights != null) {
                $weights = convertToTensor(weights, 'weights', 'sigmoidCrossEntropy');
              }
              assertShapesMatch(
                $multiClassLabels.shape,
                $logits.shape,
                'Error in sigmoidCrossEntropy: ',
              );
              if (labelSmoothing > 0) {
                var labelSmoothingScalar = scalar(labelSmoothing);
                var one = scalar(1);
                var half = scalar(0.5);
                $multiClassLabels = add$1(
                  mul($multiClassLabels, sub(one, labelSmoothingScalar)),
                  mul(half, labelSmoothingScalar),
                );
              }
              var losses = sigmoidCrossEntropyWithLogits_($multiClassLabels, $logits);
              return computeWeightedLoss(losses, $weights, reduction);
            }
            var sigmoidCrossEntropy = op({ sigmoidCrossEntropy_: sigmoidCrossEntropy_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes softmax cross entropy between logits and labels.
             *
             * Measures the probability error in discrete classification tasks in which
             * the classes are mutually exclusive (each entry is in exactly one class).
             * For example, each CIFAR-10 image is labeled with one and only one label: an
             * image can be a dog or a truck, but not both.
             *
             * `NOTE`: While the classes are mutually exclusive, their probabilities need
             * not be. All that is required is that each row of labels is a valid
             * probability distribution. If they are not, the computation of the gradient
             * will be incorrect.
             *
             * `WARNING`: This op expects unscaled logits, since it performs a softmax on
             * logits internally for efficiency. Do not call this op with the output of
             * softmax, as it will produce incorrect results.
             *
             * logits and labels must have the same shape, e.g. [batch_size, num_classes]
             * and the same dtype.
             * @param labels The labels array.
             * @param logits The logits array.
             * @param dim The dimension softmax would be performed on. Defaults to `-1`
             *     which indicates the last dimension.
             */
            function softmaxCrossEntropyWithLogits_(labels, logits, dim) {
              if (dim === void 0) {
                dim = -1;
              }
              if (dim === -1) {
                dim = logits.rank - 1;
              }
              if (dim !== logits.rank - 1) {
                throw Error(
                  'Softmax cross entropy along a non-last dimension is not yet ' +
                    ('supported. Labels / logits was rank ' + logits.rank + ' ') +
                    ('and dim was ' + dim),
                );
              }
              // Use a custom gradient for numerical stability.
              var customOp = customGrad(function (labels, logits, save) {
                // Reference:
                //   1. http://cs231n.github.io/linear-classify/#softmax
                //   2. https://blog.feedly.com/tricks-of-the-trade-logsumexp/
                var keepDims = true;
                var lse = logSumExp(logits, [dim], keepDims);
                var logResult = sub(cast(logits, 'float32'), lse);
                save([labels, logResult]);
                var costVector = neg(mul(logResult, labels));
                var value = sum$1(costVector, [dim]);
                var gradFunc = function (dy, saved) {
                  var labels = saved[0],
                    logResult = saved[1];
                  var dyShape = expandShapeToKeepDim(dy.shape, [dim]);
                  return [
                    mul(reshape(dy, dyShape), sub(cast(labels, 'float32'), exp(logResult))),
                    mul(reshape(dy, dyShape), sub(exp(logResult), cast(labels, 'float32'))),
                  ];
                };
                return { value: value, gradFunc: gradFunc };
              });
              return customOp(labels, logits);
            }
            /**
             * Computes the softmax cross entropy loss between two tensors.
             *
             * If labelSmoothing is nonzero, smooth the labels towards 1/2:
             *
             *   newOnehotLabels = onehotLabels * (1 - labelSmoothing)
             *                         + labelSmoothing / numClasses
             *
             * @param onehotLabels One hot encoded labels
             *    [batch_size, num_classes], same dimensions as 'predictions'.
             * @param logits The predicted outputs.
             * @param weights Tensor whose rank is either 0, or 1, and must be
             *    broadcastable to `loss`  of shape [batch_size]
             * @param labelSmoothing If greater than 0, then smooth the labels.
             * @param reduction Type of reduction to apply to loss. Should be of type
             *    `Reduction`
             *
             * @doc { heading: 'Training', subheading: 'Losses', namespace: 'losses' }
             */
            function softmaxCrossEntropy_(
              onehotLabels,
              logits,
              weights,
              labelSmoothing,
              reduction,
            ) {
              if (labelSmoothing === void 0) {
                labelSmoothing = 0;
              }
              if (reduction === void 0) {
                reduction = exports.Reduction.SUM_BY_NONZERO_WEIGHTS;
              }
              var $onehotLabels = convertToTensor(
                onehotLabels,
                'onehotLabels',
                'softmaxCrossEntropy',
              );
              var $logits = convertToTensor(logits, 'logits', 'softmaxCrossEntropy');
              var $weights = null;
              if (weights != null) {
                $weights = convertToTensor(weights, 'weights', 'softmaxCrossEntropy');
              }
              assertShapesMatch(
                $onehotLabels.shape,
                $logits.shape,
                'Error in softmaxCrossEntropy: ',
              );
              if (labelSmoothing > 0) {
                var labelSmoothingScalar = scalar(labelSmoothing);
                var one = scalar(1);
                var numClasses = scalar($onehotLabels.shape[1]);
                $onehotLabels = add$1(
                  mul($onehotLabels, sub(one, labelSmoothingScalar)),
                  div(labelSmoothingScalar, numClasses),
                );
              }
              var losses = softmaxCrossEntropyWithLogits_($onehotLabels, $logits);
              return computeWeightedLoss(losses, $weights, reduction);
            }
            var softmaxCrossEntropy = op({ softmaxCrossEntropy_: softmaxCrossEntropy_ });

            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * The input SparseTensor is represented via the map of inputs {`indices`,
             * `values`, `denseShape`}. The output SparseTensor has the same `denseShape`
             * but with indices `outputIndices` and values `outputValues`. This op inserts a
             * single entry for every row that doesn't have any values. The index is created
             * as `[row, 0, ..., 0]` and the inserted value is `defaultValue`.
             *
             * For example, suppose `spInput` has shape [5, 6] and non-empty values:
             * [0, 1]: a
             * [0, 3]: b
             * [2, 0]: c
             * [3, 1]: d
             *
             * Rows 1 and 4 are empty, so the output will be of shape [5, 6] with values:
             * [0, 1]: a
             * [0, 3]: b
             * [1, 0]: `defaultValue`
             * [2, 0]: c
             * [3, 1]: d
             * [4, 0]: `defaultValue`
             *
             * The output SparseTensor will be in row-major order and will have the same
             * shape as the input.
             *
             * This op also returns an indicator vector shaped [dense_shape[0]] such that
             * emptyRowIndicator[i] = True iff row i was an empty row.
             *
             * And a reverse index map vector shaped [indices.shape[0]] that is used during
             * backpropagation, reverseIndexMap[i] = outi s.t. indices[i, j] ==
             * outputIndices[outi, j] for all j
             *
             * ```js
             * const result = tf.sparse.sparseFillEmptyRows(
             *   [[0, 0], [1, 0], [1, 3], [1, 4], [3, 2], [3, 3]],
             *   [0, 10, 13, 14, 32, 33], [5, 6], -1);
             * console.log(result);
             * result['outputIndices'].print(); // [[0, 0], [1, 0], [1, 3], [1, 4],
             *                                  //  [2, 0], [3, 2], [3, 3], [4, 0]]
             * result['outputValues'].print(); // [0, 10, 13, 14,-1, 32, 33, -1]
             * result['emptyRowIndicator'].print(); // [false, false, true, false, true]
             * result['reverseIndexMap'].print(); // [0, 1, 2, 3, 5, 6]
             * ```
             * @param indices: 2-D. the indices of the sparse tensor.
             * @param values: 1-D. the values of the sparse tensor.
             * @param denseShape: 1-D. the shape of the sparse tensor.
             * @param defaultValue: 0-D. default value to insert into location [row, 0, ...,
             *     0] for rows missing from the input sparse tensor.
             * @return A map with the following properties:
             *     - outputIndices
             *     - outputValues: 1-D. the values of the filled sparse tensor.
             *     - emptyRowIndicator: 1-D. whether the dense row was missing in the input
             * sparse tensor.
             *     - reverseIndexMap: 1-D. a map from the input indices to the output
             * indices.
             * @doc {heading: 'Operations', subheading: 'Sparse'}
             */
            function sparseFillEmptyRows_(indices, values, denseShape, defaultValue) {
              var $indices = convertToTensor(indices, 'indices', 'sparseFillEmptyRows');
              var $values = convertToTensor(values, 'values', 'sparseFillEmptyRows');
              var $denseShape = convertToTensor(denseShape, 'denseShape', 'sparseFillEmptyRows');
              var $defaultValue = convertToTensor(
                defaultValue,
                'defaultValue',
                'sparseFillEmptyRows',
                $values.dtype,
              );
              if ($indices.rank !== 2) {
                throw new Error(
                  'Indices should be Tensor2D but received shape\n        ' + $indices.shape,
                );
              }
              if ($values.rank !== 1) {
                throw new Error('Values should be Tensor1D but received shape ' + $values.shape);
              }
              if ($denseShape.rank !== 1) {
                throw new Error(
                  'Dense shape should be Tensor1D but received shape ' + $denseShape.shape,
                );
              }
              if ($defaultValue.rank !== 0) {
                throw new Error(
                  'Default value should be a scalar but received shape ' + $defaultValue.shape,
                );
              }
              var inputs = {
                indices: $indices,
                values: $values,
                denseShape: $denseShape,
                defaultValue: $defaultValue,
              };
              var result = ENGINE.runKernel(SparseFillEmptyRows, inputs);
              return {
                outputIndices: result[0],
                outputValues: result[1],
                emptyRowIndicator: result[2],
                reverseIndexMap: result[3],
              };
            }
            var sparseFillEmptyRows = op({ sparseFillEmptyRows_: sparseFillEmptyRows_ });

            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * This operation has the same semantics as reshape on the represented dense
             * tensor. The `inputIndices` are recomputed based on the requested `newShape`.
             * If one component of `newShape` is the special value -1, the size of that
             * dimension is computed so that the total dense size remains constant. At most
             * one component of `newShape` can be -1. The number of dense elements implied
             * by `newShape` must be the same as the number of dense elements originally
             * implied by `inputShape`. Reshaping does not affect the order of values in the
             * SparseTensor. If the input tensor has rank R_in and N non-empty values, and
             * `newShape` has length R_out, then `inputIndices` has shape [N, R_in],
             * `inputShape` has length R_in, `outputIndices` has shape [N, R_out], and
             * `outputShape` has length R_out.
             *
             * ```js
             * const result = tf.sparse.sparseReshape(
             *   [[0, 0, 0], [0, 0, 1], [0, 1, 0], [1, 0, 0], [1, 2, 3]],
             *   [2, 3, 6], [9, -1]);
             * console.log(result);
             * result['outputIndices'].print(); //[[0, 0], [0, 1], [1, 2], [4, 2], [8, 1]]
             * result['outputShape'].print(); // [9, 4]
             * ```
             * @param inputIndices: 2-D. N x R_in matrix with the indices of non-empty
             * values in a SparseTensor.
             * @param inputShape: 1-D. R_in Tensor1D with the input SparseTensor's dense
             * shape.
             * @param newShape: 1-D. R_out Tensor1D with the requested new dense shape.
             * @return A map with the following properties:
             *     - outputIndices: 2-D. N x R_out matrix with the updated indices of
             *       non-empty values in the output SparseTensor.
             *     - outputShape: 1-D. R_out vector with the full dense shape of the output
             *       SparseTensor. This is the same as newShape but with any -1 dimensions
             *        filled in.
             * @doc {heading: 'Operations', subheading: 'Sparse'}
             */
            function sparseReshape_(inputIndices, inputShape, newShape) {
              var $inputIndices = convertToTensor(inputIndices, 'inputIndices', 'sparseReshape');
              var $inputShape = convertToTensor(inputShape, 'inputShape', 'sparseReshape');
              var $newShape = convertToTensor(newShape, 'newShape', 'sparseReshape');
              if ($inputIndices.rank !== 2) {
                throw new Error(
                  'Input indices should be Tensor2D but received shape\n        ' +
                    $inputIndices.shape,
                );
              }
              if ($inputShape.rank !== 1) {
                throw new Error(
                  'Input shape should be Tensor1D but received shape ' + $inputShape.shape,
                );
              }
              if ($newShape.rank !== 1) {
                throw new Error(
                  'New shape should be Tensor1D but received shape ' + $newShape.shape,
                );
              }
              var inputs = {
                inputIndices: $inputIndices,
                inputShape: $inputShape,
                newShape: $newShape,
              };
              var result = ENGINE.runKernel(SparseReshape, inputs);
              return { outputIndices: result[0], outputShape: result[1] };
            }
            var sparseReshape = op({ sparseReshape_: sparseReshape_ });

            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the mean along sparse segments of a tensor.
             *
             * ```js
             * const c = tf.tensor2d([[1,2,3,4], [-1,-2,-3,-4], [6,7,8,9]]);
             * // Select two rows, one segment.
             * const result1 = tf.sparse.sparseSegmentMean(c,
             *                                           tf.tensor1d([0, 1], 'int32'),
             *                                           tf.tensor1d([0, 0], 'int32'));
             * result1.print(); // [[0, 0, 0, 0]]
             *
             * // Select two rows, two segments.
             * const result2 = tf.sparse.sparseSegmentMean(c,
             *                                             tf.tensor1d([0, 1], 'int32'),
             *                                             tf.tensor1d([0, 1], 'int32'));
             * result2.print(); // [[1, 2, 3, 4], [-1, -2, -3, -4]]
             *
             * // Select all rows, two segments.
             * const result3 = tf.sparse.sparseSegmentMean(c,
             *                                             tf.tensor1d([0, 1, 2], 'int32'),
             *                                             tf.tensor1d([0, 1, 1], 'int32'));
             * result3.print(); // [[1.0, 2.0, 3.0, 4.0], [2.5, 2.5, 2.5, 2.5]]
             * ```
             * @param data: A Tensor of at least one dimension with data that will be
             *     assembled in the output.
             * @param indices: A 1-D Tensor with indices into data. Has same rank as
             *     segmentIds.
             * @param segmentIds: A 1-D Tensor with indices into the output Tensor. Values
             *     should be sorted and can be repeated.
             * @return Has same shape as data, except for dimension 0 which has equal to
             *         the number of segments.
             *
             * @doc {heading: 'Operations', subheading: 'Sparse'}
             */
            function sparseSegmentMean_(data, indices, segmentIds) {
              var $data = convertToTensor(data, 'data', 'sparseSegmentMean');
              var $indices = convertToTensor(indices, 'indices', 'sparseSegmentMean');
              var $segmentIds = convertToTensor(segmentIds, 'segmentIds', 'sparseSegmentMean');
              if ($data.rank < 1) {
                throw new Error('Data should be at least 1 dimensional but received scalar');
              }
              if ($indices.rank !== 1) {
                throw new Error(
                  'Indices should be Tensor1D but received shape\n          ' + $indices.shape,
                );
              }
              if ($segmentIds.rank !== 1) {
                throw new Error(
                  'Segment ids should be Tensor1D but received shape\n          ' +
                    $segmentIds.shape,
                );
              }
              var inputs = {
                data: $data,
                indices: $indices,
                segmentIds: $segmentIds,
              };
              return ENGINE.runKernel(SparseSegmentMean, inputs);
            }
            var sparseSegmentMean = op({ sparseSegmentMean_: sparseSegmentMean_ });

            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Computes the sum along sparse segments of a tensor.
             *
             * ```js
             * const c = tf.tensor2d([[1,2,3,4], [-1,-2,-3,-4], [5,6,7,8]]);
             * // Select two rows, one segment.
             * const result1 = tf.sparse.sparseSegmentSum(c,
             *                                           tf.tensor1d([0, 1], 'int32'),
             *                                           tf.tensor1d([0, 0], 'int32'));
             * result1.print(); // [[0, 0, 0, 0]]
             *
             * // Select two rows, two segment.
             * const result2 = tf.sparse.sparseSegmentSum(c,
             *                                           tf.tensor1d([0, 1], 'int32'),
             *                                           tf.tensor1d([0, 1], 'int32'));
             * result2.print(); // [[1, 2, 3, 4], [-1, -2, -3, -4]]
             *
             * // Select all rows, two segments.
             * const result3 = tf.sparse.sparseSegmentSum(c,
             *                                           tf.tensor1d([0, 1, 2], 'int32'),
             *                                           tf.tensor1d([0, 0, 1], 'int32'));
             * result3.print(); // [[0, 0, 0, 0], [5, 6, 7, 8]]
             * ```
             * @param data: A Tensor of at least one dimension with data that will be
             *     assembled in the output.
             * @param indices: A 1-D Tensor with indices into data. Has same rank as
             *     segmentIds.
             * @param segmentIds: A 1-D Tensor with indices into the output Tensor. Values
             *     should be sorted and can be repeated.
             * @return Has same shape as data, except for dimension 0 which has equal to
             *         the number of segments.
             *
             * @doc {heading: 'Operations', subheading: 'Sparse'}
             */
            function sparseSegmentSum_(data, indices, segmentIds) {
              var $data = convertToTensor(data, 'data', 'sparseSegmentSum');
              var $indices = convertToTensor(indices, 'indices', 'sparseSegmentSum');
              var $segmentIds = convertToTensor(segmentIds, 'segmentIds', 'sparseSegmentSum');
              if ($data.rank < 1) {
                throw new Error('Data should be at least 1 dimensional but received scalar');
              }
              if ($indices.rank !== 1) {
                throw new Error(
                  'Indices should be Tensor1D but received shape\n         ' + $indices.shape,
                );
              }
              if ($segmentIds.rank !== 1) {
                throw new Error(
                  'Segment ids should be Tensor1D but received shape\n         ' +
                    $segmentIds.shape,
                );
              }
              var inputs = {
                data: $data,
                indices: $indices,
                segmentIds: $segmentIds,
              };
              return ENGINE.runKernel(SparseSegmentSum, inputs);
            }
            var sparseSegmentSum = op({ sparseSegmentSum_: sparseSegmentSum_ });

            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Creates ngrams from ragged string data.
             *
             * This op accepts a ragged tensor with 1 ragged dimension containing only
             * strings and outputs a ragged tensor with 1 ragged dimension containing ngrams
             * of that string, joined along the innermost axis.
             *
             * ```js
             * const result = tf.string.stringNGrams(
             *   ['a', 'b', 'c', 'd'], tf.tensor1d([0, 2, 4], 'int32'),
             *   '|', [1, 2], 'LP', 'RP', -1, false);
             * result['nGrams'].print(); // ['a', 'b', 'LP|a', 'a|b', 'b|RP',
             *                           //  'c', 'd', 'LP|c', 'c|d', 'd|RP']
             * result['nGramsSplits'].print(); // [0, 5, 10]
             * ```
             * @param data: The values tensor of the ragged string tensor to make ngrams out
             *     of. Must be a 1D string tensor.
             * @param dataSplits: The splits tensor of the ragged string tensor to make
             *     ngrams out of.
             * @param separator: The string to append between elements of the token. Use ""
             *     for no separator.
             * @param nGramWidths: The sizes of the ngrams to create.
             * @param leftPad: The string to use to pad the left side of the ngram sequence.
             *     Only used if pad_width !== 0.
             * @param rightPad: The string to use to pad the right side of the ngram
             *     sequence. Only used if pad_width !== 0.
             * @param padWidth: The number of padding elements to add to each side of each
             *     sequence. Note that padding will never be greater than `nGramWidths`-1
             *     regardless of this value. If `padWidth`=-1 , then add max(`nGramWidths)-1
             *     elements.
             * @param preserveShortSequences: If true, then ensure that at least one ngram
             *     is generated for each input sequence. In particular, if an input sequence
             *     is shorter than min(ngramWidth) + 2*padWidth, then generate a single
             *     ngram containing the entire sequence. If false, then no ngrams are
             *     generated for these short input sequences.
             * @return A map with the following properties:
             *     - nGrams: The values tensor of the output ngrams ragged tensor.
             *     - nGramsSplits: The splits tensor of the output ngrams ragged tensor.
             *
             * @doc {heading: 'Operations', subheading: 'String'}
             */
            function stringNGrams_(
              data,
              dataSplits,
              separator,
              nGramWidths,
              leftPad,
              rightPad,
              padWidth,
              preserveShortSequences,
            ) {
              var $data = convertToTensor(data, 'data', 'stringNGrams', 'string');
              if ($data.dtype !== 'string') {
                throw new Error('Data must be of datatype string');
              }
              if ($data.shape.length !== 1) {
                throw new Error('Data must be a vector, saw: ' + $data.shape);
              }
              var $dataSplits = convertToTensor(dataSplits, 'dataSplits', 'stringNGrams');
              if ($dataSplits.dtype !== 'int32') {
                throw new Error('Data splits must be of datatype int32');
              }
              var attrs = {
                separator: separator,
                nGramWidths: nGramWidths,
                leftPad: leftPad,
                rightPad: rightPad,
                padWidth: padWidth,
                preserveShortSequences: preserveShortSequences,
              };
              var inputs = { data: $data, dataSplits: $dataSplits };
              var result = ENGINE.runKernel(StringNGrams, inputs, attrs);
              return { nGrams: result[0], nGramsSplits: result[1] };
            }
            var stringNGrams = op({ stringNGrams_: stringNGrams_ });

            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Split elements of `input` based on `delimiter` into a SparseTensor .
             *
             * Let N be the size of source (typically N will be the batch size). Split each
             * element of `input` based on `delimiter` and return a SparseTensor containing
             * the splitted tokens. Empty tokens are ignored if `skipEmpty` is set to True.
             *
             * `delimiter` can be empty, or a string of split characters. If `delimiter` is
             * an empty string, each element of `input` is split into individual
             * character strings. Otherwise every character of `delimiter` is a potential
             * split point.
             *
             * ```js
             * const result = tf.string.stringSplit(['hello world',  'a b c'], ' ');
             * result['indices'].print(); // [[0, 0], [0, 1], [1, 0], [1, 1], [1, 2]]
             * result['values'].print(); // ['hello', 'world', 'a', 'b', 'c']
             * result['shape'].print(); // [2, 3]
             * ```
             * @param input: 1-D. Strings to split.
             * @param delimiter: 0-D. Delimiter characters, or empty string.
             * @param skipEmpty: Optional. If true, skip the empty strings from the result.
             *     Defaults to true.
             * @return A map with the following properties:
             *     - indices: A dense matrix of int32 representing the indices of the sparse
             *       tensor.
             *     - values: A vector of strings corresponding to the splited values.
             *     - shape: a length-2 vector of int32 representing the shape of the sparse
             * tensor, where the first value is N and the second value is the maximum number
             * of tokens in a single input entry.
             *
             * @doc {heading: 'Operations', subheading: 'String'}
             */
            function stringSplit_(input, delimiter, skipEmpty) {
              if (skipEmpty === void 0) {
                skipEmpty = true;
              }
              var $input = convertToTensor(input, 'input', 'stringSplit', 'string');
              var $delimiter = convertToTensor(delimiter, 'delimiter', 'stringSplit', 'string');
              if ($input.rank !== 1) {
                throw new Error('Input should be Tensor1D but received shape ' + $input.shape);
              }
              if ($delimiter.rank !== 0) {
                throw new Error(
                  'Delimiter should be a scalar but received shape ' + $delimiter.shape,
                );
              }
              var attrs = { skipEmpty: skipEmpty };
              var inputs = { input: $input, delimiter: $delimiter };
              var result = ENGINE.runKernel(StringSplit, inputs, attrs);
              return { indices: result[0], values: result[1], shape: result[2] };
            }
            var stringSplit = op({ stringSplit_: stringSplit_ });

            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Converts each string in the input Tensor to its hash mod by a number of
             * buckets.
             *
             * The hash function is deterministic on the content of the string within the
             * process and will never change. However, it is not suitable for cryptography.
             * This function may be used when CPU time is scarce and inputs are trusted or
             * unimportant. There is a risk of adversaries constructing inputs that all hash
             * to the same bucket.
             *
             * ```js
             * const result = tf.string.stringToHashBucketFast(
             *   ['Hello', 'TensorFlow', '2.x'], 3);
             * result.print(); // [0, 2, 2]
             * ```
             * @param input: The strings to assign a hash bucket.
             * @param numBuckets: The number of buckets.
             * @return A Tensor of the same shape as the input tensor.
             *
             * @doc {heading: 'Operations', subheading: 'String'}
             */
            function stringToHashBucketFast_(input, numBuckets) {
              var $input = convertToTensor(input, 'input', 'stringToHashBucketFast', 'string');
              var attrs = { numBuckets: numBuckets };
              if (numBuckets <= 0) {
                throw new Error('Number of buckets must be at least 1');
              }
              var inputs = { input: $input };
              return ENGINE.runKernel(StringToHashBucketFast, inputs, attrs);
            }
            var stringToHashBucketFast = op({ stringToHashBucketFast_: stringToHashBucketFast_ });

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var spectral = {
              fft: fft,
              ifft: ifft,
              rfft: rfft,
              irfft: irfft,
            };
            var signal = {
              hammingWindow: hammingWindow,
              hannWindow: hannWindow,
              frame: frame,
              stft: stft,
            };
            var image = {
              flipLeftRight: flipLeftRight,
              resizeNearestNeighbor: resizeNearestNeighbor,
              resizeBilinear: resizeBilinear,
              rotateWithOffset: rotateWithOffset,
              cropAndResize: cropAndResize,
              nonMaxSuppression: nonMaxSuppression,
              nonMaxSuppressionAsync: nonMaxSuppressionAsync,
              nonMaxSuppressionWithScore: nonMaxSuppressionWithScore,
              nonMaxSuppressionWithScoreAsync: nonMaxSuppressionWithScoreAsync,
              nonMaxSuppressionPadded: nonMaxSuppressionPadded,
              nonMaxSuppressionPaddedAsync: nonMaxSuppressionPaddedAsync,
              threshold: threshold,
              transform: transform,
            };
            var linalg = {
              bandPart: bandPart,
              gramSchmidt: gramSchmidt,
              qr: qr,
            };
            var losses = {
              absoluteDifference: absoluteDifference,
              computeWeightedLoss: computeWeightedLoss,
              cosineDistance: cosineDistance,
              hingeLoss: hingeLoss,
              huberLoss: huberLoss,
              logLoss: logLoss,
              meanSquaredError: meanSquaredError,
              sigmoidCrossEntropy: sigmoidCrossEntropy,
              softmaxCrossEntropy: softmaxCrossEntropy,
            };
            var sparse = {
              sparseFillEmptyRows: sparseFillEmptyRows,
              sparseReshape: sparseReshape,
              sparseSegmentMean: sparseSegmentMean,
              sparseSegmentSum: sparseSegmentSum,
            };
            // tslint:disable-next-line:variable-name
            var string = {
              stringNGrams: stringNGrams,
              stringSplit: stringSplit,
              stringToHashBucketFast: stringToHashBucketFast,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /** @doc {heading: 'Training', subheading: 'Classes', namespace: 'train'} */
            var Optimizer = /** @class */ (function (_super) {
              __extends(Optimizer, _super);
              function Optimizer() {
                return (_super !== null && _super.apply(this, arguments)) || this;
              }
              /**
               * Executes `f()` and minimizes the scalar output of `f()` by computing
               * gradients of y with respect to the list of trainable variables provided by
               * `varList`. If no list is provided, it defaults to all trainable variables.
               *
               * @param f The function to execute and whose output to minimize.
               * @param returnCost Whether to return the scalar cost value produced by
               * executing `f()`.
               * @param varList An optional list of variables to update. If specified, only
               * the trainable variables in varList will be updated by minimize. Defaults to
               * all trainable variables.
               *
               * @doc {heading: 'Training', subheading: 'Optimizers'}
               */
              Optimizer.prototype.minimize = function (f, returnCost, varList) {
                if (returnCost === void 0) {
                  returnCost = false;
                }
                var _a = this.computeGradients(f, varList),
                  value = _a.value,
                  grads = _a.grads;
                if (varList != null) {
                  var gradArray = varList.map(function (v) {
                    return { name: v.name, tensor: grads[v.name] };
                  });
                  this.applyGradients(gradArray);
                } else {
                  this.applyGradients(grads);
                }
                // Dispose gradients.
                dispose(grads);
                if (returnCost) {
                  return value;
                } else {
                  value.dispose();
                  return null;
                }
              };
              Object.defineProperty(Optimizer.prototype, 'iterations', {
                /**
                 * The number of iterations that this optimizer instance has been invoked for.
                 */
                get: function () {
                  if (this.iterations_ == null) {
                    this.iterations_ = 0;
                  }
                  return this.iterations_;
                },
                enumerable: true,
                configurable: true,
              });
              Optimizer.prototype.incrementIterations = function () {
                this.iterations_ = this.iterations + 1;
              };
              /**
               * Executes f() and computes the gradient of the scalar output of f() with
               * respect to the list of trainable variables provided by `varList`. If no
               * list is provided, it defaults to all trainable variables.
               *
               * @param f The function to execute and whose output to use for computing
               * gradients with respect to variables.
               * @param varList An optional list of variables to compute gradients with
               * respect to. If specified, only the trainable variables in varList will have
               * gradients computed with respect to. Defaults to all trainable variables.
               *
               * @doc {heading: 'Training', subheading: 'Optimizers'}
               */
              Optimizer.prototype.computeGradients = function (f, varList) {
                return variableGrads(f, varList);
              };
              /**
               * Dispose the variables (if any) owned by this optimizer instance.
               */
              Optimizer.prototype.dispose = function () {
                if (this.iterations_ != null) {
                  dispose(this.iterations_);
                }
              };
              Optimizer.prototype.saveIterations = function () {
                return __awaiter(this, void 0, void 0, function () {
                  return __generator(this, function (_a) {
                    if (this.iterations_ == null) {
                      this.iterations_ = 0;
                    }
                    return [
                      2 /*return*/,
                      {
                        name: 'iter',
                        // TODO(cais): Use 'int64' type when available.
                        tensor: scalar(this.iterations_, 'int32'),
                      },
                    ];
                  });
                });
              };
              Optimizer.prototype.getWeights = function () {
                return __awaiter(this, void 0, void 0, function () {
                  return __generator(this, function (_a) {
                    throw new Error('getWeights() is not implemented for this optimizer yet.');
                  });
                });
              };
              Optimizer.prototype.setWeights = function (weightValues) {
                return __awaiter(this, void 0, void 0, function () {
                  return __generator(this, function (_a) {
                    throw new Error(
                      'setWeights() is not implemented for this optimizer class ' +
                        ('' + this.getClassName()),
                    );
                  });
                });
              };
              /**
               * Extract the first element of the weight values and set it
               * as the iterations counter variable of this instance of optimizer.
               *
               * @param weightValues
               * @returns Weight values with the first element consumed and excluded.
               */
              Optimizer.prototype.extractIterations = function (weightValues) {
                return __awaiter(this, void 0, void 0, function () {
                  var _a;
                  return __generator(this, function (_b) {
                    switch (_b.label) {
                      case 0:
                        _a = this;
                        return [4 /*yield*/, weightValues[0].tensor.data()];
                      case 1:
                        _a.iterations_ = _b.sent()[0];
                        return [2 /*return*/, weightValues.slice(1)];
                    }
                  });
                });
              };
              return Optimizer;
            })(Serializable);
            Object.defineProperty(Optimizer, Symbol.hasInstance, {
              value: function (instance) {
                return (
                  instance.minimize != null &&
                  instance.computeGradients != null &&
                  instance.applyGradients != null
                );
              },
            });

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /** @doclink Optimizer */
            var AdadeltaOptimizer = /** @class */ (function (_super) {
              __extends(AdadeltaOptimizer, _super);
              function AdadeltaOptimizer(learningRate, rho, epsilon) {
                if (epsilon === void 0) {
                  epsilon = null;
                }
                var _this = _super.call(this) || this;
                _this.learningRate = learningRate;
                _this.rho = rho;
                _this.epsilon = epsilon;
                _this.accumulatedGrads = [];
                _this.accumulatedUpdates = [];
                if (epsilon == null) {
                  _this.epsilon = ENGINE.backend.epsilon();
                }
                return _this;
              }
              AdadeltaOptimizer.prototype.applyGradients = function (variableGradients) {
                var _this = this;
                var variableNames = Array.isArray(variableGradients)
                  ? variableGradients.map(function (item) {
                      return item.name;
                    })
                  : Object.keys(variableGradients);
                variableNames.forEach(function (name, i) {
                  var value = ENGINE.registeredVariables[name];
                  var trainable = false;
                  if (_this.accumulatedGrads[i] == null) {
                    _this.accumulatedGrads[i] = {
                      originalName: name + '/accum_grad',
                      variable: tidy(function () {
                        return zerosLike(value).variable(trainable);
                      }),
                    };
                  }
                  if (_this.accumulatedUpdates[i] == null) {
                    _this.accumulatedUpdates[i] = {
                      originalName: name + '/accum_var',
                      variable: tidy(function () {
                        return zerosLike(value).variable(trainable);
                      }),
                    };
                  }
                  var gradient = Array.isArray(variableGradients)
                    ? variableGradients[i].tensor
                    : variableGradients[name];
                  if (gradient == null) {
                    return;
                  }
                  var accumulatedGrad = _this.accumulatedGrads[i].variable;
                  var accumulatedUpdate = _this.accumulatedUpdates[i].variable;
                  tidy(function () {
                    var newAccumulatedGrad = add$1(
                      mul(accumulatedGrad, _this.rho),
                      mul(square(gradient), 1 - _this.rho),
                    );
                    var updates = mul(
                      div(
                        sqrt(add$1(accumulatedUpdate, _this.epsilon)),
                        sqrt(add$1(accumulatedGrad, _this.epsilon)),
                      ),
                      gradient,
                    );
                    var newAccumulatedUpdate = add$1(
                      mul(accumulatedUpdate, _this.rho),
                      mul(square(updates), 1 - _this.rho),
                    );
                    accumulatedGrad.assign(newAccumulatedGrad);
                    accumulatedUpdate.assign(newAccumulatedUpdate);
                    var newValue = add$1(mul(updates, -_this.learningRate), value);
                    value.assign(newValue);
                  });
                });
                this.incrementIterations();
              };
              AdadeltaOptimizer.prototype.dispose = function () {
                if (this.accumulatedUpdates != null) {
                  dispose(
                    this.accumulatedGrads.map(function (v) {
                      return v.variable;
                    }),
                  );
                  dispose(
                    this.accumulatedUpdates.map(function (v) {
                      return v.variable;
                    }),
                  );
                }
              };
              AdadeltaOptimizer.prototype.getWeights = function () {
                return __awaiter(this, void 0, void 0, function () {
                  var variables;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        variables = this.accumulatedGrads.concat(this.accumulatedUpdates);
                        return [4 /*yield*/, this.saveIterations()];
                      case 1:
                        return [
                          2 /*return*/,
                          [_a.sent()].concat(
                            variables.map(function (v) {
                              return { name: v.originalName, tensor: v.variable };
                            }),
                          ),
                        ];
                    }
                  });
                });
              };
              AdadeltaOptimizer.prototype.setWeights = function (weightValues) {
                return __awaiter(this, void 0, void 0, function () {
                  var variableCount, trainable;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        return [4 /*yield*/, this.extractIterations(weightValues)];
                      case 1:
                        weightValues = _a.sent();
                        variableCount = weightValues.length / 2;
                        trainable = false;
                        this.accumulatedGrads = weightValues
                          .slice(0, variableCount)
                          .map(function (v) {
                            return {
                              originalName: v.name,
                              variable: v.tensor.variable(trainable),
                            };
                          });
                        this.accumulatedUpdates = weightValues
                          .slice(variableCount, variableCount * 2)
                          .map(function (v) {
                            return {
                              originalName: v.name,
                              variable: v.tensor.variable(trainable),
                            };
                          });
                        return [2 /*return*/];
                    }
                  });
                });
              };
              AdadeltaOptimizer.prototype.getConfig = function () {
                return {
                  learningRate: this.learningRate,
                  rho: this.rho,
                  epsilon: this.epsilon,
                };
              };
              /** @nocollapse */
              AdadeltaOptimizer.fromConfig = function (cls, config) {
                return new cls(config['learningRate'], config['rho'], config['epsilon']);
              };
              /** @nocollapse */
              AdadeltaOptimizer.className = 'Adadelta'; // Name matters for Python compatibility.
              return AdadeltaOptimizer;
            })(Optimizer);
            registerClass(AdadeltaOptimizer);

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /** @doclink Optimizer */
            var AdagradOptimizer = /** @class */ (function (_super) {
              __extends(AdagradOptimizer, _super);
              function AdagradOptimizer(learningRate, initialAccumulatorValue) {
                if (initialAccumulatorValue === void 0) {
                  initialAccumulatorValue = 0.1;
                }
                var _this = _super.call(this) || this;
                _this.learningRate = learningRate;
                _this.initialAccumulatorValue = initialAccumulatorValue;
                _this.accumulatedGrads = [];
                return _this;
              }
              AdagradOptimizer.prototype.applyGradients = function (variableGradients) {
                var _this = this;
                var variableNames = Array.isArray(variableGradients)
                  ? variableGradients.map(function (item) {
                      return item.name;
                    })
                  : Object.keys(variableGradients);
                variableNames.forEach(function (name, i) {
                  var value = ENGINE.registeredVariables[name];
                  if (_this.accumulatedGrads[i] == null) {
                    var trainable_1 = false;
                    _this.accumulatedGrads[i] = {
                      originalName: name + '/accumulator',
                      variable: tidy(function () {
                        return fill(value.shape, _this.initialAccumulatorValue).variable(
                          trainable_1,
                        );
                      }),
                    };
                  }
                  var gradient = Array.isArray(variableGradients)
                    ? variableGradients[i].tensor
                    : variableGradients[name];
                  if (gradient == null) {
                    return;
                  }
                  var accumulatedGrad = _this.accumulatedGrads[i].variable;
                  tidy(function () {
                    var newAccumulatedGrad = add$1(accumulatedGrad, square(gradient));
                    accumulatedGrad.assign(newAccumulatedGrad);
                    var newValue = add$1(
                      mul(
                        div(gradient, sqrt(add$1(newAccumulatedGrad, ENGINE.backend.epsilon()))),
                        -_this.learningRate,
                      ),
                      value,
                    );
                    value.assign(newValue);
                  });
                });
                this.incrementIterations();
              };
              AdagradOptimizer.prototype.dispose = function () {
                if (this.accumulatedGrads != null) {
                  dispose(
                    this.accumulatedGrads.map(function (v) {
                      return v.variable;
                    }),
                  );
                }
              };
              AdagradOptimizer.prototype.getWeights = function () {
                return __awaiter(this, void 0, void 0, function () {
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        return [4 /*yield*/, this.saveIterations()];
                      case 1:
                        // Order matters for Python compatibility.
                        return [
                          2 /*return*/,
                          [_a.sent()].concat(
                            this.accumulatedGrads.map(function (v) {
                              return { name: v.originalName, tensor: v.variable };
                            }),
                          ),
                        ];
                    }
                  });
                });
              };
              AdagradOptimizer.prototype.setWeights = function (weightValues) {
                return __awaiter(this, void 0, void 0, function () {
                  var trainable;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        return [4 /*yield*/, this.extractIterations(weightValues)];
                      case 1:
                        weightValues = _a.sent();
                        trainable = false;
                        this.accumulatedGrads = weightValues.map(function (v) {
                          return { originalName: v.name, variable: v.tensor.variable(trainable) };
                        });
                        return [2 /*return*/];
                    }
                  });
                });
              };
              AdagradOptimizer.prototype.getConfig = function () {
                return {
                  learningRate: this.learningRate,
                  initialAccumulatorValue: this.initialAccumulatorValue,
                };
              };
              /** @nocollapse */
              AdagradOptimizer.fromConfig = function (cls, config) {
                return new cls(config['learningRate'], config['initialAccumulatorValue']);
              };
              /** @nocollapse */
              AdagradOptimizer.className = 'Adagrad'; // Note: Name matters for Python compatibility.
              return AdagradOptimizer;
            })(Optimizer);
            registerClass(AdagradOptimizer);

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var AdamOptimizer = /** @class */ (function (_super) {
              __extends(AdamOptimizer, _super);
              function AdamOptimizer(learningRate, beta1, beta2, epsilon) {
                if (epsilon === void 0) {
                  epsilon = null;
                }
                var _this = _super.call(this) || this;
                _this.learningRate = learningRate;
                _this.beta1 = beta1;
                _this.beta2 = beta2;
                _this.epsilon = epsilon;
                _this.accumulatedFirstMoment = [];
                _this.accumulatedSecondMoment = [];
                tidy(function () {
                  // accB* will be updated by batch.
                  _this.accBeta1 = scalar(beta1).variable();
                  _this.accBeta2 = scalar(beta2).variable();
                });
                if (epsilon == null) {
                  _this.epsilon = ENGINE.backend.epsilon();
                }
                return _this;
              }
              AdamOptimizer.prototype.applyGradients = function (variableGradients) {
                var _this = this;
                var varNames = Array.isArray(variableGradients)
                  ? variableGradients.map(function (v) {
                      return v.name;
                    })
                  : Object.keys(variableGradients);
                tidy(function () {
                  var oneMinusAccBeta1 = sub(1, _this.accBeta1);
                  var oneMinusAccBeta2 = sub(1, _this.accBeta2);
                  varNames.forEach(function (name, i) {
                    var value = ENGINE.registeredVariables[name];
                    var trainable = false;
                    if (_this.accumulatedFirstMoment[i] == null) {
                      _this.accumulatedFirstMoment[i] = {
                        originalName: name + '/m',
                        variable: tidy(function () {
                          return zerosLike(value).variable(trainable);
                        }),
                      };
                    }
                    if (_this.accumulatedSecondMoment[i] == null) {
                      _this.accumulatedSecondMoment[i] = {
                        originalName: name + '/v',
                        variable: tidy(function () {
                          return zerosLike(value).variable(trainable);
                        }),
                      };
                    }
                    var gradient = Array.isArray(variableGradients)
                      ? variableGradients[i].tensor
                      : variableGradients[name];
                    if (gradient == null) {
                      return;
                    }
                    var firstMoment = _this.accumulatedFirstMoment[i].variable;
                    var secondMoment = _this.accumulatedSecondMoment[i].variable;
                    var newFirstMoment = add$1(
                      mul(firstMoment, _this.beta1),
                      mul(gradient, 1 - _this.beta1),
                    );
                    var newSecondMoment = add$1(
                      mul(secondMoment, _this.beta2),
                      mul(square(gradient), 1 - _this.beta2),
                    );
                    var biasCorrectedFirstMoment = div(newFirstMoment, oneMinusAccBeta1);
                    var biasCorrectedSecondMoment = div(newSecondMoment, oneMinusAccBeta2);
                    firstMoment.assign(newFirstMoment);
                    secondMoment.assign(newSecondMoment);
                    var newValue = add$1(
                      mul(
                        div(
                          biasCorrectedFirstMoment,
                          add$1(sqrt(biasCorrectedSecondMoment), _this.epsilon),
                        ),
                        -_this.learningRate,
                      ),
                      value,
                    );
                    value.assign(newValue);
                  });
                  _this.accBeta1.assign(mul(_this.accBeta1, _this.beta1));
                  _this.accBeta2.assign(mul(_this.accBeta2, _this.beta2));
                });
                this.incrementIterations();
              };
              AdamOptimizer.prototype.dispose = function () {
                this.accBeta1.dispose();
                this.accBeta2.dispose();
                if (this.accumulatedFirstMoment != null) {
                  dispose(
                    this.accumulatedFirstMoment.map(function (v) {
                      return v.variable;
                    }),
                  );
                }
                if (this.accumulatedSecondMoment != null) {
                  dispose(
                    this.accumulatedSecondMoment.map(function (v) {
                      return v.variable;
                    }),
                  );
                }
              };
              AdamOptimizer.prototype.getWeights = function () {
                return __awaiter(this, void 0, void 0, function () {
                  var variables;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        variables = this.accumulatedFirstMoment.concat(
                          this.accumulatedSecondMoment,
                        );
                        return [4 /*yield*/, this.saveIterations()];
                      case 1:
                        return [
                          2 /*return*/,
                          [_a.sent()].concat(
                            variables.map(function (v) {
                              return { name: v.originalName, tensor: v.variable };
                            }),
                          ),
                        ];
                    }
                  });
                });
              };
              AdamOptimizer.prototype.setWeights = function (weightValues) {
                return __awaiter(this, void 0, void 0, function () {
                  var variableCount, trainable;
                  var _this = this;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        return [4 /*yield*/, this.extractIterations(weightValues)];
                      case 1:
                        weightValues = _a.sent();
                        tidy(function () {
                          _this.accBeta1.assign(pow(_this.beta1, _this.iterations_ + 1));
                          _this.accBeta2.assign(pow(_this.beta2, _this.iterations_ + 1));
                        });
                        variableCount = weightValues.length / 2;
                        trainable = false;
                        this.accumulatedFirstMoment = weightValues
                          .slice(0, variableCount)
                          .map(function (v) {
                            return {
                              originalName: v.name,
                              variable: v.tensor.variable(trainable),
                            };
                          });
                        this.accumulatedSecondMoment = weightValues
                          .slice(variableCount, variableCount * 2)
                          .map(function (v) {
                            return {
                              originalName: v.name,
                              variable: v.tensor.variable(trainable),
                            };
                          });
                        return [2 /*return*/];
                    }
                  });
                });
              };
              AdamOptimizer.prototype.getConfig = function () {
                return {
                  learningRate: this.learningRate,
                  beta1: this.beta1,
                  beta2: this.beta2,
                  epsilon: this.epsilon,
                };
              };
              /** @nocollapse */
              AdamOptimizer.fromConfig = function (cls, config) {
                return new cls(
                  config['learningRate'],
                  config['beta1'],
                  config['beta2'],
                  config['epsilon'],
                );
              };
              /** @nocollapse */
              AdamOptimizer.className = 'Adam'; // Note: Name matters for Python compatibility.
              return AdamOptimizer;
            })(Optimizer);
            registerClass(AdamOptimizer);

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var AdamaxOptimizer = /** @class */ (function (_super) {
              __extends(AdamaxOptimizer, _super);
              function AdamaxOptimizer(learningRate, beta1, beta2, epsilon, decay) {
                if (epsilon === void 0) {
                  epsilon = null;
                }
                if (decay === void 0) {
                  decay = 0.0;
                }
                var _this = _super.call(this) || this;
                _this.learningRate = learningRate;
                _this.beta1 = beta1;
                _this.beta2 = beta2;
                _this.epsilon = epsilon;
                _this.decay = decay;
                _this.accumulatedFirstMoment = [];
                _this.accumulatedWeightedInfNorm = [];
                tidy(function () {
                  _this.iteration = scalar(0).variable();
                  _this.accBeta1 = scalar(beta1).variable();
                });
                if (epsilon == null) {
                  _this.epsilon = ENGINE.backend.epsilon();
                }
                return _this;
              }
              AdamaxOptimizer.prototype.applyGradients = function (variableGradients) {
                var _this = this;
                var variableNames = Array.isArray(variableGradients)
                  ? variableGradients.map(function (item) {
                      return item.name;
                    })
                  : Object.keys(variableGradients);
                tidy(function () {
                  var oneMinusAccBeta1 = sub(1, _this.accBeta1);
                  var lr = div(-_this.learningRate, add$1(mul(_this.iteration, _this.decay), 1));
                  variableNames.forEach(function (name, i) {
                    var value = ENGINE.registeredVariables[name];
                    var trainable = false;
                    if (_this.accumulatedFirstMoment[i] == null) {
                      _this.accumulatedFirstMoment[i] = {
                        originalName: name + '/m',
                        variable: zerosLike(value).variable(trainable),
                      };
                    }
                    if (_this.accumulatedWeightedInfNorm[i] == null) {
                      _this.accumulatedWeightedInfNorm[i] = {
                        originalName: name + '/v',
                        variable: zerosLike(value).variable(trainable),
                      };
                    }
                    var gradient = Array.isArray(variableGradients)
                      ? variableGradients[i].tensor
                      : variableGradients[name];
                    if (gradient == null) {
                      return;
                    }
                    var firstMoment = _this.accumulatedFirstMoment[i].variable;
                    var weightedInfNorm = _this.accumulatedWeightedInfNorm[i].variable;
                    var newFirstMoment = add$1(
                      mul(firstMoment, _this.beta1),
                      mul(gradient, 1 - _this.beta1),
                    );
                    var ut0 = mul(weightedInfNorm, _this.beta2);
                    var ut1 = abs(gradient);
                    var newWeightedInfNorm = maximum(ut0, ut1);
                    firstMoment.assign(newFirstMoment);
                    weightedInfNorm.assign(newWeightedInfNorm);
                    var newValue = add$1(
                      mul(
                        div(lr, oneMinusAccBeta1),
                        div(newFirstMoment, add$1(newWeightedInfNorm, _this.epsilon)),
                      ),
                      value,
                    );
                    value.assign(newValue);
                  });
                  _this.iteration.assign(add$1(_this.iteration, 1));
                  _this.accBeta1.assign(mul(_this.accBeta1, _this.beta1));
                });
                this.incrementIterations();
              };
              AdamaxOptimizer.prototype.dispose = function () {
                this.accBeta1.dispose();
                this.iteration.dispose();
                if (this.accumulatedFirstMoment != null) {
                  dispose(
                    this.accumulatedFirstMoment.map(function (v) {
                      return v.variable;
                    }),
                  );
                }
                if (this.accumulatedWeightedInfNorm != null) {
                  dispose(
                    this.accumulatedWeightedInfNorm.map(function (v) {
                      return v.variable;
                    }),
                  );
                }
              };
              AdamaxOptimizer.prototype.getWeights = function () {
                return __awaiter(this, void 0, void 0, function () {
                  return __generator(this, function (_a) {
                    throw new Error('getWeights() is not implemented for Adamax yet.');
                  });
                });
              };
              AdamaxOptimizer.prototype.setWeights = function (weightValues) {
                return __awaiter(this, void 0, void 0, function () {
                  return __generator(this, function (_a) {
                    throw new Error('setWeights() is not implemented for Adamax yet.');
                  });
                });
              };
              AdamaxOptimizer.prototype.getConfig = function () {
                return {
                  learningRate: this.learningRate,
                  beta1: this.beta1,
                  beta2: this.beta2,
                  epsilon: this.epsilon,
                  decay: this.decay,
                };
              };
              /** @nocollapse */
              AdamaxOptimizer.fromConfig = function (cls, config) {
                return new cls(
                  config['learningRate'],
                  config['beta1'],
                  config['beta2'],
                  config['epsilon'],
                  config['decay'],
                );
              };
              /** @nocollapse */
              AdamaxOptimizer.className = 'Adamax'; // Note: Name matters for Python compatbility.
              return AdamaxOptimizer;
            })(Optimizer);
            registerClass(AdamaxOptimizer);

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /** @doclink Optimizer */
            var SGDOptimizer = /** @class */ (function (_super) {
              __extends(SGDOptimizer, _super);
              function SGDOptimizer(learningRate) {
                var _this = _super.call(this) || this;
                _this.learningRate = learningRate;
                _this.setLearningRate(learningRate);
                return _this;
              }
              SGDOptimizer.prototype.applyGradients = function (variableGradients) {
                var _this = this;
                var varNames = Array.isArray(variableGradients)
                  ? variableGradients.map(function (v) {
                      return v.name;
                    })
                  : Object.keys(variableGradients);
                varNames.forEach(function (name, i) {
                  var gradient = Array.isArray(variableGradients)
                    ? variableGradients[i].tensor
                    : variableGradients[name];
                  if (gradient == null) {
                    return;
                  }
                  var value = ENGINE.registeredVariables[name];
                  tidy(function () {
                    var newValue = add$1(mul(_this.c, gradient), value);
                    value.assign(newValue);
                  });
                });
                this.incrementIterations();
              };
              /**
               * Sets the learning rate of the optimizer.
               */
              SGDOptimizer.prototype.setLearningRate = function (learningRate) {
                this.learningRate = learningRate;
                if (this.c != null) {
                  this.c.dispose();
                }
                this.c = keep(scalar(-learningRate));
              };
              SGDOptimizer.prototype.dispose = function () {
                this.c.dispose();
              };
              SGDOptimizer.prototype.getWeights = function () {
                return __awaiter(this, void 0, void 0, function () {
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        return [4 /*yield*/, this.saveIterations()];
                      case 1:
                        return [2 /*return*/, [_a.sent()]];
                    }
                  });
                });
              };
              SGDOptimizer.prototype.setWeights = function (weightValues) {
                return __awaiter(this, void 0, void 0, function () {
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        return [4 /*yield*/, this.extractIterations(weightValues)];
                      case 1:
                        weightValues = _a.sent();
                        if (weightValues.length !== 0) {
                          throw new Error('SGD optimizer does not have settable weights.');
                        }
                        return [2 /*return*/];
                    }
                  });
                });
              };
              SGDOptimizer.prototype.getConfig = function () {
                return { learningRate: this.learningRate };
              };
              /** @nocollapse */
              SGDOptimizer.fromConfig = function (cls, config) {
                return new cls(config['learningRate']);
              };
              /** @nocollapse */
              SGDOptimizer.className = 'SGD'; // Note: Name matters for Python compatibility.
              return SGDOptimizer;
            })(Optimizer);
            registerClass(SGDOptimizer);

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /** @doclink Optimizer */
            var MomentumOptimizer = /** @class */ (function (_super) {
              __extends(MomentumOptimizer, _super);
              function MomentumOptimizer(learningRate, momentum, useNesterov) {
                if (useNesterov === void 0) {
                  useNesterov = false;
                }
                var _this = _super.call(this, learningRate) || this;
                _this.learningRate = learningRate;
                _this.momentum = momentum;
                _this.useNesterov = useNesterov;
                _this.accumulations = [];
                _this.m = scalar(_this.momentum);
                return _this;
              }
              MomentumOptimizer.prototype.applyGradients = function (variableGradients) {
                var _this = this;
                var variableNames = Array.isArray(variableGradients)
                  ? variableGradients.map(function (item) {
                      return item.name;
                    })
                  : Object.keys(variableGradients);
                variableNames.forEach(function (name, i) {
                  var value = ENGINE.registeredVariables[name];
                  if (_this.accumulations[i] == null) {
                    var trainable_1 = false;
                    _this.accumulations[i] = {
                      originalName: name + '/momentum',
                      variable: tidy(function () {
                        return zerosLike(value).variable(trainable_1);
                      }),
                    };
                  }
                  var accumulation = _this.accumulations[i].variable;
                  var gradient = Array.isArray(variableGradients)
                    ? variableGradients[i].tensor
                    : variableGradients[name];
                  if (gradient == null) {
                    return;
                  }
                  tidy(function () {
                    var newValue;
                    var newAccumulation = add$1(mul(_this.m, accumulation), gradient);
                    if (_this.useNesterov) {
                      newValue = add$1(
                        mul(_this.c, add$1(gradient, mul(newAccumulation, _this.m))),
                        value,
                      );
                    } else {
                      newValue = add$1(mul(_this.c, newAccumulation), value);
                    }
                    accumulation.assign(newAccumulation);
                    value.assign(newValue);
                  });
                });
                this.incrementIterations();
              };
              MomentumOptimizer.prototype.dispose = function () {
                this.m.dispose();
                if (this.accumulations != null) {
                  dispose(
                    this.accumulations.map(function (v) {
                      return v.variable;
                    }),
                  );
                }
              };
              /**
               * Sets the momentum of the optimizer.
               *
               * @param momentum
               */
              MomentumOptimizer.prototype.setMomentum = function (momentum) {
                this.momentum = momentum;
              };
              MomentumOptimizer.prototype.getWeights = function () {
                return __awaiter(this, void 0, void 0, function () {
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        return [4 /*yield*/, this.saveIterations()];
                      case 1:
                        // Order matters for Python compatibility.
                        return [
                          2 /*return*/,
                          [_a.sent()].concat(
                            this.accumulations.map(function (v) {
                              return { name: v.originalName, tensor: v.variable };
                            }),
                          ),
                        ];
                    }
                  });
                });
              };
              MomentumOptimizer.prototype.setWeights = function (weightValues) {
                return __awaiter(this, void 0, void 0, function () {
                  var trainable;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        return [4 /*yield*/, this.extractIterations(weightValues)];
                      case 1:
                        weightValues = _a.sent();
                        trainable = false;
                        this.accumulations = weightValues.map(function (v) {
                          return { originalName: v.name, variable: v.tensor.variable(trainable) };
                        });
                        return [2 /*return*/];
                    }
                  });
                });
              };
              MomentumOptimizer.prototype.getConfig = function () {
                return {
                  learningRate: this.learningRate,
                  momentum: this.momentum,
                  useNesterov: this.useNesterov,
                };
              };
              /** @nocollapse */
              MomentumOptimizer.fromConfig = function (cls, config) {
                return new cls(config['learningRate'], config['momentum'], config['useNesterov']);
              };
              /** @nocollapse */
              MomentumOptimizer.className = 'Momentum'; // Name matters for Python compatibility.
              return MomentumOptimizer;
            })(SGDOptimizer);
            registerClass(MomentumOptimizer);

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /** @doclink Optimizer */
            var RMSPropOptimizer = /** @class */ (function (_super) {
              __extends(RMSPropOptimizer, _super);
              function RMSPropOptimizer(learningRate, decay, momentum, epsilon, centered) {
                if (decay === void 0) {
                  decay = 0.9;
                }
                if (momentum === void 0) {
                  momentum = 0.0;
                }
                if (epsilon === void 0) {
                  epsilon = null;
                }
                if (centered === void 0) {
                  centered = false;
                }
                var _this = _super.call(this) || this;
                _this.learningRate = learningRate;
                _this.decay = decay;
                _this.momentum = momentum;
                _this.epsilon = epsilon;
                _this.accumulatedMeanSquares = [];
                _this.accumulatedMoments = [];
                _this.accumulatedMeanGrads = [];
                _this.centered = centered;
                if (epsilon == null) {
                  _this.epsilon = ENGINE.backend.epsilon();
                }
                if (learningRate == null) {
                  throw new Error('learningRate for RMSPropOptimizer must be defined.');
                }
                return _this;
              }
              RMSPropOptimizer.prototype.applyGradients = function (variableGradients) {
                var _this = this;
                var variableNames = Array.isArray(variableGradients)
                  ? variableGradients.map(function (item) {
                      return item.name;
                    })
                  : Object.keys(variableGradients);
                variableNames.forEach(function (name, i) {
                  var value = ENGINE.registeredVariables[name];
                  var trainable = false;
                  if (_this.accumulatedMeanSquares[i] == null) {
                    _this.accumulatedMeanSquares[i] = {
                      originalName: name + '/rms',
                      variable: tidy(function () {
                        return zerosLike(value).variable(trainable);
                      }),
                    };
                  }
                  if (_this.accumulatedMoments[i] == null) {
                    _this.accumulatedMoments[i] = {
                      originalName: name + '/momentum',
                      variable: tidy(function () {
                        return zerosLike(value).variable(trainable);
                      }),
                    };
                  }
                  if (_this.accumulatedMeanGrads[i] == null && _this.centered) {
                    _this.accumulatedMeanGrads[i] = {
                      originalName: name + '/mg',
                      variable: tidy(function () {
                        return zerosLike(value).variable(trainable);
                      }),
                    };
                  }
                  var gradient = Array.isArray(variableGradients)
                    ? variableGradients[i].tensor
                    : variableGradients[name];
                  if (gradient == null) {
                    return;
                  }
                  var accumulatedMeanSquare = _this.accumulatedMeanSquares[i].variable;
                  var accumulatedMoments = _this.accumulatedMoments[i].variable;
                  tidy(function () {
                    var newAccumulatedMeanSquare = add$1(
                      mul(accumulatedMeanSquare, _this.decay),
                      mul(square(gradient), 1 - _this.decay),
                    );
                    if (_this.centered) {
                      var accumulatedMeanGrad = _this.accumulatedMeanGrads[i].variable;
                      // Centered gradient
                      var newAccumulatedMeanGrad = add$1(
                        mul(accumulatedMeanGrad, _this.decay),
                        mul(gradient, 1 - _this.decay),
                      );
                      var gradContribution = div(
                        mul(gradient, _this.learningRate),
                        sqrt(
                          sub(
                            newAccumulatedMeanSquare,
                            add$1(square(newAccumulatedMeanGrad), _this.epsilon),
                          ),
                        ),
                      );
                      var newAccumulatedMoments = add$1(
                        mul(accumulatedMoments, _this.momentum),
                        gradContribution,
                      );
                      accumulatedMeanSquare.assign(newAccumulatedMeanSquare);
                      accumulatedMeanGrad.assign(newAccumulatedMeanGrad);
                      accumulatedMoments.assign(newAccumulatedMoments);
                      var newValue = sub(value, newAccumulatedMoments);
                      value.assign(newValue);
                    } else {
                      // Plain gradient
                      var newAccumulatedMeanSquare_1 = add$1(
                        mul(accumulatedMeanSquare, _this.decay),
                        mul(square(gradient), 1 - _this.decay),
                      );
                      var newAccumulatedMoments = add$1(
                        mul(accumulatedMoments, _this.momentum),
                        div(
                          mul(gradient, _this.learningRate),
                          sqrt(add$1(newAccumulatedMeanSquare_1, _this.epsilon)),
                        ),
                      );
                      accumulatedMeanSquare.assign(newAccumulatedMeanSquare_1);
                      accumulatedMoments.assign(newAccumulatedMoments);
                      var newValue = sub(value, newAccumulatedMoments);
                      value.assign(newValue);
                    }
                  });
                });
                this.incrementIterations();
              };
              RMSPropOptimizer.prototype.dispose = function () {
                if (this.accumulatedMeanSquares != null) {
                  dispose(
                    this.accumulatedMeanSquares.map(function (v) {
                      return v.variable;
                    }),
                  );
                }
                if (this.accumulatedMeanGrads != null && this.centered) {
                  dispose(
                    this.accumulatedMeanGrads.map(function (v) {
                      return v.variable;
                    }),
                  );
                }
                if (this.accumulatedMoments != null) {
                  dispose(
                    this.accumulatedMoments.map(function (v) {
                      return v.variable;
                    }),
                  );
                }
              };
              RMSPropOptimizer.prototype.getWeights = function () {
                return __awaiter(this, void 0, void 0, function () {
                  var variables;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        variables = this.accumulatedMeanSquares.concat(this.accumulatedMoments);
                        if (this.centered) {
                          variables.push.apply(variables, this.accumulatedMeanGrads);
                        }
                        return [4 /*yield*/, this.saveIterations()];
                      case 1:
                        return [
                          2 /*return*/,
                          [_a.sent()].concat(
                            variables.map(function (v) {
                              return { name: v.originalName, tensor: v.variable };
                            }),
                          ),
                        ];
                    }
                  });
                });
              };
              RMSPropOptimizer.prototype.setWeights = function (weightValues) {
                return __awaiter(this, void 0, void 0, function () {
                  var variableCount, trainable;
                  return __generator(this, function (_a) {
                    switch (_a.label) {
                      case 0:
                        return [4 /*yield*/, this.extractIterations(weightValues)];
                      case 1:
                        weightValues = _a.sent();
                        variableCount = this.centered
                          ? weightValues.length / 3
                          : weightValues.length / 2;
                        trainable = false;
                        this.accumulatedMeanSquares = weightValues
                          .slice(0, variableCount)
                          .map(function (v) {
                            return {
                              originalName: v.name,
                              variable: v.tensor.variable(trainable),
                            };
                          });
                        this.accumulatedMoments = weightValues
                          .slice(variableCount, variableCount * 2)
                          .map(function (v) {
                            return {
                              originalName: v.name,
                              variable: v.tensor.variable(trainable),
                            };
                          });
                        if (this.centered) {
                          this.accumulatedMeanGrads = weightValues
                            .slice(variableCount * 2, variableCount * 3)
                            .map(function (v) {
                              return {
                                originalName: v.name,
                                variable: v.tensor.variable(trainable),
                              };
                            });
                        }
                        return [2 /*return*/];
                    }
                  });
                });
              };
              RMSPropOptimizer.prototype.getConfig = function () {
                return {
                  learningRate: this.learningRate,
                  decay: this.decay,
                  momentum: this.momentum,
                  epsilon: this.epsilon,
                  centered: this.centered,
                };
              };
              /** @nocollapse */
              RMSPropOptimizer.fromConfig = function (cls, config) {
                return new cls(
                  config['learningRate'],
                  config['decay'],
                  config['momentum'],
                  config['epsilon'],
                  config['centered'],
                );
              };
              /** @nocollapse */
              RMSPropOptimizer.className = 'RMSProp'; // Note: Name matters for Python compatibility.
              return RMSPropOptimizer;
            })(Optimizer);
            registerClass(RMSPropOptimizer);

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var OptimizerConstructors = /** @class */ (function () {
              function OptimizerConstructors() {}
              /**
               * Constructs a `tf.SGDOptimizer` that uses stochastic gradient descent.
               *
               * ```js
               * // Fit a quadratic function by learning the coefficients a, b, c.
               * const xs = tf.tensor1d([0, 1, 2, 3]);
               * const ys = tf.tensor1d([1.1, 5.9, 16.8, 33.9]);
               *
               * const a = tf.scalar(Math.random()).variable();
               * const b = tf.scalar(Math.random()).variable();
               * const c = tf.scalar(Math.random()).variable();
               *
               * // y = a * x^2 + b * x + c.
               * const f = x => a.mul(x.square()).add(b.mul(x)).add(c);
               * const loss = (pred, label) => pred.sub(label).square().mean();
               *
               * const learningRate = 0.01;
               * const optimizer = tf.train.sgd(learningRate);
               *
               * // Train the model.
               * for (let i = 0; i < 10; i++) {
               *   optimizer.minimize(() => loss(f(xs), ys));
               * }
               *
               * // Make predictions.
               * console.log(
               *     `a: ${a.dataSync()}, b: ${b.dataSync()}, c: ${c.dataSync()}`);
               * const preds = f(xs).dataSync();
               * preds.forEach((pred, i) => {
               *   console.log(`x: ${i}, pred: ${pred}`);
               * });
               * ```
               *
               * @param learningRate The learning rate to use for the SGD algorithm.
               *
               * @doc {heading: 'Training', subheading: 'Optimizers', namespace: 'train'}
               */
              OptimizerConstructors.sgd = function (learningRate) {
                return new SGDOptimizer(learningRate);
              };
              /**
               * Constructs a `tf.MomentumOptimizer` that uses momentum gradient
               * descent.
               *
               * See
               * [http://proceedings.mlr.press/v28/sutskever13.pdf](
               * http://proceedings.mlr.press/v28/sutskever13.pdf)
               *
               * @param learningRate The learning rate to use for the Momentum gradient
               * descent algorithm.
               * @param momentum The momentum to use for the momentum gradient descent
               * algorithm.
               *
               * @doc {heading: 'Training', subheading: 'Optimizers', namespace: 'train'}
               */
              OptimizerConstructors.momentum = function (learningRate, momentum, useNesterov) {
                if (useNesterov === void 0) {
                  useNesterov = false;
                }
                return new MomentumOptimizer(learningRate, momentum, useNesterov);
              };
              /**
               * Constructs a `tf.RMSPropOptimizer` that uses RMSProp gradient
               * descent. This implementation uses plain momentum and is not centered
               * version of RMSProp.
               *
               * See
               * [http://www.cs.toronto.edu/~tijmen/csc321/slides/lecture_slides_lec6.pdf](
               * http://www.cs.toronto.edu/~tijmen/csc321/slides/lecture_slides_lec6.pdf)
               *
               * @param learningRate The learning rate to use for the RMSProp gradient
               * descent algorithm.
               * @param decay The discounting factor for the history/coming gradient.
               * @param momentum The momentum to use for the RMSProp gradient descent
               * algorithm.
               * @param epsilon Small value to avoid zero denominator.
               * @param centered If true, gradients are normalized by the estimated
               * variance of the gradient.
               *
               * @doc {heading: 'Training', subheading: 'Optimizers', namespace: 'train'}
               */
              OptimizerConstructors.rmsprop = function (
                learningRate,
                decay,
                momentum,
                epsilon,
                centered,
              ) {
                if (decay === void 0) {
                  decay = 0.9;
                }
                if (momentum === void 0) {
                  momentum = 0.0;
                }
                if (epsilon === void 0) {
                  epsilon = null;
                }
                if (centered === void 0) {
                  centered = false;
                }
                return new RMSPropOptimizer(learningRate, decay, momentum, epsilon, centered);
              };
              /**
               * Constructs a `tf.AdamOptimizer` that uses the Adam algorithm.
               * See [https://arxiv.org/abs/1412.6980](https://arxiv.org/abs/1412.6980)
               *
               * @param learningRate The learning rate to use for the Adam gradient
               * descent algorithm.
               * @param beta1 The exponential decay rate for the 1st moment estimates.
               * @param beta2 The exponential decay rate for the 2nd moment estimates.
               * @param epsilon A small constant for numerical stability.
               *
               * @doc {heading: 'Training', subheading: 'Optimizers', namespace: 'train'}
               */
              OptimizerConstructors.adam = function (learningRate, beta1, beta2, epsilon) {
                if (learningRate === void 0) {
                  learningRate = 0.001;
                }
                if (beta1 === void 0) {
                  beta1 = 0.9;
                }
                if (beta2 === void 0) {
                  beta2 = 0.999;
                }
                if (epsilon === void 0) {
                  epsilon = null;
                }
                return new AdamOptimizer(learningRate, beta1, beta2, epsilon);
              };
              /**
               * Constructs a `tf.AdadeltaOptimizer` that uses the Adadelta algorithm.
               * See [https://arxiv.org/abs/1212.5701](https://arxiv.org/abs/1212.5701)
               *
               * @param learningRate The learning rate to use for the Adadelta gradient
               * descent algorithm.
               * @param rho The learning rate decay over each update.
               * @param epsilon A constant epsilon used to better condition the grad
               * update.
               *
               * @doc {heading: 'Training', subheading: 'Optimizers', namespace: 'train'}
               */
              OptimizerConstructors.adadelta = function (learningRate, rho, epsilon) {
                if (learningRate === void 0) {
                  learningRate = 0.001;
                }
                if (rho === void 0) {
                  rho = 0.95;
                }
                if (epsilon === void 0) {
                  epsilon = null;
                }
                return new AdadeltaOptimizer(learningRate, rho, epsilon);
              };
              /**
               * Constructs a `tf.AdamaxOptimizer` that uses the Adamax algorithm.
               * See [https://arxiv.org/abs/1412.6980](https://arxiv.org/abs/1412.6980)
               *
               * @param learningRate The learning rate to use for the Adamax gradient
               * descent algorithm.
               * @param beta1 The exponential decay rate for the 1st moment estimates.
               * @param beta2 The exponential decay rate for the 2nd moment estimates.
               * @param epsilon A small constant for numerical stability.
               * @param decay The learning rate decay over each update.
               *
               * @doc {heading: 'Training', subheading: 'Optimizers', namespace: 'train'}
               */
              OptimizerConstructors.adamax = function (learningRate, beta1, beta2, epsilon, decay) {
                if (learningRate === void 0) {
                  learningRate = 0.002;
                }
                if (beta1 === void 0) {
                  beta1 = 0.9;
                }
                if (beta2 === void 0) {
                  beta2 = 0.999;
                }
                if (epsilon === void 0) {
                  epsilon = null;
                }
                if (decay === void 0) {
                  decay = 0.0;
                }
                return new AdamaxOptimizer(learningRate, beta1, beta2, epsilon, decay);
              };
              /**
               * Constructs a `tf.AdagradOptimizer` that uses the Adagrad algorithm.
               * See
               * [http://www.jmlr.org/papers/volume12/duchi11a/duchi11a.pdf](
               * http://www.jmlr.org/papers/volume12/duchi11a/duchi11a.pdf)
               * or
               * [http://ruder.io/optimizing-gradient-descent/index.html#adagrad](
               * http://ruder.io/optimizing-gradient-descent/index.html#adagrad)
               *
               * @param learningRate The learning rate to use for the Adagrad gradient
               * descent algorithm.
               * @param initialAccumulatorValue Starting value for the accumulators, must be
               * positive.
               *
               * @doc {heading: 'Training', subheading: 'Optimizers', namespace: 'train'}
               */
              OptimizerConstructors.adagrad = function (learningRate, initialAccumulatorValue) {
                if (initialAccumulatorValue === void 0) {
                  initialAccumulatorValue = 0.1;
                }
                return new AdagradOptimizer(learningRate, initialAccumulatorValue);
              };
              return OptimizerConstructors;
            })();

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var train = {
              sgd: OptimizerConstructors.sgd,
              momentum: OptimizerConstructors.momentum,
              adadelta: OptimizerConstructors.adadelta,
              adagrad: OptimizerConstructors.adagrad,
              rmsprop: OptimizerConstructors.rmsprop,
              adamax: OptimizerConstructors.adamax,
              adam: OptimizerConstructors.adam,
            };

            /**
             * @license
             * Copyright 2017 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var delayCallback = (function () {
              if (typeof requestAnimationFrame !== 'undefined') {
                return requestAnimationFrame;
              } else if (typeof setImmediate !== 'undefined') {
                return setImmediate;
              }
              return function (f) {
                return f();
              }; // no delays
            })();
            /**
             * Returns a promise that resolve when a requestAnimationFrame has completed.
             *
             * On Node.js this uses setImmediate instead of requestAnimationFrame.
             *
             * This is simply a sugar method so that users can do the following:
             * `await tf.nextFrame();`
             *
             * @doc {heading: 'Performance', subheading: 'Timing'}
             */
            function nextFrame() {
              return new Promise(function (resolve) {
                return delayCallback(function () {
                  return resolve();
                });
              });
            }

            /**
             * @license
             * Copyright 2017 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            function assertParamsConsistent(shapes, axis) {
              var rank = shapes[0].length;
              shapes.forEach(function (shape, i) {
                assert(shape.length === rank, function () {
                  return (
                    'Error in concat' +
                    rank +
                    'D: rank of tensors[' +
                    i +
                    '] must be the same ' +
                    ('as the rank of the rest (' + rank + ')')
                  );
                });
              });
              assert(axis >= 0 && axis < rank, function () {
                return (
                  'Error in concat' + rank + 'D: axis must be between 0 and ' + (rank - 1) + '.'
                );
              });
              var firstShape = shapes[0];
              shapes.forEach(function (shape, i) {
                for (var r = 0; r < rank; r++) {
                  assert(r === axis || shape[r] === firstShape[r], function () {
                    return (
                      'Error in concat' +
                      rank +
                      'D: Shape of tensors[' +
                      i +
                      '] (' +
                      shape +
                      ') ' +
                      ('does not match the shape of the rest (' + firstShape + ') ') +
                      ('along the non-concatenated axis ' + i + '.')
                    );
                  });
                }
              });
            }
            function computeOutShape$1(shapes, axis) {
              var outputShape = shapes[0].slice();
              for (var i = 1; i < shapes.length; i++) {
                outputShape[axis] += shapes[i][axis];
              }
              return outputShape;
            }

            /**
             * @license
             * Copyright 2017 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var PARALLELIZE_THRESHOLD = 30;
            function computeOptimalWindowSize(inSize) {
              if (inSize <= PARALLELIZE_THRESHOLD) {
                return inSize;
              }
              return nearestDivisor(inSize, Math.floor(Math.sqrt(inSize)));
            }

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            // Returns the image center in pixels.
            function getImageCenter(center, imageHeight, imageWidth) {
              var centerX = imageWidth * (typeof center === 'number' ? center : center[0]);
              var centerY = imageHeight * (typeof center === 'number' ? center : center[1]);
              return [centerX, centerY];
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Gets the new shape of the input Tensor after it's been reshaped
             * to:
             * [blockShape[0], ..., blockShape[M-1], batch / prod(blockShape),
             * inputShape[1], ..., inputShape[N-1]]
             *
             * See step 1: https://www.tensorflow.org/api_docs/python/tf/batch_to_space_nd
             */
            function getReshaped(inputShape, blockShape, prod, batchToSpace) {
              if (batchToSpace === void 0) {
                batchToSpace = true;
              }
              var reshaped = [];
              if (batchToSpace) {
                reshaped = reshaped.concat(blockShape.slice(0));
                reshaped.push(inputShape[0] / prod);
                reshaped = reshaped.concat(inputShape.slice(1));
              } else {
                reshaped = reshaped.concat(inputShape[0]);
                var spatialLength = blockShape.length;
                for (var i = 0; i < spatialLength; ++i) {
                  reshaped = reshaped.concat([inputShape[i + 1] / blockShape[i], blockShape[i]]);
                }
                reshaped = reshaped.concat(inputShape.slice(spatialLength + 1));
              }
              return reshaped;
            }
            /**
             * Gets the permutation that will transpose the dimensions of the
             * reshaped tensor to shape:
             *
             * [batch / prod(block_shape),inputShape[1], blockShape[0], ...,
             * inputShape[M], blockShape[M-1],inputShape[M+1], ..., inputShape[N-1]]
             *
             * see step 2: https://www.tensorflow.org/api_docs/python/tf/batch_to_space_nd
             */
            function getPermuted(reshapedRank, blockShapeRank, batchToSpace) {
              if (batchToSpace === void 0) {
                batchToSpace = true;
              }
              var permuted = [];
              if (batchToSpace) {
                permuted.push(blockShapeRank);
                for (var i = blockShapeRank + 1; i < reshapedRank; ++i) {
                  if (i <= 2 * blockShapeRank) {
                    permuted.push(i);
                    permuted.push(i - (blockShapeRank + 1));
                  } else {
                    permuted.push(i);
                  }
                }
              } else {
                var permutedBeforeBatch = [];
                var permutedAfterBatch = [];
                for (var i = 1; i < reshapedRank; ++i) {
                  if (i >= blockShapeRank * 2 + 1 || i % 2 === 1) {
                    permutedAfterBatch.push(i);
                  } else {
                    permutedBeforeBatch.push(i);
                  }
                }
                permuted.push.apply(permuted, permutedBeforeBatch);
                permuted.push(0);
                permuted.push.apply(permuted, permutedAfterBatch);
              }
              return permuted;
            }
            /**
             * Gets the shape of the reshaped and permuted input Tensor before any cropping
             * is applied.  The new shape will be:
             *
             * [batch / prod(blockShape),inputShape[1] * blockShape[0], ...,
             * inputShape[M] * blockShape[M-1],inputShape[M+1], ..., inputShape[N-1]]
             *
             * See step 3: https://www.tensorflow.org/api_docs/python/tf/batch_to_space_nd
             */
            function getReshapedPermuted(inputShape, blockShape, prod, batchToSpace) {
              if (batchToSpace === void 0) {
                batchToSpace = true;
              }
              var reshapedPermuted = [];
              if (batchToSpace) {
                reshapedPermuted.push(inputShape[0] / prod);
              } else {
                reshapedPermuted.push(inputShape[0] * prod);
              }
              for (var i = 1; i < inputShape.length; ++i) {
                if (i <= blockShape.length) {
                  if (batchToSpace) {
                    reshapedPermuted.push(blockShape[i - 1] * inputShape[i]);
                  } else {
                    reshapedPermuted.push(inputShape[i] / blockShape[i - 1]);
                  }
                } else {
                  reshapedPermuted.push(inputShape[i]);
                }
              }
              return reshapedPermuted;
            }
            /**
             * Converts the crops argument into the beginning coordinates of a slice
             * operation.
             */
            function getSliceBeginCoords(crops, blockShape) {
              var sliceBeginCoords = [0];
              for (var i = 0; i < blockShape; ++i) {
                sliceBeginCoords.push(crops[i][0]);
              }
              return sliceBeginCoords;
            }
            /**
             * Converts the crops argument into the size of a slice operation.  When
             * combined with getSliceBeginCoords this function allows the reshaped and
             * permuted Tensor to be cropped to its final output shape of:
             *
             * inputShape[1] * blockShape[0] - crops[0,0] - crops[0,1], ...,
             * inputShape[M] * blockShape[M-1] -crops[M-1,0] -
             * crops[M-1,1],inputShape[M+1], ..., inputShape[N-1]]
             *
             * See step 4: https://www.tensorflow.org/api_docs/python/tf/batch_to_space_nd
             */
            function getSliceSize(uncroppedShape, crops, blockShape) {
              var sliceSize = uncroppedShape.slice(0, 1);
              for (var i = 0; i < blockShape; ++i) {
                sliceSize.push(uncroppedShape[i + 1] - crops[i][0] - crops[i][1]);
              }
              return sliceSize;
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var SELU_SCALEALPHA = 1.7580993408473768599402175208123;
            var SELU_SCALE = 1.0507009873554804934193349852946;

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var ERF_P = 0.3275911;
            var ERF_A1 = 0.254829592;
            var ERF_A2 = -0.284496736;
            var ERF_A3 = 1.421413741;
            var ERF_A4 = -1.453152027;
            var ERF_A5 = 1.061405429;

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            function warn() {
              var msg = [];
              for (var _i = 0; _i < arguments.length; _i++) {
                msg[_i] = arguments[_i];
              }
              if (!env().getBool('IS_TEST')) {
                console.warn.apply(console, msg);
              }
            }
            function log$1() {
              var msg = [];
              for (var _i = 0; _i < arguments.length; _i++) {
                msg[_i] = arguments[_i];
              }
              if (!env().getBool('IS_TEST')) {
                console.log.apply(console, msg);
              }
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            /**
             * Merges real and imaginary Float32Arrays into a single complex Float32Array.
             *
             * The memory layout is interleaved as follows:
             * real: [r0, r1, r2]
             * imag: [i0, i1, i2]
             * complex: [r0, i0, r1, i1, r2, i2]
             *
             * This is the inverse of splitRealAndImagArrays.
             *
             * @param real The real values of the complex tensor values.
             * @param imag The imag values of the complex tensor values.
             * @returns A complex tensor as a Float32Array with merged values.
             */
            function mergeRealAndImagArrays(real, imag) {
              if (real.length !== imag.length) {
                throw new Error(
                  'Cannot merge real and imag arrays of different lengths. real:' +
                    (real.length + ', imag: ' + imag.length + '.'),
                );
              }
              var result = new Float32Array(real.length * 2);
              for (var i = 0; i < result.length; i += 2) {
                result[i] = real[i / 2];
                result[i + 1] = imag[i / 2];
              }
              return result;
            }
            /**
             * Splits a complex Float32Array into real and imag parts.
             *
             * The memory layout is interleaved as follows:
             * complex: [r0, i0, r1, i1, r2, i2]
             * real: [r0, r1, r2]
             * imag: [i0, i1, i2]
             *
             * This is the inverse of mergeRealAndImagArrays.
             *
             * @param complex The complex tensor values.
             * @returns An object with real and imag Float32Array components of the complex
             *     tensor.
             */
            function splitRealAndImagArrays(complex) {
              var real = new Float32Array(complex.length / 2);
              var imag = new Float32Array(complex.length / 2);
              for (var i = 0; i < complex.length; i += 2) {
                real[i / 2] = complex[i];
                imag[i / 2] = complex[i + 1];
              }
              return { real: real, imag: imag };
            }
            /**
             * Extracts even indexed complex values in the given array.
             * @param complex The complex tensor values
             */
            function complexWithEvenIndex(complex) {
              var len = Math.ceil(complex.length / 4);
              var real = new Float32Array(len);
              var imag = new Float32Array(len);
              for (var i = 0; i < complex.length; i += 4) {
                real[Math.floor(i / 4)] = complex[i];
                imag[Math.floor(i / 4)] = complex[i + 1];
              }
              return { real: real, imag: imag };
            }
            /**
             * Extracts odd indexed comple values in the given array.
             * @param complex The complex tensor values
             */
            function complexWithOddIndex(complex) {
              var len = Math.floor(complex.length / 4);
              var real = new Float32Array(len);
              var imag = new Float32Array(len);
              for (var i = 2; i < complex.length; i += 4) {
                real[Math.floor(i / 4)] = complex[i];
                imag[Math.floor(i / 4)] = complex[i + 1];
              }
              return { real: real, imag: imag };
            }
            /**
             * Get the map representing a complex value in the given array.
             * @param complex The complex tensor values.
             * @param index An index of the target complex value.
             */
            function getComplexWithIndex(complex, index) {
              var real = complex[index * 2];
              var imag = complex[index * 2 + 1];
              return { real: real, imag: imag };
            }
            /**
             * Insert a given complex value into the TypedArray.
             * @param data The array in which the complex value is inserted.
             * @param c The complex value to be inserted.
             * @param index An index of the target complex value.
             */
            function assignToTypedArray(data, real, imag, index) {
              data[index * 2] = real;
              data[index * 2 + 1] = imag;
            }
            /**
             * Make the list of exponent terms used by FFT.
             */
            function exponents(n, inverse) {
              var real = new Float32Array(n / 2);
              var imag = new Float32Array(n / 2);
              for (var i = 0; i < Math.ceil(n / 2); i++) {
                var x = (inverse ? 2 : -2) * Math.PI * (i / n);
                real[i] = Math.cos(x);
                imag[i] = Math.sin(x);
              }
              return { real: real, imag: imag };
            }
            /**
             * Make the exponent term used by FFT.
             */
            function exponent(k, n, inverse) {
              var x = (inverse ? 2 : -2) * Math.PI * (k / n);
              var real = Math.cos(x);
              var imag = Math.sin(x);
              return { real: real, imag: imag };
            }

            /**
             * @license
             * Copyright 2021 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            var ARROW = '->';
            var ARROW_REGEX = /->/g;
            var COMMA = ',';
            var ELLIPSIS = '...';
            /**
             * Parse an equation for einsum.
             *
             * @param equation The einsum equation (e.g., "ij,jk->ik").
             * @param numTensors Number of tensors provided along with `equation`. Used to
             *   check matching number of input tensors.
             * @returns An object consisting of the following fields:
             *   - allDims: all dimension names as strings.
             *   - summedDims: a list of all dimensions being summed over, as indices to
             *     the elements of `allDims`.
             *   - idDims: indices of the dimensions in each input tensor, as indices to
             *     the elements of `allDims.
             */
            function decodeEinsumEquation(equation, numTensors) {
              equation = equation.replace(/\s/g, ''); // Remove witespace in equation.
              var numArrows =
                (equation.length - equation.replace(ARROW_REGEX, '').length) / ARROW.length;
              if (numArrows < 1) {
                throw new Error('Equations without an arrow are not supported.');
              } else if (numArrows > 1) {
                throw new Error('Equation must contain exactly one arrow ("' + ARROW + '").');
              }
              var _a = equation.split(ARROW),
                inputString = _a[0],
                outputString = _a[1];
              assert(inputString.indexOf(ELLIPSIS) === -1, function () {
                return 'The ellipsis notation ("' + ELLIPSIS + '") is not supported yet.';
              });
              var inputTerms = inputString.split(COMMA);
              var numInputs = inputTerms.length;
              if (numTensors !== numInputs) {
                throw new Error('Expected ' + numInputs + ' input tensors, received ' + numTensors);
              }
              if (numInputs > 2) {
                throw new Error('Support for more than 2 input tensors is not implemented yet.');
              }
              var allDims = [];
              var _loop_1 = function (i) {
                var dimName = outputString[i];
                if (
                  !inputTerms.some(function (inputTerm) {
                    return inputTerm.indexOf(dimName) !== -1;
                  })
                ) {
                  throw new Error(
                    'Output subscripts contain the label ' +
                      dimName +
                      ' ' +
                      'not present in the input subscripts.',
                  );
                }
                if (allDims.indexOf(dimName) === -1) {
                  allDims.push(dimName);
                }
              };
              for (var i = 0; i < outputString.length; ++i) {
                _loop_1(i);
              }
              for (var i = 0; i < inputString.length; ++i) {
                var dimName = inputString[i];
                if (allDims.indexOf(dimName) === -1 && dimName !== COMMA) {
                  allDims.push(dimName);
                }
              }
              var idDims = new Array(inputTerms.length);
              for (var i = 0; i < numInputs; ++i) {
                if (new Set(inputTerms[i].split('')).size !== inputTerms[i].length) {
                  throw new Error(
                    'Found duplicate axes in input component ' +
                      inputTerms[i] +
                      '. ' +
                      'Support for duplicate axes in input is not implemented yet.',
                  );
                }
                idDims[i] = [];
                for (var j = 0; j < inputTerms[i].length; ++j) {
                  idDims[i].push(allDims.indexOf(inputTerms[i][j]));
                }
              }
              var numDims = allDims.length; // Number of unique dimensions.
              var numOutDims = outputString.length; // Number of output dimensions.
              var summedDims = []; // Dimensions being summed over.
              for (var i = numOutDims; i < numDims; ++i) {
                summedDims.push(i);
              }
              return { allDims: allDims, summedDims: summedDims, idDims: idDims };
            }
            /**
             * Get the permutation for a given input tensor.
             *
             * @param nDims Total number of dimension of all tensors involved in the einsum
             *   operation.
             * @param idDims Dimension indices involve in the tensor in question.
             * @returns An object consisting of the following fields:
             *   - permutationIndices: Indices to permute the axes of the tensor with.
             *   - expandDims: Indices to the dimension that need to be expanded from the
             *     tensor after permutation.
             */
            function getEinsumPermutation(nDims, idDims) {
              var permutationIndices = new Array(nDims);
              permutationIndices.fill(-1);
              for (var i = 0; i < idDims.length; ++i) {
                permutationIndices[idDims[i]] = i;
              }
              var expandDims = [];
              for (var i = 0; i < nDims; ++i) {
                if (permutationIndices[i] === -1) {
                  expandDims.push(i);
                }
              }
              permutationIndices = permutationIndices.filter(function (d) {
                return d !== -1;
              });
              return { permutationIndices: permutationIndices, expandDims: expandDims };
            }
            /**
             * Checks that the dimension sizes from different input tensors match the
             * equation.
             */
            function checkEinsumDimSizes(nDims, idDims, tensors) {
              var dimSizes = new Array(nDims);
              var _loop_2 = function (i) {
                var shape = tensors[i].shape;
                var _loop_3 = function (j) {
                  if (dimSizes[idDims[i][j]] === undefined) {
                    dimSizes[idDims[i][j]] = shape[j];
                  } else {
                    assert(dimSizes[idDims[i][j]] === shape[j], function () {
                      return (
                        'Expected dimension ' +
                        dimSizes[idDims[i][j]] +
                        ' at axis ' +
                        j +
                        ' ' +
                        ('of input shaped ' + JSON.stringify(shape) + ', ') +
                        ('but got dimension ' + shape[j])
                      );
                    });
                  }
                };
                for (var j = 0; j < idDims[i].length; ++j) {
                  _loop_3(j);
                }
              };
              for (var i = 0; i < tensors.length; ++i) {
                _loop_2(i);
              }
            }
            /**
             * Gets path of computation for einsum.
             *
             * @param summedDims indices to the dimensions being summed over.
             * @param idDims A look up table for the dimensions present in each input
             *     tensor. Each consituent array contains indices for the dimensions in the
             *     corresponding input tensor.
             *
             * @return A map with two fields:
             *   - path: The path of computation, with each element indicating the dimension
             *     being summed over after the element-wise multiplication in that step.
             *   - steps: With the same length as `path`. Each element contains the indices
             *     to the input tensors being used for element-wise multiplication in the
             *     corresponding step.
             */
            function getEinsumComputePath(summedDims, idDims) {
              var path = summedDims;
              var steps = [];
              var nSteps = 0;
              if (summedDims.length === 0) {
                // Einsum that involes no summing: e.g., transpose and outer product.
                path.push(-1);
              }
              nSteps = summedDims.length + 1;
              for (var i = 0; i < nSteps; ++i) {
                steps.push([]);
              }
              var computedTermIndices = [];
              for (var i = 0; i < path.length; ++i) {
                var summedDim = path[i];
                var termIndices = findTermsWithDim(idDims, summedDim);
                for (var _i = 0, termIndices_1 = termIndices; _i < termIndices_1.length; _i++) {
                  var termIndex = termIndices_1[_i];
                  if (computedTermIndices.indexOf(termIndex) === -1) {
                    steps[i].push(termIndex);
                    computedTermIndices.push(termIndex);
                  }
                }
              }
              return { path: path, steps: steps };
            }
            /** Determines if an axes permutation is the identity permutation. */
            function isIdentityPermutation(perm) {
              return perm.every(function (dim, index) {
                return dim === index;
              });
            }
            function findTermsWithDim(idDims, dim) {
              var termIndices = [];
              for (var i = 0; i < idDims.length; ++i) {
                if (idDims[i].length === 0 || idDims[i].indexOf(dim) !== -1 || dim === -1) {
                  termIndices.push(i);
                }
              }
              return termIndices;
            }

            /**
             * Prepare the split size array. When the input is a number, the axis is evenly
             * divided among the split size. When the input contains the negative value, the
             * rest of the axis is allocated toward that.
             */
            function prepareSplitSize(x, numOrSizeSplits, axis) {
              if (axis === void 0) {
                axis = 0;
              }
              var splitSizes = [];
              if (typeof numOrSizeSplits === 'number') {
                assert(x.shape[axis] % numOrSizeSplits === 0, function () {
                  return 'Number of splits must evenly divide the axis.';
                });
                splitSizes = new Array(numOrSizeSplits).fill(x.shape[axis] / numOrSizeSplits);
              } else {
                var numOfNegs = numOrSizeSplits.reduce(function (count, value) {
                  if (value === -1) {
                    count += 1;
                  }
                  return count;
                }, 0);
                assert(numOfNegs <= 1, function () {
                  return 'There should be only one negative value in split array.';
                });
                var negIndex = numOrSizeSplits.indexOf(-1);
                // Allow the number of split array to be -1, which indicates the rest
                // of dimension is allocated to that split.
                if (negIndex !== -1) {
                  var total = numOrSizeSplits.reduce(function (a, b) {
                    return b > 0 ? a + b : a;
                  });
                  numOrSizeSplits[negIndex] = x.shape[axis] - total;
                }
                assert(
                  x.shape[axis] ===
                    numOrSizeSplits.reduce(function (a, b) {
                      return a + b;
                    }),
                  function () {
                    return 'The sum of sizes must match the size of the axis dimension.';
                  },
                );
                splitSizes = numOrSizeSplits;
              }
              return splitSizes;
            }

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            function segOpComputeOptimalWindowSize(inSize, numSegments) {
              var done = false;
              var res;
              if (inSize <= PARALLELIZE_THRESHOLD) {
                res = inSize;
                done = true;
              } else {
                res = nearestDivisor(inSize, Math.floor(Math.sqrt(inSize)));
              }
              while (!done) {
                if (res > numSegments || res === inSize) {
                  done = true;
                } else {
                  res = nearestDivisor(inSize, res + 1);
                }
              }
              return res;
            }
            function computeOutShape$2(aShape, axis, numSegments) {
              var outShape = [];
              var rank = aShape.length;
              for (var dim = 0; dim < rank; dim++) {
                if (dim !== axis) {
                  outShape.push(aShape[dim]);
                } else {
                  outShape.push(numSegments);
                }
              }
              return outShape;
            }
            function collectGatherOpShapeInfo(x, indices, axis, batchDims) {
              var indicesRank = indices.shape.length;
              var xRank = x.shape.length;
              if (batchDims !== 0) {
                if (batchDims < -indicesRank || batchDims > indicesRank) {
                  throw new Error(
                    'Expect batchDims in the range of [-' +
                      indicesRank +
                      ', ' +
                      indicesRank +
                      '], but got ' +
                      batchDims,
                  );
                }
              }
              if (batchDims < 0) {
                batchDims += indicesRank;
              }
              if (batchDims > xRank) {
                throw new Error(
                  'batchDims (' + batchDims + ') must be less than rank(x) (\n    ' + xRank + ').',
                );
              }
              if (axis < batchDims) {
                throw new Error(
                  'batchDims (' +
                    batchDims +
                    ') must be less than or equal to axis (' +
                    axis +
                    ').',
                );
              }
              for (var i = 0; i < batchDims; ++i) {
                if (x.shape[i] !== indices.shape[i]) {
                  throw new Error(
                    'x.shape[' +
                      i +
                      ']: ' +
                      x.shape[i] +
                      ' should be equal to indices.shape[' +
                      i +
                      ']: ' +
                      indices.shape[i] +
                      '.',
                  );
                }
              }
              var dimSize = x.shape[axis];
              var outputShape = [];
              var batchSize = 1;
              var outerSize = 1;
              var sliceSize = 1;
              for (var i = 0; i < batchDims; ++i) {
                outputShape.push(x.shape[i]);
                batchSize *= x.shape[i];
              }
              for (var i = batchDims; i < axis; i++) {
                outputShape.push(x.shape[i]);
                outerSize *= x.shape[i];
              }
              for (var i = batchDims; i < indicesRank; i++) {
                outputShape.push(indices.shape[i]);
              }
              for (var i = axis + 1; i < xRank; i++) {
                outputShape.push(x.shape[i]);
                sliceSize *= x.shape[i];
              }
              return {
                batchSize: batchSize,
                sliceSize: sliceSize,
                outerSize: outerSize,
                dimSize: dimSize,
                outputShape: outputShape,
              };
            }

            var segment_util = {
              __proto__: null,
              segOpComputeOptimalWindowSize: segOpComputeOptimalWindowSize,
              computeOutShape: computeOutShape$2,
              collectGatherOpShapeInfo: collectGatherOpShapeInfo,
            };

            /**
             * @license
             * Copyright 2018 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */
            function fromUint8ToStringArray(vals) {
              try {
                // Decode the bytes into string.
                return vals.map(function (val) {
                  return decodeString(val);
                });
              } catch (err) {
                throw new Error('Failed to decode encoded string bytes into utf-8, error: ' + err);
              }
            }
            function fromStringArrayToUint8(strings) {
              return strings.map(function (s) {
                return encodeString(s);
              });
            }

            var backend_util = {
              __proto__: null,
              slice_util: slice_util,
              segment_util: segment_util,
              fromUint8ToStringArray: fromUint8ToStringArray,
              fromStringArrayToUint8: fromStringArrayToUint8,
              upcastType: upcastType,
              axesAreInnerMostDims: axesAreInnerMostDims,
              combineLocations: combineLocations,
              computeOutAndReduceShapes: computeOutAndReduceShapes,
              expandShapeToKeepDim: expandShapeToKeepDim,
              assertAxesAreInnerMostDims: assertAxesAreInnerMostDims,
              getAxesPermutation: getAxesPermutation,
              getUndoAxesPermutation: getUndoAxesPermutation,
              getInnerMostAxes: getInnerMostAxes,
              getBroadcastDims: getBroadcastDims,
              getReductionAxes: getReductionAxes,
              assertAndGetBroadcastShape: assertAndGetBroadcastShape,
              assertParamsConsistent: assertParamsConsistent,
              computeOutShape: computeOutShape$1,
              computeDilation2DInfo: computeDilation2DInfo,
              computePool2DInfo: computePool2DInfo,
              computePool3DInfo: computePool3DInfo,
              computeConv2DInfo: computeConv2DInfo,
              computeConv3DInfo: computeConv3DInfo,
              computeDefaultPad: computeDefaultPad,
              tupleValuesAreOne: tupleValuesAreOne,
              eitherStridesOrDilationsAreOne: eitherStridesOrDilationsAreOne,
              convertConv2DDataFormat: convertConv2DDataFormat,
              getFusedDyActivation: getFusedDyActivation,
              getFusedBiasGradient: getFusedBiasGradient,
              applyActivation: applyActivation,
              shouldFuse: shouldFuse,
              PARALLELIZE_THRESHOLD: PARALLELIZE_THRESHOLD,
              computeOptimalWindowSize: computeOptimalWindowSize,
              getImageCenter: getImageCenter,
              getReshaped: getReshaped,
              getPermuted: getPermuted,
              getReshapedPermuted: getReshapedPermuted,
              getSliceBeginCoords: getSliceBeginCoords,
              getSliceSize: getSliceSize,
              prepareAndValidate: prepareAndValidate,
              validateUpdateShape: validateUpdateShape,
              validateInput: validateInput,
              calculateShapes: calculateShapes,
              SELU_SCALEALPHA: SELU_SCALEALPHA,
              SELU_SCALE: SELU_SCALE,
              ERF_P: ERF_P,
              ERF_A1: ERF_A1,
              ERF_A2: ERF_A2,
              ERF_A3: ERF_A3,
              ERF_A4: ERF_A4,
              ERF_A5: ERF_A5,
              warn: warn,
              log: log$1,
              mergeRealAndImagArrays: mergeRealAndImagArrays,
              splitRealAndImagArrays: splitRealAndImagArrays,
              complexWithEvenIndex: complexWithEvenIndex,
              complexWithOddIndex: complexWithOddIndex,
              getComplexWithIndex: getComplexWithIndex,
              assignToTypedArray: assignToTypedArray,
              exponents: exponents,
              exponent: exponent,
              decodeEinsumEquation: decodeEinsumEquation,
              getEinsumPermutation: getEinsumPermutation,
              checkEinsumDimSizes: checkEinsumDimSizes,
              getEinsumComputePath: getEinsumComputePath,
              isIdentityPermutation: isIdentityPermutation,
              prepareSplitSize: prepareSplitSize,
            };

            /**
             * @license
             * Copyright 2020 Google LLC. All Rights Reserved.
             * Licensed under the Apache License, Version 2.0 (the "License");
             * you may not use this file except in compliance with the License.
             * You may obtain a copy of the License at
             *
             * http://www.apache.org/licenses/LICENSE-2.0
             *
             * Unless required by applicable law or agreed to in writing, software
             * distributed under the License is distributed on an "AS IS" BASIS,
             * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
             * See the License for the specific language governing permissions and
             * limitations under the License.
             * =============================================================================
             */

            var kernel_impls = {
              __proto__: null,
              nonMaxSuppressionV3Impl: nonMaxSuppressionV3Impl,
              nonMaxSuppressionV4Impl: nonMaxSuppressionV4Impl,
              nonMaxSuppressionV5Impl: nonMaxSuppressionV5Impl,
              whereImpl: whereImpl,
            };

            exports.Abs = Abs;
            exports.Acos = Acos;
            exports.Acosh = Acosh;
            exports.AdadeltaOptimizer = AdadeltaOptimizer;
            exports.AdagradOptimizer = AdagradOptimizer;
            exports.AdamOptimizer = AdamOptimizer;
            exports.AdamaxOptimizer = AdamaxOptimizer;
            exports.Add = Add;
            exports.AddN = AddN;
            exports.All = All;
            exports.Any = Any;
            exports.ArgMax = ArgMax;
            exports.ArgMin = ArgMin;
            exports.Asin = Asin;
            exports.Asinh = Asinh;
            exports.Atan = Atan;
            exports.Atan2 = Atan2;
            exports.Atanh = Atanh;
            exports.AvgPool = AvgPool;
            exports.AvgPool3D = AvgPool3D;
            exports.AvgPool3DGrad = AvgPool3DGrad;
            exports.AvgPoolGrad = AvgPoolGrad;
            exports.BatchMatMul = BatchMatMul;
            exports.BatchToSpaceND = BatchToSpaceND;
            exports.Bincount = Bincount;
            exports.BroadcastTo = BroadcastTo;
            exports.Cast = Cast;
            exports.Ceil = Ceil;
            exports.ClipByValue = ClipByValue;
            exports.Complex = Complex;
            exports.ComplexAbs = ComplexAbs;
            exports.Concat = Concat;
            exports.Conv2D = Conv2D;
            exports.Conv2DBackpropFilter = Conv2DBackpropFilter;
            exports.Conv2DBackpropInput = Conv2DBackpropInput;
            exports.Conv3D = Conv3D;
            exports.Conv3DBackpropFilterV2 = Conv3DBackpropFilterV2;
            exports.Conv3DBackpropInputV2 = Conv3DBackpropInputV2;
            exports.Cos = Cos;
            exports.Cosh = Cosh;
            exports.CropAndResize = CropAndResize;
            exports.Cumsum = Cumsum;
            exports.DataStorage = DataStorage;
            exports.DenseBincount = DenseBincount;
            exports.DepthToSpace = DepthToSpace;
            exports.DepthwiseConv2dNative = DepthwiseConv2dNative;
            exports.DepthwiseConv2dNativeBackpropFilter = DepthwiseConv2dNativeBackpropFilter;
            exports.DepthwiseConv2dNativeBackpropInput = DepthwiseConv2dNativeBackpropInput;
            exports.Diag = Diag;
            exports.Dilation2D = Dilation2D;
            exports.Dilation2DBackpropFilter = Dilation2DBackpropFilter;
            exports.Dilation2DBackpropInput = Dilation2DBackpropInput;
            exports.Einsum = Einsum;
            exports.Elu = Elu;
            exports.EluGrad = EluGrad;
            exports.Environment = Environment;
            exports.Equal = Equal;
            exports.Erf = Erf;
            exports.Exp = Exp;
            exports.ExpandDims = ExpandDims;
            exports.Expm1 = Expm1;
            exports.FFT = FFT;
            exports.Fill = Fill;
            exports.FlipLeftRight = FlipLeftRight;
            exports.Floor = Floor;
            exports.FloorDiv = FloorDiv;
            exports.FromPixels = FromPixels;
            exports.FusedBatchNorm = FusedBatchNorm;
            exports.FusedConv2D = FusedConv2D;
            exports.FusedDepthwiseConv2D = FusedDepthwiseConv2D;
            exports.GatherNd = GatherNd;
            exports.GatherV2 = GatherV2;
            exports.Greater = Greater;
            exports.GreaterEqual = GreaterEqual;
            exports.IFFT = IFFT;
            exports.Identity = Identity;
            exports.Imag = Imag;
            exports.IsFinite = IsFinite;
            exports.IsInf = IsInf;
            exports.IsNan = IsNan;
            exports.KernelBackend = KernelBackend;
            exports.LRN = LRN;
            exports.LRNGrad = LRNGrad;
            exports.LeakyRelu = LeakyRelu;
            exports.Less = Less;
            exports.LessEqual = LessEqual;
            exports.LinSpace = LinSpace;
            exports.Log = Log;
            exports.Log1p = Log1p;
            exports.LogSoftmax = LogSoftmax;
            exports.LogicalAnd = LogicalAnd;
            exports.LogicalNot = LogicalNot;
            exports.LogicalOr = LogicalOr;
            exports.Max = Max;
            exports.MaxPool = MaxPool;
            exports.MaxPool3D = MaxPool3D;
            exports.MaxPool3DGrad = MaxPool3DGrad;
            exports.MaxPoolGrad = MaxPoolGrad;
            exports.MaxPoolWithArgmax = MaxPoolWithArgmax;
            exports.Maximum = Maximum;
            exports.Mean = Mean;
            exports.Min = Min;
            exports.Minimum = Minimum;
            exports.MirrorPad = MirrorPad;
            exports.Mod = Mod;
            exports.MomentumOptimizer = MomentumOptimizer;
            exports.Multinomial = Multinomial;
            exports.Multiply = Multiply;
            exports.Neg = Neg;
            exports.NonMaxSuppressionV3 = NonMaxSuppressionV3;
            exports.NonMaxSuppressionV4 = NonMaxSuppressionV4;
            exports.NonMaxSuppressionV5 = NonMaxSuppressionV5;
            exports.NotEqual = NotEqual;
            exports.OP_SCOPE_SUFFIX = OP_SCOPE_SUFFIX;
            exports.OneHot = OneHot;
            exports.OnesLike = OnesLike;
            exports.Optimizer = Optimizer;
            exports.Pack = Pack;
            exports.PadV2 = PadV2;
            exports.Pool = Pool;
            exports.Pow = Pow;
            exports.Prelu = Prelu;
            exports.Prod = Prod;
            exports.RMSPropOptimizer = RMSPropOptimizer;
            exports.Range = Range;
            exports.Real = Real;
            exports.RealDiv = RealDiv;
            exports.Reciprocal = Reciprocal;
            exports.Relu = Relu;
            exports.Relu6 = Relu6;
            exports.Reshape = Reshape;
            exports.ResizeBilinear = ResizeBilinear;
            exports.ResizeBilinearGrad = ResizeBilinearGrad;
            exports.ResizeNearestNeighbor = ResizeNearestNeighbor;
            exports.ResizeNearestNeighborGrad = ResizeNearestNeighborGrad;
            exports.Reverse = Reverse;
            exports.RotateWithOffset = RotateWithOffset;
            exports.Round = Round;
            exports.Rsqrt = Rsqrt;
            exports.SGDOptimizer = SGDOptimizer;
            exports.ScatterNd = ScatterNd;
            exports.Select = Select;
            exports.Selu = Selu;
            exports.Sigmoid = Sigmoid;
            exports.Sign = Sign;
            exports.Sin = Sin;
            exports.Sinh = Sinh;
            exports.Slice = Slice;
            exports.Softmax = Softmax;
            exports.Softplus = Softplus;
            exports.SpaceToBatchND = SpaceToBatchND;
            exports.SparseFillEmptyRows = SparseFillEmptyRows;
            exports.SparseReshape = SparseReshape;
            exports.SparseSegmentMean = SparseSegmentMean;
            exports.SparseSegmentSum = SparseSegmentSum;
            exports.SparseToDense = SparseToDense;
            exports.SplitV = SplitV;
            exports.Sqrt = Sqrt;
            exports.Square = Square;
            exports.SquaredDifference = SquaredDifference;
            exports.Step = Step;
            exports.StridedSlice = StridedSlice;
            exports.StringNGrams = StringNGrams;
            exports.StringSplit = StringSplit;
            exports.StringToHashBucketFast = StringToHashBucketFast;
            exports.Sub = Sub;
            exports.Sum = Sum;
            exports.Tan = Tan;
            exports.Tanh = Tanh;
            exports.Tensor = Tensor;
            exports.TensorBuffer = TensorBuffer;
            exports.Tile = Tile;
            exports.TopK = TopK;
            exports.Transform = Transform;
            exports.Transpose = Transpose;
            exports.Unique = Unique;
            exports.Unpack = Unpack;
            exports.UnsortedSegmentSum = UnsortedSegmentSum;
            exports.Variable = Variable;
            exports.ZerosLike = ZerosLike;
            exports._FusedMatMul = _FusedMatMul;
            exports.abs = abs;
            exports.acos = acos;
            exports.acosh = acosh;
            exports.add = add$1;
            exports.addN = addN;
            exports.all = all;
            exports.any = any;
            exports.argMax = argMax;
            exports.argMin = argMin;
            exports.asin = asin;
            exports.asinh = asinh;
            exports.atan = atan;
            exports.atan2 = atan2;
            exports.atanh = atanh;
            exports.avgPool = avgPool;
            exports.avgPool3d = avgPool3d;
            exports.backend = backend;
            exports.backend_util = backend_util;
            exports.basicLSTMCell = basicLSTMCell;
            exports.batchNorm = batchNorm;
            exports.batchNorm2d = batchNorm2d;
            exports.batchNorm3d = batchNorm3d;
            exports.batchNorm4d = batchNorm4d;
            exports.batchToSpaceND = batchToSpaceND;
            exports.bincount = bincount;
            exports.booleanMaskAsync = booleanMaskAsync;
            exports.broadcastTo = broadcastTo;
            exports.browser = browser;
            exports.buffer = buffer;
            exports.cast = cast;
            exports.ceil = ceil;
            exports.clipByValue = clipByValue;
            exports.clone = clone;
            exports.complex = complex;
            exports.concat = concat;
            exports.concat1d = concat1d;
            exports.concat2d = concat2d;
            exports.concat3d = concat3d;
            exports.concat4d = concat4d;
            exports.conv1d = conv1d;
            exports.conv2d = conv2d;
            exports.conv2dTranspose = conv2dTranspose;
            exports.conv3d = conv3d;
            exports.conv3dTranspose = conv3dTranspose;
            exports.copyRegisteredKernels = copyRegisteredKernels;
            exports.cos = cos;
            exports.cosh = cosh;
            exports.cosineWindow = cosineWindow;
            exports.cumsum = cumsum;
            exports.customGrad = customGrad;
            exports.denseBincount = denseBincount;
            exports.deprecationWarn = deprecationWarn;
            exports.depthToSpace = depthToSpace;
            exports.depthwiseConv2d = depthwiseConv2d;
            exports.device_util = device_util;
            exports.diag = diag;
            exports.dilation2d = dilation2d;
            exports.disableDeprecationWarnings = disableDeprecationWarnings;
            exports.dispose = dispose;
            exports.disposeVariables = disposeVariables;
            exports.div = div;
            exports.divNoNan = divNoNan;
            exports.dot = dot;
            exports.dropout = dropout;
            exports.einsum = einsum;
            exports.elu = elu;
            exports.enableDebugMode = enableDebugMode;
            exports.enableProdMode = enableProdMode;
            exports.enclosingPowerOfTwo = enclosingPowerOfTwo;
            exports.engine = engine;
            exports.env = env;
            exports.equal = equal;
            exports.erf = erf;
            exports.exp = exp;
            exports.expandDims = expandDims;
            exports.expm1 = expm1;
            exports.eye = eye;
            exports.fft = fft;
            exports.fill = fill;
            exports.findBackend = findBackend;
            exports.findBackendFactory = findBackendFactory;
            exports.floor = floor;
            exports.floorDiv = floorDiv;
            exports.fused = fused_ops;
            exports.gather = gather;
            exports.gatherND = gatherND;
            exports.gather_util = gather_nd_util;
            exports.getBackend = getBackend;
            exports.getGradient = getGradient;
            exports.getKernel = getKernel;
            exports.getKernelsForBackend = getKernelsForBackend;
            exports.grad = grad;
            exports.grads = grads;
            exports.greater = greater;
            exports.greaterEqual = greaterEqual;
            exports.ifft = ifft;
            exports.imag = imag;
            exports.image = image;
            exports.inTopKAsync = inTopKAsync;
            exports.io = io;
            exports.irfft = irfft;
            exports.isFinite = isFinite$1;
            exports.isInf = isInf;
            exports.isNaN = isNaN$1;
            exports.keep = keep;
            exports.kernel_impls = kernel_impls;
            exports.leakyRelu = leakyRelu;
            exports.less = less;
            exports.lessEqual = lessEqual;
            exports.linalg = linalg;
            exports.linspace = linspace;
            exports.localResponseNormalization = localResponseNormalization;
            exports.log = log;
            exports.log1p = log1p;
            exports.logSigmoid = logSigmoid;
            exports.logSoftmax = logSoftmax;
            exports.logSumExp = logSumExp;
            exports.logicalAnd = logicalAnd;
            exports.logicalNot = logicalNot;
            exports.logicalOr = logicalOr;
            exports.logicalXor = logicalXor;
            exports.losses = losses;
            exports.matMul = matMul;
            exports.math = math;
            exports.max = max;
            exports.maxPool = maxPool;
            exports.maxPool3d = maxPool3d;
            exports.maxPoolWithArgmax = maxPoolWithArgmax;
            exports.maximum = maximum;
            exports.mean = mean;
            exports.memory = memory;
            exports.meshgrid = meshgrid;
            exports.min = min;
            exports.minimum = minimum;
            exports.mirrorPad = mirrorPad;
            exports.mod = mod;
            exports.moments = moments;
            exports.movingAverage = movingAverage;
            exports.mul = mul;
            exports.multiRNNCell = multiRNNCell;
            exports.multinomial = multinomial;
            exports.neg = neg;
            exports.nextFrame = nextFrame;
            exports.norm = norm;
            exports.notEqual = notEqual;
            exports.oneHot = oneHot;
            exports.ones = ones$1;
            exports.onesLike = onesLike;
            exports.op = op;
            exports.outerProduct = outerProduct;
            exports.pad = pad;
            exports.pad1d = pad1d;
            exports.pad2d = pad2d;
            exports.pad3d = pad3d;
            exports.pad4d = pad4d;
            exports.pool = pool;
            exports.pow = pow;
            exports.prelu = prelu;
            exports.print = print;
            exports.prod = prod;
            exports.profile = profile;
            exports.rand = rand;
            exports.randomGamma = randomGamma;
            exports.randomNormal = randomNormal;
            exports.randomUniform = randomUniform;
            exports.range = range;
            exports.ready = ready;
            exports.real = real;
            exports.reciprocal = reciprocal;
            exports.registerBackend = registerBackend;
            exports.registerGradient = registerGradient;
            exports.registerKernel = registerKernel;
            exports.relu = relu;
            exports.relu6 = relu6;
            exports.removeBackend = removeBackend;
            exports.reshape = reshape;
            exports.reverse = reverse;
            exports.reverse1d = reverse1d;
            exports.reverse2d = reverse2d;
            exports.reverse3d = reverse3d;
            exports.reverse4d = reverse4d;
            exports.rfft = rfft;
            exports.round = round$1;
            exports.rsqrt = rsqrt;
            exports.scalar = scalar;
            exports.scatterND = scatterND;
            exports.scatter_util = scatter_nd_util;
            exports.selu = selu;
            exports.separableConv2d = separableConv2d;
            exports.serialization = serialization;
            exports.setBackend = setBackend;
            exports.setPlatform = setPlatform;
            exports.setdiff1dAsync = setdiff1dAsync;
            exports.sigmoid = sigmoid;
            exports.sign = sign;
            exports.signal = signal;
            exports.sin = sin;
            exports.sinh = sinh;
            exports.slice = slice;
            exports.slice1d = slice1d;
            exports.slice2d = slice2d;
            exports.slice3d = slice3d;
            exports.slice4d = slice4d;
            exports.slice_util = slice_util;
            exports.softmax = softmax;
            exports.softplus = softplus;
            exports.spaceToBatchND = spaceToBatchND;
            exports.sparse = sparse;
            exports.sparseToDense = sparseToDense;
            exports.spectral = spectral;
            exports.split = split;
            exports.sqrt = sqrt;
            exports.square = square;
            exports.squaredDifference = squaredDifference;
            exports.squeeze = squeeze;
            exports.stack = stack;
            exports.step = step;
            exports.stridedSlice = stridedSlice;
            exports.string = string;
            exports.sub = sub;
            exports.sum = sum$1;
            exports.sumOutType = sumOutType;
            exports.tan = tan;
            exports.tanh = tanh$1;
            exports.tensor = tensor;
            exports.tensor1d = tensor1d;
            exports.tensor2d = tensor2d;
            exports.tensor3d = tensor3d;
            exports.tensor4d = tensor4d;
            exports.tensor5d = tensor5d;
            exports.tensor6d = tensor6d;
            exports.tensor_util = tensor_util;
            exports.test_util = test_util;
            exports.tidy = tidy;
            exports.tile = tile;
            exports.time = time;
            exports.topk = topk;
            exports.train = train;
            exports.transpose = transpose;
            exports.truncatedNormal = truncatedNormal;
            exports.unique = unique;
            exports.unregisterGradient = unregisterGradient;
            exports.unregisterKernel = unregisterKernel;
            exports.unsortedSegmentSum = unsortedSegmentSum;
            exports.unstack = unstack;
            exports.upcastType = upcastType;
            exports.util = util;
            exports.valueAndGrad = valueAndGrad;
            exports.valueAndGrads = valueAndGrads;
            exports.variable = variable;
            exports.variableGrads = variableGrads;
            exports.version_core = version;
            exports.where = where;
            exports.whereAsync = whereAsync;
            exports.zeros = zeros;
            exports.zerosLike = zerosLike;
          }.call(this));
        }.call(
          this,
          require('_process'),
          typeof global !== 'undefined'
            ? global
            : typeof self !== 'undefined'
            ? self
            : typeof window !== 'undefined'
            ? window
            : {},
          require('buffer').Buffer,
          arguments[3],
          arguments[4],
          arguments[5],
          arguments[6],
          require('timers').setImmediate,
        ));
      },
      { '_process': 40, 'buffer': 38, 'crypto': 37, 'node-fetch': 37, 'timers': 49, 'util': 37 },
    ],
    36: [
      function (require, module, exports) {
        'use strict';

        exports.byteLength = byteLength;
        exports.toByteArray = toByteArray;
        exports.fromByteArray = fromByteArray;

        var lookup = [];
        var revLookup = [];
        var Arr = typeof Uint8Array !== 'undefined' ? Uint8Array : Array;

        var code = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/';
        for (var i = 0, len = code.length; i < len; ++i) {
          lookup[i] = code[i];
          revLookup[code.charCodeAt(i)] = i;
        }

        // Support decoding URL-safe base64 strings, as Node.js does.
        // See: https://en.wikipedia.org/wiki/Base64#URL_applications
        revLookup['-'.charCodeAt(0)] = 62;
        revLookup['_'.charCodeAt(0)] = 63;

        function getLens(b64) {
          var len = b64.length;

          if (len % 4 > 0) {
            throw new Error('Invalid string. Length must be a multiple of 4');
          }

          // Trim off extra bytes after placeholder bytes are found
          // See: https://github.com/beatgammit/base64-js/issues/42
          var validLen = b64.indexOf('=');
          if (validLen === -1) validLen = len;

          var placeHoldersLen = validLen === len ? 0 : 4 - (validLen % 4);

          return [validLen, placeHoldersLen];
        }

        // base64 is 4/3 + up to two characters of the original data
        function byteLength(b64) {
          var lens = getLens(b64);
          var validLen = lens[0];
          var placeHoldersLen = lens[1];
          return ((validLen + placeHoldersLen) * 3) / 4 - placeHoldersLen;
        }

        function _byteLength(b64, validLen, placeHoldersLen) {
          return ((validLen + placeHoldersLen) * 3) / 4 - placeHoldersLen;
        }

        function toByteArray(b64) {
          var tmp;
          var lens = getLens(b64);
          var validLen = lens[0];
          var placeHoldersLen = lens[1];

          var arr = new Arr(_byteLength(b64, validLen, placeHoldersLen));

          var curByte = 0;

          // if there are placeholders, only get up to the last complete 4 chars
          var len = placeHoldersLen > 0 ? validLen - 4 : validLen;

          var i;
          for (i = 0; i < len; i += 4) {
            tmp =
              (revLookup[b64.charCodeAt(i)] << 18) |
              (revLookup[b64.charCodeAt(i + 1)] << 12) |
              (revLookup[b64.charCodeAt(i + 2)] << 6) |
              revLookup[b64.charCodeAt(i + 3)];
            arr[curByte++] = (tmp >> 16) & 0xff;
            arr[curByte++] = (tmp >> 8) & 0xff;
            arr[curByte++] = tmp & 0xff;
          }

          if (placeHoldersLen === 2) {
            tmp = (revLookup[b64.charCodeAt(i)] << 2) | (revLookup[b64.charCodeAt(i + 1)] >> 4);
            arr[curByte++] = tmp & 0xff;
          }

          if (placeHoldersLen === 1) {
            tmp =
              (revLookup[b64.charCodeAt(i)] << 10) |
              (revLookup[b64.charCodeAt(i + 1)] << 4) |
              (revLookup[b64.charCodeAt(i + 2)] >> 2);
            arr[curByte++] = (tmp >> 8) & 0xff;
            arr[curByte++] = tmp & 0xff;
          }

          return arr;
        }

        function tripletToBase64(num) {
          return (
            lookup[(num >> 18) & 0x3f] +
            lookup[(num >> 12) & 0x3f] +
            lookup[(num >> 6) & 0x3f] +
            lookup[num & 0x3f]
          );
        }

        function encodeChunk(uint8, start, end) {
          var tmp;
          var output = [];
          for (var i = start; i < end; i += 3) {
            tmp =
              ((uint8[i] << 16) & 0xff0000) +
              ((uint8[i + 1] << 8) & 0xff00) +
              (uint8[i + 2] & 0xff);
            output.push(tripletToBase64(tmp));
          }
          return output.join('');
        }

        function fromByteArray(uint8) {
          var tmp;
          var len = uint8.length;
          var extraBytes = len % 3; // if we have 1 byte left, pad 2 bytes
          var parts = [];
          var maxChunkLength = 16383; // must be multiple of 3

          // go through the array every three bytes, we'll deal with trailing stuff later
          for (var i = 0, len2 = len - extraBytes; i < len2; i += maxChunkLength) {
            parts.push(
              encodeChunk(uint8, i, i + maxChunkLength > len2 ? len2 : i + maxChunkLength),
            );
          }

          // pad the end with zeros, but make sure to not forget the extra bytes
          if (extraBytes === 1) {
            tmp = uint8[len - 1];
            parts.push(lookup[tmp >> 2] + lookup[(tmp << 4) & 0x3f] + '==');
          } else if (extraBytes === 2) {
            tmp = (uint8[len - 2] << 8) + uint8[len - 1];
            parts.push(
              lookup[tmp >> 10] + lookup[(tmp >> 4) & 0x3f] + lookup[(tmp << 2) & 0x3f] + '=',
            );
          }

          return parts.join('');
        }
      },
      {},
    ],
    37: [function (require, module, exports) {}, {}],
    38: [
      function (require, module, exports) {
        (function (Buffer) {
          (function () {
            /*!
             * The buffer module from node.js, for the browser.
             *
             * @author   Feross Aboukhadijeh <https://feross.org>
             * @license  MIT
             */
            /* eslint-disable no-proto */

            'use strict';

            var base64 = require('base64-js');
            var ieee754 = require('ieee754');

            exports.Buffer = Buffer;
            exports.SlowBuffer = SlowBuffer;
            exports.INSPECT_MAX_BYTES = 50;

            var K_MAX_LENGTH = 0x7fffffff;
            exports.kMaxLength = K_MAX_LENGTH;

            /**
             * If `Buffer.TYPED_ARRAY_SUPPORT`:
             *   === true    Use Uint8Array implementation (fastest)
             *   === false   Print warning and recommend using `buffer` v4.x which has an Object
             *               implementation (most compatible, even IE6)
             *
             * Browsers that support typed arrays are IE 10+, Firefox 4+, Chrome 7+, Safari 5.1+,
             * Opera 11.6+, iOS 4.2+.
             *
             * We report that the browser does not support typed arrays if the are not subclassable
             * using __proto__. Firefox 4-29 lacks support for adding new properties to `Uint8Array`
             * (See: https://bugzilla.mozilla.org/show_bug.cgi?id=695438). IE 10 lacks support
             * for __proto__ and has a buggy typed array implementation.
             */
            Buffer.TYPED_ARRAY_SUPPORT = typedArraySupport();

            if (
              !Buffer.TYPED_ARRAY_SUPPORT &&
              typeof console !== 'undefined' &&
              typeof console.error === 'function'
            ) {
              console.error(
                'This browser lacks typed array (Uint8Array) support which is required by ' +
                  '`buffer` v5.x. Use `buffer` v4.x if you require old browser support.',
              );
            }

            function typedArraySupport() {
              // Can typed array instances can be augmented?
              try {
                var arr = new Uint8Array(1);
                arr.__proto__ = {
                  __proto__: Uint8Array.prototype,
                  foo: function () {
                    return 42;
                  },
                };
                return arr.foo() === 42;
              } catch (e) {
                return false;
              }
            }

            Object.defineProperty(Buffer.prototype, 'parent', {
              enumerable: true,
              get: function () {
                if (!Buffer.isBuffer(this)) return undefined;
                return this.buffer;
              },
            });

            Object.defineProperty(Buffer.prototype, 'offset', {
              enumerable: true,
              get: function () {
                if (!Buffer.isBuffer(this)) return undefined;
                return this.byteOffset;
              },
            });

            function createBuffer(length) {
              if (length > K_MAX_LENGTH) {
                throw new RangeError('The value "' + length + '" is invalid for option "size"');
              }
              // Return an augmented `Uint8Array` instance
              var buf = new Uint8Array(length);
              buf.__proto__ = Buffer.prototype;
              return buf;
            }

            /**
             * The Buffer constructor returns instances of `Uint8Array` that have their
             * prototype changed to `Buffer.prototype`. Furthermore, `Buffer` is a subclass of
             * `Uint8Array`, so the returned instances will have all the node `Buffer` methods
             * and the `Uint8Array` methods. Square bracket notation works as expected -- it
             * returns a single octet.
             *
             * The `Uint8Array` prototype remains unmodified.
             */

            function Buffer(arg, encodingOrOffset, length) {
              // Common case.
              if (typeof arg === 'number') {
                if (typeof encodingOrOffset === 'string') {
                  throw new TypeError(
                    'The "string" argument must be of type string. Received type number',
                  );
                }
                return allocUnsafe(arg);
              }
              return from(arg, encodingOrOffset, length);
            }

            // Fix subarray() in ES2016. See: https://github.com/feross/buffer/pull/97
            if (
              typeof Symbol !== 'undefined' &&
              Symbol.species != null &&
              Buffer[Symbol.species] === Buffer
            ) {
              Object.defineProperty(Buffer, Symbol.species, {
                value: null,
                configurable: true,
                enumerable: false,
                writable: false,
              });
            }

            Buffer.poolSize = 8192; // not used by this implementation

            function from(value, encodingOrOffset, length) {
              if (typeof value === 'string') {
                return fromString(value, encodingOrOffset);
              }

              if (ArrayBuffer.isView(value)) {
                return fromArrayLike(value);
              }

              if (value == null) {
                throw TypeError(
                  'The first argument must be one of type string, Buffer, ArrayBuffer, Array, ' +
                    'or Array-like Object. Received type ' +
                    typeof value,
                );
              }

              if (
                isInstance(value, ArrayBuffer) ||
                (value && isInstance(value.buffer, ArrayBuffer))
              ) {
                return fromArrayBuffer(value, encodingOrOffset, length);
              }

              if (typeof value === 'number') {
                throw new TypeError(
                  'The "value" argument must not be of type number. Received type number',
                );
              }

              var valueOf = value.valueOf && value.valueOf();
              if (valueOf != null && valueOf !== value) {
                return Buffer.from(valueOf, encodingOrOffset, length);
              }

              var b = fromObject(value);
              if (b) return b;

              if (
                typeof Symbol !== 'undefined' &&
                Symbol.toPrimitive != null &&
                typeof value[Symbol.toPrimitive] === 'function'
              ) {
                return Buffer.from(value[Symbol.toPrimitive]('string'), encodingOrOffset, length);
              }

              throw new TypeError(
                'The first argument must be one of type string, Buffer, ArrayBuffer, Array, ' +
                  'or Array-like Object. Received type ' +
                  typeof value,
              );
            }

            /**
             * Functionally equivalent to Buffer(arg, encoding) but throws a TypeError
             * if value is a number.
             * Buffer.from(str[, encoding])
             * Buffer.from(array)
             * Buffer.from(buffer)
             * Buffer.from(arrayBuffer[, byteOffset[, length]])
             **/
            Buffer.from = function (value, encodingOrOffset, length) {
              return from(value, encodingOrOffset, length);
            };

            // Note: Change prototype *after* Buffer.from is defined to workaround Chrome bug:
            // https://github.com/feross/buffer/pull/148
            Buffer.prototype.__proto__ = Uint8Array.prototype;
            Buffer.__proto__ = Uint8Array;

            function assertSize(size) {
              if (typeof size !== 'number') {
                throw new TypeError('"size" argument must be of type number');
              } else if (size < 0) {
                throw new RangeError('The value "' + size + '" is invalid for option "size"');
              }
            }

            function alloc(size, fill, encoding) {
              assertSize(size);
              if (size <= 0) {
                return createBuffer(size);
              }
              if (fill !== undefined) {
                // Only pay attention to encoding if it's a string. This
                // prevents accidentally sending in a number that would
                // be interpretted as a start offset.
                return typeof encoding === 'string'
                  ? createBuffer(size).fill(fill, encoding)
                  : createBuffer(size).fill(fill);
              }
              return createBuffer(size);
            }

            /**
             * Creates a new filled Buffer instance.
             * alloc(size[, fill[, encoding]])
             **/
            Buffer.alloc = function (size, fill, encoding) {
              return alloc(size, fill, encoding);
            };

            function allocUnsafe(size) {
              assertSize(size);
              return createBuffer(size < 0 ? 0 : checked(size) | 0);
            }

            /**
             * Equivalent to Buffer(num), by default creates a non-zero-filled Buffer instance.
             * */
            Buffer.allocUnsafe = function (size) {
              return allocUnsafe(size);
            };
            /**
             * Equivalent to SlowBuffer(num), by default creates a non-zero-filled Buffer instance.
             */
            Buffer.allocUnsafeSlow = function (size) {
              return allocUnsafe(size);
            };

            function fromString(string, encoding) {
              if (typeof encoding !== 'string' || encoding === '') {
                encoding = 'utf8';
              }

              if (!Buffer.isEncoding(encoding)) {
                throw new TypeError('Unknown encoding: ' + encoding);
              }

              var length = byteLength(string, encoding) | 0;
              var buf = createBuffer(length);

              var actual = buf.write(string, encoding);

              if (actual !== length) {
                // Writing a hex string, for example, that contains invalid characters will
                // cause everything after the first invalid character to be ignored. (e.g.
                // 'abxxcd' will be treated as 'ab')
                buf = buf.slice(0, actual);
              }

              return buf;
            }

            function fromArrayLike(array) {
              var length = array.length < 0 ? 0 : checked(array.length) | 0;
              var buf = createBuffer(length);
              for (var i = 0; i < length; i += 1) {
                buf[i] = array[i] & 255;
              }
              return buf;
            }

            function fromArrayBuffer(array, byteOffset, length) {
              if (byteOffset < 0 || array.byteLength < byteOffset) {
                throw new RangeError('"offset" is outside of buffer bounds');
              }

              if (array.byteLength < byteOffset + (length || 0)) {
                throw new RangeError('"length" is outside of buffer bounds');
              }

              var buf;
              if (byteOffset === undefined && length === undefined) {
                buf = new Uint8Array(array);
              } else if (length === undefined) {
                buf = new Uint8Array(array, byteOffset);
              } else {
                buf = new Uint8Array(array, byteOffset, length);
              }

              // Return an augmented `Uint8Array` instance
              buf.__proto__ = Buffer.prototype;
              return buf;
            }

            function fromObject(obj) {
              if (Buffer.isBuffer(obj)) {
                var len = checked(obj.length) | 0;
                var buf = createBuffer(len);

                if (buf.length === 0) {
                  return buf;
                }

                obj.copy(buf, 0, 0, len);
                return buf;
              }

              if (obj.length !== undefined) {
                if (typeof obj.length !== 'number' || numberIsNaN(obj.length)) {
                  return createBuffer(0);
                }
                return fromArrayLike(obj);
              }

              if (obj.type === 'Buffer' && Array.isArray(obj.data)) {
                return fromArrayLike(obj.data);
              }
            }

            function checked(length) {
              // Note: cannot use `length < K_MAX_LENGTH` here because that fails when
              // length is NaN (which is otherwise coerced to zero.)
              if (length >= K_MAX_LENGTH) {
                throw new RangeError(
                  'Attempt to allocate Buffer larger than maximum ' +
                    'size: 0x' +
                    K_MAX_LENGTH.toString(16) +
                    ' bytes',
                );
              }
              return length | 0;
            }

            function SlowBuffer(length) {
              if (+length != length) {
                // eslint-disable-line eqeqeq
                length = 0;
              }
              return Buffer.alloc(+length);
            }

            Buffer.isBuffer = function isBuffer(b) {
              return b != null && b._isBuffer === true && b !== Buffer.prototype; // so Buffer.isBuffer(Buffer.prototype) will be false
            };

            Buffer.compare = function compare(a, b) {
              if (isInstance(a, Uint8Array)) a = Buffer.from(a, a.offset, a.byteLength);
              if (isInstance(b, Uint8Array)) b = Buffer.from(b, b.offset, b.byteLength);
              if (!Buffer.isBuffer(a) || !Buffer.isBuffer(b)) {
                throw new TypeError(
                  'The "buf1", "buf2" arguments must be one of type Buffer or Uint8Array',
                );
              }

              if (a === b) return 0;

              var x = a.length;
              var y = b.length;

              for (var i = 0, len = Math.min(x, y); i < len; ++i) {
                if (a[i] !== b[i]) {
                  x = a[i];
                  y = b[i];
                  break;
                }
              }

              if (x < y) return -1;
              if (y < x) return 1;
              return 0;
            };

            Buffer.isEncoding = function isEncoding(encoding) {
              switch (String(encoding).toLowerCase()) {
                case 'hex':
                case 'utf8':
                case 'utf-8':
                case 'ascii':
                case 'latin1':
                case 'binary':
                case 'base64':
                case 'ucs2':
                case 'ucs-2':
                case 'utf16le':
                case 'utf-16le':
                  return true;
                default:
                  return false;
              }
            };

            Buffer.concat = function concat(list, length) {
              if (!Array.isArray(list)) {
                throw new TypeError('"list" argument must be an Array of Buffers');
              }

              if (list.length === 0) {
                return Buffer.alloc(0);
              }

              var i;
              if (length === undefined) {
                length = 0;
                for (i = 0; i < list.length; ++i) {
                  length += list[i].length;
                }
              }

              var buffer = Buffer.allocUnsafe(length);
              var pos = 0;
              for (i = 0; i < list.length; ++i) {
                var buf = list[i];
                if (isInstance(buf, Uint8Array)) {
                  buf = Buffer.from(buf);
                }
                if (!Buffer.isBuffer(buf)) {
                  throw new TypeError('"list" argument must be an Array of Buffers');
                }
                buf.copy(buffer, pos);
                pos += buf.length;
              }
              return buffer;
            };

            function byteLength(string, encoding) {
              if (Buffer.isBuffer(string)) {
                return string.length;
              }
              if (ArrayBuffer.isView(string) || isInstance(string, ArrayBuffer)) {
                return string.byteLength;
              }
              if (typeof string !== 'string') {
                throw new TypeError(
                  'The "string" argument must be one of type string, Buffer, or ArrayBuffer. ' +
                    'Received type ' +
                    typeof string,
                );
              }

              var len = string.length;
              var mustMatch = arguments.length > 2 && arguments[2] === true;
              if (!mustMatch && len === 0) return 0;

              // Use a for loop to avoid recursion
              var loweredCase = false;
              for (;;) {
                switch (encoding) {
                  case 'ascii':
                  case 'latin1':
                  case 'binary':
                    return len;
                  case 'utf8':
                  case 'utf-8':
                    return utf8ToBytes(string).length;
                  case 'ucs2':
                  case 'ucs-2':
                  case 'utf16le':
                  case 'utf-16le':
                    return len * 2;
                  case 'hex':
                    return len >>> 1;
                  case 'base64':
                    return base64ToBytes(string).length;
                  default:
                    if (loweredCase) {
                      return mustMatch ? -1 : utf8ToBytes(string).length; // assume utf8
                    }
                    encoding = ('' + encoding).toLowerCase();
                    loweredCase = true;
                }
              }
            }
            Buffer.byteLength = byteLength;

            function slowToString(encoding, start, end) {
              var loweredCase = false;

              // No need to verify that "this.length <= MAX_UINT32" since it's a read-only
              // property of a typed array.

              // This behaves neither like String nor Uint8Array in that we set start/end
              // to their upper/lower bounds if the value passed is out of range.
              // undefined is handled specially as per ECMA-262 6th Edition,
              // Section 13.3.3.7 Runtime Semantics: KeyedBindingInitialization.
              if (start === undefined || start < 0) {
                start = 0;
              }
              // Return early if start > this.length. Done here to prevent potential uint32
              // coercion fail below.
              if (start > this.length) {
                return '';
              }

              if (end === undefined || end > this.length) {
                end = this.length;
              }

              if (end <= 0) {
                return '';
              }

              // Force coersion to uint32. This will also coerce falsey/NaN values to 0.
              end >>>= 0;
              start >>>= 0;

              if (end <= start) {
                return '';
              }

              if (!encoding) encoding = 'utf8';

              while (true) {
                switch (encoding) {
                  case 'hex':
                    return hexSlice(this, start, end);

                  case 'utf8':
                  case 'utf-8':
                    return utf8Slice(this, start, end);

                  case 'ascii':
                    return asciiSlice(this, start, end);

                  case 'latin1':
                  case 'binary':
                    return latin1Slice(this, start, end);

                  case 'base64':
                    return base64Slice(this, start, end);

                  case 'ucs2':
                  case 'ucs-2':
                  case 'utf16le':
                  case 'utf-16le':
                    return utf16leSlice(this, start, end);

                  default:
                    if (loweredCase) throw new TypeError('Unknown encoding: ' + encoding);
                    encoding = (encoding + '').toLowerCase();
                    loweredCase = true;
                }
              }
            }

            // This property is used by `Buffer.isBuffer` (and the `is-buffer` npm package)
            // to detect a Buffer instance. It's not possible to use `instanceof Buffer`
            // reliably in a browserify context because there could be multiple different
            // copies of the 'buffer' package in use. This method works even for Buffer
            // instances that were created from another copy of the `buffer` package.
            // See: https://github.com/feross/buffer/issues/154
            Buffer.prototype._isBuffer = true;

            function swap(b, n, m) {
              var i = b[n];
              b[n] = b[m];
              b[m] = i;
            }

            Buffer.prototype.swap16 = function swap16() {
              var len = this.length;
              if (len % 2 !== 0) {
                throw new RangeError('Buffer size must be a multiple of 16-bits');
              }
              for (var i = 0; i < len; i += 2) {
                swap(this, i, i + 1);
              }
              return this;
            };

            Buffer.prototype.swap32 = function swap32() {
              var len = this.length;
              if (len % 4 !== 0) {
                throw new RangeError('Buffer size must be a multiple of 32-bits');
              }
              for (var i = 0; i < len; i += 4) {
                swap(this, i, i + 3);
                swap(this, i + 1, i + 2);
              }
              return this;
            };

            Buffer.prototype.swap64 = function swap64() {
              var len = this.length;
              if (len % 8 !== 0) {
                throw new RangeError('Buffer size must be a multiple of 64-bits');
              }
              for (var i = 0; i < len; i += 8) {
                swap(this, i, i + 7);
                swap(this, i + 1, i + 6);
                swap(this, i + 2, i + 5);
                swap(this, i + 3, i + 4);
              }
              return this;
            };

            Buffer.prototype.toString = function toString() {
              var length = this.length;
              if (length === 0) return '';
              if (arguments.length === 0) return utf8Slice(this, 0, length);
              return slowToString.apply(this, arguments);
            };

            Buffer.prototype.toLocaleString = Buffer.prototype.toString;

            Buffer.prototype.equals = function equals(b) {
              if (!Buffer.isBuffer(b)) throw new TypeError('Argument must be a Buffer');
              if (this === b) return true;
              return Buffer.compare(this, b) === 0;
            };

            Buffer.prototype.inspect = function inspect() {
              var str = '';
              var max = exports.INSPECT_MAX_BYTES;
              str = this.toString('hex', 0, max)
                .replace(/(.{2})/g, '$1 ')
                .trim();
              if (this.length > max) str += ' ... ';
              return '<Buffer ' + str + '>';
            };

            Buffer.prototype.compare = function compare(target, start, end, thisStart, thisEnd) {
              if (isInstance(target, Uint8Array)) {
                target = Buffer.from(target, target.offset, target.byteLength);
              }
              if (!Buffer.isBuffer(target)) {
                throw new TypeError(
                  'The "target" argument must be one of type Buffer or Uint8Array. ' +
                    'Received type ' +
                    typeof target,
                );
              }

              if (start === undefined) {
                start = 0;
              }
              if (end === undefined) {
                end = target ? target.length : 0;
              }
              if (thisStart === undefined) {
                thisStart = 0;
              }
              if (thisEnd === undefined) {
                thisEnd = this.length;
              }

              if (start < 0 || end > target.length || thisStart < 0 || thisEnd > this.length) {
                throw new RangeError('out of range index');
              }

              if (thisStart >= thisEnd && start >= end) {
                return 0;
              }
              if (thisStart >= thisEnd) {
                return -1;
              }
              if (start >= end) {
                return 1;
              }

              start >>>= 0;
              end >>>= 0;
              thisStart >>>= 0;
              thisEnd >>>= 0;

              if (this === target) return 0;

              var x = thisEnd - thisStart;
              var y = end - start;
              var len = Math.min(x, y);

              var thisCopy = this.slice(thisStart, thisEnd);
              var targetCopy = target.slice(start, end);

              for (var i = 0; i < len; ++i) {
                if (thisCopy[i] !== targetCopy[i]) {
                  x = thisCopy[i];
                  y = targetCopy[i];
                  break;
                }
              }

              if (x < y) return -1;
              if (y < x) return 1;
              return 0;
            };

            // Finds either the first index of `val` in `buffer` at offset >= `byteOffset`,
            // OR the last index of `val` in `buffer` at offset <= `byteOffset`.
            //
            // Arguments:
            // - buffer - a Buffer to search
            // - val - a string, Buffer, or number
            // - byteOffset - an index into `buffer`; will be clamped to an int32
            // - encoding - an optional encoding, relevant is val is a string
            // - dir - true for indexOf, false for lastIndexOf
            function bidirectionalIndexOf(buffer, val, byteOffset, encoding, dir) {
              // Empty buffer means no match
              if (buffer.length === 0) return -1;

              // Normalize byteOffset
              if (typeof byteOffset === 'string') {
                encoding = byteOffset;
                byteOffset = 0;
              } else if (byteOffset > 0x7fffffff) {
                byteOffset = 0x7fffffff;
              } else if (byteOffset < -0x80000000) {
                byteOffset = -0x80000000;
              }
              byteOffset = +byteOffset; // Coerce to Number.
              if (numberIsNaN(byteOffset)) {
                // byteOffset: it it's undefined, null, NaN, "foo", etc, search whole buffer
                byteOffset = dir ? 0 : buffer.length - 1;
              }

              // Normalize byteOffset: negative offsets start from the end of the buffer
              if (byteOffset < 0) byteOffset = buffer.length + byteOffset;
              if (byteOffset >= buffer.length) {
                if (dir) return -1;
                else byteOffset = buffer.length - 1;
              } else if (byteOffset < 0) {
                if (dir) byteOffset = 0;
                else return -1;
              }

              // Normalize val
              if (typeof val === 'string') {
                val = Buffer.from(val, encoding);
              }

              // Finally, search either indexOf (if dir is true) or lastIndexOf
              if (Buffer.isBuffer(val)) {
                // Special case: looking for empty string/buffer always fails
                if (val.length === 0) {
                  return -1;
                }
                return arrayIndexOf(buffer, val, byteOffset, encoding, dir);
              } else if (typeof val === 'number') {
                val = val & 0xff; // Search for a byte value [0-255]
                if (typeof Uint8Array.prototype.indexOf === 'function') {
                  if (dir) {
                    return Uint8Array.prototype.indexOf.call(buffer, val, byteOffset);
                  } else {
                    return Uint8Array.prototype.lastIndexOf.call(buffer, val, byteOffset);
                  }
                }
                return arrayIndexOf(buffer, [val], byteOffset, encoding, dir);
              }

              throw new TypeError('val must be string, number or Buffer');
            }

            function arrayIndexOf(arr, val, byteOffset, encoding, dir) {
              var indexSize = 1;
              var arrLength = arr.length;
              var valLength = val.length;

              if (encoding !== undefined) {
                encoding = String(encoding).toLowerCase();
                if (
                  encoding === 'ucs2' ||
                  encoding === 'ucs-2' ||
                  encoding === 'utf16le' ||
                  encoding === 'utf-16le'
                ) {
                  if (arr.length < 2 || val.length < 2) {
                    return -1;
                  }
                  indexSize = 2;
                  arrLength /= 2;
                  valLength /= 2;
                  byteOffset /= 2;
                }
              }

              function read(buf, i) {
                if (indexSize === 1) {
                  return buf[i];
                } else {
                  return buf.readUInt16BE(i * indexSize);
                }
              }

              var i;
              if (dir) {
                var foundIndex = -1;
                for (i = byteOffset; i < arrLength; i++) {
                  if (read(arr, i) === read(val, foundIndex === -1 ? 0 : i - foundIndex)) {
                    if (foundIndex === -1) foundIndex = i;
                    if (i - foundIndex + 1 === valLength) return foundIndex * indexSize;
                  } else {
                    if (foundIndex !== -1) i -= i - foundIndex;
                    foundIndex = -1;
                  }
                }
              } else {
                if (byteOffset + valLength > arrLength) byteOffset = arrLength - valLength;
                for (i = byteOffset; i >= 0; i--) {
                  var found = true;
                  for (var j = 0; j < valLength; j++) {
                    if (read(arr, i + j) !== read(val, j)) {
                      found = false;
                      break;
                    }
                  }
                  if (found) return i;
                }
              }

              return -1;
            }

            Buffer.prototype.includes = function includes(val, byteOffset, encoding) {
              return this.indexOf(val, byteOffset, encoding) !== -1;
            };

            Buffer.prototype.indexOf = function indexOf(val, byteOffset, encoding) {
              return bidirectionalIndexOf(this, val, byteOffset, encoding, true);
            };

            Buffer.prototype.lastIndexOf = function lastIndexOf(val, byteOffset, encoding) {
              return bidirectionalIndexOf(this, val, byteOffset, encoding, false);
            };

            function hexWrite(buf, string, offset, length) {
              offset = Number(offset) || 0;
              var remaining = buf.length - offset;
              if (!length) {
                length = remaining;
              } else {
                length = Number(length);
                if (length > remaining) {
                  length = remaining;
                }
              }

              var strLen = string.length;

              if (length > strLen / 2) {
                length = strLen / 2;
              }
              for (var i = 0; i < length; ++i) {
                var parsed = parseInt(string.substr(i * 2, 2), 16);
                if (numberIsNaN(parsed)) return i;
                buf[offset + i] = parsed;
              }
              return i;
            }

            function utf8Write(buf, string, offset, length) {
              return blitBuffer(utf8ToBytes(string, buf.length - offset), buf, offset, length);
            }

            function asciiWrite(buf, string, offset, length) {
              return blitBuffer(asciiToBytes(string), buf, offset, length);
            }

            function latin1Write(buf, string, offset, length) {
              return asciiWrite(buf, string, offset, length);
            }

            function base64Write(buf, string, offset, length) {
              return blitBuffer(base64ToBytes(string), buf, offset, length);
            }

            function ucs2Write(buf, string, offset, length) {
              return blitBuffer(utf16leToBytes(string, buf.length - offset), buf, offset, length);
            }

            Buffer.prototype.write = function write(string, offset, length, encoding) {
              // Buffer#write(string)
              if (offset === undefined) {
                encoding = 'utf8';
                length = this.length;
                offset = 0;
                // Buffer#write(string, encoding)
              } else if (length === undefined && typeof offset === 'string') {
                encoding = offset;
                length = this.length;
                offset = 0;
                // Buffer#write(string, offset[, length][, encoding])
              } else if (isFinite(offset)) {
                offset = offset >>> 0;
                if (isFinite(length)) {
                  length = length >>> 0;
                  if (encoding === undefined) encoding = 'utf8';
                } else {
                  encoding = length;
                  length = undefined;
                }
              } else {
                throw new Error(
                  'Buffer.write(string, encoding, offset[, length]) is no longer supported',
                );
              }

              var remaining = this.length - offset;
              if (length === undefined || length > remaining) length = remaining;

              if ((string.length > 0 && (length < 0 || offset < 0)) || offset > this.length) {
                throw new RangeError('Attempt to write outside buffer bounds');
              }

              if (!encoding) encoding = 'utf8';

              var loweredCase = false;
              for (;;) {
                switch (encoding) {
                  case 'hex':
                    return hexWrite(this, string, offset, length);

                  case 'utf8':
                  case 'utf-8':
                    return utf8Write(this, string, offset, length);

                  case 'ascii':
                    return asciiWrite(this, string, offset, length);

                  case 'latin1':
                  case 'binary':
                    return latin1Write(this, string, offset, length);

                  case 'base64':
                    // Warning: maxLength not taken into account in base64Write
                    return base64Write(this, string, offset, length);

                  case 'ucs2':
                  case 'ucs-2':
                  case 'utf16le':
                  case 'utf-16le':
                    return ucs2Write(this, string, offset, length);

                  default:
                    if (loweredCase) throw new TypeError('Unknown encoding: ' + encoding);
                    encoding = ('' + encoding).toLowerCase();
                    loweredCase = true;
                }
              }
            };

            Buffer.prototype.toJSON = function toJSON() {
              return {
                type: 'Buffer',
                data: Array.prototype.slice.call(this._arr || this, 0),
              };
            };

            function base64Slice(buf, start, end) {
              if (start === 0 && end === buf.length) {
                return base64.fromByteArray(buf);
              } else {
                return base64.fromByteArray(buf.slice(start, end));
              }
            }

            function utf8Slice(buf, start, end) {
              end = Math.min(buf.length, end);
              var res = [];

              var i = start;
              while (i < end) {
                var firstByte = buf[i];
                var codePoint = null;
                var bytesPerSequence =
                  firstByte > 0xef ? 4 : firstByte > 0xdf ? 3 : firstByte > 0xbf ? 2 : 1;

                if (i + bytesPerSequence <= end) {
                  var secondByte, thirdByte, fourthByte, tempCodePoint;

                  switch (bytesPerSequence) {
                    case 1:
                      if (firstByte < 0x80) {
                        codePoint = firstByte;
                      }
                      break;
                    case 2:
                      secondByte = buf[i + 1];
                      if ((secondByte & 0xc0) === 0x80) {
                        tempCodePoint = ((firstByte & 0x1f) << 0x6) | (secondByte & 0x3f);
                        if (tempCodePoint > 0x7f) {
                          codePoint = tempCodePoint;
                        }
                      }
                      break;
                    case 3:
                      secondByte = buf[i + 1];
                      thirdByte = buf[i + 2];
                      if ((secondByte & 0xc0) === 0x80 && (thirdByte & 0xc0) === 0x80) {
                        tempCodePoint =
                          ((firstByte & 0xf) << 0xc) |
                          ((secondByte & 0x3f) << 0x6) |
                          (thirdByte & 0x3f);
                        if (
                          tempCodePoint > 0x7ff &&
                          (tempCodePoint < 0xd800 || tempCodePoint > 0xdfff)
                        ) {
                          codePoint = tempCodePoint;
                        }
                      }
                      break;
                    case 4:
                      secondByte = buf[i + 1];
                      thirdByte = buf[i + 2];
                      fourthByte = buf[i + 3];
                      if (
                        (secondByte & 0xc0) === 0x80 &&
                        (thirdByte & 0xc0) === 0x80 &&
                        (fourthByte & 0xc0) === 0x80
                      ) {
                        tempCodePoint =
                          ((firstByte & 0xf) << 0x12) |
                          ((secondByte & 0x3f) << 0xc) |
                          ((thirdByte & 0x3f) << 0x6) |
                          (fourthByte & 0x3f);
                        if (tempCodePoint > 0xffff && tempCodePoint < 0x110000) {
                          codePoint = tempCodePoint;
                        }
                      }
                  }
                }

                if (codePoint === null) {
                  // we did not generate a valid codePoint so insert a
                  // replacement char (U+FFFD) and advance only 1 byte
                  codePoint = 0xfffd;
                  bytesPerSequence = 1;
                } else if (codePoint > 0xffff) {
                  // encode to utf16 (surrogate pair dance)
                  codePoint -= 0x10000;
                  res.push(((codePoint >>> 10) & 0x3ff) | 0xd800);
                  codePoint = 0xdc00 | (codePoint & 0x3ff);
                }

                res.push(codePoint);
                i += bytesPerSequence;
              }

              return decodeCodePointsArray(res);
            }

            // Based on http://stackoverflow.com/a/22747272/680742, the browser with
            // the lowest limit is Chrome, with 0x10000 args.
            // We go 1 magnitude less, for safety
            var MAX_ARGUMENTS_LENGTH = 0x1000;

            function decodeCodePointsArray(codePoints) {
              var len = codePoints.length;
              if (len <= MAX_ARGUMENTS_LENGTH) {
                return String.fromCharCode.apply(String, codePoints); // avoid extra slice()
              }

              // Decode in chunks to avoid "call stack size exceeded".
              var res = '';
              var i = 0;
              while (i < len) {
                res += String.fromCharCode.apply(
                  String,
                  codePoints.slice(i, (i += MAX_ARGUMENTS_LENGTH)),
                );
              }
              return res;
            }

            function asciiSlice(buf, start, end) {
              var ret = '';
              end = Math.min(buf.length, end);

              for (var i = start; i < end; ++i) {
                ret += String.fromCharCode(buf[i] & 0x7f);
              }
              return ret;
            }

            function latin1Slice(buf, start, end) {
              var ret = '';
              end = Math.min(buf.length, end);

              for (var i = start; i < end; ++i) {
                ret += String.fromCharCode(buf[i]);
              }
              return ret;
            }

            function hexSlice(buf, start, end) {
              var len = buf.length;

              if (!start || start < 0) start = 0;
              if (!end || end < 0 || end > len) end = len;

              var out = '';
              for (var i = start; i < end; ++i) {
                out += toHex(buf[i]);
              }
              return out;
            }

            function utf16leSlice(buf, start, end) {
              var bytes = buf.slice(start, end);
              var res = '';
              for (var i = 0; i < bytes.length; i += 2) {
                res += String.fromCharCode(bytes[i] + bytes[i + 1] * 256);
              }
              return res;
            }

            Buffer.prototype.slice = function slice(start, end) {
              var len = this.length;
              start = ~~start;
              end = end === undefined ? len : ~~end;

              if (start < 0) {
                start += len;
                if (start < 0) start = 0;
              } else if (start > len) {
                start = len;
              }

              if (end < 0) {
                end += len;
                if (end < 0) end = 0;
              } else if (end > len) {
                end = len;
              }

              if (end < start) end = start;

              var newBuf = this.subarray(start, end);
              // Return an augmented `Uint8Array` instance
              newBuf.__proto__ = Buffer.prototype;
              return newBuf;
            };

            /*
             * Need to make sure that buffer isn't trying to write out of bounds.
             */
            function checkOffset(offset, ext, length) {
              if (offset % 1 !== 0 || offset < 0) throw new RangeError('offset is not uint');
              if (offset + ext > length)
                throw new RangeError('Trying to access beyond buffer length');
            }

            Buffer.prototype.readUIntLE = function readUIntLE(offset, byteLength, noAssert) {
              offset = offset >>> 0;
              byteLength = byteLength >>> 0;
              if (!noAssert) checkOffset(offset, byteLength, this.length);

              var val = this[offset];
              var mul = 1;
              var i = 0;
              while (++i < byteLength && (mul *= 0x100)) {
                val += this[offset + i] * mul;
              }

              return val;
            };

            Buffer.prototype.readUIntBE = function readUIntBE(offset, byteLength, noAssert) {
              offset = offset >>> 0;
              byteLength = byteLength >>> 0;
              if (!noAssert) {
                checkOffset(offset, byteLength, this.length);
              }

              var val = this[offset + --byteLength];
              var mul = 1;
              while (byteLength > 0 && (mul *= 0x100)) {
                val += this[offset + --byteLength] * mul;
              }

              return val;
            };

            Buffer.prototype.readUInt8 = function readUInt8(offset, noAssert) {
              offset = offset >>> 0;
              if (!noAssert) checkOffset(offset, 1, this.length);
              return this[offset];
            };

            Buffer.prototype.readUInt16LE = function readUInt16LE(offset, noAssert) {
              offset = offset >>> 0;
              if (!noAssert) checkOffset(offset, 2, this.length);
              return this[offset] | (this[offset + 1] << 8);
            };

            Buffer.prototype.readUInt16BE = function readUInt16BE(offset, noAssert) {
              offset = offset >>> 0;
              if (!noAssert) checkOffset(offset, 2, this.length);
              return (this[offset] << 8) | this[offset + 1];
            };

            Buffer.prototype.readUInt32LE = function readUInt32LE(offset, noAssert) {
              offset = offset >>> 0;
              if (!noAssert) checkOffset(offset, 4, this.length);

              return (
                (this[offset] | (this[offset + 1] << 8) | (this[offset + 2] << 16)) +
                this[offset + 3] * 0x1000000
              );
            };

            Buffer.prototype.readUInt32BE = function readUInt32BE(offset, noAssert) {
              offset = offset >>> 0;
              if (!noAssert) checkOffset(offset, 4, this.length);

              return (
                this[offset] * 0x1000000 +
                ((this[offset + 1] << 16) | (this[offset + 2] << 8) | this[offset + 3])
              );
            };

            Buffer.prototype.readIntLE = function readIntLE(offset, byteLength, noAssert) {
              offset = offset >>> 0;
              byteLength = byteLength >>> 0;
              if (!noAssert) checkOffset(offset, byteLength, this.length);

              var val = this[offset];
              var mul = 1;
              var i = 0;
              while (++i < byteLength && (mul *= 0x100)) {
                val += this[offset + i] * mul;
              }
              mul *= 0x80;

              if (val >= mul) val -= Math.pow(2, 8 * byteLength);

              return val;
            };

            Buffer.prototype.readIntBE = function readIntBE(offset, byteLength, noAssert) {
              offset = offset >>> 0;
              byteLength = byteLength >>> 0;
              if (!noAssert) checkOffset(offset, byteLength, this.length);

              var i = byteLength;
              var mul = 1;
              var val = this[offset + --i];
              while (i > 0 && (mul *= 0x100)) {
                val += this[offset + --i] * mul;
              }
              mul *= 0x80;

              if (val >= mul) val -= Math.pow(2, 8 * byteLength);

              return val;
            };

            Buffer.prototype.readInt8 = function readInt8(offset, noAssert) {
              offset = offset >>> 0;
              if (!noAssert) checkOffset(offset, 1, this.length);
              if (!(this[offset] & 0x80)) return this[offset];
              return (0xff - this[offset] + 1) * -1;
            };

            Buffer.prototype.readInt16LE = function readInt16LE(offset, noAssert) {
              offset = offset >>> 0;
              if (!noAssert) checkOffset(offset, 2, this.length);
              var val = this[offset] | (this[offset + 1] << 8);
              return val & 0x8000 ? val | 0xffff0000 : val;
            };

            Buffer.prototype.readInt16BE = function readInt16BE(offset, noAssert) {
              offset = offset >>> 0;
              if (!noAssert) checkOffset(offset, 2, this.length);
              var val = this[offset + 1] | (this[offset] << 8);
              return val & 0x8000 ? val | 0xffff0000 : val;
            };

            Buffer.prototype.readInt32LE = function readInt32LE(offset, noAssert) {
              offset = offset >>> 0;
              if (!noAssert) checkOffset(offset, 4, this.length);

              return (
                this[offset] |
                (this[offset + 1] << 8) |
                (this[offset + 2] << 16) |
                (this[offset + 3] << 24)
              );
            };

            Buffer.prototype.readInt32BE = function readInt32BE(offset, noAssert) {
              offset = offset >>> 0;
              if (!noAssert) checkOffset(offset, 4, this.length);

              return (
                (this[offset] << 24) |
                (this[offset + 1] << 16) |
                (this[offset + 2] << 8) |
                this[offset + 3]
              );
            };

            Buffer.prototype.readFloatLE = function readFloatLE(offset, noAssert) {
              offset = offset >>> 0;
              if (!noAssert) checkOffset(offset, 4, this.length);
              return ieee754.read(this, offset, true, 23, 4);
            };

            Buffer.prototype.readFloatBE = function readFloatBE(offset, noAssert) {
              offset = offset >>> 0;
              if (!noAssert) checkOffset(offset, 4, this.length);
              return ieee754.read(this, offset, false, 23, 4);
            };

            Buffer.prototype.readDoubleLE = function readDoubleLE(offset, noAssert) {
              offset = offset >>> 0;
              if (!noAssert) checkOffset(offset, 8, this.length);
              return ieee754.read(this, offset, true, 52, 8);
            };

            Buffer.prototype.readDoubleBE = function readDoubleBE(offset, noAssert) {
              offset = offset >>> 0;
              if (!noAssert) checkOffset(offset, 8, this.length);
              return ieee754.read(this, offset, false, 52, 8);
            };

            function checkInt(buf, value, offset, ext, max, min) {
              if (!Buffer.isBuffer(buf))
                throw new TypeError('"buffer" argument must be a Buffer instance');
              if (value > max || value < min)
                throw new RangeError('"value" argument is out of bounds');
              if (offset + ext > buf.length) throw new RangeError('Index out of range');
            }

            Buffer.prototype.writeUIntLE = function writeUIntLE(
              value,
              offset,
              byteLength,
              noAssert,
            ) {
              value = +value;
              offset = offset >>> 0;
              byteLength = byteLength >>> 0;
              if (!noAssert) {
                var maxBytes = Math.pow(2, 8 * byteLength) - 1;
                checkInt(this, value, offset, byteLength, maxBytes, 0);
              }

              var mul = 1;
              var i = 0;
              this[offset] = value & 0xff;
              while (++i < byteLength && (mul *= 0x100)) {
                this[offset + i] = (value / mul) & 0xff;
              }

              return offset + byteLength;
            };

            Buffer.prototype.writeUIntBE = function writeUIntBE(
              value,
              offset,
              byteLength,
              noAssert,
            ) {
              value = +value;
              offset = offset >>> 0;
              byteLength = byteLength >>> 0;
              if (!noAssert) {
                var maxBytes = Math.pow(2, 8 * byteLength) - 1;
                checkInt(this, value, offset, byteLength, maxBytes, 0);
              }

              var i = byteLength - 1;
              var mul = 1;
              this[offset + i] = value & 0xff;
              while (--i >= 0 && (mul *= 0x100)) {
                this[offset + i] = (value / mul) & 0xff;
              }

              return offset + byteLength;
            };

            Buffer.prototype.writeUInt8 = function writeUInt8(value, offset, noAssert) {
              value = +value;
              offset = offset >>> 0;
              if (!noAssert) checkInt(this, value, offset, 1, 0xff, 0);
              this[offset] = value & 0xff;
              return offset + 1;
            };

            Buffer.prototype.writeUInt16LE = function writeUInt16LE(value, offset, noAssert) {
              value = +value;
              offset = offset >>> 0;
              if (!noAssert) checkInt(this, value, offset, 2, 0xffff, 0);
              this[offset] = value & 0xff;
              this[offset + 1] = value >>> 8;
              return offset + 2;
            };

            Buffer.prototype.writeUInt16BE = function writeUInt16BE(value, offset, noAssert) {
              value = +value;
              offset = offset >>> 0;
              if (!noAssert) checkInt(this, value, offset, 2, 0xffff, 0);
              this[offset] = value >>> 8;
              this[offset + 1] = value & 0xff;
              return offset + 2;
            };

            Buffer.prototype.writeUInt32LE = function writeUInt32LE(value, offset, noAssert) {
              value = +value;
              offset = offset >>> 0;
              if (!noAssert) checkInt(this, value, offset, 4, 0xffffffff, 0);
              this[offset + 3] = value >>> 24;
              this[offset + 2] = value >>> 16;
              this[offset + 1] = value >>> 8;
              this[offset] = value & 0xff;
              return offset + 4;
            };

            Buffer.prototype.writeUInt32BE = function writeUInt32BE(value, offset, noAssert) {
              value = +value;
              offset = offset >>> 0;
              if (!noAssert) checkInt(this, value, offset, 4, 0xffffffff, 0);
              this[offset] = value >>> 24;
              this[offset + 1] = value >>> 16;
              this[offset + 2] = value >>> 8;
              this[offset + 3] = value & 0xff;
              return offset + 4;
            };

            Buffer.prototype.writeIntLE = function writeIntLE(value, offset, byteLength, noAssert) {
              value = +value;
              offset = offset >>> 0;
              if (!noAssert) {
                var limit = Math.pow(2, 8 * byteLength - 1);

                checkInt(this, value, offset, byteLength, limit - 1, -limit);
              }

              var i = 0;
              var mul = 1;
              var sub = 0;
              this[offset] = value & 0xff;
              while (++i < byteLength && (mul *= 0x100)) {
                if (value < 0 && sub === 0 && this[offset + i - 1] !== 0) {
                  sub = 1;
                }
                this[offset + i] = (((value / mul) >> 0) - sub) & 0xff;
              }

              return offset + byteLength;
            };

            Buffer.prototype.writeIntBE = function writeIntBE(value, offset, byteLength, noAssert) {
              value = +value;
              offset = offset >>> 0;
              if (!noAssert) {
                var limit = Math.pow(2, 8 * byteLength - 1);

                checkInt(this, value, offset, byteLength, limit - 1, -limit);
              }

              var i = byteLength - 1;
              var mul = 1;
              var sub = 0;
              this[offset + i] = value & 0xff;
              while (--i >= 0 && (mul *= 0x100)) {
                if (value < 0 && sub === 0 && this[offset + i + 1] !== 0) {
                  sub = 1;
                }
                this[offset + i] = (((value / mul) >> 0) - sub) & 0xff;
              }

              return offset + byteLength;
            };

            Buffer.prototype.writeInt8 = function writeInt8(value, offset, noAssert) {
              value = +value;
              offset = offset >>> 0;
              if (!noAssert) checkInt(this, value, offset, 1, 0x7f, -0x80);
              if (value < 0) value = 0xff + value + 1;
              this[offset] = value & 0xff;
              return offset + 1;
            };

            Buffer.prototype.writeInt16LE = function writeInt16LE(value, offset, noAssert) {
              value = +value;
              offset = offset >>> 0;
              if (!noAssert) checkInt(this, value, offset, 2, 0x7fff, -0x8000);
              this[offset] = value & 0xff;
              this[offset + 1] = value >>> 8;
              return offset + 2;
            };

            Buffer.prototype.writeInt16BE = function writeInt16BE(value, offset, noAssert) {
              value = +value;
              offset = offset >>> 0;
              if (!noAssert) checkInt(this, value, offset, 2, 0x7fff, -0x8000);
              this[offset] = value >>> 8;
              this[offset + 1] = value & 0xff;
              return offset + 2;
            };

            Buffer.prototype.writeInt32LE = function writeInt32LE(value, offset, noAssert) {
              value = +value;
              offset = offset >>> 0;
              if (!noAssert) checkInt(this, value, offset, 4, 0x7fffffff, -0x80000000);
              this[offset] = value & 0xff;
              this[offset + 1] = value >>> 8;
              this[offset + 2] = value >>> 16;
              this[offset + 3] = value >>> 24;
              return offset + 4;
            };

            Buffer.prototype.writeInt32BE = function writeInt32BE(value, offset, noAssert) {
              value = +value;
              offset = offset >>> 0;
              if (!noAssert) checkInt(this, value, offset, 4, 0x7fffffff, -0x80000000);
              if (value < 0) value = 0xffffffff + value + 1;
              this[offset] = value >>> 24;
              this[offset + 1] = value >>> 16;
              this[offset + 2] = value >>> 8;
              this[offset + 3] = value & 0xff;
              return offset + 4;
            };

            function checkIEEE754(buf, value, offset, ext, max, min) {
              if (offset + ext > buf.length) throw new RangeError('Index out of range');
              if (offset < 0) throw new RangeError('Index out of range');
            }

            function writeFloat(buf, value, offset, littleEndian, noAssert) {
              value = +value;
              offset = offset >>> 0;
              if (!noAssert) {
                checkIEEE754(buf, value, offset, 4, 3.4028234663852886e38, -3.4028234663852886e38);
              }
              ieee754.write(buf, value, offset, littleEndian, 23, 4);
              return offset + 4;
            }

            Buffer.prototype.writeFloatLE = function writeFloatLE(value, offset, noAssert) {
              return writeFloat(this, value, offset, true, noAssert);
            };

            Buffer.prototype.writeFloatBE = function writeFloatBE(value, offset, noAssert) {
              return writeFloat(this, value, offset, false, noAssert);
            };

            function writeDouble(buf, value, offset, littleEndian, noAssert) {
              value = +value;
              offset = offset >>> 0;
              if (!noAssert) {
                checkIEEE754(
                  buf,
                  value,
                  offset,
                  8,
                  1.7976931348623157e308,
                  -1.7976931348623157e308,
                );
              }
              ieee754.write(buf, value, offset, littleEndian, 52, 8);
              return offset + 8;
            }

            Buffer.prototype.writeDoubleLE = function writeDoubleLE(value, offset, noAssert) {
              return writeDouble(this, value, offset, true, noAssert);
            };

            Buffer.prototype.writeDoubleBE = function writeDoubleBE(value, offset, noAssert) {
              return writeDouble(this, value, offset, false, noAssert);
            };

            // copy(targetBuffer, targetStart=0, sourceStart=0, sourceEnd=buffer.length)
            Buffer.prototype.copy = function copy(target, targetStart, start, end) {
              if (!Buffer.isBuffer(target)) throw new TypeError('argument should be a Buffer');
              if (!start) start = 0;
              if (!end && end !== 0) end = this.length;
              if (targetStart >= target.length) targetStart = target.length;
              if (!targetStart) targetStart = 0;
              if (end > 0 && end < start) end = start;

              // Copy 0 bytes; we're done
              if (end === start) return 0;
              if (target.length === 0 || this.length === 0) return 0;

              // Fatal error conditions
              if (targetStart < 0) {
                throw new RangeError('targetStart out of bounds');
              }
              if (start < 0 || start >= this.length) throw new RangeError('Index out of range');
              if (end < 0) throw new RangeError('sourceEnd out of bounds');

              // Are we oob?
              if (end > this.length) end = this.length;
              if (target.length - targetStart < end - start) {
                end = target.length - targetStart + start;
              }

              var len = end - start;

              if (this === target && typeof Uint8Array.prototype.copyWithin === 'function') {
                // Use built-in when available, missing from IE11
                this.copyWithin(targetStart, start, end);
              } else if (this === target && start < targetStart && targetStart < end) {
                // descending copy from end
                for (var i = len - 1; i >= 0; --i) {
                  target[i + targetStart] = this[i + start];
                }
              } else {
                Uint8Array.prototype.set.call(target, this.subarray(start, end), targetStart);
              }

              return len;
            };

            // Usage:
            //    buffer.fill(number[, offset[, end]])
            //    buffer.fill(buffer[, offset[, end]])
            //    buffer.fill(string[, offset[, end]][, encoding])
            Buffer.prototype.fill = function fill(val, start, end, encoding) {
              // Handle string cases:
              if (typeof val === 'string') {
                if (typeof start === 'string') {
                  encoding = start;
                  start = 0;
                  end = this.length;
                } else if (typeof end === 'string') {
                  encoding = end;
                  end = this.length;
                }
                if (encoding !== undefined && typeof encoding !== 'string') {
                  throw new TypeError('encoding must be a string');
                }
                if (typeof encoding === 'string' && !Buffer.isEncoding(encoding)) {
                  throw new TypeError('Unknown encoding: ' + encoding);
                }
                if (val.length === 1) {
                  var code = val.charCodeAt(0);
                  if ((encoding === 'utf8' && code < 128) || encoding === 'latin1') {
                    // Fast path: If `val` fits into a single byte, use that numeric value.
                    val = code;
                  }
                }
              } else if (typeof val === 'number') {
                val = val & 255;
              }

              // Invalid ranges are not set to a default, so can range check early.
              if (start < 0 || this.length < start || this.length < end) {
                throw new RangeError('Out of range index');
              }

              if (end <= start) {
                return this;
              }

              start = start >>> 0;
              end = end === undefined ? this.length : end >>> 0;

              if (!val) val = 0;

              var i;
              if (typeof val === 'number') {
                for (i = start; i < end; ++i) {
                  this[i] = val;
                }
              } else {
                var bytes = Buffer.isBuffer(val) ? val : Buffer.from(val, encoding);
                var len = bytes.length;
                if (len === 0) {
                  throw new TypeError('The value "' + val + '" is invalid for argument "value"');
                }
                for (i = 0; i < end - start; ++i) {
                  this[i + start] = bytes[i % len];
                }
              }

              return this;
            };

            // HELPER FUNCTIONS
            // ================

            var INVALID_BASE64_RE = /[^+/0-9A-Za-z-_]/g;

            function base64clean(str) {
              // Node takes equal signs as end of the Base64 encoding
              str = str.split('=')[0];
              // Node strips out invalid characters like \n and \t from the string, base64-js does not
              str = str.trim().replace(INVALID_BASE64_RE, '');
              // Node converts strings with length < 2 to ''
              if (str.length < 2) return '';
              // Node allows for non-padded base64 strings (missing trailing ===), base64-js does not
              while (str.length % 4 !== 0) {
                str = str + '=';
              }
              return str;
            }

            function toHex(n) {
              if (n < 16) return '0' + n.toString(16);
              return n.toString(16);
            }

            function utf8ToBytes(string, units) {
              units = units || Infinity;
              var codePoint;
              var length = string.length;
              var leadSurrogate = null;
              var bytes = [];

              for (var i = 0; i < length; ++i) {
                codePoint = string.charCodeAt(i);

                // is surrogate component
                if (codePoint > 0xd7ff && codePoint < 0xe000) {
                  // last char was a lead
                  if (!leadSurrogate) {
                    // no lead yet
                    if (codePoint > 0xdbff) {
                      // unexpected trail
                      if ((units -= 3) > -1) bytes.push(0xef, 0xbf, 0xbd);
                      continue;
                    } else if (i + 1 === length) {
                      // unpaired lead
                      if ((units -= 3) > -1) bytes.push(0xef, 0xbf, 0xbd);
                      continue;
                    }

                    // valid lead
                    leadSurrogate = codePoint;

                    continue;
                  }

                  // 2 leads in a row
                  if (codePoint < 0xdc00) {
                    if ((units -= 3) > -1) bytes.push(0xef, 0xbf, 0xbd);
                    leadSurrogate = codePoint;
                    continue;
                  }

                  // valid surrogate pair
                  codePoint = (((leadSurrogate - 0xd800) << 10) | (codePoint - 0xdc00)) + 0x10000;
                } else if (leadSurrogate) {
                  // valid bmp char, but last char was a lead
                  if ((units -= 3) > -1) bytes.push(0xef, 0xbf, 0xbd);
                }

                leadSurrogate = null;

                // encode utf8
                if (codePoint < 0x80) {
                  if ((units -= 1) < 0) break;
                  bytes.push(codePoint);
                } else if (codePoint < 0x800) {
                  if ((units -= 2) < 0) break;
                  bytes.push((codePoint >> 0x6) | 0xc0, (codePoint & 0x3f) | 0x80);
                } else if (codePoint < 0x10000) {
                  if ((units -= 3) < 0) break;
                  bytes.push(
                    (codePoint >> 0xc) | 0xe0,
                    ((codePoint >> 0x6) & 0x3f) | 0x80,
                    (codePoint & 0x3f) | 0x80,
                  );
                } else if (codePoint < 0x110000) {
                  if ((units -= 4) < 0) break;
                  bytes.push(
                    (codePoint >> 0x12) | 0xf0,
                    ((codePoint >> 0xc) & 0x3f) | 0x80,
                    ((codePoint >> 0x6) & 0x3f) | 0x80,
                    (codePoint & 0x3f) | 0x80,
                  );
                } else {
                  throw new Error('Invalid code point');
                }
              }

              return bytes;
            }

            function asciiToBytes(str) {
              var byteArray = [];
              for (var i = 0; i < str.length; ++i) {
                // Node's code seems to be doing this and not & 0x7F..
                byteArray.push(str.charCodeAt(i) & 0xff);
              }
              return byteArray;
            }

            function utf16leToBytes(str, units) {
              var c, hi, lo;
              var byteArray = [];
              for (var i = 0; i < str.length; ++i) {
                if ((units -= 2) < 0) break;

                c = str.charCodeAt(i);
                hi = c >> 8;
                lo = c % 256;
                byteArray.push(lo);
                byteArray.push(hi);
              }

              return byteArray;
            }

            function base64ToBytes(str) {
              return base64.toByteArray(base64clean(str));
            }

            function blitBuffer(src, dst, offset, length) {
              for (var i = 0; i < length; ++i) {
                if (i + offset >= dst.length || i >= src.length) break;
                dst[i + offset] = src[i];
              }
              return i;
            }

            // ArrayBuffer or Uint8Array objects from other contexts (i.e. iframes) do not pass
            // the `instanceof` check but they should be treated as of that type.
            // See: https://github.com/feross/buffer/issues/166
            function isInstance(obj, type) {
              return (
                obj instanceof type ||
                (obj != null &&
                  obj.constructor != null &&
                  obj.constructor.name != null &&
                  obj.constructor.name === type.name)
              );
            }
            function numberIsNaN(obj) {
              // For IE11 support
              return obj !== obj; // eslint-disable-line no-self-compare
            }
          }.call(this));
        }.call(this, require('buffer').Buffer));
      },
      { 'base64-js': 36, 'buffer': 38, 'ieee754': 39 },
    ],
    39: [
      function (require, module, exports) {
        /*! ieee754. BSD-3-Clause License. Feross Aboukhadijeh <https://feross.org/opensource> */
        exports.read = function (buffer, offset, isLE, mLen, nBytes) {
          var e, m;
          var eLen = nBytes * 8 - mLen - 1;
          var eMax = (1 << eLen) - 1;
          var eBias = eMax >> 1;
          var nBits = -7;
          var i = isLE ? nBytes - 1 : 0;
          var d = isLE ? -1 : 1;
          var s = buffer[offset + i];

          i += d;

          e = s & ((1 << -nBits) - 1);
          s >>= -nBits;
          nBits += eLen;
          for (; nBits > 0; e = e * 256 + buffer[offset + i], i += d, nBits -= 8) {}

          m = e & ((1 << -nBits) - 1);
          e >>= -nBits;
          nBits += mLen;
          for (; nBits > 0; m = m * 256 + buffer[offset + i], i += d, nBits -= 8) {}

          if (e === 0) {
            e = 1 - eBias;
          } else if (e === eMax) {
            return m ? NaN : (s ? -1 : 1) * Infinity;
          } else {
            m = m + Math.pow(2, mLen);
            e = e - eBias;
          }
          return (s ? -1 : 1) * m * Math.pow(2, e - mLen);
        };

        exports.write = function (buffer, value, offset, isLE, mLen, nBytes) {
          var e, m, c;
          var eLen = nBytes * 8 - mLen - 1;
          var eMax = (1 << eLen) - 1;
          var eBias = eMax >> 1;
          var rt = mLen === 23 ? Math.pow(2, -24) - Math.pow(2, -77) : 0;
          var i = isLE ? 0 : nBytes - 1;
          var d = isLE ? 1 : -1;
          var s = value < 0 || (value === 0 && 1 / value < 0) ? 1 : 0;

          value = Math.abs(value);

          if (isNaN(value) || value === Infinity) {
            m = isNaN(value) ? 1 : 0;
            e = eMax;
          } else {
            e = Math.floor(Math.log(value) / Math.LN2);
            if (value * (c = Math.pow(2, -e)) < 1) {
              e--;
              c *= 2;
            }
            if (e + eBias >= 1) {
              value += rt / c;
            } else {
              value += rt * Math.pow(2, 1 - eBias);
            }
            if (value * c >= 2) {
              e++;
              c /= 2;
            }

            if (e + eBias >= eMax) {
              m = 0;
              e = eMax;
            } else if (e + eBias >= 1) {
              m = (value * c - 1) * Math.pow(2, mLen);
              e = e + eBias;
            } else {
              m = value * Math.pow(2, eBias - 1) * Math.pow(2, mLen);
              e = 0;
            }
          }

          for (; mLen >= 8; buffer[offset + i] = m & 0xff, i += d, m /= 256, mLen -= 8) {}

          e = (e << mLen) | m;
          eLen += mLen;
          for (; eLen > 0; buffer[offset + i] = e & 0xff, i += d, e /= 256, eLen -= 8) {}

          buffer[offset + i - d] |= s * 128;
        };
      },
      {},
    ],
    40: [
      function (require, module, exports) {
        // shim for using process in browser
        var process = (module.exports = {});

        // cached from whatever global is present so that test runners that stub it
        // don't break things.  But we need to wrap it in a try catch in case it is
        // wrapped in strict mode code which doesn't define any globals.  It's inside a
        // function because try/catches deoptimize in certain engines.

        var cachedSetTimeout;
        var cachedClearTimeout;

        function defaultSetTimout() {
          throw new Error('setTimeout has not been defined');
        }
        function defaultClearTimeout() {
          throw new Error('clearTimeout has not been defined');
        }
        (function () {
          try {
            if (typeof setTimeout === 'function') {
              cachedSetTimeout = setTimeout;
            } else {
              cachedSetTimeout = defaultSetTimout;
            }
          } catch (e) {
            cachedSetTimeout = defaultSetTimout;
          }
          try {
            if (typeof clearTimeout === 'function') {
              cachedClearTimeout = clearTimeout;
            } else {
              cachedClearTimeout = defaultClearTimeout;
            }
          } catch (e) {
            cachedClearTimeout = defaultClearTimeout;
          }
        })();
        function runTimeout(fun) {
          if (cachedSetTimeout === setTimeout) {
            //normal enviroments in sane situations
            return setTimeout(fun, 0);
          }
          // if setTimeout wasn't available but was latter defined
          if ((cachedSetTimeout === defaultSetTimout || !cachedSetTimeout) && setTimeout) {
            cachedSetTimeout = setTimeout;
            return setTimeout(fun, 0);
          }
          try {
            // when when somebody has screwed with setTimeout but no I.E. maddness
            return cachedSetTimeout(fun, 0);
          } catch (e) {
            try {
              // When we are in I.E. but the script has been evaled so I.E. doesn't trust the global object when called normally
              return cachedSetTimeout.call(null, fun, 0);
            } catch (e) {
              // same as above but when it's a version of I.E. that must have the global object for 'this', hopfully our context correct otherwise it will throw a global error
              return cachedSetTimeout.call(this, fun, 0);
            }
          }
        }
        function runClearTimeout(marker) {
          if (cachedClearTimeout === clearTimeout) {
            //normal enviroments in sane situations
            return clearTimeout(marker);
          }
          // if clearTimeout wasn't available but was latter defined
          if ((cachedClearTimeout === defaultClearTimeout || !cachedClearTimeout) && clearTimeout) {
            cachedClearTimeout = clearTimeout;
            return clearTimeout(marker);
          }
          try {
            // when when somebody has screwed with setTimeout but no I.E. maddness
            return cachedClearTimeout(marker);
          } catch (e) {
            try {
              // When we are in I.E. but the script has been evaled so I.E. doesn't  trust the global object when called normally
              return cachedClearTimeout.call(null, marker);
            } catch (e) {
              // same as above but when it's a version of I.E. that must have the global object for 'this', hopfully our context correct otherwise it will throw a global error.
              // Some versions of I.E. have different rules for clearTimeout vs setTimeout
              return cachedClearTimeout.call(this, marker);
            }
          }
        }
        var queue = [];
        var draining = false;
        var currentQueue;
        var queueIndex = -1;

        function cleanUpNextTick() {
          if (!draining || !currentQueue) {
            return;
          }
          draining = false;
          if (currentQueue.length) {
            queue = currentQueue.concat(queue);
          } else {
            queueIndex = -1;
          }
          if (queue.length) {
            drainQueue();
          }
        }

        function drainQueue() {
          if (draining) {
            return;
          }
          var timeout = runTimeout(cleanUpNextTick);
          draining = true;

          var len = queue.length;
          while (len) {
            currentQueue = queue;
            queue = [];
            while (++queueIndex < len) {
              if (currentQueue) {
                currentQueue[queueIndex].run();
              }
            }
            queueIndex = -1;
            len = queue.length;
          }
          currentQueue = null;
          draining = false;
          runClearTimeout(timeout);
        }

        process.nextTick = function (fun) {
          var args = new Array(arguments.length - 1);
          if (arguments.length > 1) {
            for (var i = 1; i < arguments.length; i++) {
              args[i - 1] = arguments[i];
            }
          }
          queue.push(new Item(fun, args));
          if (queue.length === 1 && !draining) {
            runTimeout(drainQueue);
          }
        };

        // v8 likes predictible objects
        function Item(fun, array) {
          this.fun = fun;
          this.array = array;
        }
        Item.prototype.run = function () {
          this.fun.apply(null, this.array);
        };
        process.title = 'browser';
        process.browser = true;
        process.env = {};
        process.argv = [];
        process.version = ''; // empty string to avoid regexp issues
        process.versions = {};

        function noop() {}

        process.on = noop;
        process.addListener = noop;
        process.once = noop;
        process.off = noop;
        process.removeListener = noop;
        process.removeAllListeners = noop;
        process.emit = noop;
        process.prependListener = noop;
        process.prependOnceListener = noop;

        process.listeners = function (name) {
          return [];
        };

        process.binding = function (name) {
          throw new Error('process.binding is not supported');
        };

        process.cwd = function () {
          return '/';
        };
        process.chdir = function (dir) {
          throw new Error('process.chdir is not supported');
        };
        process.umask = function () {
          return 0;
        };
      },
      {},
    ],
    41: [
      function (require, module, exports) {
        // A library of seedable RNGs implemented in Javascript.
        //
        // Usage:
        //
        // var seedrandom = require('seedrandom');
        // var random = seedrandom(1); // or any seed.
        // var x = random();       // 0 <= x < 1.  Every bit is random.
        // var x = random.quick(); // 0 <= x < 1.  32 bits of randomness.

        // alea, a 53-bit multiply-with-carry generator by Johannes Baagøe.
        // Period: ~2^116
        // Reported to pass all BigCrush tests.
        var alea = require('./lib/alea');

        // xor128, a pure xor-shift generator by George Marsaglia.
        // Period: 2^128-1.
        // Reported to fail: MatrixRank and LinearComp.
        var xor128 = require('./lib/xor128');

        // xorwow, George Marsaglia's 160-bit xor-shift combined plus weyl.
        // Period: 2^192-2^32
        // Reported to fail: CollisionOver, SimpPoker, and LinearComp.
        var xorwow = require('./lib/xorwow');

        // xorshift7, by François Panneton and Pierre L'ecuyer, takes
        // a different approach: it adds robustness by allowing more shifts
        // than Marsaglia's original three.  It is a 7-shift generator
        // with 256 bits, that passes BigCrush with no systmatic failures.
        // Period 2^256-1.
        // No systematic BigCrush failures reported.
        var xorshift7 = require('./lib/xorshift7');

        // xor4096, by Richard Brent, is a 4096-bit xor-shift with a
        // very long period that also adds a Weyl generator. It also passes
        // BigCrush with no systematic failures.  Its long period may
        // be useful if you have many generators and need to avoid
        // collisions.
        // Period: 2^4128-2^32.
        // No systematic BigCrush failures reported.
        var xor4096 = require('./lib/xor4096');

        // Tyche-i, by Samuel Neves and Filipe Araujo, is a bit-shifting random
        // number generator derived from ChaCha, a modern stream cipher.
        // https://eden.dei.uc.pt/~sneves/pubs/2011-snfa2.pdf
        // Period: ~2^127
        // No systematic BigCrush failures reported.
        var tychei = require('./lib/tychei');

        // The original ARC4-based prng included in this library.
        // Period: ~2^1600
        var sr = require('./seedrandom');

        sr.alea = alea;
        sr.xor128 = xor128;
        sr.xorwow = xorwow;
        sr.xorshift7 = xorshift7;
        sr.xor4096 = xor4096;
        sr.tychei = tychei;

        module.exports = sr;
      },
      {
        './lib/alea': 42,
        './lib/tychei': 43,
        './lib/xor128': 44,
        './lib/xor4096': 45,
        './lib/xorshift7': 46,
        './lib/xorwow': 47,
        './seedrandom': 48,
      },
    ],
    42: [
      function (require, module, exports) {
        // A port of an algorithm by Johannes Baagøe <baagoe@baagoe.com>, 2010
        // http://baagoe.com/en/RandomMusings/javascript/
        // https://github.com/nquinlan/better-random-numbers-for-javascript-mirror
        // Original work is under MIT license -

        // Copyright (C) 2010 by Johannes Baagøe <baagoe@baagoe.org>
        //
        // Permission is hereby granted, free of charge, to any person obtaining a copy
        // of this software and associated documentation files (the "Software"), to deal
        // in the Software without restriction, including without limitation the rights
        // to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
        // copies of the Software, and to permit persons to whom the Software is
        // furnished to do so, subject to the following conditions:
        //
        // The above copyright notice and this permission notice shall be included in
        // all copies or substantial portions of the Software.
        //
        // THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
        // IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
        // FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
        // AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
        // LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
        // OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
        // THE SOFTWARE.

        (function (global, module, define) {
          function Alea(seed) {
            var me = this,
              mash = Mash();

            me.next = function () {
              var t = 2091639 * me.s0 + me.c * 2.3283064365386963e-10; // 2^-32
              me.s0 = me.s1;
              me.s1 = me.s2;
              return (me.s2 = t - (me.c = t | 0));
            };

            // Apply the seeding algorithm from Baagoe.
            me.c = 1;
            me.s0 = mash(' ');
            me.s1 = mash(' ');
            me.s2 = mash(' ');
            me.s0 -= mash(seed);
            if (me.s0 < 0) {
              me.s0 += 1;
            }
            me.s1 -= mash(seed);
            if (me.s1 < 0) {
              me.s1 += 1;
            }
            me.s2 -= mash(seed);
            if (me.s2 < 0) {
              me.s2 += 1;
            }
            mash = null;
          }

          function copy(f, t) {
            t.c = f.c;
            t.s0 = f.s0;
            t.s1 = f.s1;
            t.s2 = f.s2;
            return t;
          }

          function impl(seed, opts) {
            var xg = new Alea(seed),
              state = opts && opts.state,
              prng = xg.next;
            prng.int32 = function () {
              return (xg.next() * 0x100000000) | 0;
            };
            prng.double = function () {
              return prng() + ((prng() * 0x200000) | 0) * 1.1102230246251565e-16; // 2^-53
            };
            prng.quick = prng;
            if (state) {
              if (typeof state == 'object') copy(state, xg);
              prng.state = function () {
                return copy(xg, {});
              };
            }
            return prng;
          }

          function Mash() {
            var n = 0xefc8249d;

            var mash = function (data) {
              data = data.toString();
              for (var i = 0; i < data.length; i++) {
                n += data.charCodeAt(i);
                var h = 0.02519603282416938 * n;
                n = h >>> 0;
                h -= n;
                h *= n;
                n = h >>> 0;
                h -= n;
                n += h * 0x100000000; // 2^32
              }
              return (n >>> 0) * 2.3283064365386963e-10; // 2^-32
            };

            return mash;
          }

          if (module && module.exports) {
            module.exports = impl;
          } else if (define && define.amd) {
            define(function () {
              return impl;
            });
          } else {
            this.alea = impl;
          }
        })(
          this,
          typeof module == 'object' && module, // present in node.js
          typeof define == 'function' && define, // present with an AMD loader
        );
      },
      {},
    ],
    43: [
      function (require, module, exports) {
        // A Javascript implementaion of the "Tyche-i" prng algorithm by
        // Samuel Neves and Filipe Araujo.
        // See https://eden.dei.uc.pt/~sneves/pubs/2011-snfa2.pdf

        (function (global, module, define) {
          function XorGen(seed) {
            var me = this,
              strseed = '';

            // Set up generator function.
            me.next = function () {
              var b = me.b,
                c = me.c,
                d = me.d,
                a = me.a;
              b = (b << 25) ^ (b >>> 7) ^ c;
              c = (c - d) | 0;
              d = (d << 24) ^ (d >>> 8) ^ a;
              a = (a - b) | 0;
              me.b = b = (b << 20) ^ (b >>> 12) ^ c;
              me.c = c = (c - d) | 0;
              me.d = (d << 16) ^ (c >>> 16) ^ a;
              return (me.a = (a - b) | 0);
            };

            /* The following is non-inverted tyche, which has better internal
   * bit diffusion, but which is about 25% slower than tyche-i in JS.
  me.next = function() {
    var a = me.a, b = me.b, c = me.c, d = me.d;
    a = (me.a + me.b | 0) >>> 0;
    d = me.d ^ a; d = d << 16 ^ d >>> 16;
    c = me.c + d | 0;
    b = me.b ^ c; b = b << 12 ^ d >>> 20;
    me.a = a = a + b | 0;
    d = d ^ a; me.d = d = d << 8 ^ d >>> 24;
    me.c = c = c + d | 0;
    b = b ^ c;
    return me.b = (b << 7 ^ b >>> 25);
  }
  */

            me.a = 0;
            me.b = 0;
            me.c = 2654435769 | 0;
            me.d = 1367130551;

            if (seed === Math.floor(seed)) {
              // Integer seed.
              me.a = (seed / 0x100000000) | 0;
              me.b = seed | 0;
            } else {
              // String seed.
              strseed += seed;
            }

            // Mix in string seed, then discard an initial batch of 64 values.
            for (var k = 0; k < strseed.length + 20; k++) {
              me.b ^= strseed.charCodeAt(k) | 0;
              me.next();
            }
          }

          function copy(f, t) {
            t.a = f.a;
            t.b = f.b;
            t.c = f.c;
            t.d = f.d;
            return t;
          }

          function impl(seed, opts) {
            var xg = new XorGen(seed),
              state = opts && opts.state,
              prng = function () {
                return (xg.next() >>> 0) / 0x100000000;
              };
            prng.double = function () {
              do {
                var top = xg.next() >>> 11,
                  bot = (xg.next() >>> 0) / 0x100000000,
                  result = (top + bot) / (1 << 21);
              } while (result === 0);
              return result;
            };
            prng.int32 = xg.next;
            prng.quick = prng;
            if (state) {
              if (typeof state == 'object') copy(state, xg);
              prng.state = function () {
                return copy(xg, {});
              };
            }
            return prng;
          }

          if (module && module.exports) {
            module.exports = impl;
          } else if (define && define.amd) {
            define(function () {
              return impl;
            });
          } else {
            this.tychei = impl;
          }
        })(
          this,
          typeof module == 'object' && module, // present in node.js
          typeof define == 'function' && define, // present with an AMD loader
        );
      },
      {},
    ],
    44: [
      function (require, module, exports) {
        // A Javascript implementaion of the "xor128" prng algorithm by
        // George Marsaglia.  See http://www.jstatsoft.org/v08/i14/paper

        (function (global, module, define) {
          function XorGen(seed) {
            var me = this,
              strseed = '';

            me.x = 0;
            me.y = 0;
            me.z = 0;
            me.w = 0;

            // Set up generator function.
            me.next = function () {
              var t = me.x ^ (me.x << 11);
              me.x = me.y;
              me.y = me.z;
              me.z = me.w;
              return (me.w ^= (me.w >>> 19) ^ t ^ (t >>> 8));
            };

            if (seed === (seed | 0)) {
              // Integer seed.
              me.x = seed;
            } else {
              // String seed.
              strseed += seed;
            }

            // Mix in string seed, then discard an initial batch of 64 values.
            for (var k = 0; k < strseed.length + 64; k++) {
              me.x ^= strseed.charCodeAt(k) | 0;
              me.next();
            }
          }

          function copy(f, t) {
            t.x = f.x;
            t.y = f.y;
            t.z = f.z;
            t.w = f.w;
            return t;
          }

          function impl(seed, opts) {
            var xg = new XorGen(seed),
              state = opts && opts.state,
              prng = function () {
                return (xg.next() >>> 0) / 0x100000000;
              };
            prng.double = function () {
              do {
                var top = xg.next() >>> 11,
                  bot = (xg.next() >>> 0) / 0x100000000,
                  result = (top + bot) / (1 << 21);
              } while (result === 0);
              return result;
            };
            prng.int32 = xg.next;
            prng.quick = prng;
            if (state) {
              if (typeof state == 'object') copy(state, xg);
              prng.state = function () {
                return copy(xg, {});
              };
            }
            return prng;
          }

          if (module && module.exports) {
            module.exports = impl;
          } else if (define && define.amd) {
            define(function () {
              return impl;
            });
          } else {
            this.xor128 = impl;
          }
        })(
          this,
          typeof module == 'object' && module, // present in node.js
          typeof define == 'function' && define, // present with an AMD loader
        );
      },
      {},
    ],
    45: [
      function (require, module, exports) {
        // A Javascript implementaion of Richard Brent's Xorgens xor4096 algorithm.
        //
        // This fast non-cryptographic random number generator is designed for
        // use in Monte-Carlo algorithms. It combines a long-period xorshift
        // generator with a Weyl generator, and it passes all common batteries
        // of stasticial tests for randomness while consuming only a few nanoseconds
        // for each prng generated.  For background on the generator, see Brent's
        // paper: "Some long-period random number generators using shifts and xors."
        // http://arxiv.org/pdf/1004.3115v1.pdf
        //
        // Usage:
        //
        // var xor4096 = require('xor4096');
        // random = xor4096(1);                        // Seed with int32 or string.
        // assert.equal(random(), 0.1520436450538547); // (0, 1) range, 53 bits.
        // assert.equal(random.int32(), 1806534897);   // signed int32, 32 bits.
        //
        // For nonzero numeric keys, this impelementation provides a sequence
        // identical to that by Brent's xorgens 3 implementaion in C.  This
        // implementation also provides for initalizing the generator with
        // string seeds, or for saving and restoring the state of the generator.
        //
        // On Chrome, this prng benchmarks about 2.1 times slower than
        // Javascript's built-in Math.random().

        (function (global, module, define) {
          function XorGen(seed) {
            var me = this;

            // Set up generator function.
            me.next = function () {
              var w = me.w,
                X = me.X,
                i = me.i,
                t,
                v;
              // Update Weyl generator.
              me.w = w = (w + 0x61c88647) | 0;
              // Update xor generator.
              v = X[(i + 34) & 127];
              t = X[(i = (i + 1) & 127)];
              v ^= v << 13;
              t ^= t << 17;
              v ^= v >>> 15;
              t ^= t >>> 12;
              // Update Xor generator array state.
              v = X[i] = v ^ t;
              me.i = i;
              // Result is the combination.
              return (v + (w ^ (w >>> 16))) | 0;
            };

            function init(me, seed) {
              var t,
                v,
                i,
                j,
                w,
                X = [],
                limit = 128;
              if (seed === (seed | 0)) {
                // Numeric seeds initialize v, which is used to generates X.
                v = seed;
                seed = null;
              } else {
                // String seeds are mixed into v and X one character at a time.
                seed = seed + '\0';
                v = 0;
                limit = Math.max(limit, seed.length);
              }
              // Initialize circular array and weyl value.
              for (i = 0, j = -32; j < limit; ++j) {
                // Put the unicode characters into the array, and shuffle them.
                if (seed) v ^= seed.charCodeAt((j + 32) % seed.length);
                // After 32 shuffles, take v as the starting w value.
                if (j === 0) w = v;
                v ^= v << 10;
                v ^= v >>> 15;
                v ^= v << 4;
                v ^= v >>> 13;
                if (j >= 0) {
                  w = (w + 0x61c88647) | 0; // Weyl.
                  t = X[j & 127] ^= v + w; // Combine xor and weyl to init array.
                  i = 0 == t ? i + 1 : 0; // Count zeroes.
                }
              }
              // We have detected all zeroes; make the key nonzero.
              if (i >= 128) {
                X[((seed && seed.length) || 0) & 127] = -1;
              }
              // Run the generator 512 times to further mix the state before using it.
              // Factoring this as a function slows the main generator, so it is just
              // unrolled here.  The weyl generator is not advanced while warming up.
              i = 127;
              for (j = 4 * 128; j > 0; --j) {
                v = X[(i + 34) & 127];
                t = X[(i = (i + 1) & 127)];
                v ^= v << 13;
                t ^= t << 17;
                v ^= v >>> 15;
                t ^= t >>> 12;
                X[i] = v ^ t;
              }
              // Storing state as object members is faster than using closure variables.
              me.w = w;
              me.X = X;
              me.i = i;
            }

            init(me, seed);
          }

          function copy(f, t) {
            t.i = f.i;
            t.w = f.w;
            t.X = f.X.slice();
            return t;
          }

          function impl(seed, opts) {
            if (seed == null) seed = +new Date();
            var xg = new XorGen(seed),
              state = opts && opts.state,
              prng = function () {
                return (xg.next() >>> 0) / 0x100000000;
              };
            prng.double = function () {
              do {
                var top = xg.next() >>> 11,
                  bot = (xg.next() >>> 0) / 0x100000000,
                  result = (top + bot) / (1 << 21);
              } while (result === 0);
              return result;
            };
            prng.int32 = xg.next;
            prng.quick = prng;
            if (state) {
              if (state.X) copy(state, xg);
              prng.state = function () {
                return copy(xg, {});
              };
            }
            return prng;
          }

          if (module && module.exports) {
            module.exports = impl;
          } else if (define && define.amd) {
            define(function () {
              return impl;
            });
          } else {
            this.xor4096 = impl;
          }
        })(
          this, // window object or global
          typeof module == 'object' && module, // present in node.js
          typeof define == 'function' && define, // present with an AMD loader
        );
      },
      {},
    ],
    46: [
      function (require, module, exports) {
        // A Javascript implementaion of the "xorshift7" algorithm by
        // François Panneton and Pierre L'ecuyer:
        // "On the Xorgshift Random Number Generators"
        // http://saluc.engr.uconn.edu/refs/crypto/rng/panneton05onthexorshift.pdf

        (function (global, module, define) {
          function XorGen(seed) {
            var me = this;

            // Set up generator function.
            me.next = function () {
              // Update xor generator.
              var X = me.x,
                i = me.i,
                t,
                v,
                w;
              t = X[i];
              t ^= t >>> 7;
              v = t ^ (t << 24);
              t = X[(i + 1) & 7];
              v ^= t ^ (t >>> 10);
              t = X[(i + 3) & 7];
              v ^= t ^ (t >>> 3);
              t = X[(i + 4) & 7];
              v ^= t ^ (t << 7);
              t = X[(i + 7) & 7];
              t = t ^ (t << 13);
              v ^= t ^ (t << 9);
              X[i] = v;
              me.i = (i + 1) & 7;
              return v;
            };

            function init(me, seed) {
              var j,
                w,
                X = [];

              if (seed === (seed | 0)) {
                // Seed state array using a 32-bit integer.
                w = X[0] = seed;
              } else {
                // Seed state using a string.
                seed = '' + seed;
                for (j = 0; j < seed.length; ++j) {
                  X[j & 7] = (X[j & 7] << 15) ^ ((seed.charCodeAt(j) + X[(j + 1) & 7]) << 13);
                }
              }
              // Enforce an array length of 8, not all zeroes.
              while (X.length < 8) X.push(0);
              for (j = 0; j < 8 && X[j] === 0; ++j);
              if (j == 8) w = X[7] = -1;
              else w = X[j];

              me.x = X;
              me.i = 0;

              // Discard an initial 256 values.
              for (j = 256; j > 0; --j) {
                me.next();
              }
            }

            init(me, seed);
          }

          function copy(f, t) {
            t.x = f.x.slice();
            t.i = f.i;
            return t;
          }

          function impl(seed, opts) {
            if (seed == null) seed = +new Date();
            var xg = new XorGen(seed),
              state = opts && opts.state,
              prng = function () {
                return (xg.next() >>> 0) / 0x100000000;
              };
            prng.double = function () {
              do {
                var top = xg.next() >>> 11,
                  bot = (xg.next() >>> 0) / 0x100000000,
                  result = (top + bot) / (1 << 21);
              } while (result === 0);
              return result;
            };
            prng.int32 = xg.next;
            prng.quick = prng;
            if (state) {
              if (state.x) copy(state, xg);
              prng.state = function () {
                return copy(xg, {});
              };
            }
            return prng;
          }

          if (module && module.exports) {
            module.exports = impl;
          } else if (define && define.amd) {
            define(function () {
              return impl;
            });
          } else {
            this.xorshift7 = impl;
          }
        })(
          this,
          typeof module == 'object' && module, // present in node.js
          typeof define == 'function' && define, // present with an AMD loader
        );
      },
      {},
    ],
    47: [
      function (require, module, exports) {
        // A Javascript implementaion of the "xorwow" prng algorithm by
        // George Marsaglia.  See http://www.jstatsoft.org/v08/i14/paper

        (function (global, module, define) {
          function XorGen(seed) {
            var me = this,
              strseed = '';

            // Set up generator function.
            me.next = function () {
              var t = me.x ^ (me.x >>> 2);
              me.x = me.y;
              me.y = me.z;
              me.z = me.w;
              me.w = me.v;
              return (
                ((me.d = (me.d + 362437) | 0) + (me.v = me.v ^ (me.v << 4) ^ (t ^ (t << 1)))) | 0
              );
            };

            me.x = 0;
            me.y = 0;
            me.z = 0;
            me.w = 0;
            me.v = 0;

            if (seed === (seed | 0)) {
              // Integer seed.
              me.x = seed;
            } else {
              // String seed.
              strseed += seed;
            }

            // Mix in string seed, then discard an initial batch of 64 values.
            for (var k = 0; k < strseed.length + 64; k++) {
              me.x ^= strseed.charCodeAt(k) | 0;
              if (k == strseed.length) {
                me.d = (me.x << 10) ^ (me.x >>> 4);
              }
              me.next();
            }
          }

          function copy(f, t) {
            t.x = f.x;
            t.y = f.y;
            t.z = f.z;
            t.w = f.w;
            t.v = f.v;
            t.d = f.d;
            return t;
          }

          function impl(seed, opts) {
            var xg = new XorGen(seed),
              state = opts && opts.state,
              prng = function () {
                return (xg.next() >>> 0) / 0x100000000;
              };
            prng.double = function () {
              do {
                var top = xg.next() >>> 11,
                  bot = (xg.next() >>> 0) / 0x100000000,
                  result = (top + bot) / (1 << 21);
              } while (result === 0);
              return result;
            };
            prng.int32 = xg.next;
            prng.quick = prng;
            if (state) {
              if (typeof state == 'object') copy(state, xg);
              prng.state = function () {
                return copy(xg, {});
              };
            }
            return prng;
          }

          if (module && module.exports) {
            module.exports = impl;
          } else if (define && define.amd) {
            define(function () {
              return impl;
            });
          } else {
            this.xorwow = impl;
          }
        })(
          this,
          typeof module == 'object' && module, // present in node.js
          typeof define == 'function' && define, // present with an AMD loader
        );
      },
      {},
    ],
    48: [
      function (require, module, exports) {
        /*
Copyright 2014 David Bau.

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*/

        (function (pool, math) {
          //
          // The following constants are related to IEEE 754 limits.
          //
          var global = this,
            width = 256, // each RC4 output is 0 <= x < 256
            chunks = 6, // at least six RC4 outputs for each double
            digits = 52, // there are 52 significant digits in a double
            rngname = 'random', // rngname: name for Math.random and Math.seedrandom
            startdenom = math.pow(width, chunks),
            significance = math.pow(2, digits),
            overflow = significance * 2,
            mask = width - 1,
            nodecrypto; // node.js crypto module, initialized at the bottom.

          //
          // seedrandom()
          // This is the seedrandom function described above.
          //
          function seedrandom(seed, options, callback) {
            var key = [];
            options = options == true ? { entropy: true } : options || {};

            // Flatten the seed string or build one from local entropy if needed.
            var shortseed = mixkey(
              flatten(
                options.entropy ? [seed, tostring(pool)] : seed == null ? autoseed() : seed,
                3,
              ),
              key,
            );

            // Use the seed to initialize an ARC4 generator.
            var arc4 = new ARC4(key);

            // This function returns a random double in [0, 1) that contains
            // randomness in every bit of the mantissa of the IEEE 754 value.
            var prng = function () {
              var n = arc4.g(chunks), // Start with a numerator n < 2 ^ 48
                d = startdenom, //   and denominator d = 2 ^ 48.
                x = 0; //   and no 'extra last byte'.
              while (n < significance) {
                // Fill up all significant digits by
                n = (n + x) * width; //   shifting numerator and
                d *= width; //   denominator and generating a
                x = arc4.g(1); //   new least-significant-byte.
              }
              while (n >= overflow) {
                // To avoid rounding up, before adding
                n /= 2; //   last byte, shift everything
                d /= 2; //   right using integer math until
                x >>>= 1; //   we have exactly the desired bits.
              }
              return (n + x) / d; // Form the number within [0, 1).
            };

            prng.int32 = function () {
              return arc4.g(4) | 0;
            };
            prng.quick = function () {
              return arc4.g(4) / 0x100000000;
            };
            prng.double = prng;

            // Mix the randomness into accumulated entropy.
            mixkey(tostring(arc4.S), pool);

            // Calling convention: what to return as a function of prng, seed, is_math.
            return (
              options.pass ||
              callback ||
              function (prng, seed, is_math_call, state) {
                if (state) {
                  // Load the arc4 state from the given state if it has an S array.
                  if (state.S) {
                    copy(state, arc4);
                  }
                  // Only provide the .state method if requested via options.state.
                  prng.state = function () {
                    return copy(arc4, {});
                  };
                }

                // If called as a method of Math (Math.seedrandom()), mutate
                // Math.random because that is how seedrandom.js has worked since v1.0.
                if (is_math_call) {
                  math[rngname] = prng;
                  return seed;
                }

                // Otherwise, it is a newer calling convention, so return the
                // prng directly.
                else return prng;
              }
            )(prng, shortseed, 'global' in options ? options.global : this == math, options.state);
          }
          math['seed' + rngname] = seedrandom;

          //
          // ARC4
          //
          // An ARC4 implementation.  The constructor takes a key in the form of
          // an array of at most (width) integers that should be 0 <= x < (width).
          //
          // The g(count) method returns a pseudorandom integer that concatenates
          // the next (count) outputs from ARC4.  Its return value is a number x
          // that is in the range 0 <= x < (width ^ count).
          //
          function ARC4(key) {
            var t,
              keylen = key.length,
              me = this,
              i = 0,
              j = (me.i = me.j = 0),
              s = (me.S = []);

            // The empty key [] is treated as [0].
            if (!keylen) {
              key = [keylen++];
            }

            // Set up S using the standard key scheduling algorithm.
            while (i < width) {
              s[i] = i++;
            }
            for (i = 0; i < width; i++) {
              s[i] = s[(j = mask & (j + key[i % keylen] + (t = s[i])))];
              s[j] = t;
            }

            // The "g" method returns the next (count) outputs as one number.
            (me.g = function (count) {
              // Using instance members instead of closure state nearly doubles speed.
              var t,
                r = 0,
                i = me.i,
                j = me.j,
                s = me.S;
              while (count--) {
                t = s[(i = mask & (i + 1))];
                r = r * width + s[mask & ((s[i] = s[(j = mask & (j + t))]) + (s[j] = t))];
              }
              me.i = i;
              me.j = j;
              return r;
              // For robust unpredictability, the function call below automatically
              // discards an initial batch of values.  This is called RC4-drop[256].
              // See http://google.com/search?q=rsa+fluhrer+response&btnI
            })(width);
          }

          //
          // copy()
          // Copies internal state of ARC4 to or from a plain object.
          //
          function copy(f, t) {
            t.i = f.i;
            t.j = f.j;
            t.S = f.S.slice();
            return t;
          }

          //
          // flatten()
          // Converts an object tree to nested arrays of strings.
          //
          function flatten(obj, depth) {
            var result = [],
              typ = typeof obj,
              prop;
            if (depth && typ == 'object') {
              for (prop in obj) {
                try {
                  result.push(flatten(obj[prop], depth - 1));
                } catch (e) {}
              }
            }
            return result.length ? result : typ == 'string' ? obj : obj + '\0';
          }

          //
          // mixkey()
          // Mixes a string seed into a key that is an array of integers, and
          // returns a shortened string seed that is equivalent to the result key.
          //
          function mixkey(seed, key) {
            var stringseed = seed + '',
              smear,
              j = 0;
            while (j < stringseed.length) {
              key[mask & j] = mask & ((smear ^= key[mask & j] * 19) + stringseed.charCodeAt(j++));
            }
            return tostring(key);
          }

          //
          // autoseed()
          // Returns an object for autoseeding, using window.crypto and Node crypto
          // module if available.
          //
          function autoseed() {
            try {
              var out;
              if (nodecrypto && (out = nodecrypto.randomBytes)) {
                // The use of 'out' to remember randomBytes makes tight minified code.
                out = out(width);
              } else {
                out = new Uint8Array(width);
                (global.crypto || global.msCrypto).getRandomValues(out);
              }
              return tostring(out);
            } catch (e) {
              var browser = global.navigator,
                plugins = browser && browser.plugins;
              return [+new Date(), global, plugins, global.screen, tostring(pool)];
            }
          }

          //
          // tostring()
          // Converts an array of charcodes to a string
          //
          function tostring(a) {
            return String.fromCharCode.apply(0, a);
          }

          //
          // When seedrandom.js is loaded, we immediately mix a few bits
          // from the built-in RNG into the entropy pool.  Because we do
          // not want to interfere with deterministic PRNG state later,
          // seedrandom will not call math.random on its own again after
          // initialization.
          //
          mixkey(math.random(), pool);

          //
          // Nodejs and AMD support: export the implementation as a module using
          // either convention.
          //
          if (typeof module == 'object' && module.exports) {
            module.exports = seedrandom;
            // When in node.js, try using crypto package for autoseeding.
            try {
              nodecrypto = require('crypto');
            } catch (ex) {}
          } else if (typeof define == 'function' && define.amd) {
            define(function () {
              return seedrandom;
            });
          }

          // End anonymous scope, and pass initial values.
        })(
          [], // pool: entropy pool starts empty
          Math, // math: package containing random, pow, and seedrandom
        );
      },
      { crypto: 37 },
    ],
    49: [
      function (require, module, exports) {
        (function (setImmediate, clearImmediate) {
          (function () {
            var nextTick = require('process/browser.js').nextTick;
            var apply = Function.prototype.apply;
            var slice = Array.prototype.slice;
            var immediateIds = {};
            var nextImmediateId = 0;

            // DOM APIs, for completeness

            exports.setTimeout = function () {
              return new Timeout(apply.call(setTimeout, window, arguments), clearTimeout);
            };
            exports.setInterval = function () {
              return new Timeout(apply.call(setInterval, window, arguments), clearInterval);
            };
            exports.clearTimeout = exports.clearInterval = function (timeout) {
              timeout.close();
            };

            function Timeout(id, clearFn) {
              this._id = id;
              this._clearFn = clearFn;
            }
            Timeout.prototype.unref = Timeout.prototype.ref = function () {};
            Timeout.prototype.close = function () {
              this._clearFn.call(window, this._id);
            };

            // Does not start the time, just sets up the members needed.
            exports.enroll = function (item, msecs) {
              clearTimeout(item._idleTimeoutId);
              item._idleTimeout = msecs;
            };

            exports.unenroll = function (item) {
              clearTimeout(item._idleTimeoutId);
              item._idleTimeout = -1;
            };

            exports._unrefActive = exports.active = function (item) {
              clearTimeout(item._idleTimeoutId);

              var msecs = item._idleTimeout;
              if (msecs >= 0) {
                item._idleTimeoutId = setTimeout(function onTimeout() {
                  if (item._onTimeout) item._onTimeout();
                }, msecs);
              }
            };

            // That's not how node.js implements it but the exposed api is the same.
            exports.setImmediate =
              typeof setImmediate === 'function'
                ? setImmediate
                : function (fn) {
                    var id = nextImmediateId++;
                    var args = arguments.length < 2 ? false : slice.call(arguments, 1);

                    immediateIds[id] = true;

                    nextTick(function onNextTick() {
                      if (immediateIds[id]) {
                        // fn.call() is faster so we optimize for the common use-case
                        // @see http://jsperf.com/call-apply-segu
                        if (args) {
                          fn.apply(null, args);
                        } else {
                          fn.call(null);
                        }
                        // Prevent ids from leaking
                        exports.clearImmediate(id);
                      }
                    });

                    return id;
                  };

            exports.clearImmediate =
              typeof clearImmediate === 'function'
                ? clearImmediate
                : function (id) {
                    delete immediateIds[id];
                  };
          }.call(this));
        }.call(this, require('timers').setImmediate, require('timers').clearImmediate));
      },
      { 'process/browser.js': 40, 'timers': 49 },
    ],
  },
  {},
  [2],
);
